var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getHeaders, getEndpoint } from "./constant";
import { graphql } from "./generated";
import { request as graphqlRequest } from "graphql-request";
export const makeDocument = (query) => {
    return graphql(query);
};
export const request = (query, variables) => __awaiter(void 0, void 0, void 0, function* () {
    const options = {
        url: getEndpoint(),
        variables: variables,
        requestHeaders: getHeaders(),
    };
    if (typeof query === "string") {
        return yield graphqlRequest(Object.assign(Object.assign({}, options), { document: makeDocument(query) }));
    }
    return yield graphqlRequest(Object.assign(Object.assign({}, options), { document: query }));
});
