import { TypedDocumentNode as DocumentNode } from '@graphql-typed-document-node/core';
export type Maybe<T> = T | null;
export type InputMaybe<T> = Maybe<T>;
export type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
export type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]?: Maybe<T[SubKey]>;
};
export type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]: Maybe<T[SubKey]>;
};
/** All built-in and custom scalars, mapped to their actual values */
export type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
    bigint: any;
    citext: any;
    date: any;
    geography: any;
    geometry: any;
    json: any;
    jsonb: any;
    numeric: any;
    time: any;
    timestamp: any;
    timestamptz: any;
    timetz: any;
    tsvector: any;
    uuid: any;
};
export type AddGameOutput = {
    __typename?: 'AddGameOutput';
    result: Scalars['json'];
};
/** Boolean expression to compare columns of type "Boolean". All fields are combined with logical 'AND'. */
export type Boolean_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['Boolean']>;
    _gt?: InputMaybe<Scalars['Boolean']>;
    _gte?: InputMaybe<Scalars['Boolean']>;
    _in?: InputMaybe<Array<Scalars['Boolean']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['Boolean']>;
    _lte?: InputMaybe<Scalars['Boolean']>;
    _neq?: InputMaybe<Scalars['Boolean']>;
    _nin?: InputMaybe<Array<Scalars['Boolean']>>;
};
export type CheckConfirmingAndSettlementAboutGameInput = {
    gameId: Scalars['Int'];
};
export type CheckConfirmingAndSettlementAboutGameOutput = {
    __typename?: 'CheckConfirmingAndSettlementAboutGameOutput';
    data?: Maybe<Scalars['json']>;
    message: Scalars['String'];
    result?: Maybe<Scalars['Boolean']>;
    status: Scalars['String'];
};
export type CheckJudgeHasuraEntrypointOutput = {
    __typename?: 'CheckJudgeHasuraEntrypointOutput';
    endpoint: Scalars['String'];
};
export type CheckJudgeHasuraWorkingOutput = {
    __typename?: 'CheckJudgeHasuraWorkingOutput';
    result: Scalars['json'];
};
export type ConfirmGamesLocusInput = {
    TUId: Scalars['Int'];
    gameId: Scalars['Int'];
    gamesLocusId: Scalars['Int'];
};
export type ConfirmGamesLocusOutput = {
    __typename?: 'ConfirmGamesLocusOutput';
    result: Scalars['json'];
};
export type ConfirmSponsorshipGamesInput = {
    TUId: Scalars['Int'];
    gameId: Scalars['Int'];
    sponsorshipGameStateId: Scalars['Int'];
};
export type ConfirmSponsorshipGamesOutput = {
    __typename?: 'ConfirmSponsorshipGamesOutput';
    result: Scalars['json'];
};
export type CreateBadgeTypeOutput = {
    __typename?: 'CreateBadgeTypeOutput';
    data?: Maybe<Scalars['json']>;
    message: Scalars['String'];
    result?: Maybe<Scalars['Boolean']>;
    status: Scalars['String'];
};
export type CreateGameOutput = {
    __typename?: 'CreateGameOutput';
    data?: Maybe<Scalars['json']>;
    message: Scalars['String'];
    result?: Maybe<Scalars['Boolean']>;
    status: Scalars['String'];
};
export type DenyGamesLocusInput = {
    TUId: Scalars['Int'];
    gameId: Scalars['Int'];
    gamesLocusId: Scalars['Int'];
    message?: InputMaybe<Scalars['String']>;
};
export type DenyGamesLocusOutput = {
    __typename?: 'DenyGamesLocusOutput';
    result: Scalars['json'];
};
export type DenySponsorshipGamesInput = {
    TUId: Scalars['Int'];
    gameId: Scalars['Int'];
    message?: InputMaybe<Scalars['String']>;
    sponsorshipGameStateId: Scalars['Int'];
};
export type DenySponsorshipGamesOutput = {
    __typename?: 'DenySponsorshipGamesOutput';
    result: Scalars['json'];
};
export type EvaluateTotalOutput = {
    __typename?: 'EvaluateTotalOutput';
    data?: Maybe<Scalars['json']>;
    message: Scalars['String'];
    result?: Maybe<Scalars['Boolean']>;
    status: Scalars['String'];
};
export type HistoryCheckOutput = {
    __typename?: 'HistoryCheckOutput';
    result: Scalars['json'];
};
export type ImageNpcJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type ImageNpcJudgeOutput = {
    __typename?: 'ImageNPCJudgeOutput';
    result: Scalars['json'];
};
export type ImageNpcOperationInput = {
    TUId: Scalars['Int'];
    done: Scalars['Boolean'];
    judgeId: Scalars['Int'];
    nextQuestId: Scalars['Int'];
    questId: Scalars['Int'];
    rejected: Scalars['Boolean'];
    taskId: Scalars['Int'];
};
export type ImageNpcOperationOutput = {
    __typename?: 'ImageNPCOperationOutput';
    result: Scalars['json'];
};
/** Boolean expression to compare columns of type "Int". All fields are combined with logical 'AND'. */
export type Int_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['Int']>;
    _gt?: InputMaybe<Scalars['Int']>;
    _gte?: InputMaybe<Scalars['Int']>;
    _in?: InputMaybe<Array<Scalars['Int']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['Int']>;
    _lte?: InputMaybe<Scalars['Int']>;
    _neq?: InputMaybe<Scalars['Int']>;
    _nin?: InputMaybe<Array<Scalars['Int']>>;
};
export type JigsawJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type JigsawJudgeOutput = {
    __typename?: 'JigsawJudgeOutput';
    result: Scalars['json'];
};
export type OtpResult = {
    __typename?: 'OTPResult';
    code?: Maybe<Scalars['String']>;
    message: Scalars['String'];
    status: Scalars['String'];
};
export type PurchaseGameByRpResult = {
    __typename?: 'PurchaseGameByRPResult';
    message: Scalars['String'];
    status: Scalars['String'];
    tag?: Maybe<Scalars['json']>;
};
export type PurchaseSponsorshipByRpResult = {
    __typename?: 'PurchaseSponsorshipByRPResult';
    message: Scalars['String'];
    status: Scalars['String'];
    tag?: Maybe<Scalars['json']>;
};
export type QrJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type QrJudgeOutput = {
    __typename?: 'QRJudgeOutput';
    result: Scalars['json'];
};
export type RestartGamePlayOutput = {
    __typename?: 'RestartGamePlayOutput';
    data?: Maybe<Scalars['json']>;
    message: Scalars['String'];
    result?: Maybe<Scalars['Boolean']>;
    status: Scalars['String'];
};
export type SearchJusoAndCoordByKeywordInput = {
    keyword: Scalars['String'];
    limit: Scalars['Int'];
    offset: Scalars['Int'];
};
export type SearchJusoAndCoordByKeywordOutput = {
    __typename?: 'SearchJusoAndCoordByKeywordOutput';
    jusoAndCoord: Array<Maybe<Scalars['json']>>;
    status: Scalars['String'];
};
export type SearchJusoByKeywordInput = {
    keyword: Scalars['String'];
};
export type SearchJusoByKeywordOutput = {
    __typename?: 'SearchJusoByKeywordOutput';
    jusos: Array<Maybe<Scalars['json']>>;
};
export type SellApplicationResult = {
    __typename?: 'SellApplicationResult';
    message: Scalars['String'];
    result?: Maybe<Scalars['json']>;
    status: Scalars['String'];
};
export type SetGameStateOnReadyInput = {
    gameId: Scalars['Int'];
};
export type SetGameStateOnReadyOutput = {
    __typename?: 'SetGameStateOnReadyOutput';
    result: Scalars['json'];
};
export type SettleOperationGamesLocusInput = {
    TUId?: InputMaybe<Scalars['Int']>;
    gameId: Scalars['Int'];
    gamesLocusId: Scalars['Int'];
    nextOperationStateId: Scalars['Int'];
    operationId: Scalars['Int'];
};
export type SettleOperationGamesLocusOutput = {
    __typename?: 'SettleOperationGamesLocusOutput';
    result: Scalars['json'];
};
export type StartGameInput = {
    gameId: Scalars['Int'];
    treasureUserId: Scalars['Int'];
};
export type StartGameOutput = {
    __typename?: 'StartGameOutput';
    message?: Maybe<Scalars['String']>;
    result?: Maybe<Scalars['Boolean']>;
    status?: Maybe<Scalars['String']>;
};
/** Boolean expression to compare columns of type "String". All fields are combined with logical 'AND'. */
export type String_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['String']>;
    _gt?: InputMaybe<Scalars['String']>;
    _gte?: InputMaybe<Scalars['String']>;
    /** does the column match the given case-insensitive pattern */
    _ilike?: InputMaybe<Scalars['String']>;
    _in?: InputMaybe<Array<Scalars['String']>>;
    /** does the column match the given POSIX regular expression, case insensitive */
    _iregex?: InputMaybe<Scalars['String']>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    /** does the column match the given pattern */
    _like?: InputMaybe<Scalars['String']>;
    _lt?: InputMaybe<Scalars['String']>;
    _lte?: InputMaybe<Scalars['String']>;
    _neq?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given case-insensitive pattern */
    _nilike?: InputMaybe<Scalars['String']>;
    _nin?: InputMaybe<Array<Scalars['String']>>;
    /** does the column NOT match the given POSIX regular expression, case insensitive */
    _niregex?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given pattern */
    _nlike?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given POSIX regular expression, case sensitive */
    _nregex?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given SQL regular expression */
    _nsimilar?: InputMaybe<Scalars['String']>;
    /** does the column match the given POSIX regular expression, case sensitive */
    _regex?: InputMaybe<Scalars['String']>;
    /** does the column match the given SQL regular expression */
    _similar?: InputMaybe<Scalars['String']>;
};
export type TasteJigsawJudgeInput = {
    judge: Scalars['json'];
};
export type TasteJigsawJudgeOutput = {
    __typename?: 'TasteJigsawJudgeOutput';
    result: Scalars['json'];
};
export type TasteWordJudgeInput = {
    judge: Scalars['json'];
};
export type TasteWordJudgeOutput = {
    __typename?: 'TasteWordJudgeOutput';
    result: Scalars['json'];
};
export type TasteWordSequenceJudgeInput = {
    judge: Scalars['json'];
};
export type TasteWordSequenceJudgeOutput = {
    __typename?: 'TasteWordSequenceJudgeOutput';
    result: Scalars['json'];
};
export type TasteWordsJudgeInput = {
    judge: Scalars['json'];
};
export type TasteWordsJudgeOutput = {
    __typename?: 'TasteWordsJudgeOutput';
    result: Scalars['json'];
};
export type WordJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type WordJudgeOutput = {
    __typename?: 'WordJudgeOutput';
    result: Scalars['json'];
};
export type WordSequenceJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type WordSequenceJudgeOutput = {
    __typename?: 'WordSequenceJudgeOutput';
    result: Scalars['json'];
};
export type WordsJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type WordsJudgeOutput = {
    __typename?: 'WordsJudgeOutput';
    result: Scalars['json'];
};
/** columns and relationships of "alarm" */
export type Alarm = {
    __typename?: 'alarm';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    text: Scalars['String'];
    writer_id: Scalars['Int'];
};
/** aggregated selection of "alarm" */
export type Alarm_Aggregate = {
    __typename?: 'alarm_aggregate';
    aggregate?: Maybe<Alarm_Aggregate_Fields>;
    nodes: Array<Alarm>;
};
/** aggregate fields of "alarm" */
export type Alarm_Aggregate_Fields = {
    __typename?: 'alarm_aggregate_fields';
    avg?: Maybe<Alarm_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Alarm_Max_Fields>;
    min?: Maybe<Alarm_Min_Fields>;
    stddev?: Maybe<Alarm_Stddev_Fields>;
    stddev_pop?: Maybe<Alarm_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Alarm_Stddev_Samp_Fields>;
    sum?: Maybe<Alarm_Sum_Fields>;
    var_pop?: Maybe<Alarm_Var_Pop_Fields>;
    var_samp?: Maybe<Alarm_Var_Samp_Fields>;
    variance?: Maybe<Alarm_Variance_Fields>;
};
/** aggregate fields of "alarm" */
export type Alarm_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Alarm_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Alarm_Avg_Fields = {
    __typename?: 'alarm_avg_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "alarm". All fields are combined with a logical 'AND'. */
export type Alarm_Bool_Exp = {
    _and?: InputMaybe<Array<Alarm_Bool_Exp>>;
    _not?: InputMaybe<Alarm_Bool_Exp>;
    _or?: InputMaybe<Array<Alarm_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    text?: InputMaybe<String_Comparison_Exp>;
    writer_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "alarm" */
export declare enum Alarm_Constraint {
    /** unique or primary key constraint on columns "id" */
    AlarmPkey = "alarm_pkey"
}
/** input type for incrementing numeric columns in table "alarm" */
export type Alarm_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "alarm" */
export type Alarm_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Alarm_Max_Fields = {
    __typename?: 'alarm_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Alarm_Min_Fields = {
    __typename?: 'alarm_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "alarm" */
export type Alarm_Mutation_Response = {
    __typename?: 'alarm_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Alarm>;
};
/** on_conflict condition type for table "alarm" */
export type Alarm_On_Conflict = {
    constraint: Alarm_Constraint;
    update_columns?: Array<Alarm_Update_Column>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
/** Ordering options when selecting data from "alarm". */
export type Alarm_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    text?: InputMaybe<Order_By>;
    writer_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: alarm */
export type Alarm_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "alarm" */
export declare enum Alarm_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Text = "text",
    /** column name */
    WriterId = "writer_id"
}
/** input type for updating data in table "alarm" */
export type Alarm_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Alarm_Stddev_Fields = {
    __typename?: 'alarm_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Alarm_Stddev_Pop_Fields = {
    __typename?: 'alarm_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Alarm_Stddev_Samp_Fields = {
    __typename?: 'alarm_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "alarm" */
export type Alarm_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Alarm_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Alarm_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Alarm_Sum_Fields = {
    __typename?: 'alarm_sum_fields';
    id?: Maybe<Scalars['Int']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "alarm" */
export declare enum Alarm_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Text = "text",
    /** column name */
    WriterId = "writer_id"
}
export type Alarm_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Alarm_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Alarm_Set_Input>;
    /** filter the rows which have to be updated */
    where: Alarm_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Alarm_Var_Pop_Fields = {
    __typename?: 'alarm_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Alarm_Var_Samp_Fields = {
    __typename?: 'alarm_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Alarm_Variance_Fields = {
    __typename?: 'alarm_variance_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "animation_stage" */
export type Animation_Stage = {
    __typename?: 'animation_stage';
    id: Scalars['Int'];
    name: Scalars['String'];
};
/** aggregated selection of "animation_stage" */
export type Animation_Stage_Aggregate = {
    __typename?: 'animation_stage_aggregate';
    aggregate?: Maybe<Animation_Stage_Aggregate_Fields>;
    nodes: Array<Animation_Stage>;
};
/** aggregate fields of "animation_stage" */
export type Animation_Stage_Aggregate_Fields = {
    __typename?: 'animation_stage_aggregate_fields';
    avg?: Maybe<Animation_Stage_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Animation_Stage_Max_Fields>;
    min?: Maybe<Animation_Stage_Min_Fields>;
    stddev?: Maybe<Animation_Stage_Stddev_Fields>;
    stddev_pop?: Maybe<Animation_Stage_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Animation_Stage_Stddev_Samp_Fields>;
    sum?: Maybe<Animation_Stage_Sum_Fields>;
    var_pop?: Maybe<Animation_Stage_Var_Pop_Fields>;
    var_samp?: Maybe<Animation_Stage_Var_Samp_Fields>;
    variance?: Maybe<Animation_Stage_Variance_Fields>;
};
/** aggregate fields of "animation_stage" */
export type Animation_Stage_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Animation_Stage_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Animation_Stage_Avg_Fields = {
    __typename?: 'animation_stage_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "animation_stage". All fields are combined with a logical 'AND'. */
export type Animation_Stage_Bool_Exp = {
    _and?: InputMaybe<Array<Animation_Stage_Bool_Exp>>;
    _not?: InputMaybe<Animation_Stage_Bool_Exp>;
    _or?: InputMaybe<Array<Animation_Stage_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "animation_stage" */
export declare enum Animation_Stage_Constraint {
    /** unique or primary key constraint on columns "id" */
    AnimationConditionPkey = "animation_condition_pkey"
}
/** input type for incrementing numeric columns in table "animation_stage" */
export type Animation_Stage_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "animation_stage" */
export type Animation_Stage_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Animation_Stage_Max_Fields = {
    __typename?: 'animation_stage_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Animation_Stage_Min_Fields = {
    __typename?: 'animation_stage_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "animation_stage" */
export type Animation_Stage_Mutation_Response = {
    __typename?: 'animation_stage_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Animation_Stage>;
};
/** input type for inserting object relation for remote table "animation_stage" */
export type Animation_Stage_Obj_Rel_Insert_Input = {
    data: Animation_Stage_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Animation_Stage_On_Conflict>;
};
/** on_conflict condition type for table "animation_stage" */
export type Animation_Stage_On_Conflict = {
    constraint: Animation_Stage_Constraint;
    update_columns?: Array<Animation_Stage_Update_Column>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
/** Ordering options when selecting data from "animation_stage". */
export type Animation_Stage_Order_By = {
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: animation_stage */
export type Animation_Stage_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "animation_stage" */
export declare enum Animation_Stage_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "animation_stage" */
export type Animation_Stage_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Animation_Stage_Stddev_Fields = {
    __typename?: 'animation_stage_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Animation_Stage_Stddev_Pop_Fields = {
    __typename?: 'animation_stage_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Animation_Stage_Stddev_Samp_Fields = {
    __typename?: 'animation_stage_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "animation_stage" */
export type Animation_Stage_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Animation_Stage_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Animation_Stage_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Animation_Stage_Sum_Fields = {
    __typename?: 'animation_stage_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "animation_stage" */
export declare enum Animation_Stage_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
export type Animation_Stage_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Animation_Stage_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Animation_Stage_Set_Input>;
    /** filter the rows which have to be updated */
    where: Animation_Stage_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Animation_Stage_Var_Pop_Fields = {
    __typename?: 'animation_stage_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Animation_Stage_Var_Samp_Fields = {
    __typename?: 'animation_stage_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Animation_Stage_Variance_Fields = {
    __typename?: 'animation_stage_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "answer" */
export type Answer = {
    __typename?: 'answer';
    description?: Maybe<Scalars['String']>;
    expected_answer?: Maybe<Scalars['String']>;
    expected_uri?: Maybe<Scalars['String']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An array relationship */
    judgeOnes: Array<Judge>;
    /** An aggregate relationship */
    judgeOnes_aggregate: Judge_Aggregate;
};
/** columns and relationships of "answer" */
export type AnswerJudgeOnesArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
/** columns and relationships of "answer" */
export type AnswerJudgeOnes_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
/** aggregated selection of "answer" */
export type Answer_Aggregate = {
    __typename?: 'answer_aggregate';
    aggregate?: Maybe<Answer_Aggregate_Fields>;
    nodes: Array<Answer>;
};
/** aggregate fields of "answer" */
export type Answer_Aggregate_Fields = {
    __typename?: 'answer_aggregate_fields';
    avg?: Maybe<Answer_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Answer_Max_Fields>;
    min?: Maybe<Answer_Min_Fields>;
    stddev?: Maybe<Answer_Stddev_Fields>;
    stddev_pop?: Maybe<Answer_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Answer_Stddev_Samp_Fields>;
    sum?: Maybe<Answer_Sum_Fields>;
    var_pop?: Maybe<Answer_Var_Pop_Fields>;
    var_samp?: Maybe<Answer_Var_Samp_Fields>;
    variance?: Maybe<Answer_Variance_Fields>;
};
/** aggregate fields of "answer" */
export type Answer_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Answer_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Answer_Avg_Fields = {
    __typename?: 'answer_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "answer". All fields are combined with a logical 'AND'. */
export type Answer_Bool_Exp = {
    _and?: InputMaybe<Array<Answer_Bool_Exp>>;
    _not?: InputMaybe<Answer_Bool_Exp>;
    _or?: InputMaybe<Array<Answer_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    expected_answer?: InputMaybe<String_Comparison_Exp>;
    expected_uri?: InputMaybe<String_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    judgeOnes?: InputMaybe<Judge_Bool_Exp>;
    judgeOnes_aggregate?: InputMaybe<Judge_Aggregate_Bool_Exp>;
};
/** unique or primary key constraints on table "answer" */
export declare enum Answer_Constraint {
    /** unique or primary key constraint on columns "id" */
    AnswerPkey = "answer_pkey"
}
/** input type for incrementing numeric columns in table "answer" */
export type Answer_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "answer" */
export type Answer_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    expected_answer?: InputMaybe<Scalars['String']>;
    expected_uri?: InputMaybe<Scalars['String']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    judgeOnes?: InputMaybe<Judge_Arr_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Answer_Max_Fields = {
    __typename?: 'answer_max_fields';
    description?: Maybe<Scalars['String']>;
    expected_answer?: Maybe<Scalars['String']>;
    expected_uri?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Answer_Min_Fields = {
    __typename?: 'answer_min_fields';
    description?: Maybe<Scalars['String']>;
    expected_answer?: Maybe<Scalars['String']>;
    expected_uri?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "answer" */
export type Answer_Mutation_Response = {
    __typename?: 'answer_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Answer>;
};
/** input type for inserting object relation for remote table "answer" */
export type Answer_Obj_Rel_Insert_Input = {
    data: Answer_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Answer_On_Conflict>;
};
/** on_conflict condition type for table "answer" */
export type Answer_On_Conflict = {
    constraint: Answer_Constraint;
    update_columns?: Array<Answer_Update_Column>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
/** Ordering options when selecting data from "answer". */
export type Answer_Order_By = {
    description?: InputMaybe<Order_By>;
    expected_answer?: InputMaybe<Order_By>;
    expected_uri?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judgeOnes_aggregate?: InputMaybe<Judge_Aggregate_Order_By>;
};
/** primary key columns input for table: answer */
export type Answer_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "answer" */
export declare enum Answer_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    ExpectedAnswer = "expected_answer",
    /** column name */
    ExpectedUri = "expected_uri",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "answer" */
export type Answer_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    expected_answer?: InputMaybe<Scalars['String']>;
    expected_uri?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Answer_Stddev_Fields = {
    __typename?: 'answer_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Answer_Stddev_Pop_Fields = {
    __typename?: 'answer_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Answer_Stddev_Samp_Fields = {
    __typename?: 'answer_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "answer" */
export type Answer_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Answer_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Answer_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    expected_answer?: InputMaybe<Scalars['String']>;
    expected_uri?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Answer_Sum_Fields = {
    __typename?: 'answer_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "answer_type" */
export type Answer_Type = {
    __typename?: 'answer_type';
    answer_type_title?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_human_judgeable?: Maybe<Scalars['Boolean']>;
    is_machine_judgeable?: Maybe<Scalars['Boolean']>;
    require_constant_answer?: Maybe<Scalars['Boolean']>;
    require_fo?: Maybe<Scalars['Boolean']>;
    require_inmap_preconnector?: Maybe<Scalars['Boolean']>;
    require_next_node_inmap?: Maybe<Scalars['Boolean']>;
    require_next_node_outmap?: Maybe<Scalars['Boolean']>;
    separator?: Maybe<Scalars['String']>;
};
/** aggregated selection of "answer_type" */
export type Answer_Type_Aggregate = {
    __typename?: 'answer_type_aggregate';
    aggregate?: Maybe<Answer_Type_Aggregate_Fields>;
    nodes: Array<Answer_Type>;
};
/** aggregate fields of "answer_type" */
export type Answer_Type_Aggregate_Fields = {
    __typename?: 'answer_type_aggregate_fields';
    avg?: Maybe<Answer_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Answer_Type_Max_Fields>;
    min?: Maybe<Answer_Type_Min_Fields>;
    stddev?: Maybe<Answer_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Answer_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Answer_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Answer_Type_Sum_Fields>;
    var_pop?: Maybe<Answer_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Answer_Type_Var_Samp_Fields>;
    variance?: Maybe<Answer_Type_Variance_Fields>;
};
/** aggregate fields of "answer_type" */
export type Answer_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Answer_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Answer_Type_Avg_Fields = {
    __typename?: 'answer_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "answer_type". All fields are combined with a logical 'AND'. */
export type Answer_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Answer_Type_Bool_Exp>>;
    _not?: InputMaybe<Answer_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Answer_Type_Bool_Exp>>;
    answer_type_title?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_human_judgeable?: InputMaybe<Boolean_Comparison_Exp>;
    is_machine_judgeable?: InputMaybe<Boolean_Comparison_Exp>;
    require_constant_answer?: InputMaybe<Boolean_Comparison_Exp>;
    require_fo?: InputMaybe<Boolean_Comparison_Exp>;
    require_inmap_preconnector?: InputMaybe<Boolean_Comparison_Exp>;
    require_next_node_inmap?: InputMaybe<Boolean_Comparison_Exp>;
    require_next_node_outmap?: InputMaybe<Boolean_Comparison_Exp>;
    separator?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "answer_type" */
export declare enum Answer_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    AnswerTypePkey = "answer_type_pkey"
}
/** input type for incrementing numeric columns in table "answer_type" */
export type Answer_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "answer_type" */
export type Answer_Type_Insert_Input = {
    answer_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_human_judgeable?: InputMaybe<Scalars['Boolean']>;
    is_machine_judgeable?: InputMaybe<Scalars['Boolean']>;
    require_constant_answer?: InputMaybe<Scalars['Boolean']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
    require_inmap_preconnector?: InputMaybe<Scalars['Boolean']>;
    require_next_node_inmap?: InputMaybe<Scalars['Boolean']>;
    require_next_node_outmap?: InputMaybe<Scalars['Boolean']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Answer_Type_Max_Fields = {
    __typename?: 'answer_type_max_fields';
    answer_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    separator?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Answer_Type_Min_Fields = {
    __typename?: 'answer_type_min_fields';
    answer_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    separator?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "answer_type" */
export type Answer_Type_Mutation_Response = {
    __typename?: 'answer_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Answer_Type>;
};
/** input type for inserting object relation for remote table "answer_type" */
export type Answer_Type_Obj_Rel_Insert_Input = {
    data: Answer_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Answer_Type_On_Conflict>;
};
/** on_conflict condition type for table "answer_type" */
export type Answer_Type_On_Conflict = {
    constraint: Answer_Type_Constraint;
    update_columns?: Array<Answer_Type_Update_Column>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "answer_type". */
export type Answer_Type_Order_By = {
    answer_type_title?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_human_judgeable?: InputMaybe<Order_By>;
    is_machine_judgeable?: InputMaybe<Order_By>;
    require_constant_answer?: InputMaybe<Order_By>;
    require_fo?: InputMaybe<Order_By>;
    require_inmap_preconnector?: InputMaybe<Order_By>;
    require_next_node_inmap?: InputMaybe<Order_By>;
    require_next_node_outmap?: InputMaybe<Order_By>;
    separator?: InputMaybe<Order_By>;
};
/** primary key columns input for table: answer_type */
export type Answer_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "answer_type" */
export declare enum Answer_Type_Select_Column {
    /** column name */
    AnswerTypeTitle = "answer_type_title",
    /** column name */
    Id = "id",
    /** column name */
    IsHumanJudgeable = "is_human_judgeable",
    /** column name */
    IsMachineJudgeable = "is_machine_judgeable",
    /** column name */
    RequireConstantAnswer = "require_constant_answer",
    /** column name */
    RequireFo = "require_fo",
    /** column name */
    RequireInmapPreconnector = "require_inmap_preconnector",
    /** column name */
    RequireNextNodeInmap = "require_next_node_inmap",
    /** column name */
    RequireNextNodeOutmap = "require_next_node_outmap",
    /** column name */
    Separator = "separator"
}
/** input type for updating data in table "answer_type" */
export type Answer_Type_Set_Input = {
    answer_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_human_judgeable?: InputMaybe<Scalars['Boolean']>;
    is_machine_judgeable?: InputMaybe<Scalars['Boolean']>;
    require_constant_answer?: InputMaybe<Scalars['Boolean']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
    require_inmap_preconnector?: InputMaybe<Scalars['Boolean']>;
    require_next_node_inmap?: InputMaybe<Scalars['Boolean']>;
    require_next_node_outmap?: InputMaybe<Scalars['Boolean']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Answer_Type_Stddev_Fields = {
    __typename?: 'answer_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Answer_Type_Stddev_Pop_Fields = {
    __typename?: 'answer_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Answer_Type_Stddev_Samp_Fields = {
    __typename?: 'answer_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "answer_type" */
export type Answer_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Answer_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Answer_Type_Stream_Cursor_Value_Input = {
    answer_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_human_judgeable?: InputMaybe<Scalars['Boolean']>;
    is_machine_judgeable?: InputMaybe<Scalars['Boolean']>;
    require_constant_answer?: InputMaybe<Scalars['Boolean']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
    require_inmap_preconnector?: InputMaybe<Scalars['Boolean']>;
    require_next_node_inmap?: InputMaybe<Scalars['Boolean']>;
    require_next_node_outmap?: InputMaybe<Scalars['Boolean']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Answer_Type_Sum_Fields = {
    __typename?: 'answer_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "answer_type" */
export declare enum Answer_Type_Update_Column {
    /** column name */
    AnswerTypeTitle = "answer_type_title",
    /** column name */
    Id = "id",
    /** column name */
    IsHumanJudgeable = "is_human_judgeable",
    /** column name */
    IsMachineJudgeable = "is_machine_judgeable",
    /** column name */
    RequireConstantAnswer = "require_constant_answer",
    /** column name */
    RequireFo = "require_fo",
    /** column name */
    RequireInmapPreconnector = "require_inmap_preconnector",
    /** column name */
    RequireNextNodeInmap = "require_next_node_inmap",
    /** column name */
    RequireNextNodeOutmap = "require_next_node_outmap",
    /** column name */
    Separator = "separator"
}
export type Answer_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Answer_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Answer_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Answer_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Answer_Type_Var_Pop_Fields = {
    __typename?: 'answer_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Answer_Type_Var_Samp_Fields = {
    __typename?: 'answer_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Answer_Type_Variance_Fields = {
    __typename?: 'answer_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "answer" */
export declare enum Answer_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    ExpectedAnswer = "expected_answer",
    /** column name */
    ExpectedUri = "expected_uri",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id"
}
export type Answer_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Answer_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Answer_Set_Input>;
    /** filter the rows which have to be updated */
    where: Answer_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Answer_Var_Pop_Fields = {
    __typename?: 'answer_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Answer_Var_Samp_Fields = {
    __typename?: 'answer_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Answer_Variance_Fields = {
    __typename?: 'answer_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "area" */
export type Area = {
    __typename?: 'area';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    location?: Maybe<Location>;
    manager?: Maybe<Scalars['Int']>;
    /** An object relationship */
    managerTreasureUser?: Maybe<Treasure_User>;
    registrator?: Maybe<Scalars['Int']>;
    /** An object relationship */
    registratorTreasureUser?: Maybe<Treasure_User>;
    title?: Maybe<Scalars['String']>;
    tsvec_description?: Maybe<Scalars['tsvector']>;
    tsvec_title?: Maybe<Scalars['tsvector']>;
};
/** aggregated selection of "area" */
export type Area_Aggregate = {
    __typename?: 'area_aggregate';
    aggregate?: Maybe<Area_Aggregate_Fields>;
    nodes: Array<Area>;
};
/** aggregate fields of "area" */
export type Area_Aggregate_Fields = {
    __typename?: 'area_aggregate_fields';
    avg?: Maybe<Area_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Area_Max_Fields>;
    min?: Maybe<Area_Min_Fields>;
    stddev?: Maybe<Area_Stddev_Fields>;
    stddev_pop?: Maybe<Area_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Area_Stddev_Samp_Fields>;
    sum?: Maybe<Area_Sum_Fields>;
    var_pop?: Maybe<Area_Var_Pop_Fields>;
    var_samp?: Maybe<Area_Var_Samp_Fields>;
    variance?: Maybe<Area_Variance_Fields>;
};
/** aggregate fields of "area" */
export type Area_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Area_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Area_Avg_Fields = {
    __typename?: 'area_avg_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "area". All fields are combined with a logical 'AND'. */
export type Area_Bool_Exp = {
    _and?: InputMaybe<Array<Area_Bool_Exp>>;
    _not?: InputMaybe<Area_Bool_Exp>;
    _or?: InputMaybe<Array<Area_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    location?: InputMaybe<Location_Bool_Exp>;
    manager?: InputMaybe<Int_Comparison_Exp>;
    managerTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    registrator?: InputMaybe<Int_Comparison_Exp>;
    registratorTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    tsvec_description?: InputMaybe<Tsvector_Comparison_Exp>;
    tsvec_title?: InputMaybe<Tsvector_Comparison_Exp>;
};
/** unique or primary key constraints on table "area" */
export declare enum Area_Constraint {
    /** unique or primary key constraint on columns "id" */
    AreaPkey = "area_pkey"
}
/** input type for incrementing numeric columns in table "area" */
export type Area_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    manager?: InputMaybe<Scalars['Int']>;
    registrator?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "area" */
export type Area_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location?: InputMaybe<Location_Obj_Rel_Insert_Input>;
    manager?: InputMaybe<Scalars['Int']>;
    managerTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    registrator?: InputMaybe<Scalars['Int']>;
    registratorTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
};
/** aggregate max on columns */
export type Area_Max_Fields = {
    __typename?: 'area_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    manager?: Maybe<Scalars['Int']>;
    registrator?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Area_Min_Fields = {
    __typename?: 'area_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    manager?: Maybe<Scalars['Int']>;
    registrator?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "area" */
export type Area_Mutation_Response = {
    __typename?: 'area_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Area>;
};
/** input type for inserting object relation for remote table "area" */
export type Area_Obj_Rel_Insert_Input = {
    data: Area_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Area_On_Conflict>;
};
/** on_conflict condition type for table "area" */
export type Area_On_Conflict = {
    constraint: Area_Constraint;
    update_columns?: Array<Area_Update_Column>;
    where?: InputMaybe<Area_Bool_Exp>;
};
/** Ordering options when selecting data from "area". */
export type Area_Order_By = {
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    location?: InputMaybe<Location_Order_By>;
    manager?: InputMaybe<Order_By>;
    managerTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    registrator?: InputMaybe<Order_By>;
    registratorTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    title?: InputMaybe<Order_By>;
    tsvec_description?: InputMaybe<Order_By>;
    tsvec_title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: area */
export type Area_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "area" */
export declare enum Area_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Manager = "manager",
    /** column name */
    Registrator = "registrator",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title"
}
/** input type for updating data in table "area" */
export type Area_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    manager?: InputMaybe<Scalars['Int']>;
    registrator?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
};
/** aggregate stddev on columns */
export type Area_Stddev_Fields = {
    __typename?: 'area_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Area_Stddev_Pop_Fields = {
    __typename?: 'area_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Area_Stddev_Samp_Fields = {
    __typename?: 'area_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "area" */
export type Area_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Area_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Area_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    manager?: InputMaybe<Scalars['Int']>;
    registrator?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
};
/** aggregate sum on columns */
export type Area_Sum_Fields = {
    __typename?: 'area_sum_fields';
    id?: Maybe<Scalars['Int']>;
    manager?: Maybe<Scalars['Int']>;
    registrator?: Maybe<Scalars['Int']>;
};
/** update columns of table "area" */
export declare enum Area_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Manager = "manager",
    /** column name */
    Registrator = "registrator",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title"
}
export type Area_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Area_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Area_Set_Input>;
    /** filter the rows which have to be updated */
    where: Area_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Area_Var_Pop_Fields = {
    __typename?: 'area_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Area_Var_Samp_Fields = {
    __typename?: 'area_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Area_Variance_Fields = {
    __typename?: 'area_variance_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "auth.account_providers" */
export type Auth_Account_Providers = {
    __typename?: 'auth_account_providers';
    /** An object relationship */
    account: Auth_Accounts;
    account_id: Scalars['uuid'];
    auth_provider: Scalars['String'];
    auth_provider_unique_id: Scalars['String'];
    created_at: Scalars['timestamptz'];
    id: Scalars['uuid'];
    /** An object relationship */
    provider: Auth_Providers;
    provider_access_token?: Maybe<Scalars['String']>;
    provider_refresh_token?: Maybe<Scalars['String']>;
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "auth.account_providers" */
export type Auth_Account_Providers_Aggregate = {
    __typename?: 'auth_account_providers_aggregate';
    aggregate?: Maybe<Auth_Account_Providers_Aggregate_Fields>;
    nodes: Array<Auth_Account_Providers>;
};
export type Auth_Account_Providers_Aggregate_Bool_Exp = {
    count?: InputMaybe<Auth_Account_Providers_Aggregate_Bool_Exp_Count>;
};
export type Auth_Account_Providers_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "auth.account_providers" */
export type Auth_Account_Providers_Aggregate_Fields = {
    __typename?: 'auth_account_providers_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Account_Providers_Max_Fields>;
    min?: Maybe<Auth_Account_Providers_Min_Fields>;
};
/** aggregate fields of "auth.account_providers" */
export type Auth_Account_Providers_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "auth.account_providers" */
export type Auth_Account_Providers_Aggregate_Order_By = {
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Auth_Account_Providers_Max_Order_By>;
    min?: InputMaybe<Auth_Account_Providers_Min_Order_By>;
};
/** input type for inserting array relation for remote table "auth.account_providers" */
export type Auth_Account_Providers_Arr_Rel_Insert_Input = {
    data: Array<Auth_Account_Providers_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Account_Providers_On_Conflict>;
};
/** Boolean expression to filter rows from the table "auth.account_providers". All fields are combined with a logical 'AND'. */
export type Auth_Account_Providers_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Account_Providers_Bool_Exp>>;
    _not?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Account_Providers_Bool_Exp>>;
    account?: InputMaybe<Auth_Accounts_Bool_Exp>;
    account_id?: InputMaybe<Uuid_Comparison_Exp>;
    auth_provider?: InputMaybe<String_Comparison_Exp>;
    auth_provider_unique_id?: InputMaybe<String_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Uuid_Comparison_Exp>;
    provider?: InputMaybe<Auth_Providers_Bool_Exp>;
    provider_access_token?: InputMaybe<String_Comparison_Exp>;
    provider_refresh_token?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "auth.account_providers" */
export declare enum Auth_Account_Providers_Constraint {
    /** unique or primary key constraint on columns "auth_provider", "account_id" */
    AccountProvidersAccountIdAuthProviderKey = "account_providers_account_id_auth_provider_key",
    /** unique or primary key constraint on columns "auth_provider", "auth_provider_unique_id" */
    AccountProvidersAuthProviderAuthProviderUniqueIdKey = "account_providers_auth_provider_auth_provider_unique_id_key",
    /** unique or primary key constraint on columns "id" */
    AccountProvidersPkey = "account_providers_pkey"
}
/** input type for inserting data into table "auth.account_providers" */
export type Auth_Account_Providers_Insert_Input = {
    account?: InputMaybe<Auth_Accounts_Obj_Rel_Insert_Input>;
    account_id?: InputMaybe<Scalars['uuid']>;
    auth_provider?: InputMaybe<Scalars['String']>;
    auth_provider_unique_id?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    provider?: InputMaybe<Auth_Providers_Obj_Rel_Insert_Input>;
    provider_access_token?: InputMaybe<Scalars['String']>;
    provider_refresh_token?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Auth_Account_Providers_Max_Fields = {
    __typename?: 'auth_account_providers_max_fields';
    account_id?: Maybe<Scalars['uuid']>;
    auth_provider?: Maybe<Scalars['String']>;
    auth_provider_unique_id?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    provider_access_token?: Maybe<Scalars['String']>;
    provider_refresh_token?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by max() on columns of table "auth.account_providers" */
export type Auth_Account_Providers_Max_Order_By = {
    account_id?: InputMaybe<Order_By>;
    auth_provider?: InputMaybe<Order_By>;
    auth_provider_unique_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    provider_access_token?: InputMaybe<Order_By>;
    provider_refresh_token?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Auth_Account_Providers_Min_Fields = {
    __typename?: 'auth_account_providers_min_fields';
    account_id?: Maybe<Scalars['uuid']>;
    auth_provider?: Maybe<Scalars['String']>;
    auth_provider_unique_id?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    provider_access_token?: Maybe<Scalars['String']>;
    provider_refresh_token?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by min() on columns of table "auth.account_providers" */
export type Auth_Account_Providers_Min_Order_By = {
    account_id?: InputMaybe<Order_By>;
    auth_provider?: InputMaybe<Order_By>;
    auth_provider_unique_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    provider_access_token?: InputMaybe<Order_By>;
    provider_refresh_token?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "auth.account_providers" */
export type Auth_Account_Providers_Mutation_Response = {
    __typename?: 'auth_account_providers_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Account_Providers>;
};
/** on_conflict condition type for table "auth.account_providers" */
export type Auth_Account_Providers_On_Conflict = {
    constraint: Auth_Account_Providers_Constraint;
    update_columns?: Array<Auth_Account_Providers_Update_Column>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.account_providers". */
export type Auth_Account_Providers_Order_By = {
    account?: InputMaybe<Auth_Accounts_Order_By>;
    account_id?: InputMaybe<Order_By>;
    auth_provider?: InputMaybe<Order_By>;
    auth_provider_unique_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    provider?: InputMaybe<Auth_Providers_Order_By>;
    provider_access_token?: InputMaybe<Order_By>;
    provider_refresh_token?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: auth.account_providers */
export type Auth_Account_Providers_Pk_Columns_Input = {
    id: Scalars['uuid'];
};
/** select columns of table "auth.account_providers" */
export declare enum Auth_Account_Providers_Select_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    AuthProvider = "auth_provider",
    /** column name */
    AuthProviderUniqueId = "auth_provider_unique_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    ProviderAccessToken = "provider_access_token",
    /** column name */
    ProviderRefreshToken = "provider_refresh_token",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "auth.account_providers" */
export type Auth_Account_Providers_Set_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    auth_provider?: InputMaybe<Scalars['String']>;
    auth_provider_unique_id?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    provider_access_token?: InputMaybe<Scalars['String']>;
    provider_refresh_token?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** Streaming cursor of the table "auth_account_providers" */
export type Auth_Account_Providers_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Account_Providers_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Account_Providers_Stream_Cursor_Value_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    auth_provider?: InputMaybe<Scalars['String']>;
    auth_provider_unique_id?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    provider_access_token?: InputMaybe<Scalars['String']>;
    provider_refresh_token?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** update columns of table "auth.account_providers" */
export declare enum Auth_Account_Providers_Update_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    AuthProvider = "auth_provider",
    /** column name */
    AuthProviderUniqueId = "auth_provider_unique_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    ProviderAccessToken = "provider_access_token",
    /** column name */
    ProviderRefreshToken = "provider_refresh_token",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Auth_Account_Providers_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Account_Providers_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Account_Providers_Bool_Exp;
};
/** columns and relationships of "auth.account_roles" */
export type Auth_Account_Roles = {
    __typename?: 'auth_account_roles';
    /** An object relationship */
    account: Auth_Accounts;
    account_id: Scalars['uuid'];
    created_at: Scalars['timestamptz'];
    id: Scalars['uuid'];
    role: Scalars['String'];
    /** An object relationship */
    roleByRole: Auth_Roles;
};
/** aggregated selection of "auth.account_roles" */
export type Auth_Account_Roles_Aggregate = {
    __typename?: 'auth_account_roles_aggregate';
    aggregate?: Maybe<Auth_Account_Roles_Aggregate_Fields>;
    nodes: Array<Auth_Account_Roles>;
};
export type Auth_Account_Roles_Aggregate_Bool_Exp = {
    count?: InputMaybe<Auth_Account_Roles_Aggregate_Bool_Exp_Count>;
};
export type Auth_Account_Roles_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "auth.account_roles" */
export type Auth_Account_Roles_Aggregate_Fields = {
    __typename?: 'auth_account_roles_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Account_Roles_Max_Fields>;
    min?: Maybe<Auth_Account_Roles_Min_Fields>;
};
/** aggregate fields of "auth.account_roles" */
export type Auth_Account_Roles_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "auth.account_roles" */
export type Auth_Account_Roles_Aggregate_Order_By = {
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Auth_Account_Roles_Max_Order_By>;
    min?: InputMaybe<Auth_Account_Roles_Min_Order_By>;
};
/** input type for inserting array relation for remote table "auth.account_roles" */
export type Auth_Account_Roles_Arr_Rel_Insert_Input = {
    data: Array<Auth_Account_Roles_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Account_Roles_On_Conflict>;
};
/** Boolean expression to filter rows from the table "auth.account_roles". All fields are combined with a logical 'AND'. */
export type Auth_Account_Roles_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Account_Roles_Bool_Exp>>;
    _not?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Account_Roles_Bool_Exp>>;
    account?: InputMaybe<Auth_Accounts_Bool_Exp>;
    account_id?: InputMaybe<Uuid_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Uuid_Comparison_Exp>;
    role?: InputMaybe<String_Comparison_Exp>;
    roleByRole?: InputMaybe<Auth_Roles_Bool_Exp>;
};
/** unique or primary key constraints on table "auth.account_roles" */
export declare enum Auth_Account_Roles_Constraint {
    /** unique or primary key constraint on columns "id" */
    AccountRolesPkey = "account_roles_pkey",
    /** unique or primary key constraint on columns "role", "account_id" */
    UserRolesAccountIdRoleKey = "user_roles_account_id_role_key"
}
/** input type for inserting data into table "auth.account_roles" */
export type Auth_Account_Roles_Insert_Input = {
    account?: InputMaybe<Auth_Accounts_Obj_Rel_Insert_Input>;
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    role?: InputMaybe<Scalars['String']>;
    roleByRole?: InputMaybe<Auth_Roles_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Auth_Account_Roles_Max_Fields = {
    __typename?: 'auth_account_roles_max_fields';
    account_id?: Maybe<Scalars['uuid']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    role?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "auth.account_roles" */
export type Auth_Account_Roles_Max_Order_By = {
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    role?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Auth_Account_Roles_Min_Fields = {
    __typename?: 'auth_account_roles_min_fields';
    account_id?: Maybe<Scalars['uuid']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    role?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "auth.account_roles" */
export type Auth_Account_Roles_Min_Order_By = {
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    role?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "auth.account_roles" */
export type Auth_Account_Roles_Mutation_Response = {
    __typename?: 'auth_account_roles_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Account_Roles>;
};
/** on_conflict condition type for table "auth.account_roles" */
export type Auth_Account_Roles_On_Conflict = {
    constraint: Auth_Account_Roles_Constraint;
    update_columns?: Array<Auth_Account_Roles_Update_Column>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.account_roles". */
export type Auth_Account_Roles_Order_By = {
    account?: InputMaybe<Auth_Accounts_Order_By>;
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    role?: InputMaybe<Order_By>;
    roleByRole?: InputMaybe<Auth_Roles_Order_By>;
};
/** primary key columns input for table: auth.account_roles */
export type Auth_Account_Roles_Pk_Columns_Input = {
    id: Scalars['uuid'];
};
/** select columns of table "auth.account_roles" */
export declare enum Auth_Account_Roles_Select_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Role = "role"
}
/** input type for updating data in table "auth.account_roles" */
export type Auth_Account_Roles_Set_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    role?: InputMaybe<Scalars['String']>;
};
/** Streaming cursor of the table "auth_account_roles" */
export type Auth_Account_Roles_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Account_Roles_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Account_Roles_Stream_Cursor_Value_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    role?: InputMaybe<Scalars['String']>;
};
/** update columns of table "auth.account_roles" */
export declare enum Auth_Account_Roles_Update_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Role = "role"
}
export type Auth_Account_Roles_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Account_Roles_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Account_Roles_Bool_Exp;
};
/** columns and relationships of "auth.accounts" */
export type Auth_Accounts = {
    __typename?: 'auth_accounts';
    /** An array relationship */
    account_providers: Array<Auth_Account_Providers>;
    /** An aggregate relationship */
    account_providers_aggregate: Auth_Account_Providers_Aggregate;
    /** An array relationship */
    account_roles: Array<Auth_Account_Roles>;
    /** An aggregate relationship */
    account_roles_aggregate: Auth_Account_Roles_Aggregate;
    active: Scalars['Boolean'];
    created_at: Scalars['timestamptz'];
    custom_register_data?: Maybe<Scalars['jsonb']>;
    default_role: Scalars['String'];
    email?: Maybe<Scalars['citext']>;
    id: Scalars['uuid'];
    is_anonymous: Scalars['Boolean'];
    mfa_enabled: Scalars['Boolean'];
    new_email?: Maybe<Scalars['citext']>;
    otp_secret?: Maybe<Scalars['String']>;
    password_hash?: Maybe<Scalars['String']>;
    /** An array relationship */
    refresh_tokens: Array<Auth_Refresh_Tokens>;
    /** An aggregate relationship */
    refresh_tokens_aggregate: Auth_Refresh_Tokens_Aggregate;
    /** An object relationship */
    role: Auth_Roles;
    ticket: Scalars['uuid'];
    ticket_expires_at: Scalars['timestamptz'];
    updated_at: Scalars['timestamptz'];
    /** An object relationship */
    user: Users;
    user_id: Scalars['uuid'];
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsAccount_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsAccount_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsAccount_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsAccount_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsCustom_Register_DataArgs = {
    path?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsRefresh_TokensArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsRefresh_Tokens_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
/** aggregated selection of "auth.accounts" */
export type Auth_Accounts_Aggregate = {
    __typename?: 'auth_accounts_aggregate';
    aggregate?: Maybe<Auth_Accounts_Aggregate_Fields>;
    nodes: Array<Auth_Accounts>;
};
export type Auth_Accounts_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Auth_Accounts_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Auth_Accounts_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Auth_Accounts_Aggregate_Bool_Exp_Count>;
};
export type Auth_Accounts_Aggregate_Bool_Exp_Bool_And = {
    arguments: Auth_Accounts_Select_Column_Auth_Accounts_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Accounts_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Auth_Accounts_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Auth_Accounts_Select_Column_Auth_Accounts_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Accounts_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Auth_Accounts_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Accounts_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "auth.accounts" */
export type Auth_Accounts_Aggregate_Fields = {
    __typename?: 'auth_accounts_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Accounts_Max_Fields>;
    min?: Maybe<Auth_Accounts_Min_Fields>;
};
/** aggregate fields of "auth.accounts" */
export type Auth_Accounts_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "auth.accounts" */
export type Auth_Accounts_Aggregate_Order_By = {
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Auth_Accounts_Max_Order_By>;
    min?: InputMaybe<Auth_Accounts_Min_Order_By>;
};
/** append existing jsonb value of filtered columns with new jsonb value */
export type Auth_Accounts_Append_Input = {
    custom_register_data?: InputMaybe<Scalars['jsonb']>;
};
/** input type for inserting array relation for remote table "auth.accounts" */
export type Auth_Accounts_Arr_Rel_Insert_Input = {
    data: Array<Auth_Accounts_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Accounts_On_Conflict>;
};
/** Boolean expression to filter rows from the table "auth.accounts". All fields are combined with a logical 'AND'. */
export type Auth_Accounts_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Accounts_Bool_Exp>>;
    _not?: InputMaybe<Auth_Accounts_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Accounts_Bool_Exp>>;
    account_providers?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
    account_providers_aggregate?: InputMaybe<Auth_Account_Providers_Aggregate_Bool_Exp>;
    account_roles?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
    account_roles_aggregate?: InputMaybe<Auth_Account_Roles_Aggregate_Bool_Exp>;
    active?: InputMaybe<Boolean_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    custom_register_data?: InputMaybe<Jsonb_Comparison_Exp>;
    default_role?: InputMaybe<String_Comparison_Exp>;
    email?: InputMaybe<Citext_Comparison_Exp>;
    id?: InputMaybe<Uuid_Comparison_Exp>;
    is_anonymous?: InputMaybe<Boolean_Comparison_Exp>;
    mfa_enabled?: InputMaybe<Boolean_Comparison_Exp>;
    new_email?: InputMaybe<Citext_Comparison_Exp>;
    otp_secret?: InputMaybe<String_Comparison_Exp>;
    password_hash?: InputMaybe<String_Comparison_Exp>;
    refresh_tokens?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
    refresh_tokens_aggregate?: InputMaybe<Auth_Refresh_Tokens_Aggregate_Bool_Exp>;
    role?: InputMaybe<Auth_Roles_Bool_Exp>;
    ticket?: InputMaybe<Uuid_Comparison_Exp>;
    ticket_expires_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    user?: InputMaybe<Users_Bool_Exp>;
    user_id?: InputMaybe<Uuid_Comparison_Exp>;
};
/** unique or primary key constraints on table "auth.accounts" */
export declare enum Auth_Accounts_Constraint {
    /** unique or primary key constraint on columns "email" */
    AccountsEmailKey = "accounts_email_key",
    /** unique or primary key constraint on columns "new_email" */
    AccountsNewEmailKey = "accounts_new_email_key",
    /** unique or primary key constraint on columns "id" */
    AccountsPkey = "accounts_pkey"
}
/** delete the field or element with specified path (for JSON arrays, negative integers count from the end) */
export type Auth_Accounts_Delete_At_Path_Input = {
    custom_register_data?: InputMaybe<Array<Scalars['String']>>;
};
/** delete the array element with specified index (negative integers count from the end). throws an error if top level container is not an array */
export type Auth_Accounts_Delete_Elem_Input = {
    custom_register_data?: InputMaybe<Scalars['Int']>;
};
/** delete key/value pair or string element. key/value pairs are matched based on their key value */
export type Auth_Accounts_Delete_Key_Input = {
    custom_register_data?: InputMaybe<Scalars['String']>;
};
/** input type for inserting data into table "auth.accounts" */
export type Auth_Accounts_Insert_Input = {
    account_providers?: InputMaybe<Auth_Account_Providers_Arr_Rel_Insert_Input>;
    account_roles?: InputMaybe<Auth_Account_Roles_Arr_Rel_Insert_Input>;
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    custom_register_data?: InputMaybe<Scalars['jsonb']>;
    default_role?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['citext']>;
    id?: InputMaybe<Scalars['uuid']>;
    is_anonymous?: InputMaybe<Scalars['Boolean']>;
    mfa_enabled?: InputMaybe<Scalars['Boolean']>;
    new_email?: InputMaybe<Scalars['citext']>;
    otp_secret?: InputMaybe<Scalars['String']>;
    password_hash?: InputMaybe<Scalars['String']>;
    refresh_tokens?: InputMaybe<Auth_Refresh_Tokens_Arr_Rel_Insert_Input>;
    role?: InputMaybe<Auth_Roles_Obj_Rel_Insert_Input>;
    ticket?: InputMaybe<Scalars['uuid']>;
    ticket_expires_at?: InputMaybe<Scalars['timestamptz']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user?: InputMaybe<Users_Obj_Rel_Insert_Input>;
    user_id?: InputMaybe<Scalars['uuid']>;
};
/** aggregate max on columns */
export type Auth_Accounts_Max_Fields = {
    __typename?: 'auth_accounts_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    default_role?: Maybe<Scalars['String']>;
    email?: Maybe<Scalars['citext']>;
    id?: Maybe<Scalars['uuid']>;
    new_email?: Maybe<Scalars['citext']>;
    otp_secret?: Maybe<Scalars['String']>;
    password_hash?: Maybe<Scalars['String']>;
    ticket?: Maybe<Scalars['uuid']>;
    ticket_expires_at?: Maybe<Scalars['timestamptz']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['uuid']>;
};
/** order by max() on columns of table "auth.accounts" */
export type Auth_Accounts_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    default_role?: InputMaybe<Order_By>;
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    new_email?: InputMaybe<Order_By>;
    otp_secret?: InputMaybe<Order_By>;
    password_hash?: InputMaybe<Order_By>;
    ticket?: InputMaybe<Order_By>;
    ticket_expires_at?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Auth_Accounts_Min_Fields = {
    __typename?: 'auth_accounts_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    default_role?: Maybe<Scalars['String']>;
    email?: Maybe<Scalars['citext']>;
    id?: Maybe<Scalars['uuid']>;
    new_email?: Maybe<Scalars['citext']>;
    otp_secret?: Maybe<Scalars['String']>;
    password_hash?: Maybe<Scalars['String']>;
    ticket?: Maybe<Scalars['uuid']>;
    ticket_expires_at?: Maybe<Scalars['timestamptz']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['uuid']>;
};
/** order by min() on columns of table "auth.accounts" */
export type Auth_Accounts_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    default_role?: InputMaybe<Order_By>;
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    new_email?: InputMaybe<Order_By>;
    otp_secret?: InputMaybe<Order_By>;
    password_hash?: InputMaybe<Order_By>;
    ticket?: InputMaybe<Order_By>;
    ticket_expires_at?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "auth.accounts" */
export type Auth_Accounts_Mutation_Response = {
    __typename?: 'auth_accounts_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Accounts>;
};
/** input type for inserting object relation for remote table "auth.accounts" */
export type Auth_Accounts_Obj_Rel_Insert_Input = {
    data: Auth_Accounts_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Accounts_On_Conflict>;
};
/** on_conflict condition type for table "auth.accounts" */
export type Auth_Accounts_On_Conflict = {
    constraint: Auth_Accounts_Constraint;
    update_columns?: Array<Auth_Accounts_Update_Column>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.accounts". */
export type Auth_Accounts_Order_By = {
    account_providers_aggregate?: InputMaybe<Auth_Account_Providers_Aggregate_Order_By>;
    account_roles_aggregate?: InputMaybe<Auth_Account_Roles_Aggregate_Order_By>;
    active?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    custom_register_data?: InputMaybe<Order_By>;
    default_role?: InputMaybe<Order_By>;
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_anonymous?: InputMaybe<Order_By>;
    mfa_enabled?: InputMaybe<Order_By>;
    new_email?: InputMaybe<Order_By>;
    otp_secret?: InputMaybe<Order_By>;
    password_hash?: InputMaybe<Order_By>;
    refresh_tokens_aggregate?: InputMaybe<Auth_Refresh_Tokens_Aggregate_Order_By>;
    role?: InputMaybe<Auth_Roles_Order_By>;
    ticket?: InputMaybe<Order_By>;
    ticket_expires_at?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    user?: InputMaybe<Users_Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: auth.accounts */
export type Auth_Accounts_Pk_Columns_Input = {
    id: Scalars['uuid'];
};
/** prepend existing jsonb value of filtered columns with new jsonb value */
export type Auth_Accounts_Prepend_Input = {
    custom_register_data?: InputMaybe<Scalars['jsonb']>;
};
/** select columns of table "auth.accounts" */
export declare enum Auth_Accounts_Select_Column {
    /** column name */
    Active = "active",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CustomRegisterData = "custom_register_data",
    /** column name */
    DefaultRole = "default_role",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    IsAnonymous = "is_anonymous",
    /** column name */
    MfaEnabled = "mfa_enabled",
    /** column name */
    NewEmail = "new_email",
    /** column name */
    OtpSecret = "otp_secret",
    /** column name */
    PasswordHash = "password_hash",
    /** column name */
    Ticket = "ticket",
    /** column name */
    TicketExpiresAt = "ticket_expires_at",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    UserId = "user_id"
}
/** select "auth_accounts_aggregate_bool_exp_bool_and_arguments_columns" columns of table "auth.accounts" */
export declare enum Auth_Accounts_Select_Column_Auth_Accounts_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    Active = "active",
    /** column name */
    IsAnonymous = "is_anonymous",
    /** column name */
    MfaEnabled = "mfa_enabled"
}
/** select "auth_accounts_aggregate_bool_exp_bool_or_arguments_columns" columns of table "auth.accounts" */
export declare enum Auth_Accounts_Select_Column_Auth_Accounts_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    Active = "active",
    /** column name */
    IsAnonymous = "is_anonymous",
    /** column name */
    MfaEnabled = "mfa_enabled"
}
/** input type for updating data in table "auth.accounts" */
export type Auth_Accounts_Set_Input = {
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    custom_register_data?: InputMaybe<Scalars['jsonb']>;
    default_role?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['citext']>;
    id?: InputMaybe<Scalars['uuid']>;
    is_anonymous?: InputMaybe<Scalars['Boolean']>;
    mfa_enabled?: InputMaybe<Scalars['Boolean']>;
    new_email?: InputMaybe<Scalars['citext']>;
    otp_secret?: InputMaybe<Scalars['String']>;
    password_hash?: InputMaybe<Scalars['String']>;
    ticket?: InputMaybe<Scalars['uuid']>;
    ticket_expires_at?: InputMaybe<Scalars['timestamptz']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['uuid']>;
};
/** Streaming cursor of the table "auth_accounts" */
export type Auth_Accounts_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Accounts_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Accounts_Stream_Cursor_Value_Input = {
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    custom_register_data?: InputMaybe<Scalars['jsonb']>;
    default_role?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['citext']>;
    id?: InputMaybe<Scalars['uuid']>;
    is_anonymous?: InputMaybe<Scalars['Boolean']>;
    mfa_enabled?: InputMaybe<Scalars['Boolean']>;
    new_email?: InputMaybe<Scalars['citext']>;
    otp_secret?: InputMaybe<Scalars['String']>;
    password_hash?: InputMaybe<Scalars['String']>;
    ticket?: InputMaybe<Scalars['uuid']>;
    ticket_expires_at?: InputMaybe<Scalars['timestamptz']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['uuid']>;
};
/** update columns of table "auth.accounts" */
export declare enum Auth_Accounts_Update_Column {
    /** column name */
    Active = "active",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CustomRegisterData = "custom_register_data",
    /** column name */
    DefaultRole = "default_role",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    IsAnonymous = "is_anonymous",
    /** column name */
    MfaEnabled = "mfa_enabled",
    /** column name */
    NewEmail = "new_email",
    /** column name */
    OtpSecret = "otp_secret",
    /** column name */
    PasswordHash = "password_hash",
    /** column name */
    Ticket = "ticket",
    /** column name */
    TicketExpiresAt = "ticket_expires_at",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    UserId = "user_id"
}
export type Auth_Accounts_Updates = {
    /** append existing jsonb value of filtered columns with new jsonb value */
    _append?: InputMaybe<Auth_Accounts_Append_Input>;
    /** delete the field or element with specified path (for JSON arrays, negative integers count from the end) */
    _delete_at_path?: InputMaybe<Auth_Accounts_Delete_At_Path_Input>;
    /** delete the array element with specified index (negative integers count from the end). throws an error if top level container is not an array */
    _delete_elem?: InputMaybe<Auth_Accounts_Delete_Elem_Input>;
    /** delete key/value pair or string element. key/value pairs are matched based on their key value */
    _delete_key?: InputMaybe<Auth_Accounts_Delete_Key_Input>;
    /** prepend existing jsonb value of filtered columns with new jsonb value */
    _prepend?: InputMaybe<Auth_Accounts_Prepend_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Accounts_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Accounts_Bool_Exp;
};
/** columns and relationships of "auth.providers" */
export type Auth_Providers = {
    __typename?: 'auth_providers';
    /** An array relationship */
    account_providers: Array<Auth_Account_Providers>;
    /** An aggregate relationship */
    account_providers_aggregate: Auth_Account_Providers_Aggregate;
    provider: Scalars['String'];
};
/** columns and relationships of "auth.providers" */
export type Auth_ProvidersAccount_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
/** columns and relationships of "auth.providers" */
export type Auth_ProvidersAccount_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
/** aggregated selection of "auth.providers" */
export type Auth_Providers_Aggregate = {
    __typename?: 'auth_providers_aggregate';
    aggregate?: Maybe<Auth_Providers_Aggregate_Fields>;
    nodes: Array<Auth_Providers>;
};
/** aggregate fields of "auth.providers" */
export type Auth_Providers_Aggregate_Fields = {
    __typename?: 'auth_providers_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Providers_Max_Fields>;
    min?: Maybe<Auth_Providers_Min_Fields>;
};
/** aggregate fields of "auth.providers" */
export type Auth_Providers_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Providers_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** Boolean expression to filter rows from the table "auth.providers". All fields are combined with a logical 'AND'. */
export type Auth_Providers_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Providers_Bool_Exp>>;
    _not?: InputMaybe<Auth_Providers_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Providers_Bool_Exp>>;
    account_providers?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
    account_providers_aggregate?: InputMaybe<Auth_Account_Providers_Aggregate_Bool_Exp>;
    provider?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "auth.providers" */
export declare enum Auth_Providers_Constraint {
    /** unique or primary key constraint on columns "provider" */
    ProvidersPkey = "providers_pkey"
}
/** input type for inserting data into table "auth.providers" */
export type Auth_Providers_Insert_Input = {
    account_providers?: InputMaybe<Auth_Account_Providers_Arr_Rel_Insert_Input>;
    provider?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Auth_Providers_Max_Fields = {
    __typename?: 'auth_providers_max_fields';
    provider?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Auth_Providers_Min_Fields = {
    __typename?: 'auth_providers_min_fields';
    provider?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "auth.providers" */
export type Auth_Providers_Mutation_Response = {
    __typename?: 'auth_providers_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Providers>;
};
/** input type for inserting object relation for remote table "auth.providers" */
export type Auth_Providers_Obj_Rel_Insert_Input = {
    data: Auth_Providers_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Providers_On_Conflict>;
};
/** on_conflict condition type for table "auth.providers" */
export type Auth_Providers_On_Conflict = {
    constraint: Auth_Providers_Constraint;
    update_columns?: Array<Auth_Providers_Update_Column>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.providers". */
export type Auth_Providers_Order_By = {
    account_providers_aggregate?: InputMaybe<Auth_Account_Providers_Aggregate_Order_By>;
    provider?: InputMaybe<Order_By>;
};
/** primary key columns input for table: auth.providers */
export type Auth_Providers_Pk_Columns_Input = {
    provider: Scalars['String'];
};
/** select columns of table "auth.providers" */
export declare enum Auth_Providers_Select_Column {
    /** column name */
    Provider = "provider"
}
/** input type for updating data in table "auth.providers" */
export type Auth_Providers_Set_Input = {
    provider?: InputMaybe<Scalars['String']>;
};
/** Streaming cursor of the table "auth_providers" */
export type Auth_Providers_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Providers_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Providers_Stream_Cursor_Value_Input = {
    provider?: InputMaybe<Scalars['String']>;
};
/** update columns of table "auth.providers" */
export declare enum Auth_Providers_Update_Column {
    /** column name */
    Provider = "provider"
}
export type Auth_Providers_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Providers_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Providers_Bool_Exp;
};
/** columns and relationships of "auth.refresh_tokens" */
export type Auth_Refresh_Tokens = {
    __typename?: 'auth_refresh_tokens';
    /** An object relationship */
    account: Auth_Accounts;
    account_id: Scalars['uuid'];
    created_at: Scalars['timestamptz'];
    expires_at: Scalars['timestamptz'];
    refresh_token: Scalars['uuid'];
};
/** aggregated selection of "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Aggregate = {
    __typename?: 'auth_refresh_tokens_aggregate';
    aggregate?: Maybe<Auth_Refresh_Tokens_Aggregate_Fields>;
    nodes: Array<Auth_Refresh_Tokens>;
};
export type Auth_Refresh_Tokens_Aggregate_Bool_Exp = {
    count?: InputMaybe<Auth_Refresh_Tokens_Aggregate_Bool_Exp_Count>;
};
export type Auth_Refresh_Tokens_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Aggregate_Fields = {
    __typename?: 'auth_refresh_tokens_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Refresh_Tokens_Max_Fields>;
    min?: Maybe<Auth_Refresh_Tokens_Min_Fields>;
};
/** aggregate fields of "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Aggregate_Order_By = {
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Auth_Refresh_Tokens_Max_Order_By>;
    min?: InputMaybe<Auth_Refresh_Tokens_Min_Order_By>;
};
/** input type for inserting array relation for remote table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Arr_Rel_Insert_Input = {
    data: Array<Auth_Refresh_Tokens_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Refresh_Tokens_On_Conflict>;
};
/** Boolean expression to filter rows from the table "auth.refresh_tokens". All fields are combined with a logical 'AND'. */
export type Auth_Refresh_Tokens_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Refresh_Tokens_Bool_Exp>>;
    _not?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Refresh_Tokens_Bool_Exp>>;
    account?: InputMaybe<Auth_Accounts_Bool_Exp>;
    account_id?: InputMaybe<Uuid_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    expires_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    refresh_token?: InputMaybe<Uuid_Comparison_Exp>;
};
/** unique or primary key constraints on table "auth.refresh_tokens" */
export declare enum Auth_Refresh_Tokens_Constraint {
    /** unique or primary key constraint on columns "refresh_token" */
    RefreshTokensPkey = "refresh_tokens_pkey"
}
/** input type for inserting data into table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Insert_Input = {
    account?: InputMaybe<Auth_Accounts_Obj_Rel_Insert_Input>;
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    expires_at?: InputMaybe<Scalars['timestamptz']>;
    refresh_token?: InputMaybe<Scalars['uuid']>;
};
/** aggregate max on columns */
export type Auth_Refresh_Tokens_Max_Fields = {
    __typename?: 'auth_refresh_tokens_max_fields';
    account_id?: Maybe<Scalars['uuid']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    expires_at?: Maybe<Scalars['timestamptz']>;
    refresh_token?: Maybe<Scalars['uuid']>;
};
/** order by max() on columns of table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Max_Order_By = {
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    expires_at?: InputMaybe<Order_By>;
    refresh_token?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Auth_Refresh_Tokens_Min_Fields = {
    __typename?: 'auth_refresh_tokens_min_fields';
    account_id?: Maybe<Scalars['uuid']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    expires_at?: Maybe<Scalars['timestamptz']>;
    refresh_token?: Maybe<Scalars['uuid']>;
};
/** order by min() on columns of table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Min_Order_By = {
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    expires_at?: InputMaybe<Order_By>;
    refresh_token?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Mutation_Response = {
    __typename?: 'auth_refresh_tokens_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Refresh_Tokens>;
};
/** on_conflict condition type for table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_On_Conflict = {
    constraint: Auth_Refresh_Tokens_Constraint;
    update_columns?: Array<Auth_Refresh_Tokens_Update_Column>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.refresh_tokens". */
export type Auth_Refresh_Tokens_Order_By = {
    account?: InputMaybe<Auth_Accounts_Order_By>;
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    expires_at?: InputMaybe<Order_By>;
    refresh_token?: InputMaybe<Order_By>;
};
/** primary key columns input for table: auth.refresh_tokens */
export type Auth_Refresh_Tokens_Pk_Columns_Input = {
    refresh_token: Scalars['uuid'];
};
/** select columns of table "auth.refresh_tokens" */
export declare enum Auth_Refresh_Tokens_Select_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    ExpiresAt = "expires_at",
    /** column name */
    RefreshToken = "refresh_token"
}
/** input type for updating data in table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Set_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    expires_at?: InputMaybe<Scalars['timestamptz']>;
    refresh_token?: InputMaybe<Scalars['uuid']>;
};
/** Streaming cursor of the table "auth_refresh_tokens" */
export type Auth_Refresh_Tokens_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Refresh_Tokens_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Refresh_Tokens_Stream_Cursor_Value_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    expires_at?: InputMaybe<Scalars['timestamptz']>;
    refresh_token?: InputMaybe<Scalars['uuid']>;
};
/** update columns of table "auth.refresh_tokens" */
export declare enum Auth_Refresh_Tokens_Update_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    ExpiresAt = "expires_at",
    /** column name */
    RefreshToken = "refresh_token"
}
export type Auth_Refresh_Tokens_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Refresh_Tokens_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Refresh_Tokens_Bool_Exp;
};
/** columns and relationships of "auth.roles" */
export type Auth_Roles = {
    __typename?: 'auth_roles';
    /** An array relationship */
    account_roles: Array<Auth_Account_Roles>;
    /** An aggregate relationship */
    account_roles_aggregate: Auth_Account_Roles_Aggregate;
    /** An array relationship */
    accounts: Array<Auth_Accounts>;
    /** An aggregate relationship */
    accounts_aggregate: Auth_Accounts_Aggregate;
    role: Scalars['String'];
};
/** columns and relationships of "auth.roles" */
export type Auth_RolesAccount_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
/** columns and relationships of "auth.roles" */
export type Auth_RolesAccount_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
/** columns and relationships of "auth.roles" */
export type Auth_RolesAccountsArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
/** columns and relationships of "auth.roles" */
export type Auth_RolesAccounts_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
/** aggregated selection of "auth.roles" */
export type Auth_Roles_Aggregate = {
    __typename?: 'auth_roles_aggregate';
    aggregate?: Maybe<Auth_Roles_Aggregate_Fields>;
    nodes: Array<Auth_Roles>;
};
/** aggregate fields of "auth.roles" */
export type Auth_Roles_Aggregate_Fields = {
    __typename?: 'auth_roles_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Roles_Max_Fields>;
    min?: Maybe<Auth_Roles_Min_Fields>;
};
/** aggregate fields of "auth.roles" */
export type Auth_Roles_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Roles_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** Boolean expression to filter rows from the table "auth.roles". All fields are combined with a logical 'AND'. */
export type Auth_Roles_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Roles_Bool_Exp>>;
    _not?: InputMaybe<Auth_Roles_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Roles_Bool_Exp>>;
    account_roles?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
    account_roles_aggregate?: InputMaybe<Auth_Account_Roles_Aggregate_Bool_Exp>;
    accounts?: InputMaybe<Auth_Accounts_Bool_Exp>;
    accounts_aggregate?: InputMaybe<Auth_Accounts_Aggregate_Bool_Exp>;
    role?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "auth.roles" */
export declare enum Auth_Roles_Constraint {
    /** unique or primary key constraint on columns "role" */
    RolesPkey = "roles_pkey"
}
/** input type for inserting data into table "auth.roles" */
export type Auth_Roles_Insert_Input = {
    account_roles?: InputMaybe<Auth_Account_Roles_Arr_Rel_Insert_Input>;
    accounts?: InputMaybe<Auth_Accounts_Arr_Rel_Insert_Input>;
    role?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Auth_Roles_Max_Fields = {
    __typename?: 'auth_roles_max_fields';
    role?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Auth_Roles_Min_Fields = {
    __typename?: 'auth_roles_min_fields';
    role?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "auth.roles" */
export type Auth_Roles_Mutation_Response = {
    __typename?: 'auth_roles_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Roles>;
};
/** input type for inserting object relation for remote table "auth.roles" */
export type Auth_Roles_Obj_Rel_Insert_Input = {
    data: Auth_Roles_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Roles_On_Conflict>;
};
/** on_conflict condition type for table "auth.roles" */
export type Auth_Roles_On_Conflict = {
    constraint: Auth_Roles_Constraint;
    update_columns?: Array<Auth_Roles_Update_Column>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.roles". */
export type Auth_Roles_Order_By = {
    account_roles_aggregate?: InputMaybe<Auth_Account_Roles_Aggregate_Order_By>;
    accounts_aggregate?: InputMaybe<Auth_Accounts_Aggregate_Order_By>;
    role?: InputMaybe<Order_By>;
};
/** primary key columns input for table: auth.roles */
export type Auth_Roles_Pk_Columns_Input = {
    role: Scalars['String'];
};
/** select columns of table "auth.roles" */
export declare enum Auth_Roles_Select_Column {
    /** column name */
    Role = "role"
}
/** input type for updating data in table "auth.roles" */
export type Auth_Roles_Set_Input = {
    role?: InputMaybe<Scalars['String']>;
};
/** Streaming cursor of the table "auth_roles" */
export type Auth_Roles_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Roles_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Roles_Stream_Cursor_Value_Input = {
    role?: InputMaybe<Scalars['String']>;
};
/** update columns of table "auth.roles" */
export declare enum Auth_Roles_Update_Column {
    /** column name */
    Role = "role"
}
export type Auth_Roles_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Roles_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Roles_Bool_Exp;
};
/** columns and relationships of "badge" */
export type Badge = {
    __typename?: 'badge';
    /** An object relationship */
    badgeType: Badge_Type;
    badge_type_id: Scalars['Int'];
    id: Scalars['Int'];
    receiver_id: Scalars['Int'];
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregated selection of "badge" */
export type Badge_Aggregate = {
    __typename?: 'badge_aggregate';
    aggregate?: Maybe<Badge_Aggregate_Fields>;
    nodes: Array<Badge>;
};
/** aggregate fields of "badge" */
export type Badge_Aggregate_Fields = {
    __typename?: 'badge_aggregate_fields';
    avg?: Maybe<Badge_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Badge_Max_Fields>;
    min?: Maybe<Badge_Min_Fields>;
    stddev?: Maybe<Badge_Stddev_Fields>;
    stddev_pop?: Maybe<Badge_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Badge_Stddev_Samp_Fields>;
    sum?: Maybe<Badge_Sum_Fields>;
    var_pop?: Maybe<Badge_Var_Pop_Fields>;
    var_samp?: Maybe<Badge_Var_Samp_Fields>;
    variance?: Maybe<Badge_Variance_Fields>;
};
/** aggregate fields of "badge" */
export type Badge_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Badge_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Badge_Avg_Fields = {
    __typename?: 'badge_avg_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "badge". All fields are combined with a logical 'AND'. */
export type Badge_Bool_Exp = {
    _and?: InputMaybe<Array<Badge_Bool_Exp>>;
    _not?: InputMaybe<Badge_Bool_Exp>;
    _or?: InputMaybe<Array<Badge_Bool_Exp>>;
    badgeType?: InputMaybe<Badge_Type_Bool_Exp>;
    badge_type_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    receiver_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** columns and relationships of "badge_category" */
export type Badge_Category = {
    __typename?: 'badge_category';
    default_static_term_min?: Maybe<Scalars['Int']>;
    description: Scalars['String'];
    id: Scalars['Int'];
    is_checked_every_login: Scalars['Boolean'];
    is_checked_static_batch: Scalars['Boolean'];
    ready: Scalars['Boolean'];
    title: Scalars['String'];
};
/** aggregated selection of "badge_category" */
export type Badge_Category_Aggregate = {
    __typename?: 'badge_category_aggregate';
    aggregate?: Maybe<Badge_Category_Aggregate_Fields>;
    nodes: Array<Badge_Category>;
};
/** aggregate fields of "badge_category" */
export type Badge_Category_Aggregate_Fields = {
    __typename?: 'badge_category_aggregate_fields';
    avg?: Maybe<Badge_Category_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Badge_Category_Max_Fields>;
    min?: Maybe<Badge_Category_Min_Fields>;
    stddev?: Maybe<Badge_Category_Stddev_Fields>;
    stddev_pop?: Maybe<Badge_Category_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Badge_Category_Stddev_Samp_Fields>;
    sum?: Maybe<Badge_Category_Sum_Fields>;
    var_pop?: Maybe<Badge_Category_Var_Pop_Fields>;
    var_samp?: Maybe<Badge_Category_Var_Samp_Fields>;
    variance?: Maybe<Badge_Category_Variance_Fields>;
};
/** aggregate fields of "badge_category" */
export type Badge_Category_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Badge_Category_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Badge_Category_Avg_Fields = {
    __typename?: 'badge_category_avg_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "badge_category". All fields are combined with a logical 'AND'. */
export type Badge_Category_Bool_Exp = {
    _and?: InputMaybe<Array<Badge_Category_Bool_Exp>>;
    _not?: InputMaybe<Badge_Category_Bool_Exp>;
    _or?: InputMaybe<Array<Badge_Category_Bool_Exp>>;
    default_static_term_min?: InputMaybe<Int_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_checked_every_login?: InputMaybe<Boolean_Comparison_Exp>;
    is_checked_static_batch?: InputMaybe<Boolean_Comparison_Exp>;
    ready?: InputMaybe<Boolean_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "badge_category" */
export declare enum Badge_Category_Constraint {
    /** unique or primary key constraint on columns "id" */
    BadgeCategoryPkey = "badge_category_pkey",
    /** unique or primary key constraint on columns "title" */
    BadgeCategoryTitleKey = "badge_category_title_key"
}
/** input type for incrementing numeric columns in table "badge_category" */
export type Badge_Category_Inc_Input = {
    default_static_term_min?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "badge_category" */
export type Badge_Category_Insert_Input = {
    default_static_term_min?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    ready?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Badge_Category_Max_Fields = {
    __typename?: 'badge_category_max_fields';
    default_static_term_min?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Badge_Category_Min_Fields = {
    __typename?: 'badge_category_min_fields';
    default_static_term_min?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "badge_category" */
export type Badge_Category_Mutation_Response = {
    __typename?: 'badge_category_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Badge_Category>;
};
/** input type for inserting object relation for remote table "badge_category" */
export type Badge_Category_Obj_Rel_Insert_Input = {
    data: Badge_Category_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Badge_Category_On_Conflict>;
};
/** on_conflict condition type for table "badge_category" */
export type Badge_Category_On_Conflict = {
    constraint: Badge_Category_Constraint;
    update_columns?: Array<Badge_Category_Update_Column>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
/** Ordering options when selecting data from "badge_category". */
export type Badge_Category_Order_By = {
    default_static_term_min?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_checked_every_login?: InputMaybe<Order_By>;
    is_checked_static_batch?: InputMaybe<Order_By>;
    ready?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: badge_category */
export type Badge_Category_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "badge_category" */
export declare enum Badge_Category_Select_Column {
    /** column name */
    DefaultStaticTermMin = "default_static_term_min",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsCheckedEveryLogin = "is_checked_every_login",
    /** column name */
    IsCheckedStaticBatch = "is_checked_static_batch",
    /** column name */
    Ready = "ready",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "badge_category" */
export type Badge_Category_Set_Input = {
    default_static_term_min?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    ready?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Badge_Category_Stddev_Fields = {
    __typename?: 'badge_category_stddev_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Badge_Category_Stddev_Pop_Fields = {
    __typename?: 'badge_category_stddev_pop_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Badge_Category_Stddev_Samp_Fields = {
    __typename?: 'badge_category_stddev_samp_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "badge_category" */
export type Badge_Category_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Badge_Category_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Badge_Category_Stream_Cursor_Value_Input = {
    default_static_term_min?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    ready?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Badge_Category_Sum_Fields = {
    __typename?: 'badge_category_sum_fields';
    default_static_term_min?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "badge_category" */
export declare enum Badge_Category_Update_Column {
    /** column name */
    DefaultStaticTermMin = "default_static_term_min",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsCheckedEveryLogin = "is_checked_every_login",
    /** column name */
    IsCheckedStaticBatch = "is_checked_static_batch",
    /** column name */
    Ready = "ready",
    /** column name */
    Title = "title"
}
export type Badge_Category_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Badge_Category_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Badge_Category_Set_Input>;
    /** filter the rows which have to be updated */
    where: Badge_Category_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Badge_Category_Var_Pop_Fields = {
    __typename?: 'badge_category_var_pop_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Badge_Category_Var_Samp_Fields = {
    __typename?: 'badge_category_var_samp_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Badge_Category_Variance_Fields = {
    __typename?: 'badge_category_variance_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** unique or primary key constraints on table "badge" */
export declare enum Badge_Constraint {
    /** unique or primary key constraint on columns "id" */
    BadgePkey = "badge_pkey",
    /** unique or primary key constraint on columns "receiver_id", "badge_type_id" */
    BadgeReceiverIdBadgeTypeIdKey = "badge_receiver_id_badge_type_id_key"
}
/** input type for incrementing numeric columns in table "badge" */
export type Badge_Inc_Input = {
    badge_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "badge" */
export type Badge_Insert_Input = {
    badgeType?: InputMaybe<Badge_Type_Obj_Rel_Insert_Input>;
    badge_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Badge_Max_Fields = {
    __typename?: 'badge_max_fields';
    badge_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Badge_Min_Fields = {
    __typename?: 'badge_min_fields';
    badge_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "badge" */
export type Badge_Mutation_Response = {
    __typename?: 'badge_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Badge>;
};
/** on_conflict condition type for table "badge" */
export type Badge_On_Conflict = {
    constraint: Badge_Constraint;
    update_columns?: Array<Badge_Update_Column>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
/** Ordering options when selecting data from "badge". */
export type Badge_Order_By = {
    badgeType?: InputMaybe<Badge_Type_Order_By>;
    badge_type_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    receiver_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: badge */
export type Badge_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "badge" */
export declare enum Badge_Select_Column {
    /** column name */
    BadgeTypeId = "badge_type_id",
    /** column name */
    Id = "id",
    /** column name */
    ReceiverId = "receiver_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "badge" */
export type Badge_Set_Input = {
    badge_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Badge_Stddev_Fields = {
    __typename?: 'badge_stddev_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Badge_Stddev_Pop_Fields = {
    __typename?: 'badge_stddev_pop_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Badge_Stddev_Samp_Fields = {
    __typename?: 'badge_stddev_samp_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "badge" */
export type Badge_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Badge_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Badge_Stream_Cursor_Value_Input = {
    badge_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Badge_Sum_Fields = {
    __typename?: 'badge_sum_fields';
    badge_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "badge_type" */
export type Badge_Type = {
    __typename?: 'badge_type';
    description: Scalars['String'];
    /** An object relationship */
    evaluator?: Maybe<Evaluator>;
    evaluator_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    height?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_about_game: Scalars['Boolean'];
    is_by_user: Scalars['Boolean'];
    is_checked_every_login: Scalars['Boolean'];
    is_checked_static_batch: Scalars['Boolean'];
    name: Scalars['String'];
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri: Scalars['String'];
    width?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "badge_type" */
export type Badge_Type_Aggregate = {
    __typename?: 'badge_type_aggregate';
    aggregate?: Maybe<Badge_Type_Aggregate_Fields>;
    nodes: Array<Badge_Type>;
};
/** aggregate fields of "badge_type" */
export type Badge_Type_Aggregate_Fields = {
    __typename?: 'badge_type_aggregate_fields';
    avg?: Maybe<Badge_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Badge_Type_Max_Fields>;
    min?: Maybe<Badge_Type_Min_Fields>;
    stddev?: Maybe<Badge_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Badge_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Badge_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Badge_Type_Sum_Fields>;
    var_pop?: Maybe<Badge_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Badge_Type_Var_Samp_Fields>;
    variance?: Maybe<Badge_Type_Variance_Fields>;
};
/** aggregate fields of "badge_type" */
export type Badge_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Badge_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Badge_Type_Avg_Fields = {
    __typename?: 'badge_type_avg_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "badge_type". All fields are combined with a logical 'AND'. */
export type Badge_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Badge_Type_Bool_Exp>>;
    _not?: InputMaybe<Badge_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Badge_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    evaluator?: InputMaybe<Evaluator_Bool_Exp>;
    evaluator_id?: InputMaybe<Int_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    height?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_about_game?: InputMaybe<Boolean_Comparison_Exp>;
    is_by_user?: InputMaybe<Boolean_Comparison_Exp>;
    is_checked_every_login?: InputMaybe<Boolean_Comparison_Exp>;
    is_checked_static_batch?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    uri?: InputMaybe<String_Comparison_Exp>;
    width?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "badge_type" */
export declare enum Badge_Type_Constraint {
    /** unique or primary key constraint on columns "name" */
    BadgeTypeNameKey = "badge_type_name_key",
    /** unique or primary key constraint on columns "id" */
    BadgeTypePkey = "badge_type_pkey"
}
/** input type for incrementing numeric columns in table "badge_type" */
export type Badge_Type_Inc_Input = {
    evaluator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    height?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    width?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "badge_type" */
export type Badge_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    evaluator?: InputMaybe<Evaluator_Obj_Rel_Insert_Input>;
    evaluator_id?: InputMaybe<Scalars['Int']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    height?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_game?: InputMaybe<Scalars['Boolean']>;
    is_by_user?: InputMaybe<Scalars['Boolean']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
    width?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Badge_Type_Max_Fields = {
    __typename?: 'badge_type_max_fields';
    description?: Maybe<Scalars['String']>;
    evaluator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    height?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri?: Maybe<Scalars['String']>;
    width?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Badge_Type_Min_Fields = {
    __typename?: 'badge_type_min_fields';
    description?: Maybe<Scalars['String']>;
    evaluator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    height?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri?: Maybe<Scalars['String']>;
    width?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "badge_type" */
export type Badge_Type_Mutation_Response = {
    __typename?: 'badge_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Badge_Type>;
};
/** input type for inserting object relation for remote table "badge_type" */
export type Badge_Type_Obj_Rel_Insert_Input = {
    data: Badge_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Badge_Type_On_Conflict>;
};
/** on_conflict condition type for table "badge_type" */
export type Badge_Type_On_Conflict = {
    constraint: Badge_Type_Constraint;
    update_columns?: Array<Badge_Type_Update_Column>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "badge_type". */
export type Badge_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    evaluator?: InputMaybe<Evaluator_Order_By>;
    evaluator_id?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    height?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_about_game?: InputMaybe<Order_By>;
    is_by_user?: InputMaybe<Order_By>;
    is_checked_every_login?: InputMaybe<Order_By>;
    is_checked_static_batch?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
    width?: InputMaybe<Order_By>;
};
/** primary key columns input for table: badge_type */
export type Badge_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "badge_type" */
export declare enum Badge_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    EvaluatorId = "evaluator_id",
    /** column name */
    GameId = "game_id",
    /** column name */
    Height = "height",
    /** column name */
    Id = "id",
    /** column name */
    IsAboutGame = "is_about_game",
    /** column name */
    IsByUser = "is_by_user",
    /** column name */
    IsCheckedEveryLogin = "is_checked_every_login",
    /** column name */
    IsCheckedStaticBatch = "is_checked_static_batch",
    /** column name */
    Name = "name",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Uri = "uri",
    /** column name */
    Width = "width"
}
/** input type for updating data in table "badge_type" */
export type Badge_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    evaluator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    height?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_game?: InputMaybe<Scalars['Boolean']>;
    is_by_user?: InputMaybe<Scalars['Boolean']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
    width?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Badge_Type_Stddev_Fields = {
    __typename?: 'badge_type_stddev_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Badge_Type_Stddev_Pop_Fields = {
    __typename?: 'badge_type_stddev_pop_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Badge_Type_Stddev_Samp_Fields = {
    __typename?: 'badge_type_stddev_samp_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "badge_type" */
export type Badge_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Badge_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Badge_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    evaluator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    height?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_game?: InputMaybe<Scalars['Boolean']>;
    is_by_user?: InputMaybe<Scalars['Boolean']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
    width?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Badge_Type_Sum_Fields = {
    __typename?: 'badge_type_sum_fields';
    evaluator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    height?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    width?: Maybe<Scalars['Int']>;
};
/** update columns of table "badge_type" */
export declare enum Badge_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    EvaluatorId = "evaluator_id",
    /** column name */
    GameId = "game_id",
    /** column name */
    Height = "height",
    /** column name */
    Id = "id",
    /** column name */
    IsAboutGame = "is_about_game",
    /** column name */
    IsByUser = "is_by_user",
    /** column name */
    IsCheckedEveryLogin = "is_checked_every_login",
    /** column name */
    IsCheckedStaticBatch = "is_checked_static_batch",
    /** column name */
    Name = "name",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Uri = "uri",
    /** column name */
    Width = "width"
}
export type Badge_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Badge_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Badge_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Badge_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Badge_Type_Var_Pop_Fields = {
    __typename?: 'badge_type_var_pop_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Badge_Type_Var_Samp_Fields = {
    __typename?: 'badge_type_var_samp_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Badge_Type_Variance_Fields = {
    __typename?: 'badge_type_variance_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** update columns of table "badge" */
export declare enum Badge_Update_Column {
    /** column name */
    BadgeTypeId = "badge_type_id",
    /** column name */
    Id = "id",
    /** column name */
    ReceiverId = "receiver_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Badge_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Badge_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Badge_Set_Input>;
    /** filter the rows which have to be updated */
    where: Badge_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Badge_Var_Pop_Fields = {
    __typename?: 'badge_var_pop_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Badge_Var_Samp_Fields = {
    __typename?: 'badge_var_samp_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Badge_Variance_Fields = {
    __typename?: 'badge_variance_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "batch" */
export type Batch = {
    __typename?: 'batch';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_running: Scalars['Boolean'];
    is_static: Scalars['Boolean'];
    name: Scalars['String'];
    static_term_min?: Maybe<Scalars['Int']>;
    url: Scalars['String'];
};
/** aggregated selection of "batch" */
export type Batch_Aggregate = {
    __typename?: 'batch_aggregate';
    aggregate?: Maybe<Batch_Aggregate_Fields>;
    nodes: Array<Batch>;
};
/** aggregate fields of "batch" */
export type Batch_Aggregate_Fields = {
    __typename?: 'batch_aggregate_fields';
    avg?: Maybe<Batch_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Batch_Max_Fields>;
    min?: Maybe<Batch_Min_Fields>;
    stddev?: Maybe<Batch_Stddev_Fields>;
    stddev_pop?: Maybe<Batch_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Batch_Stddev_Samp_Fields>;
    sum?: Maybe<Batch_Sum_Fields>;
    var_pop?: Maybe<Batch_Var_Pop_Fields>;
    var_samp?: Maybe<Batch_Var_Samp_Fields>;
    variance?: Maybe<Batch_Variance_Fields>;
};
/** aggregate fields of "batch" */
export type Batch_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Batch_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Batch_Avg_Fields = {
    __typename?: 'batch_avg_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "batch". All fields are combined with a logical 'AND'. */
export type Batch_Bool_Exp = {
    _and?: InputMaybe<Array<Batch_Bool_Exp>>;
    _not?: InputMaybe<Batch_Bool_Exp>;
    _or?: InputMaybe<Array<Batch_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_running?: InputMaybe<Boolean_Comparison_Exp>;
    is_static?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    static_term_min?: InputMaybe<Int_Comparison_Exp>;
    url?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "batch" */
export declare enum Batch_Constraint {
    /** unique or primary key constraint on columns "id" */
    BatchPkey = "batch_pkey"
}
/** input type for incrementing numeric columns in table "batch" */
export type Batch_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    static_term_min?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "batch" */
export type Batch_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    static_term_min?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Batch_Max_Fields = {
    __typename?: 'batch_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    static_term_min?: Maybe<Scalars['Int']>;
    url?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Batch_Min_Fields = {
    __typename?: 'batch_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    static_term_min?: Maybe<Scalars['Int']>;
    url?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "batch" */
export type Batch_Mutation_Response = {
    __typename?: 'batch_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Batch>;
};
/** input type for inserting object relation for remote table "batch" */
export type Batch_Obj_Rel_Insert_Input = {
    data: Batch_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Batch_On_Conflict>;
};
/** on_conflict condition type for table "batch" */
export type Batch_On_Conflict = {
    constraint: Batch_Constraint;
    update_columns?: Array<Batch_Update_Column>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
/** Ordering options when selecting data from "batch". */
export type Batch_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_running?: InputMaybe<Order_By>;
    is_static?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    static_term_min?: InputMaybe<Order_By>;
    url?: InputMaybe<Order_By>;
};
/** primary key columns input for table: batch */
export type Batch_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "batch" */
export declare enum Batch_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsStatic = "is_static",
    /** column name */
    Name = "name",
    /** column name */
    StaticTermMin = "static_term_min",
    /** column name */
    Url = "url"
}
/** input type for updating data in table "batch" */
export type Batch_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    static_term_min?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Batch_Stddev_Fields = {
    __typename?: 'batch_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Batch_Stddev_Pop_Fields = {
    __typename?: 'batch_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Batch_Stddev_Samp_Fields = {
    __typename?: 'batch_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "batch" */
export type Batch_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Batch_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Batch_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    static_term_min?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Batch_Sum_Fields = {
    __typename?: 'batch_sum_fields';
    id?: Maybe<Scalars['Int']>;
    static_term_min?: Maybe<Scalars['Int']>;
};
/** update columns of table "batch" */
export declare enum Batch_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsStatic = "is_static",
    /** column name */
    Name = "name",
    /** column name */
    StaticTermMin = "static_term_min",
    /** column name */
    Url = "url"
}
export type Batch_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Batch_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Batch_Set_Input>;
    /** filter the rows which have to be updated */
    where: Batch_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Batch_Var_Pop_Fields = {
    __typename?: 'batch_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Batch_Var_Samp_Fields = {
    __typename?: 'batch_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Batch_Variance_Fields = {
    __typename?: 'batch_variance_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** Boolean expression to compare columns of type "bigint". All fields are combined with logical 'AND'. */
export type Bigint_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['bigint']>;
    _gt?: InputMaybe<Scalars['bigint']>;
    _gte?: InputMaybe<Scalars['bigint']>;
    _in?: InputMaybe<Array<Scalars['bigint']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['bigint']>;
    _lte?: InputMaybe<Scalars['bigint']>;
    _neq?: InputMaybe<Scalars['bigint']>;
    _nin?: InputMaybe<Array<Scalars['bigint']>>;
};
/** columns and relationships of "blueprint" */
export type Blueprint = {
    __typename?: 'blueprint';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    /** An object relationship */
    designerTreasureUser?: Maybe<Treasure_User>;
    id: Scalars['Int'];
    modified_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    quest?: Maybe<Quest>;
    quest_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    segment?: Maybe<Segment>;
    segment_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "blueprint" */
export type Blueprint_Aggregate = {
    __typename?: 'blueprint_aggregate';
    aggregate?: Maybe<Blueprint_Aggregate_Fields>;
    nodes: Array<Blueprint>;
};
/** aggregate fields of "blueprint" */
export type Blueprint_Aggregate_Fields = {
    __typename?: 'blueprint_aggregate_fields';
    avg?: Maybe<Blueprint_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Blueprint_Max_Fields>;
    min?: Maybe<Blueprint_Min_Fields>;
    stddev?: Maybe<Blueprint_Stddev_Fields>;
    stddev_pop?: Maybe<Blueprint_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Blueprint_Stddev_Samp_Fields>;
    sum?: Maybe<Blueprint_Sum_Fields>;
    var_pop?: Maybe<Blueprint_Var_Pop_Fields>;
    var_samp?: Maybe<Blueprint_Var_Samp_Fields>;
    variance?: Maybe<Blueprint_Variance_Fields>;
};
/** aggregate fields of "blueprint" */
export type Blueprint_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Blueprint_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Blueprint_Avg_Fields = {
    __typename?: 'blueprint_avg_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "blueprint". All fields are combined with a logical 'AND'. */
export type Blueprint_Bool_Exp = {
    _and?: InputMaybe<Array<Blueprint_Bool_Exp>>;
    _not?: InputMaybe<Blueprint_Bool_Exp>;
    _or?: InputMaybe<Array<Blueprint_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    designer?: InputMaybe<Int_Comparison_Exp>;
    designerTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    modified_at?: InputMaybe<Timestamp_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    quest_id?: InputMaybe<Int_Comparison_Exp>;
    segment?: InputMaybe<Segment_Bool_Exp>;
    segment_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "blueprint" */
export declare enum Blueprint_Constraint {
    /** unique or primary key constraint on columns "id" */
    BlueprintPkey = "blueprint_pkey"
}
/** input type for incrementing numeric columns in table "blueprint" */
export type Blueprint_Inc_Input = {
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "blueprint" */
export type Blueprint_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    designerTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment?: InputMaybe<Segment_Obj_Rel_Insert_Input>;
    segment_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Blueprint_Max_Fields = {
    __typename?: 'blueprint_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    modified_at?: Maybe<Scalars['timestamp']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Blueprint_Min_Fields = {
    __typename?: 'blueprint_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    modified_at?: Maybe<Scalars['timestamp']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "blueprint" */
export type Blueprint_Mutation_Response = {
    __typename?: 'blueprint_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Blueprint>;
};
/** input type for inserting object relation for remote table "blueprint" */
export type Blueprint_Obj_Rel_Insert_Input = {
    data: Blueprint_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Blueprint_On_Conflict>;
};
/** on_conflict condition type for table "blueprint" */
export type Blueprint_On_Conflict = {
    constraint: Blueprint_Constraint;
    update_columns?: Array<Blueprint_Update_Column>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
/** Ordering options when selecting data from "blueprint". */
export type Blueprint_Order_By = {
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    designer?: InputMaybe<Order_By>;
    designerTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    id?: InputMaybe<Order_By>;
    modified_at?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Segment_Order_By>;
    segment_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: blueprint */
export type Blueprint_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "blueprint" */
export declare enum Blueprint_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Designer = "designer",
    /** column name */
    Id = "id",
    /** column name */
    ModifiedAt = "modified_at",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "blueprint" */
export type Blueprint_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Blueprint_Stddev_Fields = {
    __typename?: 'blueprint_stddev_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Blueprint_Stddev_Pop_Fields = {
    __typename?: 'blueprint_stddev_pop_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Blueprint_Stddev_Samp_Fields = {
    __typename?: 'blueprint_stddev_samp_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "blueprint" */
export type Blueprint_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Blueprint_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Blueprint_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Blueprint_Sum_Fields = {
    __typename?: 'blueprint_sum_fields';
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "blueprint" */
export declare enum Blueprint_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Designer = "designer",
    /** column name */
    Id = "id",
    /** column name */
    ModifiedAt = "modified_at",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    Title = "title"
}
export type Blueprint_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Blueprint_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Blueprint_Set_Input>;
    /** filter the rows which have to be updated */
    where: Blueprint_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Blueprint_Var_Pop_Fields = {
    __typename?: 'blueprint_var_pop_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Blueprint_Var_Samp_Fields = {
    __typename?: 'blueprint_var_samp_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Blueprint_Variance_Fields = {
    __typename?: 'blueprint_variance_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "business_model_type" */
export type Business_Model_Type = {
    __typename?: 'business_model_type';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "business_model_type" */
export type Business_Model_Type_Aggregate = {
    __typename?: 'business_model_type_aggregate';
    aggregate?: Maybe<Business_Model_Type_Aggregate_Fields>;
    nodes: Array<Business_Model_Type>;
};
/** aggregate fields of "business_model_type" */
export type Business_Model_Type_Aggregate_Fields = {
    __typename?: 'business_model_type_aggregate_fields';
    avg?: Maybe<Business_Model_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Business_Model_Type_Max_Fields>;
    min?: Maybe<Business_Model_Type_Min_Fields>;
    stddev?: Maybe<Business_Model_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Business_Model_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Business_Model_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Business_Model_Type_Sum_Fields>;
    var_pop?: Maybe<Business_Model_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Business_Model_Type_Var_Samp_Fields>;
    variance?: Maybe<Business_Model_Type_Variance_Fields>;
};
/** aggregate fields of "business_model_type" */
export type Business_Model_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Business_Model_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Business_Model_Type_Avg_Fields = {
    __typename?: 'business_model_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "business_model_type". All fields are combined with a logical 'AND'. */
export type Business_Model_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Business_Model_Type_Bool_Exp>>;
    _not?: InputMaybe<Business_Model_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Business_Model_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "business_model_type" */
export declare enum Business_Model_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    BusinessModelTypePkey = "business_model_type_pkey"
}
/** input type for incrementing numeric columns in table "business_model_type" */
export type Business_Model_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "business_model_type" */
export type Business_Model_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Business_Model_Type_Max_Fields = {
    __typename?: 'business_model_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Business_Model_Type_Min_Fields = {
    __typename?: 'business_model_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "business_model_type" */
export type Business_Model_Type_Mutation_Response = {
    __typename?: 'business_model_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Business_Model_Type>;
};
/** input type for inserting object relation for remote table "business_model_type" */
export type Business_Model_Type_Obj_Rel_Insert_Input = {
    data: Business_Model_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Business_Model_Type_On_Conflict>;
};
/** on_conflict condition type for table "business_model_type" */
export type Business_Model_Type_On_Conflict = {
    constraint: Business_Model_Type_Constraint;
    update_columns?: Array<Business_Model_Type_Update_Column>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "business_model_type". */
export type Business_Model_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: business_model_type */
export type Business_Model_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "business_model_type" */
export declare enum Business_Model_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "business_model_type" */
export type Business_Model_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Business_Model_Type_Stddev_Fields = {
    __typename?: 'business_model_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Business_Model_Type_Stddev_Pop_Fields = {
    __typename?: 'business_model_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Business_Model_Type_Stddev_Samp_Fields = {
    __typename?: 'business_model_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "business_model_type" */
export type Business_Model_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Business_Model_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Business_Model_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Business_Model_Type_Sum_Fields = {
    __typename?: 'business_model_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "business_model_type" */
export declare enum Business_Model_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
export type Business_Model_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Business_Model_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Business_Model_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Business_Model_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Business_Model_Type_Var_Pop_Fields = {
    __typename?: 'business_model_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Business_Model_Type_Var_Samp_Fields = {
    __typename?: 'business_model_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Business_Model_Type_Variance_Fields = {
    __typename?: 'business_model_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "charge" */
export type Charge = {
    __typename?: 'charge';
    /** An object relationship */
    charger: Charger;
    charger_id: Scalars['Int'];
    created_at: Scalars['timestamptz'];
    event?: Maybe<Scalars['Boolean']>;
    fail?: Maybe<Scalars['Boolean']>;
    first?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    new_rp: Scalars['Int'];
    old_rp?: Maybe<Scalars['Int']>;
    sum_rp?: Maybe<Scalars['Int']>;
    /** An object relationship */
    tuser: Treasure_User;
    updated_at?: Maybe<Scalars['timestamptz']>;
    user_id: Scalars['Int'];
};
/** aggregated selection of "charge" */
export type Charge_Aggregate = {
    __typename?: 'charge_aggregate';
    aggregate?: Maybe<Charge_Aggregate_Fields>;
    nodes: Array<Charge>;
};
/** aggregate fields of "charge" */
export type Charge_Aggregate_Fields = {
    __typename?: 'charge_aggregate_fields';
    avg?: Maybe<Charge_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Charge_Max_Fields>;
    min?: Maybe<Charge_Min_Fields>;
    stddev?: Maybe<Charge_Stddev_Fields>;
    stddev_pop?: Maybe<Charge_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Charge_Stddev_Samp_Fields>;
    sum?: Maybe<Charge_Sum_Fields>;
    var_pop?: Maybe<Charge_Var_Pop_Fields>;
    var_samp?: Maybe<Charge_Var_Samp_Fields>;
    variance?: Maybe<Charge_Variance_Fields>;
};
/** aggregate fields of "charge" */
export type Charge_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Charge_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Charge_Avg_Fields = {
    __typename?: 'charge_avg_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "charge". All fields are combined with a logical 'AND'. */
export type Charge_Bool_Exp = {
    _and?: InputMaybe<Array<Charge_Bool_Exp>>;
    _not?: InputMaybe<Charge_Bool_Exp>;
    _or?: InputMaybe<Array<Charge_Bool_Exp>>;
    charger?: InputMaybe<Charger_Bool_Exp>;
    charger_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    event?: InputMaybe<Boolean_Comparison_Exp>;
    fail?: InputMaybe<Boolean_Comparison_Exp>;
    first?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    new_rp?: InputMaybe<Int_Comparison_Exp>;
    old_rp?: InputMaybe<Int_Comparison_Exp>;
    sum_rp?: InputMaybe<Int_Comparison_Exp>;
    tuser?: InputMaybe<Treasure_User_Bool_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "charge" */
export declare enum Charge_Constraint {
    /** unique or primary key constraint on columns "id" */
    ChargePkey = "charge_pkey"
}
/** input type for incrementing numeric columns in table "charge" */
export type Charge_Inc_Input = {
    charger_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    new_rp?: InputMaybe<Scalars['Int']>;
    old_rp?: InputMaybe<Scalars['Int']>;
    sum_rp?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "charge" */
export type Charge_Insert_Input = {
    charger?: InputMaybe<Charger_Obj_Rel_Insert_Input>;
    charger_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    event?: InputMaybe<Scalars['Boolean']>;
    fail?: InputMaybe<Scalars['Boolean']>;
    first?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    new_rp?: InputMaybe<Scalars['Int']>;
    old_rp?: InputMaybe<Scalars['Int']>;
    sum_rp?: InputMaybe<Scalars['Int']>;
    tuser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Charge_Max_Fields = {
    __typename?: 'charge_max_fields';
    charger_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    new_rp?: Maybe<Scalars['Int']>;
    old_rp?: Maybe<Scalars['Int']>;
    sum_rp?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Charge_Min_Fields = {
    __typename?: 'charge_min_fields';
    charger_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    new_rp?: Maybe<Scalars['Int']>;
    old_rp?: Maybe<Scalars['Int']>;
    sum_rp?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "charge" */
export type Charge_Mutation_Response = {
    __typename?: 'charge_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Charge>;
};
/** on_conflict condition type for table "charge" */
export type Charge_On_Conflict = {
    constraint: Charge_Constraint;
    update_columns?: Array<Charge_Update_Column>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
/** Ordering options when selecting data from "charge". */
export type Charge_Order_By = {
    charger?: InputMaybe<Charger_Order_By>;
    charger_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    event?: InputMaybe<Order_By>;
    fail?: InputMaybe<Order_By>;
    first?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    new_rp?: InputMaybe<Order_By>;
    old_rp?: InputMaybe<Order_By>;
    sum_rp?: InputMaybe<Order_By>;
    tuser?: InputMaybe<Treasure_User_Order_By>;
    updated_at?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: charge */
export type Charge_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "charge" */
export declare enum Charge_Select_Column {
    /** column name */
    ChargerId = "charger_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Event = "event",
    /** column name */
    Fail = "fail",
    /** column name */
    First = "first",
    /** column name */
    Id = "id",
    /** column name */
    NewRp = "new_rp",
    /** column name */
    OldRp = "old_rp",
    /** column name */
    SumRp = "sum_rp",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    UserId = "user_id"
}
/** input type for updating data in table "charge" */
export type Charge_Set_Input = {
    charger_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    event?: InputMaybe<Scalars['Boolean']>;
    fail?: InputMaybe<Scalars['Boolean']>;
    first?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    new_rp?: InputMaybe<Scalars['Int']>;
    old_rp?: InputMaybe<Scalars['Int']>;
    sum_rp?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Charge_Stddev_Fields = {
    __typename?: 'charge_stddev_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Charge_Stddev_Pop_Fields = {
    __typename?: 'charge_stddev_pop_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Charge_Stddev_Samp_Fields = {
    __typename?: 'charge_stddev_samp_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "charge" */
export type Charge_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Charge_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Charge_Stream_Cursor_Value_Input = {
    charger_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    event?: InputMaybe<Scalars['Boolean']>;
    fail?: InputMaybe<Scalars['Boolean']>;
    first?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    new_rp?: InputMaybe<Scalars['Int']>;
    old_rp?: InputMaybe<Scalars['Int']>;
    sum_rp?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Charge_Sum_Fields = {
    __typename?: 'charge_sum_fields';
    charger_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    new_rp?: Maybe<Scalars['Int']>;
    old_rp?: Maybe<Scalars['Int']>;
    sum_rp?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "charge" */
export declare enum Charge_Update_Column {
    /** column name */
    ChargerId = "charger_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Event = "event",
    /** column name */
    Fail = "fail",
    /** column name */
    First = "first",
    /** column name */
    Id = "id",
    /** column name */
    NewRp = "new_rp",
    /** column name */
    OldRp = "old_rp",
    /** column name */
    SumRp = "sum_rp",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    UserId = "user_id"
}
export type Charge_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Charge_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Charge_Set_Input>;
    /** filter the rows which have to be updated */
    where: Charge_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Charge_Var_Pop_Fields = {
    __typename?: 'charge_var_pop_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Charge_Var_Samp_Fields = {
    __typename?: 'charge_var_samp_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Charge_Variance_Fields = {
    __typename?: 'charge_variance_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "charger" */
export type Charger = {
    __typename?: 'charger';
    id: Scalars['Int'];
    name: Scalars['String'];
    running: Scalars['Boolean'];
};
/** aggregated selection of "charger" */
export type Charger_Aggregate = {
    __typename?: 'charger_aggregate';
    aggregate?: Maybe<Charger_Aggregate_Fields>;
    nodes: Array<Charger>;
};
/** aggregate fields of "charger" */
export type Charger_Aggregate_Fields = {
    __typename?: 'charger_aggregate_fields';
    avg?: Maybe<Charger_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Charger_Max_Fields>;
    min?: Maybe<Charger_Min_Fields>;
    stddev?: Maybe<Charger_Stddev_Fields>;
    stddev_pop?: Maybe<Charger_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Charger_Stddev_Samp_Fields>;
    sum?: Maybe<Charger_Sum_Fields>;
    var_pop?: Maybe<Charger_Var_Pop_Fields>;
    var_samp?: Maybe<Charger_Var_Samp_Fields>;
    variance?: Maybe<Charger_Variance_Fields>;
};
/** aggregate fields of "charger" */
export type Charger_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Charger_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Charger_Avg_Fields = {
    __typename?: 'charger_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "charger". All fields are combined with a logical 'AND'. */
export type Charger_Bool_Exp = {
    _and?: InputMaybe<Array<Charger_Bool_Exp>>;
    _not?: InputMaybe<Charger_Bool_Exp>;
    _or?: InputMaybe<Array<Charger_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    running?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "charger" */
export declare enum Charger_Constraint {
    /** unique or primary key constraint on columns "id" */
    ChargerPkey = "charger_pkey"
}
/** input type for incrementing numeric columns in table "charger" */
export type Charger_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "charger" */
export type Charger_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Charger_Max_Fields = {
    __typename?: 'charger_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Charger_Min_Fields = {
    __typename?: 'charger_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "charger" */
export type Charger_Mutation_Response = {
    __typename?: 'charger_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Charger>;
};
/** input type for inserting object relation for remote table "charger" */
export type Charger_Obj_Rel_Insert_Input = {
    data: Charger_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Charger_On_Conflict>;
};
/** on_conflict condition type for table "charger" */
export type Charger_On_Conflict = {
    constraint: Charger_Constraint;
    update_columns?: Array<Charger_Update_Column>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
/** Ordering options when selecting data from "charger". */
export type Charger_Order_By = {
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    running?: InputMaybe<Order_By>;
};
/** primary key columns input for table: charger */
export type Charger_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "charger" */
export declare enum Charger_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Running = "running"
}
/** input type for updating data in table "charger" */
export type Charger_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Charger_Stddev_Fields = {
    __typename?: 'charger_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Charger_Stddev_Pop_Fields = {
    __typename?: 'charger_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Charger_Stddev_Samp_Fields = {
    __typename?: 'charger_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "charger" */
export type Charger_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Charger_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Charger_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Charger_Sum_Fields = {
    __typename?: 'charger_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "charger" */
export declare enum Charger_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Running = "running"
}
export type Charger_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Charger_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Charger_Set_Input>;
    /** filter the rows which have to be updated */
    where: Charger_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Charger_Var_Pop_Fields = {
    __typename?: 'charger_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Charger_Var_Samp_Fields = {
    __typename?: 'charger_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Charger_Variance_Fields = {
    __typename?: 'charger_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to compare columns of type "citext". All fields are combined with logical 'AND'. */
export type Citext_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['citext']>;
    _gt?: InputMaybe<Scalars['citext']>;
    _gte?: InputMaybe<Scalars['citext']>;
    /** does the column match the given case-insensitive pattern */
    _ilike?: InputMaybe<Scalars['citext']>;
    _in?: InputMaybe<Array<Scalars['citext']>>;
    /** does the column match the given POSIX regular expression, case insensitive */
    _iregex?: InputMaybe<Scalars['citext']>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    /** does the column match the given pattern */
    _like?: InputMaybe<Scalars['citext']>;
    _lt?: InputMaybe<Scalars['citext']>;
    _lte?: InputMaybe<Scalars['citext']>;
    _neq?: InputMaybe<Scalars['citext']>;
    /** does the column NOT match the given case-insensitive pattern */
    _nilike?: InputMaybe<Scalars['citext']>;
    _nin?: InputMaybe<Array<Scalars['citext']>>;
    /** does the column NOT match the given POSIX regular expression, case insensitive */
    _niregex?: InputMaybe<Scalars['citext']>;
    /** does the column NOT match the given pattern */
    _nlike?: InputMaybe<Scalars['citext']>;
    /** does the column NOT match the given POSIX regular expression, case sensitive */
    _nregex?: InputMaybe<Scalars['citext']>;
    /** does the column NOT match the given SQL regular expression */
    _nsimilar?: InputMaybe<Scalars['citext']>;
    /** does the column match the given POSIX regular expression, case sensitive */
    _regex?: InputMaybe<Scalars['citext']>;
    /** does the column match the given SQL regular expression */
    _similar?: InputMaybe<Scalars['citext']>;
};
/** columns and relationships of "condition" */
export type Condition = {
    __typename?: 'condition';
    id: Scalars['Int'];
    /** An object relationship */
    type: Condition_Type;
    type_id: Scalars['Int'];
};
/** aggregated selection of "condition" */
export type Condition_Aggregate = {
    __typename?: 'condition_aggregate';
    aggregate?: Maybe<Condition_Aggregate_Fields>;
    nodes: Array<Condition>;
};
/** aggregate fields of "condition" */
export type Condition_Aggregate_Fields = {
    __typename?: 'condition_aggregate_fields';
    avg?: Maybe<Condition_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Condition_Max_Fields>;
    min?: Maybe<Condition_Min_Fields>;
    stddev?: Maybe<Condition_Stddev_Fields>;
    stddev_pop?: Maybe<Condition_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Condition_Stddev_Samp_Fields>;
    sum?: Maybe<Condition_Sum_Fields>;
    var_pop?: Maybe<Condition_Var_Pop_Fields>;
    var_samp?: Maybe<Condition_Var_Samp_Fields>;
    variance?: Maybe<Condition_Variance_Fields>;
};
/** aggregate fields of "condition" */
export type Condition_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Condition_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Condition_Avg_Fields = {
    __typename?: 'condition_avg_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "condition". All fields are combined with a logical 'AND'. */
export type Condition_Bool_Exp = {
    _and?: InputMaybe<Array<Condition_Bool_Exp>>;
    _not?: InputMaybe<Condition_Bool_Exp>;
    _or?: InputMaybe<Array<Condition_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    type?: InputMaybe<Condition_Type_Bool_Exp>;
    type_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "condition" */
export declare enum Condition_Constraint {
    /** unique or primary key constraint on columns "id" */
    ConditionPkey = "condition_pkey"
}
/** input type for incrementing numeric columns in table "condition" */
export type Condition_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "condition" */
export type Condition_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    type?: InputMaybe<Condition_Type_Obj_Rel_Insert_Input>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Condition_Max_Fields = {
    __typename?: 'condition_max_fields';
    id?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Condition_Min_Fields = {
    __typename?: 'condition_min_fields';
    id?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "condition" */
export type Condition_Mutation_Response = {
    __typename?: 'condition_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Condition>;
};
/** input type for inserting object relation for remote table "condition" */
export type Condition_Obj_Rel_Insert_Input = {
    data: Condition_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Condition_On_Conflict>;
};
/** on_conflict condition type for table "condition" */
export type Condition_On_Conflict = {
    constraint: Condition_Constraint;
    update_columns?: Array<Condition_Update_Column>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
/** Ordering options when selecting data from "condition". */
export type Condition_Order_By = {
    id?: InputMaybe<Order_By>;
    type?: InputMaybe<Condition_Type_Order_By>;
    type_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: condition */
export type Condition_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "condition" */
export declare enum Condition_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    TypeId = "type_id"
}
/** input type for updating data in table "condition" */
export type Condition_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Condition_Stddev_Fields = {
    __typename?: 'condition_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Condition_Stddev_Pop_Fields = {
    __typename?: 'condition_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Condition_Stddev_Samp_Fields = {
    __typename?: 'condition_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "condition" */
export type Condition_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Condition_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Condition_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Condition_Sum_Fields = {
    __typename?: 'condition_sum_fields';
    id?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "condition_type" */
export type Condition_Type = {
    __typename?: 'condition_type';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    name?: Maybe<Scalars['String']>;
};
/** aggregated selection of "condition_type" */
export type Condition_Type_Aggregate = {
    __typename?: 'condition_type_aggregate';
    aggregate?: Maybe<Condition_Type_Aggregate_Fields>;
    nodes: Array<Condition_Type>;
};
/** aggregate fields of "condition_type" */
export type Condition_Type_Aggregate_Fields = {
    __typename?: 'condition_type_aggregate_fields';
    avg?: Maybe<Condition_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Condition_Type_Max_Fields>;
    min?: Maybe<Condition_Type_Min_Fields>;
    stddev?: Maybe<Condition_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Condition_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Condition_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Condition_Type_Sum_Fields>;
    var_pop?: Maybe<Condition_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Condition_Type_Var_Samp_Fields>;
    variance?: Maybe<Condition_Type_Variance_Fields>;
};
/** aggregate fields of "condition_type" */
export type Condition_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Condition_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Condition_Type_Avg_Fields = {
    __typename?: 'condition_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "condition_type". All fields are combined with a logical 'AND'. */
export type Condition_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Condition_Type_Bool_Exp>>;
    _not?: InputMaybe<Condition_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Condition_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "condition_type" */
export declare enum Condition_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    ConditionTypePkey = "condition_type_pkey"
}
/** input type for incrementing numeric columns in table "condition_type" */
export type Condition_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "condition_type" */
export type Condition_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Condition_Type_Max_Fields = {
    __typename?: 'condition_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Condition_Type_Min_Fields = {
    __typename?: 'condition_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "condition_type" */
export type Condition_Type_Mutation_Response = {
    __typename?: 'condition_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Condition_Type>;
};
/** input type for inserting object relation for remote table "condition_type" */
export type Condition_Type_Obj_Rel_Insert_Input = {
    data: Condition_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Condition_Type_On_Conflict>;
};
/** on_conflict condition type for table "condition_type" */
export type Condition_Type_On_Conflict = {
    constraint: Condition_Type_Constraint;
    update_columns?: Array<Condition_Type_Update_Column>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "condition_type". */
export type Condition_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: condition_type */
export type Condition_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "condition_type" */
export declare enum Condition_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "condition_type" */
export type Condition_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Condition_Type_Stddev_Fields = {
    __typename?: 'condition_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Condition_Type_Stddev_Pop_Fields = {
    __typename?: 'condition_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Condition_Type_Stddev_Samp_Fields = {
    __typename?: 'condition_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "condition_type" */
export type Condition_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Condition_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Condition_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Condition_Type_Sum_Fields = {
    __typename?: 'condition_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "condition_type" */
export declare enum Condition_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
export type Condition_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Condition_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Condition_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Condition_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Condition_Type_Var_Pop_Fields = {
    __typename?: 'condition_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Condition_Type_Var_Samp_Fields = {
    __typename?: 'condition_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Condition_Type_Variance_Fields = {
    __typename?: 'condition_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "condition" */
export declare enum Condition_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    TypeId = "type_id"
}
export type Condition_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Condition_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Condition_Set_Input>;
    /** filter the rows which have to be updated */
    where: Condition_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Condition_Var_Pop_Fields = {
    __typename?: 'condition_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Condition_Var_Samp_Fields = {
    __typename?: 'condition_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Condition_Variance_Fields = {
    __typename?: 'condition_variance_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "content" */
export type Content = {
    __typename?: 'content';
    created_at: Scalars['timestamptz'];
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
};
/** aggregated selection of "content" */
export type Content_Aggregate = {
    __typename?: 'content_aggregate';
    aggregate?: Maybe<Content_Aggregate_Fields>;
    nodes: Array<Content>;
};
/** aggregate fields of "content" */
export type Content_Aggregate_Fields = {
    __typename?: 'content_aggregate_fields';
    avg?: Maybe<Content_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Content_Max_Fields>;
    min?: Maybe<Content_Min_Fields>;
    stddev?: Maybe<Content_Stddev_Fields>;
    stddev_pop?: Maybe<Content_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Content_Stddev_Samp_Fields>;
    sum?: Maybe<Content_Sum_Fields>;
    var_pop?: Maybe<Content_Var_Pop_Fields>;
    var_samp?: Maybe<Content_Var_Samp_Fields>;
    variance?: Maybe<Content_Variance_Fields>;
};
/** aggregate fields of "content" */
export type Content_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Content_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Content_Avg_Fields = {
    __typename?: 'content_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "content". All fields are combined with a logical 'AND'. */
export type Content_Bool_Exp = {
    _and?: InputMaybe<Array<Content_Bool_Exp>>;
    _not?: InputMaybe<Content_Bool_Exp>;
    _or?: InputMaybe<Array<Content_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "content" */
export declare enum Content_Constraint {
    /** unique or primary key constraint on columns "id" */
    ContentPkey = "content_pkey"
}
/** input type for incrementing numeric columns in table "content" */
export type Content_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "content" */
export type Content_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Content_Max_Fields = {
    __typename?: 'content_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Content_Min_Fields = {
    __typename?: 'content_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "content" */
export type Content_Mutation_Response = {
    __typename?: 'content_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Content>;
};
/** input type for inserting object relation for remote table "content" */
export type Content_Obj_Rel_Insert_Input = {
    data: Content_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Content_On_Conflict>;
};
/** on_conflict condition type for table "content" */
export type Content_On_Conflict = {
    constraint: Content_Constraint;
    update_columns?: Array<Content_Update_Column>;
    where?: InputMaybe<Content_Bool_Exp>;
};
/** Ordering options when selecting data from "content". */
export type Content_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: content */
export type Content_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "content" */
export declare enum Content_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "content" */
export type Content_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Content_Stddev_Fields = {
    __typename?: 'content_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Content_Stddev_Pop_Fields = {
    __typename?: 'content_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Content_Stddev_Samp_Fields = {
    __typename?: 'content_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "content" */
export type Content_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Content_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Content_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Content_Sum_Fields = {
    __typename?: 'content_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "content" */
export declare enum Content_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id"
}
export type Content_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Content_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Content_Set_Input>;
    /** filter the rows which have to be updated */
    where: Content_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Content_Var_Pop_Fields = {
    __typename?: 'content_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Content_Var_Samp_Fields = {
    __typename?: 'content_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Content_Variance_Fields = {
    __typename?: 'content_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "contract" */
export type Contract = {
    __typename?: 'contract';
    consent: Scalars['Boolean'];
    /** An object relationship */
    contractType: Contract_Type;
    contract_type_id: Scalars['Int'];
    /** An object relationship */
    contractor?: Maybe<Treasure_User>;
    contractor_id?: Maybe<Scalars['Int']>;
    created_at: Scalars['timestamptz'];
    end_date: Scalars['date'];
    hash: Scalars['uuid'];
    id: Scalars['Int'];
    start_date: Scalars['date'];
    updated_at: Scalars['timestamptz'];
    valid: Scalars['Boolean'];
};
/** aggregated selection of "contract" */
export type Contract_Aggregate = {
    __typename?: 'contract_aggregate';
    aggregate?: Maybe<Contract_Aggregate_Fields>;
    nodes: Array<Contract>;
};
/** aggregate fields of "contract" */
export type Contract_Aggregate_Fields = {
    __typename?: 'contract_aggregate_fields';
    avg?: Maybe<Contract_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Contract_Max_Fields>;
    min?: Maybe<Contract_Min_Fields>;
    stddev?: Maybe<Contract_Stddev_Fields>;
    stddev_pop?: Maybe<Contract_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Contract_Stddev_Samp_Fields>;
    sum?: Maybe<Contract_Sum_Fields>;
    var_pop?: Maybe<Contract_Var_Pop_Fields>;
    var_samp?: Maybe<Contract_Var_Samp_Fields>;
    variance?: Maybe<Contract_Variance_Fields>;
};
/** aggregate fields of "contract" */
export type Contract_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Contract_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Contract_Avg_Fields = {
    __typename?: 'contract_avg_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "contract". All fields are combined with a logical 'AND'. */
export type Contract_Bool_Exp = {
    _and?: InputMaybe<Array<Contract_Bool_Exp>>;
    _not?: InputMaybe<Contract_Bool_Exp>;
    _or?: InputMaybe<Array<Contract_Bool_Exp>>;
    consent?: InputMaybe<Boolean_Comparison_Exp>;
    contractType?: InputMaybe<Contract_Type_Bool_Exp>;
    contract_type_id?: InputMaybe<Int_Comparison_Exp>;
    contractor?: InputMaybe<Treasure_User_Bool_Exp>;
    contractor_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    end_date?: InputMaybe<Date_Comparison_Exp>;
    hash?: InputMaybe<Uuid_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    start_date?: InputMaybe<Date_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    valid?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "contract" */
export declare enum Contract_Constraint {
    /** unique or primary key constraint on columns "id" */
    ContractPkey = "contract_pkey"
}
/** input type for incrementing numeric columns in table "contract" */
export type Contract_Inc_Input = {
    contract_type_id?: InputMaybe<Scalars['Int']>;
    contractor_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "contract" */
export type Contract_Insert_Input = {
    consent?: InputMaybe<Scalars['Boolean']>;
    contractType?: InputMaybe<Contract_Type_Obj_Rel_Insert_Input>;
    contract_type_id?: InputMaybe<Scalars['Int']>;
    contractor?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    contractor_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    valid?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Contract_Max_Fields = {
    __typename?: 'contract_max_fields';
    contract_type_id?: Maybe<Scalars['Int']>;
    contractor_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    end_date?: Maybe<Scalars['date']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    start_date?: Maybe<Scalars['date']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Contract_Min_Fields = {
    __typename?: 'contract_min_fields';
    contract_type_id?: Maybe<Scalars['Int']>;
    contractor_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    end_date?: Maybe<Scalars['date']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    start_date?: Maybe<Scalars['date']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "contract" */
export type Contract_Mutation_Response = {
    __typename?: 'contract_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Contract>;
};
/** on_conflict condition type for table "contract" */
export type Contract_On_Conflict = {
    constraint: Contract_Constraint;
    update_columns?: Array<Contract_Update_Column>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
/** Ordering options when selecting data from "contract". */
export type Contract_Order_By = {
    consent?: InputMaybe<Order_By>;
    contractType?: InputMaybe<Contract_Type_Order_By>;
    contract_type_id?: InputMaybe<Order_By>;
    contractor?: InputMaybe<Treasure_User_Order_By>;
    contractor_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    end_date?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    start_date?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    valid?: InputMaybe<Order_By>;
};
/** primary key columns input for table: contract */
export type Contract_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "contract" */
export declare enum Contract_Select_Column {
    /** column name */
    Consent = "consent",
    /** column name */
    ContractTypeId = "contract_type_id",
    /** column name */
    ContractorId = "contractor_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EndDate = "end_date",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    StartDate = "start_date",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Valid = "valid"
}
/** input type for updating data in table "contract" */
export type Contract_Set_Input = {
    consent?: InputMaybe<Scalars['Boolean']>;
    contract_type_id?: InputMaybe<Scalars['Int']>;
    contractor_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    valid?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Contract_Stddev_Fields = {
    __typename?: 'contract_stddev_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Contract_Stddev_Pop_Fields = {
    __typename?: 'contract_stddev_pop_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Contract_Stddev_Samp_Fields = {
    __typename?: 'contract_stddev_samp_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "contract" */
export type Contract_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Contract_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Contract_Stream_Cursor_Value_Input = {
    consent?: InputMaybe<Scalars['Boolean']>;
    contract_type_id?: InputMaybe<Scalars['Int']>;
    contractor_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    valid?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Contract_Sum_Fields = {
    __typename?: 'contract_sum_fields';
    contract_type_id?: Maybe<Scalars['Int']>;
    contractor_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "contract_type" */
export type Contract_Type = {
    __typename?: 'contract_type';
    by_service_provider?: Maybe<Scalars['Boolean']>;
    content?: Maybe<Scalars['String']>;
    content_type: Scalars['String'];
    created_at?: Maybe<Scalars['timestamptz']>;
    day_period?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    name: Scalars['String'];
    /** An object relationship */
    pieceType?: Maybe<Piece_Type>;
    piece_type_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri?: Maybe<Scalars['String']>;
};
/** aggregated selection of "contract_type" */
export type Contract_Type_Aggregate = {
    __typename?: 'contract_type_aggregate';
    aggregate?: Maybe<Contract_Type_Aggregate_Fields>;
    nodes: Array<Contract_Type>;
};
/** aggregate fields of "contract_type" */
export type Contract_Type_Aggregate_Fields = {
    __typename?: 'contract_type_aggregate_fields';
    avg?: Maybe<Contract_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Contract_Type_Max_Fields>;
    min?: Maybe<Contract_Type_Min_Fields>;
    stddev?: Maybe<Contract_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Contract_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Contract_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Contract_Type_Sum_Fields>;
    var_pop?: Maybe<Contract_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Contract_Type_Var_Samp_Fields>;
    variance?: Maybe<Contract_Type_Variance_Fields>;
};
/** aggregate fields of "contract_type" */
export type Contract_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Contract_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Contract_Type_Avg_Fields = {
    __typename?: 'contract_type_avg_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "contract_type". All fields are combined with a logical 'AND'. */
export type Contract_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Contract_Type_Bool_Exp>>;
    _not?: InputMaybe<Contract_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Contract_Type_Bool_Exp>>;
    by_service_provider?: InputMaybe<Boolean_Comparison_Exp>;
    content?: InputMaybe<String_Comparison_Exp>;
    content_type?: InputMaybe<String_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    day_period?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    pieceType?: InputMaybe<Piece_Type_Bool_Exp>;
    piece_type_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    uri?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "contract_type" */
export declare enum Contract_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    ContractTypePkey = "contract_type_pkey"
}
/** input type for incrementing numeric columns in table "contract_type" */
export type Contract_Type_Inc_Input = {
    day_period?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "contract_type" */
export type Contract_Type_Insert_Input = {
    by_service_provider?: InputMaybe<Scalars['Boolean']>;
    content?: InputMaybe<Scalars['String']>;
    content_type?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    day_period?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    pieceType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Contract_Type_Max_Fields = {
    __typename?: 'contract_type_max_fields';
    content?: Maybe<Scalars['String']>;
    content_type?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    day_period?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    piece_type_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Contract_Type_Min_Fields = {
    __typename?: 'contract_type_min_fields';
    content?: Maybe<Scalars['String']>;
    content_type?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    day_period?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    piece_type_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "contract_type" */
export type Contract_Type_Mutation_Response = {
    __typename?: 'contract_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Contract_Type>;
};
/** input type for inserting object relation for remote table "contract_type" */
export type Contract_Type_Obj_Rel_Insert_Input = {
    data: Contract_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Contract_Type_On_Conflict>;
};
/** on_conflict condition type for table "contract_type" */
export type Contract_Type_On_Conflict = {
    constraint: Contract_Type_Constraint;
    update_columns?: Array<Contract_Type_Update_Column>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "contract_type". */
export type Contract_Type_Order_By = {
    by_service_provider?: InputMaybe<Order_By>;
    content?: InputMaybe<Order_By>;
    content_type?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    day_period?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    pieceType?: InputMaybe<Piece_Type_Order_By>;
    piece_type_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
};
/** primary key columns input for table: contract_type */
export type Contract_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "contract_type" */
export declare enum Contract_Type_Select_Column {
    /** column name */
    ByServiceProvider = "by_service_provider",
    /** column name */
    Content = "content",
    /** column name */
    ContentType = "content_type",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DayPeriod = "day_period",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    PieceTypeId = "piece_type_id",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Uri = "uri"
}
/** input type for updating data in table "contract_type" */
export type Contract_Type_Set_Input = {
    by_service_provider?: InputMaybe<Scalars['Boolean']>;
    content?: InputMaybe<Scalars['String']>;
    content_type?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    day_period?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Contract_Type_Stddev_Fields = {
    __typename?: 'contract_type_stddev_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Contract_Type_Stddev_Pop_Fields = {
    __typename?: 'contract_type_stddev_pop_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Contract_Type_Stddev_Samp_Fields = {
    __typename?: 'contract_type_stddev_samp_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "contract_type" */
export type Contract_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Contract_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Contract_Type_Stream_Cursor_Value_Input = {
    by_service_provider?: InputMaybe<Scalars['Boolean']>;
    content?: InputMaybe<Scalars['String']>;
    content_type?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    day_period?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Contract_Type_Sum_Fields = {
    __typename?: 'contract_type_sum_fields';
    day_period?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    piece_type_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "contract_type" */
export declare enum Contract_Type_Update_Column {
    /** column name */
    ByServiceProvider = "by_service_provider",
    /** column name */
    Content = "content",
    /** column name */
    ContentType = "content_type",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DayPeriod = "day_period",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    PieceTypeId = "piece_type_id",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Uri = "uri"
}
export type Contract_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Contract_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Contract_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Contract_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Contract_Type_Var_Pop_Fields = {
    __typename?: 'contract_type_var_pop_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Contract_Type_Var_Samp_Fields = {
    __typename?: 'contract_type_var_samp_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Contract_Type_Variance_Fields = {
    __typename?: 'contract_type_variance_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** update columns of table "contract" */
export declare enum Contract_Update_Column {
    /** column name */
    Consent = "consent",
    /** column name */
    ContractTypeId = "contract_type_id",
    /** column name */
    ContractorId = "contractor_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EndDate = "end_date",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    StartDate = "start_date",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Valid = "valid"
}
export type Contract_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Contract_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Contract_Set_Input>;
    /** filter the rows which have to be updated */
    where: Contract_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Contract_Var_Pop_Fields = {
    __typename?: 'contract_var_pop_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Contract_Var_Samp_Fields = {
    __typename?: 'contract_var_samp_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Contract_Variance_Fields = {
    __typename?: 'contract_variance_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "currency" */
export type Currency = {
    __typename?: 'currency';
    hash: Scalars['uuid'];
    mileage?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    /** An object relationship */
    owner: Treasure_User;
    owner_id: Scalars['Int'];
    rp: Scalars['Int'];
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "currency" */
export type Currency_Aggregate = {
    __typename?: 'currency_aggregate';
    aggregate?: Maybe<Currency_Aggregate_Fields>;
    nodes: Array<Currency>;
};
/** aggregate fields of "currency" */
export type Currency_Aggregate_Fields = {
    __typename?: 'currency_aggregate_fields';
    avg?: Maybe<Currency_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Currency_Max_Fields>;
    min?: Maybe<Currency_Min_Fields>;
    stddev?: Maybe<Currency_Stddev_Fields>;
    stddev_pop?: Maybe<Currency_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Currency_Stddev_Samp_Fields>;
    sum?: Maybe<Currency_Sum_Fields>;
    var_pop?: Maybe<Currency_Var_Pop_Fields>;
    var_samp?: Maybe<Currency_Var_Samp_Fields>;
    variance?: Maybe<Currency_Variance_Fields>;
};
/** aggregate fields of "currency" */
export type Currency_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Currency_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Currency_Avg_Fields = {
    __typename?: 'currency_avg_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "currency". All fields are combined with a logical 'AND'. */
export type Currency_Bool_Exp = {
    _and?: InputMaybe<Array<Currency_Bool_Exp>>;
    _not?: InputMaybe<Currency_Bool_Exp>;
    _or?: InputMaybe<Array<Currency_Bool_Exp>>;
    hash?: InputMaybe<Uuid_Comparison_Exp>;
    mileage?: InputMaybe<Int_Comparison_Exp>;
    money?: InputMaybe<Int_Comparison_Exp>;
    owner?: InputMaybe<Treasure_User_Bool_Exp>;
    owner_id?: InputMaybe<Int_Comparison_Exp>;
    rp?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "currency" */
export declare enum Currency_Constraint {
    /** unique or primary key constraint on columns "owner_id" */
    CurrencyOwnerIdKey = "currency_owner_id_key",
    /** unique or primary key constraint on columns "owner_id" */
    CurrencyPkey = "currency_pkey"
}
/** columns and relationships of "currency_exchange" */
export type Currency_Exchange = {
    __typename?: 'currency_exchange';
    created_at: Scalars['timestamptz'];
    /** An object relationship */
    from: Currency_Type;
    from_currency_id: Scalars['Int'];
    from_to_ratio: Scalars['numeric'];
    id: Scalars['Int'];
    is_static: Scalars['Boolean'];
    /** An object relationship */
    to: Currency_Type;
    to_currency_id: Scalars['Int'];
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "currency_exchange" */
export type Currency_Exchange_Aggregate = {
    __typename?: 'currency_exchange_aggregate';
    aggregate?: Maybe<Currency_Exchange_Aggregate_Fields>;
    nodes: Array<Currency_Exchange>;
};
/** aggregate fields of "currency_exchange" */
export type Currency_Exchange_Aggregate_Fields = {
    __typename?: 'currency_exchange_aggregate_fields';
    avg?: Maybe<Currency_Exchange_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Currency_Exchange_Max_Fields>;
    min?: Maybe<Currency_Exchange_Min_Fields>;
    stddev?: Maybe<Currency_Exchange_Stddev_Fields>;
    stddev_pop?: Maybe<Currency_Exchange_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Currency_Exchange_Stddev_Samp_Fields>;
    sum?: Maybe<Currency_Exchange_Sum_Fields>;
    var_pop?: Maybe<Currency_Exchange_Var_Pop_Fields>;
    var_samp?: Maybe<Currency_Exchange_Var_Samp_Fields>;
    variance?: Maybe<Currency_Exchange_Variance_Fields>;
};
/** aggregate fields of "currency_exchange" */
export type Currency_Exchange_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Currency_Exchange_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Currency_Exchange_Avg_Fields = {
    __typename?: 'currency_exchange_avg_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "currency_exchange". All fields are combined with a logical 'AND'. */
export type Currency_Exchange_Bool_Exp = {
    _and?: InputMaybe<Array<Currency_Exchange_Bool_Exp>>;
    _not?: InputMaybe<Currency_Exchange_Bool_Exp>;
    _or?: InputMaybe<Array<Currency_Exchange_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    from?: InputMaybe<Currency_Type_Bool_Exp>;
    from_currency_id?: InputMaybe<Int_Comparison_Exp>;
    from_to_ratio?: InputMaybe<Numeric_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_static?: InputMaybe<Boolean_Comparison_Exp>;
    to?: InputMaybe<Currency_Type_Bool_Exp>;
    to_currency_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "currency_exchange" */
export declare enum Currency_Exchange_Constraint {
    /** unique or primary key constraint on columns "from_currency_id", "is_static", "to_currency_id" */
    CurrencyExchangeFromCurrencyIdToCurrencyIdIsStaticKey = "currency_exchange_from_currency_id_to_currency_id_is_static_key",
    /** unique or primary key constraint on columns "id" */
    CurrencyExchangePkey = "currency_exchange_pkey"
}
/** input type for incrementing numeric columns in table "currency_exchange" */
export type Currency_Exchange_Inc_Input = {
    from_currency_id?: InputMaybe<Scalars['Int']>;
    from_to_ratio?: InputMaybe<Scalars['numeric']>;
    id?: InputMaybe<Scalars['Int']>;
    to_currency_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "currency_exchange" */
export type Currency_Exchange_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    from?: InputMaybe<Currency_Type_Obj_Rel_Insert_Input>;
    from_currency_id?: InputMaybe<Scalars['Int']>;
    from_to_ratio?: InputMaybe<Scalars['numeric']>;
    id?: InputMaybe<Scalars['Int']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    to?: InputMaybe<Currency_Type_Obj_Rel_Insert_Input>;
    to_currency_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Currency_Exchange_Max_Fields = {
    __typename?: 'currency_exchange_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    from_currency_id?: Maybe<Scalars['Int']>;
    from_to_ratio?: Maybe<Scalars['numeric']>;
    id?: Maybe<Scalars['Int']>;
    to_currency_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Currency_Exchange_Min_Fields = {
    __typename?: 'currency_exchange_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    from_currency_id?: Maybe<Scalars['Int']>;
    from_to_ratio?: Maybe<Scalars['numeric']>;
    id?: Maybe<Scalars['Int']>;
    to_currency_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "currency_exchange" */
export type Currency_Exchange_Mutation_Response = {
    __typename?: 'currency_exchange_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Currency_Exchange>;
};
/** on_conflict condition type for table "currency_exchange" */
export type Currency_Exchange_On_Conflict = {
    constraint: Currency_Exchange_Constraint;
    update_columns?: Array<Currency_Exchange_Update_Column>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
/** Ordering options when selecting data from "currency_exchange". */
export type Currency_Exchange_Order_By = {
    created_at?: InputMaybe<Order_By>;
    from?: InputMaybe<Currency_Type_Order_By>;
    from_currency_id?: InputMaybe<Order_By>;
    from_to_ratio?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_static?: InputMaybe<Order_By>;
    to?: InputMaybe<Currency_Type_Order_By>;
    to_currency_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: currency_exchange */
export type Currency_Exchange_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "currency_exchange" */
export declare enum Currency_Exchange_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    FromCurrencyId = "from_currency_id",
    /** column name */
    FromToRatio = "from_to_ratio",
    /** column name */
    Id = "id",
    /** column name */
    IsStatic = "is_static",
    /** column name */
    ToCurrencyId = "to_currency_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "currency_exchange" */
export type Currency_Exchange_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    from_currency_id?: InputMaybe<Scalars['Int']>;
    from_to_ratio?: InputMaybe<Scalars['numeric']>;
    id?: InputMaybe<Scalars['Int']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    to_currency_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Currency_Exchange_Stddev_Fields = {
    __typename?: 'currency_exchange_stddev_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Currency_Exchange_Stddev_Pop_Fields = {
    __typename?: 'currency_exchange_stddev_pop_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Currency_Exchange_Stddev_Samp_Fields = {
    __typename?: 'currency_exchange_stddev_samp_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "currency_exchange" */
export type Currency_Exchange_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Currency_Exchange_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Currency_Exchange_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    from_currency_id?: InputMaybe<Scalars['Int']>;
    from_to_ratio?: InputMaybe<Scalars['numeric']>;
    id?: InputMaybe<Scalars['Int']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    to_currency_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Currency_Exchange_Sum_Fields = {
    __typename?: 'currency_exchange_sum_fields';
    from_currency_id?: Maybe<Scalars['Int']>;
    from_to_ratio?: Maybe<Scalars['numeric']>;
    id?: Maybe<Scalars['Int']>;
    to_currency_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "currency_exchange" */
export declare enum Currency_Exchange_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    FromCurrencyId = "from_currency_id",
    /** column name */
    FromToRatio = "from_to_ratio",
    /** column name */
    Id = "id",
    /** column name */
    IsStatic = "is_static",
    /** column name */
    ToCurrencyId = "to_currency_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Currency_Exchange_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Currency_Exchange_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Currency_Exchange_Set_Input>;
    /** filter the rows which have to be updated */
    where: Currency_Exchange_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Currency_Exchange_Var_Pop_Fields = {
    __typename?: 'currency_exchange_var_pop_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Currency_Exchange_Var_Samp_Fields = {
    __typename?: 'currency_exchange_var_samp_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Currency_Exchange_Variance_Fields = {
    __typename?: 'currency_exchange_variance_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** input type for incrementing numeric columns in table "currency" */
export type Currency_Inc_Input = {
    mileage?: InputMaybe<Scalars['Int']>;
    money?: InputMaybe<Scalars['Int']>;
    owner_id?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "currency" */
export type Currency_Insert_Input = {
    hash?: InputMaybe<Scalars['uuid']>;
    mileage?: InputMaybe<Scalars['Int']>;
    money?: InputMaybe<Scalars['Int']>;
    owner?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    owner_id?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Currency_Max_Fields = {
    __typename?: 'currency_max_fields';
    hash?: Maybe<Scalars['uuid']>;
    mileage?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    owner_id?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Currency_Min_Fields = {
    __typename?: 'currency_min_fields';
    hash?: Maybe<Scalars['uuid']>;
    mileage?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    owner_id?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "currency" */
export type Currency_Mutation_Response = {
    __typename?: 'currency_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Currency>;
};
/** on_conflict condition type for table "currency" */
export type Currency_On_Conflict = {
    constraint: Currency_Constraint;
    update_columns?: Array<Currency_Update_Column>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
/** Ordering options when selecting data from "currency". */
export type Currency_Order_By = {
    hash?: InputMaybe<Order_By>;
    mileage?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    owner?: InputMaybe<Treasure_User_Order_By>;
    owner_id?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: currency */
export type Currency_Pk_Columns_Input = {
    owner_id: Scalars['Int'];
};
/** select columns of table "currency" */
export declare enum Currency_Select_Column {
    /** column name */
    Hash = "hash",
    /** column name */
    Mileage = "mileage",
    /** column name */
    Money = "money",
    /** column name */
    OwnerId = "owner_id",
    /** column name */
    Rp = "rp",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "currency" */
export type Currency_Set_Input = {
    hash?: InputMaybe<Scalars['uuid']>;
    mileage?: InputMaybe<Scalars['Int']>;
    money?: InputMaybe<Scalars['Int']>;
    owner_id?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Currency_Stddev_Fields = {
    __typename?: 'currency_stddev_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Currency_Stddev_Pop_Fields = {
    __typename?: 'currency_stddev_pop_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Currency_Stddev_Samp_Fields = {
    __typename?: 'currency_stddev_samp_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "currency" */
export type Currency_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Currency_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Currency_Stream_Cursor_Value_Input = {
    hash?: InputMaybe<Scalars['uuid']>;
    mileage?: InputMaybe<Scalars['Int']>;
    money?: InputMaybe<Scalars['Int']>;
    owner_id?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Currency_Sum_Fields = {
    __typename?: 'currency_sum_fields';
    mileage?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    owner_id?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "currency_type" */
export type Currency_Type = {
    __typename?: 'currency_type';
    description: Scalars['String'];
    id: Scalars['Int'];
    name: Scalars['String'];
    title: Scalars['String'];
};
/** aggregated selection of "currency_type" */
export type Currency_Type_Aggregate = {
    __typename?: 'currency_type_aggregate';
    aggregate?: Maybe<Currency_Type_Aggregate_Fields>;
    nodes: Array<Currency_Type>;
};
/** aggregate fields of "currency_type" */
export type Currency_Type_Aggregate_Fields = {
    __typename?: 'currency_type_aggregate_fields';
    avg?: Maybe<Currency_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Currency_Type_Max_Fields>;
    min?: Maybe<Currency_Type_Min_Fields>;
    stddev?: Maybe<Currency_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Currency_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Currency_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Currency_Type_Sum_Fields>;
    var_pop?: Maybe<Currency_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Currency_Type_Var_Samp_Fields>;
    variance?: Maybe<Currency_Type_Variance_Fields>;
};
/** aggregate fields of "currency_type" */
export type Currency_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Currency_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Currency_Type_Avg_Fields = {
    __typename?: 'currency_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "currency_type". All fields are combined with a logical 'AND'. */
export type Currency_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Currency_Type_Bool_Exp>>;
    _not?: InputMaybe<Currency_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Currency_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "currency_type" */
export declare enum Currency_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    CurrencyTypePkey = "currency_type_pkey"
}
/** input type for incrementing numeric columns in table "currency_type" */
export type Currency_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "currency_type" */
export type Currency_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Currency_Type_Max_Fields = {
    __typename?: 'currency_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Currency_Type_Min_Fields = {
    __typename?: 'currency_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "currency_type" */
export type Currency_Type_Mutation_Response = {
    __typename?: 'currency_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Currency_Type>;
};
/** input type for inserting object relation for remote table "currency_type" */
export type Currency_Type_Obj_Rel_Insert_Input = {
    data: Currency_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Currency_Type_On_Conflict>;
};
/** on_conflict condition type for table "currency_type" */
export type Currency_Type_On_Conflict = {
    constraint: Currency_Type_Constraint;
    update_columns?: Array<Currency_Type_Update_Column>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "currency_type". */
export type Currency_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: currency_type */
export type Currency_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "currency_type" */
export declare enum Currency_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "currency_type" */
export type Currency_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Currency_Type_Stddev_Fields = {
    __typename?: 'currency_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Currency_Type_Stddev_Pop_Fields = {
    __typename?: 'currency_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Currency_Type_Stddev_Samp_Fields = {
    __typename?: 'currency_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "currency_type" */
export type Currency_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Currency_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Currency_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Currency_Type_Sum_Fields = {
    __typename?: 'currency_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "currency_type" */
export declare enum Currency_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
export type Currency_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Currency_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Currency_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Currency_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Currency_Type_Var_Pop_Fields = {
    __typename?: 'currency_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Currency_Type_Var_Samp_Fields = {
    __typename?: 'currency_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Currency_Type_Variance_Fields = {
    __typename?: 'currency_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "currency" */
export declare enum Currency_Update_Column {
    /** column name */
    Hash = "hash",
    /** column name */
    Mileage = "mileage",
    /** column name */
    Money = "money",
    /** column name */
    OwnerId = "owner_id",
    /** column name */
    Rp = "rp",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Currency_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Currency_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Currency_Set_Input>;
    /** filter the rows which have to be updated */
    where: Currency_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Currency_Var_Pop_Fields = {
    __typename?: 'currency_var_pop_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Currency_Var_Samp_Fields = {
    __typename?: 'currency_var_samp_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Currency_Variance_Fields = {
    __typename?: 'currency_variance_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** ordering argument of a cursor */
export declare enum Cursor_Ordering {
    /** ascending ordering of the cursor */
    Asc = "ASC",
    /** descending ordering of the cursor */
    Desc = "DESC"
}
/** Boolean expression to compare columns of type "date". All fields are combined with logical 'AND'. */
export type Date_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['date']>;
    _gt?: InputMaybe<Scalars['date']>;
    _gte?: InputMaybe<Scalars['date']>;
    _in?: InputMaybe<Array<Scalars['date']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['date']>;
    _lte?: InputMaybe<Scalars['date']>;
    _neq?: InputMaybe<Scalars['date']>;
    _nin?: InputMaybe<Array<Scalars['date']>>;
};
/** columns and relationships of "desktop_type" */
export type Desktop_Type = {
    __typename?: 'desktop_type';
    id: Scalars['Int'];
};
/** aggregated selection of "desktop_type" */
export type Desktop_Type_Aggregate = {
    __typename?: 'desktop_type_aggregate';
    aggregate?: Maybe<Desktop_Type_Aggregate_Fields>;
    nodes: Array<Desktop_Type>;
};
/** aggregate fields of "desktop_type" */
export type Desktop_Type_Aggregate_Fields = {
    __typename?: 'desktop_type_aggregate_fields';
    avg?: Maybe<Desktop_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Desktop_Type_Max_Fields>;
    min?: Maybe<Desktop_Type_Min_Fields>;
    stddev?: Maybe<Desktop_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Desktop_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Desktop_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Desktop_Type_Sum_Fields>;
    var_pop?: Maybe<Desktop_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Desktop_Type_Var_Samp_Fields>;
    variance?: Maybe<Desktop_Type_Variance_Fields>;
};
/** aggregate fields of "desktop_type" */
export type Desktop_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Desktop_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Desktop_Type_Avg_Fields = {
    __typename?: 'desktop_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "desktop_type". All fields are combined with a logical 'AND'. */
export type Desktop_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Desktop_Type_Bool_Exp>>;
    _not?: InputMaybe<Desktop_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Desktop_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "desktop_type" */
export declare enum Desktop_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    DesktopTypePkey = "desktop_type_pkey"
}
/** input type for incrementing numeric columns in table "desktop_type" */
export type Desktop_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "desktop_type" */
export type Desktop_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Desktop_Type_Max_Fields = {
    __typename?: 'desktop_type_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Desktop_Type_Min_Fields = {
    __typename?: 'desktop_type_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "desktop_type" */
export type Desktop_Type_Mutation_Response = {
    __typename?: 'desktop_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Desktop_Type>;
};
/** on_conflict condition type for table "desktop_type" */
export type Desktop_Type_On_Conflict = {
    constraint: Desktop_Type_Constraint;
    update_columns?: Array<Desktop_Type_Update_Column>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "desktop_type". */
export type Desktop_Type_Order_By = {
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: desktop_type */
export type Desktop_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "desktop_type" */
export declare enum Desktop_Type_Select_Column {
    /** column name */
    Id = "id"
}
/** input type for updating data in table "desktop_type" */
export type Desktop_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Desktop_Type_Stddev_Fields = {
    __typename?: 'desktop_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Desktop_Type_Stddev_Pop_Fields = {
    __typename?: 'desktop_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Desktop_Type_Stddev_Samp_Fields = {
    __typename?: 'desktop_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "desktop_type" */
export type Desktop_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Desktop_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Desktop_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Desktop_Type_Sum_Fields = {
    __typename?: 'desktop_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "desktop_type" */
export declare enum Desktop_Type_Update_Column {
    /** column name */
    Id = "id"
}
export type Desktop_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Desktop_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Desktop_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Desktop_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Desktop_Type_Var_Pop_Fields = {
    __typename?: 'desktop_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Desktop_Type_Var_Samp_Fields = {
    __typename?: 'desktop_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Desktop_Type_Variance_Fields = {
    __typename?: 'desktop_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "entrypoint" */
export type Entrypoint = {
    __typename?: 'entrypoint';
    id: Scalars['Int'];
    url?: Maybe<Scalars['String']>;
};
/** aggregated selection of "entrypoint" */
export type Entrypoint_Aggregate = {
    __typename?: 'entrypoint_aggregate';
    aggregate?: Maybe<Entrypoint_Aggregate_Fields>;
    nodes: Array<Entrypoint>;
};
/** aggregate fields of "entrypoint" */
export type Entrypoint_Aggregate_Fields = {
    __typename?: 'entrypoint_aggregate_fields';
    avg?: Maybe<Entrypoint_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Entrypoint_Max_Fields>;
    min?: Maybe<Entrypoint_Min_Fields>;
    stddev?: Maybe<Entrypoint_Stddev_Fields>;
    stddev_pop?: Maybe<Entrypoint_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Entrypoint_Stddev_Samp_Fields>;
    sum?: Maybe<Entrypoint_Sum_Fields>;
    var_pop?: Maybe<Entrypoint_Var_Pop_Fields>;
    var_samp?: Maybe<Entrypoint_Var_Samp_Fields>;
    variance?: Maybe<Entrypoint_Variance_Fields>;
};
/** aggregate fields of "entrypoint" */
export type Entrypoint_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Entrypoint_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Entrypoint_Avg_Fields = {
    __typename?: 'entrypoint_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "entrypoint". All fields are combined with a logical 'AND'. */
export type Entrypoint_Bool_Exp = {
    _and?: InputMaybe<Array<Entrypoint_Bool_Exp>>;
    _not?: InputMaybe<Entrypoint_Bool_Exp>;
    _or?: InputMaybe<Array<Entrypoint_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    url?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "entrypoint" */
export declare enum Entrypoint_Constraint {
    /** unique or primary key constraint on columns "id" */
    EntrypointPkey = "entrypoint_pkey"
}
/** input type for incrementing numeric columns in table "entrypoint" */
export type Entrypoint_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "entrypoint" */
export type Entrypoint_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Entrypoint_Max_Fields = {
    __typename?: 'entrypoint_max_fields';
    id?: Maybe<Scalars['Int']>;
    url?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Entrypoint_Min_Fields = {
    __typename?: 'entrypoint_min_fields';
    id?: Maybe<Scalars['Int']>;
    url?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "entrypoint" */
export type Entrypoint_Mutation_Response = {
    __typename?: 'entrypoint_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Entrypoint>;
};
/** input type for inserting object relation for remote table "entrypoint" */
export type Entrypoint_Obj_Rel_Insert_Input = {
    data: Entrypoint_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Entrypoint_On_Conflict>;
};
/** on_conflict condition type for table "entrypoint" */
export type Entrypoint_On_Conflict = {
    constraint: Entrypoint_Constraint;
    update_columns?: Array<Entrypoint_Update_Column>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
/** Ordering options when selecting data from "entrypoint". */
export type Entrypoint_Order_By = {
    id?: InputMaybe<Order_By>;
    url?: InputMaybe<Order_By>;
};
/** primary key columns input for table: entrypoint */
export type Entrypoint_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "entrypoint" */
export declare enum Entrypoint_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Url = "url"
}
/** input type for updating data in table "entrypoint" */
export type Entrypoint_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Entrypoint_Stddev_Fields = {
    __typename?: 'entrypoint_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Entrypoint_Stddev_Pop_Fields = {
    __typename?: 'entrypoint_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Entrypoint_Stddev_Samp_Fields = {
    __typename?: 'entrypoint_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "entrypoint" */
export type Entrypoint_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Entrypoint_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Entrypoint_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Entrypoint_Sum_Fields = {
    __typename?: 'entrypoint_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "entrypoint" */
export declare enum Entrypoint_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Url = "url"
}
export type Entrypoint_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Entrypoint_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Entrypoint_Set_Input>;
    /** filter the rows which have to be updated */
    where: Entrypoint_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Entrypoint_Var_Pop_Fields = {
    __typename?: 'entrypoint_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Entrypoint_Var_Samp_Fields = {
    __typename?: 'entrypoint_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Entrypoint_Variance_Fields = {
    __typename?: 'entrypoint_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "evaluator" */
export type Evaluator = {
    __typename?: 'evaluator';
    /** An object relationship */
    badgeCategory?: Maybe<Badge_Category>;
    badge_category_title?: Maybe<Scalars['String']>;
    /** An object relationship */
    batch?: Maybe<Batch>;
    batch_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    name?: Maybe<Scalars['String']>;
    stringified_variables?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregated selection of "evaluator" */
export type Evaluator_Aggregate = {
    __typename?: 'evaluator_aggregate';
    aggregate?: Maybe<Evaluator_Aggregate_Fields>;
    nodes: Array<Evaluator>;
};
/** aggregate fields of "evaluator" */
export type Evaluator_Aggregate_Fields = {
    __typename?: 'evaluator_aggregate_fields';
    avg?: Maybe<Evaluator_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Evaluator_Max_Fields>;
    min?: Maybe<Evaluator_Min_Fields>;
    stddev?: Maybe<Evaluator_Stddev_Fields>;
    stddev_pop?: Maybe<Evaluator_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Evaluator_Stddev_Samp_Fields>;
    sum?: Maybe<Evaluator_Sum_Fields>;
    var_pop?: Maybe<Evaluator_Var_Pop_Fields>;
    var_samp?: Maybe<Evaluator_Var_Samp_Fields>;
    variance?: Maybe<Evaluator_Variance_Fields>;
};
/** aggregate fields of "evaluator" */
export type Evaluator_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Evaluator_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Evaluator_Avg_Fields = {
    __typename?: 'evaluator_avg_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "evaluator". All fields are combined with a logical 'AND'. */
export type Evaluator_Bool_Exp = {
    _and?: InputMaybe<Array<Evaluator_Bool_Exp>>;
    _not?: InputMaybe<Evaluator_Bool_Exp>;
    _or?: InputMaybe<Array<Evaluator_Bool_Exp>>;
    badgeCategory?: InputMaybe<Badge_Category_Bool_Exp>;
    badge_category_title?: InputMaybe<String_Comparison_Exp>;
    batch?: InputMaybe<Batch_Bool_Exp>;
    batch_id?: InputMaybe<Int_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    stringified_variables?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "evaluator" */
export declare enum Evaluator_Constraint {
    /** unique or primary key constraint on columns "id" */
    EvaluatorPkey = "Evaluator_pkey",
    /** unique or primary key constraint on columns "name" */
    EvaluatorNameKey = "evaluator_name_key"
}
/** input type for incrementing numeric columns in table "evaluator" */
export type Evaluator_Inc_Input = {
    batch_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "evaluator" */
export type Evaluator_Insert_Input = {
    badgeCategory?: InputMaybe<Badge_Category_Obj_Rel_Insert_Input>;
    badge_category_title?: InputMaybe<Scalars['String']>;
    batch?: InputMaybe<Batch_Obj_Rel_Insert_Input>;
    batch_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    stringified_variables?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Evaluator_Max_Fields = {
    __typename?: 'evaluator_max_fields';
    badge_category_title?: Maybe<Scalars['String']>;
    batch_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    stringified_variables?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Evaluator_Min_Fields = {
    __typename?: 'evaluator_min_fields';
    badge_category_title?: Maybe<Scalars['String']>;
    batch_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    stringified_variables?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "evaluator" */
export type Evaluator_Mutation_Response = {
    __typename?: 'evaluator_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Evaluator>;
};
/** input type for inserting object relation for remote table "evaluator" */
export type Evaluator_Obj_Rel_Insert_Input = {
    data: Evaluator_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Evaluator_On_Conflict>;
};
/** on_conflict condition type for table "evaluator" */
export type Evaluator_On_Conflict = {
    constraint: Evaluator_Constraint;
    update_columns?: Array<Evaluator_Update_Column>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
/** Ordering options when selecting data from "evaluator". */
export type Evaluator_Order_By = {
    badgeCategory?: InputMaybe<Badge_Category_Order_By>;
    badge_category_title?: InputMaybe<Order_By>;
    batch?: InputMaybe<Batch_Order_By>;
    batch_id?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    stringified_variables?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: evaluator */
export type Evaluator_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "evaluator" */
export declare enum Evaluator_Select_Column {
    /** column name */
    BadgeCategoryTitle = "badge_category_title",
    /** column name */
    BatchId = "batch_id",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    StringifiedVariables = "stringified_variables",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "evaluator" */
export type Evaluator_Set_Input = {
    badge_category_title?: InputMaybe<Scalars['String']>;
    batch_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    stringified_variables?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Evaluator_Stddev_Fields = {
    __typename?: 'evaluator_stddev_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Evaluator_Stddev_Pop_Fields = {
    __typename?: 'evaluator_stddev_pop_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Evaluator_Stddev_Samp_Fields = {
    __typename?: 'evaluator_stddev_samp_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "evaluator" */
export type Evaluator_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Evaluator_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Evaluator_Stream_Cursor_Value_Input = {
    badge_category_title?: InputMaybe<Scalars['String']>;
    batch_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    stringified_variables?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Evaluator_Sum_Fields = {
    __typename?: 'evaluator_sum_fields';
    batch_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "evaluator" */
export declare enum Evaluator_Update_Column {
    /** column name */
    BadgeCategoryTitle = "badge_category_title",
    /** column name */
    BatchId = "batch_id",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    StringifiedVariables = "stringified_variables",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Evaluator_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Evaluator_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Evaluator_Set_Input>;
    /** filter the rows which have to be updated */
    where: Evaluator_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Evaluator_Var_Pop_Fields = {
    __typename?: 'evaluator_var_pop_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Evaluator_Var_Samp_Fields = {
    __typename?: 'evaluator_var_samp_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Evaluator_Variance_Fields = {
    __typename?: 'evaluator_variance_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "example" */
export type Example = {
    __typename?: 'example';
    code: Scalars['String'];
    id: Scalars['Int'];
    size: Scalars['Int'];
    /** An object relationship */
    type: Example_Type;
    type_id: Scalars['Int'];
};
/** aggregated selection of "example" */
export type Example_Aggregate = {
    __typename?: 'example_aggregate';
    aggregate?: Maybe<Example_Aggregate_Fields>;
    nodes: Array<Example>;
};
/** aggregate fields of "example" */
export type Example_Aggregate_Fields = {
    __typename?: 'example_aggregate_fields';
    avg?: Maybe<Example_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Example_Max_Fields>;
    min?: Maybe<Example_Min_Fields>;
    stddev?: Maybe<Example_Stddev_Fields>;
    stddev_pop?: Maybe<Example_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Example_Stddev_Samp_Fields>;
    sum?: Maybe<Example_Sum_Fields>;
    var_pop?: Maybe<Example_Var_Pop_Fields>;
    var_samp?: Maybe<Example_Var_Samp_Fields>;
    variance?: Maybe<Example_Variance_Fields>;
};
/** aggregate fields of "example" */
export type Example_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Example_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Example_Avg_Fields = {
    __typename?: 'example_avg_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "example". All fields are combined with a logical 'AND'. */
export type Example_Bool_Exp = {
    _and?: InputMaybe<Array<Example_Bool_Exp>>;
    _not?: InputMaybe<Example_Bool_Exp>;
    _or?: InputMaybe<Array<Example_Bool_Exp>>;
    code?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    size?: InputMaybe<Int_Comparison_Exp>;
    type?: InputMaybe<Example_Type_Bool_Exp>;
    type_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "example" */
export declare enum Example_Constraint {
    /** unique or primary key constraint on columns "id" */
    ExamplePkey = "example_pkey"
}
/** input type for incrementing numeric columns in table "example" */
export type Example_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    size?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "example" */
export type Example_Insert_Input = {
    code?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    size?: InputMaybe<Scalars['Int']>;
    type?: InputMaybe<Example_Type_Obj_Rel_Insert_Input>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Example_Max_Fields = {
    __typename?: 'example_max_fields';
    code?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    size?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Example_Min_Fields = {
    __typename?: 'example_min_fields';
    code?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    size?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "example" */
export type Example_Mutation_Response = {
    __typename?: 'example_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Example>;
};
/** input type for inserting object relation for remote table "example" */
export type Example_Obj_Rel_Insert_Input = {
    data: Example_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Example_On_Conflict>;
};
/** on_conflict condition type for table "example" */
export type Example_On_Conflict = {
    constraint: Example_Constraint;
    update_columns?: Array<Example_Update_Column>;
    where?: InputMaybe<Example_Bool_Exp>;
};
/** Ordering options when selecting data from "example". */
export type Example_Order_By = {
    code?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    size?: InputMaybe<Order_By>;
    type?: InputMaybe<Example_Type_Order_By>;
    type_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: example */
export type Example_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "example" */
export declare enum Example_Select_Column {
    /** column name */
    Code = "code",
    /** column name */
    Id = "id",
    /** column name */
    Size = "size",
    /** column name */
    TypeId = "type_id"
}
/** input type for updating data in table "example" */
export type Example_Set_Input = {
    code?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    size?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Example_Stddev_Fields = {
    __typename?: 'example_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Example_Stddev_Pop_Fields = {
    __typename?: 'example_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Example_Stddev_Samp_Fields = {
    __typename?: 'example_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "example" */
export type Example_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Example_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Example_Stream_Cursor_Value_Input = {
    code?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    size?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Example_Sum_Fields = {
    __typename?: 'example_sum_fields';
    id?: Maybe<Scalars['Int']>;
    size?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "example_type" */
export type Example_Type = {
    __typename?: 'example_type';
    id: Scalars['Int'];
    is_json?: Maybe<Scalars['Boolean']>;
    name: Scalars['String'];
    separator?: Maybe<Scalars['String']>;
};
/** aggregated selection of "example_type" */
export type Example_Type_Aggregate = {
    __typename?: 'example_type_aggregate';
    aggregate?: Maybe<Example_Type_Aggregate_Fields>;
    nodes: Array<Example_Type>;
};
/** aggregate fields of "example_type" */
export type Example_Type_Aggregate_Fields = {
    __typename?: 'example_type_aggregate_fields';
    avg?: Maybe<Example_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Example_Type_Max_Fields>;
    min?: Maybe<Example_Type_Min_Fields>;
    stddev?: Maybe<Example_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Example_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Example_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Example_Type_Sum_Fields>;
    var_pop?: Maybe<Example_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Example_Type_Var_Samp_Fields>;
    variance?: Maybe<Example_Type_Variance_Fields>;
};
/** aggregate fields of "example_type" */
export type Example_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Example_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Example_Type_Avg_Fields = {
    __typename?: 'example_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "example_type". All fields are combined with a logical 'AND'. */
export type Example_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Example_Type_Bool_Exp>>;
    _not?: InputMaybe<Example_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Example_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_json?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    separator?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "example_type" */
export declare enum Example_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    ExampleTypePkey = "example_type_pkey"
}
/** input type for incrementing numeric columns in table "example_type" */
export type Example_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "example_type" */
export type Example_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_json?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Example_Type_Max_Fields = {
    __typename?: 'example_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    separator?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Example_Type_Min_Fields = {
    __typename?: 'example_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    separator?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "example_type" */
export type Example_Type_Mutation_Response = {
    __typename?: 'example_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Example_Type>;
};
/** input type for inserting object relation for remote table "example_type" */
export type Example_Type_Obj_Rel_Insert_Input = {
    data: Example_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Example_Type_On_Conflict>;
};
/** on_conflict condition type for table "example_type" */
export type Example_Type_On_Conflict = {
    constraint: Example_Type_Constraint;
    update_columns?: Array<Example_Type_Update_Column>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "example_type". */
export type Example_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_json?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    separator?: InputMaybe<Order_By>;
};
/** primary key columns input for table: example_type */
export type Example_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "example_type" */
export declare enum Example_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsJson = "is_json",
    /** column name */
    Name = "name",
    /** column name */
    Separator = "separator"
}
/** input type for updating data in table "example_type" */
export type Example_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_json?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Example_Type_Stddev_Fields = {
    __typename?: 'example_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Example_Type_Stddev_Pop_Fields = {
    __typename?: 'example_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Example_Type_Stddev_Samp_Fields = {
    __typename?: 'example_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "example_type" */
export type Example_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Example_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Example_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_json?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Example_Type_Sum_Fields = {
    __typename?: 'example_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "example_type" */
export declare enum Example_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsJson = "is_json",
    /** column name */
    Name = "name",
    /** column name */
    Separator = "separator"
}
export type Example_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Example_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Example_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Example_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Example_Type_Var_Pop_Fields = {
    __typename?: 'example_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Example_Type_Var_Samp_Fields = {
    __typename?: 'example_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Example_Type_Variance_Fields = {
    __typename?: 'example_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "example" */
export declare enum Example_Update_Column {
    /** column name */
    Code = "code",
    /** column name */
    Id = "id",
    /** column name */
    Size = "size",
    /** column name */
    TypeId = "type_id"
}
export type Example_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Example_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Example_Set_Input>;
    /** filter the rows which have to be updated */
    where: Example_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Example_Var_Pop_Fields = {
    __typename?: 'example_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Example_Var_Samp_Fields = {
    __typename?: 'example_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Example_Variance_Fields = {
    __typename?: 'example_variance_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "exhibition_determinant" */
export type Exhibition_Determinant = {
    __typename?: 'exhibition_determinant';
    id: Scalars['Int'];
    /** An object relationship */
    quest?: Maybe<Quest>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "exhibition_determinant" */
export type Exhibition_Determinant_Aggregate = {
    __typename?: 'exhibition_determinant_aggregate';
    aggregate?: Maybe<Exhibition_Determinant_Aggregate_Fields>;
    nodes: Array<Exhibition_Determinant>;
};
/** aggregate fields of "exhibition_determinant" */
export type Exhibition_Determinant_Aggregate_Fields = {
    __typename?: 'exhibition_determinant_aggregate_fields';
    avg?: Maybe<Exhibition_Determinant_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Exhibition_Determinant_Max_Fields>;
    min?: Maybe<Exhibition_Determinant_Min_Fields>;
    stddev?: Maybe<Exhibition_Determinant_Stddev_Fields>;
    stddev_pop?: Maybe<Exhibition_Determinant_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Exhibition_Determinant_Stddev_Samp_Fields>;
    sum?: Maybe<Exhibition_Determinant_Sum_Fields>;
    var_pop?: Maybe<Exhibition_Determinant_Var_Pop_Fields>;
    var_samp?: Maybe<Exhibition_Determinant_Var_Samp_Fields>;
    variance?: Maybe<Exhibition_Determinant_Variance_Fields>;
};
/** aggregate fields of "exhibition_determinant" */
export type Exhibition_Determinant_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Exhibition_Determinant_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Exhibition_Determinant_Avg_Fields = {
    __typename?: 'exhibition_determinant_avg_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "exhibition_determinant". All fields are combined with a logical 'AND'. */
export type Exhibition_Determinant_Bool_Exp = {
    _and?: InputMaybe<Array<Exhibition_Determinant_Bool_Exp>>;
    _not?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
    _or?: InputMaybe<Array<Exhibition_Determinant_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    quest_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "exhibition_determinant" */
export declare enum Exhibition_Determinant_Constraint {
    /** unique or primary key constraint on columns "id" */
    ExhibitionDeterminantPkey = "exhibition_determinant_pkey"
}
/** input type for incrementing numeric columns in table "exhibition_determinant" */
export type Exhibition_Determinant_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "exhibition_determinant" */
export type Exhibition_Determinant_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Exhibition_Determinant_Max_Fields = {
    __typename?: 'exhibition_determinant_max_fields';
    id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Exhibition_Determinant_Min_Fields = {
    __typename?: 'exhibition_determinant_min_fields';
    id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "exhibition_determinant" */
export type Exhibition_Determinant_Mutation_Response = {
    __typename?: 'exhibition_determinant_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Exhibition_Determinant>;
};
/** input type for inserting object relation for remote table "exhibition_determinant" */
export type Exhibition_Determinant_Obj_Rel_Insert_Input = {
    data: Exhibition_Determinant_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Exhibition_Determinant_On_Conflict>;
};
/** on_conflict condition type for table "exhibition_determinant" */
export type Exhibition_Determinant_On_Conflict = {
    constraint: Exhibition_Determinant_Constraint;
    update_columns?: Array<Exhibition_Determinant_Update_Column>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
/** Ordering options when selecting data from "exhibition_determinant". */
export type Exhibition_Determinant_Order_By = {
    id?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    quest_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: exhibition_determinant */
export type Exhibition_Determinant_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "exhibition_determinant" */
export declare enum Exhibition_Determinant_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    QuestId = "quest_id"
}
/** input type for updating data in table "exhibition_determinant" */
export type Exhibition_Determinant_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Exhibition_Determinant_Stddev_Fields = {
    __typename?: 'exhibition_determinant_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Exhibition_Determinant_Stddev_Pop_Fields = {
    __typename?: 'exhibition_determinant_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Exhibition_Determinant_Stddev_Samp_Fields = {
    __typename?: 'exhibition_determinant_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "exhibition_determinant" */
export type Exhibition_Determinant_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Exhibition_Determinant_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Exhibition_Determinant_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Exhibition_Determinant_Sum_Fields = {
    __typename?: 'exhibition_determinant_sum_fields';
    id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "exhibition_determinant" */
export declare enum Exhibition_Determinant_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    QuestId = "quest_id"
}
export type Exhibition_Determinant_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Exhibition_Determinant_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Exhibition_Determinant_Set_Input>;
    /** filter the rows which have to be updated */
    where: Exhibition_Determinant_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Exhibition_Determinant_Var_Pop_Fields = {
    __typename?: 'exhibition_determinant_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Exhibition_Determinant_Var_Samp_Fields = {
    __typename?: 'exhibition_determinant_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Exhibition_Determinant_Variance_Fields = {
    __typename?: 'exhibition_determinant_variance_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "flag" */
export type Flag = {
    __typename?: 'flag';
    /** An object relationship */
    fireEventConditionType?: Maybe<Map_Condition_Type>;
    fire_event_condition_type_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    locus?: Maybe<Locus>;
    locus_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    map?: Maybe<Map>;
    map_id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "flag" */
export type Flag_Aggregate = {
    __typename?: 'flag_aggregate';
    aggregate?: Maybe<Flag_Aggregate_Fields>;
    nodes: Array<Flag>;
};
/** aggregate fields of "flag" */
export type Flag_Aggregate_Fields = {
    __typename?: 'flag_aggregate_fields';
    avg?: Maybe<Flag_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Flag_Max_Fields>;
    min?: Maybe<Flag_Min_Fields>;
    stddev?: Maybe<Flag_Stddev_Fields>;
    stddev_pop?: Maybe<Flag_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Flag_Stddev_Samp_Fields>;
    sum?: Maybe<Flag_Sum_Fields>;
    var_pop?: Maybe<Flag_Var_Pop_Fields>;
    var_samp?: Maybe<Flag_Var_Samp_Fields>;
    variance?: Maybe<Flag_Variance_Fields>;
};
/** aggregate fields of "flag" */
export type Flag_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Flag_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Flag_Avg_Fields = {
    __typename?: 'flag_avg_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "flag". All fields are combined with a logical 'AND'. */
export type Flag_Bool_Exp = {
    _and?: InputMaybe<Array<Flag_Bool_Exp>>;
    _not?: InputMaybe<Flag_Bool_Exp>;
    _or?: InputMaybe<Array<Flag_Bool_Exp>>;
    fireEventConditionType?: InputMaybe<Map_Condition_Type_Bool_Exp>;
    fire_event_condition_type_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    map?: InputMaybe<Map_Bool_Exp>;
    map_id?: InputMaybe<Int_Comparison_Exp>;
    map_item_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "flag" */
export declare enum Flag_Constraint {
    /** unique or primary key constraint on columns "id" */
    FlagPkey = "flag_pkey"
}
/** input type for incrementing numeric columns in table "flag" */
export type Flag_Inc_Input = {
    fire_event_condition_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "flag" */
export type Flag_Insert_Input = {
    fireEventConditionType?: InputMaybe<Map_Condition_Type_Obj_Rel_Insert_Input>;
    fire_event_condition_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    map?: InputMaybe<Map_Obj_Rel_Insert_Input>;
    map_id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Flag_Max_Fields = {
    __typename?: 'flag_max_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Flag_Min_Fields = {
    __typename?: 'flag_min_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "flag" */
export type Flag_Mutation_Response = {
    __typename?: 'flag_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Flag>;
};
/** input type for inserting object relation for remote table "flag" */
export type Flag_Obj_Rel_Insert_Input = {
    data: Flag_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Flag_On_Conflict>;
};
/** on_conflict condition type for table "flag" */
export type Flag_On_Conflict = {
    constraint: Flag_Constraint;
    update_columns?: Array<Flag_Update_Column>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
/** Ordering options when selecting data from "flag". */
export type Flag_Order_By = {
    fireEventConditionType?: InputMaybe<Map_Condition_Type_Order_By>;
    fire_event_condition_type_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    map?: InputMaybe<Map_Order_By>;
    map_id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: flag */
export type Flag_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "flag" */
export declare enum Flag_Select_Column {
    /** column name */
    FireEventConditionTypeId = "fire_event_condition_type_id",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    MapId = "map_id",
    /** column name */
    MapItemId = "map_item_id"
}
/** input type for updating data in table "flag" */
export type Flag_Set_Input = {
    fire_event_condition_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Flag_Stddev_Fields = {
    __typename?: 'flag_stddev_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Flag_Stddev_Pop_Fields = {
    __typename?: 'flag_stddev_pop_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Flag_Stddev_Samp_Fields = {
    __typename?: 'flag_stddev_samp_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "flag" */
export type Flag_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Flag_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Flag_Stream_Cursor_Value_Input = {
    fire_event_condition_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Flag_Sum_Fields = {
    __typename?: 'flag_sum_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "flag_type" */
export type Flag_Type = {
    __typename?: 'flag_type';
    id: Scalars['Int'];
    is_fired_by_click?: Maybe<Scalars['Boolean']>;
    is_fired_by_drag?: Maybe<Scalars['Boolean']>;
    is_system_ui?: Maybe<Scalars['Boolean']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregated selection of "flag_type" */
export type Flag_Type_Aggregate = {
    __typename?: 'flag_type_aggregate';
    aggregate?: Maybe<Flag_Type_Aggregate_Fields>;
    nodes: Array<Flag_Type>;
};
/** aggregate fields of "flag_type" */
export type Flag_Type_Aggregate_Fields = {
    __typename?: 'flag_type_aggregate_fields';
    avg?: Maybe<Flag_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Flag_Type_Max_Fields>;
    min?: Maybe<Flag_Type_Min_Fields>;
    stddev?: Maybe<Flag_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Flag_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Flag_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Flag_Type_Sum_Fields>;
    var_pop?: Maybe<Flag_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Flag_Type_Var_Samp_Fields>;
    variance?: Maybe<Flag_Type_Variance_Fields>;
};
/** aggregate fields of "flag_type" */
export type Flag_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Flag_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Flag_Type_Avg_Fields = {
    __typename?: 'flag_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "flag_type". All fields are combined with a logical 'AND'. */
export type Flag_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Flag_Type_Bool_Exp>>;
    _not?: InputMaybe<Flag_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Flag_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_fired_by_click?: InputMaybe<Boolean_Comparison_Exp>;
    is_fired_by_drag?: InputMaybe<Boolean_Comparison_Exp>;
    is_system_ui?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "flag_type" */
export declare enum Flag_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    FlagTypePkey = "flag_type_pkey"
}
/** input type for incrementing numeric columns in table "flag_type" */
export type Flag_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "flag_type" */
export type Flag_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_fired_by_click?: InputMaybe<Scalars['Boolean']>;
    is_fired_by_drag?: InputMaybe<Scalars['Boolean']>;
    is_system_ui?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Flag_Type_Max_Fields = {
    __typename?: 'flag_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Flag_Type_Min_Fields = {
    __typename?: 'flag_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "flag_type" */
export type Flag_Type_Mutation_Response = {
    __typename?: 'flag_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Flag_Type>;
};
/** on_conflict condition type for table "flag_type" */
export type Flag_Type_On_Conflict = {
    constraint: Flag_Type_Constraint;
    update_columns?: Array<Flag_Type_Update_Column>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "flag_type". */
export type Flag_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_fired_by_click?: InputMaybe<Order_By>;
    is_fired_by_drag?: InputMaybe<Order_By>;
    is_system_ui?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: flag_type */
export type Flag_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "flag_type" */
export declare enum Flag_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsFiredByClick = "is_fired_by_click",
    /** column name */
    IsFiredByDrag = "is_fired_by_drag",
    /** column name */
    IsSystemUi = "is_system_ui",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "flag_type" */
export type Flag_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_fired_by_click?: InputMaybe<Scalars['Boolean']>;
    is_fired_by_drag?: InputMaybe<Scalars['Boolean']>;
    is_system_ui?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Flag_Type_Stddev_Fields = {
    __typename?: 'flag_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Flag_Type_Stddev_Pop_Fields = {
    __typename?: 'flag_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Flag_Type_Stddev_Samp_Fields = {
    __typename?: 'flag_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "flag_type" */
export type Flag_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Flag_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Flag_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_fired_by_click?: InputMaybe<Scalars['Boolean']>;
    is_fired_by_drag?: InputMaybe<Scalars['Boolean']>;
    is_system_ui?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Flag_Type_Sum_Fields = {
    __typename?: 'flag_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "flag_type" */
export declare enum Flag_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsFiredByClick = "is_fired_by_click",
    /** column name */
    IsFiredByDrag = "is_fired_by_drag",
    /** column name */
    IsSystemUi = "is_system_ui",
    /** column name */
    Name = "name"
}
export type Flag_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Flag_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Flag_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Flag_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Flag_Type_Var_Pop_Fields = {
    __typename?: 'flag_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Flag_Type_Var_Samp_Fields = {
    __typename?: 'flag_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Flag_Type_Variance_Fields = {
    __typename?: 'flag_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "flag" */
export declare enum Flag_Update_Column {
    /** column name */
    FireEventConditionTypeId = "fire_event_condition_type_id",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    MapId = "map_id",
    /** column name */
    MapItemId = "map_item_id"
}
export type Flag_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Flag_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Flag_Set_Input>;
    /** filter the rows which have to be updated */
    where: Flag_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Flag_Var_Pop_Fields = {
    __typename?: 'flag_var_pop_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Flag_Var_Samp_Fields = {
    __typename?: 'flag_var_samp_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Flag_Variance_Fields = {
    __typename?: 'flag_variance_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "game" */
export type Game = {
    __typename?: 'game';
    area_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    contentType?: Maybe<Piece_Type>;
    content_type?: Maybe<Scalars['Int']>;
    content_uri?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    creatorTreasureUser?: Maybe<Treasure_User>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    /** An array relationship */
    gameAndLocus: Array<Games_Locus>;
    /** An aggregate relationship */
    gameAndLocus_aggregate: Games_Locus_Aggregate;
    /** An object relationship */
    gameAreaById?: Maybe<Area>;
    /** An object relationship */
    gameManagement?: Maybe<Game_Management>;
    /** An object relationship */
    gameStateType?: Maybe<Game_State_Type>;
    game_state_type?: Maybe<Scalars['Int']>;
    /** An object relationship */
    group?: Maybe<Game_Group>;
    group_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    /** An array relationship */
    hunters: Array<Game_Hunter>;
    /** An aggregate relationship */
    hunters_aggregate: Game_Hunter_Aggregate;
    id: Scalars['Int'];
    in_group_label?: Maybe<Scalars['String']>;
    in_group_number?: Maybe<Scalars['Int']>;
    is_journey?: Maybe<Scalars['Boolean']>;
    key?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    location?: Maybe<Location>;
    location_id?: Maybe<Scalars['Int']>;
    management_info?: Maybe<Scalars['Int']>;
    /** An object relationship */
    map?: Maybe<Map>;
    map_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    product?: Maybe<Product>;
    product_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    quests: Array<Quest>;
    /** An aggregate relationship */
    quests_aggregate: Quest_Aggregate;
    /** An object relationship */
    requirement?: Maybe<Game_Requirement>;
    requirement_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    sponsorships: Array<Sponsorship_Game_State>;
    /** An aggregate relationship */
    sponsorships_aggregate: Sponsorship_Game_State_Aggregate;
    /** An object relationship */
    theme?: Maybe<Theme>;
    theme_id?: Maybe<Scalars['Int']>;
    thumbnail_uri?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** columns and relationships of "game" */
export type GameGameAndLocusArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameGameAndLocus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameHuntersArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameHunters_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameQuestsArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameQuests_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameSponsorshipsArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameSponsorships_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
/** columns and relationships of "game_action" */
export type Game_Action = {
    __typename?: 'game_action';
    description?: Maybe<Scalars['String']>;
    from_state_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    title?: Maybe<Scalars['String']>;
    to_state_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "game_action" */
export type Game_Action_Aggregate = {
    __typename?: 'game_action_aggregate';
    aggregate?: Maybe<Game_Action_Aggregate_Fields>;
    nodes: Array<Game_Action>;
};
/** aggregate fields of "game_action" */
export type Game_Action_Aggregate_Fields = {
    __typename?: 'game_action_aggregate_fields';
    avg?: Maybe<Game_Action_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Action_Max_Fields>;
    min?: Maybe<Game_Action_Min_Fields>;
    stddev?: Maybe<Game_Action_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Action_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Action_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Action_Sum_Fields>;
    var_pop?: Maybe<Game_Action_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Action_Var_Samp_Fields>;
    variance?: Maybe<Game_Action_Variance_Fields>;
};
/** aggregate fields of "game_action" */
export type Game_Action_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Action_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Action_Avg_Fields = {
    __typename?: 'game_action_avg_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_action". All fields are combined with a logical 'AND'. */
export type Game_Action_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Action_Bool_Exp>>;
    _not?: InputMaybe<Game_Action_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Action_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    from_state_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    to_state_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_action" */
export declare enum Game_Action_Constraint {
    /** unique or primary key constraint on columns "id" */
    GamePolicyPkey = "game_policy_pkey"
}
/** input type for incrementing numeric columns in table "game_action" */
export type Game_Action_Inc_Input = {
    from_state_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    to_state_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_action" */
export type Game_Action_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    from_state_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    to_state_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Game_Action_Max_Fields = {
    __typename?: 'game_action_max_fields';
    description?: Maybe<Scalars['String']>;
    from_state_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    to_state_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_Action_Min_Fields = {
    __typename?: 'game_action_min_fields';
    description?: Maybe<Scalars['String']>;
    from_state_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    to_state_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_action" */
export type Game_Action_Mutation_Response = {
    __typename?: 'game_action_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Action>;
};
/** input type for inserting object relation for remote table "game_action" */
export type Game_Action_Obj_Rel_Insert_Input = {
    data: Game_Action_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_Action_On_Conflict>;
};
/** on_conflict condition type for table "game_action" */
export type Game_Action_On_Conflict = {
    constraint: Game_Action_Constraint;
    update_columns?: Array<Game_Action_Update_Column>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
/** Ordering options when selecting data from "game_action". */
export type Game_Action_Order_By = {
    description?: InputMaybe<Order_By>;
    from_state_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    to_state_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_action */
export type Game_Action_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_action" */
export declare enum Game_Action_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    FromStateId = "from_state_id",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title",
    /** column name */
    ToStateId = "to_state_id"
}
/** input type for updating data in table "game_action" */
export type Game_Action_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    from_state_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    to_state_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Game_Action_Stddev_Fields = {
    __typename?: 'game_action_stddev_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Action_Stddev_Pop_Fields = {
    __typename?: 'game_action_stddev_pop_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Action_Stddev_Samp_Fields = {
    __typename?: 'game_action_stddev_samp_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_action" */
export type Game_Action_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Action_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Action_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    from_state_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    to_state_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Game_Action_Sum_Fields = {
    __typename?: 'game_action_sum_fields';
    from_state_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    to_state_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_action" */
export declare enum Game_Action_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    FromStateId = "from_state_id",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title",
    /** column name */
    ToStateId = "to_state_id"
}
export type Game_Action_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Action_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Action_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Action_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Action_Var_Pop_Fields = {
    __typename?: 'game_action_var_pop_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Action_Var_Samp_Fields = {
    __typename?: 'game_action_var_samp_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Action_Variance_Fields = {
    __typename?: 'game_action_variance_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** aggregated selection of "game" */
export type Game_Aggregate = {
    __typename?: 'game_aggregate';
    aggregate?: Maybe<Game_Aggregate_Fields>;
    nodes: Array<Game>;
};
/** aggregate fields of "game" */
export type Game_Aggregate_Fields = {
    __typename?: 'game_aggregate_fields';
    avg?: Maybe<Game_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Max_Fields>;
    min?: Maybe<Game_Min_Fields>;
    stddev?: Maybe<Game_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Sum_Fields>;
    var_pop?: Maybe<Game_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Var_Samp_Fields>;
    variance?: Maybe<Game_Variance_Fields>;
};
/** aggregate fields of "game" */
export type Game_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Avg_Fields = {
    __typename?: 'game_avg_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game". All fields are combined with a logical 'AND'. */
export type Game_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Bool_Exp>>;
    _not?: InputMaybe<Game_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Bool_Exp>>;
    area_id?: InputMaybe<Int_Comparison_Exp>;
    contentType?: InputMaybe<Piece_Type_Bool_Exp>;
    content_type?: InputMaybe<Int_Comparison_Exp>;
    content_uri?: InputMaybe<String_Comparison_Exp>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    creator_id?: InputMaybe<Int_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    gameAndLocus?: InputMaybe<Games_Locus_Bool_Exp>;
    gameAndLocus_aggregate?: InputMaybe<Games_Locus_Aggregate_Bool_Exp>;
    gameAreaById?: InputMaybe<Area_Bool_Exp>;
    gameManagement?: InputMaybe<Game_Management_Bool_Exp>;
    gameStateType?: InputMaybe<Game_State_Type_Bool_Exp>;
    game_state_type?: InputMaybe<Int_Comparison_Exp>;
    group?: InputMaybe<Game_Group_Bool_Exp>;
    group_id?: InputMaybe<Int_Comparison_Exp>;
    hash?: InputMaybe<String_Comparison_Exp>;
    hunters?: InputMaybe<Game_Hunter_Bool_Exp>;
    hunters_aggregate?: InputMaybe<Game_Hunter_Aggregate_Bool_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    in_group_label?: InputMaybe<String_Comparison_Exp>;
    in_group_number?: InputMaybe<Int_Comparison_Exp>;
    is_journey?: InputMaybe<Boolean_Comparison_Exp>;
    key?: InputMaybe<Int_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    location?: InputMaybe<Location_Bool_Exp>;
    location_id?: InputMaybe<Int_Comparison_Exp>;
    management_info?: InputMaybe<Int_Comparison_Exp>;
    map?: InputMaybe<Map_Bool_Exp>;
    map_id?: InputMaybe<Int_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
    quests?: InputMaybe<Quest_Bool_Exp>;
    quests_aggregate?: InputMaybe<Quest_Aggregate_Bool_Exp>;
    requirement?: InputMaybe<Game_Requirement_Bool_Exp>;
    requirement_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorships?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
    sponsorships_aggregate?: InputMaybe<Sponsorship_Game_State_Aggregate_Bool_Exp>;
    theme?: InputMaybe<Theme_Bool_Exp>;
    theme_id?: InputMaybe<Int_Comparison_Exp>;
    thumbnail_uri?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "game" */
export declare enum Game_Constraint {
    /** unique or primary key constraint on columns "hash" */
    GameHashKey = "game_hash_key",
    /** unique or primary key constraint on columns "id" */
    GamePkey = "game_pkey",
    /** unique or primary key constraint on columns "hash", "title", "creator_id" */
    GameTitleCreatorIdHashKey = "game_title_creator_id_hash_key"
}
/** columns and relationships of "game_design" */
export type Game_Design = {
    __typename?: 'game_design';
    created_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    designer?: Maybe<Treasure_User>;
    designer_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_hash?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    stringified_design?: Maybe<Scalars['String']>;
    stringified_graph?: Maybe<Scalars['String']>;
    stringified_segments?: Maybe<Scalars['String']>;
    stringified_sponsorship_game_states?: Maybe<Scalars['String']>;
};
/** aggregated selection of "game_design" */
export type Game_Design_Aggregate = {
    __typename?: 'game_design_aggregate';
    aggregate?: Maybe<Game_Design_Aggregate_Fields>;
    nodes: Array<Game_Design>;
};
/** aggregate fields of "game_design" */
export type Game_Design_Aggregate_Fields = {
    __typename?: 'game_design_aggregate_fields';
    avg?: Maybe<Game_Design_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Design_Max_Fields>;
    min?: Maybe<Game_Design_Min_Fields>;
    stddev?: Maybe<Game_Design_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Design_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Design_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Design_Sum_Fields>;
    var_pop?: Maybe<Game_Design_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Design_Var_Samp_Fields>;
    variance?: Maybe<Game_Design_Variance_Fields>;
};
/** aggregate fields of "game_design" */
export type Game_Design_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Design_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Design_Avg_Fields = {
    __typename?: 'game_design_avg_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_design". All fields are combined with a logical 'AND'. */
export type Game_Design_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Design_Bool_Exp>>;
    _not?: InputMaybe<Game_Design_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Design_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    designer?: InputMaybe<Treasure_User_Bool_Exp>;
    designer_id?: InputMaybe<Int_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_hash?: InputMaybe<String_Comparison_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    stringified_design?: InputMaybe<String_Comparison_Exp>;
    stringified_graph?: InputMaybe<String_Comparison_Exp>;
    stringified_segments?: InputMaybe<String_Comparison_Exp>;
    stringified_sponsorship_game_states?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_design" */
export declare enum Game_Design_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameDesignPkey = "game_design_pkey"
}
/** input type for incrementing numeric columns in table "game_design" */
export type Game_Design_Inc_Input = {
    designer_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_design" */
export type Game_Design_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    designer?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    designer_id?: InputMaybe<Scalars['Int']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_hash?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    stringified_design?: InputMaybe<Scalars['String']>;
    stringified_graph?: InputMaybe<Scalars['String']>;
    stringified_segments?: InputMaybe<Scalars['String']>;
    stringified_sponsorship_game_states?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Game_Design_Max_Fields = {
    __typename?: 'game_design_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    designer_id?: Maybe<Scalars['Int']>;
    game_hash?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    stringified_design?: Maybe<Scalars['String']>;
    stringified_graph?: Maybe<Scalars['String']>;
    stringified_segments?: Maybe<Scalars['String']>;
    stringified_sponsorship_game_states?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Game_Design_Min_Fields = {
    __typename?: 'game_design_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    designer_id?: Maybe<Scalars['Int']>;
    game_hash?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    stringified_design?: Maybe<Scalars['String']>;
    stringified_graph?: Maybe<Scalars['String']>;
    stringified_segments?: Maybe<Scalars['String']>;
    stringified_sponsorship_game_states?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "game_design" */
export type Game_Design_Mutation_Response = {
    __typename?: 'game_design_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Design>;
};
/** on_conflict condition type for table "game_design" */
export type Game_Design_On_Conflict = {
    constraint: Game_Design_Constraint;
    update_columns?: Array<Game_Design_Update_Column>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
/** Ordering options when selecting data from "game_design". */
export type Game_Design_Order_By = {
    created_at?: InputMaybe<Order_By>;
    designer?: InputMaybe<Treasure_User_Order_By>;
    designer_id?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_hash?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    stringified_design?: InputMaybe<Order_By>;
    stringified_graph?: InputMaybe<Order_By>;
    stringified_segments?: InputMaybe<Order_By>;
    stringified_sponsorship_game_states?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_design */
export type Game_Design_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_design" */
export declare enum Game_Design_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DesignerId = "designer_id",
    /** column name */
    GameHash = "game_hash",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    StringifiedDesign = "stringified_design",
    /** column name */
    StringifiedGraph = "stringified_graph",
    /** column name */
    StringifiedSegments = "stringified_segments",
    /** column name */
    StringifiedSponsorshipGameStates = "stringified_sponsorship_game_states"
}
/** input type for updating data in table "game_design" */
export type Game_Design_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    designer_id?: InputMaybe<Scalars['Int']>;
    game_hash?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    stringified_design?: InputMaybe<Scalars['String']>;
    stringified_graph?: InputMaybe<Scalars['String']>;
    stringified_segments?: InputMaybe<Scalars['String']>;
    stringified_sponsorship_game_states?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Game_Design_Stddev_Fields = {
    __typename?: 'game_design_stddev_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Design_Stddev_Pop_Fields = {
    __typename?: 'game_design_stddev_pop_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Design_Stddev_Samp_Fields = {
    __typename?: 'game_design_stddev_samp_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_design" */
export type Game_Design_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Design_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Design_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    designer_id?: InputMaybe<Scalars['Int']>;
    game_hash?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    stringified_design?: InputMaybe<Scalars['String']>;
    stringified_graph?: InputMaybe<Scalars['String']>;
    stringified_segments?: InputMaybe<Scalars['String']>;
    stringified_sponsorship_game_states?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Game_Design_Sum_Fields = {
    __typename?: 'game_design_sum_fields';
    designer_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_design" */
export declare enum Game_Design_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DesignerId = "designer_id",
    /** column name */
    GameHash = "game_hash",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    StringifiedDesign = "stringified_design",
    /** column name */
    StringifiedGraph = "stringified_graph",
    /** column name */
    StringifiedSegments = "stringified_segments",
    /** column name */
    StringifiedSponsorshipGameStates = "stringified_sponsorship_game_states"
}
export type Game_Design_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Design_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Design_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Design_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Design_Var_Pop_Fields = {
    __typename?: 'game_design_var_pop_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Design_Var_Samp_Fields = {
    __typename?: 'game_design_var_samp_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Design_Variance_Fields = {
    __typename?: 'game_design_variance_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "game_group" */
export type Game_Group = {
    __typename?: 'game_group';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    label?: Maybe<Scalars['String']>;
    /** An object relationship */
    manager?: Maybe<Treasure_User>;
    manager_id?: Maybe<Scalars['Int']>;
    title: Scalars['String'];
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "game_group" */
export type Game_Group_Aggregate = {
    __typename?: 'game_group_aggregate';
    aggregate?: Maybe<Game_Group_Aggregate_Fields>;
    nodes: Array<Game_Group>;
};
/** aggregate fields of "game_group" */
export type Game_Group_Aggregate_Fields = {
    __typename?: 'game_group_aggregate_fields';
    avg?: Maybe<Game_Group_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Group_Max_Fields>;
    min?: Maybe<Game_Group_Min_Fields>;
    stddev?: Maybe<Game_Group_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Group_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Group_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Group_Sum_Fields>;
    var_pop?: Maybe<Game_Group_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Group_Var_Samp_Fields>;
    variance?: Maybe<Game_Group_Variance_Fields>;
};
/** aggregate fields of "game_group" */
export type Game_Group_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Group_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Group_Avg_Fields = {
    __typename?: 'game_group_avg_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_group". All fields are combined with a logical 'AND'. */
export type Game_Group_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Group_Bool_Exp>>;
    _not?: InputMaybe<Game_Group_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Group_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    label?: InputMaybe<String_Comparison_Exp>;
    manager?: InputMaybe<Treasure_User_Bool_Exp>;
    manager_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_group" */
export declare enum Game_Group_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameGroupPkey = "game_group_pkey"
}
/** input type for incrementing numeric columns in table "game_group" */
export type Game_Group_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    manager_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_group" */
export type Game_Group_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    label?: InputMaybe<Scalars['String']>;
    manager?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    manager_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Game_Group_Max_Fields = {
    __typename?: 'game_group_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    label?: Maybe<Scalars['String']>;
    manager_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Game_Group_Min_Fields = {
    __typename?: 'game_group_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    label?: Maybe<Scalars['String']>;
    manager_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "game_group" */
export type Game_Group_Mutation_Response = {
    __typename?: 'game_group_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Group>;
};
/** input type for inserting object relation for remote table "game_group" */
export type Game_Group_Obj_Rel_Insert_Input = {
    data: Game_Group_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_Group_On_Conflict>;
};
/** on_conflict condition type for table "game_group" */
export type Game_Group_On_Conflict = {
    constraint: Game_Group_Constraint;
    update_columns?: Array<Game_Group_Update_Column>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
/** Ordering options when selecting data from "game_group". */
export type Game_Group_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    label?: InputMaybe<Order_By>;
    manager?: InputMaybe<Treasure_User_Order_By>;
    manager_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_group */
export type Game_Group_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_group" */
export declare enum Game_Group_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Label = "label",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    Title = "title",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "game_group" */
export type Game_Group_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    label?: InputMaybe<Scalars['String']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Game_Group_Stddev_Fields = {
    __typename?: 'game_group_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Group_Stddev_Pop_Fields = {
    __typename?: 'game_group_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Group_Stddev_Samp_Fields = {
    __typename?: 'game_group_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_group" */
export type Game_Group_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Group_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Group_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    label?: InputMaybe<Scalars['String']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Game_Group_Sum_Fields = {
    __typename?: 'game_group_sum_fields';
    id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_group" */
export declare enum Game_Group_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Label = "label",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    Title = "title",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Game_Group_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Group_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Group_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Group_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Group_Var_Pop_Fields = {
    __typename?: 'game_group_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Group_Var_Samp_Fields = {
    __typename?: 'game_group_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Group_Variance_Fields = {
    __typename?: 'game_group_variance_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "game_hunter" */
export type Game_Hunter = {
    __typename?: 'game_hunter';
    created_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    game: Game;
    game_id: Scalars['Int'];
    /** An object relationship */
    hunter: Treasure_User;
    hunter_id: Scalars['Int'];
    id: Scalars['Int'];
};
/** aggregated selection of "game_hunter" */
export type Game_Hunter_Aggregate = {
    __typename?: 'game_hunter_aggregate';
    aggregate?: Maybe<Game_Hunter_Aggregate_Fields>;
    nodes: Array<Game_Hunter>;
};
export type Game_Hunter_Aggregate_Bool_Exp = {
    count?: InputMaybe<Game_Hunter_Aggregate_Bool_Exp_Count>;
};
export type Game_Hunter_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Game_Hunter_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "game_hunter" */
export type Game_Hunter_Aggregate_Fields = {
    __typename?: 'game_hunter_aggregate_fields';
    avg?: Maybe<Game_Hunter_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Hunter_Max_Fields>;
    min?: Maybe<Game_Hunter_Min_Fields>;
    stddev?: Maybe<Game_Hunter_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Hunter_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Hunter_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Hunter_Sum_Fields>;
    var_pop?: Maybe<Game_Hunter_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Hunter_Var_Samp_Fields>;
    variance?: Maybe<Game_Hunter_Variance_Fields>;
};
/** aggregate fields of "game_hunter" */
export type Game_Hunter_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "game_hunter" */
export type Game_Hunter_Aggregate_Order_By = {
    avg?: InputMaybe<Game_Hunter_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Game_Hunter_Max_Order_By>;
    min?: InputMaybe<Game_Hunter_Min_Order_By>;
    stddev?: InputMaybe<Game_Hunter_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Game_Hunter_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Game_Hunter_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Game_Hunter_Sum_Order_By>;
    var_pop?: InputMaybe<Game_Hunter_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Game_Hunter_Var_Samp_Order_By>;
    variance?: InputMaybe<Game_Hunter_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "game_hunter" */
export type Game_Hunter_Arr_Rel_Insert_Input = {
    data: Array<Game_Hunter_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_Hunter_On_Conflict>;
};
/** aggregate avg on columns */
export type Game_Hunter_Avg_Fields = {
    __typename?: 'game_hunter_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "game_hunter" */
export type Game_Hunter_Avg_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "game_hunter". All fields are combined with a logical 'AND'. */
export type Game_Hunter_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Hunter_Bool_Exp>>;
    _not?: InputMaybe<Game_Hunter_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Hunter_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    hunter?: InputMaybe<Treasure_User_Bool_Exp>;
    hunter_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_hunter" */
export declare enum Game_Hunter_Constraint {
    /** unique or primary key constraint on columns "game_id", "hunter_id" */
    GameHunterHunterIdGameIdKey = "game_hunter_hunter_id_game_id_key",
    /** unique or primary key constraint on columns "id" */
    GameHuntersPkey = "game_hunters_pkey"
}
/** input type for incrementing numeric columns in table "game_hunter" */
export type Game_Hunter_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    hunter_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_hunter" */
export type Game_Hunter_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    hunter?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    hunter_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Game_Hunter_Max_Fields = {
    __typename?: 'game_hunter_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    hunter_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "game_hunter" */
export type Game_Hunter_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Game_Hunter_Min_Fields = {
    __typename?: 'game_hunter_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    hunter_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "game_hunter" */
export type Game_Hunter_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "game_hunter" */
export type Game_Hunter_Mutation_Response = {
    __typename?: 'game_hunter_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Hunter>;
};
/** on_conflict condition type for table "game_hunter" */
export type Game_Hunter_On_Conflict = {
    constraint: Game_Hunter_Constraint;
    update_columns?: Array<Game_Hunter_Update_Column>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
/** Ordering options when selecting data from "game_hunter". */
export type Game_Hunter_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    hunter?: InputMaybe<Treasure_User_Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_hunter */
export type Game_Hunter_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_hunter" */
export declare enum Game_Hunter_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    HunterId = "hunter_id",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "game_hunter" */
export type Game_Hunter_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hunter_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Game_Hunter_Stddev_Fields = {
    __typename?: 'game_hunter_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "game_hunter" */
export type Game_Hunter_Stddev_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Game_Hunter_Stddev_Pop_Fields = {
    __typename?: 'game_hunter_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "game_hunter" */
export type Game_Hunter_Stddev_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Game_Hunter_Stddev_Samp_Fields = {
    __typename?: 'game_hunter_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "game_hunter" */
export type Game_Hunter_Stddev_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "game_hunter" */
export type Game_Hunter_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Hunter_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Hunter_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hunter_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Game_Hunter_Sum_Fields = {
    __typename?: 'game_hunter_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    hunter_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "game_hunter" */
export type Game_Hunter_Sum_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** update columns of table "game_hunter" */
export declare enum Game_Hunter_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    HunterId = "hunter_id",
    /** column name */
    Id = "id"
}
export type Game_Hunter_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Hunter_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Hunter_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Hunter_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Hunter_Var_Pop_Fields = {
    __typename?: 'game_hunter_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "game_hunter" */
export type Game_Hunter_Var_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Game_Hunter_Var_Samp_Fields = {
    __typename?: 'game_hunter_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "game_hunter" */
export type Game_Hunter_Var_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Game_Hunter_Variance_Fields = {
    __typename?: 'game_hunter_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "game_hunter" */
export type Game_Hunter_Variance_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** input type for incrementing numeric columns in table "game" */
export type Game_Inc_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    content_type?: InputMaybe<Scalars['Int']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    game_state_type?: InputMaybe<Scalars['Int']>;
    group_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    in_group_number?: InputMaybe<Scalars['Int']>;
    location_id?: InputMaybe<Scalars['Int']>;
    management_info?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    requirement_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game" */
export type Game_Insert_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    contentType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    content_type?: InputMaybe<Scalars['Int']>;
    content_uri?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    gameAndLocus?: InputMaybe<Games_Locus_Arr_Rel_Insert_Input>;
    gameAreaById?: InputMaybe<Area_Obj_Rel_Insert_Input>;
    gameManagement?: InputMaybe<Game_Management_Obj_Rel_Insert_Input>;
    gameStateType?: InputMaybe<Game_State_Type_Obj_Rel_Insert_Input>;
    game_state_type?: InputMaybe<Scalars['Int']>;
    group?: InputMaybe<Game_Group_Obj_Rel_Insert_Input>;
    group_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    hunters?: InputMaybe<Game_Hunter_Arr_Rel_Insert_Input>;
    id?: InputMaybe<Scalars['Int']>;
    in_group_label?: InputMaybe<Scalars['String']>;
    in_group_number?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location?: InputMaybe<Location_Obj_Rel_Insert_Input>;
    location_id?: InputMaybe<Scalars['Int']>;
    management_info?: InputMaybe<Scalars['Int']>;
    map?: InputMaybe<Map_Obj_Rel_Insert_Input>;
    map_id?: InputMaybe<Scalars['Int']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
    quests?: InputMaybe<Quest_Arr_Rel_Insert_Input>;
    requirement?: InputMaybe<Game_Requirement_Obj_Rel_Insert_Input>;
    requirement_id?: InputMaybe<Scalars['Int']>;
    sponsorships?: InputMaybe<Sponsorship_Game_State_Arr_Rel_Insert_Input>;
    theme?: InputMaybe<Theme_Obj_Rel_Insert_Input>;
    theme_id?: InputMaybe<Scalars['Int']>;
    thumbnail_uri?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "game_management" */
export type Game_Management = {
    __typename?: 'game_management';
    /** An object relationship */
    businessModelType?: Maybe<Business_Model_Type>;
    business_model_type?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_journey?: Maybe<Scalars['Boolean']>;
    is_postponed?: Maybe<Scalars['Boolean']>;
    is_requested_deletion?: Maybe<Scalars['Boolean']>;
    is_scheduled?: Maybe<Scalars['Boolean']>;
    is_started?: Maybe<Scalars['Boolean']>;
    is_voyage?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    managerTreasureUser?: Maybe<Treasure_User>;
    manager_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    product?: Maybe<Product>;
    product_id?: Maybe<Scalars['Int']>;
    scheduled_date?: Maybe<Scalars['date']>;
    scheduled_time?: Maybe<Scalars['timetz']>;
};
/** aggregated selection of "game_management" */
export type Game_Management_Aggregate = {
    __typename?: 'game_management_aggregate';
    aggregate?: Maybe<Game_Management_Aggregate_Fields>;
    nodes: Array<Game_Management>;
};
/** aggregate fields of "game_management" */
export type Game_Management_Aggregate_Fields = {
    __typename?: 'game_management_aggregate_fields';
    avg?: Maybe<Game_Management_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Management_Max_Fields>;
    min?: Maybe<Game_Management_Min_Fields>;
    stddev?: Maybe<Game_Management_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Management_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Management_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Management_Sum_Fields>;
    var_pop?: Maybe<Game_Management_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Management_Var_Samp_Fields>;
    variance?: Maybe<Game_Management_Variance_Fields>;
};
/** aggregate fields of "game_management" */
export type Game_Management_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Management_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Management_Avg_Fields = {
    __typename?: 'game_management_avg_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_management". All fields are combined with a logical 'AND'. */
export type Game_Management_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Management_Bool_Exp>>;
    _not?: InputMaybe<Game_Management_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Management_Bool_Exp>>;
    businessModelType?: InputMaybe<Business_Model_Type_Bool_Exp>;
    business_model_type?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_journey?: InputMaybe<Boolean_Comparison_Exp>;
    is_postponed?: InputMaybe<Boolean_Comparison_Exp>;
    is_requested_deletion?: InputMaybe<Boolean_Comparison_Exp>;
    is_scheduled?: InputMaybe<Boolean_Comparison_Exp>;
    is_started?: InputMaybe<Boolean_Comparison_Exp>;
    is_voyage?: InputMaybe<Boolean_Comparison_Exp>;
    managerTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    manager_id?: InputMaybe<Int_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
    scheduled_date?: InputMaybe<Date_Comparison_Exp>;
    scheduled_time?: InputMaybe<Timetz_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_management" */
export declare enum Game_Management_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameManagementPkey = "game_management_pkey"
}
/** input type for incrementing numeric columns in table "game_management" */
export type Game_Management_Inc_Input = {
    business_model_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_management" */
export type Game_Management_Insert_Input = {
    businessModelType?: InputMaybe<Business_Model_Type_Obj_Rel_Insert_Input>;
    business_model_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    is_postponed?: InputMaybe<Scalars['Boolean']>;
    is_requested_deletion?: InputMaybe<Scalars['Boolean']>;
    is_scheduled?: InputMaybe<Scalars['Boolean']>;
    is_started?: InputMaybe<Scalars['Boolean']>;
    is_voyage?: InputMaybe<Scalars['Boolean']>;
    managerTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    manager_id?: InputMaybe<Scalars['Int']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
    scheduled_date?: InputMaybe<Scalars['date']>;
    scheduled_time?: InputMaybe<Scalars['timetz']>;
};
/** aggregate max on columns */
export type Game_Management_Max_Fields = {
    __typename?: 'game_management_max_fields';
    business_model_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    scheduled_date?: Maybe<Scalars['date']>;
    scheduled_time?: Maybe<Scalars['timetz']>;
};
/** aggregate min on columns */
export type Game_Management_Min_Fields = {
    __typename?: 'game_management_min_fields';
    business_model_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    scheduled_date?: Maybe<Scalars['date']>;
    scheduled_time?: Maybe<Scalars['timetz']>;
};
/** response of any mutation on the table "game_management" */
export type Game_Management_Mutation_Response = {
    __typename?: 'game_management_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Management>;
};
/** input type for inserting object relation for remote table "game_management" */
export type Game_Management_Obj_Rel_Insert_Input = {
    data: Game_Management_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_Management_On_Conflict>;
};
/** on_conflict condition type for table "game_management" */
export type Game_Management_On_Conflict = {
    constraint: Game_Management_Constraint;
    update_columns?: Array<Game_Management_Update_Column>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
/** Ordering options when selecting data from "game_management". */
export type Game_Management_Order_By = {
    businessModelType?: InputMaybe<Business_Model_Type_Order_By>;
    business_model_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_journey?: InputMaybe<Order_By>;
    is_postponed?: InputMaybe<Order_By>;
    is_requested_deletion?: InputMaybe<Order_By>;
    is_scheduled?: InputMaybe<Order_By>;
    is_started?: InputMaybe<Order_By>;
    is_voyage?: InputMaybe<Order_By>;
    managerTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    manager_id?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
    scheduled_date?: InputMaybe<Order_By>;
    scheduled_time?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_management */
export type Game_Management_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_management" */
export declare enum Game_Management_Select_Column {
    /** column name */
    BusinessModelType = "business_model_type",
    /** column name */
    Id = "id",
    /** column name */
    IsJourney = "is_journey",
    /** column name */
    IsPostponed = "is_postponed",
    /** column name */
    IsRequestedDeletion = "is_requested_deletion",
    /** column name */
    IsScheduled = "is_scheduled",
    /** column name */
    IsStarted = "is_started",
    /** column name */
    IsVoyage = "is_voyage",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    ScheduledDate = "scheduled_date",
    /** column name */
    ScheduledTime = "scheduled_time"
}
/** input type for updating data in table "game_management" */
export type Game_Management_Set_Input = {
    business_model_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    is_postponed?: InputMaybe<Scalars['Boolean']>;
    is_requested_deletion?: InputMaybe<Scalars['Boolean']>;
    is_scheduled?: InputMaybe<Scalars['Boolean']>;
    is_started?: InputMaybe<Scalars['Boolean']>;
    is_voyage?: InputMaybe<Scalars['Boolean']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    scheduled_date?: InputMaybe<Scalars['date']>;
    scheduled_time?: InputMaybe<Scalars['timetz']>;
};
/** aggregate stddev on columns */
export type Game_Management_Stddev_Fields = {
    __typename?: 'game_management_stddev_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Management_Stddev_Pop_Fields = {
    __typename?: 'game_management_stddev_pop_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Management_Stddev_Samp_Fields = {
    __typename?: 'game_management_stddev_samp_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_management" */
export type Game_Management_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Management_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Management_Stream_Cursor_Value_Input = {
    business_model_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    is_postponed?: InputMaybe<Scalars['Boolean']>;
    is_requested_deletion?: InputMaybe<Scalars['Boolean']>;
    is_scheduled?: InputMaybe<Scalars['Boolean']>;
    is_started?: InputMaybe<Scalars['Boolean']>;
    is_voyage?: InputMaybe<Scalars['Boolean']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    scheduled_date?: InputMaybe<Scalars['date']>;
    scheduled_time?: InputMaybe<Scalars['timetz']>;
};
/** aggregate sum on columns */
export type Game_Management_Sum_Fields = {
    __typename?: 'game_management_sum_fields';
    business_model_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_management" */
export declare enum Game_Management_Update_Column {
    /** column name */
    BusinessModelType = "business_model_type",
    /** column name */
    Id = "id",
    /** column name */
    IsJourney = "is_journey",
    /** column name */
    IsPostponed = "is_postponed",
    /** column name */
    IsRequestedDeletion = "is_requested_deletion",
    /** column name */
    IsScheduled = "is_scheduled",
    /** column name */
    IsStarted = "is_started",
    /** column name */
    IsVoyage = "is_voyage",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    ScheduledDate = "scheduled_date",
    /** column name */
    ScheduledTime = "scheduled_time"
}
export type Game_Management_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Management_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Management_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Management_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Management_Var_Pop_Fields = {
    __typename?: 'game_management_var_pop_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Management_Var_Samp_Fields = {
    __typename?: 'game_management_var_samp_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Management_Variance_Fields = {
    __typename?: 'game_management_variance_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate max on columns */
export type Game_Max_Fields = {
    __typename?: 'game_max_fields';
    area_id?: Maybe<Scalars['Int']>;
    content_type?: Maybe<Scalars['Int']>;
    content_uri?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    game_state_type?: Maybe<Scalars['Int']>;
    group_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    in_group_label?: Maybe<Scalars['String']>;
    in_group_number?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    location_id?: Maybe<Scalars['Int']>;
    management_info?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    requirement_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
    thumbnail_uri?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Game_Min_Fields = {
    __typename?: 'game_min_fields';
    area_id?: Maybe<Scalars['Int']>;
    content_type?: Maybe<Scalars['Int']>;
    content_uri?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    game_state_type?: Maybe<Scalars['Int']>;
    group_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    in_group_label?: Maybe<Scalars['String']>;
    in_group_number?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    location_id?: Maybe<Scalars['Int']>;
    management_info?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    requirement_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
    thumbnail_uri?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "game" */
export type Game_Mutation_Response = {
    __typename?: 'game_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game>;
};
/** input type for inserting object relation for remote table "game" */
export type Game_Obj_Rel_Insert_Input = {
    data: Game_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_On_Conflict>;
};
/** on_conflict condition type for table "game" */
export type Game_On_Conflict = {
    constraint: Game_Constraint;
    update_columns?: Array<Game_Update_Column>;
    where?: InputMaybe<Game_Bool_Exp>;
};
/** columns and relationships of "game_operators" */
export type Game_Operators = {
    __typename?: 'game_operators';
    /** An object relationship */
    game: Game;
    game_id: Scalars['Int'];
    id: Scalars['Int'];
    /** An object relationship */
    operatorTreasureUser: Treasure_User;
    operator_id: Scalars['Int'];
    /** An object relationship */
    quest?: Maybe<Quest>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "game_operators" */
export type Game_Operators_Aggregate = {
    __typename?: 'game_operators_aggregate';
    aggregate?: Maybe<Game_Operators_Aggregate_Fields>;
    nodes: Array<Game_Operators>;
};
/** aggregate fields of "game_operators" */
export type Game_Operators_Aggregate_Fields = {
    __typename?: 'game_operators_aggregate_fields';
    avg?: Maybe<Game_Operators_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Operators_Max_Fields>;
    min?: Maybe<Game_Operators_Min_Fields>;
    stddev?: Maybe<Game_Operators_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Operators_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Operators_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Operators_Sum_Fields>;
    var_pop?: Maybe<Game_Operators_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Operators_Var_Samp_Fields>;
    variance?: Maybe<Game_Operators_Variance_Fields>;
};
/** aggregate fields of "game_operators" */
export type Game_Operators_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Operators_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Operators_Avg_Fields = {
    __typename?: 'game_operators_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_operators". All fields are combined with a logical 'AND'. */
export type Game_Operators_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Operators_Bool_Exp>>;
    _not?: InputMaybe<Game_Operators_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Operators_Bool_Exp>>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    operatorTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    operator_id?: InputMaybe<Int_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    quest_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_operators" */
export declare enum Game_Operators_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameOperatorsPkey = "game_operators_pkey"
}
/** input type for incrementing numeric columns in table "game_operators" */
export type Game_Operators_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_operators" */
export type Game_Operators_Insert_Input = {
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    operatorTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    operator_id?: InputMaybe<Scalars['Int']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Game_Operators_Max_Fields = {
    __typename?: 'game_operators_max_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_Operators_Min_Fields = {
    __typename?: 'game_operators_min_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_operators" */
export type Game_Operators_Mutation_Response = {
    __typename?: 'game_operators_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Operators>;
};
/** on_conflict condition type for table "game_operators" */
export type Game_Operators_On_Conflict = {
    constraint: Game_Operators_Constraint;
    update_columns?: Array<Game_Operators_Update_Column>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
/** Ordering options when selecting data from "game_operators". */
export type Game_Operators_Order_By = {
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operatorTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    operator_id?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    quest_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_operators */
export type Game_Operators_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_operators" */
export declare enum Game_Operators_Select_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    OperatorId = "operator_id",
    /** column name */
    QuestId = "quest_id"
}
/** input type for updating data in table "game_operators" */
export type Game_Operators_Set_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Game_Operators_Stddev_Fields = {
    __typename?: 'game_operators_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Operators_Stddev_Pop_Fields = {
    __typename?: 'game_operators_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Operators_Stddev_Samp_Fields = {
    __typename?: 'game_operators_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_operators" */
export type Game_Operators_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Operators_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Operators_Stream_Cursor_Value_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Game_Operators_Sum_Fields = {
    __typename?: 'game_operators_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_operators" */
export declare enum Game_Operators_Update_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    OperatorId = "operator_id",
    /** column name */
    QuestId = "quest_id"
}
export type Game_Operators_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Operators_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Operators_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Operators_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Operators_Var_Pop_Fields = {
    __typename?: 'game_operators_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Operators_Var_Samp_Fields = {
    __typename?: 'game_operators_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Operators_Variance_Fields = {
    __typename?: 'game_operators_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** Ordering options when selecting data from "game". */
export type Game_Order_By = {
    area_id?: InputMaybe<Order_By>;
    contentType?: InputMaybe<Piece_Type_Order_By>;
    content_type?: InputMaybe<Order_By>;
    content_uri?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    creator_id?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    gameAndLocus_aggregate?: InputMaybe<Games_Locus_Aggregate_Order_By>;
    gameAreaById?: InputMaybe<Area_Order_By>;
    gameManagement?: InputMaybe<Game_Management_Order_By>;
    gameStateType?: InputMaybe<Game_State_Type_Order_By>;
    game_state_type?: InputMaybe<Order_By>;
    group?: InputMaybe<Game_Group_Order_By>;
    group_id?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    hunters_aggregate?: InputMaybe<Game_Hunter_Aggregate_Order_By>;
    id?: InputMaybe<Order_By>;
    in_group_label?: InputMaybe<Order_By>;
    in_group_number?: InputMaybe<Order_By>;
    is_journey?: InputMaybe<Order_By>;
    key?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    location?: InputMaybe<Location_Order_By>;
    location_id?: InputMaybe<Order_By>;
    management_info?: InputMaybe<Order_By>;
    map?: InputMaybe<Map_Order_By>;
    map_id?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
    quests_aggregate?: InputMaybe<Quest_Aggregate_Order_By>;
    requirement?: InputMaybe<Game_Requirement_Order_By>;
    requirement_id?: InputMaybe<Order_By>;
    sponsorships_aggregate?: InputMaybe<Sponsorship_Game_State_Aggregate_Order_By>;
    theme?: InputMaybe<Theme_Order_By>;
    theme_id?: InputMaybe<Order_By>;
    thumbnail_uri?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game */
export type Game_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "game_record" */
export type Game_Record = {
    __typename?: 'game_record';
    count_solved?: Maybe<Scalars['bigint']>;
    finished_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    game: Game;
    game_id: Scalars['Int'];
    id: Scalars['Int'];
    number?: Maybe<Scalars['Int']>;
    started_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    user: Treasure_User;
    user_id: Scalars['Int'];
};
/** aggregated selection of "game_record" */
export type Game_Record_Aggregate = {
    __typename?: 'game_record_aggregate';
    aggregate?: Maybe<Game_Record_Aggregate_Fields>;
    nodes: Array<Game_Record>;
};
/** aggregate fields of "game_record" */
export type Game_Record_Aggregate_Fields = {
    __typename?: 'game_record_aggregate_fields';
    avg?: Maybe<Game_Record_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Record_Max_Fields>;
    min?: Maybe<Game_Record_Min_Fields>;
    stddev?: Maybe<Game_Record_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Record_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Record_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Record_Sum_Fields>;
    var_pop?: Maybe<Game_Record_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Record_Var_Samp_Fields>;
    variance?: Maybe<Game_Record_Variance_Fields>;
};
/** aggregate fields of "game_record" */
export type Game_Record_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Record_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Record_Avg_Fields = {
    __typename?: 'game_record_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_record". All fields are combined with a logical 'AND'. */
export type Game_Record_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Record_Bool_Exp>>;
    _not?: InputMaybe<Game_Record_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Record_Bool_Exp>>;
    count_solved?: InputMaybe<Bigint_Comparison_Exp>;
    finished_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    number?: InputMaybe<Int_Comparison_Exp>;
    started_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    user?: InputMaybe<Treasure_User_Bool_Exp>;
    user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_record" */
export declare enum Game_Record_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameRecordPkey = "game_record_pkey"
}
/** input type for incrementing numeric columns in table "game_record" */
export type Game_Record_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    number?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_record" */
export type Game_Record_Insert_Input = {
    finished_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    number?: InputMaybe<Scalars['Int']>;
    started_at?: InputMaybe<Scalars['timestamptz']>;
    user?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Game_Record_Max_Fields = {
    __typename?: 'game_record_max_fields';
    finished_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    number?: Maybe<Scalars['Int']>;
    started_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_Record_Min_Fields = {
    __typename?: 'game_record_min_fields';
    finished_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    number?: Maybe<Scalars['Int']>;
    started_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_record" */
export type Game_Record_Mutation_Response = {
    __typename?: 'game_record_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Record>;
};
/** on_conflict condition type for table "game_record" */
export type Game_Record_On_Conflict = {
    constraint: Game_Record_Constraint;
    update_columns?: Array<Game_Record_Update_Column>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
/** Ordering options when selecting data from "game_record". */
export type Game_Record_Order_By = {
    count_solved?: InputMaybe<Order_By>;
    finished_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    number?: InputMaybe<Order_By>;
    started_at?: InputMaybe<Order_By>;
    user?: InputMaybe<Treasure_User_Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_record */
export type Game_Record_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_record" */
export declare enum Game_Record_Select_Column {
    /** column name */
    FinishedAt = "finished_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    Number = "number",
    /** column name */
    StartedAt = "started_at",
    /** column name */
    UserId = "user_id"
}
/** input type for updating data in table "game_record" */
export type Game_Record_Set_Input = {
    finished_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    number?: InputMaybe<Scalars['Int']>;
    started_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Game_Record_Stddev_Fields = {
    __typename?: 'game_record_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Record_Stddev_Pop_Fields = {
    __typename?: 'game_record_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Record_Stddev_Samp_Fields = {
    __typename?: 'game_record_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_record" */
export type Game_Record_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Record_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Record_Stream_Cursor_Value_Input = {
    finished_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    number?: InputMaybe<Scalars['Int']>;
    started_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Game_Record_Sum_Fields = {
    __typename?: 'game_record_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    number?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_record" */
export declare enum Game_Record_Update_Column {
    /** column name */
    FinishedAt = "finished_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    Number = "number",
    /** column name */
    StartedAt = "started_at",
    /** column name */
    UserId = "user_id"
}
export type Game_Record_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Record_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Record_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Record_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Record_Var_Pop_Fields = {
    __typename?: 'game_record_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Record_Var_Samp_Fields = {
    __typename?: 'game_record_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Record_Variance_Fields = {
    __typename?: 'game_record_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "game_requirement" */
export type Game_Requirement = {
    __typename?: 'game_requirement';
    id: Scalars['Int'];
    is_navigator_camera_needed_when_web?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "game_requirement" */
export type Game_Requirement_Aggregate = {
    __typename?: 'game_requirement_aggregate';
    aggregate?: Maybe<Game_Requirement_Aggregate_Fields>;
    nodes: Array<Game_Requirement>;
};
/** aggregate fields of "game_requirement" */
export type Game_Requirement_Aggregate_Fields = {
    __typename?: 'game_requirement_aggregate_fields';
    avg?: Maybe<Game_Requirement_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Requirement_Max_Fields>;
    min?: Maybe<Game_Requirement_Min_Fields>;
    stddev?: Maybe<Game_Requirement_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Requirement_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Requirement_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Requirement_Sum_Fields>;
    var_pop?: Maybe<Game_Requirement_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Requirement_Var_Samp_Fields>;
    variance?: Maybe<Game_Requirement_Variance_Fields>;
};
/** aggregate fields of "game_requirement" */
export type Game_Requirement_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Requirement_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Requirement_Avg_Fields = {
    __typename?: 'game_requirement_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_requirement". All fields are combined with a logical 'AND'. */
export type Game_Requirement_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Requirement_Bool_Exp>>;
    _not?: InputMaybe<Game_Requirement_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Requirement_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_navigator_camera_needed_when_web?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_requirement" */
export declare enum Game_Requirement_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameRequirementPkey = "game_requirement_pkey"
}
/** input type for incrementing numeric columns in table "game_requirement" */
export type Game_Requirement_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_requirement" */
export type Game_Requirement_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_navigator_camera_needed_when_web?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Game_Requirement_Max_Fields = {
    __typename?: 'game_requirement_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_Requirement_Min_Fields = {
    __typename?: 'game_requirement_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_requirement" */
export type Game_Requirement_Mutation_Response = {
    __typename?: 'game_requirement_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Requirement>;
};
/** input type for inserting object relation for remote table "game_requirement" */
export type Game_Requirement_Obj_Rel_Insert_Input = {
    data: Game_Requirement_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_Requirement_On_Conflict>;
};
/** on_conflict condition type for table "game_requirement" */
export type Game_Requirement_On_Conflict = {
    constraint: Game_Requirement_Constraint;
    update_columns?: Array<Game_Requirement_Update_Column>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
/** Ordering options when selecting data from "game_requirement". */
export type Game_Requirement_Order_By = {
    id?: InputMaybe<Order_By>;
    is_navigator_camera_needed_when_web?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_requirement */
export type Game_Requirement_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_requirement" */
export declare enum Game_Requirement_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsNavigatorCameraNeededWhenWeb = "is_navigator_camera_needed_when_web"
}
/** input type for updating data in table "game_requirement" */
export type Game_Requirement_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_navigator_camera_needed_when_web?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Game_Requirement_Stddev_Fields = {
    __typename?: 'game_requirement_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Requirement_Stddev_Pop_Fields = {
    __typename?: 'game_requirement_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Requirement_Stddev_Samp_Fields = {
    __typename?: 'game_requirement_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_requirement" */
export type Game_Requirement_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Requirement_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Requirement_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_navigator_camera_needed_when_web?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Game_Requirement_Sum_Fields = {
    __typename?: 'game_requirement_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_requirement" */
export declare enum Game_Requirement_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsNavigatorCameraNeededWhenWeb = "is_navigator_camera_needed_when_web"
}
export type Game_Requirement_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Requirement_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Requirement_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Requirement_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Requirement_Var_Pop_Fields = {
    __typename?: 'game_requirement_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Requirement_Var_Samp_Fields = {
    __typename?: 'game_requirement_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Requirement_Variance_Fields = {
    __typename?: 'game_requirement_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** select columns of table "game" */
export declare enum Game_Select_Column {
    /** column name */
    AreaId = "area_id",
    /** column name */
    ContentType = "content_type",
    /** column name */
    ContentUri = "content_uri",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    Description = "description",
    /** column name */
    GameStateType = "game_state_type",
    /** column name */
    GroupId = "group_id",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    InGroupLabel = "in_group_label",
    /** column name */
    InGroupNumber = "in_group_number",
    /** column name */
    IsJourney = "is_journey",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocationId = "location_id",
    /** column name */
    ManagementInfo = "management_info",
    /** column name */
    MapId = "map_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    RequirementId = "requirement_id",
    /** column name */
    ThemeId = "theme_id",
    /** column name */
    ThumbnailUri = "thumbnail_uri",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "game" */
export type Game_Set_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    content_type?: InputMaybe<Scalars['Int']>;
    content_uri?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    game_state_type?: InputMaybe<Scalars['Int']>;
    group_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    in_group_label?: InputMaybe<Scalars['String']>;
    in_group_number?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location_id?: InputMaybe<Scalars['Int']>;
    management_info?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    requirement_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
    thumbnail_uri?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "game_state_type" */
export type Game_State_Type = {
    __typename?: 'game_state_type';
    game_state_type_title?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_designing?: Maybe<Scalars['Boolean']>;
    is_done?: Maybe<Scalars['Boolean']>;
    is_freeze?: Maybe<Scalars['Boolean']>;
    is_running?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "game_state_type" */
export type Game_State_Type_Aggregate = {
    __typename?: 'game_state_type_aggregate';
    aggregate?: Maybe<Game_State_Type_Aggregate_Fields>;
    nodes: Array<Game_State_Type>;
};
/** aggregate fields of "game_state_type" */
export type Game_State_Type_Aggregate_Fields = {
    __typename?: 'game_state_type_aggregate_fields';
    avg?: Maybe<Game_State_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_State_Type_Max_Fields>;
    min?: Maybe<Game_State_Type_Min_Fields>;
    stddev?: Maybe<Game_State_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Game_State_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_State_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Game_State_Type_Sum_Fields>;
    var_pop?: Maybe<Game_State_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Game_State_Type_Var_Samp_Fields>;
    variance?: Maybe<Game_State_Type_Variance_Fields>;
};
/** aggregate fields of "game_state_type" */
export type Game_State_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_State_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_State_Type_Avg_Fields = {
    __typename?: 'game_state_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_state_type". All fields are combined with a logical 'AND'. */
export type Game_State_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Game_State_Type_Bool_Exp>>;
    _not?: InputMaybe<Game_State_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Game_State_Type_Bool_Exp>>;
    game_state_type_title?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_designing?: InputMaybe<Boolean_Comparison_Exp>;
    is_done?: InputMaybe<Boolean_Comparison_Exp>;
    is_freeze?: InputMaybe<Boolean_Comparison_Exp>;
    is_running?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_state_type" */
export declare enum Game_State_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameStateTypePkey = "game_state_type_pkey"
}
/** input type for incrementing numeric columns in table "game_state_type" */
export type Game_State_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_state_type" */
export type Game_State_Type_Insert_Input = {
    game_state_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_designing?: InputMaybe<Scalars['Boolean']>;
    is_done?: InputMaybe<Scalars['Boolean']>;
    is_freeze?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Game_State_Type_Max_Fields = {
    __typename?: 'game_state_type_max_fields';
    game_state_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_State_Type_Min_Fields = {
    __typename?: 'game_state_type_min_fields';
    game_state_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_state_type" */
export type Game_State_Type_Mutation_Response = {
    __typename?: 'game_state_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_State_Type>;
};
/** input type for inserting object relation for remote table "game_state_type" */
export type Game_State_Type_Obj_Rel_Insert_Input = {
    data: Game_State_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_State_Type_On_Conflict>;
};
/** on_conflict condition type for table "game_state_type" */
export type Game_State_Type_On_Conflict = {
    constraint: Game_State_Type_Constraint;
    update_columns?: Array<Game_State_Type_Update_Column>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "game_state_type". */
export type Game_State_Type_Order_By = {
    game_state_type_title?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_designing?: InputMaybe<Order_By>;
    is_done?: InputMaybe<Order_By>;
    is_freeze?: InputMaybe<Order_By>;
    is_running?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_state_type */
export type Game_State_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_state_type" */
export declare enum Game_State_Type_Select_Column {
    /** column name */
    GameStateTypeTitle = "game_state_type_title",
    /** column name */
    Id = "id",
    /** column name */
    IsDesigning = "is_designing",
    /** column name */
    IsDone = "is_done",
    /** column name */
    IsFreeze = "is_freeze",
    /** column name */
    IsRunning = "is_running"
}
/** input type for updating data in table "game_state_type" */
export type Game_State_Type_Set_Input = {
    game_state_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_designing?: InputMaybe<Scalars['Boolean']>;
    is_done?: InputMaybe<Scalars['Boolean']>;
    is_freeze?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Game_State_Type_Stddev_Fields = {
    __typename?: 'game_state_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_State_Type_Stddev_Pop_Fields = {
    __typename?: 'game_state_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_State_Type_Stddev_Samp_Fields = {
    __typename?: 'game_state_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_state_type" */
export type Game_State_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_State_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_State_Type_Stream_Cursor_Value_Input = {
    game_state_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_designing?: InputMaybe<Scalars['Boolean']>;
    is_done?: InputMaybe<Scalars['Boolean']>;
    is_freeze?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Game_State_Type_Sum_Fields = {
    __typename?: 'game_state_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_state_type" */
export declare enum Game_State_Type_Update_Column {
    /** column name */
    GameStateTypeTitle = "game_state_type_title",
    /** column name */
    Id = "id",
    /** column name */
    IsDesigning = "is_designing",
    /** column name */
    IsDone = "is_done",
    /** column name */
    IsFreeze = "is_freeze",
    /** column name */
    IsRunning = "is_running"
}
export type Game_State_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_State_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_State_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_State_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_State_Type_Var_Pop_Fields = {
    __typename?: 'game_state_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_State_Type_Var_Samp_Fields = {
    __typename?: 'game_state_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_State_Type_Variance_Fields = {
    __typename?: 'game_state_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev on columns */
export type Game_Stddev_Fields = {
    __typename?: 'game_stddev_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Stddev_Pop_Fields = {
    __typename?: 'game_stddev_pop_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Stddev_Samp_Fields = {
    __typename?: 'game_stddev_samp_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game" */
export type Game_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Stream_Cursor_Value_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    content_type?: InputMaybe<Scalars['Int']>;
    content_uri?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    game_state_type?: InputMaybe<Scalars['Int']>;
    group_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    in_group_label?: InputMaybe<Scalars['String']>;
    in_group_number?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location_id?: InputMaybe<Scalars['Int']>;
    management_info?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    requirement_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
    thumbnail_uri?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Game_Sum_Fields = {
    __typename?: 'game_sum_fields';
    area_id?: Maybe<Scalars['Int']>;
    content_type?: Maybe<Scalars['Int']>;
    creator_id?: Maybe<Scalars['Int']>;
    game_state_type?: Maybe<Scalars['Int']>;
    group_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    in_group_number?: Maybe<Scalars['Int']>;
    location_id?: Maybe<Scalars['Int']>;
    management_info?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    requirement_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game" */
export declare enum Game_Update_Column {
    /** column name */
    AreaId = "area_id",
    /** column name */
    ContentType = "content_type",
    /** column name */
    ContentUri = "content_uri",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    Description = "description",
    /** column name */
    GameStateType = "game_state_type",
    /** column name */
    GroupId = "group_id",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    InGroupLabel = "in_group_label",
    /** column name */
    InGroupNumber = "in_group_number",
    /** column name */
    IsJourney = "is_journey",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocationId = "location_id",
    /** column name */
    ManagementInfo = "management_info",
    /** column name */
    MapId = "map_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    RequirementId = "requirement_id",
    /** column name */
    ThemeId = "theme_id",
    /** column name */
    ThumbnailUri = "thumbnail_uri",
    /** column name */
    Title = "title"
}
export type Game_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Var_Pop_Fields = {
    __typename?: 'game_var_pop_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Var_Samp_Fields = {
    __typename?: 'game_var_samp_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Variance_Fields = {
    __typename?: 'game_variance_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "game_winner" */
export type Game_Winner = {
    __typename?: 'game_winner';
    created_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    game: Game;
    game_id: Scalars['Int'];
    id: Scalars['Int'];
    is_rewarded: Scalars['Boolean'];
    is_submitted: Scalars['Boolean'];
    is_winner: Scalars['Boolean'];
    /** An object relationship */
    quest?: Maybe<Quest>;
    terminal_quest_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    treasureUser: Treasure_User;
    treasure_user_id: Scalars['Int'];
};
/** aggregated selection of "game_winner" */
export type Game_Winner_Aggregate = {
    __typename?: 'game_winner_aggregate';
    aggregate?: Maybe<Game_Winner_Aggregate_Fields>;
    nodes: Array<Game_Winner>;
};
/** aggregate fields of "game_winner" */
export type Game_Winner_Aggregate_Fields = {
    __typename?: 'game_winner_aggregate_fields';
    avg?: Maybe<Game_Winner_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Winner_Max_Fields>;
    min?: Maybe<Game_Winner_Min_Fields>;
    stddev?: Maybe<Game_Winner_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Winner_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Winner_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Winner_Sum_Fields>;
    var_pop?: Maybe<Game_Winner_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Winner_Var_Samp_Fields>;
    variance?: Maybe<Game_Winner_Variance_Fields>;
};
/** aggregate fields of "game_winner" */
export type Game_Winner_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Winner_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Winner_Avg_Fields = {
    __typename?: 'game_winner_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_winner". All fields are combined with a logical 'AND'. */
export type Game_Winner_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Winner_Bool_Exp>>;
    _not?: InputMaybe<Game_Winner_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Winner_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_rewarded?: InputMaybe<Boolean_Comparison_Exp>;
    is_submitted?: InputMaybe<Boolean_Comparison_Exp>;
    is_winner?: InputMaybe<Boolean_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    terminal_quest_id?: InputMaybe<Int_Comparison_Exp>;
    treasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    treasure_user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_winner" */
export declare enum Game_Winner_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameWinnerPkey = "game_winner_pkey"
}
/** input type for incrementing numeric columns in table "game_winner" */
export type Game_Winner_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    terminal_quest_id?: InputMaybe<Scalars['Int']>;
    treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_winner" */
export type Game_Winner_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_rewarded?: InputMaybe<Scalars['Boolean']>;
    is_submitted?: InputMaybe<Scalars['Boolean']>;
    is_winner?: InputMaybe<Scalars['Boolean']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    terminal_quest_id?: InputMaybe<Scalars['Int']>;
    treasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Game_Winner_Max_Fields = {
    __typename?: 'game_winner_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    terminal_quest_id?: Maybe<Scalars['Int']>;
    treasure_user_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_Winner_Min_Fields = {
    __typename?: 'game_winner_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    terminal_quest_id?: Maybe<Scalars['Int']>;
    treasure_user_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_winner" */
export type Game_Winner_Mutation_Response = {
    __typename?: 'game_winner_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Winner>;
};
/** on_conflict condition type for table "game_winner" */
export type Game_Winner_On_Conflict = {
    constraint: Game_Winner_Constraint;
    update_columns?: Array<Game_Winner_Update_Column>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
/** Ordering options when selecting data from "game_winner". */
export type Game_Winner_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_rewarded?: InputMaybe<Order_By>;
    is_submitted?: InputMaybe<Order_By>;
    is_winner?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    terminal_quest_id?: InputMaybe<Order_By>;
    treasureUser?: InputMaybe<Treasure_User_Order_By>;
    treasure_user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_winner */
export type Game_Winner_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_winner" */
export declare enum Game_Winner_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsRewarded = "is_rewarded",
    /** column name */
    IsSubmitted = "is_submitted",
    /** column name */
    IsWinner = "is_winner",
    /** column name */
    TerminalQuestId = "terminal_quest_id",
    /** column name */
    TreasureUserId = "treasure_user_id"
}
/** input type for updating data in table "game_winner" */
export type Game_Winner_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_rewarded?: InputMaybe<Scalars['Boolean']>;
    is_submitted?: InputMaybe<Scalars['Boolean']>;
    is_winner?: InputMaybe<Scalars['Boolean']>;
    terminal_quest_id?: InputMaybe<Scalars['Int']>;
    treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Game_Winner_Stddev_Fields = {
    __typename?: 'game_winner_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Winner_Stddev_Pop_Fields = {
    __typename?: 'game_winner_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Winner_Stddev_Samp_Fields = {
    __typename?: 'game_winner_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_winner" */
export type Game_Winner_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Winner_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Winner_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_rewarded?: InputMaybe<Scalars['Boolean']>;
    is_submitted?: InputMaybe<Scalars['Boolean']>;
    is_winner?: InputMaybe<Scalars['Boolean']>;
    terminal_quest_id?: InputMaybe<Scalars['Int']>;
    treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Game_Winner_Sum_Fields = {
    __typename?: 'game_winner_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    terminal_quest_id?: Maybe<Scalars['Int']>;
    treasure_user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_winner" */
export declare enum Game_Winner_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsRewarded = "is_rewarded",
    /** column name */
    IsSubmitted = "is_submitted",
    /** column name */
    IsWinner = "is_winner",
    /** column name */
    TerminalQuestId = "terminal_quest_id",
    /** column name */
    TreasureUserId = "treasure_user_id"
}
export type Game_Winner_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Winner_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Winner_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Winner_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Winner_Var_Pop_Fields = {
    __typename?: 'game_winner_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Winner_Var_Samp_Fields = {
    __typename?: 'game_winner_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Winner_Variance_Fields = {
    __typename?: 'game_winner_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "games_locus" */
export type Games_Locus = {
    __typename?: 'games_locus';
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_confirmed?: Maybe<Scalars['Boolean']>;
    is_denied?: Maybe<Scalars['Boolean']>;
    is_operation_settled?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    locus?: Maybe<Locus_Imitate>;
    locus_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    nextLocus?: Maybe<Locus_Imitate>;
    next_locus_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "games_locus" */
export type Games_Locus_Aggregate = {
    __typename?: 'games_locus_aggregate';
    aggregate?: Maybe<Games_Locus_Aggregate_Fields>;
    nodes: Array<Games_Locus>;
};
export type Games_Locus_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Games_Locus_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Games_Locus_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Games_Locus_Aggregate_Bool_Exp_Count>;
};
export type Games_Locus_Aggregate_Bool_Exp_Bool_And = {
    arguments: Games_Locus_Select_Column_Games_Locus_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Games_Locus_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Games_Locus_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Games_Locus_Select_Column_Games_Locus_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Games_Locus_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Games_Locus_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Games_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Games_Locus_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "games_locus" */
export type Games_Locus_Aggregate_Fields = {
    __typename?: 'games_locus_aggregate_fields';
    avg?: Maybe<Games_Locus_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Games_Locus_Max_Fields>;
    min?: Maybe<Games_Locus_Min_Fields>;
    stddev?: Maybe<Games_Locus_Stddev_Fields>;
    stddev_pop?: Maybe<Games_Locus_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Games_Locus_Stddev_Samp_Fields>;
    sum?: Maybe<Games_Locus_Sum_Fields>;
    var_pop?: Maybe<Games_Locus_Var_Pop_Fields>;
    var_samp?: Maybe<Games_Locus_Var_Samp_Fields>;
    variance?: Maybe<Games_Locus_Variance_Fields>;
};
/** aggregate fields of "games_locus" */
export type Games_Locus_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Games_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "games_locus" */
export type Games_Locus_Aggregate_Order_By = {
    avg?: InputMaybe<Games_Locus_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Games_Locus_Max_Order_By>;
    min?: InputMaybe<Games_Locus_Min_Order_By>;
    stddev?: InputMaybe<Games_Locus_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Games_Locus_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Games_Locus_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Games_Locus_Sum_Order_By>;
    var_pop?: InputMaybe<Games_Locus_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Games_Locus_Var_Samp_Order_By>;
    variance?: InputMaybe<Games_Locus_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "games_locus" */
export type Games_Locus_Arr_Rel_Insert_Input = {
    data: Array<Games_Locus_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Games_Locus_On_Conflict>;
};
/** aggregate avg on columns */
export type Games_Locus_Avg_Fields = {
    __typename?: 'games_locus_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "games_locus" */
export type Games_Locus_Avg_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "games_locus". All fields are combined with a logical 'AND'. */
export type Games_Locus_Bool_Exp = {
    _and?: InputMaybe<Array<Games_Locus_Bool_Exp>>;
    _not?: InputMaybe<Games_Locus_Bool_Exp>;
    _or?: InputMaybe<Array<Games_Locus_Bool_Exp>>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_confirmed?: InputMaybe<Boolean_Comparison_Exp>;
    is_denied?: InputMaybe<Boolean_Comparison_Exp>;
    is_operation_settled?: InputMaybe<Boolean_Comparison_Exp>;
    locus?: InputMaybe<Locus_Imitate_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    nextLocus?: InputMaybe<Locus_Imitate_Bool_Exp>;
    next_locus_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "games_locus" */
export declare enum Games_Locus_Constraint {
    /** unique or primary key constraint on columns "id" */
    GamesLocusPkey = "games_locus_pkey"
}
/** input type for incrementing numeric columns in table "games_locus" */
export type Games_Locus_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    next_locus_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "games_locus" */
export type Games_Locus_Insert_Input = {
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_denied?: InputMaybe<Scalars['Boolean']>;
    is_operation_settled?: InputMaybe<Scalars['Boolean']>;
    locus?: InputMaybe<Locus_Imitate_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    nextLocus?: InputMaybe<Locus_Imitate_Obj_Rel_Insert_Input>;
    next_locus_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Games_Locus_Max_Fields = {
    __typename?: 'games_locus_max_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    next_locus_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "games_locus" */
export type Games_Locus_Max_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Games_Locus_Min_Fields = {
    __typename?: 'games_locus_min_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    next_locus_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "games_locus" */
export type Games_Locus_Min_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "games_locus" */
export type Games_Locus_Mutation_Response = {
    __typename?: 'games_locus_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Games_Locus>;
};
/** on_conflict condition type for table "games_locus" */
export type Games_Locus_On_Conflict = {
    constraint: Games_Locus_Constraint;
    update_columns?: Array<Games_Locus_Update_Column>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
/** Ordering options when selecting data from "games_locus". */
export type Games_Locus_Order_By = {
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_confirmed?: InputMaybe<Order_By>;
    is_denied?: InputMaybe<Order_By>;
    is_operation_settled?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Imitate_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    nextLocus?: InputMaybe<Locus_Imitate_Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: games_locus */
export type Games_Locus_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "games_locus" */
export declare enum Games_Locus_Select_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsDenied = "is_denied",
    /** column name */
    IsOperationSettled = "is_operation_settled",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    NextLocusId = "next_locus_id"
}
/** select "games_locus_aggregate_bool_exp_bool_and_arguments_columns" columns of table "games_locus" */
export declare enum Games_Locus_Select_Column_Games_Locus_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsDenied = "is_denied",
    /** column name */
    IsOperationSettled = "is_operation_settled"
}
/** select "games_locus_aggregate_bool_exp_bool_or_arguments_columns" columns of table "games_locus" */
export declare enum Games_Locus_Select_Column_Games_Locus_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsDenied = "is_denied",
    /** column name */
    IsOperationSettled = "is_operation_settled"
}
/** input type for updating data in table "games_locus" */
export type Games_Locus_Set_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_denied?: InputMaybe<Scalars['Boolean']>;
    is_operation_settled?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    next_locus_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Games_Locus_Stddev_Fields = {
    __typename?: 'games_locus_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "games_locus" */
export type Games_Locus_Stddev_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Games_Locus_Stddev_Pop_Fields = {
    __typename?: 'games_locus_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "games_locus" */
export type Games_Locus_Stddev_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Games_Locus_Stddev_Samp_Fields = {
    __typename?: 'games_locus_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "games_locus" */
export type Games_Locus_Stddev_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "games_locus" */
export type Games_Locus_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Games_Locus_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Games_Locus_Stream_Cursor_Value_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_denied?: InputMaybe<Scalars['Boolean']>;
    is_operation_settled?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    next_locus_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Games_Locus_Sum_Fields = {
    __typename?: 'games_locus_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    next_locus_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "games_locus" */
export type Games_Locus_Sum_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** update columns of table "games_locus" */
export declare enum Games_Locus_Update_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsDenied = "is_denied",
    /** column name */
    IsOperationSettled = "is_operation_settled",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    NextLocusId = "next_locus_id"
}
export type Games_Locus_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Games_Locus_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Games_Locus_Set_Input>;
    /** filter the rows which have to be updated */
    where: Games_Locus_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Games_Locus_Var_Pop_Fields = {
    __typename?: 'games_locus_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "games_locus" */
export type Games_Locus_Var_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Games_Locus_Var_Samp_Fields = {
    __typename?: 'games_locus_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "games_locus" */
export type Games_Locus_Var_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Games_Locus_Variance_Fields = {
    __typename?: 'games_locus_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "games_locus" */
export type Games_Locus_Variance_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
export type Geography_Cast_Exp = {
    geometry?: InputMaybe<Geometry_Comparison_Exp>;
};
/** Boolean expression to compare columns of type "geography". All fields are combined with logical 'AND'. */
export type Geography_Comparison_Exp = {
    _cast?: InputMaybe<Geography_Cast_Exp>;
    _eq?: InputMaybe<Scalars['geography']>;
    _gt?: InputMaybe<Scalars['geography']>;
    _gte?: InputMaybe<Scalars['geography']>;
    _in?: InputMaybe<Array<Scalars['geography']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['geography']>;
    _lte?: InputMaybe<Scalars['geography']>;
    _neq?: InputMaybe<Scalars['geography']>;
    _nin?: InputMaybe<Array<Scalars['geography']>>;
    /** is the column within a given distance from the given geography value */
    _st_d_within?: InputMaybe<St_D_Within_Geography_Input>;
    /** does the column spatially intersect the given geography value */
    _st_intersects?: InputMaybe<Scalars['geography']>;
};
export type Geometry_Cast_Exp = {
    geography?: InputMaybe<Geography_Comparison_Exp>;
};
/** Boolean expression to compare columns of type "geometry". All fields are combined with logical 'AND'. */
export type Geometry_Comparison_Exp = {
    _cast?: InputMaybe<Geometry_Cast_Exp>;
    _eq?: InputMaybe<Scalars['geometry']>;
    _gt?: InputMaybe<Scalars['geometry']>;
    _gte?: InputMaybe<Scalars['geometry']>;
    _in?: InputMaybe<Array<Scalars['geometry']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['geometry']>;
    _lte?: InputMaybe<Scalars['geometry']>;
    _neq?: InputMaybe<Scalars['geometry']>;
    _nin?: InputMaybe<Array<Scalars['geometry']>>;
    /** is the column within a given 3D distance from the given geometry value */
    _st_3d_d_within?: InputMaybe<St_D_Within_Input>;
    /** does the column spatially intersect the given geometry value in 3D */
    _st_3d_intersects?: InputMaybe<Scalars['geometry']>;
    /** does the column contain the given geometry value */
    _st_contains?: InputMaybe<Scalars['geometry']>;
    /** does the column cross the given geometry value */
    _st_crosses?: InputMaybe<Scalars['geometry']>;
    /** is the column within a given distance from the given geometry value */
    _st_d_within?: InputMaybe<St_D_Within_Input>;
    /** is the column equal to given geometry value (directionality is ignored) */
    _st_equals?: InputMaybe<Scalars['geometry']>;
    /** does the column spatially intersect the given geometry value */
    _st_intersects?: InputMaybe<Scalars['geometry']>;
    /** does the column 'spatially overlap' (intersect but not completely contain) the given geometry value */
    _st_overlaps?: InputMaybe<Scalars['geometry']>;
    /** does the column have atleast one point in common with the given geometry value */
    _st_touches?: InputMaybe<Scalars['geometry']>;
    /** is the column contained in the given geometry value */
    _st_within?: InputMaybe<Scalars['geometry']>;
};
/** columns and relationships of "gift" */
export type Gift = {
    __typename?: 'gift';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    locusId?: Maybe<Scalars['Int']>;
    title: Scalars['String'];
};
/** aggregated selection of "gift" */
export type Gift_Aggregate = {
    __typename?: 'gift_aggregate';
    aggregate?: Maybe<Gift_Aggregate_Fields>;
    nodes: Array<Gift>;
};
export type Gift_Aggregate_Bool_Exp = {
    count?: InputMaybe<Gift_Aggregate_Bool_Exp_Count>;
};
export type Gift_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Gift_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Gift_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "gift" */
export type Gift_Aggregate_Fields = {
    __typename?: 'gift_aggregate_fields';
    avg?: Maybe<Gift_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Gift_Max_Fields>;
    min?: Maybe<Gift_Min_Fields>;
    stddev?: Maybe<Gift_Stddev_Fields>;
    stddev_pop?: Maybe<Gift_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Gift_Stddev_Samp_Fields>;
    sum?: Maybe<Gift_Sum_Fields>;
    var_pop?: Maybe<Gift_Var_Pop_Fields>;
    var_samp?: Maybe<Gift_Var_Samp_Fields>;
    variance?: Maybe<Gift_Variance_Fields>;
};
/** aggregate fields of "gift" */
export type Gift_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Gift_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "gift" */
export type Gift_Aggregate_Order_By = {
    avg?: InputMaybe<Gift_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Gift_Max_Order_By>;
    min?: InputMaybe<Gift_Min_Order_By>;
    stddev?: InputMaybe<Gift_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Gift_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Gift_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Gift_Sum_Order_By>;
    var_pop?: InputMaybe<Gift_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Gift_Var_Samp_Order_By>;
    variance?: InputMaybe<Gift_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "gift" */
export type Gift_Arr_Rel_Insert_Input = {
    data: Array<Gift_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Gift_On_Conflict>;
};
/** aggregate avg on columns */
export type Gift_Avg_Fields = {
    __typename?: 'gift_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "gift" */
export type Gift_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "gift". All fields are combined with a logical 'AND'. */
export type Gift_Bool_Exp = {
    _and?: InputMaybe<Array<Gift_Bool_Exp>>;
    _not?: InputMaybe<Gift_Bool_Exp>;
    _or?: InputMaybe<Array<Gift_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    locusId?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "gift" */
export declare enum Gift_Constraint {
    /** unique or primary key constraint on columns "id" */
    GiftPkey = "gift_pkey"
}
/** input type for incrementing numeric columns in table "gift" */
export type Gift_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locusId?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "gift" */
export type Gift_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    locusId?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Gift_Max_Fields = {
    __typename?: 'gift_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    locusId?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "gift" */
export type Gift_Max_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Gift_Min_Fields = {
    __typename?: 'gift_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    locusId?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "gift" */
export type Gift_Min_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "gift" */
export type Gift_Mutation_Response = {
    __typename?: 'gift_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Gift>;
};
/** on_conflict condition type for table "gift" */
export type Gift_On_Conflict = {
    constraint: Gift_Constraint;
    update_columns?: Array<Gift_Update_Column>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
/** Ordering options when selecting data from "gift". */
export type Gift_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: gift */
export type Gift_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "gift" */
export declare enum Gift_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locusId",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "gift" */
export type Gift_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    locusId?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Gift_Stddev_Fields = {
    __typename?: 'gift_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "gift" */
export type Gift_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Gift_Stddev_Pop_Fields = {
    __typename?: 'gift_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "gift" */
export type Gift_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Gift_Stddev_Samp_Fields = {
    __typename?: 'gift_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "gift" */
export type Gift_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "gift" */
export type Gift_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Gift_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Gift_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    locusId?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Gift_Sum_Fields = {
    __typename?: 'gift_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locusId?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "gift" */
export type Gift_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** update columns of table "gift" */
export declare enum Gift_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locusId",
    /** column name */
    Title = "title"
}
export type Gift_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Gift_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Gift_Set_Input>;
    /** filter the rows which have to be updated */
    where: Gift_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Gift_Var_Pop_Fields = {
    __typename?: 'gift_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "gift" */
export type Gift_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Gift_Var_Samp_Fields = {
    __typename?: 'gift_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "gift" */
export type Gift_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Gift_Variance_Fields = {
    __typename?: 'gift_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "gift" */
export type Gift_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** goods for general (specific items for games) */
export type Goods = {
    __typename?: 'goods';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    name: Scalars['String'];
    /** An object relationship */
    product?: Maybe<Product>;
    product_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "goods" */
export type Goods_Aggregate = {
    __typename?: 'goods_aggregate';
    aggregate?: Maybe<Goods_Aggregate_Fields>;
    nodes: Array<Goods>;
};
/** aggregate fields of "goods" */
export type Goods_Aggregate_Fields = {
    __typename?: 'goods_aggregate_fields';
    avg?: Maybe<Goods_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Goods_Max_Fields>;
    min?: Maybe<Goods_Min_Fields>;
    stddev?: Maybe<Goods_Stddev_Fields>;
    stddev_pop?: Maybe<Goods_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Goods_Stddev_Samp_Fields>;
    sum?: Maybe<Goods_Sum_Fields>;
    var_pop?: Maybe<Goods_Var_Pop_Fields>;
    var_samp?: Maybe<Goods_Var_Samp_Fields>;
    variance?: Maybe<Goods_Variance_Fields>;
};
/** aggregate fields of "goods" */
export type Goods_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Goods_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Goods_Avg_Fields = {
    __typename?: 'goods_avg_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "goods". All fields are combined with a logical 'AND'. */
export type Goods_Bool_Exp = {
    _and?: InputMaybe<Array<Goods_Bool_Exp>>;
    _not?: InputMaybe<Goods_Bool_Exp>;
    _or?: InputMaybe<Array<Goods_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "goods" */
export declare enum Goods_Constraint {
    /** unique or primary key constraint on columns "id" */
    GoodsPkey = "goods_pkey"
}
/** input type for incrementing numeric columns in table "goods" */
export type Goods_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "goods" */
export type Goods_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Goods_Max_Fields = {
    __typename?: 'goods_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    product_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Goods_Min_Fields = {
    __typename?: 'goods_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    product_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "goods" */
export type Goods_Mutation_Response = {
    __typename?: 'goods_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Goods>;
};
/** on_conflict condition type for table "goods" */
export type Goods_On_Conflict = {
    constraint: Goods_Constraint;
    update_columns?: Array<Goods_Update_Column>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
/** Ordering options when selecting data from "goods". */
export type Goods_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: goods */
export type Goods_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "goods" */
export declare enum Goods_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    ProductId = "product_id"
}
/** input type for updating data in table "goods" */
export type Goods_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    product_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Goods_Stddev_Fields = {
    __typename?: 'goods_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Goods_Stddev_Pop_Fields = {
    __typename?: 'goods_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Goods_Stddev_Samp_Fields = {
    __typename?: 'goods_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "goods" */
export type Goods_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Goods_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Goods_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    product_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Goods_Sum_Fields = {
    __typename?: 'goods_sum_fields';
    id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "goods" */
export declare enum Goods_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    ProductId = "product_id"
}
export type Goods_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Goods_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Goods_Set_Input>;
    /** filter the rows which have to be updated */
    where: Goods_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Goods_Var_Pop_Fields = {
    __typename?: 'goods_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Goods_Var_Samp_Fields = {
    __typename?: 'goods_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Goods_Variance_Fields = {
    __typename?: 'goods_variance_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "hier_type" */
export type Hier_Type = {
    __typename?: 'hier_type';
    hier_type_title?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
};
/** aggregated selection of "hier_type" */
export type Hier_Type_Aggregate = {
    __typename?: 'hier_type_aggregate';
    aggregate?: Maybe<Hier_Type_Aggregate_Fields>;
    nodes: Array<Hier_Type>;
};
/** aggregate fields of "hier_type" */
export type Hier_Type_Aggregate_Fields = {
    __typename?: 'hier_type_aggregate_fields';
    avg?: Maybe<Hier_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Hier_Type_Max_Fields>;
    min?: Maybe<Hier_Type_Min_Fields>;
    stddev?: Maybe<Hier_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Hier_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Hier_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Hier_Type_Sum_Fields>;
    var_pop?: Maybe<Hier_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Hier_Type_Var_Samp_Fields>;
    variance?: Maybe<Hier_Type_Variance_Fields>;
};
/** aggregate fields of "hier_type" */
export type Hier_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Hier_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Hier_Type_Avg_Fields = {
    __typename?: 'hier_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "hier_type". All fields are combined with a logical 'AND'. */
export type Hier_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Hier_Type_Bool_Exp>>;
    _not?: InputMaybe<Hier_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Hier_Type_Bool_Exp>>;
    hier_type_title?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "hier_type" */
export declare enum Hier_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    HierTypePkey = "hier_type_pkey"
}
/** input type for incrementing numeric columns in table "hier_type" */
export type Hier_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "hier_type" */
export type Hier_Type_Insert_Input = {
    hier_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Hier_Type_Max_Fields = {
    __typename?: 'hier_type_max_fields';
    hier_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Hier_Type_Min_Fields = {
    __typename?: 'hier_type_min_fields';
    hier_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "hier_type" */
export type Hier_Type_Mutation_Response = {
    __typename?: 'hier_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Hier_Type>;
};
/** input type for inserting object relation for remote table "hier_type" */
export type Hier_Type_Obj_Rel_Insert_Input = {
    data: Hier_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Hier_Type_On_Conflict>;
};
/** on_conflict condition type for table "hier_type" */
export type Hier_Type_On_Conflict = {
    constraint: Hier_Type_Constraint;
    update_columns?: Array<Hier_Type_Update_Column>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "hier_type". */
export type Hier_Type_Order_By = {
    hier_type_title?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: hier_type */
export type Hier_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "hier_type" */
export declare enum Hier_Type_Select_Column {
    /** column name */
    HierTypeTitle = "hier_type_title",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "hier_type" */
export type Hier_Type_Set_Input = {
    hier_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Hier_Type_Stddev_Fields = {
    __typename?: 'hier_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Hier_Type_Stddev_Pop_Fields = {
    __typename?: 'hier_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Hier_Type_Stddev_Samp_Fields = {
    __typename?: 'hier_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "hier_type" */
export type Hier_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Hier_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Hier_Type_Stream_Cursor_Value_Input = {
    hier_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Hier_Type_Sum_Fields = {
    __typename?: 'hier_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "hier_type" */
export declare enum Hier_Type_Update_Column {
    /** column name */
    HierTypeTitle = "hier_type_title",
    /** column name */
    Id = "id"
}
export type Hier_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Hier_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Hier_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Hier_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Hier_Type_Var_Pop_Fields = {
    __typename?: 'hier_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Hier_Type_Var_Samp_Fields = {
    __typename?: 'hier_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Hier_Type_Variance_Fields = {
    __typename?: 'hier_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "incognito" */
export type Incognito = {
    __typename?: 'incognito';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    name: Scalars['String'];
    password: Scalars['String'];
};
/** aggregated selection of "incognito" */
export type Incognito_Aggregate = {
    __typename?: 'incognito_aggregate';
    aggregate?: Maybe<Incognito_Aggregate_Fields>;
    nodes: Array<Incognito>;
};
/** aggregate fields of "incognito" */
export type Incognito_Aggregate_Fields = {
    __typename?: 'incognito_aggregate_fields';
    avg?: Maybe<Incognito_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Incognito_Max_Fields>;
    min?: Maybe<Incognito_Min_Fields>;
    stddev?: Maybe<Incognito_Stddev_Fields>;
    stddev_pop?: Maybe<Incognito_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Incognito_Stddev_Samp_Fields>;
    sum?: Maybe<Incognito_Sum_Fields>;
    var_pop?: Maybe<Incognito_Var_Pop_Fields>;
    var_samp?: Maybe<Incognito_Var_Samp_Fields>;
    variance?: Maybe<Incognito_Variance_Fields>;
};
/** aggregate fields of "incognito" */
export type Incognito_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Incognito_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Incognito_Avg_Fields = {
    __typename?: 'incognito_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "incognito". All fields are combined with a logical 'AND'. */
export type Incognito_Bool_Exp = {
    _and?: InputMaybe<Array<Incognito_Bool_Exp>>;
    _not?: InputMaybe<Incognito_Bool_Exp>;
    _or?: InputMaybe<Array<Incognito_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    password?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "incognito" */
export declare enum Incognito_Constraint {
    /** unique or primary key constraint on columns "id" */
    IncognitoPkey = "incognito_pkey"
}
/** input type for incrementing numeric columns in table "incognito" */
export type Incognito_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "incognito" */
export type Incognito_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    password?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Incognito_Max_Fields = {
    __typename?: 'incognito_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    password?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Incognito_Min_Fields = {
    __typename?: 'incognito_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    password?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "incognito" */
export type Incognito_Mutation_Response = {
    __typename?: 'incognito_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Incognito>;
};
/** input type for inserting object relation for remote table "incognito" */
export type Incognito_Obj_Rel_Insert_Input = {
    data: Incognito_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Incognito_On_Conflict>;
};
/** on_conflict condition type for table "incognito" */
export type Incognito_On_Conflict = {
    constraint: Incognito_Constraint;
    update_columns?: Array<Incognito_Update_Column>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
/** Ordering options when selecting data from "incognito". */
export type Incognito_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    password?: InputMaybe<Order_By>;
};
/** primary key columns input for table: incognito */
export type Incognito_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "incognito" */
export declare enum Incognito_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Password = "password"
}
/** input type for updating data in table "incognito" */
export type Incognito_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    password?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Incognito_Stddev_Fields = {
    __typename?: 'incognito_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Incognito_Stddev_Pop_Fields = {
    __typename?: 'incognito_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Incognito_Stddev_Samp_Fields = {
    __typename?: 'incognito_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "incognito" */
export type Incognito_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Incognito_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Incognito_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    password?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Incognito_Sum_Fields = {
    __typename?: 'incognito_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "incognito" */
export declare enum Incognito_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Password = "password"
}
export type Incognito_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Incognito_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Incognito_Set_Input>;
    /** filter the rows which have to be updated */
    where: Incognito_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Incognito_Var_Pop_Fields = {
    __typename?: 'incognito_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Incognito_Var_Samp_Fields = {
    __typename?: 'incognito_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Incognito_Variance_Fields = {
    __typename?: 'incognito_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "inscription" */
export type Inscription = {
    __typename?: 'inscription';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    /** An object relationship */
    incognito?: Maybe<Incognito>;
    incognito_id?: Maybe<Scalars['Int']>;
    is_incognito: Scalars['Boolean'];
    material: Scalars['String'];
    /** An object relationship */
    pieceType: Piece_Type;
    piece_type_id: Scalars['Int'];
    updated_at: Scalars['timestamptz'];
    /** An object relationship */
    writer?: Maybe<Treasure_User>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "inscription" */
export type Inscription_Aggregate = {
    __typename?: 'inscription_aggregate';
    aggregate?: Maybe<Inscription_Aggregate_Fields>;
    nodes: Array<Inscription>;
};
/** aggregate fields of "inscription" */
export type Inscription_Aggregate_Fields = {
    __typename?: 'inscription_aggregate_fields';
    avg?: Maybe<Inscription_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Inscription_Max_Fields>;
    min?: Maybe<Inscription_Min_Fields>;
    stddev?: Maybe<Inscription_Stddev_Fields>;
    stddev_pop?: Maybe<Inscription_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Inscription_Stddev_Samp_Fields>;
    sum?: Maybe<Inscription_Sum_Fields>;
    var_pop?: Maybe<Inscription_Var_Pop_Fields>;
    var_samp?: Maybe<Inscription_Var_Samp_Fields>;
    variance?: Maybe<Inscription_Variance_Fields>;
};
/** aggregate fields of "inscription" */
export type Inscription_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Inscription_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Inscription_Avg_Fields = {
    __typename?: 'inscription_avg_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "inscription". All fields are combined with a logical 'AND'. */
export type Inscription_Bool_Exp = {
    _and?: InputMaybe<Array<Inscription_Bool_Exp>>;
    _not?: InputMaybe<Inscription_Bool_Exp>;
    _or?: InputMaybe<Array<Inscription_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    incognito?: InputMaybe<Incognito_Bool_Exp>;
    incognito_id?: InputMaybe<Int_Comparison_Exp>;
    is_incognito?: InputMaybe<Boolean_Comparison_Exp>;
    material?: InputMaybe<String_Comparison_Exp>;
    pieceType?: InputMaybe<Piece_Type_Bool_Exp>;
    piece_type_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    writer?: InputMaybe<Treasure_User_Bool_Exp>;
    writer_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "inscription" */
export declare enum Inscription_Constraint {
    /** unique or primary key constraint on columns "id" */
    InscriptionPkey = "inscription_pkey"
}
/** input type for incrementing numeric columns in table "inscription" */
export type Inscription_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    incognito_id?: InputMaybe<Scalars['Int']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "inscription" */
export type Inscription_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    incognito?: InputMaybe<Incognito_Obj_Rel_Insert_Input>;
    incognito_id?: InputMaybe<Scalars['Int']>;
    is_incognito?: InputMaybe<Scalars['Boolean']>;
    material?: InputMaybe<Scalars['String']>;
    pieceType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writer?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Inscription_Max_Fields = {
    __typename?: 'inscription_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    incognito_id?: Maybe<Scalars['Int']>;
    material?: Maybe<Scalars['String']>;
    piece_type_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Inscription_Min_Fields = {
    __typename?: 'inscription_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    incognito_id?: Maybe<Scalars['Int']>;
    material?: Maybe<Scalars['String']>;
    piece_type_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "inscription" */
export type Inscription_Mutation_Response = {
    __typename?: 'inscription_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Inscription>;
};
/** on_conflict condition type for table "inscription" */
export type Inscription_On_Conflict = {
    constraint: Inscription_Constraint;
    update_columns?: Array<Inscription_Update_Column>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
/** Ordering options when selecting data from "inscription". */
export type Inscription_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    incognito?: InputMaybe<Incognito_Order_By>;
    incognito_id?: InputMaybe<Order_By>;
    is_incognito?: InputMaybe<Order_By>;
    material?: InputMaybe<Order_By>;
    pieceType?: InputMaybe<Piece_Type_Order_By>;
    piece_type_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    writer?: InputMaybe<Treasure_User_Order_By>;
    writer_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: inscription */
export type Inscription_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "inscription" */
export declare enum Inscription_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    IncognitoId = "incognito_id",
    /** column name */
    IsIncognito = "is_incognito",
    /** column name */
    Material = "material",
    /** column name */
    PieceTypeId = "piece_type_id",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    WriterId = "writer_id"
}
/** input type for updating data in table "inscription" */
export type Inscription_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    incognito_id?: InputMaybe<Scalars['Int']>;
    is_incognito?: InputMaybe<Scalars['Boolean']>;
    material?: InputMaybe<Scalars['String']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Inscription_Stddev_Fields = {
    __typename?: 'inscription_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Inscription_Stddev_Pop_Fields = {
    __typename?: 'inscription_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Inscription_Stddev_Samp_Fields = {
    __typename?: 'inscription_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "inscription" */
export type Inscription_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Inscription_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Inscription_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    incognito_id?: InputMaybe<Scalars['Int']>;
    is_incognito?: InputMaybe<Scalars['Boolean']>;
    material?: InputMaybe<Scalars['String']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Inscription_Sum_Fields = {
    __typename?: 'inscription_sum_fields';
    id?: Maybe<Scalars['Int']>;
    incognito_id?: Maybe<Scalars['Int']>;
    piece_type_id?: Maybe<Scalars['Int']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "inscription" */
export declare enum Inscription_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    IncognitoId = "incognito_id",
    /** column name */
    IsIncognito = "is_incognito",
    /** column name */
    Material = "material",
    /** column name */
    PieceTypeId = "piece_type_id",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    WriterId = "writer_id"
}
export type Inscription_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Inscription_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Inscription_Set_Input>;
    /** filter the rows which have to be updated */
    where: Inscription_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Inscription_Var_Pop_Fields = {
    __typename?: 'inscription_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Inscription_Var_Samp_Fields = {
    __typename?: 'inscription_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Inscription_Variance_Fields = {
    __typename?: 'inscription_variance_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "interface_type" */
export type Interface_Type = {
    __typename?: 'interface_type';
    id: Scalars['Int'];
    interface_type_title?: Maybe<Scalars['String']>;
    is_about_map?: Maybe<Scalars['Boolean']>;
    is_free_map?: Maybe<Scalars['Boolean']>;
    is_inmap?: Maybe<Scalars['Boolean']>;
    is_outmap?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "interface_type" */
export type Interface_Type_Aggregate = {
    __typename?: 'interface_type_aggregate';
    aggregate?: Maybe<Interface_Type_Aggregate_Fields>;
    nodes: Array<Interface_Type>;
};
/** aggregate fields of "interface_type" */
export type Interface_Type_Aggregate_Fields = {
    __typename?: 'interface_type_aggregate_fields';
    avg?: Maybe<Interface_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Interface_Type_Max_Fields>;
    min?: Maybe<Interface_Type_Min_Fields>;
    stddev?: Maybe<Interface_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Interface_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Interface_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Interface_Type_Sum_Fields>;
    var_pop?: Maybe<Interface_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Interface_Type_Var_Samp_Fields>;
    variance?: Maybe<Interface_Type_Variance_Fields>;
};
/** aggregate fields of "interface_type" */
export type Interface_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Interface_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Interface_Type_Avg_Fields = {
    __typename?: 'interface_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "interface_type". All fields are combined with a logical 'AND'. */
export type Interface_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Interface_Type_Bool_Exp>>;
    _not?: InputMaybe<Interface_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Interface_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    interface_type_title?: InputMaybe<String_Comparison_Exp>;
    is_about_map?: InputMaybe<Boolean_Comparison_Exp>;
    is_free_map?: InputMaybe<Boolean_Comparison_Exp>;
    is_inmap?: InputMaybe<Boolean_Comparison_Exp>;
    is_outmap?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "interface_type" */
export declare enum Interface_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    InterfaceTypePkey = "interface_type_pkey"
}
/** input type for incrementing numeric columns in table "interface_type" */
export type Interface_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "interface_type" */
export type Interface_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    interface_type_title?: InputMaybe<Scalars['String']>;
    is_about_map?: InputMaybe<Scalars['Boolean']>;
    is_free_map?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Interface_Type_Max_Fields = {
    __typename?: 'interface_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    interface_type_title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Interface_Type_Min_Fields = {
    __typename?: 'interface_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    interface_type_title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "interface_type" */
export type Interface_Type_Mutation_Response = {
    __typename?: 'interface_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Interface_Type>;
};
/** input type for inserting object relation for remote table "interface_type" */
export type Interface_Type_Obj_Rel_Insert_Input = {
    data: Interface_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Interface_Type_On_Conflict>;
};
/** on_conflict condition type for table "interface_type" */
export type Interface_Type_On_Conflict = {
    constraint: Interface_Type_Constraint;
    update_columns?: Array<Interface_Type_Update_Column>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "interface_type". */
export type Interface_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    interface_type_title?: InputMaybe<Order_By>;
    is_about_map?: InputMaybe<Order_By>;
    is_free_map?: InputMaybe<Order_By>;
    is_inmap?: InputMaybe<Order_By>;
    is_outmap?: InputMaybe<Order_By>;
};
/** primary key columns input for table: interface_type */
export type Interface_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "interface_type" */
export declare enum Interface_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    InterfaceTypeTitle = "interface_type_title",
    /** column name */
    IsAboutMap = "is_about_map",
    /** column name */
    IsFreeMap = "is_free_map",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsOutmap = "is_outmap"
}
/** input type for updating data in table "interface_type" */
export type Interface_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    interface_type_title?: InputMaybe<Scalars['String']>;
    is_about_map?: InputMaybe<Scalars['Boolean']>;
    is_free_map?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Interface_Type_Stddev_Fields = {
    __typename?: 'interface_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Interface_Type_Stddev_Pop_Fields = {
    __typename?: 'interface_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Interface_Type_Stddev_Samp_Fields = {
    __typename?: 'interface_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "interface_type" */
export type Interface_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Interface_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Interface_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    interface_type_title?: InputMaybe<Scalars['String']>;
    is_about_map?: InputMaybe<Scalars['Boolean']>;
    is_free_map?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Interface_Type_Sum_Fields = {
    __typename?: 'interface_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "interface_type" */
export declare enum Interface_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    InterfaceTypeTitle = "interface_type_title",
    /** column name */
    IsAboutMap = "is_about_map",
    /** column name */
    IsFreeMap = "is_free_map",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsOutmap = "is_outmap"
}
export type Interface_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Interface_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Interface_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Interface_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Interface_Type_Var_Pop_Fields = {
    __typename?: 'interface_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Interface_Type_Var_Samp_Fields = {
    __typename?: 'interface_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Interface_Type_Variance_Fields = {
    __typename?: 'interface_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
export type Jsonb_Cast_Exp = {
    String?: InputMaybe<String_Comparison_Exp>;
};
/** Boolean expression to compare columns of type "jsonb". All fields are combined with logical 'AND'. */
export type Jsonb_Comparison_Exp = {
    _cast?: InputMaybe<Jsonb_Cast_Exp>;
    /** is the column contained in the given json value */
    _contained_in?: InputMaybe<Scalars['jsonb']>;
    /** does the column contain the given json value at the top level */
    _contains?: InputMaybe<Scalars['jsonb']>;
    _eq?: InputMaybe<Scalars['jsonb']>;
    _gt?: InputMaybe<Scalars['jsonb']>;
    _gte?: InputMaybe<Scalars['jsonb']>;
    /** does the string exist as a top-level key in the column */
    _has_key?: InputMaybe<Scalars['String']>;
    /** do all of these strings exist as top-level keys in the column */
    _has_keys_all?: InputMaybe<Array<Scalars['String']>>;
    /** do any of these strings exist as top-level keys in the column */
    _has_keys_any?: InputMaybe<Array<Scalars['String']>>;
    _in?: InputMaybe<Array<Scalars['jsonb']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['jsonb']>;
    _lte?: InputMaybe<Scalars['jsonb']>;
    _neq?: InputMaybe<Scalars['jsonb']>;
    _nin?: InputMaybe<Array<Scalars['jsonb']>>;
};
/** columns and relationships of "judge" */
export type Judge = {
    __typename?: 'judge';
    answer?: Maybe<Scalars['Int']>;
    /** An object relationship */
    answerById?: Maybe<Answer>;
    /** An object relationship */
    answerType?: Maybe<Answer_Type>;
    answer_type?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    creator_id?: Maybe<Scalars['Int']>;
    delay_ms?: Maybe<Scalars['Int']>;
    /** An object relationship */
    displayType?: Maybe<Judge_Display_Type>;
    display_type_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    example?: Maybe<Example>;
    example_id?: Maybe<Scalars['Int']>;
    failure_response_text?: Maybe<Scalars['String']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_dedicated?: Maybe<Scalars['Boolean']>;
    is_machine?: Maybe<Scalars['Boolean']>;
    is_person?: Maybe<Scalars['Boolean']>;
    is_running?: Maybe<Scalars['Boolean']>;
    is_user?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    judgeEntry?: Maybe<Judge_Entry>;
    /** An object relationship */
    judgeTreasureUser?: Maybe<Treasure_User>;
    judge_entry?: Maybe<Scalars['Int']>;
    judge_user?: Maybe<Scalars['Int']>;
    limit_ms?: Maybe<Scalars['Int']>;
    /** An array relationship */
    questsOne: Array<Quest>;
    /** An aggregate relationship */
    questsOne_aggregate: Quest_Aggregate;
    /** An object relationship */
    responseType?: Maybe<Piece_Type>;
    response_text?: Maybe<Scalars['String']>;
    response_type?: Maybe<Scalars['Int']>;
    response_uri?: Maybe<Scalars['String']>;
    /** An object relationship */
    roleType?: Maybe<Judge_Role_Type>;
    role_type_id?: Maybe<Scalars['Int']>;
    success_response_text?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** columns and relationships of "judge" */
export type JudgeQuestsOneArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
/** columns and relationships of "judge" */
export type JudgeQuestsOne_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
/** aggregated selection of "judge" */
export type Judge_Aggregate = {
    __typename?: 'judge_aggregate';
    aggregate?: Maybe<Judge_Aggregate_Fields>;
    nodes: Array<Judge>;
};
export type Judge_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Judge_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Judge_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Judge_Aggregate_Bool_Exp_Count>;
};
export type Judge_Aggregate_Bool_Exp_Bool_And = {
    arguments: Judge_Select_Column_Judge_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Judge_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Judge_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Judge_Select_Column_Judge_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Judge_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Judge_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Judge_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Judge_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "judge" */
export type Judge_Aggregate_Fields = {
    __typename?: 'judge_aggregate_fields';
    avg?: Maybe<Judge_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Judge_Max_Fields>;
    min?: Maybe<Judge_Min_Fields>;
    stddev?: Maybe<Judge_Stddev_Fields>;
    stddev_pop?: Maybe<Judge_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Judge_Stddev_Samp_Fields>;
    sum?: Maybe<Judge_Sum_Fields>;
    var_pop?: Maybe<Judge_Var_Pop_Fields>;
    var_samp?: Maybe<Judge_Var_Samp_Fields>;
    variance?: Maybe<Judge_Variance_Fields>;
};
/** aggregate fields of "judge" */
export type Judge_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Judge_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "judge" */
export type Judge_Aggregate_Order_By = {
    avg?: InputMaybe<Judge_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Judge_Max_Order_By>;
    min?: InputMaybe<Judge_Min_Order_By>;
    stddev?: InputMaybe<Judge_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Judge_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Judge_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Judge_Sum_Order_By>;
    var_pop?: InputMaybe<Judge_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Judge_Var_Samp_Order_By>;
    variance?: InputMaybe<Judge_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "judge" */
export type Judge_Arr_Rel_Insert_Input = {
    data: Array<Judge_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Judge_On_Conflict>;
};
/** aggregate avg on columns */
export type Judge_Avg_Fields = {
    __typename?: 'judge_avg_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "judge" */
export type Judge_Avg_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "judge". All fields are combined with a logical 'AND'. */
export type Judge_Bool_Exp = {
    _and?: InputMaybe<Array<Judge_Bool_Exp>>;
    _not?: InputMaybe<Judge_Bool_Exp>;
    _or?: InputMaybe<Array<Judge_Bool_Exp>>;
    answer?: InputMaybe<Int_Comparison_Exp>;
    answerById?: InputMaybe<Answer_Bool_Exp>;
    answerType?: InputMaybe<Answer_Type_Bool_Exp>;
    answer_type?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    creator_id?: InputMaybe<Int_Comparison_Exp>;
    delay_ms?: InputMaybe<Int_Comparison_Exp>;
    displayType?: InputMaybe<Judge_Display_Type_Bool_Exp>;
    display_type_id?: InputMaybe<Int_Comparison_Exp>;
    example?: InputMaybe<Example_Bool_Exp>;
    example_id?: InputMaybe<Int_Comparison_Exp>;
    failure_response_text?: InputMaybe<String_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_dedicated?: InputMaybe<Boolean_Comparison_Exp>;
    is_machine?: InputMaybe<Boolean_Comparison_Exp>;
    is_person?: InputMaybe<Boolean_Comparison_Exp>;
    is_running?: InputMaybe<Boolean_Comparison_Exp>;
    is_user?: InputMaybe<Boolean_Comparison_Exp>;
    judgeEntry?: InputMaybe<Judge_Entry_Bool_Exp>;
    judgeTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    judge_entry?: InputMaybe<Int_Comparison_Exp>;
    judge_user?: InputMaybe<Int_Comparison_Exp>;
    limit_ms?: InputMaybe<Int_Comparison_Exp>;
    questsOne?: InputMaybe<Quest_Bool_Exp>;
    questsOne_aggregate?: InputMaybe<Quest_Aggregate_Bool_Exp>;
    responseType?: InputMaybe<Piece_Type_Bool_Exp>;
    response_text?: InputMaybe<String_Comparison_Exp>;
    response_type?: InputMaybe<Int_Comparison_Exp>;
    response_uri?: InputMaybe<String_Comparison_Exp>;
    roleType?: InputMaybe<Judge_Role_Type_Bool_Exp>;
    role_type_id?: InputMaybe<Int_Comparison_Exp>;
    success_response_text?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "judge" */
export declare enum Judge_Constraint {
    /** unique or primary key constraint on columns "game_id", "title", "creator_id" */
    JudgeCreatorIdGameIdTitleKey = "judge_creator_id_game_id_title_key",
    /** unique or primary key constraint on columns "id" */
    JudgePkey = "judge_pkey"
}
/** columns and relationships of "judge_display_type" */
export type Judge_Display_Type = {
    __typename?: 'judge_display_type';
    id: Scalars['Int'];
    lexical_version?: Maybe<Scalars['String']>;
    name: Scalars['String'];
    rendered_in_lexical: Scalars['Boolean'];
    rendered_in_rn: Scalars['Boolean'];
};
/** aggregated selection of "judge_display_type" */
export type Judge_Display_Type_Aggregate = {
    __typename?: 'judge_display_type_aggregate';
    aggregate?: Maybe<Judge_Display_Type_Aggregate_Fields>;
    nodes: Array<Judge_Display_Type>;
};
/** aggregate fields of "judge_display_type" */
export type Judge_Display_Type_Aggregate_Fields = {
    __typename?: 'judge_display_type_aggregate_fields';
    avg?: Maybe<Judge_Display_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Judge_Display_Type_Max_Fields>;
    min?: Maybe<Judge_Display_Type_Min_Fields>;
    stddev?: Maybe<Judge_Display_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Judge_Display_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Judge_Display_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Judge_Display_Type_Sum_Fields>;
    var_pop?: Maybe<Judge_Display_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Judge_Display_Type_Var_Samp_Fields>;
    variance?: Maybe<Judge_Display_Type_Variance_Fields>;
};
/** aggregate fields of "judge_display_type" */
export type Judge_Display_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Judge_Display_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Judge_Display_Type_Avg_Fields = {
    __typename?: 'judge_display_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "judge_display_type". All fields are combined with a logical 'AND'. */
export type Judge_Display_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Judge_Display_Type_Bool_Exp>>;
    _not?: InputMaybe<Judge_Display_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Judge_Display_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    lexical_version?: InputMaybe<String_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    rendered_in_lexical?: InputMaybe<Boolean_Comparison_Exp>;
    rendered_in_rn?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "judge_display_type" */
export declare enum Judge_Display_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    JudgeDisplayTypePkey = "judge_display_type_pkey"
}
/** input type for incrementing numeric columns in table "judge_display_type" */
export type Judge_Display_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "judge_display_type" */
export type Judge_Display_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    lexical_version?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    rendered_in_lexical?: InputMaybe<Scalars['Boolean']>;
    rendered_in_rn?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Judge_Display_Type_Max_Fields = {
    __typename?: 'judge_display_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    lexical_version?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Judge_Display_Type_Min_Fields = {
    __typename?: 'judge_display_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    lexical_version?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "judge_display_type" */
export type Judge_Display_Type_Mutation_Response = {
    __typename?: 'judge_display_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Judge_Display_Type>;
};
/** input type for inserting object relation for remote table "judge_display_type" */
export type Judge_Display_Type_Obj_Rel_Insert_Input = {
    data: Judge_Display_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Judge_Display_Type_On_Conflict>;
};
/** on_conflict condition type for table "judge_display_type" */
export type Judge_Display_Type_On_Conflict = {
    constraint: Judge_Display_Type_Constraint;
    update_columns?: Array<Judge_Display_Type_Update_Column>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "judge_display_type". */
export type Judge_Display_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    lexical_version?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    rendered_in_lexical?: InputMaybe<Order_By>;
    rendered_in_rn?: InputMaybe<Order_By>;
};
/** primary key columns input for table: judge_display_type */
export type Judge_Display_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "judge_display_type" */
export declare enum Judge_Display_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    LexicalVersion = "lexical_version",
    /** column name */
    Name = "name",
    /** column name */
    RenderedInLexical = "rendered_in_lexical",
    /** column name */
    RenderedInRn = "rendered_in_rn"
}
/** input type for updating data in table "judge_display_type" */
export type Judge_Display_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    lexical_version?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    rendered_in_lexical?: InputMaybe<Scalars['Boolean']>;
    rendered_in_rn?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Judge_Display_Type_Stddev_Fields = {
    __typename?: 'judge_display_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Judge_Display_Type_Stddev_Pop_Fields = {
    __typename?: 'judge_display_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Judge_Display_Type_Stddev_Samp_Fields = {
    __typename?: 'judge_display_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "judge_display_type" */
export type Judge_Display_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Judge_Display_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Judge_Display_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    lexical_version?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    rendered_in_lexical?: InputMaybe<Scalars['Boolean']>;
    rendered_in_rn?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Judge_Display_Type_Sum_Fields = {
    __typename?: 'judge_display_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "judge_display_type" */
export declare enum Judge_Display_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    LexicalVersion = "lexical_version",
    /** column name */
    Name = "name",
    /** column name */
    RenderedInLexical = "rendered_in_lexical",
    /** column name */
    RenderedInRn = "rendered_in_rn"
}
export type Judge_Display_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Judge_Display_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Judge_Display_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Judge_Display_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Judge_Display_Type_Var_Pop_Fields = {
    __typename?: 'judge_display_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Judge_Display_Type_Var_Samp_Fields = {
    __typename?: 'judge_display_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Judge_Display_Type_Variance_Fields = {
    __typename?: 'judge_display_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "judge_entry" */
export type Judge_Entry = {
    __typename?: 'judge_entry';
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    uri?: Maybe<Scalars['String']>;
};
/** aggregated selection of "judge_entry" */
export type Judge_Entry_Aggregate = {
    __typename?: 'judge_entry_aggregate';
    aggregate?: Maybe<Judge_Entry_Aggregate_Fields>;
    nodes: Array<Judge_Entry>;
};
/** aggregate fields of "judge_entry" */
export type Judge_Entry_Aggregate_Fields = {
    __typename?: 'judge_entry_aggregate_fields';
    avg?: Maybe<Judge_Entry_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Judge_Entry_Max_Fields>;
    min?: Maybe<Judge_Entry_Min_Fields>;
    stddev?: Maybe<Judge_Entry_Stddev_Fields>;
    stddev_pop?: Maybe<Judge_Entry_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Judge_Entry_Stddev_Samp_Fields>;
    sum?: Maybe<Judge_Entry_Sum_Fields>;
    var_pop?: Maybe<Judge_Entry_Var_Pop_Fields>;
    var_samp?: Maybe<Judge_Entry_Var_Samp_Fields>;
    variance?: Maybe<Judge_Entry_Variance_Fields>;
};
/** aggregate fields of "judge_entry" */
export type Judge_Entry_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Judge_Entry_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Judge_Entry_Avg_Fields = {
    __typename?: 'judge_entry_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "judge_entry". All fields are combined with a logical 'AND'. */
export type Judge_Entry_Bool_Exp = {
    _and?: InputMaybe<Array<Judge_Entry_Bool_Exp>>;
    _not?: InputMaybe<Judge_Entry_Bool_Exp>;
    _or?: InputMaybe<Array<Judge_Entry_Bool_Exp>>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    uri?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "judge_entry" */
export declare enum Judge_Entry_Constraint {
    /** unique or primary key constraint on columns "id" */
    JudgeEntryPkey = "judge_entry_pkey"
}
/** input type for incrementing numeric columns in table "judge_entry" */
export type Judge_Entry_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "judge_entry" */
export type Judge_Entry_Insert_Input = {
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Judge_Entry_Max_Fields = {
    __typename?: 'judge_entry_max_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    uri?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Judge_Entry_Min_Fields = {
    __typename?: 'judge_entry_min_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    uri?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "judge_entry" */
export type Judge_Entry_Mutation_Response = {
    __typename?: 'judge_entry_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Judge_Entry>;
};
/** input type for inserting object relation for remote table "judge_entry" */
export type Judge_Entry_Obj_Rel_Insert_Input = {
    data: Judge_Entry_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Judge_Entry_On_Conflict>;
};
/** on_conflict condition type for table "judge_entry" */
export type Judge_Entry_On_Conflict = {
    constraint: Judge_Entry_Constraint;
    update_columns?: Array<Judge_Entry_Update_Column>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
/** Ordering options when selecting data from "judge_entry". */
export type Judge_Entry_Order_By = {
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
};
/** primary key columns input for table: judge_entry */
export type Judge_Entry_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "judge_entry" */
export declare enum Judge_Entry_Select_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    Uri = "uri"
}
/** input type for updating data in table "judge_entry" */
export type Judge_Entry_Set_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Judge_Entry_Stddev_Fields = {
    __typename?: 'judge_entry_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Judge_Entry_Stddev_Pop_Fields = {
    __typename?: 'judge_entry_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Judge_Entry_Stddev_Samp_Fields = {
    __typename?: 'judge_entry_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "judge_entry" */
export type Judge_Entry_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Judge_Entry_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Judge_Entry_Stream_Cursor_Value_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Judge_Entry_Sum_Fields = {
    __typename?: 'judge_entry_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "judge_entry" */
export declare enum Judge_Entry_Update_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    Uri = "uri"
}
export type Judge_Entry_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Judge_Entry_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Judge_Entry_Set_Input>;
    /** filter the rows which have to be updated */
    where: Judge_Entry_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Judge_Entry_Var_Pop_Fields = {
    __typename?: 'judge_entry_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Judge_Entry_Var_Samp_Fields = {
    __typename?: 'judge_entry_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Judge_Entry_Variance_Fields = {
    __typename?: 'judge_entry_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** input type for incrementing numeric columns in table "judge" */
export type Judge_Inc_Input = {
    answer?: InputMaybe<Scalars['Int']>;
    answer_type?: InputMaybe<Scalars['Int']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    delay_ms?: InputMaybe<Scalars['Int']>;
    display_type_id?: InputMaybe<Scalars['Int']>;
    example_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    judge_entry?: InputMaybe<Scalars['Int']>;
    judge_user?: InputMaybe<Scalars['Int']>;
    limit_ms?: InputMaybe<Scalars['Int']>;
    response_type?: InputMaybe<Scalars['Int']>;
    role_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "judge" */
export type Judge_Insert_Input = {
    answer?: InputMaybe<Scalars['Int']>;
    answerById?: InputMaybe<Answer_Obj_Rel_Insert_Input>;
    answerType?: InputMaybe<Answer_Type_Obj_Rel_Insert_Input>;
    answer_type?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    delay_ms?: InputMaybe<Scalars['Int']>;
    displayType?: InputMaybe<Judge_Display_Type_Obj_Rel_Insert_Input>;
    display_type_id?: InputMaybe<Scalars['Int']>;
    example?: InputMaybe<Example_Obj_Rel_Insert_Input>;
    example_id?: InputMaybe<Scalars['Int']>;
    failure_response_text?: InputMaybe<Scalars['String']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_dedicated?: InputMaybe<Scalars['Boolean']>;
    is_machine?: InputMaybe<Scalars['Boolean']>;
    is_person?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_user?: InputMaybe<Scalars['Boolean']>;
    judgeEntry?: InputMaybe<Judge_Entry_Obj_Rel_Insert_Input>;
    judgeTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    judge_entry?: InputMaybe<Scalars['Int']>;
    judge_user?: InputMaybe<Scalars['Int']>;
    limit_ms?: InputMaybe<Scalars['Int']>;
    questsOne?: InputMaybe<Quest_Arr_Rel_Insert_Input>;
    responseType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    response_text?: InputMaybe<Scalars['String']>;
    response_type?: InputMaybe<Scalars['Int']>;
    response_uri?: InputMaybe<Scalars['String']>;
    roleType?: InputMaybe<Judge_Role_Type_Obj_Rel_Insert_Input>;
    role_type_id?: InputMaybe<Scalars['Int']>;
    success_response_text?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Judge_Max_Fields = {
    __typename?: 'judge_max_fields';
    answer?: Maybe<Scalars['Int']>;
    answer_type?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    creator_id?: Maybe<Scalars['Int']>;
    delay_ms?: Maybe<Scalars['Int']>;
    display_type_id?: Maybe<Scalars['Int']>;
    example_id?: Maybe<Scalars['Int']>;
    failure_response_text?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    judge_entry?: Maybe<Scalars['Int']>;
    judge_user?: Maybe<Scalars['Int']>;
    limit_ms?: Maybe<Scalars['Int']>;
    response_text?: Maybe<Scalars['String']>;
    response_type?: Maybe<Scalars['Int']>;
    response_uri?: Maybe<Scalars['String']>;
    role_type_id?: Maybe<Scalars['Int']>;
    success_response_text?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "judge" */
export type Judge_Max_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    failure_response_text?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_text?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    response_uri?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
    success_response_text?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Judge_Min_Fields = {
    __typename?: 'judge_min_fields';
    answer?: Maybe<Scalars['Int']>;
    answer_type?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    creator_id?: Maybe<Scalars['Int']>;
    delay_ms?: Maybe<Scalars['Int']>;
    display_type_id?: Maybe<Scalars['Int']>;
    example_id?: Maybe<Scalars['Int']>;
    failure_response_text?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    judge_entry?: Maybe<Scalars['Int']>;
    judge_user?: Maybe<Scalars['Int']>;
    limit_ms?: Maybe<Scalars['Int']>;
    response_text?: Maybe<Scalars['String']>;
    response_type?: Maybe<Scalars['Int']>;
    response_uri?: Maybe<Scalars['String']>;
    role_type_id?: Maybe<Scalars['Int']>;
    success_response_text?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "judge" */
export type Judge_Min_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    failure_response_text?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_text?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    response_uri?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
    success_response_text?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "judge" */
export type Judge_Mutation_Response = {
    __typename?: 'judge_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Judge>;
};
/** input type for inserting object relation for remote table "judge" */
export type Judge_Obj_Rel_Insert_Input = {
    data: Judge_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Judge_On_Conflict>;
};
/** on_conflict condition type for table "judge" */
export type Judge_On_Conflict = {
    constraint: Judge_Constraint;
    update_columns?: Array<Judge_Update_Column>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
/** Ordering options when selecting data from "judge". */
export type Judge_Order_By = {
    answer?: InputMaybe<Order_By>;
    answerById?: InputMaybe<Answer_Order_By>;
    answerType?: InputMaybe<Answer_Type_Order_By>;
    answer_type?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    displayType?: InputMaybe<Judge_Display_Type_Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example?: InputMaybe<Example_Order_By>;
    example_id?: InputMaybe<Order_By>;
    failure_response_text?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_dedicated?: InputMaybe<Order_By>;
    is_machine?: InputMaybe<Order_By>;
    is_person?: InputMaybe<Order_By>;
    is_running?: InputMaybe<Order_By>;
    is_user?: InputMaybe<Order_By>;
    judgeEntry?: InputMaybe<Judge_Entry_Order_By>;
    judgeTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    questsOne_aggregate?: InputMaybe<Quest_Aggregate_Order_By>;
    responseType?: InputMaybe<Piece_Type_Order_By>;
    response_text?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    response_uri?: InputMaybe<Order_By>;
    roleType?: InputMaybe<Judge_Role_Type_Order_By>;
    role_type_id?: InputMaybe<Order_By>;
    success_response_text?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: judge */
export type Judge_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "judge_role_type" */
export type Judge_Role_Type = {
    __typename?: 'judge_role_type';
    have_quest_state_effect: Scalars['Boolean'];
    id: Scalars['Int'];
    name: Scalars['String'];
};
/** aggregated selection of "judge_role_type" */
export type Judge_Role_Type_Aggregate = {
    __typename?: 'judge_role_type_aggregate';
    aggregate?: Maybe<Judge_Role_Type_Aggregate_Fields>;
    nodes: Array<Judge_Role_Type>;
};
/** aggregate fields of "judge_role_type" */
export type Judge_Role_Type_Aggregate_Fields = {
    __typename?: 'judge_role_type_aggregate_fields';
    avg?: Maybe<Judge_Role_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Judge_Role_Type_Max_Fields>;
    min?: Maybe<Judge_Role_Type_Min_Fields>;
    stddev?: Maybe<Judge_Role_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Judge_Role_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Judge_Role_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Judge_Role_Type_Sum_Fields>;
    var_pop?: Maybe<Judge_Role_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Judge_Role_Type_Var_Samp_Fields>;
    variance?: Maybe<Judge_Role_Type_Variance_Fields>;
};
/** aggregate fields of "judge_role_type" */
export type Judge_Role_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Judge_Role_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Judge_Role_Type_Avg_Fields = {
    __typename?: 'judge_role_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "judge_role_type". All fields are combined with a logical 'AND'. */
export type Judge_Role_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Judge_Role_Type_Bool_Exp>>;
    _not?: InputMaybe<Judge_Role_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Judge_Role_Type_Bool_Exp>>;
    have_quest_state_effect?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "judge_role_type" */
export declare enum Judge_Role_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    JudgeRoleTypePkey = "judge_role_type_pkey"
}
/** input type for incrementing numeric columns in table "judge_role_type" */
export type Judge_Role_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "judge_role_type" */
export type Judge_Role_Type_Insert_Input = {
    have_quest_state_effect?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Judge_Role_Type_Max_Fields = {
    __typename?: 'judge_role_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Judge_Role_Type_Min_Fields = {
    __typename?: 'judge_role_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "judge_role_type" */
export type Judge_Role_Type_Mutation_Response = {
    __typename?: 'judge_role_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Judge_Role_Type>;
};
/** input type for inserting object relation for remote table "judge_role_type" */
export type Judge_Role_Type_Obj_Rel_Insert_Input = {
    data: Judge_Role_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Judge_Role_Type_On_Conflict>;
};
/** on_conflict condition type for table "judge_role_type" */
export type Judge_Role_Type_On_Conflict = {
    constraint: Judge_Role_Type_Constraint;
    update_columns?: Array<Judge_Role_Type_Update_Column>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "judge_role_type". */
export type Judge_Role_Type_Order_By = {
    have_quest_state_effect?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: judge_role_type */
export type Judge_Role_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "judge_role_type" */
export declare enum Judge_Role_Type_Select_Column {
    /** column name */
    HaveQuestStateEffect = "have_quest_state_effect",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "judge_role_type" */
export type Judge_Role_Type_Set_Input = {
    have_quest_state_effect?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Judge_Role_Type_Stddev_Fields = {
    __typename?: 'judge_role_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Judge_Role_Type_Stddev_Pop_Fields = {
    __typename?: 'judge_role_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Judge_Role_Type_Stddev_Samp_Fields = {
    __typename?: 'judge_role_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "judge_role_type" */
export type Judge_Role_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Judge_Role_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Judge_Role_Type_Stream_Cursor_Value_Input = {
    have_quest_state_effect?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Judge_Role_Type_Sum_Fields = {
    __typename?: 'judge_role_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "judge_role_type" */
export declare enum Judge_Role_Type_Update_Column {
    /** column name */
    HaveQuestStateEffect = "have_quest_state_effect",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
export type Judge_Role_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Judge_Role_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Judge_Role_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Judge_Role_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Judge_Role_Type_Var_Pop_Fields = {
    __typename?: 'judge_role_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Judge_Role_Type_Var_Samp_Fields = {
    __typename?: 'judge_role_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Judge_Role_Type_Variance_Fields = {
    __typename?: 'judge_role_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** select columns of table "judge" */
export declare enum Judge_Select_Column {
    /** column name */
    Answer = "answer",
    /** column name */
    AnswerType = "answer_type",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    DelayMs = "delay_ms",
    /** column name */
    DisplayTypeId = "display_type_id",
    /** column name */
    ExampleId = "example_id",
    /** column name */
    FailureResponseText = "failure_response_text",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsDedicated = "is_dedicated",
    /** column name */
    IsMachine = "is_machine",
    /** column name */
    IsPerson = "is_person",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsUser = "is_user",
    /** column name */
    JudgeEntry = "judge_entry",
    /** column name */
    JudgeUser = "judge_user",
    /** column name */
    LimitMs = "limit_ms",
    /** column name */
    ResponseText = "response_text",
    /** column name */
    ResponseType = "response_type",
    /** column name */
    ResponseUri = "response_uri",
    /** column name */
    RoleTypeId = "role_type_id",
    /** column name */
    SuccessResponseText = "success_response_text",
    /** column name */
    Title = "title"
}
/** select "judge_aggregate_bool_exp_bool_and_arguments_columns" columns of table "judge" */
export declare enum Judge_Select_Column_Judge_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsDedicated = "is_dedicated",
    /** column name */
    IsMachine = "is_machine",
    /** column name */
    IsPerson = "is_person",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsUser = "is_user"
}
/** select "judge_aggregate_bool_exp_bool_or_arguments_columns" columns of table "judge" */
export declare enum Judge_Select_Column_Judge_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsDedicated = "is_dedicated",
    /** column name */
    IsMachine = "is_machine",
    /** column name */
    IsPerson = "is_person",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsUser = "is_user"
}
/** input type for updating data in table "judge" */
export type Judge_Set_Input = {
    answer?: InputMaybe<Scalars['Int']>;
    answer_type?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    delay_ms?: InputMaybe<Scalars['Int']>;
    display_type_id?: InputMaybe<Scalars['Int']>;
    example_id?: InputMaybe<Scalars['Int']>;
    failure_response_text?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_dedicated?: InputMaybe<Scalars['Boolean']>;
    is_machine?: InputMaybe<Scalars['Boolean']>;
    is_person?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_user?: InputMaybe<Scalars['Boolean']>;
    judge_entry?: InputMaybe<Scalars['Int']>;
    judge_user?: InputMaybe<Scalars['Int']>;
    limit_ms?: InputMaybe<Scalars['Int']>;
    response_text?: InputMaybe<Scalars['String']>;
    response_type?: InputMaybe<Scalars['Int']>;
    response_uri?: InputMaybe<Scalars['String']>;
    role_type_id?: InputMaybe<Scalars['Int']>;
    success_response_text?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Judge_Stddev_Fields = {
    __typename?: 'judge_stddev_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "judge" */
export type Judge_Stddev_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Judge_Stddev_Pop_Fields = {
    __typename?: 'judge_stddev_pop_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "judge" */
export type Judge_Stddev_Pop_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Judge_Stddev_Samp_Fields = {
    __typename?: 'judge_stddev_samp_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "judge" */
export type Judge_Stddev_Samp_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "judge" */
export type Judge_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Judge_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Judge_Stream_Cursor_Value_Input = {
    answer?: InputMaybe<Scalars['Int']>;
    answer_type?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    delay_ms?: InputMaybe<Scalars['Int']>;
    display_type_id?: InputMaybe<Scalars['Int']>;
    example_id?: InputMaybe<Scalars['Int']>;
    failure_response_text?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_dedicated?: InputMaybe<Scalars['Boolean']>;
    is_machine?: InputMaybe<Scalars['Boolean']>;
    is_person?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_user?: InputMaybe<Scalars['Boolean']>;
    judge_entry?: InputMaybe<Scalars['Int']>;
    judge_user?: InputMaybe<Scalars['Int']>;
    limit_ms?: InputMaybe<Scalars['Int']>;
    response_text?: InputMaybe<Scalars['String']>;
    response_type?: InputMaybe<Scalars['Int']>;
    response_uri?: InputMaybe<Scalars['String']>;
    role_type_id?: InputMaybe<Scalars['Int']>;
    success_response_text?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Judge_Sum_Fields = {
    __typename?: 'judge_sum_fields';
    answer?: Maybe<Scalars['Int']>;
    answer_type?: Maybe<Scalars['Int']>;
    creator_id?: Maybe<Scalars['Int']>;
    delay_ms?: Maybe<Scalars['Int']>;
    display_type_id?: Maybe<Scalars['Int']>;
    example_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    judge_entry?: Maybe<Scalars['Int']>;
    judge_user?: Maybe<Scalars['Int']>;
    limit_ms?: Maybe<Scalars['Int']>;
    response_type?: Maybe<Scalars['Int']>;
    role_type_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "judge" */
export type Judge_Sum_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** update columns of table "judge" */
export declare enum Judge_Update_Column {
    /** column name */
    Answer = "answer",
    /** column name */
    AnswerType = "answer_type",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    DelayMs = "delay_ms",
    /** column name */
    DisplayTypeId = "display_type_id",
    /** column name */
    ExampleId = "example_id",
    /** column name */
    FailureResponseText = "failure_response_text",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsDedicated = "is_dedicated",
    /** column name */
    IsMachine = "is_machine",
    /** column name */
    IsPerson = "is_person",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsUser = "is_user",
    /** column name */
    JudgeEntry = "judge_entry",
    /** column name */
    JudgeUser = "judge_user",
    /** column name */
    LimitMs = "limit_ms",
    /** column name */
    ResponseText = "response_text",
    /** column name */
    ResponseType = "response_type",
    /** column name */
    ResponseUri = "response_uri",
    /** column name */
    RoleTypeId = "role_type_id",
    /** column name */
    SuccessResponseText = "success_response_text",
    /** column name */
    Title = "title"
}
export type Judge_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Judge_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Judge_Set_Input>;
    /** filter the rows which have to be updated */
    where: Judge_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Judge_Var_Pop_Fields = {
    __typename?: 'judge_var_pop_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "judge" */
export type Judge_Var_Pop_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Judge_Var_Samp_Fields = {
    __typename?: 'judge_var_samp_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "judge" */
export type Judge_Var_Samp_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Judge_Variance_Fields = {
    __typename?: 'judge_variance_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "judge" */
export type Judge_Variance_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** columns and relationships of "kairos" */
export type Kairos = {
    __typename?: 'kairos';
    close_time?: Maybe<Scalars['time']>;
    id: Scalars['Int'];
    is_daily?: Maybe<Scalars['Boolean']>;
    is_fixed?: Maybe<Scalars['Boolean']>;
    is_on_everyday?: Maybe<Scalars['Boolean']>;
    is_weekly?: Maybe<Scalars['Boolean']>;
    open_time?: Maybe<Scalars['time']>;
    term_days?: Maybe<Scalars['Int']>;
    weekday_code_type?: Maybe<Scalars['String']>;
    weekdays_code?: Maybe<Scalars['String']>;
};
/** aggregated selection of "kairos" */
export type Kairos_Aggregate = {
    __typename?: 'kairos_aggregate';
    aggregate?: Maybe<Kairos_Aggregate_Fields>;
    nodes: Array<Kairos>;
};
/** aggregate fields of "kairos" */
export type Kairos_Aggregate_Fields = {
    __typename?: 'kairos_aggregate_fields';
    avg?: Maybe<Kairos_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Kairos_Max_Fields>;
    min?: Maybe<Kairos_Min_Fields>;
    stddev?: Maybe<Kairos_Stddev_Fields>;
    stddev_pop?: Maybe<Kairos_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Kairos_Stddev_Samp_Fields>;
    sum?: Maybe<Kairos_Sum_Fields>;
    var_pop?: Maybe<Kairos_Var_Pop_Fields>;
    var_samp?: Maybe<Kairos_Var_Samp_Fields>;
    variance?: Maybe<Kairos_Variance_Fields>;
};
/** aggregate fields of "kairos" */
export type Kairos_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Kairos_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Kairos_Avg_Fields = {
    __typename?: 'kairos_avg_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "kairos". All fields are combined with a logical 'AND'. */
export type Kairos_Bool_Exp = {
    _and?: InputMaybe<Array<Kairos_Bool_Exp>>;
    _not?: InputMaybe<Kairos_Bool_Exp>;
    _or?: InputMaybe<Array<Kairos_Bool_Exp>>;
    close_time?: InputMaybe<Time_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_daily?: InputMaybe<Boolean_Comparison_Exp>;
    is_fixed?: InputMaybe<Boolean_Comparison_Exp>;
    is_on_everyday?: InputMaybe<Boolean_Comparison_Exp>;
    is_weekly?: InputMaybe<Boolean_Comparison_Exp>;
    open_time?: InputMaybe<Time_Comparison_Exp>;
    term_days?: InputMaybe<Int_Comparison_Exp>;
    weekday_code_type?: InputMaybe<String_Comparison_Exp>;
    weekdays_code?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "kairos" */
export declare enum Kairos_Constraint {
    /** unique or primary key constraint on columns "id" */
    KairosPkey = "kairos_pkey"
}
/** input type for incrementing numeric columns in table "kairos" */
export type Kairos_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    term_days?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "kairos" */
export type Kairos_Insert_Input = {
    close_time?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_daily?: InputMaybe<Scalars['Boolean']>;
    is_fixed?: InputMaybe<Scalars['Boolean']>;
    is_on_everyday?: InputMaybe<Scalars['Boolean']>;
    is_weekly?: InputMaybe<Scalars['Boolean']>;
    open_time?: InputMaybe<Scalars['time']>;
    term_days?: InputMaybe<Scalars['Int']>;
    weekday_code_type?: InputMaybe<Scalars['String']>;
    weekdays_code?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Kairos_Max_Fields = {
    __typename?: 'kairos_max_fields';
    id?: Maybe<Scalars['Int']>;
    term_days?: Maybe<Scalars['Int']>;
    weekday_code_type?: Maybe<Scalars['String']>;
    weekdays_code?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Kairos_Min_Fields = {
    __typename?: 'kairos_min_fields';
    id?: Maybe<Scalars['Int']>;
    term_days?: Maybe<Scalars['Int']>;
    weekday_code_type?: Maybe<Scalars['String']>;
    weekdays_code?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "kairos" */
export type Kairos_Mutation_Response = {
    __typename?: 'kairos_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Kairos>;
};
/** input type for inserting object relation for remote table "kairos" */
export type Kairos_Obj_Rel_Insert_Input = {
    data: Kairos_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Kairos_On_Conflict>;
};
/** on_conflict condition type for table "kairos" */
export type Kairos_On_Conflict = {
    constraint: Kairos_Constraint;
    update_columns?: Array<Kairos_Update_Column>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
/** Ordering options when selecting data from "kairos". */
export type Kairos_Order_By = {
    close_time?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_daily?: InputMaybe<Order_By>;
    is_fixed?: InputMaybe<Order_By>;
    is_on_everyday?: InputMaybe<Order_By>;
    is_weekly?: InputMaybe<Order_By>;
    open_time?: InputMaybe<Order_By>;
    term_days?: InputMaybe<Order_By>;
    weekday_code_type?: InputMaybe<Order_By>;
    weekdays_code?: InputMaybe<Order_By>;
};
/** primary key columns input for table: kairos */
export type Kairos_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "kairos" */
export declare enum Kairos_Select_Column {
    /** column name */
    CloseTime = "close_time",
    /** column name */
    Id = "id",
    /** column name */
    IsDaily = "is_daily",
    /** column name */
    IsFixed = "is_fixed",
    /** column name */
    IsOnEveryday = "is_on_everyday",
    /** column name */
    IsWeekly = "is_weekly",
    /** column name */
    OpenTime = "open_time",
    /** column name */
    TermDays = "term_days",
    /** column name */
    WeekdayCodeType = "weekday_code_type",
    /** column name */
    WeekdaysCode = "weekdays_code"
}
/** input type for updating data in table "kairos" */
export type Kairos_Set_Input = {
    close_time?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_daily?: InputMaybe<Scalars['Boolean']>;
    is_fixed?: InputMaybe<Scalars['Boolean']>;
    is_on_everyday?: InputMaybe<Scalars['Boolean']>;
    is_weekly?: InputMaybe<Scalars['Boolean']>;
    open_time?: InputMaybe<Scalars['time']>;
    term_days?: InputMaybe<Scalars['Int']>;
    weekday_code_type?: InputMaybe<Scalars['String']>;
    weekdays_code?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Kairos_Stddev_Fields = {
    __typename?: 'kairos_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Kairos_Stddev_Pop_Fields = {
    __typename?: 'kairos_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Kairos_Stddev_Samp_Fields = {
    __typename?: 'kairos_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "kairos" */
export type Kairos_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Kairos_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Kairos_Stream_Cursor_Value_Input = {
    close_time?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_daily?: InputMaybe<Scalars['Boolean']>;
    is_fixed?: InputMaybe<Scalars['Boolean']>;
    is_on_everyday?: InputMaybe<Scalars['Boolean']>;
    is_weekly?: InputMaybe<Scalars['Boolean']>;
    open_time?: InputMaybe<Scalars['time']>;
    term_days?: InputMaybe<Scalars['Int']>;
    weekday_code_type?: InputMaybe<Scalars['String']>;
    weekdays_code?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Kairos_Sum_Fields = {
    __typename?: 'kairos_sum_fields';
    id?: Maybe<Scalars['Int']>;
    term_days?: Maybe<Scalars['Int']>;
};
/** update columns of table "kairos" */
export declare enum Kairos_Update_Column {
    /** column name */
    CloseTime = "close_time",
    /** column name */
    Id = "id",
    /** column name */
    IsDaily = "is_daily",
    /** column name */
    IsFixed = "is_fixed",
    /** column name */
    IsOnEveryday = "is_on_everyday",
    /** column name */
    IsWeekly = "is_weekly",
    /** column name */
    OpenTime = "open_time",
    /** column name */
    TermDays = "term_days",
    /** column name */
    WeekdayCodeType = "weekday_code_type",
    /** column name */
    WeekdaysCode = "weekdays_code"
}
export type Kairos_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Kairos_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Kairos_Set_Input>;
    /** filter the rows which have to be updated */
    where: Kairos_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Kairos_Var_Pop_Fields = {
    __typename?: 'kairos_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Kairos_Var_Samp_Fields = {
    __typename?: 'kairos_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Kairos_Variance_Fields = {
    __typename?: 'kairos_variance_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "keyword_description" */
export type Keyword_Description = {
    __typename?: 'keyword_description';
    description: Scalars['String'];
    id: Scalars['Int'];
    keyword: Scalars['String'];
};
/** aggregated selection of "keyword_description" */
export type Keyword_Description_Aggregate = {
    __typename?: 'keyword_description_aggregate';
    aggregate?: Maybe<Keyword_Description_Aggregate_Fields>;
    nodes: Array<Keyword_Description>;
};
/** aggregate fields of "keyword_description" */
export type Keyword_Description_Aggregate_Fields = {
    __typename?: 'keyword_description_aggregate_fields';
    avg?: Maybe<Keyword_Description_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Keyword_Description_Max_Fields>;
    min?: Maybe<Keyword_Description_Min_Fields>;
    stddev?: Maybe<Keyword_Description_Stddev_Fields>;
    stddev_pop?: Maybe<Keyword_Description_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Keyword_Description_Stddev_Samp_Fields>;
    sum?: Maybe<Keyword_Description_Sum_Fields>;
    var_pop?: Maybe<Keyword_Description_Var_Pop_Fields>;
    var_samp?: Maybe<Keyword_Description_Var_Samp_Fields>;
    variance?: Maybe<Keyword_Description_Variance_Fields>;
};
/** aggregate fields of "keyword_description" */
export type Keyword_Description_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Keyword_Description_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Keyword_Description_Avg_Fields = {
    __typename?: 'keyword_description_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "keyword_description". All fields are combined with a logical 'AND'. */
export type Keyword_Description_Bool_Exp = {
    _and?: InputMaybe<Array<Keyword_Description_Bool_Exp>>;
    _not?: InputMaybe<Keyword_Description_Bool_Exp>;
    _or?: InputMaybe<Array<Keyword_Description_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    keyword?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "keyword_description" */
export declare enum Keyword_Description_Constraint {
    /** unique or primary key constraint on columns "id" */
    KeywordDescriptionPkey = "keyword_description_pkey"
}
/** input type for incrementing numeric columns in table "keyword_description" */
export type Keyword_Description_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "keyword_description" */
export type Keyword_Description_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    keyword?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Keyword_Description_Max_Fields = {
    __typename?: 'keyword_description_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    keyword?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Keyword_Description_Min_Fields = {
    __typename?: 'keyword_description_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    keyword?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "keyword_description" */
export type Keyword_Description_Mutation_Response = {
    __typename?: 'keyword_description_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Keyword_Description>;
};
/** on_conflict condition type for table "keyword_description" */
export type Keyword_Description_On_Conflict = {
    constraint: Keyword_Description_Constraint;
    update_columns?: Array<Keyword_Description_Update_Column>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
/** Ordering options when selecting data from "keyword_description". */
export type Keyword_Description_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    keyword?: InputMaybe<Order_By>;
};
/** primary key columns input for table: keyword_description */
export type Keyword_Description_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "keyword_description" */
export declare enum Keyword_Description_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Keyword = "keyword"
}
/** input type for updating data in table "keyword_description" */
export type Keyword_Description_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    keyword?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Keyword_Description_Stddev_Fields = {
    __typename?: 'keyword_description_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Keyword_Description_Stddev_Pop_Fields = {
    __typename?: 'keyword_description_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Keyword_Description_Stddev_Samp_Fields = {
    __typename?: 'keyword_description_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "keyword_description" */
export type Keyword_Description_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Keyword_Description_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Keyword_Description_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    keyword?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Keyword_Description_Sum_Fields = {
    __typename?: 'keyword_description_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "keyword_description" */
export declare enum Keyword_Description_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Keyword = "keyword"
}
export type Keyword_Description_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Keyword_Description_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Keyword_Description_Set_Input>;
    /** filter the rows which have to be updated */
    where: Keyword_Description_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Keyword_Description_Var_Pop_Fields = {
    __typename?: 'keyword_description_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Keyword_Description_Var_Samp_Fields = {
    __typename?: 'keyword_description_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Keyword_Description_Variance_Fields = {
    __typename?: 'keyword_description_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "language" */
export type Language = {
    __typename?: 'language';
    currency: Scalars['String'];
    date_format: Scalars['String'];
    language_code: Scalars['String'];
    name: Scalars['String'];
    name_in_native_language: Scalars['String'];
};
/** aggregated selection of "language" */
export type Language_Aggregate = {
    __typename?: 'language_aggregate';
    aggregate?: Maybe<Language_Aggregate_Fields>;
    nodes: Array<Language>;
};
/** aggregate fields of "language" */
export type Language_Aggregate_Fields = {
    __typename?: 'language_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Language_Max_Fields>;
    min?: Maybe<Language_Min_Fields>;
};
/** aggregate fields of "language" */
export type Language_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Language_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** Boolean expression to filter rows from the table "language". All fields are combined with a logical 'AND'. */
export type Language_Bool_Exp = {
    _and?: InputMaybe<Array<Language_Bool_Exp>>;
    _not?: InputMaybe<Language_Bool_Exp>;
    _or?: InputMaybe<Array<Language_Bool_Exp>>;
    currency?: InputMaybe<String_Comparison_Exp>;
    date_format?: InputMaybe<String_Comparison_Exp>;
    language_code?: InputMaybe<String_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    name_in_native_language?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "language" */
export declare enum Language_Constraint {
    /** unique or primary key constraint on columns "language_code" */
    LanguagePkey = "language_pkey"
}
/** input type for inserting data into table "language" */
export type Language_Insert_Input = {
    currency?: InputMaybe<Scalars['String']>;
    date_format?: InputMaybe<Scalars['String']>;
    language_code?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    name_in_native_language?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Language_Max_Fields = {
    __typename?: 'language_max_fields';
    currency?: Maybe<Scalars['String']>;
    date_format?: Maybe<Scalars['String']>;
    language_code?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
    name_in_native_language?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Language_Min_Fields = {
    __typename?: 'language_min_fields';
    currency?: Maybe<Scalars['String']>;
    date_format?: Maybe<Scalars['String']>;
    language_code?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
    name_in_native_language?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "language" */
export type Language_Mutation_Response = {
    __typename?: 'language_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Language>;
};
/** on_conflict condition type for table "language" */
export type Language_On_Conflict = {
    constraint: Language_Constraint;
    update_columns?: Array<Language_Update_Column>;
    where?: InputMaybe<Language_Bool_Exp>;
};
/** Ordering options when selecting data from "language". */
export type Language_Order_By = {
    currency?: InputMaybe<Order_By>;
    date_format?: InputMaybe<Order_By>;
    language_code?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    name_in_native_language?: InputMaybe<Order_By>;
};
/** primary key columns input for table: language */
export type Language_Pk_Columns_Input = {
    language_code: Scalars['String'];
};
/** select columns of table "language" */
export declare enum Language_Select_Column {
    /** column name */
    Currency = "currency",
    /** column name */
    DateFormat = "date_format",
    /** column name */
    LanguageCode = "language_code",
    /** column name */
    Name = "name",
    /** column name */
    NameInNativeLanguage = "name_in_native_language"
}
/** input type for updating data in table "language" */
export type Language_Set_Input = {
    currency?: InputMaybe<Scalars['String']>;
    date_format?: InputMaybe<Scalars['String']>;
    language_code?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    name_in_native_language?: InputMaybe<Scalars['String']>;
};
/** Streaming cursor of the table "language" */
export type Language_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Language_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Language_Stream_Cursor_Value_Input = {
    currency?: InputMaybe<Scalars['String']>;
    date_format?: InputMaybe<Scalars['String']>;
    language_code?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    name_in_native_language?: InputMaybe<Scalars['String']>;
};
/** update columns of table "language" */
export declare enum Language_Update_Column {
    /** column name */
    Currency = "currency",
    /** column name */
    DateFormat = "date_format",
    /** column name */
    LanguageCode = "language_code",
    /** column name */
    Name = "name",
    /** column name */
    NameInNativeLanguage = "name_in_native_language"
}
export type Language_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Language_Set_Input>;
    /** filter the rows which have to be updated */
    where: Language_Bool_Exp;
};
/** columns and relationships of "location" */
export type Location = {
    __typename?: 'location';
    /** An object relationship */
    area?: Maybe<Area>;
    area_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    detailed_address?: Maybe<Scalars['String']>;
    eng_address?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_of_area?: Maybe<Scalars['Int']>;
    is_of_locus?: Maybe<Scalars['Boolean']>;
    jibun_address?: Maybe<Scalars['String']>;
    last_seen?: Maybe<Scalars['timestamptz']>;
    lat?: Maybe<Scalars['String']>;
    long?: Maybe<Scalars['String']>;
    /** An object relationship */
    registrator?: Maybe<Treasure_User>;
    registrator_id?: Maybe<Scalars['Int']>;
    road_address?: Maybe<Scalars['String']>;
};
/** aggregated selection of "location" */
export type Location_Aggregate = {
    __typename?: 'location_aggregate';
    aggregate?: Maybe<Location_Aggregate_Fields>;
    nodes: Array<Location>;
};
/** aggregate fields of "location" */
export type Location_Aggregate_Fields = {
    __typename?: 'location_aggregate_fields';
    avg?: Maybe<Location_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Location_Max_Fields>;
    min?: Maybe<Location_Min_Fields>;
    stddev?: Maybe<Location_Stddev_Fields>;
    stddev_pop?: Maybe<Location_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Location_Stddev_Samp_Fields>;
    sum?: Maybe<Location_Sum_Fields>;
    var_pop?: Maybe<Location_Var_Pop_Fields>;
    var_samp?: Maybe<Location_Var_Samp_Fields>;
    variance?: Maybe<Location_Variance_Fields>;
};
/** aggregate fields of "location" */
export type Location_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Location_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Location_Avg_Fields = {
    __typename?: 'location_avg_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "location". All fields are combined with a logical 'AND'. */
export type Location_Bool_Exp = {
    _and?: InputMaybe<Array<Location_Bool_Exp>>;
    _not?: InputMaybe<Location_Bool_Exp>;
    _or?: InputMaybe<Array<Location_Bool_Exp>>;
    area?: InputMaybe<Area_Bool_Exp>;
    area_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    detailed_address?: InputMaybe<String_Comparison_Exp>;
    eng_address?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_of_area?: InputMaybe<Int_Comparison_Exp>;
    is_of_locus?: InputMaybe<Boolean_Comparison_Exp>;
    jibun_address?: InputMaybe<String_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamptz_Comparison_Exp>;
    lat?: InputMaybe<String_Comparison_Exp>;
    long?: InputMaybe<String_Comparison_Exp>;
    registrator?: InputMaybe<Treasure_User_Bool_Exp>;
    registrator_id?: InputMaybe<Int_Comparison_Exp>;
    road_address?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "location" */
export declare enum Location_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocationPkey = "location_pkey"
}
/** input type for incrementing numeric columns in table "location" */
export type Location_Inc_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_of_area?: InputMaybe<Scalars['Int']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "location" */
export type Location_Insert_Input = {
    area?: InputMaybe<Area_Obj_Rel_Insert_Input>;
    area_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    detailed_address?: InputMaybe<Scalars['String']>;
    eng_address?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_of_area?: InputMaybe<Scalars['Int']>;
    is_of_locus?: InputMaybe<Scalars['Boolean']>;
    jibun_address?: InputMaybe<Scalars['String']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    lat?: InputMaybe<Scalars['String']>;
    long?: InputMaybe<Scalars['String']>;
    registrator?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    road_address?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Location_Max_Fields = {
    __typename?: 'location_max_fields';
    area_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    detailed_address?: Maybe<Scalars['String']>;
    eng_address?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    is_of_area?: Maybe<Scalars['Int']>;
    jibun_address?: Maybe<Scalars['String']>;
    last_seen?: Maybe<Scalars['timestamptz']>;
    lat?: Maybe<Scalars['String']>;
    long?: Maybe<Scalars['String']>;
    registrator_id?: Maybe<Scalars['Int']>;
    road_address?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Location_Min_Fields = {
    __typename?: 'location_min_fields';
    area_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    detailed_address?: Maybe<Scalars['String']>;
    eng_address?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    is_of_area?: Maybe<Scalars['Int']>;
    jibun_address?: Maybe<Scalars['String']>;
    last_seen?: Maybe<Scalars['timestamptz']>;
    lat?: Maybe<Scalars['String']>;
    long?: Maybe<Scalars['String']>;
    registrator_id?: Maybe<Scalars['Int']>;
    road_address?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "location" */
export type Location_Mutation_Response = {
    __typename?: 'location_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Location>;
};
/** input type for inserting object relation for remote table "location" */
export type Location_Obj_Rel_Insert_Input = {
    data: Location_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Location_On_Conflict>;
};
/** on_conflict condition type for table "location" */
export type Location_On_Conflict = {
    constraint: Location_Constraint;
    update_columns?: Array<Location_Update_Column>;
    where?: InputMaybe<Location_Bool_Exp>;
};
/** Ordering options when selecting data from "location". */
export type Location_Order_By = {
    area?: InputMaybe<Area_Order_By>;
    area_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    detailed_address?: InputMaybe<Order_By>;
    eng_address?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_of_area?: InputMaybe<Order_By>;
    is_of_locus?: InputMaybe<Order_By>;
    jibun_address?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    lat?: InputMaybe<Order_By>;
    long?: InputMaybe<Order_By>;
    registrator?: InputMaybe<Treasure_User_Order_By>;
    registrator_id?: InputMaybe<Order_By>;
    road_address?: InputMaybe<Order_By>;
};
/** primary key columns input for table: location */
export type Location_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "location" */
export declare enum Location_Select_Column {
    /** column name */
    AreaId = "area_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DetailedAddress = "detailed_address",
    /** column name */
    EngAddress = "eng_address",
    /** column name */
    Id = "id",
    /** column name */
    IsOfArea = "is_of_area",
    /** column name */
    IsOfLocus = "is_of_locus",
    /** column name */
    JibunAddress = "jibun_address",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Lat = "lat",
    /** column name */
    Long = "long",
    /** column name */
    RegistratorId = "registrator_id",
    /** column name */
    RoadAddress = "road_address"
}
/** input type for updating data in table "location" */
export type Location_Set_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    detailed_address?: InputMaybe<Scalars['String']>;
    eng_address?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_of_area?: InputMaybe<Scalars['Int']>;
    is_of_locus?: InputMaybe<Scalars['Boolean']>;
    jibun_address?: InputMaybe<Scalars['String']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    lat?: InputMaybe<Scalars['String']>;
    long?: InputMaybe<Scalars['String']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    road_address?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Location_Stddev_Fields = {
    __typename?: 'location_stddev_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Location_Stddev_Pop_Fields = {
    __typename?: 'location_stddev_pop_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Location_Stddev_Samp_Fields = {
    __typename?: 'location_stddev_samp_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "location" */
export type Location_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Location_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Location_Stream_Cursor_Value_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    detailed_address?: InputMaybe<Scalars['String']>;
    eng_address?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_of_area?: InputMaybe<Scalars['Int']>;
    is_of_locus?: InputMaybe<Scalars['Boolean']>;
    jibun_address?: InputMaybe<Scalars['String']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    lat?: InputMaybe<Scalars['String']>;
    long?: InputMaybe<Scalars['String']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    road_address?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Location_Sum_Fields = {
    __typename?: 'location_sum_fields';
    area_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    is_of_area?: Maybe<Scalars['Int']>;
    registrator_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "location" */
export declare enum Location_Update_Column {
    /** column name */
    AreaId = "area_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DetailedAddress = "detailed_address",
    /** column name */
    EngAddress = "eng_address",
    /** column name */
    Id = "id",
    /** column name */
    IsOfArea = "is_of_area",
    /** column name */
    IsOfLocus = "is_of_locus",
    /** column name */
    JibunAddress = "jibun_address",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Lat = "lat",
    /** column name */
    Long = "long",
    /** column name */
    RegistratorId = "registrator_id",
    /** column name */
    RoadAddress = "road_address"
}
export type Location_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Location_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Location_Set_Input>;
    /** filter the rows which have to be updated */
    where: Location_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Location_Var_Pop_Fields = {
    __typename?: 'location_var_pop_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Location_Var_Samp_Fields = {
    __typename?: 'location_var_samp_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Location_Variance_Fields = {
    __typename?: 'location_variance_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "locus" */
export type Locus = {
    __typename?: 'locus';
    /** An object relationship */
    baseLocus?: Maybe<Locus>;
    base_locus_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    /** An array relationship */
    gifts: Array<Gift>;
    /** An aggregate relationship */
    gifts_aggregate: Gift_Aggregate;
    hash?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_base?: Maybe<Scalars['Boolean']>;
    is_instant?: Maybe<Scalars['Boolean']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    location?: Maybe<Location>;
    location_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    locusType?: Maybe<Locus_Type>;
    locus_type_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    manager?: Maybe<Treasure_User>;
    manager_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    members: Array<Locus_Member>;
    /** An aggregate relationship */
    members_aggregate: Locus_Member_Aggregate;
    /** An array relationship */
    operationTypes: Array<Locus_Operation_Type>;
    /** An aggregate relationship */
    operationTypes_aggregate: Locus_Operation_Type_Aggregate;
    /** An array relationship */
    pieceAndLocus: Array<Piece_Locus>;
    /** An aggregate relationship */
    pieceAndLocus_aggregate: Piece_Locus_Aggregate;
    questHash?: Maybe<Scalars['String']>;
    /** An object relationship */
    registrator?: Maybe<Treasure_User>;
    registrator_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    sponsorshipsAndlocuses: Array<Sponsorship_Locus>;
    /** An aggregate relationship */
    sponsorshipsAndlocuses_aggregate: Sponsorship_Locus_Aggregate;
    /** An object relationship */
    state?: Maybe<Locus_State>;
    state_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    tsvec_description?: Maybe<Scalars['tsvector']>;
    tsvec_title?: Maybe<Scalars['tsvector']>;
    /** An object relationship */
    workingKairos?: Maybe<Kairos>;
    working_kairos_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "locus" */
export type LocusGiftsArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusGifts_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusMembersArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusMembers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusOperationTypesArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusOperationTypes_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusPieceAndLocusArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusPieceAndLocus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusSponsorshipsAndlocusesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusSponsorshipsAndlocuses_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
/** aggregated selection of "locus" */
export type Locus_Aggregate = {
    __typename?: 'locus_aggregate';
    aggregate?: Maybe<Locus_Aggregate_Fields>;
    nodes: Array<Locus>;
};
/** aggregate fields of "locus" */
export type Locus_Aggregate_Fields = {
    __typename?: 'locus_aggregate_fields';
    avg?: Maybe<Locus_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Max_Fields>;
    min?: Maybe<Locus_Min_Fields>;
    stddev?: Maybe<Locus_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Sum_Fields>;
    var_pop?: Maybe<Locus_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Var_Samp_Fields>;
    variance?: Maybe<Locus_Variance_Fields>;
};
/** aggregate fields of "locus" */
export type Locus_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Locus_Avg_Fields = {
    __typename?: 'locus_avg_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "locus". All fields are combined with a logical 'AND'. */
export type Locus_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Bool_Exp>>;
    _not?: InputMaybe<Locus_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Bool_Exp>>;
    baseLocus?: InputMaybe<Locus_Bool_Exp>;
    base_locus_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    gifts?: InputMaybe<Gift_Bool_Exp>;
    gifts_aggregate?: InputMaybe<Gift_Aggregate_Bool_Exp>;
    hash?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_base?: InputMaybe<Boolean_Comparison_Exp>;
    is_instant?: InputMaybe<Boolean_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    location?: InputMaybe<Location_Bool_Exp>;
    location_id?: InputMaybe<Int_Comparison_Exp>;
    locusType?: InputMaybe<Locus_Type_Bool_Exp>;
    locus_type_id?: InputMaybe<Int_Comparison_Exp>;
    manager?: InputMaybe<Treasure_User_Bool_Exp>;
    manager_id?: InputMaybe<Int_Comparison_Exp>;
    members?: InputMaybe<Locus_Member_Bool_Exp>;
    members_aggregate?: InputMaybe<Locus_Member_Aggregate_Bool_Exp>;
    operationTypes?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
    operationTypes_aggregate?: InputMaybe<Locus_Operation_Type_Aggregate_Bool_Exp>;
    pieceAndLocus?: InputMaybe<Piece_Locus_Bool_Exp>;
    pieceAndLocus_aggregate?: InputMaybe<Piece_Locus_Aggregate_Bool_Exp>;
    questHash?: InputMaybe<String_Comparison_Exp>;
    registrator?: InputMaybe<Treasure_User_Bool_Exp>;
    registrator_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorshipsAndlocuses?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
    sponsorshipsAndlocuses_aggregate?: InputMaybe<Sponsorship_Locus_Aggregate_Bool_Exp>;
    state?: InputMaybe<Locus_State_Bool_Exp>;
    state_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    tsvec_description?: InputMaybe<Tsvector_Comparison_Exp>;
    tsvec_title?: InputMaybe<Tsvector_Comparison_Exp>;
    workingKairos?: InputMaybe<Kairos_Bool_Exp>;
    working_kairos_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus" */
export declare enum Locus_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusPkey = "locus_pkey",
    /** unique or primary key constraint on columns "title", "location_id" */
    LocusTitleLocationIdKey = "locus_title_location_id_key"
}
/** columns and relationships of "locus_imitate" */
export type Locus_Imitate = {
    __typename?: 'locus_imitate';
    /** An object relationship */
    baseLocus: Locus;
    base_locus_id: Scalars['Int'];
    created_at: Scalars['timestamptz'];
    hash?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_completed?: Maybe<Scalars['Boolean']>;
    is_instant?: Maybe<Scalars['Boolean']>;
    last_seen: Scalars['timestamptz'];
    /** An object relationship */
    operation?: Maybe<Operation>;
    operation_id?: Maybe<Scalars['Int']>;
    questHash?: Maybe<Scalars['String']>;
};
/** aggregated selection of "locus_imitate" */
export type Locus_Imitate_Aggregate = {
    __typename?: 'locus_imitate_aggregate';
    aggregate?: Maybe<Locus_Imitate_Aggregate_Fields>;
    nodes: Array<Locus_Imitate>;
};
export type Locus_Imitate_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Locus_Imitate_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Locus_Imitate_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Locus_Imitate_Aggregate_Bool_Exp_Count>;
};
export type Locus_Imitate_Aggregate_Bool_Exp_Bool_And = {
    arguments: Locus_Imitate_Select_Column_Locus_Imitate_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Imitate_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Locus_Imitate_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Locus_Imitate_Select_Column_Locus_Imitate_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Imitate_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Locus_Imitate_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Imitate_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "locus_imitate" */
export type Locus_Imitate_Aggregate_Fields = {
    __typename?: 'locus_imitate_aggregate_fields';
    avg?: Maybe<Locus_Imitate_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Imitate_Max_Fields>;
    min?: Maybe<Locus_Imitate_Min_Fields>;
    stddev?: Maybe<Locus_Imitate_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Imitate_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Imitate_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Imitate_Sum_Fields>;
    var_pop?: Maybe<Locus_Imitate_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Imitate_Var_Samp_Fields>;
    variance?: Maybe<Locus_Imitate_Variance_Fields>;
};
/** aggregate fields of "locus_imitate" */
export type Locus_Imitate_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "locus_imitate" */
export type Locus_Imitate_Aggregate_Order_By = {
    avg?: InputMaybe<Locus_Imitate_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Locus_Imitate_Max_Order_By>;
    min?: InputMaybe<Locus_Imitate_Min_Order_By>;
    stddev?: InputMaybe<Locus_Imitate_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Locus_Imitate_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Locus_Imitate_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Locus_Imitate_Sum_Order_By>;
    var_pop?: InputMaybe<Locus_Imitate_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Locus_Imitate_Var_Samp_Order_By>;
    variance?: InputMaybe<Locus_Imitate_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "locus_imitate" */
export type Locus_Imitate_Arr_Rel_Insert_Input = {
    data: Array<Locus_Imitate_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_Imitate_On_Conflict>;
};
/** aggregate avg on columns */
export type Locus_Imitate_Avg_Fields = {
    __typename?: 'locus_imitate_avg_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "locus_imitate" */
export type Locus_Imitate_Avg_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "locus_imitate". All fields are combined with a logical 'AND'. */
export type Locus_Imitate_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Imitate_Bool_Exp>>;
    _not?: InputMaybe<Locus_Imitate_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Imitate_Bool_Exp>>;
    baseLocus?: InputMaybe<Locus_Bool_Exp>;
    base_locus_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    hash?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_completed?: InputMaybe<Boolean_Comparison_Exp>;
    is_instant?: InputMaybe<Boolean_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamptz_Comparison_Exp>;
    operation?: InputMaybe<Operation_Bool_Exp>;
    operation_id?: InputMaybe<Int_Comparison_Exp>;
    questHash?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_imitate" */
export declare enum Locus_Imitate_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusImitatePkey = "locus_imitate_pkey"
}
/** input type for incrementing numeric columns in table "locus_imitate" */
export type Locus_Imitate_Inc_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    operation_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_imitate" */
export type Locus_Imitate_Insert_Input = {
    baseLocus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    operation?: InputMaybe<Operation_Obj_Rel_Insert_Input>;
    operation_id?: InputMaybe<Scalars['Int']>;
    questHash?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Locus_Imitate_Max_Fields = {
    __typename?: 'locus_imitate_max_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamptz']>;
    operation_id?: Maybe<Scalars['Int']>;
    questHash?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "locus_imitate" */
export type Locus_Imitate_Max_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    questHash?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Locus_Imitate_Min_Fields = {
    __typename?: 'locus_imitate_min_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamptz']>;
    operation_id?: Maybe<Scalars['Int']>;
    questHash?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "locus_imitate" */
export type Locus_Imitate_Min_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    questHash?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "locus_imitate" */
export type Locus_Imitate_Mutation_Response = {
    __typename?: 'locus_imitate_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Imitate>;
};
/** input type for inserting object relation for remote table "locus_imitate" */
export type Locus_Imitate_Obj_Rel_Insert_Input = {
    data: Locus_Imitate_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_Imitate_On_Conflict>;
};
/** on_conflict condition type for table "locus_imitate" */
export type Locus_Imitate_On_Conflict = {
    constraint: Locus_Imitate_Constraint;
    update_columns?: Array<Locus_Imitate_Update_Column>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_imitate". */
export type Locus_Imitate_Order_By = {
    baseLocus?: InputMaybe<Locus_Order_By>;
    base_locus_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_completed?: InputMaybe<Order_By>;
    is_instant?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    operation?: InputMaybe<Operation_Order_By>;
    operation_id?: InputMaybe<Order_By>;
    questHash?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_imitate */
export type Locus_Imitate_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_imitate" */
export declare enum Locus_Imitate_Select_Column {
    /** column name */
    BaseLocusId = "base_locus_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    OperationId = "operation_id",
    /** column name */
    QuestHash = "questHash"
}
/** select "locus_imitate_aggregate_bool_exp_bool_and_arguments_columns" columns of table "locus_imitate" */
export declare enum Locus_Imitate_Select_Column_Locus_Imitate_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    IsInstant = "is_instant"
}
/** select "locus_imitate_aggregate_bool_exp_bool_or_arguments_columns" columns of table "locus_imitate" */
export declare enum Locus_Imitate_Select_Column_Locus_Imitate_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    IsInstant = "is_instant"
}
/** input type for updating data in table "locus_imitate" */
export type Locus_Imitate_Set_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    operation_id?: InputMaybe<Scalars['Int']>;
    questHash?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Locus_Imitate_Stddev_Fields = {
    __typename?: 'locus_imitate_stddev_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "locus_imitate" */
export type Locus_Imitate_Stddev_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Locus_Imitate_Stddev_Pop_Fields = {
    __typename?: 'locus_imitate_stddev_pop_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "locus_imitate" */
export type Locus_Imitate_Stddev_Pop_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Locus_Imitate_Stddev_Samp_Fields = {
    __typename?: 'locus_imitate_stddev_samp_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "locus_imitate" */
export type Locus_Imitate_Stddev_Samp_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "locus_imitate" */
export type Locus_Imitate_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Imitate_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Imitate_Stream_Cursor_Value_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    operation_id?: InputMaybe<Scalars['Int']>;
    questHash?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Locus_Imitate_Sum_Fields = {
    __typename?: 'locus_imitate_sum_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    operation_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "locus_imitate" */
export type Locus_Imitate_Sum_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** update columns of table "locus_imitate" */
export declare enum Locus_Imitate_Update_Column {
    /** column name */
    BaseLocusId = "base_locus_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    OperationId = "operation_id",
    /** column name */
    QuestHash = "questHash"
}
export type Locus_Imitate_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Imitate_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Imitate_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Imitate_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Imitate_Var_Pop_Fields = {
    __typename?: 'locus_imitate_var_pop_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "locus_imitate" */
export type Locus_Imitate_Var_Pop_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Locus_Imitate_Var_Samp_Fields = {
    __typename?: 'locus_imitate_var_samp_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "locus_imitate" */
export type Locus_Imitate_Var_Samp_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Locus_Imitate_Variance_Fields = {
    __typename?: 'locus_imitate_variance_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "locus_imitate" */
export type Locus_Imitate_Variance_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** input type for incrementing numeric columns in table "locus" */
export type Locus_Inc_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_id?: InputMaybe<Scalars['Int']>;
    locus_type_id?: InputMaybe<Scalars['Int']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
    working_kairos_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus" */
export type Locus_Insert_Input = {
    baseLocus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    gifts?: InputMaybe<Gift_Arr_Rel_Insert_Input>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location?: InputMaybe<Location_Obj_Rel_Insert_Input>;
    location_id?: InputMaybe<Scalars['Int']>;
    locusType?: InputMaybe<Locus_Type_Obj_Rel_Insert_Input>;
    locus_type_id?: InputMaybe<Scalars['Int']>;
    manager?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    manager_id?: InputMaybe<Scalars['Int']>;
    members?: InputMaybe<Locus_Member_Arr_Rel_Insert_Input>;
    operationTypes?: InputMaybe<Locus_Operation_Type_Arr_Rel_Insert_Input>;
    pieceAndLocus?: InputMaybe<Piece_Locus_Arr_Rel_Insert_Input>;
    questHash?: InputMaybe<Scalars['String']>;
    registrator?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    sponsorshipsAndlocuses?: InputMaybe<Sponsorship_Locus_Arr_Rel_Insert_Input>;
    state?: InputMaybe<Locus_State_Obj_Rel_Insert_Input>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    workingKairos?: InputMaybe<Kairos_Obj_Rel_Insert_Input>;
    working_kairos_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Max_Fields = {
    __typename?: 'locus_max_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    location_id?: Maybe<Scalars['Int']>;
    locus_type_id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    questHash?: Maybe<Scalars['String']>;
    registrator_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    working_kairos_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "locus_member" */
export type Locus_Member = {
    __typename?: 'locus_member';
    email?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_confirmed?: Maybe<Scalars['Boolean']>;
    is_sended?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    locus?: Maybe<Locus>;
    locus_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    member?: Maybe<Treasure_User>;
    member_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "locus_member" */
export type Locus_Member_Aggregate = {
    __typename?: 'locus_member_aggregate';
    aggregate?: Maybe<Locus_Member_Aggregate_Fields>;
    nodes: Array<Locus_Member>;
};
export type Locus_Member_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Locus_Member_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Locus_Member_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Locus_Member_Aggregate_Bool_Exp_Count>;
};
export type Locus_Member_Aggregate_Bool_Exp_Bool_And = {
    arguments: Locus_Member_Select_Column_Locus_Member_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Member_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Locus_Member_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Locus_Member_Select_Column_Locus_Member_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Member_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Locus_Member_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Locus_Member_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Member_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "locus_member" */
export type Locus_Member_Aggregate_Fields = {
    __typename?: 'locus_member_aggregate_fields';
    avg?: Maybe<Locus_Member_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Member_Max_Fields>;
    min?: Maybe<Locus_Member_Min_Fields>;
    stddev?: Maybe<Locus_Member_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Member_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Member_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Member_Sum_Fields>;
    var_pop?: Maybe<Locus_Member_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Member_Var_Samp_Fields>;
    variance?: Maybe<Locus_Member_Variance_Fields>;
};
/** aggregate fields of "locus_member" */
export type Locus_Member_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Member_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "locus_member" */
export type Locus_Member_Aggregate_Order_By = {
    avg?: InputMaybe<Locus_Member_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Locus_Member_Max_Order_By>;
    min?: InputMaybe<Locus_Member_Min_Order_By>;
    stddev?: InputMaybe<Locus_Member_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Locus_Member_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Locus_Member_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Locus_Member_Sum_Order_By>;
    var_pop?: InputMaybe<Locus_Member_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Locus_Member_Var_Samp_Order_By>;
    variance?: InputMaybe<Locus_Member_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "locus_member" */
export type Locus_Member_Arr_Rel_Insert_Input = {
    data: Array<Locus_Member_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_Member_On_Conflict>;
};
/** aggregate avg on columns */
export type Locus_Member_Avg_Fields = {
    __typename?: 'locus_member_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "locus_member" */
export type Locus_Member_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "locus_member". All fields are combined with a logical 'AND'. */
export type Locus_Member_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Member_Bool_Exp>>;
    _not?: InputMaybe<Locus_Member_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Member_Bool_Exp>>;
    email?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_confirmed?: InputMaybe<Boolean_Comparison_Exp>;
    is_sended?: InputMaybe<Boolean_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    member?: InputMaybe<Treasure_User_Bool_Exp>;
    member_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_member" */
export declare enum Locus_Member_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusMemberPkey = "locus_member_pkey"
}
/** input type for incrementing numeric columns in table "locus_member" */
export type Locus_Member_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_member" */
export type Locus_Member_Insert_Input = {
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_sended?: InputMaybe<Scalars['Boolean']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    member?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    member_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Member_Max_Fields = {
    __typename?: 'locus_member_max_fields';
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "locus_member" */
export type Locus_Member_Max_Order_By = {
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Locus_Member_Min_Fields = {
    __typename?: 'locus_member_min_fields';
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "locus_member" */
export type Locus_Member_Min_Order_By = {
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "locus_member" */
export type Locus_Member_Mutation_Response = {
    __typename?: 'locus_member_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Member>;
};
/** on_conflict condition type for table "locus_member" */
export type Locus_Member_On_Conflict = {
    constraint: Locus_Member_Constraint;
    update_columns?: Array<Locus_Member_Update_Column>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_member". */
export type Locus_Member_Order_By = {
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_confirmed?: InputMaybe<Order_By>;
    is_sended?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member?: InputMaybe<Treasure_User_Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_member */
export type Locus_Member_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_member" */
export declare enum Locus_Member_Select_Column {
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsSended = "is_sended",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    MemberId = "member_id"
}
/** select "locus_member_aggregate_bool_exp_bool_and_arguments_columns" columns of table "locus_member" */
export declare enum Locus_Member_Select_Column_Locus_Member_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsSended = "is_sended"
}
/** select "locus_member_aggregate_bool_exp_bool_or_arguments_columns" columns of table "locus_member" */
export declare enum Locus_Member_Select_Column_Locus_Member_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsSended = "is_sended"
}
/** input type for updating data in table "locus_member" */
export type Locus_Member_Set_Input = {
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_sended?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Locus_Member_Stddev_Fields = {
    __typename?: 'locus_member_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "locus_member" */
export type Locus_Member_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Locus_Member_Stddev_Pop_Fields = {
    __typename?: 'locus_member_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "locus_member" */
export type Locus_Member_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Locus_Member_Stddev_Samp_Fields = {
    __typename?: 'locus_member_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "locus_member" */
export type Locus_Member_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "locus_member" */
export type Locus_Member_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Member_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Member_Stream_Cursor_Value_Input = {
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_sended?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Member_Sum_Fields = {
    __typename?: 'locus_member_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "locus_member" */
export type Locus_Member_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** update columns of table "locus_member" */
export declare enum Locus_Member_Update_Column {
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsSended = "is_sended",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    MemberId = "member_id"
}
export type Locus_Member_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Member_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Member_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Member_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Member_Var_Pop_Fields = {
    __typename?: 'locus_member_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "locus_member" */
export type Locus_Member_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Locus_Member_Var_Samp_Fields = {
    __typename?: 'locus_member_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "locus_member" */
export type Locus_Member_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Locus_Member_Variance_Fields = {
    __typename?: 'locus_member_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "locus_member" */
export type Locus_Member_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Locus_Min_Fields = {
    __typename?: 'locus_min_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    location_id?: Maybe<Scalars['Int']>;
    locus_type_id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    questHash?: Maybe<Scalars['String']>;
    registrator_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    working_kairos_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "locus" */
export type Locus_Mutation_Response = {
    __typename?: 'locus_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus>;
};
/** input type for inserting object relation for remote table "locus" */
export type Locus_Obj_Rel_Insert_Input = {
    data: Locus_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_On_Conflict>;
};
/** on_conflict condition type for table "locus" */
export type Locus_On_Conflict = {
    constraint: Locus_Constraint;
    update_columns?: Array<Locus_Update_Column>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
/** columns and relationships of "locus_operation_type" */
export type Locus_Operation_Type = {
    __typename?: 'locus_operation_type';
    id: Scalars['Int'];
    /** An object relationship */
    locus: Locus;
    locus_id: Scalars['Int'];
    /** An object relationship */
    operationType: Operation_Type;
    operation_type_id: Scalars['Int'];
};
/** aggregated selection of "locus_operation_type" */
export type Locus_Operation_Type_Aggregate = {
    __typename?: 'locus_operation_type_aggregate';
    aggregate?: Maybe<Locus_Operation_Type_Aggregate_Fields>;
    nodes: Array<Locus_Operation_Type>;
};
export type Locus_Operation_Type_Aggregate_Bool_Exp = {
    count?: InputMaybe<Locus_Operation_Type_Aggregate_Bool_Exp_Count>;
};
export type Locus_Operation_Type_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "locus_operation_type" */
export type Locus_Operation_Type_Aggregate_Fields = {
    __typename?: 'locus_operation_type_aggregate_fields';
    avg?: Maybe<Locus_Operation_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Operation_Type_Max_Fields>;
    min?: Maybe<Locus_Operation_Type_Min_Fields>;
    stddev?: Maybe<Locus_Operation_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Operation_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Operation_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Operation_Type_Sum_Fields>;
    var_pop?: Maybe<Locus_Operation_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Operation_Type_Var_Samp_Fields>;
    variance?: Maybe<Locus_Operation_Type_Variance_Fields>;
};
/** aggregate fields of "locus_operation_type" */
export type Locus_Operation_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "locus_operation_type" */
export type Locus_Operation_Type_Aggregate_Order_By = {
    avg?: InputMaybe<Locus_Operation_Type_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Locus_Operation_Type_Max_Order_By>;
    min?: InputMaybe<Locus_Operation_Type_Min_Order_By>;
    stddev?: InputMaybe<Locus_Operation_Type_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Locus_Operation_Type_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Locus_Operation_Type_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Locus_Operation_Type_Sum_Order_By>;
    var_pop?: InputMaybe<Locus_Operation_Type_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Locus_Operation_Type_Var_Samp_Order_By>;
    variance?: InputMaybe<Locus_Operation_Type_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "locus_operation_type" */
export type Locus_Operation_Type_Arr_Rel_Insert_Input = {
    data: Array<Locus_Operation_Type_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_Operation_Type_On_Conflict>;
};
/** aggregate avg on columns */
export type Locus_Operation_Type_Avg_Fields = {
    __typename?: 'locus_operation_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "locus_operation_type". All fields are combined with a logical 'AND'. */
export type Locus_Operation_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Operation_Type_Bool_Exp>>;
    _not?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Operation_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    operationType?: InputMaybe<Operation_Type_Bool_Exp>;
    operation_type_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_operation_type" */
export declare enum Locus_Operation_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusOperationTypePkey = "locus_operation_type_pkey"
}
/** input type for incrementing numeric columns in table "locus_operation_type" */
export type Locus_Operation_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_operation_type" */
export type Locus_Operation_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    operationType?: InputMaybe<Operation_Type_Obj_Rel_Insert_Input>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Operation_Type_Max_Fields = {
    __typename?: 'locus_operation_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Max_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Locus_Operation_Type_Min_Fields = {
    __typename?: 'locus_operation_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Min_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "locus_operation_type" */
export type Locus_Operation_Type_Mutation_Response = {
    __typename?: 'locus_operation_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Operation_Type>;
};
/** on_conflict condition type for table "locus_operation_type" */
export type Locus_Operation_Type_On_Conflict = {
    constraint: Locus_Operation_Type_Constraint;
    update_columns?: Array<Locus_Operation_Type_Update_Column>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_operation_type". */
export type Locus_Operation_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operationType?: InputMaybe<Operation_Type_Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_operation_type */
export type Locus_Operation_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_operation_type" */
export declare enum Locus_Operation_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    OperationTypeId = "operation_type_id"
}
/** input type for updating data in table "locus_operation_type" */
export type Locus_Operation_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Locus_Operation_Type_Stddev_Fields = {
    __typename?: 'locus_operation_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Locus_Operation_Type_Stddev_Pop_Fields = {
    __typename?: 'locus_operation_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Locus_Operation_Type_Stddev_Samp_Fields = {
    __typename?: 'locus_operation_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "locus_operation_type" */
export type Locus_Operation_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Operation_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Operation_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Operation_Type_Sum_Fields = {
    __typename?: 'locus_operation_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** update columns of table "locus_operation_type" */
export declare enum Locus_Operation_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    OperationTypeId = "operation_type_id"
}
export type Locus_Operation_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Operation_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Operation_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Operation_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Operation_Type_Var_Pop_Fields = {
    __typename?: 'locus_operation_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Locus_Operation_Type_Var_Samp_Fields = {
    __typename?: 'locus_operation_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Locus_Operation_Type_Variance_Fields = {
    __typename?: 'locus_operation_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** Ordering options when selecting data from "locus". */
export type Locus_Order_By = {
    baseLocus?: InputMaybe<Locus_Order_By>;
    base_locus_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    gifts_aggregate?: InputMaybe<Gift_Aggregate_Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_base?: InputMaybe<Order_By>;
    is_instant?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    location?: InputMaybe<Location_Order_By>;
    location_id?: InputMaybe<Order_By>;
    locusType?: InputMaybe<Locus_Type_Order_By>;
    locus_type_id?: InputMaybe<Order_By>;
    manager?: InputMaybe<Treasure_User_Order_By>;
    manager_id?: InputMaybe<Order_By>;
    members_aggregate?: InputMaybe<Locus_Member_Aggregate_Order_By>;
    operationTypes_aggregate?: InputMaybe<Locus_Operation_Type_Aggregate_Order_By>;
    pieceAndLocus_aggregate?: InputMaybe<Piece_Locus_Aggregate_Order_By>;
    questHash?: InputMaybe<Order_By>;
    registrator?: InputMaybe<Treasure_User_Order_By>;
    registrator_id?: InputMaybe<Order_By>;
    sponsorshipsAndlocuses_aggregate?: InputMaybe<Sponsorship_Locus_Aggregate_Order_By>;
    state?: InputMaybe<Locus_State_Order_By>;
    state_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    tsvec_description?: InputMaybe<Order_By>;
    tsvec_title?: InputMaybe<Order_By>;
    workingKairos?: InputMaybe<Kairos_Order_By>;
    working_kairos_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus */
export type Locus_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "locus_policy" */
export type Locus_Policy = {
    __typename?: 'locus_policy';
    description: Scalars['String'];
    id: Scalars['Int'];
    title: Scalars['String'];
    toStateId: Scalars['Int'];
};
/** aggregated selection of "locus_policy" */
export type Locus_Policy_Aggregate = {
    __typename?: 'locus_policy_aggregate';
    aggregate?: Maybe<Locus_Policy_Aggregate_Fields>;
    nodes: Array<Locus_Policy>;
};
/** aggregate fields of "locus_policy" */
export type Locus_Policy_Aggregate_Fields = {
    __typename?: 'locus_policy_aggregate_fields';
    avg?: Maybe<Locus_Policy_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Policy_Max_Fields>;
    min?: Maybe<Locus_Policy_Min_Fields>;
    stddev?: Maybe<Locus_Policy_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Policy_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Policy_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Policy_Sum_Fields>;
    var_pop?: Maybe<Locus_Policy_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Policy_Var_Samp_Fields>;
    variance?: Maybe<Locus_Policy_Variance_Fields>;
};
/** aggregate fields of "locus_policy" */
export type Locus_Policy_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Policy_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Locus_Policy_Avg_Fields = {
    __typename?: 'locus_policy_avg_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "locus_policy". All fields are combined with a logical 'AND'. */
export type Locus_Policy_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Policy_Bool_Exp>>;
    _not?: InputMaybe<Locus_Policy_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Policy_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    toStateId?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_policy" */
export declare enum Locus_Policy_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusPolicyPkey = "locus_policy_pkey"
}
/** input type for incrementing numeric columns in table "locus_policy" */
export type Locus_Policy_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    toStateId?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_policy" */
export type Locus_Policy_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    toStateId?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Policy_Max_Fields = {
    __typename?: 'locus_policy_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    toStateId?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Locus_Policy_Min_Fields = {
    __typename?: 'locus_policy_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    toStateId?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "locus_policy" */
export type Locus_Policy_Mutation_Response = {
    __typename?: 'locus_policy_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Policy>;
};
/** on_conflict condition type for table "locus_policy" */
export type Locus_Policy_On_Conflict = {
    constraint: Locus_Policy_Constraint;
    update_columns?: Array<Locus_Policy_Update_Column>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_policy". */
export type Locus_Policy_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    toStateId?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_policy */
export type Locus_Policy_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_policy" */
export declare enum Locus_Policy_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title",
    /** column name */
    ToStateId = "toStateId"
}
/** input type for updating data in table "locus_policy" */
export type Locus_Policy_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    toStateId?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Locus_Policy_Stddev_Fields = {
    __typename?: 'locus_policy_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Locus_Policy_Stddev_Pop_Fields = {
    __typename?: 'locus_policy_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Locus_Policy_Stddev_Samp_Fields = {
    __typename?: 'locus_policy_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "locus_policy" */
export type Locus_Policy_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Policy_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Policy_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    toStateId?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Policy_Sum_Fields = {
    __typename?: 'locus_policy_sum_fields';
    id?: Maybe<Scalars['Int']>;
    toStateId?: Maybe<Scalars['Int']>;
};
/** update columns of table "locus_policy" */
export declare enum Locus_Policy_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title",
    /** column name */
    ToStateId = "toStateId"
}
export type Locus_Policy_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Policy_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Policy_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Policy_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Policy_Var_Pop_Fields = {
    __typename?: 'locus_policy_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Locus_Policy_Var_Samp_Fields = {
    __typename?: 'locus_policy_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Locus_Policy_Variance_Fields = {
    __typename?: 'locus_policy_variance_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** select columns of table "locus" */
export declare enum Locus_Select_Column {
    /** column name */
    BaseLocusId = "base_locus_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsBase = "is_base",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocationId = "location_id",
    /** column name */
    LocusTypeId = "locus_type_id",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    QuestHash = "questHash",
    /** column name */
    RegistratorId = "registrator_id",
    /** column name */
    StateId = "state_id",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title",
    /** column name */
    WorkingKairosId = "working_kairos_id"
}
/** input type for updating data in table "locus" */
export type Locus_Set_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location_id?: InputMaybe<Scalars['Int']>;
    locus_type_id?: InputMaybe<Scalars['Int']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    questHash?: InputMaybe<Scalars['String']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    working_kairos_id?: InputMaybe<Scalars['Int']>;
};
/** columns and relationships of "locus_state" */
export type Locus_State = {
    __typename?: 'locus_state';
    completion_message?: Maybe<Scalars['String']>;
    description: Scalars['String'];
    error_message?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_arranged?: Maybe<Scalars['Boolean']>;
    is_certificated?: Maybe<Scalars['Boolean']>;
    is_registered?: Maybe<Scalars['Boolean']>;
    name?: Maybe<Scalars['String']>;
    requiring_days_limit?: Maybe<Scalars['Int']>;
    state_message?: Maybe<Scalars['String']>;
    title: Scalars['String'];
    waiting_message?: Maybe<Scalars['String']>;
};
/** aggregated selection of "locus_state" */
export type Locus_State_Aggregate = {
    __typename?: 'locus_state_aggregate';
    aggregate?: Maybe<Locus_State_Aggregate_Fields>;
    nodes: Array<Locus_State>;
};
/** aggregate fields of "locus_state" */
export type Locus_State_Aggregate_Fields = {
    __typename?: 'locus_state_aggregate_fields';
    avg?: Maybe<Locus_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_State_Max_Fields>;
    min?: Maybe<Locus_State_Min_Fields>;
    stddev?: Maybe<Locus_State_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_State_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_State_Sum_Fields>;
    var_pop?: Maybe<Locus_State_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_State_Var_Samp_Fields>;
    variance?: Maybe<Locus_State_Variance_Fields>;
};
/** aggregate fields of "locus_state" */
export type Locus_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Locus_State_Avg_Fields = {
    __typename?: 'locus_state_avg_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "locus_state". All fields are combined with a logical 'AND'. */
export type Locus_State_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_State_Bool_Exp>>;
    _not?: InputMaybe<Locus_State_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_State_Bool_Exp>>;
    completion_message?: InputMaybe<String_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    error_message?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_arranged?: InputMaybe<Boolean_Comparison_Exp>;
    is_certificated?: InputMaybe<Boolean_Comparison_Exp>;
    is_registered?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    requiring_days_limit?: InputMaybe<Int_Comparison_Exp>;
    state_message?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    waiting_message?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_state" */
export declare enum Locus_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusStatePkey = "locus_state_pkey"
}
/** input type for incrementing numeric columns in table "locus_state" */
export type Locus_State_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    requiring_days_limit?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_state" */
export type Locus_State_Insert_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arranged?: InputMaybe<Scalars['Boolean']>;
    is_certificated?: InputMaybe<Scalars['Boolean']>;
    is_registered?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    requiring_days_limit?: InputMaybe<Scalars['Int']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Locus_State_Max_Fields = {
    __typename?: 'locus_state_max_fields';
    completion_message?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    error_message?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    requiring_days_limit?: Maybe<Scalars['Int']>;
    state_message?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
    waiting_message?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Locus_State_Min_Fields = {
    __typename?: 'locus_state_min_fields';
    completion_message?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    error_message?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    requiring_days_limit?: Maybe<Scalars['Int']>;
    state_message?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
    waiting_message?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "locus_state" */
export type Locus_State_Mutation_Response = {
    __typename?: 'locus_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_State>;
};
/** input type for inserting object relation for remote table "locus_state" */
export type Locus_State_Obj_Rel_Insert_Input = {
    data: Locus_State_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_State_On_Conflict>;
};
/** on_conflict condition type for table "locus_state" */
export type Locus_State_On_Conflict = {
    constraint: Locus_State_Constraint;
    update_columns?: Array<Locus_State_Update_Column>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_state". */
export type Locus_State_Order_By = {
    completion_message?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    error_message?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_arranged?: InputMaybe<Order_By>;
    is_certificated?: InputMaybe<Order_By>;
    is_registered?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    requiring_days_limit?: InputMaybe<Order_By>;
    state_message?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    waiting_message?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_state */
export type Locus_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_state" */
export declare enum Locus_State_Select_Column {
    /** column name */
    CompletionMessage = "completion_message",
    /** column name */
    Description = "description",
    /** column name */
    ErrorMessage = "error_message",
    /** column name */
    Id = "id",
    /** column name */
    IsArranged = "is_arranged",
    /** column name */
    IsCertificated = "is_certificated",
    /** column name */
    IsRegistered = "is_registered",
    /** column name */
    Name = "name",
    /** column name */
    RequiringDaysLimit = "requiring_days_limit",
    /** column name */
    StateMessage = "state_message",
    /** column name */
    Title = "title",
    /** column name */
    WaitingMessage = "waiting_message"
}
/** input type for updating data in table "locus_state" */
export type Locus_State_Set_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arranged?: InputMaybe<Scalars['Boolean']>;
    is_certificated?: InputMaybe<Scalars['Boolean']>;
    is_registered?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    requiring_days_limit?: InputMaybe<Scalars['Int']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Locus_State_Stddev_Fields = {
    __typename?: 'locus_state_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Locus_State_Stddev_Pop_Fields = {
    __typename?: 'locus_state_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Locus_State_Stddev_Samp_Fields = {
    __typename?: 'locus_state_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "locus_state" */
export type Locus_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_State_Stream_Cursor_Value_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arranged?: InputMaybe<Scalars['Boolean']>;
    is_certificated?: InputMaybe<Scalars['Boolean']>;
    is_registered?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    requiring_days_limit?: InputMaybe<Scalars['Int']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Locus_State_Sum_Fields = {
    __typename?: 'locus_state_sum_fields';
    id?: Maybe<Scalars['Int']>;
    requiring_days_limit?: Maybe<Scalars['Int']>;
};
/** update columns of table "locus_state" */
export declare enum Locus_State_Update_Column {
    /** column name */
    CompletionMessage = "completion_message",
    /** column name */
    Description = "description",
    /** column name */
    ErrorMessage = "error_message",
    /** column name */
    Id = "id",
    /** column name */
    IsArranged = "is_arranged",
    /** column name */
    IsCertificated = "is_certificated",
    /** column name */
    IsRegistered = "is_registered",
    /** column name */
    Name = "name",
    /** column name */
    RequiringDaysLimit = "requiring_days_limit",
    /** column name */
    StateMessage = "state_message",
    /** column name */
    Title = "title",
    /** column name */
    WaitingMessage = "waiting_message"
}
export type Locus_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_State_Var_Pop_Fields = {
    __typename?: 'locus_state_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Locus_State_Var_Samp_Fields = {
    __typename?: 'locus_state_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Locus_State_Variance_Fields = {
    __typename?: 'locus_state_variance_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev on columns */
export type Locus_Stddev_Fields = {
    __typename?: 'locus_stddev_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Locus_Stddev_Pop_Fields = {
    __typename?: 'locus_stddev_pop_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Locus_Stddev_Samp_Fields = {
    __typename?: 'locus_stddev_samp_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "locus" */
export type Locus_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Stream_Cursor_Value_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location_id?: InputMaybe<Scalars['Int']>;
    locus_type_id?: InputMaybe<Scalars['Int']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    questHash?: InputMaybe<Scalars['String']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    working_kairos_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Sum_Fields = {
    __typename?: 'locus_sum_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_id?: Maybe<Scalars['Int']>;
    locus_type_id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    registrator_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
    working_kairos_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "locus_theme" */
export type Locus_Theme = {
    __typename?: 'locus_theme';
    id: Scalars['Int'];
    /** An object relationship */
    locus: Locus;
    locus_id: Scalars['Int'];
    /** An object relationship */
    theme: Theme;
    theme_id: Scalars['Int'];
};
/** aggregated selection of "locus_theme" */
export type Locus_Theme_Aggregate = {
    __typename?: 'locus_theme_aggregate';
    aggregate?: Maybe<Locus_Theme_Aggregate_Fields>;
    nodes: Array<Locus_Theme>;
};
/** aggregate fields of "locus_theme" */
export type Locus_Theme_Aggregate_Fields = {
    __typename?: 'locus_theme_aggregate_fields';
    avg?: Maybe<Locus_Theme_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Theme_Max_Fields>;
    min?: Maybe<Locus_Theme_Min_Fields>;
    stddev?: Maybe<Locus_Theme_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Theme_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Theme_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Theme_Sum_Fields>;
    var_pop?: Maybe<Locus_Theme_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Theme_Var_Samp_Fields>;
    variance?: Maybe<Locus_Theme_Variance_Fields>;
};
/** aggregate fields of "locus_theme" */
export type Locus_Theme_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Theme_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Locus_Theme_Avg_Fields = {
    __typename?: 'locus_theme_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "locus_theme". All fields are combined with a logical 'AND'. */
export type Locus_Theme_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Theme_Bool_Exp>>;
    _not?: InputMaybe<Locus_Theme_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Theme_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    theme?: InputMaybe<Theme_Bool_Exp>;
    theme_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_theme" */
export declare enum Locus_Theme_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusThemePkey = "locus_theme_pkey"
}
/** input type for incrementing numeric columns in table "locus_theme" */
export type Locus_Theme_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_theme" */
export type Locus_Theme_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    theme?: InputMaybe<Theme_Obj_Rel_Insert_Input>;
    theme_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Theme_Max_Fields = {
    __typename?: 'locus_theme_max_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Locus_Theme_Min_Fields = {
    __typename?: 'locus_theme_min_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "locus_theme" */
export type Locus_Theme_Mutation_Response = {
    __typename?: 'locus_theme_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Theme>;
};
/** on_conflict condition type for table "locus_theme" */
export type Locus_Theme_On_Conflict = {
    constraint: Locus_Theme_Constraint;
    update_columns?: Array<Locus_Theme_Update_Column>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_theme". */
export type Locus_Theme_Order_By = {
    id?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    theme?: InputMaybe<Theme_Order_By>;
    theme_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_theme */
export type Locus_Theme_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_theme" */
export declare enum Locus_Theme_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    ThemeId = "theme_id"
}
/** input type for updating data in table "locus_theme" */
export type Locus_Theme_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Locus_Theme_Stddev_Fields = {
    __typename?: 'locus_theme_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Locus_Theme_Stddev_Pop_Fields = {
    __typename?: 'locus_theme_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Locus_Theme_Stddev_Samp_Fields = {
    __typename?: 'locus_theme_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "locus_theme" */
export type Locus_Theme_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Theme_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Theme_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Theme_Sum_Fields = {
    __typename?: 'locus_theme_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "locus_theme" */
export declare enum Locus_Theme_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    ThemeId = "theme_id"
}
export type Locus_Theme_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Theme_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Theme_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Theme_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Theme_Var_Pop_Fields = {
    __typename?: 'locus_theme_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Locus_Theme_Var_Samp_Fields = {
    __typename?: 'locus_theme_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Locus_Theme_Variance_Fields = {
    __typename?: 'locus_theme_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "locus_type" */
export type Locus_Type = {
    __typename?: 'locus_type';
    id: Scalars['Int'];
};
/** aggregated selection of "locus_type" */
export type Locus_Type_Aggregate = {
    __typename?: 'locus_type_aggregate';
    aggregate?: Maybe<Locus_Type_Aggregate_Fields>;
    nodes: Array<Locus_Type>;
};
/** aggregate fields of "locus_type" */
export type Locus_Type_Aggregate_Fields = {
    __typename?: 'locus_type_aggregate_fields';
    avg?: Maybe<Locus_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Type_Max_Fields>;
    min?: Maybe<Locus_Type_Min_Fields>;
    stddev?: Maybe<Locus_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Type_Sum_Fields>;
    var_pop?: Maybe<Locus_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Type_Var_Samp_Fields>;
    variance?: Maybe<Locus_Type_Variance_Fields>;
};
/** aggregate fields of "locus_type" */
export type Locus_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Locus_Type_Avg_Fields = {
    __typename?: 'locus_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "locus_type". All fields are combined with a logical 'AND'. */
export type Locus_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Type_Bool_Exp>>;
    _not?: InputMaybe<Locus_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_type" */
export declare enum Locus_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusTypePkey = "locus_type_pkey"
}
/** input type for incrementing numeric columns in table "locus_type" */
export type Locus_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_type" */
export type Locus_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Type_Max_Fields = {
    __typename?: 'locus_type_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Locus_Type_Min_Fields = {
    __typename?: 'locus_type_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "locus_type" */
export type Locus_Type_Mutation_Response = {
    __typename?: 'locus_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Type>;
};
/** input type for inserting object relation for remote table "locus_type" */
export type Locus_Type_Obj_Rel_Insert_Input = {
    data: Locus_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_Type_On_Conflict>;
};
/** on_conflict condition type for table "locus_type" */
export type Locus_Type_On_Conflict = {
    constraint: Locus_Type_Constraint;
    update_columns?: Array<Locus_Type_Update_Column>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_type". */
export type Locus_Type_Order_By = {
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_type */
export type Locus_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_type" */
export declare enum Locus_Type_Select_Column {
    /** column name */
    Id = "id"
}
/** input type for updating data in table "locus_type" */
export type Locus_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Locus_Type_Stddev_Fields = {
    __typename?: 'locus_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Locus_Type_Stddev_Pop_Fields = {
    __typename?: 'locus_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Locus_Type_Stddev_Samp_Fields = {
    __typename?: 'locus_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "locus_type" */
export type Locus_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Type_Sum_Fields = {
    __typename?: 'locus_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "locus_type" */
export declare enum Locus_Type_Update_Column {
    /** column name */
    Id = "id"
}
export type Locus_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Type_Var_Pop_Fields = {
    __typename?: 'locus_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Locus_Type_Var_Samp_Fields = {
    __typename?: 'locus_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Locus_Type_Variance_Fields = {
    __typename?: 'locus_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "locus" */
export declare enum Locus_Update_Column {
    /** column name */
    BaseLocusId = "base_locus_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsBase = "is_base",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocationId = "location_id",
    /** column name */
    LocusTypeId = "locus_type_id",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    QuestHash = "questHash",
    /** column name */
    RegistratorId = "registrator_id",
    /** column name */
    StateId = "state_id",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title",
    /** column name */
    WorkingKairosId = "working_kairos_id"
}
export type Locus_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Var_Pop_Fields = {
    __typename?: 'locus_var_pop_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Locus_Var_Samp_Fields = {
    __typename?: 'locus_var_samp_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Locus_Variance_Fields = {
    __typename?: 'locus_variance_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "map" */
export type Map = {
    __typename?: 'map';
    default_interface_type_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    interfaceType?: Maybe<Interface_Type>;
    /** An array relationship */
    mapItems: Array<Map_Item>;
    /** An aggregate relationship */
    mapItems_aggregate: Map_Item_Aggregate;
    /** An object relationship */
    universe?: Maybe<Universe>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "map" */
export type MapMapItemsArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
/** columns and relationships of "map" */
export type MapMapItems_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
/** aggregated selection of "map" */
export type Map_Aggregate = {
    __typename?: 'map_aggregate';
    aggregate?: Maybe<Map_Aggregate_Fields>;
    nodes: Array<Map>;
};
/** aggregate fields of "map" */
export type Map_Aggregate_Fields = {
    __typename?: 'map_aggregate_fields';
    avg?: Maybe<Map_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Max_Fields>;
    min?: Maybe<Map_Min_Fields>;
    stddev?: Maybe<Map_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Sum_Fields>;
    var_pop?: Maybe<Map_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Var_Samp_Fields>;
    variance?: Maybe<Map_Variance_Fields>;
};
/** aggregate fields of "map" */
export type Map_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Map_Avg_Fields = {
    __typename?: 'map_avg_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "map". All fields are combined with a logical 'AND'. */
export type Map_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Bool_Exp>>;
    _not?: InputMaybe<Map_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Bool_Exp>>;
    default_interface_type_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    interfaceType?: InputMaybe<Interface_Type_Bool_Exp>;
    mapItems?: InputMaybe<Map_Item_Bool_Exp>;
    mapItems_aggregate?: InputMaybe<Map_Item_Aggregate_Bool_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
};
/** columns and relationships of "map_condition_type" */
export type Map_Condition_Type = {
    __typename?: 'map_condition_type';
    has_interval?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    interval_sec?: Maybe<Scalars['Int']>;
    is_required_map_showing_locus_relationship?: Maybe<Scalars['Boolean']>;
    is_required_map_showing_next_locus?: Maybe<Scalars['Boolean']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregated selection of "map_condition_type" */
export type Map_Condition_Type_Aggregate = {
    __typename?: 'map_condition_type_aggregate';
    aggregate?: Maybe<Map_Condition_Type_Aggregate_Fields>;
    nodes: Array<Map_Condition_Type>;
};
/** aggregate fields of "map_condition_type" */
export type Map_Condition_Type_Aggregate_Fields = {
    __typename?: 'map_condition_type_aggregate_fields';
    avg?: Maybe<Map_Condition_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Condition_Type_Max_Fields>;
    min?: Maybe<Map_Condition_Type_Min_Fields>;
    stddev?: Maybe<Map_Condition_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Condition_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Condition_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Condition_Type_Sum_Fields>;
    var_pop?: Maybe<Map_Condition_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Condition_Type_Var_Samp_Fields>;
    variance?: Maybe<Map_Condition_Type_Variance_Fields>;
};
/** aggregate fields of "map_condition_type" */
export type Map_Condition_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Condition_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Map_Condition_Type_Avg_Fields = {
    __typename?: 'map_condition_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "map_condition_type". All fields are combined with a logical 'AND'. */
export type Map_Condition_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Condition_Type_Bool_Exp>>;
    _not?: InputMaybe<Map_Condition_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Condition_Type_Bool_Exp>>;
    has_interval?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    interval_sec?: InputMaybe<Int_Comparison_Exp>;
    is_required_map_showing_locus_relationship?: InputMaybe<Boolean_Comparison_Exp>;
    is_required_map_showing_next_locus?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "map_condition_type" */
export declare enum Map_Condition_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    EffectConditionTypePkey = "effect_condition_type_pkey"
}
/** input type for incrementing numeric columns in table "map_condition_type" */
export type Map_Condition_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    interval_sec?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_condition_type" */
export type Map_Condition_Type_Insert_Input = {
    has_interval?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    interval_sec?: InputMaybe<Scalars['Int']>;
    is_required_map_showing_locus_relationship?: InputMaybe<Scalars['Boolean']>;
    is_required_map_showing_next_locus?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Map_Condition_Type_Max_Fields = {
    __typename?: 'map_condition_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    interval_sec?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Map_Condition_Type_Min_Fields = {
    __typename?: 'map_condition_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    interval_sec?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "map_condition_type" */
export type Map_Condition_Type_Mutation_Response = {
    __typename?: 'map_condition_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Condition_Type>;
};
/** input type for inserting object relation for remote table "map_condition_type" */
export type Map_Condition_Type_Obj_Rel_Insert_Input = {
    data: Map_Condition_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Condition_Type_On_Conflict>;
};
/** on_conflict condition type for table "map_condition_type" */
export type Map_Condition_Type_On_Conflict = {
    constraint: Map_Condition_Type_Constraint;
    update_columns?: Array<Map_Condition_Type_Update_Column>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "map_condition_type". */
export type Map_Condition_Type_Order_By = {
    has_interval?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    interval_sec?: InputMaybe<Order_By>;
    is_required_map_showing_locus_relationship?: InputMaybe<Order_By>;
    is_required_map_showing_next_locus?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map_condition_type */
export type Map_Condition_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_condition_type" */
export declare enum Map_Condition_Type_Select_Column {
    /** column name */
    HasInterval = "has_interval",
    /** column name */
    Id = "id",
    /** column name */
    IntervalSec = "interval_sec",
    /** column name */
    IsRequiredMapShowingLocusRelationship = "is_required_map_showing_locus_relationship",
    /** column name */
    IsRequiredMapShowingNextLocus = "is_required_map_showing_next_locus",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "map_condition_type" */
export type Map_Condition_Type_Set_Input = {
    has_interval?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    interval_sec?: InputMaybe<Scalars['Int']>;
    is_required_map_showing_locus_relationship?: InputMaybe<Scalars['Boolean']>;
    is_required_map_showing_next_locus?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Map_Condition_Type_Stddev_Fields = {
    __typename?: 'map_condition_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Map_Condition_Type_Stddev_Pop_Fields = {
    __typename?: 'map_condition_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Map_Condition_Type_Stddev_Samp_Fields = {
    __typename?: 'map_condition_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "map_condition_type" */
export type Map_Condition_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Condition_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Condition_Type_Stream_Cursor_Value_Input = {
    has_interval?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    interval_sec?: InputMaybe<Scalars['Int']>;
    is_required_map_showing_locus_relationship?: InputMaybe<Scalars['Boolean']>;
    is_required_map_showing_next_locus?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Map_Condition_Type_Sum_Fields = {
    __typename?: 'map_condition_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
    interval_sec?: Maybe<Scalars['Int']>;
};
/** update columns of table "map_condition_type" */
export declare enum Map_Condition_Type_Update_Column {
    /** column name */
    HasInterval = "has_interval",
    /** column name */
    Id = "id",
    /** column name */
    IntervalSec = "interval_sec",
    /** column name */
    IsRequiredMapShowingLocusRelationship = "is_required_map_showing_locus_relationship",
    /** column name */
    IsRequiredMapShowingNextLocus = "is_required_map_showing_next_locus",
    /** column name */
    Name = "name"
}
export type Map_Condition_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Condition_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Condition_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Condition_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Condition_Type_Var_Pop_Fields = {
    __typename?: 'map_condition_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Map_Condition_Type_Var_Samp_Fields = {
    __typename?: 'map_condition_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Map_Condition_Type_Variance_Fields = {
    __typename?: 'map_condition_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** unique or primary key constraints on table "map" */
export declare enum Map_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapPresetPkey = "map_preset_pkey"
}
/** columns and relationships of "map_effect" */
export type Map_Effect = {
    __typename?: 'map_effect';
    /** An object relationship */
    conditionType?: Maybe<Map_Condition_Type>;
    condition_type_id?: Maybe<Scalars['Int']>;
    finishing_map_item_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    mapEffectType?: Maybe<Map_Effect_Type>;
    map_effect_type_id?: Maybe<Scalars['Int']>;
    starting_map_item_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "map_effect" */
export type Map_Effect_Aggregate = {
    __typename?: 'map_effect_aggregate';
    aggregate?: Maybe<Map_Effect_Aggregate_Fields>;
    nodes: Array<Map_Effect>;
};
/** aggregate fields of "map_effect" */
export type Map_Effect_Aggregate_Fields = {
    __typename?: 'map_effect_aggregate_fields';
    avg?: Maybe<Map_Effect_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Effect_Max_Fields>;
    min?: Maybe<Map_Effect_Min_Fields>;
    stddev?: Maybe<Map_Effect_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Effect_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Effect_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Effect_Sum_Fields>;
    var_pop?: Maybe<Map_Effect_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Effect_Var_Samp_Fields>;
    variance?: Maybe<Map_Effect_Variance_Fields>;
};
/** aggregate fields of "map_effect" */
export type Map_Effect_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Effect_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Map_Effect_Avg_Fields = {
    __typename?: 'map_effect_avg_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "map_effect". All fields are combined with a logical 'AND'. */
export type Map_Effect_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Effect_Bool_Exp>>;
    _not?: InputMaybe<Map_Effect_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Effect_Bool_Exp>>;
    conditionType?: InputMaybe<Map_Condition_Type_Bool_Exp>;
    condition_type_id?: InputMaybe<Int_Comparison_Exp>;
    finishing_map_item_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    mapEffectType?: InputMaybe<Map_Effect_Type_Bool_Exp>;
    map_effect_type_id?: InputMaybe<Int_Comparison_Exp>;
    starting_map_item_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "map_effect" */
export declare enum Map_Effect_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapEffectPkey = "map_effect_pkey"
}
/** input type for incrementing numeric columns in table "map_effect" */
export type Map_Effect_Inc_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    finishing_map_item_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    map_effect_type_id?: InputMaybe<Scalars['Int']>;
    starting_map_item_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_effect" */
export type Map_Effect_Insert_Input = {
    conditionType?: InputMaybe<Map_Condition_Type_Obj_Rel_Insert_Input>;
    condition_type_id?: InputMaybe<Scalars['Int']>;
    finishing_map_item_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    mapEffectType?: InputMaybe<Map_Effect_Type_Obj_Rel_Insert_Input>;
    map_effect_type_id?: InputMaybe<Scalars['Int']>;
    starting_map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Map_Effect_Max_Fields = {
    __typename?: 'map_effect_max_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    finishing_map_item_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_effect_type_id?: Maybe<Scalars['Int']>;
    starting_map_item_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Map_Effect_Min_Fields = {
    __typename?: 'map_effect_min_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    finishing_map_item_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_effect_type_id?: Maybe<Scalars['Int']>;
    starting_map_item_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "map_effect" */
export type Map_Effect_Mutation_Response = {
    __typename?: 'map_effect_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Effect>;
};
/** input type for inserting object relation for remote table "map_effect" */
export type Map_Effect_Obj_Rel_Insert_Input = {
    data: Map_Effect_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Effect_On_Conflict>;
};
/** on_conflict condition type for table "map_effect" */
export type Map_Effect_On_Conflict = {
    constraint: Map_Effect_Constraint;
    update_columns?: Array<Map_Effect_Update_Column>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
/** Ordering options when selecting data from "map_effect". */
export type Map_Effect_Order_By = {
    conditionType?: InputMaybe<Map_Condition_Type_Order_By>;
    condition_type_id?: InputMaybe<Order_By>;
    finishing_map_item_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mapEffectType?: InputMaybe<Map_Effect_Type_Order_By>;
    map_effect_type_id?: InputMaybe<Order_By>;
    starting_map_item_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map_effect */
export type Map_Effect_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_effect" */
export declare enum Map_Effect_Select_Column {
    /** column name */
    ConditionTypeId = "condition_type_id",
    /** column name */
    FinishingMapItemId = "finishing_map_item_id",
    /** column name */
    Id = "id",
    /** column name */
    MapEffectTypeId = "map_effect_type_id",
    /** column name */
    StartingMapItemId = "starting_map_item_id"
}
/** input type for updating data in table "map_effect" */
export type Map_Effect_Set_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    finishing_map_item_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    map_effect_type_id?: InputMaybe<Scalars['Int']>;
    starting_map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Map_Effect_Stddev_Fields = {
    __typename?: 'map_effect_stddev_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Map_Effect_Stddev_Pop_Fields = {
    __typename?: 'map_effect_stddev_pop_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Map_Effect_Stddev_Samp_Fields = {
    __typename?: 'map_effect_stddev_samp_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "map_effect" */
export type Map_Effect_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Effect_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Effect_Stream_Cursor_Value_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    finishing_map_item_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    map_effect_type_id?: InputMaybe<Scalars['Int']>;
    starting_map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Map_Effect_Sum_Fields = {
    __typename?: 'map_effect_sum_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    finishing_map_item_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_effect_type_id?: Maybe<Scalars['Int']>;
    starting_map_item_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "map_effect_type" */
export type Map_Effect_Type = {
    __typename?: 'map_effect_type';
    id: Scalars['Int'];
    is_on_entire_map?: Maybe<Scalars['Boolean']>;
    is_on_line?: Maybe<Scalars['Boolean']>;
    is_on_point?: Maybe<Scalars['Boolean']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregated selection of "map_effect_type" */
export type Map_Effect_Type_Aggregate = {
    __typename?: 'map_effect_type_aggregate';
    aggregate?: Maybe<Map_Effect_Type_Aggregate_Fields>;
    nodes: Array<Map_Effect_Type>;
};
/** aggregate fields of "map_effect_type" */
export type Map_Effect_Type_Aggregate_Fields = {
    __typename?: 'map_effect_type_aggregate_fields';
    avg?: Maybe<Map_Effect_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Effect_Type_Max_Fields>;
    min?: Maybe<Map_Effect_Type_Min_Fields>;
    stddev?: Maybe<Map_Effect_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Effect_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Effect_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Effect_Type_Sum_Fields>;
    var_pop?: Maybe<Map_Effect_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Effect_Type_Var_Samp_Fields>;
    variance?: Maybe<Map_Effect_Type_Variance_Fields>;
};
/** aggregate fields of "map_effect_type" */
export type Map_Effect_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Effect_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Map_Effect_Type_Avg_Fields = {
    __typename?: 'map_effect_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "map_effect_type". All fields are combined with a logical 'AND'. */
export type Map_Effect_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Effect_Type_Bool_Exp>>;
    _not?: InputMaybe<Map_Effect_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Effect_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_on_entire_map?: InputMaybe<Boolean_Comparison_Exp>;
    is_on_line?: InputMaybe<Boolean_Comparison_Exp>;
    is_on_point?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "map_effect_type" */
export declare enum Map_Effect_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapEffectTypePkey = "map_effect_type_pkey"
}
/** input type for incrementing numeric columns in table "map_effect_type" */
export type Map_Effect_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_effect_type" */
export type Map_Effect_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_on_entire_map?: InputMaybe<Scalars['Boolean']>;
    is_on_line?: InputMaybe<Scalars['Boolean']>;
    is_on_point?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Map_Effect_Type_Max_Fields = {
    __typename?: 'map_effect_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Map_Effect_Type_Min_Fields = {
    __typename?: 'map_effect_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "map_effect_type" */
export type Map_Effect_Type_Mutation_Response = {
    __typename?: 'map_effect_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Effect_Type>;
};
/** input type for inserting object relation for remote table "map_effect_type" */
export type Map_Effect_Type_Obj_Rel_Insert_Input = {
    data: Map_Effect_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Effect_Type_On_Conflict>;
};
/** on_conflict condition type for table "map_effect_type" */
export type Map_Effect_Type_On_Conflict = {
    constraint: Map_Effect_Type_Constraint;
    update_columns?: Array<Map_Effect_Type_Update_Column>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "map_effect_type". */
export type Map_Effect_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_on_entire_map?: InputMaybe<Order_By>;
    is_on_line?: InputMaybe<Order_By>;
    is_on_point?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map_effect_type */
export type Map_Effect_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_effect_type" */
export declare enum Map_Effect_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsOnEntireMap = "is_on_entire_map",
    /** column name */
    IsOnLine = "is_on_line",
    /** column name */
    IsOnPoint = "is_on_point",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "map_effect_type" */
export type Map_Effect_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_on_entire_map?: InputMaybe<Scalars['Boolean']>;
    is_on_line?: InputMaybe<Scalars['Boolean']>;
    is_on_point?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Map_Effect_Type_Stddev_Fields = {
    __typename?: 'map_effect_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Map_Effect_Type_Stddev_Pop_Fields = {
    __typename?: 'map_effect_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Map_Effect_Type_Stddev_Samp_Fields = {
    __typename?: 'map_effect_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "map_effect_type" */
export type Map_Effect_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Effect_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Effect_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_on_entire_map?: InputMaybe<Scalars['Boolean']>;
    is_on_line?: InputMaybe<Scalars['Boolean']>;
    is_on_point?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Map_Effect_Type_Sum_Fields = {
    __typename?: 'map_effect_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "map_effect_type" */
export declare enum Map_Effect_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsOnEntireMap = "is_on_entire_map",
    /** column name */
    IsOnLine = "is_on_line",
    /** column name */
    IsOnPoint = "is_on_point",
    /** column name */
    Name = "name"
}
export type Map_Effect_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Effect_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Effect_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Effect_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Effect_Type_Var_Pop_Fields = {
    __typename?: 'map_effect_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Map_Effect_Type_Var_Samp_Fields = {
    __typename?: 'map_effect_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Map_Effect_Type_Variance_Fields = {
    __typename?: 'map_effect_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "map_effect" */
export declare enum Map_Effect_Update_Column {
    /** column name */
    ConditionTypeId = "condition_type_id",
    /** column name */
    FinishingMapItemId = "finishing_map_item_id",
    /** column name */
    Id = "id",
    /** column name */
    MapEffectTypeId = "map_effect_type_id",
    /** column name */
    StartingMapItemId = "starting_map_item_id"
}
export type Map_Effect_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Effect_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Effect_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Effect_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Effect_Var_Pop_Fields = {
    __typename?: 'map_effect_var_pop_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Map_Effect_Var_Samp_Fields = {
    __typename?: 'map_effect_var_samp_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Map_Effect_Variance_Fields = {
    __typename?: 'map_effect_variance_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** input type for incrementing numeric columns in table "map" */
export type Map_Inc_Input = {
    default_interface_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map" */
export type Map_Insert_Input = {
    default_interface_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    interfaceType?: InputMaybe<Interface_Type_Obj_Rel_Insert_Input>;
    mapItems?: InputMaybe<Map_Item_Arr_Rel_Insert_Input>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** columns and relationships of "map_item" */
export type Map_Item = {
    __typename?: 'map_item';
    /** An array relationship */
    animations: Array<Map_Item_Animation>;
    /** An aggregate relationship */
    animations_aggregate: Map_Item_Animation_Aggregate;
    asset_name?: Maybe<Scalars['String']>;
    control_point?: Maybe<Scalars['String']>;
    depth?: Maybe<Scalars['Int']>;
    /** An object relationship */
    effect?: Maybe<Map_Effect>;
    effect_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    flag?: Maybe<Flag>;
    flag_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    gis: Rooadmap_Gis_Map_Item;
    gis_id: Scalars['Int'];
    has_single_content?: Maybe<Scalars['Boolean']>;
    has_single_type?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    is_asset?: Maybe<Scalars['Boolean']>;
    is_background?: Maybe<Scalars['Boolean']>;
    is_bitmap?: Maybe<Scalars['Boolean']>;
    is_complex?: Maybe<Scalars['Boolean']>;
    is_effect_item?: Maybe<Scalars['Boolean']>;
    is_public?: Maybe<Scalars['Boolean']>;
    is_svg?: Maybe<Scalars['Boolean']>;
    is_text?: Maybe<Scalars['Boolean']>;
    is_youtube?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    map?: Maybe<Map>;
    map_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    piece?: Maybe<Piece>;
    piece_id?: Maybe<Scalars['Int']>;
    relative_height?: Maybe<Scalars['numeric']>;
    relative_width?: Maybe<Scalars['numeric']>;
    relative_x?: Maybe<Scalars['numeric']>;
    relative_y?: Maybe<Scalars['numeric']>;
    resource_url?: Maybe<Scalars['String']>;
    /** An object relationship */
    segment?: Maybe<Segment>;
    segment_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    spot?: Maybe<Spot>;
    spot_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    states: Array<Map_Item_State>;
    /** An aggregate relationship */
    states_aggregate: Map_Item_State_Aggregate;
    text?: Maybe<Scalars['String']>;
    /** An object relationship */
    universe?: Maybe<Universe>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "map_item" */
export type Map_ItemAnimationsArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
/** columns and relationships of "map_item" */
export type Map_ItemAnimations_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
/** columns and relationships of "map_item" */
export type Map_ItemStatesArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
/** columns and relationships of "map_item" */
export type Map_ItemStates_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
/** aggregated selection of "map_item" */
export type Map_Item_Aggregate = {
    __typename?: 'map_item_aggregate';
    aggregate?: Maybe<Map_Item_Aggregate_Fields>;
    nodes: Array<Map_Item>;
};
export type Map_Item_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Map_Item_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Map_Item_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Map_Item_Aggregate_Bool_Exp_Count>;
};
export type Map_Item_Aggregate_Bool_Exp_Bool_And = {
    arguments: Map_Item_Select_Column_Map_Item_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Map_Item_Select_Column_Map_Item_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Map_Item_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "map_item" */
export type Map_Item_Aggregate_Fields = {
    __typename?: 'map_item_aggregate_fields';
    avg?: Maybe<Map_Item_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Item_Max_Fields>;
    min?: Maybe<Map_Item_Min_Fields>;
    stddev?: Maybe<Map_Item_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Item_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Item_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Item_Sum_Fields>;
    var_pop?: Maybe<Map_Item_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Item_Var_Samp_Fields>;
    variance?: Maybe<Map_Item_Variance_Fields>;
};
/** aggregate fields of "map_item" */
export type Map_Item_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Item_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "map_item" */
export type Map_Item_Aggregate_Order_By = {
    avg?: InputMaybe<Map_Item_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Map_Item_Max_Order_By>;
    min?: InputMaybe<Map_Item_Min_Order_By>;
    stddev?: InputMaybe<Map_Item_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Map_Item_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Map_Item_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Map_Item_Sum_Order_By>;
    var_pop?: InputMaybe<Map_Item_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Map_Item_Var_Samp_Order_By>;
    variance?: InputMaybe<Map_Item_Variance_Order_By>;
};
/** columns and relationships of "map_item_animation" */
export type Map_Item_Animation = {
    __typename?: 'map_item_animation';
    animation_stage_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_free: Scalars['Boolean'];
    /** An object relationship */
    mapItem: Map_Item;
    map_item_id: Scalars['Int'];
    name: Scalars['String'];
    /** An object relationship */
    stage?: Maybe<Animation_Stage>;
};
/** aggregated selection of "map_item_animation" */
export type Map_Item_Animation_Aggregate = {
    __typename?: 'map_item_animation_aggregate';
    aggregate?: Maybe<Map_Item_Animation_Aggregate_Fields>;
    nodes: Array<Map_Item_Animation>;
};
export type Map_Item_Animation_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Map_Item_Animation_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Map_Item_Animation_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Map_Item_Animation_Aggregate_Bool_Exp_Count>;
};
export type Map_Item_Animation_Aggregate_Bool_Exp_Bool_And = {
    arguments: Map_Item_Animation_Select_Column_Map_Item_Animation_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Animation_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_Animation_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Map_Item_Animation_Select_Column_Map_Item_Animation_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Animation_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_Animation_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Animation_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "map_item_animation" */
export type Map_Item_Animation_Aggregate_Fields = {
    __typename?: 'map_item_animation_aggregate_fields';
    avg?: Maybe<Map_Item_Animation_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Item_Animation_Max_Fields>;
    min?: Maybe<Map_Item_Animation_Min_Fields>;
    stddev?: Maybe<Map_Item_Animation_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Item_Animation_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Item_Animation_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Item_Animation_Sum_Fields>;
    var_pop?: Maybe<Map_Item_Animation_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Item_Animation_Var_Samp_Fields>;
    variance?: Maybe<Map_Item_Animation_Variance_Fields>;
};
/** aggregate fields of "map_item_animation" */
export type Map_Item_Animation_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "map_item_animation" */
export type Map_Item_Animation_Aggregate_Order_By = {
    avg?: InputMaybe<Map_Item_Animation_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Map_Item_Animation_Max_Order_By>;
    min?: InputMaybe<Map_Item_Animation_Min_Order_By>;
    stddev?: InputMaybe<Map_Item_Animation_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Map_Item_Animation_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Map_Item_Animation_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Map_Item_Animation_Sum_Order_By>;
    var_pop?: InputMaybe<Map_Item_Animation_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Map_Item_Animation_Var_Samp_Order_By>;
    variance?: InputMaybe<Map_Item_Animation_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "map_item_animation" */
export type Map_Item_Animation_Arr_Rel_Insert_Input = {
    data: Array<Map_Item_Animation_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Item_Animation_On_Conflict>;
};
/** aggregate avg on columns */
export type Map_Item_Animation_Avg_Fields = {
    __typename?: 'map_item_animation_avg_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "map_item_animation" */
export type Map_Item_Animation_Avg_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "map_item_animation". All fields are combined with a logical 'AND'. */
export type Map_Item_Animation_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Item_Animation_Bool_Exp>>;
    _not?: InputMaybe<Map_Item_Animation_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Item_Animation_Bool_Exp>>;
    animation_stage_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_free?: InputMaybe<Boolean_Comparison_Exp>;
    mapItem?: InputMaybe<Map_Item_Bool_Exp>;
    map_item_id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    stage?: InputMaybe<Animation_Stage_Bool_Exp>;
};
/** unique or primary key constraints on table "map_item_animation" */
export declare enum Map_Item_Animation_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapItemAnimationPkey = "map_item_animation_pkey"
}
/** input type for incrementing numeric columns in table "map_item_animation" */
export type Map_Item_Animation_Inc_Input = {
    animation_stage_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_item_animation" */
export type Map_Item_Animation_Insert_Input = {
    animation_stage_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    mapItem?: InputMaybe<Map_Item_Obj_Rel_Insert_Input>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    stage?: InputMaybe<Animation_Stage_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Map_Item_Animation_Max_Fields = {
    __typename?: 'map_item_animation_max_fields';
    animation_stage_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "map_item_animation" */
export type Map_Item_Animation_Max_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Map_Item_Animation_Min_Fields = {
    __typename?: 'map_item_animation_min_fields';
    animation_stage_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "map_item_animation" */
export type Map_Item_Animation_Min_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "map_item_animation" */
export type Map_Item_Animation_Mutation_Response = {
    __typename?: 'map_item_animation_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Item_Animation>;
};
/** on_conflict condition type for table "map_item_animation" */
export type Map_Item_Animation_On_Conflict = {
    constraint: Map_Item_Animation_Constraint;
    update_columns?: Array<Map_Item_Animation_Update_Column>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
/** Ordering options when selecting data from "map_item_animation". */
export type Map_Item_Animation_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_free?: InputMaybe<Order_By>;
    mapItem?: InputMaybe<Map_Item_Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    stage?: InputMaybe<Animation_Stage_Order_By>;
};
/** primary key columns input for table: map_item_animation */
export type Map_Item_Animation_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_item_animation" */
export declare enum Map_Item_Animation_Select_Column {
    /** column name */
    AnimationStageId = "animation_stage_id",
    /** column name */
    Id = "id",
    /** column name */
    IsFree = "is_free",
    /** column name */
    MapItemId = "map_item_id",
    /** column name */
    Name = "name"
}
/** select "map_item_animation_aggregate_bool_exp_bool_and_arguments_columns" columns of table "map_item_animation" */
export declare enum Map_Item_Animation_Select_Column_Map_Item_Animation_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsFree = "is_free"
}
/** select "map_item_animation_aggregate_bool_exp_bool_or_arguments_columns" columns of table "map_item_animation" */
export declare enum Map_Item_Animation_Select_Column_Map_Item_Animation_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsFree = "is_free"
}
/** input type for updating data in table "map_item_animation" */
export type Map_Item_Animation_Set_Input = {
    animation_stage_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Map_Item_Animation_Stddev_Fields = {
    __typename?: 'map_item_animation_stddev_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "map_item_animation" */
export type Map_Item_Animation_Stddev_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Map_Item_Animation_Stddev_Pop_Fields = {
    __typename?: 'map_item_animation_stddev_pop_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "map_item_animation" */
export type Map_Item_Animation_Stddev_Pop_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Map_Item_Animation_Stddev_Samp_Fields = {
    __typename?: 'map_item_animation_stddev_samp_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "map_item_animation" */
export type Map_Item_Animation_Stddev_Samp_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "map_item_animation" */
export type Map_Item_Animation_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Item_Animation_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Item_Animation_Stream_Cursor_Value_Input = {
    animation_stage_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Map_Item_Animation_Sum_Fields = {
    __typename?: 'map_item_animation_sum_fields';
    animation_stage_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "map_item_animation" */
export type Map_Item_Animation_Sum_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** update columns of table "map_item_animation" */
export declare enum Map_Item_Animation_Update_Column {
    /** column name */
    AnimationStageId = "animation_stage_id",
    /** column name */
    Id = "id",
    /** column name */
    IsFree = "is_free",
    /** column name */
    MapItemId = "map_item_id",
    /** column name */
    Name = "name"
}
export type Map_Item_Animation_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Item_Animation_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Item_Animation_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Item_Animation_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Item_Animation_Var_Pop_Fields = {
    __typename?: 'map_item_animation_var_pop_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "map_item_animation" */
export type Map_Item_Animation_Var_Pop_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Map_Item_Animation_Var_Samp_Fields = {
    __typename?: 'map_item_animation_var_samp_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "map_item_animation" */
export type Map_Item_Animation_Var_Samp_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Map_Item_Animation_Variance_Fields = {
    __typename?: 'map_item_animation_variance_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "map_item_animation" */
export type Map_Item_Animation_Variance_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** input type for inserting array relation for remote table "map_item" */
export type Map_Item_Arr_Rel_Insert_Input = {
    data: Array<Map_Item_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Item_On_Conflict>;
};
/** aggregate avg on columns */
export type Map_Item_Avg_Fields = {
    __typename?: 'map_item_avg_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "map_item" */
export type Map_Item_Avg_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "map_item". All fields are combined with a logical 'AND'. */
export type Map_Item_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Item_Bool_Exp>>;
    _not?: InputMaybe<Map_Item_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Item_Bool_Exp>>;
    animations?: InputMaybe<Map_Item_Animation_Bool_Exp>;
    animations_aggregate?: InputMaybe<Map_Item_Animation_Aggregate_Bool_Exp>;
    asset_name?: InputMaybe<String_Comparison_Exp>;
    control_point?: InputMaybe<String_Comparison_Exp>;
    depth?: InputMaybe<Int_Comparison_Exp>;
    effect?: InputMaybe<Map_Effect_Bool_Exp>;
    effect_id?: InputMaybe<Int_Comparison_Exp>;
    flag?: InputMaybe<Flag_Bool_Exp>;
    flag_id?: InputMaybe<Int_Comparison_Exp>;
    gis?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
    gis_id?: InputMaybe<Int_Comparison_Exp>;
    has_single_content?: InputMaybe<Boolean_Comparison_Exp>;
    has_single_type?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_asset?: InputMaybe<Boolean_Comparison_Exp>;
    is_background?: InputMaybe<Boolean_Comparison_Exp>;
    is_bitmap?: InputMaybe<Boolean_Comparison_Exp>;
    is_complex?: InputMaybe<Boolean_Comparison_Exp>;
    is_effect_item?: InputMaybe<Boolean_Comparison_Exp>;
    is_public?: InputMaybe<Boolean_Comparison_Exp>;
    is_svg?: InputMaybe<Boolean_Comparison_Exp>;
    is_text?: InputMaybe<Boolean_Comparison_Exp>;
    is_youtube?: InputMaybe<Boolean_Comparison_Exp>;
    map?: InputMaybe<Map_Bool_Exp>;
    map_id?: InputMaybe<Int_Comparison_Exp>;
    piece?: InputMaybe<Piece_Bool_Exp>;
    piece_id?: InputMaybe<Int_Comparison_Exp>;
    relative_height?: InputMaybe<Numeric_Comparison_Exp>;
    relative_width?: InputMaybe<Numeric_Comparison_Exp>;
    relative_x?: InputMaybe<Numeric_Comparison_Exp>;
    relative_y?: InputMaybe<Numeric_Comparison_Exp>;
    resource_url?: InputMaybe<String_Comparison_Exp>;
    segment?: InputMaybe<Segment_Bool_Exp>;
    segment_id?: InputMaybe<Int_Comparison_Exp>;
    spot?: InputMaybe<Spot_Bool_Exp>;
    spot_id?: InputMaybe<Int_Comparison_Exp>;
    states?: InputMaybe<Map_Item_State_Bool_Exp>;
    states_aggregate?: InputMaybe<Map_Item_State_Aggregate_Bool_Exp>;
    text?: InputMaybe<String_Comparison_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "map_item" */
export declare enum Map_Item_Constraint {
    /** unique or primary key constraint on columns "gis_id" */
    MapItemGisIdKey = "map_item_gis_id_key",
    /** unique or primary key constraint on columns "piece_id" */
    MapItemPieceIdKey = "map_item_piece_id_key",
    /** unique or primary key constraint on columns "id" */
    MapItemPkey = "map_item_pkey"
}
/** input type for incrementing numeric columns in table "map_item" */
export type Map_Item_Inc_Input = {
    depth?: InputMaybe<Scalars['Int']>;
    effect_id?: InputMaybe<Scalars['Int']>;
    flag_id?: InputMaybe<Scalars['Int']>;
    gis_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
    relative_height?: InputMaybe<Scalars['numeric']>;
    relative_width?: InputMaybe<Scalars['numeric']>;
    relative_x?: InputMaybe<Scalars['numeric']>;
    relative_y?: InputMaybe<Scalars['numeric']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_item" */
export type Map_Item_Insert_Input = {
    animations?: InputMaybe<Map_Item_Animation_Arr_Rel_Insert_Input>;
    asset_name?: InputMaybe<Scalars['String']>;
    control_point?: InputMaybe<Scalars['String']>;
    depth?: InputMaybe<Scalars['Int']>;
    effect?: InputMaybe<Map_Effect_Obj_Rel_Insert_Input>;
    effect_id?: InputMaybe<Scalars['Int']>;
    flag?: InputMaybe<Flag_Obj_Rel_Insert_Input>;
    flag_id?: InputMaybe<Scalars['Int']>;
    gis?: InputMaybe<Rooadmap_Gis_Map_Item_Obj_Rel_Insert_Input>;
    gis_id?: InputMaybe<Scalars['Int']>;
    has_single_content?: InputMaybe<Scalars['Boolean']>;
    has_single_type?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_asset?: InputMaybe<Scalars['Boolean']>;
    is_background?: InputMaybe<Scalars['Boolean']>;
    is_bitmap?: InputMaybe<Scalars['Boolean']>;
    is_complex?: InputMaybe<Scalars['Boolean']>;
    is_effect_item?: InputMaybe<Scalars['Boolean']>;
    is_public?: InputMaybe<Scalars['Boolean']>;
    is_svg?: InputMaybe<Scalars['Boolean']>;
    is_text?: InputMaybe<Scalars['Boolean']>;
    is_youtube?: InputMaybe<Scalars['Boolean']>;
    map?: InputMaybe<Map_Obj_Rel_Insert_Input>;
    map_id?: InputMaybe<Scalars['Int']>;
    piece?: InputMaybe<Piece_Obj_Rel_Insert_Input>;
    piece_id?: InputMaybe<Scalars['Int']>;
    relative_height?: InputMaybe<Scalars['numeric']>;
    relative_width?: InputMaybe<Scalars['numeric']>;
    relative_x?: InputMaybe<Scalars['numeric']>;
    relative_y?: InputMaybe<Scalars['numeric']>;
    resource_url?: InputMaybe<Scalars['String']>;
    segment?: InputMaybe<Segment_Obj_Rel_Insert_Input>;
    segment_id?: InputMaybe<Scalars['Int']>;
    spot?: InputMaybe<Spot_Obj_Rel_Insert_Input>;
    spot_id?: InputMaybe<Scalars['Int']>;
    states?: InputMaybe<Map_Item_State_Arr_Rel_Insert_Input>;
    text?: InputMaybe<Scalars['String']>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Map_Item_Max_Fields = {
    __typename?: 'map_item_max_fields';
    asset_name?: Maybe<Scalars['String']>;
    control_point?: Maybe<Scalars['String']>;
    depth?: Maybe<Scalars['Int']>;
    effect_id?: Maybe<Scalars['Int']>;
    flag_id?: Maybe<Scalars['Int']>;
    gis_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
    relative_height?: Maybe<Scalars['numeric']>;
    relative_width?: Maybe<Scalars['numeric']>;
    relative_x?: Maybe<Scalars['numeric']>;
    relative_y?: Maybe<Scalars['numeric']>;
    resource_url?: Maybe<Scalars['String']>;
    segment_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "map_item" */
export type Map_Item_Max_Order_By = {
    asset_name?: InputMaybe<Order_By>;
    control_point?: InputMaybe<Order_By>;
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    resource_url?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    text?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Map_Item_Min_Fields = {
    __typename?: 'map_item_min_fields';
    asset_name?: Maybe<Scalars['String']>;
    control_point?: Maybe<Scalars['String']>;
    depth?: Maybe<Scalars['Int']>;
    effect_id?: Maybe<Scalars['Int']>;
    flag_id?: Maybe<Scalars['Int']>;
    gis_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
    relative_height?: Maybe<Scalars['numeric']>;
    relative_width?: Maybe<Scalars['numeric']>;
    relative_x?: Maybe<Scalars['numeric']>;
    relative_y?: Maybe<Scalars['numeric']>;
    resource_url?: Maybe<Scalars['String']>;
    segment_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "map_item" */
export type Map_Item_Min_Order_By = {
    asset_name?: InputMaybe<Order_By>;
    control_point?: InputMaybe<Order_By>;
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    resource_url?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    text?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "map_item" */
export type Map_Item_Mutation_Response = {
    __typename?: 'map_item_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Item>;
};
/** input type for inserting object relation for remote table "map_item" */
export type Map_Item_Obj_Rel_Insert_Input = {
    data: Map_Item_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Item_On_Conflict>;
};
/** on_conflict condition type for table "map_item" */
export type Map_Item_On_Conflict = {
    constraint: Map_Item_Constraint;
    update_columns?: Array<Map_Item_Update_Column>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
/** Ordering options when selecting data from "map_item". */
export type Map_Item_Order_By = {
    animations_aggregate?: InputMaybe<Map_Item_Animation_Aggregate_Order_By>;
    asset_name?: InputMaybe<Order_By>;
    control_point?: InputMaybe<Order_By>;
    depth?: InputMaybe<Order_By>;
    effect?: InputMaybe<Map_Effect_Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag?: InputMaybe<Flag_Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis?: InputMaybe<Rooadmap_Gis_Map_Item_Order_By>;
    gis_id?: InputMaybe<Order_By>;
    has_single_content?: InputMaybe<Order_By>;
    has_single_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_asset?: InputMaybe<Order_By>;
    is_background?: InputMaybe<Order_By>;
    is_bitmap?: InputMaybe<Order_By>;
    is_complex?: InputMaybe<Order_By>;
    is_effect_item?: InputMaybe<Order_By>;
    is_public?: InputMaybe<Order_By>;
    is_svg?: InputMaybe<Order_By>;
    is_text?: InputMaybe<Order_By>;
    is_youtube?: InputMaybe<Order_By>;
    map?: InputMaybe<Map_Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece?: InputMaybe<Piece_Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    resource_url?: InputMaybe<Order_By>;
    segment?: InputMaybe<Segment_Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot?: InputMaybe<Spot_Order_By>;
    spot_id?: InputMaybe<Order_By>;
    states_aggregate?: InputMaybe<Map_Item_State_Aggregate_Order_By>;
    text?: InputMaybe<Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map_item */
export type Map_Item_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_item" */
export declare enum Map_Item_Select_Column {
    /** column name */
    AssetName = "asset_name",
    /** column name */
    ControlPoint = "control_point",
    /** column name */
    Depth = "depth",
    /** column name */
    EffectId = "effect_id",
    /** column name */
    FlagId = "flag_id",
    /** column name */
    GisId = "gis_id",
    /** column name */
    HasSingleContent = "has_single_content",
    /** column name */
    HasSingleType = "has_single_type",
    /** column name */
    Id = "id",
    /** column name */
    IsAsset = "is_asset",
    /** column name */
    IsBackground = "is_background",
    /** column name */
    IsBitmap = "is_bitmap",
    /** column name */
    IsComplex = "is_complex",
    /** column name */
    IsEffectItem = "is_effect_item",
    /** column name */
    IsPublic = "is_public",
    /** column name */
    IsSvg = "is_svg",
    /** column name */
    IsText = "is_text",
    /** column name */
    IsYoutube = "is_youtube",
    /** column name */
    MapId = "map_id",
    /** column name */
    PieceId = "piece_id",
    /** column name */
    RelativeHeight = "relative_height",
    /** column name */
    RelativeWidth = "relative_width",
    /** column name */
    RelativeX = "relative_x",
    /** column name */
    RelativeY = "relative_y",
    /** column name */
    ResourceUrl = "resource_url",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    SpotId = "spot_id",
    /** column name */
    Text = "text",
    /** column name */
    UniverseId = "universe_id"
}
/** select "map_item_aggregate_bool_exp_bool_and_arguments_columns" columns of table "map_item" */
export declare enum Map_Item_Select_Column_Map_Item_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    HasSingleContent = "has_single_content",
    /** column name */
    HasSingleType = "has_single_type",
    /** column name */
    IsAsset = "is_asset",
    /** column name */
    IsBackground = "is_background",
    /** column name */
    IsBitmap = "is_bitmap",
    /** column name */
    IsComplex = "is_complex",
    /** column name */
    IsEffectItem = "is_effect_item",
    /** column name */
    IsPublic = "is_public",
    /** column name */
    IsSvg = "is_svg",
    /** column name */
    IsText = "is_text",
    /** column name */
    IsYoutube = "is_youtube"
}
/** select "map_item_aggregate_bool_exp_bool_or_arguments_columns" columns of table "map_item" */
export declare enum Map_Item_Select_Column_Map_Item_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    HasSingleContent = "has_single_content",
    /** column name */
    HasSingleType = "has_single_type",
    /** column name */
    IsAsset = "is_asset",
    /** column name */
    IsBackground = "is_background",
    /** column name */
    IsBitmap = "is_bitmap",
    /** column name */
    IsComplex = "is_complex",
    /** column name */
    IsEffectItem = "is_effect_item",
    /** column name */
    IsPublic = "is_public",
    /** column name */
    IsSvg = "is_svg",
    /** column name */
    IsText = "is_text",
    /** column name */
    IsYoutube = "is_youtube"
}
/** input type for updating data in table "map_item" */
export type Map_Item_Set_Input = {
    asset_name?: InputMaybe<Scalars['String']>;
    control_point?: InputMaybe<Scalars['String']>;
    depth?: InputMaybe<Scalars['Int']>;
    effect_id?: InputMaybe<Scalars['Int']>;
    flag_id?: InputMaybe<Scalars['Int']>;
    gis_id?: InputMaybe<Scalars['Int']>;
    has_single_content?: InputMaybe<Scalars['Boolean']>;
    has_single_type?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_asset?: InputMaybe<Scalars['Boolean']>;
    is_background?: InputMaybe<Scalars['Boolean']>;
    is_bitmap?: InputMaybe<Scalars['Boolean']>;
    is_complex?: InputMaybe<Scalars['Boolean']>;
    is_effect_item?: InputMaybe<Scalars['Boolean']>;
    is_public?: InputMaybe<Scalars['Boolean']>;
    is_svg?: InputMaybe<Scalars['Boolean']>;
    is_text?: InputMaybe<Scalars['Boolean']>;
    is_youtube?: InputMaybe<Scalars['Boolean']>;
    map_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
    relative_height?: InputMaybe<Scalars['numeric']>;
    relative_width?: InputMaybe<Scalars['numeric']>;
    relative_x?: InputMaybe<Scalars['numeric']>;
    relative_y?: InputMaybe<Scalars['numeric']>;
    resource_url?: InputMaybe<Scalars['String']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** columns and relationships of "map_item_state" */
export type Map_Item_State = {
    __typename?: 'map_item_state';
    id: Scalars['Int'];
    map_item_id: Scalars['Int'];
    user_id: Scalars['Int'];
    visibility: Scalars['Boolean'];
};
/** aggregated selection of "map_item_state" */
export type Map_Item_State_Aggregate = {
    __typename?: 'map_item_state_aggregate';
    aggregate?: Maybe<Map_Item_State_Aggregate_Fields>;
    nodes: Array<Map_Item_State>;
};
export type Map_Item_State_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Map_Item_State_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Map_Item_State_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Map_Item_State_Aggregate_Bool_Exp_Count>;
};
export type Map_Item_State_Aggregate_Bool_Exp_Bool_And = {
    arguments: Map_Item_State_Select_Column_Map_Item_State_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_State_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_State_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Map_Item_State_Select_Column_Map_Item_State_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_State_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_State_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_State_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "map_item_state" */
export type Map_Item_State_Aggregate_Fields = {
    __typename?: 'map_item_state_aggregate_fields';
    avg?: Maybe<Map_Item_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Item_State_Max_Fields>;
    min?: Maybe<Map_Item_State_Min_Fields>;
    stddev?: Maybe<Map_Item_State_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Item_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Item_State_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Item_State_Sum_Fields>;
    var_pop?: Maybe<Map_Item_State_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Item_State_Var_Samp_Fields>;
    variance?: Maybe<Map_Item_State_Variance_Fields>;
};
/** aggregate fields of "map_item_state" */
export type Map_Item_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "map_item_state" */
export type Map_Item_State_Aggregate_Order_By = {
    avg?: InputMaybe<Map_Item_State_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Map_Item_State_Max_Order_By>;
    min?: InputMaybe<Map_Item_State_Min_Order_By>;
    stddev?: InputMaybe<Map_Item_State_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Map_Item_State_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Map_Item_State_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Map_Item_State_Sum_Order_By>;
    var_pop?: InputMaybe<Map_Item_State_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Map_Item_State_Var_Samp_Order_By>;
    variance?: InputMaybe<Map_Item_State_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "map_item_state" */
export type Map_Item_State_Arr_Rel_Insert_Input = {
    data: Array<Map_Item_State_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Item_State_On_Conflict>;
};
/** aggregate avg on columns */
export type Map_Item_State_Avg_Fields = {
    __typename?: 'map_item_state_avg_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "map_item_state" */
export type Map_Item_State_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "map_item_state". All fields are combined with a logical 'AND'. */
export type Map_Item_State_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Item_State_Bool_Exp>>;
    _not?: InputMaybe<Map_Item_State_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Item_State_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    map_item_id?: InputMaybe<Int_Comparison_Exp>;
    user_id?: InputMaybe<Int_Comparison_Exp>;
    visibility?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "map_item_state" */
export declare enum Map_Item_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapItemStatePkey = "map_item_state_pkey"
}
/** input type for incrementing numeric columns in table "map_item_state" */
export type Map_Item_State_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_item_state" */
export type Map_Item_State_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
    visibility?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Map_Item_State_Max_Fields = {
    __typename?: 'map_item_state_max_fields';
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "map_item_state" */
export type Map_Item_State_Max_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Map_Item_State_Min_Fields = {
    __typename?: 'map_item_state_min_fields';
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "map_item_state" */
export type Map_Item_State_Min_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "map_item_state" */
export type Map_Item_State_Mutation_Response = {
    __typename?: 'map_item_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Item_State>;
};
/** on_conflict condition type for table "map_item_state" */
export type Map_Item_State_On_Conflict = {
    constraint: Map_Item_State_Constraint;
    update_columns?: Array<Map_Item_State_Update_Column>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
/** Ordering options when selecting data from "map_item_state". */
export type Map_Item_State_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
    visibility?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map_item_state */
export type Map_Item_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_item_state" */
export declare enum Map_Item_State_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    MapItemId = "map_item_id",
    /** column name */
    UserId = "user_id",
    /** column name */
    Visibility = "visibility"
}
/** select "map_item_state_aggregate_bool_exp_bool_and_arguments_columns" columns of table "map_item_state" */
export declare enum Map_Item_State_Select_Column_Map_Item_State_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    Visibility = "visibility"
}
/** select "map_item_state_aggregate_bool_exp_bool_or_arguments_columns" columns of table "map_item_state" */
export declare enum Map_Item_State_Select_Column_Map_Item_State_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    Visibility = "visibility"
}
/** input type for updating data in table "map_item_state" */
export type Map_Item_State_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
    visibility?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Map_Item_State_Stddev_Fields = {
    __typename?: 'map_item_state_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "map_item_state" */
export type Map_Item_State_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Map_Item_State_Stddev_Pop_Fields = {
    __typename?: 'map_item_state_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "map_item_state" */
export type Map_Item_State_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Map_Item_State_Stddev_Samp_Fields = {
    __typename?: 'map_item_state_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "map_item_state" */
export type Map_Item_State_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "map_item_state" */
export type Map_Item_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Item_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Item_State_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
    visibility?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Map_Item_State_Sum_Fields = {
    __typename?: 'map_item_state_sum_fields';
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "map_item_state" */
export type Map_Item_State_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** update columns of table "map_item_state" */
export declare enum Map_Item_State_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    MapItemId = "map_item_id",
    /** column name */
    UserId = "user_id",
    /** column name */
    Visibility = "visibility"
}
export type Map_Item_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Item_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Item_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Item_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Item_State_Var_Pop_Fields = {
    __typename?: 'map_item_state_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "map_item_state" */
export type Map_Item_State_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Map_Item_State_Var_Samp_Fields = {
    __typename?: 'map_item_state_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "map_item_state" */
export type Map_Item_State_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Map_Item_State_Variance_Fields = {
    __typename?: 'map_item_state_variance_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "map_item_state" */
export type Map_Item_State_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev on columns */
export type Map_Item_Stddev_Fields = {
    __typename?: 'map_item_stddev_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "map_item" */
export type Map_Item_Stddev_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Map_Item_Stddev_Pop_Fields = {
    __typename?: 'map_item_stddev_pop_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "map_item" */
export type Map_Item_Stddev_Pop_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Map_Item_Stddev_Samp_Fields = {
    __typename?: 'map_item_stddev_samp_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "map_item" */
export type Map_Item_Stddev_Samp_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "map_item" */
export type Map_Item_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Item_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Item_Stream_Cursor_Value_Input = {
    asset_name?: InputMaybe<Scalars['String']>;
    control_point?: InputMaybe<Scalars['String']>;
    depth?: InputMaybe<Scalars['Int']>;
    effect_id?: InputMaybe<Scalars['Int']>;
    flag_id?: InputMaybe<Scalars['Int']>;
    gis_id?: InputMaybe<Scalars['Int']>;
    has_single_content?: InputMaybe<Scalars['Boolean']>;
    has_single_type?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_asset?: InputMaybe<Scalars['Boolean']>;
    is_background?: InputMaybe<Scalars['Boolean']>;
    is_bitmap?: InputMaybe<Scalars['Boolean']>;
    is_complex?: InputMaybe<Scalars['Boolean']>;
    is_effect_item?: InputMaybe<Scalars['Boolean']>;
    is_public?: InputMaybe<Scalars['Boolean']>;
    is_svg?: InputMaybe<Scalars['Boolean']>;
    is_text?: InputMaybe<Scalars['Boolean']>;
    is_youtube?: InputMaybe<Scalars['Boolean']>;
    map_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
    relative_height?: InputMaybe<Scalars['numeric']>;
    relative_width?: InputMaybe<Scalars['numeric']>;
    relative_x?: InputMaybe<Scalars['numeric']>;
    relative_y?: InputMaybe<Scalars['numeric']>;
    resource_url?: InputMaybe<Scalars['String']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Map_Item_Sum_Fields = {
    __typename?: 'map_item_sum_fields';
    depth?: Maybe<Scalars['Int']>;
    effect_id?: Maybe<Scalars['Int']>;
    flag_id?: Maybe<Scalars['Int']>;
    gis_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
    relative_height?: Maybe<Scalars['numeric']>;
    relative_width?: Maybe<Scalars['numeric']>;
    relative_x?: Maybe<Scalars['numeric']>;
    relative_y?: Maybe<Scalars['numeric']>;
    segment_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "map_item" */
export type Map_Item_Sum_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** update columns of table "map_item" */
export declare enum Map_Item_Update_Column {
    /** column name */
    AssetName = "asset_name",
    /** column name */
    ControlPoint = "control_point",
    /** column name */
    Depth = "depth",
    /** column name */
    EffectId = "effect_id",
    /** column name */
    FlagId = "flag_id",
    /** column name */
    GisId = "gis_id",
    /** column name */
    HasSingleContent = "has_single_content",
    /** column name */
    HasSingleType = "has_single_type",
    /** column name */
    Id = "id",
    /** column name */
    IsAsset = "is_asset",
    /** column name */
    IsBackground = "is_background",
    /** column name */
    IsBitmap = "is_bitmap",
    /** column name */
    IsComplex = "is_complex",
    /** column name */
    IsEffectItem = "is_effect_item",
    /** column name */
    IsPublic = "is_public",
    /** column name */
    IsSvg = "is_svg",
    /** column name */
    IsText = "is_text",
    /** column name */
    IsYoutube = "is_youtube",
    /** column name */
    MapId = "map_id",
    /** column name */
    PieceId = "piece_id",
    /** column name */
    RelativeHeight = "relative_height",
    /** column name */
    RelativeWidth = "relative_width",
    /** column name */
    RelativeX = "relative_x",
    /** column name */
    RelativeY = "relative_y",
    /** column name */
    ResourceUrl = "resource_url",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    SpotId = "spot_id",
    /** column name */
    Text = "text",
    /** column name */
    UniverseId = "universe_id"
}
export type Map_Item_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Item_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Item_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Item_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Item_Var_Pop_Fields = {
    __typename?: 'map_item_var_pop_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "map_item" */
export type Map_Item_Var_Pop_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Map_Item_Var_Samp_Fields = {
    __typename?: 'map_item_var_samp_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "map_item" */
export type Map_Item_Var_Samp_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Map_Item_Variance_Fields = {
    __typename?: 'map_item_variance_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "map_item" */
export type Map_Item_Variance_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate max on columns */
export type Map_Max_Fields = {
    __typename?: 'map_max_fields';
    default_interface_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Map_Min_Fields = {
    __typename?: 'map_min_fields';
    default_interface_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "map" */
export type Map_Mutation_Response = {
    __typename?: 'map_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map>;
};
/** input type for inserting object relation for remote table "map" */
export type Map_Obj_Rel_Insert_Input = {
    data: Map_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_On_Conflict>;
};
/** on_conflict condition type for table "map" */
export type Map_On_Conflict = {
    constraint: Map_Constraint;
    update_columns?: Array<Map_Update_Column>;
    where?: InputMaybe<Map_Bool_Exp>;
};
/** Ordering options when selecting data from "map". */
export type Map_Order_By = {
    default_interface_type_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    interfaceType?: InputMaybe<Interface_Type_Order_By>;
    mapItems_aggregate?: InputMaybe<Map_Item_Aggregate_Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map */
export type Map_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map" */
export declare enum Map_Select_Column {
    /** column name */
    DefaultInterfaceTypeId = "default_interface_type_id",
    /** column name */
    Id = "id",
    /** column name */
    UniverseId = "universe_id"
}
/** input type for updating data in table "map" */
export type Map_Set_Input = {
    default_interface_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Map_Stddev_Fields = {
    __typename?: 'map_stddev_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Map_Stddev_Pop_Fields = {
    __typename?: 'map_stddev_pop_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Map_Stddev_Samp_Fields = {
    __typename?: 'map_stddev_samp_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "map" */
export type Map_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Stream_Cursor_Value_Input = {
    default_interface_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Map_Sum_Fields = {
    __typename?: 'map_sum_fields';
    default_interface_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "map" */
export declare enum Map_Update_Column {
    /** column name */
    DefaultInterfaceTypeId = "default_interface_type_id",
    /** column name */
    Id = "id",
    /** column name */
    UniverseId = "universe_id"
}
export type Map_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Var_Pop_Fields = {
    __typename?: 'map_var_pop_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Map_Var_Samp_Fields = {
    __typename?: 'map_var_samp_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Map_Variance_Fields = {
    __typename?: 'map_variance_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "medium_type" */
export type Medium_Type = {
    __typename?: 'medium_type';
    id: Scalars['Int'];
    is_inmap?: Maybe<Scalars['Boolean']>;
    is_outmap?: Maybe<Scalars['Boolean']>;
    medium_type_title?: Maybe<Scalars['String']>;
    require_fo?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "medium_type" */
export type Medium_Type_Aggregate = {
    __typename?: 'medium_type_aggregate';
    aggregate?: Maybe<Medium_Type_Aggregate_Fields>;
    nodes: Array<Medium_Type>;
};
/** aggregate fields of "medium_type" */
export type Medium_Type_Aggregate_Fields = {
    __typename?: 'medium_type_aggregate_fields';
    avg?: Maybe<Medium_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Medium_Type_Max_Fields>;
    min?: Maybe<Medium_Type_Min_Fields>;
    stddev?: Maybe<Medium_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Medium_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Medium_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Medium_Type_Sum_Fields>;
    var_pop?: Maybe<Medium_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Medium_Type_Var_Samp_Fields>;
    variance?: Maybe<Medium_Type_Variance_Fields>;
};
/** aggregate fields of "medium_type" */
export type Medium_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Medium_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Medium_Type_Avg_Fields = {
    __typename?: 'medium_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "medium_type". All fields are combined with a logical 'AND'. */
export type Medium_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Medium_Type_Bool_Exp>>;
    _not?: InputMaybe<Medium_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Medium_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_inmap?: InputMaybe<Boolean_Comparison_Exp>;
    is_outmap?: InputMaybe<Boolean_Comparison_Exp>;
    medium_type_title?: InputMaybe<String_Comparison_Exp>;
    require_fo?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "medium_type" */
export declare enum Medium_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    MediumTypePkey = "medium_type_pkey"
}
/** input type for incrementing numeric columns in table "medium_type" */
export type Medium_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "medium_type" */
export type Medium_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    medium_type_title?: InputMaybe<Scalars['String']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Medium_Type_Max_Fields = {
    __typename?: 'medium_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    medium_type_title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Medium_Type_Min_Fields = {
    __typename?: 'medium_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    medium_type_title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "medium_type" */
export type Medium_Type_Mutation_Response = {
    __typename?: 'medium_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Medium_Type>;
};
/** on_conflict condition type for table "medium_type" */
export type Medium_Type_On_Conflict = {
    constraint: Medium_Type_Constraint;
    update_columns?: Array<Medium_Type_Update_Column>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "medium_type". */
export type Medium_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_inmap?: InputMaybe<Order_By>;
    is_outmap?: InputMaybe<Order_By>;
    medium_type_title?: InputMaybe<Order_By>;
    require_fo?: InputMaybe<Order_By>;
};
/** primary key columns input for table: medium_type */
export type Medium_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "medium_type" */
export declare enum Medium_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsOutmap = "is_outmap",
    /** column name */
    MediumTypeTitle = "medium_type_title",
    /** column name */
    RequireFo = "require_fo"
}
/** input type for updating data in table "medium_type" */
export type Medium_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    medium_type_title?: InputMaybe<Scalars['String']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Medium_Type_Stddev_Fields = {
    __typename?: 'medium_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Medium_Type_Stddev_Pop_Fields = {
    __typename?: 'medium_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Medium_Type_Stddev_Samp_Fields = {
    __typename?: 'medium_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "medium_type" */
export type Medium_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Medium_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Medium_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    medium_type_title?: InputMaybe<Scalars['String']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Medium_Type_Sum_Fields = {
    __typename?: 'medium_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "medium_type" */
export declare enum Medium_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsOutmap = "is_outmap",
    /** column name */
    MediumTypeTitle = "medium_type_title",
    /** column name */
    RequireFo = "require_fo"
}
export type Medium_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Medium_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Medium_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Medium_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Medium_Type_Var_Pop_Fields = {
    __typename?: 'medium_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Medium_Type_Var_Samp_Fields = {
    __typename?: 'medium_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Medium_Type_Variance_Fields = {
    __typename?: 'medium_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "megaphone" */
export type Megaphone = {
    __typename?: 'megaphone';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    text?: Maybe<Scalars['String']>;
    /** An object relationship */
    writer?: Maybe<Treasure_User>;
    writer_treasure_user_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "megaphone" */
export type Megaphone_Aggregate = {
    __typename?: 'megaphone_aggregate';
    aggregate?: Maybe<Megaphone_Aggregate_Fields>;
    nodes: Array<Megaphone>;
};
/** aggregate fields of "megaphone" */
export type Megaphone_Aggregate_Fields = {
    __typename?: 'megaphone_aggregate_fields';
    avg?: Maybe<Megaphone_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Megaphone_Max_Fields>;
    min?: Maybe<Megaphone_Min_Fields>;
    stddev?: Maybe<Megaphone_Stddev_Fields>;
    stddev_pop?: Maybe<Megaphone_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Megaphone_Stddev_Samp_Fields>;
    sum?: Maybe<Megaphone_Sum_Fields>;
    var_pop?: Maybe<Megaphone_Var_Pop_Fields>;
    var_samp?: Maybe<Megaphone_Var_Samp_Fields>;
    variance?: Maybe<Megaphone_Variance_Fields>;
};
/** aggregate fields of "megaphone" */
export type Megaphone_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Megaphone_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Megaphone_Avg_Fields = {
    __typename?: 'megaphone_avg_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "megaphone". All fields are combined with a logical 'AND'. */
export type Megaphone_Bool_Exp = {
    _and?: InputMaybe<Array<Megaphone_Bool_Exp>>;
    _not?: InputMaybe<Megaphone_Bool_Exp>;
    _or?: InputMaybe<Array<Megaphone_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    text?: InputMaybe<String_Comparison_Exp>;
    writer?: InputMaybe<Treasure_User_Bool_Exp>;
    writer_treasure_user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "megaphone" */
export declare enum Megaphone_Constraint {
    /** unique or primary key constraint on columns "id" */
    MegaphonePkey = "megaphone_pkey"
}
/** input type for incrementing numeric columns in table "megaphone" */
export type Megaphone_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    writer_treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "megaphone" */
export type Megaphone_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    writer_treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Megaphone_Max_Fields = {
    __typename?: 'megaphone_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    writer_treasure_user_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Megaphone_Min_Fields = {
    __typename?: 'megaphone_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    writer_treasure_user_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "megaphone" */
export type Megaphone_Mutation_Response = {
    __typename?: 'megaphone_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Megaphone>;
};
/** on_conflict condition type for table "megaphone" */
export type Megaphone_On_Conflict = {
    constraint: Megaphone_Constraint;
    update_columns?: Array<Megaphone_Update_Column>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
/** Ordering options when selecting data from "megaphone". */
export type Megaphone_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    text?: InputMaybe<Order_By>;
    writer?: InputMaybe<Treasure_User_Order_By>;
    writer_treasure_user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: megaphone */
export type Megaphone_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "megaphone" */
export declare enum Megaphone_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Text = "text",
    /** column name */
    WriterTreasureUserId = "writer_treasure_user_id"
}
/** input type for updating data in table "megaphone" */
export type Megaphone_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer_treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Megaphone_Stddev_Fields = {
    __typename?: 'megaphone_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Megaphone_Stddev_Pop_Fields = {
    __typename?: 'megaphone_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Megaphone_Stddev_Samp_Fields = {
    __typename?: 'megaphone_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "megaphone" */
export type Megaphone_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Megaphone_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Megaphone_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer_treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Megaphone_Sum_Fields = {
    __typename?: 'megaphone_sum_fields';
    id?: Maybe<Scalars['Int']>;
    writer_treasure_user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "megaphone" */
export declare enum Megaphone_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Text = "text",
    /** column name */
    WriterTreasureUserId = "writer_treasure_user_id"
}
export type Megaphone_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Megaphone_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Megaphone_Set_Input>;
    /** filter the rows which have to be updated */
    where: Megaphone_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Megaphone_Var_Pop_Fields = {
    __typename?: 'megaphone_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Megaphone_Var_Samp_Fields = {
    __typename?: 'megaphone_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Megaphone_Variance_Fields = {
    __typename?: 'megaphone_variance_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "message" */
export type Message = {
    __typename?: 'message';
    created_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_completed: Scalars['Boolean'];
    /** An object relationship */
    receiver?: Maybe<Treasure_User>;
    receiver_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    sender: Treasure_User;
    sender_id: Scalars['Int'];
    text: Scalars['String'];
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregated selection of "message" */
export type Message_Aggregate = {
    __typename?: 'message_aggregate';
    aggregate?: Maybe<Message_Aggregate_Fields>;
    nodes: Array<Message>;
};
/** aggregate fields of "message" */
export type Message_Aggregate_Fields = {
    __typename?: 'message_aggregate_fields';
    avg?: Maybe<Message_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Message_Max_Fields>;
    min?: Maybe<Message_Min_Fields>;
    stddev?: Maybe<Message_Stddev_Fields>;
    stddev_pop?: Maybe<Message_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Message_Stddev_Samp_Fields>;
    sum?: Maybe<Message_Sum_Fields>;
    var_pop?: Maybe<Message_Var_Pop_Fields>;
    var_samp?: Maybe<Message_Var_Samp_Fields>;
    variance?: Maybe<Message_Variance_Fields>;
};
/** aggregate fields of "message" */
export type Message_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Message_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Message_Avg_Fields = {
    __typename?: 'message_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "message". All fields are combined with a logical 'AND'. */
export type Message_Bool_Exp = {
    _and?: InputMaybe<Array<Message_Bool_Exp>>;
    _not?: InputMaybe<Message_Bool_Exp>;
    _or?: InputMaybe<Array<Message_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_completed?: InputMaybe<Boolean_Comparison_Exp>;
    receiver?: InputMaybe<Treasure_User_Bool_Exp>;
    receiver_id?: InputMaybe<Int_Comparison_Exp>;
    sender?: InputMaybe<Treasure_User_Bool_Exp>;
    sender_id?: InputMaybe<Int_Comparison_Exp>;
    text?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "message" */
export declare enum Message_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameMessagesPkey = "game_messages_pkey"
}
/** input type for incrementing numeric columns in table "message" */
export type Message_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    sender_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "message" */
export type Message_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    receiver?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    sender?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    sender_id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Message_Max_Fields = {
    __typename?: 'message_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
    sender_id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Message_Min_Fields = {
    __typename?: 'message_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
    sender_id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "message" */
export type Message_Mutation_Response = {
    __typename?: 'message_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Message>;
};
/** on_conflict condition type for table "message" */
export type Message_On_Conflict = {
    constraint: Message_Constraint;
    update_columns?: Array<Message_Update_Column>;
    where?: InputMaybe<Message_Bool_Exp>;
};
/** Ordering options when selecting data from "message". */
export type Message_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_completed?: InputMaybe<Order_By>;
    receiver?: InputMaybe<Treasure_User_Order_By>;
    receiver_id?: InputMaybe<Order_By>;
    sender?: InputMaybe<Treasure_User_Order_By>;
    sender_id?: InputMaybe<Order_By>;
    text?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: message */
export type Message_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "message" */
export declare enum Message_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    ReceiverId = "receiver_id",
    /** column name */
    SenderId = "sender_id",
    /** column name */
    Text = "text",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "message" */
export type Message_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    sender_id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Message_Stddev_Fields = {
    __typename?: 'message_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Message_Stddev_Pop_Fields = {
    __typename?: 'message_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Message_Stddev_Samp_Fields = {
    __typename?: 'message_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "message" */
export type Message_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Message_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Message_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    sender_id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Message_Sum_Fields = {
    __typename?: 'message_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
    sender_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "message" */
export declare enum Message_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    ReceiverId = "receiver_id",
    /** column name */
    SenderId = "sender_id",
    /** column name */
    Text = "text",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Message_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Message_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Message_Set_Input>;
    /** filter the rows which have to be updated */
    where: Message_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Message_Var_Pop_Fields = {
    __typename?: 'message_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Message_Var_Samp_Fields = {
    __typename?: 'message_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Message_Variance_Fields = {
    __typename?: 'message_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "mold" */
export type Mold = {
    __typename?: 'mold';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    /** An object relationship */
    designerTreasureUser?: Maybe<Treasure_User>;
    id: Scalars['Int'];
    modified_at?: Maybe<Scalars['timestamp']>;
    /** An array relationship */
    questAncestries: Array<Quest_Ancestry>;
    /** An aggregate relationship */
    questAncestries_aggregate: Quest_Ancestry_Aggregate;
    title?: Maybe<Scalars['String']>;
};
/** columns and relationships of "mold" */
export type MoldQuestAncestriesArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
/** columns and relationships of "mold" */
export type MoldQuestAncestries_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
/** aggregated selection of "mold" */
export type Mold_Aggregate = {
    __typename?: 'mold_aggregate';
    aggregate?: Maybe<Mold_Aggregate_Fields>;
    nodes: Array<Mold>;
};
/** aggregate fields of "mold" */
export type Mold_Aggregate_Fields = {
    __typename?: 'mold_aggregate_fields';
    avg?: Maybe<Mold_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Mold_Max_Fields>;
    min?: Maybe<Mold_Min_Fields>;
    stddev?: Maybe<Mold_Stddev_Fields>;
    stddev_pop?: Maybe<Mold_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Mold_Stddev_Samp_Fields>;
    sum?: Maybe<Mold_Sum_Fields>;
    var_pop?: Maybe<Mold_Var_Pop_Fields>;
    var_samp?: Maybe<Mold_Var_Samp_Fields>;
    variance?: Maybe<Mold_Variance_Fields>;
};
/** aggregate fields of "mold" */
export type Mold_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Mold_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Mold_Avg_Fields = {
    __typename?: 'mold_avg_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "mold_blueprint" */
export type Mold_Blueprint = {
    __typename?: 'mold_blueprint';
    blueprint?: Maybe<Scalars['Int']>;
    /** An object relationship */
    blueprintById?: Maybe<Blueprint>;
    id: Scalars['Int'];
    mold?: Maybe<Scalars['Int']>;
    /** An object relationship */
    moldById?: Maybe<Mold>;
};
/** aggregated selection of "mold_blueprint" */
export type Mold_Blueprint_Aggregate = {
    __typename?: 'mold_blueprint_aggregate';
    aggregate?: Maybe<Mold_Blueprint_Aggregate_Fields>;
    nodes: Array<Mold_Blueprint>;
};
/** aggregate fields of "mold_blueprint" */
export type Mold_Blueprint_Aggregate_Fields = {
    __typename?: 'mold_blueprint_aggregate_fields';
    avg?: Maybe<Mold_Blueprint_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Mold_Blueprint_Max_Fields>;
    min?: Maybe<Mold_Blueprint_Min_Fields>;
    stddev?: Maybe<Mold_Blueprint_Stddev_Fields>;
    stddev_pop?: Maybe<Mold_Blueprint_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Mold_Blueprint_Stddev_Samp_Fields>;
    sum?: Maybe<Mold_Blueprint_Sum_Fields>;
    var_pop?: Maybe<Mold_Blueprint_Var_Pop_Fields>;
    var_samp?: Maybe<Mold_Blueprint_Var_Samp_Fields>;
    variance?: Maybe<Mold_Blueprint_Variance_Fields>;
};
/** aggregate fields of "mold_blueprint" */
export type Mold_Blueprint_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Mold_Blueprint_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Mold_Blueprint_Avg_Fields = {
    __typename?: 'mold_blueprint_avg_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "mold_blueprint". All fields are combined with a logical 'AND'. */
export type Mold_Blueprint_Bool_Exp = {
    _and?: InputMaybe<Array<Mold_Blueprint_Bool_Exp>>;
    _not?: InputMaybe<Mold_Blueprint_Bool_Exp>;
    _or?: InputMaybe<Array<Mold_Blueprint_Bool_Exp>>;
    blueprint?: InputMaybe<Int_Comparison_Exp>;
    blueprintById?: InputMaybe<Blueprint_Bool_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    mold?: InputMaybe<Int_Comparison_Exp>;
    moldById?: InputMaybe<Mold_Bool_Exp>;
};
/** unique or primary key constraints on table "mold_blueprint" */
export declare enum Mold_Blueprint_Constraint {
    /** unique or primary key constraint on columns "id" */
    MoldBlueprintPkey = "mold_blueprint_pkey"
}
/** input type for incrementing numeric columns in table "mold_blueprint" */
export type Mold_Blueprint_Inc_Input = {
    blueprint?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    mold?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "mold_blueprint" */
export type Mold_Blueprint_Insert_Input = {
    blueprint?: InputMaybe<Scalars['Int']>;
    blueprintById?: InputMaybe<Blueprint_Obj_Rel_Insert_Input>;
    id?: InputMaybe<Scalars['Int']>;
    mold?: InputMaybe<Scalars['Int']>;
    moldById?: InputMaybe<Mold_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Mold_Blueprint_Max_Fields = {
    __typename?: 'mold_blueprint_max_fields';
    blueprint?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    mold?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Mold_Blueprint_Min_Fields = {
    __typename?: 'mold_blueprint_min_fields';
    blueprint?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    mold?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "mold_blueprint" */
export type Mold_Blueprint_Mutation_Response = {
    __typename?: 'mold_blueprint_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Mold_Blueprint>;
};
/** on_conflict condition type for table "mold_blueprint" */
export type Mold_Blueprint_On_Conflict = {
    constraint: Mold_Blueprint_Constraint;
    update_columns?: Array<Mold_Blueprint_Update_Column>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
/** Ordering options when selecting data from "mold_blueprint". */
export type Mold_Blueprint_Order_By = {
    blueprint?: InputMaybe<Order_By>;
    blueprintById?: InputMaybe<Blueprint_Order_By>;
    id?: InputMaybe<Order_By>;
    mold?: InputMaybe<Order_By>;
    moldById?: InputMaybe<Mold_Order_By>;
};
/** primary key columns input for table: mold_blueprint */
export type Mold_Blueprint_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "mold_blueprint" */
export declare enum Mold_Blueprint_Select_Column {
    /** column name */
    Blueprint = "blueprint",
    /** column name */
    Id = "id",
    /** column name */
    Mold = "mold"
}
/** input type for updating data in table "mold_blueprint" */
export type Mold_Blueprint_Set_Input = {
    blueprint?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    mold?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Mold_Blueprint_Stddev_Fields = {
    __typename?: 'mold_blueprint_stddev_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Mold_Blueprint_Stddev_Pop_Fields = {
    __typename?: 'mold_blueprint_stddev_pop_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Mold_Blueprint_Stddev_Samp_Fields = {
    __typename?: 'mold_blueprint_stddev_samp_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "mold_blueprint" */
export type Mold_Blueprint_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Mold_Blueprint_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Mold_Blueprint_Stream_Cursor_Value_Input = {
    blueprint?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    mold?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Mold_Blueprint_Sum_Fields = {
    __typename?: 'mold_blueprint_sum_fields';
    blueprint?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    mold?: Maybe<Scalars['Int']>;
};
/** update columns of table "mold_blueprint" */
export declare enum Mold_Blueprint_Update_Column {
    /** column name */
    Blueprint = "blueprint",
    /** column name */
    Id = "id",
    /** column name */
    Mold = "mold"
}
export type Mold_Blueprint_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Mold_Blueprint_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Mold_Blueprint_Set_Input>;
    /** filter the rows which have to be updated */
    where: Mold_Blueprint_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Mold_Blueprint_Var_Pop_Fields = {
    __typename?: 'mold_blueprint_var_pop_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Mold_Blueprint_Var_Samp_Fields = {
    __typename?: 'mold_blueprint_var_samp_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Mold_Blueprint_Variance_Fields = {
    __typename?: 'mold_blueprint_variance_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "mold". All fields are combined with a logical 'AND'. */
export type Mold_Bool_Exp = {
    _and?: InputMaybe<Array<Mold_Bool_Exp>>;
    _not?: InputMaybe<Mold_Bool_Exp>;
    _or?: InputMaybe<Array<Mold_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    designer?: InputMaybe<Int_Comparison_Exp>;
    designerTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    modified_at?: InputMaybe<Timestamp_Comparison_Exp>;
    questAncestries?: InputMaybe<Quest_Ancestry_Bool_Exp>;
    questAncestries_aggregate?: InputMaybe<Quest_Ancestry_Aggregate_Bool_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "mold" */
export declare enum Mold_Constraint {
    /** unique or primary key constraint on columns "id" */
    MoldPkey = "mold_pkey"
}
/** input type for incrementing numeric columns in table "mold" */
export type Mold_Inc_Input = {
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "mold" */
export type Mold_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    designerTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    questAncestries?: InputMaybe<Quest_Ancestry_Arr_Rel_Insert_Input>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Mold_Max_Fields = {
    __typename?: 'mold_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    modified_at?: Maybe<Scalars['timestamp']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Mold_Min_Fields = {
    __typename?: 'mold_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    modified_at?: Maybe<Scalars['timestamp']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "mold" */
export type Mold_Mutation_Response = {
    __typename?: 'mold_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Mold>;
};
/** input type for inserting object relation for remote table "mold" */
export type Mold_Obj_Rel_Insert_Input = {
    data: Mold_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Mold_On_Conflict>;
};
/** on_conflict condition type for table "mold" */
export type Mold_On_Conflict = {
    constraint: Mold_Constraint;
    update_columns?: Array<Mold_Update_Column>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
/** Ordering options when selecting data from "mold". */
export type Mold_Order_By = {
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    designer?: InputMaybe<Order_By>;
    designerTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    id?: InputMaybe<Order_By>;
    modified_at?: InputMaybe<Order_By>;
    questAncestries_aggregate?: InputMaybe<Quest_Ancestry_Aggregate_Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: mold */
export type Mold_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "mold" */
export declare enum Mold_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Designer = "designer",
    /** column name */
    Id = "id",
    /** column name */
    ModifiedAt = "modified_at",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "mold" */
export type Mold_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Mold_Stddev_Fields = {
    __typename?: 'mold_stddev_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Mold_Stddev_Pop_Fields = {
    __typename?: 'mold_stddev_pop_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Mold_Stddev_Samp_Fields = {
    __typename?: 'mold_stddev_samp_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "mold" */
export type Mold_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Mold_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Mold_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Mold_Sum_Fields = {
    __typename?: 'mold_sum_fields';
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "mold" */
export declare enum Mold_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Designer = "designer",
    /** column name */
    Id = "id",
    /** column name */
    ModifiedAt = "modified_at",
    /** column name */
    Title = "title"
}
export type Mold_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Mold_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Mold_Set_Input>;
    /** filter the rows which have to be updated */
    where: Mold_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Mold_Var_Pop_Fields = {
    __typename?: 'mold_var_pop_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Mold_Var_Samp_Fields = {
    __typename?: 'mold_var_samp_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Mold_Variance_Fields = {
    __typename?: 'mold_variance_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "morsel_type" */
export type Morsel_Type = {
    __typename?: 'morsel_type';
    id: Scalars['Int'];
    name: Scalars['String'];
};
/** aggregated selection of "morsel_type" */
export type Morsel_Type_Aggregate = {
    __typename?: 'morsel_type_aggregate';
    aggregate?: Maybe<Morsel_Type_Aggregate_Fields>;
    nodes: Array<Morsel_Type>;
};
/** aggregate fields of "morsel_type" */
export type Morsel_Type_Aggregate_Fields = {
    __typename?: 'morsel_type_aggregate_fields';
    avg?: Maybe<Morsel_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Morsel_Type_Max_Fields>;
    min?: Maybe<Morsel_Type_Min_Fields>;
    stddev?: Maybe<Morsel_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Morsel_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Morsel_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Morsel_Type_Sum_Fields>;
    var_pop?: Maybe<Morsel_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Morsel_Type_Var_Samp_Fields>;
    variance?: Maybe<Morsel_Type_Variance_Fields>;
};
/** aggregate fields of "morsel_type" */
export type Morsel_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Morsel_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Morsel_Type_Avg_Fields = {
    __typename?: 'morsel_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "morsel_type". All fields are combined with a logical 'AND'. */
export type Morsel_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Morsel_Type_Bool_Exp>>;
    _not?: InputMaybe<Morsel_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Morsel_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "morsel_type" */
export declare enum Morsel_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    MorselTypePkey = "morsel_type_pkey"
}
/** input type for incrementing numeric columns in table "morsel_type" */
export type Morsel_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "morsel_type" */
export type Morsel_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Morsel_Type_Max_Fields = {
    __typename?: 'morsel_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Morsel_Type_Min_Fields = {
    __typename?: 'morsel_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "morsel_type" */
export type Morsel_Type_Mutation_Response = {
    __typename?: 'morsel_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Morsel_Type>;
};
/** input type for inserting object relation for remote table "morsel_type" */
export type Morsel_Type_Obj_Rel_Insert_Input = {
    data: Morsel_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Morsel_Type_On_Conflict>;
};
/** on_conflict condition type for table "morsel_type" */
export type Morsel_Type_On_Conflict = {
    constraint: Morsel_Type_Constraint;
    update_columns?: Array<Morsel_Type_Update_Column>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "morsel_type". */
export type Morsel_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: morsel_type */
export type Morsel_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "morsel_type" */
export declare enum Morsel_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "morsel_type" */
export type Morsel_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Morsel_Type_Stddev_Fields = {
    __typename?: 'morsel_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Morsel_Type_Stddev_Pop_Fields = {
    __typename?: 'morsel_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Morsel_Type_Stddev_Samp_Fields = {
    __typename?: 'morsel_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "morsel_type" */
export type Morsel_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Morsel_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Morsel_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Morsel_Type_Sum_Fields = {
    __typename?: 'morsel_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "morsel_type" */
export declare enum Morsel_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
export type Morsel_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Morsel_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Morsel_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Morsel_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Morsel_Type_Var_Pop_Fields = {
    __typename?: 'morsel_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Morsel_Type_Var_Samp_Fields = {
    __typename?: 'morsel_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Morsel_Type_Variance_Fields = {
    __typename?: 'morsel_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** mutation root */
export type Mutation_Root = {
    __typename?: 'mutation_root';
    add_game?: Maybe<AddGameOutput>;
    apply_sell?: Maybe<SellApplicationResult>;
    check_history?: Maybe<HistoryCheckOutput>;
    check_image_npc_judge?: Maybe<ImageNpcJudgeOutput>;
    check_jigsaw_judge?: Maybe<JigsawJudgeOutput>;
    check_multi_word_judge?: Maybe<WordJudgeOutput>;
    check_qr_judge?: Maybe<QrJudgeOutput>;
    check_word_judge?: Maybe<WordJudgeOutput>;
    check_word_sequence_judge?: Maybe<WordSequenceJudgeOutput>;
    check_words_judge?: Maybe<WordsJudgeOutput>;
    confirm_games_locus?: Maybe<ConfirmGamesLocusOutput>;
    confirm_sponsorship_games?: Maybe<ConfirmSponsorshipGamesOutput>;
    create_badge_type?: Maybe<CreateBadgeTypeOutput>;
    create_game?: Maybe<CreateGameOutput>;
    /** delete data from the table: "alarm" */
    delete_alarm?: Maybe<Alarm_Mutation_Response>;
    /** delete single row from the table: "alarm" */
    delete_alarm_by_pk?: Maybe<Alarm>;
    /** delete data from the table: "animation_stage" */
    delete_animation_stage?: Maybe<Animation_Stage_Mutation_Response>;
    /** delete single row from the table: "animation_stage" */
    delete_animation_stage_by_pk?: Maybe<Animation_Stage>;
    /** delete data from the table: "answer" */
    delete_answer?: Maybe<Answer_Mutation_Response>;
    /** delete single row from the table: "answer" */
    delete_answer_by_pk?: Maybe<Answer>;
    /** delete data from the table: "answer_type" */
    delete_answer_type?: Maybe<Answer_Type_Mutation_Response>;
    /** delete single row from the table: "answer_type" */
    delete_answer_type_by_pk?: Maybe<Answer_Type>;
    /** delete data from the table: "area" */
    delete_area?: Maybe<Area_Mutation_Response>;
    /** delete single row from the table: "area" */
    delete_area_by_pk?: Maybe<Area>;
    /** delete data from the table: "auth.account_providers" */
    delete_auth_account_providers?: Maybe<Auth_Account_Providers_Mutation_Response>;
    /** delete single row from the table: "auth.account_providers" */
    delete_auth_account_providers_by_pk?: Maybe<Auth_Account_Providers>;
    /** delete data from the table: "auth.account_roles" */
    delete_auth_account_roles?: Maybe<Auth_Account_Roles_Mutation_Response>;
    /** delete single row from the table: "auth.account_roles" */
    delete_auth_account_roles_by_pk?: Maybe<Auth_Account_Roles>;
    /** delete data from the table: "auth.accounts" */
    delete_auth_accounts?: Maybe<Auth_Accounts_Mutation_Response>;
    /** delete single row from the table: "auth.accounts" */
    delete_auth_accounts_by_pk?: Maybe<Auth_Accounts>;
    /** delete data from the table: "auth.providers" */
    delete_auth_providers?: Maybe<Auth_Providers_Mutation_Response>;
    /** delete single row from the table: "auth.providers" */
    delete_auth_providers_by_pk?: Maybe<Auth_Providers>;
    /** delete data from the table: "auth.refresh_tokens" */
    delete_auth_refresh_tokens?: Maybe<Auth_Refresh_Tokens_Mutation_Response>;
    /** delete single row from the table: "auth.refresh_tokens" */
    delete_auth_refresh_tokens_by_pk?: Maybe<Auth_Refresh_Tokens>;
    /** delete data from the table: "auth.roles" */
    delete_auth_roles?: Maybe<Auth_Roles_Mutation_Response>;
    /** delete single row from the table: "auth.roles" */
    delete_auth_roles_by_pk?: Maybe<Auth_Roles>;
    /** delete data from the table: "badge" */
    delete_badge?: Maybe<Badge_Mutation_Response>;
    /** delete single row from the table: "badge" */
    delete_badge_by_pk?: Maybe<Badge>;
    /** delete data from the table: "badge_category" */
    delete_badge_category?: Maybe<Badge_Category_Mutation_Response>;
    /** delete single row from the table: "badge_category" */
    delete_badge_category_by_pk?: Maybe<Badge_Category>;
    /** delete data from the table: "badge_type" */
    delete_badge_type?: Maybe<Badge_Type_Mutation_Response>;
    /** delete single row from the table: "badge_type" */
    delete_badge_type_by_pk?: Maybe<Badge_Type>;
    /** delete data from the table: "batch" */
    delete_batch?: Maybe<Batch_Mutation_Response>;
    /** delete single row from the table: "batch" */
    delete_batch_by_pk?: Maybe<Batch>;
    /** delete data from the table: "blueprint" */
    delete_blueprint?: Maybe<Blueprint_Mutation_Response>;
    /** delete single row from the table: "blueprint" */
    delete_blueprint_by_pk?: Maybe<Blueprint>;
    /** delete data from the table: "business_model_type" */
    delete_business_model_type?: Maybe<Business_Model_Type_Mutation_Response>;
    /** delete single row from the table: "business_model_type" */
    delete_business_model_type_by_pk?: Maybe<Business_Model_Type>;
    /** delete data from the table: "charge" */
    delete_charge?: Maybe<Charge_Mutation_Response>;
    /** delete single row from the table: "charge" */
    delete_charge_by_pk?: Maybe<Charge>;
    /** delete data from the table: "charger" */
    delete_charger?: Maybe<Charger_Mutation_Response>;
    /** delete single row from the table: "charger" */
    delete_charger_by_pk?: Maybe<Charger>;
    /** delete data from the table: "condition" */
    delete_condition?: Maybe<Condition_Mutation_Response>;
    /** delete single row from the table: "condition" */
    delete_condition_by_pk?: Maybe<Condition>;
    /** delete data from the table: "condition_type" */
    delete_condition_type?: Maybe<Condition_Type_Mutation_Response>;
    /** delete single row from the table: "condition_type" */
    delete_condition_type_by_pk?: Maybe<Condition_Type>;
    /** delete data from the table: "content" */
    delete_content?: Maybe<Content_Mutation_Response>;
    /** delete single row from the table: "content" */
    delete_content_by_pk?: Maybe<Content>;
    /** delete data from the table: "contract" */
    delete_contract?: Maybe<Contract_Mutation_Response>;
    /** delete single row from the table: "contract" */
    delete_contract_by_pk?: Maybe<Contract>;
    /** delete data from the table: "contract_type" */
    delete_contract_type?: Maybe<Contract_Type_Mutation_Response>;
    /** delete single row from the table: "contract_type" */
    delete_contract_type_by_pk?: Maybe<Contract_Type>;
    /** delete data from the table: "currency" */
    delete_currency?: Maybe<Currency_Mutation_Response>;
    /** delete single row from the table: "currency" */
    delete_currency_by_pk?: Maybe<Currency>;
    /** delete data from the table: "currency_exchange" */
    delete_currency_exchange?: Maybe<Currency_Exchange_Mutation_Response>;
    /** delete single row from the table: "currency_exchange" */
    delete_currency_exchange_by_pk?: Maybe<Currency_Exchange>;
    /** delete data from the table: "currency_type" */
    delete_currency_type?: Maybe<Currency_Type_Mutation_Response>;
    /** delete single row from the table: "currency_type" */
    delete_currency_type_by_pk?: Maybe<Currency_Type>;
    /** delete data from the table: "desktop_type" */
    delete_desktop_type?: Maybe<Desktop_Type_Mutation_Response>;
    /** delete single row from the table: "desktop_type" */
    delete_desktop_type_by_pk?: Maybe<Desktop_Type>;
    /** delete data from the table: "entrypoint" */
    delete_entrypoint?: Maybe<Entrypoint_Mutation_Response>;
    /** delete single row from the table: "entrypoint" */
    delete_entrypoint_by_pk?: Maybe<Entrypoint>;
    /** delete data from the table: "evaluator" */
    delete_evaluator?: Maybe<Evaluator_Mutation_Response>;
    /** delete single row from the table: "evaluator" */
    delete_evaluator_by_pk?: Maybe<Evaluator>;
    /** delete data from the table: "example" */
    delete_example?: Maybe<Example_Mutation_Response>;
    /** delete single row from the table: "example" */
    delete_example_by_pk?: Maybe<Example>;
    /** delete data from the table: "example_type" */
    delete_example_type?: Maybe<Example_Type_Mutation_Response>;
    /** delete single row from the table: "example_type" */
    delete_example_type_by_pk?: Maybe<Example_Type>;
    /** delete data from the table: "exhibition_determinant" */
    delete_exhibition_determinant?: Maybe<Exhibition_Determinant_Mutation_Response>;
    /** delete single row from the table: "exhibition_determinant" */
    delete_exhibition_determinant_by_pk?: Maybe<Exhibition_Determinant>;
    /** delete data from the table: "flag" */
    delete_flag?: Maybe<Flag_Mutation_Response>;
    /** delete single row from the table: "flag" */
    delete_flag_by_pk?: Maybe<Flag>;
    /** delete data from the table: "flag_type" */
    delete_flag_type?: Maybe<Flag_Type_Mutation_Response>;
    /** delete single row from the table: "flag_type" */
    delete_flag_type_by_pk?: Maybe<Flag_Type>;
    /** delete data from the table: "game" */
    delete_game?: Maybe<Game_Mutation_Response>;
    /** delete data from the table: "game_action" */
    delete_game_action?: Maybe<Game_Action_Mutation_Response>;
    /** delete single row from the table: "game_action" */
    delete_game_action_by_pk?: Maybe<Game_Action>;
    /** delete single row from the table: "game" */
    delete_game_by_pk?: Maybe<Game>;
    /** delete data from the table: "game_design" */
    delete_game_design?: Maybe<Game_Design_Mutation_Response>;
    /** delete single row from the table: "game_design" */
    delete_game_design_by_pk?: Maybe<Game_Design>;
    /** delete data from the table: "game_group" */
    delete_game_group?: Maybe<Game_Group_Mutation_Response>;
    /** delete single row from the table: "game_group" */
    delete_game_group_by_pk?: Maybe<Game_Group>;
    /** delete data from the table: "game_hunter" */
    delete_game_hunter?: Maybe<Game_Hunter_Mutation_Response>;
    /** delete single row from the table: "game_hunter" */
    delete_game_hunter_by_pk?: Maybe<Game_Hunter>;
    /** delete data from the table: "game_management" */
    delete_game_management?: Maybe<Game_Management_Mutation_Response>;
    /** delete single row from the table: "game_management" */
    delete_game_management_by_pk?: Maybe<Game_Management>;
    /** delete data from the table: "game_operators" */
    delete_game_operators?: Maybe<Game_Operators_Mutation_Response>;
    /** delete single row from the table: "game_operators" */
    delete_game_operators_by_pk?: Maybe<Game_Operators>;
    /** delete data from the table: "game_record" */
    delete_game_record?: Maybe<Game_Record_Mutation_Response>;
    /** delete single row from the table: "game_record" */
    delete_game_record_by_pk?: Maybe<Game_Record>;
    /** delete data from the table: "game_requirement" */
    delete_game_requirement?: Maybe<Game_Requirement_Mutation_Response>;
    /** delete single row from the table: "game_requirement" */
    delete_game_requirement_by_pk?: Maybe<Game_Requirement>;
    /** delete data from the table: "game_state_type" */
    delete_game_state_type?: Maybe<Game_State_Type_Mutation_Response>;
    /** delete single row from the table: "game_state_type" */
    delete_game_state_type_by_pk?: Maybe<Game_State_Type>;
    /** delete data from the table: "game_winner" */
    delete_game_winner?: Maybe<Game_Winner_Mutation_Response>;
    /** delete single row from the table: "game_winner" */
    delete_game_winner_by_pk?: Maybe<Game_Winner>;
    /** delete data from the table: "games_locus" */
    delete_games_locus?: Maybe<Games_Locus_Mutation_Response>;
    /** delete single row from the table: "games_locus" */
    delete_games_locus_by_pk?: Maybe<Games_Locus>;
    /** delete data from the table: "gift" */
    delete_gift?: Maybe<Gift_Mutation_Response>;
    /** delete single row from the table: "gift" */
    delete_gift_by_pk?: Maybe<Gift>;
    /** delete data from the table: "goods" */
    delete_goods?: Maybe<Goods_Mutation_Response>;
    /** delete single row from the table: "goods" */
    delete_goods_by_pk?: Maybe<Goods>;
    /** delete data from the table: "hier_type" */
    delete_hier_type?: Maybe<Hier_Type_Mutation_Response>;
    /** delete single row from the table: "hier_type" */
    delete_hier_type_by_pk?: Maybe<Hier_Type>;
    /** delete data from the table: "incognito" */
    delete_incognito?: Maybe<Incognito_Mutation_Response>;
    /** delete single row from the table: "incognito" */
    delete_incognito_by_pk?: Maybe<Incognito>;
    /** delete data from the table: "inscription" */
    delete_inscription?: Maybe<Inscription_Mutation_Response>;
    /** delete single row from the table: "inscription" */
    delete_inscription_by_pk?: Maybe<Inscription>;
    /** delete data from the table: "interface_type" */
    delete_interface_type?: Maybe<Interface_Type_Mutation_Response>;
    /** delete single row from the table: "interface_type" */
    delete_interface_type_by_pk?: Maybe<Interface_Type>;
    /** delete data from the table: "judge" */
    delete_judge?: Maybe<Judge_Mutation_Response>;
    /** delete single row from the table: "judge" */
    delete_judge_by_pk?: Maybe<Judge>;
    /** delete data from the table: "judge_display_type" */
    delete_judge_display_type?: Maybe<Judge_Display_Type_Mutation_Response>;
    /** delete single row from the table: "judge_display_type" */
    delete_judge_display_type_by_pk?: Maybe<Judge_Display_Type>;
    /** delete data from the table: "judge_entry" */
    delete_judge_entry?: Maybe<Judge_Entry_Mutation_Response>;
    /** delete single row from the table: "judge_entry" */
    delete_judge_entry_by_pk?: Maybe<Judge_Entry>;
    /** delete data from the table: "judge_role_type" */
    delete_judge_role_type?: Maybe<Judge_Role_Type_Mutation_Response>;
    /** delete single row from the table: "judge_role_type" */
    delete_judge_role_type_by_pk?: Maybe<Judge_Role_Type>;
    /** delete data from the table: "kairos" */
    delete_kairos?: Maybe<Kairos_Mutation_Response>;
    /** delete single row from the table: "kairos" */
    delete_kairos_by_pk?: Maybe<Kairos>;
    /** delete data from the table: "keyword_description" */
    delete_keyword_description?: Maybe<Keyword_Description_Mutation_Response>;
    /** delete single row from the table: "keyword_description" */
    delete_keyword_description_by_pk?: Maybe<Keyword_Description>;
    /** delete data from the table: "language" */
    delete_language?: Maybe<Language_Mutation_Response>;
    /** delete single row from the table: "language" */
    delete_language_by_pk?: Maybe<Language>;
    /** delete data from the table: "location" */
    delete_location?: Maybe<Location_Mutation_Response>;
    /** delete single row from the table: "location" */
    delete_location_by_pk?: Maybe<Location>;
    /** delete data from the table: "locus" */
    delete_locus?: Maybe<Locus_Mutation_Response>;
    /** delete single row from the table: "locus" */
    delete_locus_by_pk?: Maybe<Locus>;
    /** delete data from the table: "locus_imitate" */
    delete_locus_imitate?: Maybe<Locus_Imitate_Mutation_Response>;
    /** delete single row from the table: "locus_imitate" */
    delete_locus_imitate_by_pk?: Maybe<Locus_Imitate>;
    /** delete data from the table: "locus_member" */
    delete_locus_member?: Maybe<Locus_Member_Mutation_Response>;
    /** delete single row from the table: "locus_member" */
    delete_locus_member_by_pk?: Maybe<Locus_Member>;
    /** delete data from the table: "locus_operation_type" */
    delete_locus_operation_type?: Maybe<Locus_Operation_Type_Mutation_Response>;
    /** delete single row from the table: "locus_operation_type" */
    delete_locus_operation_type_by_pk?: Maybe<Locus_Operation_Type>;
    /** delete data from the table: "locus_policy" */
    delete_locus_policy?: Maybe<Locus_Policy_Mutation_Response>;
    /** delete single row from the table: "locus_policy" */
    delete_locus_policy_by_pk?: Maybe<Locus_Policy>;
    /** delete data from the table: "locus_state" */
    delete_locus_state?: Maybe<Locus_State_Mutation_Response>;
    /** delete single row from the table: "locus_state" */
    delete_locus_state_by_pk?: Maybe<Locus_State>;
    /** delete data from the table: "locus_theme" */
    delete_locus_theme?: Maybe<Locus_Theme_Mutation_Response>;
    /** delete single row from the table: "locus_theme" */
    delete_locus_theme_by_pk?: Maybe<Locus_Theme>;
    /** delete data from the table: "locus_type" */
    delete_locus_type?: Maybe<Locus_Type_Mutation_Response>;
    /** delete single row from the table: "locus_type" */
    delete_locus_type_by_pk?: Maybe<Locus_Type>;
    /** delete data from the table: "map" */
    delete_map?: Maybe<Map_Mutation_Response>;
    /** delete single row from the table: "map" */
    delete_map_by_pk?: Maybe<Map>;
    /** delete data from the table: "map_condition_type" */
    delete_map_condition_type?: Maybe<Map_Condition_Type_Mutation_Response>;
    /** delete single row from the table: "map_condition_type" */
    delete_map_condition_type_by_pk?: Maybe<Map_Condition_Type>;
    /** delete data from the table: "map_effect" */
    delete_map_effect?: Maybe<Map_Effect_Mutation_Response>;
    /** delete single row from the table: "map_effect" */
    delete_map_effect_by_pk?: Maybe<Map_Effect>;
    /** delete data from the table: "map_effect_type" */
    delete_map_effect_type?: Maybe<Map_Effect_Type_Mutation_Response>;
    /** delete single row from the table: "map_effect_type" */
    delete_map_effect_type_by_pk?: Maybe<Map_Effect_Type>;
    /** delete data from the table: "map_item" */
    delete_map_item?: Maybe<Map_Item_Mutation_Response>;
    /** delete data from the table: "map_item_animation" */
    delete_map_item_animation?: Maybe<Map_Item_Animation_Mutation_Response>;
    /** delete single row from the table: "map_item_animation" */
    delete_map_item_animation_by_pk?: Maybe<Map_Item_Animation>;
    /** delete single row from the table: "map_item" */
    delete_map_item_by_pk?: Maybe<Map_Item>;
    /** delete data from the table: "map_item_state" */
    delete_map_item_state?: Maybe<Map_Item_State_Mutation_Response>;
    /** delete single row from the table: "map_item_state" */
    delete_map_item_state_by_pk?: Maybe<Map_Item_State>;
    /** delete data from the table: "medium_type" */
    delete_medium_type?: Maybe<Medium_Type_Mutation_Response>;
    /** delete single row from the table: "medium_type" */
    delete_medium_type_by_pk?: Maybe<Medium_Type>;
    /** delete data from the table: "megaphone" */
    delete_megaphone?: Maybe<Megaphone_Mutation_Response>;
    /** delete single row from the table: "megaphone" */
    delete_megaphone_by_pk?: Maybe<Megaphone>;
    /** delete data from the table: "message" */
    delete_message?: Maybe<Message_Mutation_Response>;
    /** delete single row from the table: "message" */
    delete_message_by_pk?: Maybe<Message>;
    /** delete data from the table: "mold" */
    delete_mold?: Maybe<Mold_Mutation_Response>;
    /** delete data from the table: "mold_blueprint" */
    delete_mold_blueprint?: Maybe<Mold_Blueprint_Mutation_Response>;
    /** delete single row from the table: "mold_blueprint" */
    delete_mold_blueprint_by_pk?: Maybe<Mold_Blueprint>;
    /** delete single row from the table: "mold" */
    delete_mold_by_pk?: Maybe<Mold>;
    /** delete data from the table: "morsel_type" */
    delete_morsel_type?: Maybe<Morsel_Type_Mutation_Response>;
    /** delete single row from the table: "morsel_type" */
    delete_morsel_type_by_pk?: Maybe<Morsel_Type>;
    /** delete data from the table: "operation" */
    delete_operation?: Maybe<Operation_Mutation_Response>;
    /** delete single row from the table: "operation" */
    delete_operation_by_pk?: Maybe<Operation>;
    /** delete data from the table: "operation_maintain_type" */
    delete_operation_maintain_type?: Maybe<Operation_Maintain_Type_Mutation_Response>;
    /** delete single row from the table: "operation_maintain_type" */
    delete_operation_maintain_type_by_pk?: Maybe<Operation_Maintain_Type>;
    /** delete data from the table: "operation_operator" */
    delete_operation_operator?: Maybe<Operation_Operator_Mutation_Response>;
    /** delete single row from the table: "operation_operator" */
    delete_operation_operator_by_pk?: Maybe<Operation_Operator>;
    /** delete data from the table: "operation_setting_type" */
    delete_operation_setting_type?: Maybe<Operation_Setting_Type_Mutation_Response>;
    /** delete single row from the table: "operation_setting_type" */
    delete_operation_setting_type_by_pk?: Maybe<Operation_Setting_Type>;
    /** delete data from the table: "operation_state" */
    delete_operation_state?: Maybe<Operation_State_Mutation_Response>;
    /** delete single row from the table: "operation_state" */
    delete_operation_state_by_pk?: Maybe<Operation_State>;
    /** delete data from the table: "operation_type" */
    delete_operation_type?: Maybe<Operation_Type_Mutation_Response>;
    /** delete single row from the table: "operation_type" */
    delete_operation_type_by_pk?: Maybe<Operation_Type>;
    /** delete data from the table: "operator_state_type" */
    delete_operator_state_type?: Maybe<Operator_State_Type_Mutation_Response>;
    /** delete single row from the table: "operator_state_type" */
    delete_operator_state_type_by_pk?: Maybe<Operator_State_Type>;
    /** delete data from the table: "piece" */
    delete_piece?: Maybe<Piece_Mutation_Response>;
    /** delete single row from the table: "piece" */
    delete_piece_by_pk?: Maybe<Piece>;
    /** delete data from the table: "piece_locus" */
    delete_piece_locus?: Maybe<Piece_Locus_Mutation_Response>;
    /** delete single row from the table: "piece_locus" */
    delete_piece_locus_by_pk?: Maybe<Piece_Locus>;
    /** delete data from the table: "piece_type" */
    delete_piece_type?: Maybe<Piece_Type_Mutation_Response>;
    /** delete single row from the table: "piece_type" */
    delete_piece_type_by_pk?: Maybe<Piece_Type>;
    /** delete data from the table: "post" */
    delete_post?: Maybe<Post_Mutation_Response>;
    /** delete single row from the table: "post" */
    delete_post_by_pk?: Maybe<Post>;
    /** delete data from the table: "post_evaluation" */
    delete_post_evaluation?: Maybe<Post_Evaluation_Mutation_Response>;
    /** delete single row from the table: "post_evaluation" */
    delete_post_evaluation_by_pk?: Maybe<Post_Evaluation>;
    /** delete data from the table: "preference" */
    delete_preference?: Maybe<Preference_Mutation_Response>;
    /** delete data from the table: "product" */
    delete_product?: Maybe<Product_Mutation_Response>;
    /** delete single row from the table: "product" */
    delete_product_by_pk?: Maybe<Product>;
    /** delete data from the table: "profile" */
    delete_profile?: Maybe<Profile_Mutation_Response>;
    /** delete data from the table: "purchase" */
    delete_purchase?: Maybe<Purchase_Mutation_Response>;
    /** delete single row from the table: "purchase" */
    delete_purchase_by_pk?: Maybe<Purchase>;
    /** delete data from the table: "quest" */
    delete_quest?: Maybe<Quest_Mutation_Response>;
    /** delete data from the table: "quest_ancestry" */
    delete_quest_ancestry?: Maybe<Quest_Ancestry_Mutation_Response>;
    /** delete single row from the table: "quest_ancestry" */
    delete_quest_ancestry_by_pk?: Maybe<Quest_Ancestry>;
    /** delete single row from the table: "quest" */
    delete_quest_by_pk?: Maybe<Quest>;
    /** delete data from the table: "quest_state" */
    delete_quest_state?: Maybe<Quest_State_Mutation_Response>;
    /** delete single row from the table: "quest_state" */
    delete_quest_state_by_pk?: Maybe<Quest_State>;
    /** delete data from the table: "quest_type" */
    delete_quest_type?: Maybe<Quest_Type_Mutation_Response>;
    /** delete single row from the table: "quest_type" */
    delete_quest_type_by_pk?: Maybe<Quest_Type>;
    /** delete data from the table: "resource_policy" */
    delete_resource_policy?: Maybe<Resource_Policy_Mutation_Response>;
    /** delete single row from the table: "resource_policy" */
    delete_resource_policy_by_pk?: Maybe<Resource_Policy>;
    /** delete data from the table: "resource_privacy" */
    delete_resource_privacy?: Maybe<Resource_Privacy_Mutation_Response>;
    /** delete single row from the table: "resource_privacy" */
    delete_resource_privacy_by_pk?: Maybe<Resource_Privacy>;
    /** delete data from the table: "rooadmap_gis.cord_2d" */
    delete_rooadmap_gis_cord_2d?: Maybe<Rooadmap_Gis_Cord_2d_Mutation_Response>;
    /** delete single row from the table: "rooadmap_gis.cord_2d" */
    delete_rooadmap_gis_cord_2d_by_pk?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** delete data from the table: "rooadmap_gis.cord_3d" */
    delete_rooadmap_gis_cord_3d?: Maybe<Rooadmap_Gis_Cord_3d_Mutation_Response>;
    /** delete single row from the table: "rooadmap_gis.cord_3d" */
    delete_rooadmap_gis_cord_3d_by_pk?: Maybe<Rooadmap_Gis_Cord_3d>;
    /** delete data from the table: "rooadmap_gis.location_2d" */
    delete_rooadmap_gis_location_2d?: Maybe<Rooadmap_Gis_Location_2d_Mutation_Response>;
    /** delete single row from the table: "rooadmap_gis.location_2d" */
    delete_rooadmap_gis_location_2d_by_pk?: Maybe<Rooadmap_Gis_Location_2d>;
    /** delete data from the table: "rooadmap_gis.location_3d" */
    delete_rooadmap_gis_location_3d?: Maybe<Rooadmap_Gis_Location_3d_Mutation_Response>;
    /** delete single row from the table: "rooadmap_gis.location_3d" */
    delete_rooadmap_gis_location_3d_by_pk?: Maybe<Rooadmap_Gis_Location_3d>;
    /** delete data from the table: "rooadmap_gis.map_item" */
    delete_rooadmap_gis_map_item?: Maybe<Rooadmap_Gis_Map_Item_Mutation_Response>;
    /** delete single row from the table: "rooadmap_gis.map_item" */
    delete_rooadmap_gis_map_item_by_pk?: Maybe<Rooadmap_Gis_Map_Item>;
    /** delete data from the table: "segment" */
    delete_segment?: Maybe<Segment_Mutation_Response>;
    /** delete single row from the table: "segment" */
    delete_segment_by_pk?: Maybe<Segment>;
    /** delete data from the table: "segment_exhibition" */
    delete_segment_exhibition?: Maybe<Segment_Exhibition_Mutation_Response>;
    /** delete single row from the table: "segment_exhibition" */
    delete_segment_exhibition_by_pk?: Maybe<Segment_Exhibition>;
    /** delete data from the table: "sell" */
    delete_sell?: Maybe<Sell_Mutation_Response>;
    /** delete single row from the table: "sell" */
    delete_sell_by_pk?: Maybe<Sell>;
    /** delete data from the table: "sell_management" */
    delete_sell_management?: Maybe<Sell_Management_Mutation_Response>;
    /** delete single row from the table: "sell_management" */
    delete_sell_management_by_pk?: Maybe<Sell_Management>;
    /** delete data from the table: "sponsorship" */
    delete_sponsorship?: Maybe<Sponsorship_Mutation_Response>;
    /** delete single row from the table: "sponsorship" */
    delete_sponsorship_by_pk?: Maybe<Sponsorship>;
    /** delete data from the table: "sponsorship_condition" */
    delete_sponsorship_condition?: Maybe<Sponsorship_Condition_Mutation_Response>;
    /** delete single row from the table: "sponsorship_condition" */
    delete_sponsorship_condition_by_pk?: Maybe<Sponsorship_Condition>;
    /** delete data from the table: "sponsorship_game_state" */
    delete_sponsorship_game_state?: Maybe<Sponsorship_Game_State_Mutation_Response>;
    /** delete single row from the table: "sponsorship_game_state" */
    delete_sponsorship_game_state_by_pk?: Maybe<Sponsorship_Game_State>;
    /** delete data from the table: "sponsorship_game_state_type" */
    delete_sponsorship_game_state_type?: Maybe<Sponsorship_Game_State_Type_Mutation_Response>;
    /** delete single row from the table: "sponsorship_game_state_type" */
    delete_sponsorship_game_state_type_by_pk?: Maybe<Sponsorship_Game_State_Type>;
    /** delete data from the table: "sponsorship_images" */
    delete_sponsorship_images?: Maybe<Sponsorship_Images_Mutation_Response>;
    /** delete single row from the table: "sponsorship_images" */
    delete_sponsorship_images_by_pk?: Maybe<Sponsorship_Images>;
    /** delete data from the table: "sponsorship_imitate" */
    delete_sponsorship_imitate?: Maybe<Sponsorship_Imitate_Mutation_Response>;
    /** delete single row from the table: "sponsorship_imitate" */
    delete_sponsorship_imitate_by_pk?: Maybe<Sponsorship_Imitate>;
    /** delete data from the table: "sponsorship_locus" */
    delete_sponsorship_locus?: Maybe<Sponsorship_Locus_Mutation_Response>;
    /** delete single row from the table: "sponsorship_locus" */
    delete_sponsorship_locus_by_pk?: Maybe<Sponsorship_Locus>;
    /** delete data from the table: "sponsorship_requirement" */
    delete_sponsorship_requirement?: Maybe<Sponsorship_Requirement_Mutation_Response>;
    /** delete single row from the table: "sponsorship_requirement" */
    delete_sponsorship_requirement_by_pk?: Maybe<Sponsorship_Requirement>;
    /** delete data from the table: "sponsorship_requirement_type" */
    delete_sponsorship_requirement_type?: Maybe<Sponsorship_Requirement_Type_Mutation_Response>;
    /** delete single row from the table: "sponsorship_requirement_type" */
    delete_sponsorship_requirement_type_by_pk?: Maybe<Sponsorship_Requirement_Type>;
    /** delete data from the table: "sponsorship_settlement_state_type" */
    delete_sponsorship_settlement_state_type?: Maybe<Sponsorship_Settlement_State_Type_Mutation_Response>;
    /** delete single row from the table: "sponsorship_settlement_state_type" */
    delete_sponsorship_settlement_state_type_by_pk?: Maybe<Sponsorship_Settlement_State_Type>;
    /** delete data from the table: "sponsorship_state" */
    delete_sponsorship_state?: Maybe<Sponsorship_State_Mutation_Response>;
    /** delete single row from the table: "sponsorship_state" */
    delete_sponsorship_state_by_pk?: Maybe<Sponsorship_State>;
    /** delete data from the table: "sponsorship_type" */
    delete_sponsorship_type?: Maybe<Sponsorship_Type_Mutation_Response>;
    /** delete single row from the table: "sponsorship_type" */
    delete_sponsorship_type_by_pk?: Maybe<Sponsorship_Type>;
    /** delete data from the table: "spot" */
    delete_spot?: Maybe<Spot_Mutation_Response>;
    /** delete single row from the table: "spot" */
    delete_spot_by_pk?: Maybe<Spot>;
    /** delete data from the table: "spot_inscription" */
    delete_spot_inscription?: Maybe<Spot_Inscription_Mutation_Response>;
    /** delete single row from the table: "spot_inscription" */
    delete_spot_inscription_by_pk?: Maybe<Spot_Inscription>;
    /** delete data from the table: "spot_policy" */
    delete_spot_policy?: Maybe<Spot_Policy_Mutation_Response>;
    /** delete single row from the table: "spot_policy" */
    delete_spot_policy_by_pk?: Maybe<Spot_Policy>;
    /** delete data from the table: "spot_type" */
    delete_spot_type?: Maybe<Spot_Type_Mutation_Response>;
    /** delete single row from the table: "spot_type" */
    delete_spot_type_by_pk?: Maybe<Spot_Type>;
    /** delete data from the table: "spot_user" */
    delete_spot_user?: Maybe<Spot_User_Mutation_Response>;
    /** delete single row from the table: "spot_user" */
    delete_spot_user_by_pk?: Maybe<Spot_User>;
    /** delete data from the table: "target_view_type" */
    delete_target_view_type?: Maybe<Target_View_Type_Mutation_Response>;
    /** delete single row from the table: "target_view_type" */
    delete_target_view_type_by_pk?: Maybe<Target_View_Type>;
    /** delete data from the table: "task" */
    delete_task?: Maybe<Task_Mutation_Response>;
    /** delete single row from the table: "task" */
    delete_task_by_pk?: Maybe<Task>;
    /** delete data from the table: "theme" */
    delete_theme?: Maybe<Theme_Mutation_Response>;
    /** delete single row from the table: "theme" */
    delete_theme_by_pk?: Maybe<Theme>;
    /** delete data from the table: "treasure_user" */
    delete_treasure_user?: Maybe<Treasure_User_Mutation_Response>;
    /** delete single row from the table: "treasure_user" */
    delete_treasure_user_by_pk?: Maybe<Treasure_User>;
    /** delete data from the table: "universe" */
    delete_universe?: Maybe<Universe_Mutation_Response>;
    /** delete single row from the table: "universe" */
    delete_universe_by_pk?: Maybe<Universe>;
    /** delete data from the table: "universe_member" */
    delete_universe_member?: Maybe<Universe_Member_Mutation_Response>;
    /** delete single row from the table: "universe_member" */
    delete_universe_member_by_pk?: Maybe<Universe_Member>;
    /** delete data from the table: "universe_policy" */
    delete_universe_policy?: Maybe<Universe_Policy_Mutation_Response>;
    /** delete single row from the table: "universe_policy" */
    delete_universe_policy_by_pk?: Maybe<Universe_Policy>;
    /** delete data from the table: "universe_resource" */
    delete_universe_resource?: Maybe<Universe_Resource_Mutation_Response>;
    /** delete single row from the table: "universe_resource" */
    delete_universe_resource_by_pk?: Maybe<Universe_Resource>;
    /** delete data from the table: "universe_state" */
    delete_universe_state?: Maybe<Universe_State_Mutation_Response>;
    /** delete single row from the table: "universe_state" */
    delete_universe_state_by_pk?: Maybe<Universe_State>;
    /** delete data from the table: "users" */
    delete_users?: Maybe<Users_Mutation_Response>;
    /** delete single row from the table: "users" */
    delete_users_by_pk?: Maybe<Users>;
    deny_games_locus?: Maybe<DenyGamesLocusOutput>;
    deny_sponsorship_games?: Maybe<DenySponsorshipGamesOutput>;
    evaluate_total?: Maybe<EvaluateTotalOutput>;
    get_otp?: Maybe<OtpResult>;
    /** insert data into the table: "alarm" */
    insert_alarm?: Maybe<Alarm_Mutation_Response>;
    /** insert a single row into the table: "alarm" */
    insert_alarm_one?: Maybe<Alarm>;
    /** insert data into the table: "animation_stage" */
    insert_animation_stage?: Maybe<Animation_Stage_Mutation_Response>;
    /** insert a single row into the table: "animation_stage" */
    insert_animation_stage_one?: Maybe<Animation_Stage>;
    /** insert data into the table: "answer" */
    insert_answer?: Maybe<Answer_Mutation_Response>;
    /** insert a single row into the table: "answer" */
    insert_answer_one?: Maybe<Answer>;
    /** insert data into the table: "answer_type" */
    insert_answer_type?: Maybe<Answer_Type_Mutation_Response>;
    /** insert a single row into the table: "answer_type" */
    insert_answer_type_one?: Maybe<Answer_Type>;
    /** insert data into the table: "area" */
    insert_area?: Maybe<Area_Mutation_Response>;
    /** insert a single row into the table: "area" */
    insert_area_one?: Maybe<Area>;
    /** insert data into the table: "auth.account_providers" */
    insert_auth_account_providers?: Maybe<Auth_Account_Providers_Mutation_Response>;
    /** insert a single row into the table: "auth.account_providers" */
    insert_auth_account_providers_one?: Maybe<Auth_Account_Providers>;
    /** insert data into the table: "auth.account_roles" */
    insert_auth_account_roles?: Maybe<Auth_Account_Roles_Mutation_Response>;
    /** insert a single row into the table: "auth.account_roles" */
    insert_auth_account_roles_one?: Maybe<Auth_Account_Roles>;
    /** insert data into the table: "auth.accounts" */
    insert_auth_accounts?: Maybe<Auth_Accounts_Mutation_Response>;
    /** insert a single row into the table: "auth.accounts" */
    insert_auth_accounts_one?: Maybe<Auth_Accounts>;
    /** insert data into the table: "auth.providers" */
    insert_auth_providers?: Maybe<Auth_Providers_Mutation_Response>;
    /** insert a single row into the table: "auth.providers" */
    insert_auth_providers_one?: Maybe<Auth_Providers>;
    /** insert data into the table: "auth.refresh_tokens" */
    insert_auth_refresh_tokens?: Maybe<Auth_Refresh_Tokens_Mutation_Response>;
    /** insert a single row into the table: "auth.refresh_tokens" */
    insert_auth_refresh_tokens_one?: Maybe<Auth_Refresh_Tokens>;
    /** insert data into the table: "auth.roles" */
    insert_auth_roles?: Maybe<Auth_Roles_Mutation_Response>;
    /** insert a single row into the table: "auth.roles" */
    insert_auth_roles_one?: Maybe<Auth_Roles>;
    /** insert data into the table: "badge" */
    insert_badge?: Maybe<Badge_Mutation_Response>;
    /** insert data into the table: "badge_category" */
    insert_badge_category?: Maybe<Badge_Category_Mutation_Response>;
    /** insert a single row into the table: "badge_category" */
    insert_badge_category_one?: Maybe<Badge_Category>;
    /** insert a single row into the table: "badge" */
    insert_badge_one?: Maybe<Badge>;
    /** insert data into the table: "badge_type" */
    insert_badge_type?: Maybe<Badge_Type_Mutation_Response>;
    /** insert a single row into the table: "badge_type" */
    insert_badge_type_one?: Maybe<Badge_Type>;
    /** insert data into the table: "batch" */
    insert_batch?: Maybe<Batch_Mutation_Response>;
    /** insert a single row into the table: "batch" */
    insert_batch_one?: Maybe<Batch>;
    /** insert data into the table: "blueprint" */
    insert_blueprint?: Maybe<Blueprint_Mutation_Response>;
    /** insert a single row into the table: "blueprint" */
    insert_blueprint_one?: Maybe<Blueprint>;
    /** insert data into the table: "business_model_type" */
    insert_business_model_type?: Maybe<Business_Model_Type_Mutation_Response>;
    /** insert a single row into the table: "business_model_type" */
    insert_business_model_type_one?: Maybe<Business_Model_Type>;
    /** insert data into the table: "charge" */
    insert_charge?: Maybe<Charge_Mutation_Response>;
    /** insert a single row into the table: "charge" */
    insert_charge_one?: Maybe<Charge>;
    /** insert data into the table: "charger" */
    insert_charger?: Maybe<Charger_Mutation_Response>;
    /** insert a single row into the table: "charger" */
    insert_charger_one?: Maybe<Charger>;
    /** insert data into the table: "condition" */
    insert_condition?: Maybe<Condition_Mutation_Response>;
    /** insert a single row into the table: "condition" */
    insert_condition_one?: Maybe<Condition>;
    /** insert data into the table: "condition_type" */
    insert_condition_type?: Maybe<Condition_Type_Mutation_Response>;
    /** insert a single row into the table: "condition_type" */
    insert_condition_type_one?: Maybe<Condition_Type>;
    /** insert data into the table: "content" */
    insert_content?: Maybe<Content_Mutation_Response>;
    /** insert a single row into the table: "content" */
    insert_content_one?: Maybe<Content>;
    /** insert data into the table: "contract" */
    insert_contract?: Maybe<Contract_Mutation_Response>;
    /** insert a single row into the table: "contract" */
    insert_contract_one?: Maybe<Contract>;
    /** insert data into the table: "contract_type" */
    insert_contract_type?: Maybe<Contract_Type_Mutation_Response>;
    /** insert a single row into the table: "contract_type" */
    insert_contract_type_one?: Maybe<Contract_Type>;
    /** insert data into the table: "currency" */
    insert_currency?: Maybe<Currency_Mutation_Response>;
    /** insert data into the table: "currency_exchange" */
    insert_currency_exchange?: Maybe<Currency_Exchange_Mutation_Response>;
    /** insert a single row into the table: "currency_exchange" */
    insert_currency_exchange_one?: Maybe<Currency_Exchange>;
    /** insert a single row into the table: "currency" */
    insert_currency_one?: Maybe<Currency>;
    /** insert data into the table: "currency_type" */
    insert_currency_type?: Maybe<Currency_Type_Mutation_Response>;
    /** insert a single row into the table: "currency_type" */
    insert_currency_type_one?: Maybe<Currency_Type>;
    /** insert data into the table: "desktop_type" */
    insert_desktop_type?: Maybe<Desktop_Type_Mutation_Response>;
    /** insert a single row into the table: "desktop_type" */
    insert_desktop_type_one?: Maybe<Desktop_Type>;
    /** insert data into the table: "entrypoint" */
    insert_entrypoint?: Maybe<Entrypoint_Mutation_Response>;
    /** insert a single row into the table: "entrypoint" */
    insert_entrypoint_one?: Maybe<Entrypoint>;
    /** insert data into the table: "evaluator" */
    insert_evaluator?: Maybe<Evaluator_Mutation_Response>;
    /** insert a single row into the table: "evaluator" */
    insert_evaluator_one?: Maybe<Evaluator>;
    /** insert data into the table: "example" */
    insert_example?: Maybe<Example_Mutation_Response>;
    /** insert a single row into the table: "example" */
    insert_example_one?: Maybe<Example>;
    /** insert data into the table: "example_type" */
    insert_example_type?: Maybe<Example_Type_Mutation_Response>;
    /** insert a single row into the table: "example_type" */
    insert_example_type_one?: Maybe<Example_Type>;
    /** insert data into the table: "exhibition_determinant" */
    insert_exhibition_determinant?: Maybe<Exhibition_Determinant_Mutation_Response>;
    /** insert a single row into the table: "exhibition_determinant" */
    insert_exhibition_determinant_one?: Maybe<Exhibition_Determinant>;
    /** insert data into the table: "flag" */
    insert_flag?: Maybe<Flag_Mutation_Response>;
    /** insert a single row into the table: "flag" */
    insert_flag_one?: Maybe<Flag>;
    /** insert data into the table: "flag_type" */
    insert_flag_type?: Maybe<Flag_Type_Mutation_Response>;
    /** insert a single row into the table: "flag_type" */
    insert_flag_type_one?: Maybe<Flag_Type>;
    /** insert data into the table: "game" */
    insert_game?: Maybe<Game_Mutation_Response>;
    /** insert data into the table: "game_action" */
    insert_game_action?: Maybe<Game_Action_Mutation_Response>;
    /** insert a single row into the table: "game_action" */
    insert_game_action_one?: Maybe<Game_Action>;
    /** insert data into the table: "game_design" */
    insert_game_design?: Maybe<Game_Design_Mutation_Response>;
    /** insert a single row into the table: "game_design" */
    insert_game_design_one?: Maybe<Game_Design>;
    /** insert data into the table: "game_group" */
    insert_game_group?: Maybe<Game_Group_Mutation_Response>;
    /** insert a single row into the table: "game_group" */
    insert_game_group_one?: Maybe<Game_Group>;
    /** insert data into the table: "game_hunter" */
    insert_game_hunter?: Maybe<Game_Hunter_Mutation_Response>;
    /** insert a single row into the table: "game_hunter" */
    insert_game_hunter_one?: Maybe<Game_Hunter>;
    /** insert data into the table: "game_management" */
    insert_game_management?: Maybe<Game_Management_Mutation_Response>;
    /** insert a single row into the table: "game_management" */
    insert_game_management_one?: Maybe<Game_Management>;
    /** insert a single row into the table: "game" */
    insert_game_one?: Maybe<Game>;
    /** insert data into the table: "game_operators" */
    insert_game_operators?: Maybe<Game_Operators_Mutation_Response>;
    /** insert a single row into the table: "game_operators" */
    insert_game_operators_one?: Maybe<Game_Operators>;
    /** insert data into the table: "game_record" */
    insert_game_record?: Maybe<Game_Record_Mutation_Response>;
    /** insert a single row into the table: "game_record" */
    insert_game_record_one?: Maybe<Game_Record>;
    /** insert data into the table: "game_requirement" */
    insert_game_requirement?: Maybe<Game_Requirement_Mutation_Response>;
    /** insert a single row into the table: "game_requirement" */
    insert_game_requirement_one?: Maybe<Game_Requirement>;
    /** insert data into the table: "game_state_type" */
    insert_game_state_type?: Maybe<Game_State_Type_Mutation_Response>;
    /** insert a single row into the table: "game_state_type" */
    insert_game_state_type_one?: Maybe<Game_State_Type>;
    /** insert data into the table: "game_winner" */
    insert_game_winner?: Maybe<Game_Winner_Mutation_Response>;
    /** insert a single row into the table: "game_winner" */
    insert_game_winner_one?: Maybe<Game_Winner>;
    /** insert data into the table: "games_locus" */
    insert_games_locus?: Maybe<Games_Locus_Mutation_Response>;
    /** insert a single row into the table: "games_locus" */
    insert_games_locus_one?: Maybe<Games_Locus>;
    /** insert data into the table: "gift" */
    insert_gift?: Maybe<Gift_Mutation_Response>;
    /** insert a single row into the table: "gift" */
    insert_gift_one?: Maybe<Gift>;
    /** insert data into the table: "goods" */
    insert_goods?: Maybe<Goods_Mutation_Response>;
    /** insert a single row into the table: "goods" */
    insert_goods_one?: Maybe<Goods>;
    /** insert data into the table: "hier_type" */
    insert_hier_type?: Maybe<Hier_Type_Mutation_Response>;
    /** insert a single row into the table: "hier_type" */
    insert_hier_type_one?: Maybe<Hier_Type>;
    /** insert data into the table: "incognito" */
    insert_incognito?: Maybe<Incognito_Mutation_Response>;
    /** insert a single row into the table: "incognito" */
    insert_incognito_one?: Maybe<Incognito>;
    /** insert data into the table: "inscription" */
    insert_inscription?: Maybe<Inscription_Mutation_Response>;
    /** insert a single row into the table: "inscription" */
    insert_inscription_one?: Maybe<Inscription>;
    /** insert data into the table: "interface_type" */
    insert_interface_type?: Maybe<Interface_Type_Mutation_Response>;
    /** insert a single row into the table: "interface_type" */
    insert_interface_type_one?: Maybe<Interface_Type>;
    /** insert data into the table: "judge" */
    insert_judge?: Maybe<Judge_Mutation_Response>;
    /** insert data into the table: "judge_display_type" */
    insert_judge_display_type?: Maybe<Judge_Display_Type_Mutation_Response>;
    /** insert a single row into the table: "judge_display_type" */
    insert_judge_display_type_one?: Maybe<Judge_Display_Type>;
    /** insert data into the table: "judge_entry" */
    insert_judge_entry?: Maybe<Judge_Entry_Mutation_Response>;
    /** insert a single row into the table: "judge_entry" */
    insert_judge_entry_one?: Maybe<Judge_Entry>;
    /** insert a single row into the table: "judge" */
    insert_judge_one?: Maybe<Judge>;
    /** insert data into the table: "judge_role_type" */
    insert_judge_role_type?: Maybe<Judge_Role_Type_Mutation_Response>;
    /** insert a single row into the table: "judge_role_type" */
    insert_judge_role_type_one?: Maybe<Judge_Role_Type>;
    /** insert data into the table: "kairos" */
    insert_kairos?: Maybe<Kairos_Mutation_Response>;
    /** insert a single row into the table: "kairos" */
    insert_kairos_one?: Maybe<Kairos>;
    /** insert data into the table: "keyword_description" */
    insert_keyword_description?: Maybe<Keyword_Description_Mutation_Response>;
    /** insert a single row into the table: "keyword_description" */
    insert_keyword_description_one?: Maybe<Keyword_Description>;
    /** insert data into the table: "language" */
    insert_language?: Maybe<Language_Mutation_Response>;
    /** insert a single row into the table: "language" */
    insert_language_one?: Maybe<Language>;
    /** insert data into the table: "location" */
    insert_location?: Maybe<Location_Mutation_Response>;
    /** insert a single row into the table: "location" */
    insert_location_one?: Maybe<Location>;
    /** insert data into the table: "locus" */
    insert_locus?: Maybe<Locus_Mutation_Response>;
    /** insert data into the table: "locus_imitate" */
    insert_locus_imitate?: Maybe<Locus_Imitate_Mutation_Response>;
    /** insert a single row into the table: "locus_imitate" */
    insert_locus_imitate_one?: Maybe<Locus_Imitate>;
    /** insert data into the table: "locus_member" */
    insert_locus_member?: Maybe<Locus_Member_Mutation_Response>;
    /** insert a single row into the table: "locus_member" */
    insert_locus_member_one?: Maybe<Locus_Member>;
    /** insert a single row into the table: "locus" */
    insert_locus_one?: Maybe<Locus>;
    /** insert data into the table: "locus_operation_type" */
    insert_locus_operation_type?: Maybe<Locus_Operation_Type_Mutation_Response>;
    /** insert a single row into the table: "locus_operation_type" */
    insert_locus_operation_type_one?: Maybe<Locus_Operation_Type>;
    /** insert data into the table: "locus_policy" */
    insert_locus_policy?: Maybe<Locus_Policy_Mutation_Response>;
    /** insert a single row into the table: "locus_policy" */
    insert_locus_policy_one?: Maybe<Locus_Policy>;
    /** insert data into the table: "locus_state" */
    insert_locus_state?: Maybe<Locus_State_Mutation_Response>;
    /** insert a single row into the table: "locus_state" */
    insert_locus_state_one?: Maybe<Locus_State>;
    /** insert data into the table: "locus_theme" */
    insert_locus_theme?: Maybe<Locus_Theme_Mutation_Response>;
    /** insert a single row into the table: "locus_theme" */
    insert_locus_theme_one?: Maybe<Locus_Theme>;
    /** insert data into the table: "locus_type" */
    insert_locus_type?: Maybe<Locus_Type_Mutation_Response>;
    /** insert a single row into the table: "locus_type" */
    insert_locus_type_one?: Maybe<Locus_Type>;
    /** insert data into the table: "map" */
    insert_map?: Maybe<Map_Mutation_Response>;
    /** insert data into the table: "map_condition_type" */
    insert_map_condition_type?: Maybe<Map_Condition_Type_Mutation_Response>;
    /** insert a single row into the table: "map_condition_type" */
    insert_map_condition_type_one?: Maybe<Map_Condition_Type>;
    /** insert data into the table: "map_effect" */
    insert_map_effect?: Maybe<Map_Effect_Mutation_Response>;
    /** insert a single row into the table: "map_effect" */
    insert_map_effect_one?: Maybe<Map_Effect>;
    /** insert data into the table: "map_effect_type" */
    insert_map_effect_type?: Maybe<Map_Effect_Type_Mutation_Response>;
    /** insert a single row into the table: "map_effect_type" */
    insert_map_effect_type_one?: Maybe<Map_Effect_Type>;
    /** insert data into the table: "map_item" */
    insert_map_item?: Maybe<Map_Item_Mutation_Response>;
    /** insert data into the table: "map_item_animation" */
    insert_map_item_animation?: Maybe<Map_Item_Animation_Mutation_Response>;
    /** insert a single row into the table: "map_item_animation" */
    insert_map_item_animation_one?: Maybe<Map_Item_Animation>;
    /** insert a single row into the table: "map_item" */
    insert_map_item_one?: Maybe<Map_Item>;
    /** insert data into the table: "map_item_state" */
    insert_map_item_state?: Maybe<Map_Item_State_Mutation_Response>;
    /** insert a single row into the table: "map_item_state" */
    insert_map_item_state_one?: Maybe<Map_Item_State>;
    /** insert a single row into the table: "map" */
    insert_map_one?: Maybe<Map>;
    /** insert data into the table: "medium_type" */
    insert_medium_type?: Maybe<Medium_Type_Mutation_Response>;
    /** insert a single row into the table: "medium_type" */
    insert_medium_type_one?: Maybe<Medium_Type>;
    /** insert data into the table: "megaphone" */
    insert_megaphone?: Maybe<Megaphone_Mutation_Response>;
    /** insert a single row into the table: "megaphone" */
    insert_megaphone_one?: Maybe<Megaphone>;
    /** insert data into the table: "message" */
    insert_message?: Maybe<Message_Mutation_Response>;
    /** insert a single row into the table: "message" */
    insert_message_one?: Maybe<Message>;
    /** insert data into the table: "mold" */
    insert_mold?: Maybe<Mold_Mutation_Response>;
    /** insert data into the table: "mold_blueprint" */
    insert_mold_blueprint?: Maybe<Mold_Blueprint_Mutation_Response>;
    /** insert a single row into the table: "mold_blueprint" */
    insert_mold_blueprint_one?: Maybe<Mold_Blueprint>;
    /** insert a single row into the table: "mold" */
    insert_mold_one?: Maybe<Mold>;
    /** insert data into the table: "morsel_type" */
    insert_morsel_type?: Maybe<Morsel_Type_Mutation_Response>;
    /** insert a single row into the table: "morsel_type" */
    insert_morsel_type_one?: Maybe<Morsel_Type>;
    /** insert data into the table: "operation" */
    insert_operation?: Maybe<Operation_Mutation_Response>;
    /** insert data into the table: "operation_maintain_type" */
    insert_operation_maintain_type?: Maybe<Operation_Maintain_Type_Mutation_Response>;
    /** insert a single row into the table: "operation_maintain_type" */
    insert_operation_maintain_type_one?: Maybe<Operation_Maintain_Type>;
    /** insert a single row into the table: "operation" */
    insert_operation_one?: Maybe<Operation>;
    /** insert data into the table: "operation_operator" */
    insert_operation_operator?: Maybe<Operation_Operator_Mutation_Response>;
    /** insert a single row into the table: "operation_operator" */
    insert_operation_operator_one?: Maybe<Operation_Operator>;
    /** insert data into the table: "operation_setting_type" */
    insert_operation_setting_type?: Maybe<Operation_Setting_Type_Mutation_Response>;
    /** insert a single row into the table: "operation_setting_type" */
    insert_operation_setting_type_one?: Maybe<Operation_Setting_Type>;
    /** insert data into the table: "operation_state" */
    insert_operation_state?: Maybe<Operation_State_Mutation_Response>;
    /** insert a single row into the table: "operation_state" */
    insert_operation_state_one?: Maybe<Operation_State>;
    /** insert data into the table: "operation_type" */
    insert_operation_type?: Maybe<Operation_Type_Mutation_Response>;
    /** insert a single row into the table: "operation_type" */
    insert_operation_type_one?: Maybe<Operation_Type>;
    /** insert data into the table: "operator_state_type" */
    insert_operator_state_type?: Maybe<Operator_State_Type_Mutation_Response>;
    /** insert a single row into the table: "operator_state_type" */
    insert_operator_state_type_one?: Maybe<Operator_State_Type>;
    /** insert data into the table: "piece" */
    insert_piece?: Maybe<Piece_Mutation_Response>;
    /** insert data into the table: "piece_locus" */
    insert_piece_locus?: Maybe<Piece_Locus_Mutation_Response>;
    /** insert a single row into the table: "piece_locus" */
    insert_piece_locus_one?: Maybe<Piece_Locus>;
    /** insert a single row into the table: "piece" */
    insert_piece_one?: Maybe<Piece>;
    /** insert data into the table: "piece_type" */
    insert_piece_type?: Maybe<Piece_Type_Mutation_Response>;
    /** insert a single row into the table: "piece_type" */
    insert_piece_type_one?: Maybe<Piece_Type>;
    /** insert data into the table: "post" */
    insert_post?: Maybe<Post_Mutation_Response>;
    /** insert data into the table: "post_evaluation" */
    insert_post_evaluation?: Maybe<Post_Evaluation_Mutation_Response>;
    /** insert a single row into the table: "post_evaluation" */
    insert_post_evaluation_one?: Maybe<Post_Evaluation>;
    /** insert a single row into the table: "post" */
    insert_post_one?: Maybe<Post>;
    /** insert data into the table: "preference" */
    insert_preference?: Maybe<Preference_Mutation_Response>;
    /** insert a single row into the table: "preference" */
    insert_preference_one?: Maybe<Preference>;
    /** insert data into the table: "product" */
    insert_product?: Maybe<Product_Mutation_Response>;
    /** insert a single row into the table: "product" */
    insert_product_one?: Maybe<Product>;
    /** insert data into the table: "profile" */
    insert_profile?: Maybe<Profile_Mutation_Response>;
    /** insert a single row into the table: "profile" */
    insert_profile_one?: Maybe<Profile>;
    /** insert data into the table: "purchase" */
    insert_purchase?: Maybe<Purchase_Mutation_Response>;
    /** insert a single row into the table: "purchase" */
    insert_purchase_one?: Maybe<Purchase>;
    /** insert data into the table: "quest" */
    insert_quest?: Maybe<Quest_Mutation_Response>;
    /** insert data into the table: "quest_ancestry" */
    insert_quest_ancestry?: Maybe<Quest_Ancestry_Mutation_Response>;
    /** insert a single row into the table: "quest_ancestry" */
    insert_quest_ancestry_one?: Maybe<Quest_Ancestry>;
    /** insert a single row into the table: "quest" */
    insert_quest_one?: Maybe<Quest>;
    /** insert data into the table: "quest_state" */
    insert_quest_state?: Maybe<Quest_State_Mutation_Response>;
    /** insert a single row into the table: "quest_state" */
    insert_quest_state_one?: Maybe<Quest_State>;
    /** insert data into the table: "quest_type" */
    insert_quest_type?: Maybe<Quest_Type_Mutation_Response>;
    /** insert a single row into the table: "quest_type" */
    insert_quest_type_one?: Maybe<Quest_Type>;
    /** insert data into the table: "resource_policy" */
    insert_resource_policy?: Maybe<Resource_Policy_Mutation_Response>;
    /** insert a single row into the table: "resource_policy" */
    insert_resource_policy_one?: Maybe<Resource_Policy>;
    /** insert data into the table: "resource_privacy" */
    insert_resource_privacy?: Maybe<Resource_Privacy_Mutation_Response>;
    /** insert a single row into the table: "resource_privacy" */
    insert_resource_privacy_one?: Maybe<Resource_Privacy>;
    /** insert data into the table: "rooadmap_gis.cord_2d" */
    insert_rooadmap_gis_cord_2d?: Maybe<Rooadmap_Gis_Cord_2d_Mutation_Response>;
    /** insert a single row into the table: "rooadmap_gis.cord_2d" */
    insert_rooadmap_gis_cord_2d_one?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** insert data into the table: "rooadmap_gis.cord_3d" */
    insert_rooadmap_gis_cord_3d?: Maybe<Rooadmap_Gis_Cord_3d_Mutation_Response>;
    /** insert a single row into the table: "rooadmap_gis.cord_3d" */
    insert_rooadmap_gis_cord_3d_one?: Maybe<Rooadmap_Gis_Cord_3d>;
    /** insert data into the table: "rooadmap_gis.location_2d" */
    insert_rooadmap_gis_location_2d?: Maybe<Rooadmap_Gis_Location_2d_Mutation_Response>;
    /** insert a single row into the table: "rooadmap_gis.location_2d" */
    insert_rooadmap_gis_location_2d_one?: Maybe<Rooadmap_Gis_Location_2d>;
    /** insert data into the table: "rooadmap_gis.location_3d" */
    insert_rooadmap_gis_location_3d?: Maybe<Rooadmap_Gis_Location_3d_Mutation_Response>;
    /** insert a single row into the table: "rooadmap_gis.location_3d" */
    insert_rooadmap_gis_location_3d_one?: Maybe<Rooadmap_Gis_Location_3d>;
    /** insert data into the table: "rooadmap_gis.map_item" */
    insert_rooadmap_gis_map_item?: Maybe<Rooadmap_Gis_Map_Item_Mutation_Response>;
    /** insert a single row into the table: "rooadmap_gis.map_item" */
    insert_rooadmap_gis_map_item_one?: Maybe<Rooadmap_Gis_Map_Item>;
    /** insert data into the table: "segment" */
    insert_segment?: Maybe<Segment_Mutation_Response>;
    /** insert data into the table: "segment_exhibition" */
    insert_segment_exhibition?: Maybe<Segment_Exhibition_Mutation_Response>;
    /** insert a single row into the table: "segment_exhibition" */
    insert_segment_exhibition_one?: Maybe<Segment_Exhibition>;
    /** insert a single row into the table: "segment" */
    insert_segment_one?: Maybe<Segment>;
    /** insert data into the table: "sell" */
    insert_sell?: Maybe<Sell_Mutation_Response>;
    /** insert data into the table: "sell_management" */
    insert_sell_management?: Maybe<Sell_Management_Mutation_Response>;
    /** insert a single row into the table: "sell_management" */
    insert_sell_management_one?: Maybe<Sell_Management>;
    /** insert a single row into the table: "sell" */
    insert_sell_one?: Maybe<Sell>;
    /** insert data into the table: "sponsorship" */
    insert_sponsorship?: Maybe<Sponsorship_Mutation_Response>;
    /** insert data into the table: "sponsorship_condition" */
    insert_sponsorship_condition?: Maybe<Sponsorship_Condition_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_condition" */
    insert_sponsorship_condition_one?: Maybe<Sponsorship_Condition>;
    /** insert data into the table: "sponsorship_game_state" */
    insert_sponsorship_game_state?: Maybe<Sponsorship_Game_State_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_game_state" */
    insert_sponsorship_game_state_one?: Maybe<Sponsorship_Game_State>;
    /** insert data into the table: "sponsorship_game_state_type" */
    insert_sponsorship_game_state_type?: Maybe<Sponsorship_Game_State_Type_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_game_state_type" */
    insert_sponsorship_game_state_type_one?: Maybe<Sponsorship_Game_State_Type>;
    /** insert data into the table: "sponsorship_images" */
    insert_sponsorship_images?: Maybe<Sponsorship_Images_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_images" */
    insert_sponsorship_images_one?: Maybe<Sponsorship_Images>;
    /** insert data into the table: "sponsorship_imitate" */
    insert_sponsorship_imitate?: Maybe<Sponsorship_Imitate_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_imitate" */
    insert_sponsorship_imitate_one?: Maybe<Sponsorship_Imitate>;
    /** insert data into the table: "sponsorship_locus" */
    insert_sponsorship_locus?: Maybe<Sponsorship_Locus_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_locus" */
    insert_sponsorship_locus_one?: Maybe<Sponsorship_Locus>;
    /** insert a single row into the table: "sponsorship" */
    insert_sponsorship_one?: Maybe<Sponsorship>;
    /** insert data into the table: "sponsorship_requirement" */
    insert_sponsorship_requirement?: Maybe<Sponsorship_Requirement_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_requirement" */
    insert_sponsorship_requirement_one?: Maybe<Sponsorship_Requirement>;
    /** insert data into the table: "sponsorship_requirement_type" */
    insert_sponsorship_requirement_type?: Maybe<Sponsorship_Requirement_Type_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_requirement_type" */
    insert_sponsorship_requirement_type_one?: Maybe<Sponsorship_Requirement_Type>;
    /** insert data into the table: "sponsorship_settlement_state_type" */
    insert_sponsorship_settlement_state_type?: Maybe<Sponsorship_Settlement_State_Type_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_settlement_state_type" */
    insert_sponsorship_settlement_state_type_one?: Maybe<Sponsorship_Settlement_State_Type>;
    /** insert data into the table: "sponsorship_state" */
    insert_sponsorship_state?: Maybe<Sponsorship_State_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_state" */
    insert_sponsorship_state_one?: Maybe<Sponsorship_State>;
    /** insert data into the table: "sponsorship_type" */
    insert_sponsorship_type?: Maybe<Sponsorship_Type_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_type" */
    insert_sponsorship_type_one?: Maybe<Sponsorship_Type>;
    /** insert data into the table: "spot" */
    insert_spot?: Maybe<Spot_Mutation_Response>;
    /** insert data into the table: "spot_inscription" */
    insert_spot_inscription?: Maybe<Spot_Inscription_Mutation_Response>;
    /** insert a single row into the table: "spot_inscription" */
    insert_spot_inscription_one?: Maybe<Spot_Inscription>;
    /** insert a single row into the table: "spot" */
    insert_spot_one?: Maybe<Spot>;
    /** insert data into the table: "spot_policy" */
    insert_spot_policy?: Maybe<Spot_Policy_Mutation_Response>;
    /** insert a single row into the table: "spot_policy" */
    insert_spot_policy_one?: Maybe<Spot_Policy>;
    /** insert data into the table: "spot_type" */
    insert_spot_type?: Maybe<Spot_Type_Mutation_Response>;
    /** insert a single row into the table: "spot_type" */
    insert_spot_type_one?: Maybe<Spot_Type>;
    /** insert data into the table: "spot_user" */
    insert_spot_user?: Maybe<Spot_User_Mutation_Response>;
    /** insert a single row into the table: "spot_user" */
    insert_spot_user_one?: Maybe<Spot_User>;
    /** insert data into the table: "target_view_type" */
    insert_target_view_type?: Maybe<Target_View_Type_Mutation_Response>;
    /** insert a single row into the table: "target_view_type" */
    insert_target_view_type_one?: Maybe<Target_View_Type>;
    /** insert data into the table: "task" */
    insert_task?: Maybe<Task_Mutation_Response>;
    /** insert a single row into the table: "task" */
    insert_task_one?: Maybe<Task>;
    /** insert data into the table: "theme" */
    insert_theme?: Maybe<Theme_Mutation_Response>;
    /** insert a single row into the table: "theme" */
    insert_theme_one?: Maybe<Theme>;
    /** insert data into the table: "treasure_user" */
    insert_treasure_user?: Maybe<Treasure_User_Mutation_Response>;
    /** insert a single row into the table: "treasure_user" */
    insert_treasure_user_one?: Maybe<Treasure_User>;
    /** insert data into the table: "universe" */
    insert_universe?: Maybe<Universe_Mutation_Response>;
    /** insert data into the table: "universe_member" */
    insert_universe_member?: Maybe<Universe_Member_Mutation_Response>;
    /** insert a single row into the table: "universe_member" */
    insert_universe_member_one?: Maybe<Universe_Member>;
    /** insert a single row into the table: "universe" */
    insert_universe_one?: Maybe<Universe>;
    /** insert data into the table: "universe_policy" */
    insert_universe_policy?: Maybe<Universe_Policy_Mutation_Response>;
    /** insert a single row into the table: "universe_policy" */
    insert_universe_policy_one?: Maybe<Universe_Policy>;
    /** insert data into the table: "universe_resource" */
    insert_universe_resource?: Maybe<Universe_Resource_Mutation_Response>;
    /** insert a single row into the table: "universe_resource" */
    insert_universe_resource_one?: Maybe<Universe_Resource>;
    /** insert data into the table: "universe_state" */
    insert_universe_state?: Maybe<Universe_State_Mutation_Response>;
    /** insert a single row into the table: "universe_state" */
    insert_universe_state_one?: Maybe<Universe_State>;
    /** insert data into the table: "users" */
    insert_users?: Maybe<Users_Mutation_Response>;
    /** insert a single row into the table: "users" */
    insert_users_one?: Maybe<Users>;
    operate_image_npc_judge?: Maybe<ImageNpcOperationOutput>;
    purchase_game_by_rp?: Maybe<PurchaseGameByRpResult>;
    purchase_sponsorship_by_rp?: Maybe<PurchaseSponsorshipByRpResult>;
    restart_game_play?: Maybe<RestartGamePlayOutput>;
    set_game_state_on_ready?: Maybe<SetGameStateOnReadyOutput>;
    settle_operation_games_locus?: Maybe<SettleOperationGamesLocusOutput>;
    start_game?: Maybe<StartGameOutput>;
    taste_jigsaw_judge?: Maybe<TasteJigsawJudgeOutput>;
    taste_multi_word_judge?: Maybe<TasteWordJudgeOutput>;
    taste_word_judge?: Maybe<TasteWordJudgeOutput>;
    taste_word_sequence_judge?: Maybe<TasteWordSequenceJudgeOutput>;
    taste_words_judge?: Maybe<TasteWordsJudgeOutput>;
    /** update data of the table: "alarm" */
    update_alarm?: Maybe<Alarm_Mutation_Response>;
    /** update single row of the table: "alarm" */
    update_alarm_by_pk?: Maybe<Alarm>;
    /** update multiples rows of table: "alarm" */
    update_alarm_many?: Maybe<Array<Maybe<Alarm_Mutation_Response>>>;
    /** update data of the table: "animation_stage" */
    update_animation_stage?: Maybe<Animation_Stage_Mutation_Response>;
    /** update single row of the table: "animation_stage" */
    update_animation_stage_by_pk?: Maybe<Animation_Stage>;
    /** update multiples rows of table: "animation_stage" */
    update_animation_stage_many?: Maybe<Array<Maybe<Animation_Stage_Mutation_Response>>>;
    /** update data of the table: "answer" */
    update_answer?: Maybe<Answer_Mutation_Response>;
    /** update single row of the table: "answer" */
    update_answer_by_pk?: Maybe<Answer>;
    /** update multiples rows of table: "answer" */
    update_answer_many?: Maybe<Array<Maybe<Answer_Mutation_Response>>>;
    /** update data of the table: "answer_type" */
    update_answer_type?: Maybe<Answer_Type_Mutation_Response>;
    /** update single row of the table: "answer_type" */
    update_answer_type_by_pk?: Maybe<Answer_Type>;
    /** update multiples rows of table: "answer_type" */
    update_answer_type_many?: Maybe<Array<Maybe<Answer_Type_Mutation_Response>>>;
    /** update data of the table: "area" */
    update_area?: Maybe<Area_Mutation_Response>;
    /** update single row of the table: "area" */
    update_area_by_pk?: Maybe<Area>;
    /** update multiples rows of table: "area" */
    update_area_many?: Maybe<Array<Maybe<Area_Mutation_Response>>>;
    /** update data of the table: "auth.account_providers" */
    update_auth_account_providers?: Maybe<Auth_Account_Providers_Mutation_Response>;
    /** update single row of the table: "auth.account_providers" */
    update_auth_account_providers_by_pk?: Maybe<Auth_Account_Providers>;
    /** update multiples rows of table: "auth.account_providers" */
    update_auth_account_providers_many?: Maybe<Array<Maybe<Auth_Account_Providers_Mutation_Response>>>;
    /** update data of the table: "auth.account_roles" */
    update_auth_account_roles?: Maybe<Auth_Account_Roles_Mutation_Response>;
    /** update single row of the table: "auth.account_roles" */
    update_auth_account_roles_by_pk?: Maybe<Auth_Account_Roles>;
    /** update multiples rows of table: "auth.account_roles" */
    update_auth_account_roles_many?: Maybe<Array<Maybe<Auth_Account_Roles_Mutation_Response>>>;
    /** update data of the table: "auth.accounts" */
    update_auth_accounts?: Maybe<Auth_Accounts_Mutation_Response>;
    /** update single row of the table: "auth.accounts" */
    update_auth_accounts_by_pk?: Maybe<Auth_Accounts>;
    /** update multiples rows of table: "auth.accounts" */
    update_auth_accounts_many?: Maybe<Array<Maybe<Auth_Accounts_Mutation_Response>>>;
    /** update data of the table: "auth.providers" */
    update_auth_providers?: Maybe<Auth_Providers_Mutation_Response>;
    /** update single row of the table: "auth.providers" */
    update_auth_providers_by_pk?: Maybe<Auth_Providers>;
    /** update multiples rows of table: "auth.providers" */
    update_auth_providers_many?: Maybe<Array<Maybe<Auth_Providers_Mutation_Response>>>;
    /** update data of the table: "auth.refresh_tokens" */
    update_auth_refresh_tokens?: Maybe<Auth_Refresh_Tokens_Mutation_Response>;
    /** update single row of the table: "auth.refresh_tokens" */
    update_auth_refresh_tokens_by_pk?: Maybe<Auth_Refresh_Tokens>;
    /** update multiples rows of table: "auth.refresh_tokens" */
    update_auth_refresh_tokens_many?: Maybe<Array<Maybe<Auth_Refresh_Tokens_Mutation_Response>>>;
    /** update data of the table: "auth.roles" */
    update_auth_roles?: Maybe<Auth_Roles_Mutation_Response>;
    /** update single row of the table: "auth.roles" */
    update_auth_roles_by_pk?: Maybe<Auth_Roles>;
    /** update multiples rows of table: "auth.roles" */
    update_auth_roles_many?: Maybe<Array<Maybe<Auth_Roles_Mutation_Response>>>;
    /** update data of the table: "badge" */
    update_badge?: Maybe<Badge_Mutation_Response>;
    /** update single row of the table: "badge" */
    update_badge_by_pk?: Maybe<Badge>;
    /** update data of the table: "badge_category" */
    update_badge_category?: Maybe<Badge_Category_Mutation_Response>;
    /** update single row of the table: "badge_category" */
    update_badge_category_by_pk?: Maybe<Badge_Category>;
    /** update multiples rows of table: "badge_category" */
    update_badge_category_many?: Maybe<Array<Maybe<Badge_Category_Mutation_Response>>>;
    /** update multiples rows of table: "badge" */
    update_badge_many?: Maybe<Array<Maybe<Badge_Mutation_Response>>>;
    /** update data of the table: "badge_type" */
    update_badge_type?: Maybe<Badge_Type_Mutation_Response>;
    /** update single row of the table: "badge_type" */
    update_badge_type_by_pk?: Maybe<Badge_Type>;
    /** update multiples rows of table: "badge_type" */
    update_badge_type_many?: Maybe<Array<Maybe<Badge_Type_Mutation_Response>>>;
    /** update data of the table: "batch" */
    update_batch?: Maybe<Batch_Mutation_Response>;
    /** update single row of the table: "batch" */
    update_batch_by_pk?: Maybe<Batch>;
    /** update multiples rows of table: "batch" */
    update_batch_many?: Maybe<Array<Maybe<Batch_Mutation_Response>>>;
    /** update data of the table: "blueprint" */
    update_blueprint?: Maybe<Blueprint_Mutation_Response>;
    /** update single row of the table: "blueprint" */
    update_blueprint_by_pk?: Maybe<Blueprint>;
    /** update multiples rows of table: "blueprint" */
    update_blueprint_many?: Maybe<Array<Maybe<Blueprint_Mutation_Response>>>;
    /** update data of the table: "business_model_type" */
    update_business_model_type?: Maybe<Business_Model_Type_Mutation_Response>;
    /** update single row of the table: "business_model_type" */
    update_business_model_type_by_pk?: Maybe<Business_Model_Type>;
    /** update multiples rows of table: "business_model_type" */
    update_business_model_type_many?: Maybe<Array<Maybe<Business_Model_Type_Mutation_Response>>>;
    /** update data of the table: "charge" */
    update_charge?: Maybe<Charge_Mutation_Response>;
    /** update single row of the table: "charge" */
    update_charge_by_pk?: Maybe<Charge>;
    /** update multiples rows of table: "charge" */
    update_charge_many?: Maybe<Array<Maybe<Charge_Mutation_Response>>>;
    /** update data of the table: "charger" */
    update_charger?: Maybe<Charger_Mutation_Response>;
    /** update single row of the table: "charger" */
    update_charger_by_pk?: Maybe<Charger>;
    /** update multiples rows of table: "charger" */
    update_charger_many?: Maybe<Array<Maybe<Charger_Mutation_Response>>>;
    /** update data of the table: "condition" */
    update_condition?: Maybe<Condition_Mutation_Response>;
    /** update single row of the table: "condition" */
    update_condition_by_pk?: Maybe<Condition>;
    /** update multiples rows of table: "condition" */
    update_condition_many?: Maybe<Array<Maybe<Condition_Mutation_Response>>>;
    /** update data of the table: "condition_type" */
    update_condition_type?: Maybe<Condition_Type_Mutation_Response>;
    /** update single row of the table: "condition_type" */
    update_condition_type_by_pk?: Maybe<Condition_Type>;
    /** update multiples rows of table: "condition_type" */
    update_condition_type_many?: Maybe<Array<Maybe<Condition_Type_Mutation_Response>>>;
    /** update data of the table: "content" */
    update_content?: Maybe<Content_Mutation_Response>;
    /** update single row of the table: "content" */
    update_content_by_pk?: Maybe<Content>;
    /** update multiples rows of table: "content" */
    update_content_many?: Maybe<Array<Maybe<Content_Mutation_Response>>>;
    /** update data of the table: "contract" */
    update_contract?: Maybe<Contract_Mutation_Response>;
    /** update single row of the table: "contract" */
    update_contract_by_pk?: Maybe<Contract>;
    /** update multiples rows of table: "contract" */
    update_contract_many?: Maybe<Array<Maybe<Contract_Mutation_Response>>>;
    /** update data of the table: "contract_type" */
    update_contract_type?: Maybe<Contract_Type_Mutation_Response>;
    /** update single row of the table: "contract_type" */
    update_contract_type_by_pk?: Maybe<Contract_Type>;
    /** update multiples rows of table: "contract_type" */
    update_contract_type_many?: Maybe<Array<Maybe<Contract_Type_Mutation_Response>>>;
    /** update data of the table: "currency" */
    update_currency?: Maybe<Currency_Mutation_Response>;
    /** update single row of the table: "currency" */
    update_currency_by_pk?: Maybe<Currency>;
    /** update data of the table: "currency_exchange" */
    update_currency_exchange?: Maybe<Currency_Exchange_Mutation_Response>;
    /** update single row of the table: "currency_exchange" */
    update_currency_exchange_by_pk?: Maybe<Currency_Exchange>;
    /** update multiples rows of table: "currency_exchange" */
    update_currency_exchange_many?: Maybe<Array<Maybe<Currency_Exchange_Mutation_Response>>>;
    /** update multiples rows of table: "currency" */
    update_currency_many?: Maybe<Array<Maybe<Currency_Mutation_Response>>>;
    /** update data of the table: "currency_type" */
    update_currency_type?: Maybe<Currency_Type_Mutation_Response>;
    /** update single row of the table: "currency_type" */
    update_currency_type_by_pk?: Maybe<Currency_Type>;
    /** update multiples rows of table: "currency_type" */
    update_currency_type_many?: Maybe<Array<Maybe<Currency_Type_Mutation_Response>>>;
    /** update data of the table: "desktop_type" */
    update_desktop_type?: Maybe<Desktop_Type_Mutation_Response>;
    /** update single row of the table: "desktop_type" */
    update_desktop_type_by_pk?: Maybe<Desktop_Type>;
    /** update multiples rows of table: "desktop_type" */
    update_desktop_type_many?: Maybe<Array<Maybe<Desktop_Type_Mutation_Response>>>;
    /** update data of the table: "entrypoint" */
    update_entrypoint?: Maybe<Entrypoint_Mutation_Response>;
    /** update single row of the table: "entrypoint" */
    update_entrypoint_by_pk?: Maybe<Entrypoint>;
    /** update multiples rows of table: "entrypoint" */
    update_entrypoint_many?: Maybe<Array<Maybe<Entrypoint_Mutation_Response>>>;
    /** update data of the table: "evaluator" */
    update_evaluator?: Maybe<Evaluator_Mutation_Response>;
    /** update single row of the table: "evaluator" */
    update_evaluator_by_pk?: Maybe<Evaluator>;
    /** update multiples rows of table: "evaluator" */
    update_evaluator_many?: Maybe<Array<Maybe<Evaluator_Mutation_Response>>>;
    /** update data of the table: "example" */
    update_example?: Maybe<Example_Mutation_Response>;
    /** update single row of the table: "example" */
    update_example_by_pk?: Maybe<Example>;
    /** update multiples rows of table: "example" */
    update_example_many?: Maybe<Array<Maybe<Example_Mutation_Response>>>;
    /** update data of the table: "example_type" */
    update_example_type?: Maybe<Example_Type_Mutation_Response>;
    /** update single row of the table: "example_type" */
    update_example_type_by_pk?: Maybe<Example_Type>;
    /** update multiples rows of table: "example_type" */
    update_example_type_many?: Maybe<Array<Maybe<Example_Type_Mutation_Response>>>;
    /** update data of the table: "exhibition_determinant" */
    update_exhibition_determinant?: Maybe<Exhibition_Determinant_Mutation_Response>;
    /** update single row of the table: "exhibition_determinant" */
    update_exhibition_determinant_by_pk?: Maybe<Exhibition_Determinant>;
    /** update multiples rows of table: "exhibition_determinant" */
    update_exhibition_determinant_many?: Maybe<Array<Maybe<Exhibition_Determinant_Mutation_Response>>>;
    /** update data of the table: "flag" */
    update_flag?: Maybe<Flag_Mutation_Response>;
    /** update single row of the table: "flag" */
    update_flag_by_pk?: Maybe<Flag>;
    /** update multiples rows of table: "flag" */
    update_flag_many?: Maybe<Array<Maybe<Flag_Mutation_Response>>>;
    /** update data of the table: "flag_type" */
    update_flag_type?: Maybe<Flag_Type_Mutation_Response>;
    /** update single row of the table: "flag_type" */
    update_flag_type_by_pk?: Maybe<Flag_Type>;
    /** update multiples rows of table: "flag_type" */
    update_flag_type_many?: Maybe<Array<Maybe<Flag_Type_Mutation_Response>>>;
    /** update data of the table: "game" */
    update_game?: Maybe<Game_Mutation_Response>;
    /** update data of the table: "game_action" */
    update_game_action?: Maybe<Game_Action_Mutation_Response>;
    /** update single row of the table: "game_action" */
    update_game_action_by_pk?: Maybe<Game_Action>;
    /** update multiples rows of table: "game_action" */
    update_game_action_many?: Maybe<Array<Maybe<Game_Action_Mutation_Response>>>;
    /** update single row of the table: "game" */
    update_game_by_pk?: Maybe<Game>;
    /** update data of the table: "game_design" */
    update_game_design?: Maybe<Game_Design_Mutation_Response>;
    /** update single row of the table: "game_design" */
    update_game_design_by_pk?: Maybe<Game_Design>;
    /** update multiples rows of table: "game_design" */
    update_game_design_many?: Maybe<Array<Maybe<Game_Design_Mutation_Response>>>;
    /** update data of the table: "game_group" */
    update_game_group?: Maybe<Game_Group_Mutation_Response>;
    /** update single row of the table: "game_group" */
    update_game_group_by_pk?: Maybe<Game_Group>;
    /** update multiples rows of table: "game_group" */
    update_game_group_many?: Maybe<Array<Maybe<Game_Group_Mutation_Response>>>;
    /** update data of the table: "game_hunter" */
    update_game_hunter?: Maybe<Game_Hunter_Mutation_Response>;
    /** update single row of the table: "game_hunter" */
    update_game_hunter_by_pk?: Maybe<Game_Hunter>;
    /** update multiples rows of table: "game_hunter" */
    update_game_hunter_many?: Maybe<Array<Maybe<Game_Hunter_Mutation_Response>>>;
    /** update data of the table: "game_management" */
    update_game_management?: Maybe<Game_Management_Mutation_Response>;
    /** update single row of the table: "game_management" */
    update_game_management_by_pk?: Maybe<Game_Management>;
    /** update multiples rows of table: "game_management" */
    update_game_management_many?: Maybe<Array<Maybe<Game_Management_Mutation_Response>>>;
    /** update multiples rows of table: "game" */
    update_game_many?: Maybe<Array<Maybe<Game_Mutation_Response>>>;
    /** update data of the table: "game_operators" */
    update_game_operators?: Maybe<Game_Operators_Mutation_Response>;
    /** update single row of the table: "game_operators" */
    update_game_operators_by_pk?: Maybe<Game_Operators>;
    /** update multiples rows of table: "game_operators" */
    update_game_operators_many?: Maybe<Array<Maybe<Game_Operators_Mutation_Response>>>;
    /** update data of the table: "game_record" */
    update_game_record?: Maybe<Game_Record_Mutation_Response>;
    /** update single row of the table: "game_record" */
    update_game_record_by_pk?: Maybe<Game_Record>;
    /** update multiples rows of table: "game_record" */
    update_game_record_many?: Maybe<Array<Maybe<Game_Record_Mutation_Response>>>;
    /** update data of the table: "game_requirement" */
    update_game_requirement?: Maybe<Game_Requirement_Mutation_Response>;
    /** update single row of the table: "game_requirement" */
    update_game_requirement_by_pk?: Maybe<Game_Requirement>;
    /** update multiples rows of table: "game_requirement" */
    update_game_requirement_many?: Maybe<Array<Maybe<Game_Requirement_Mutation_Response>>>;
    /** update data of the table: "game_state_type" */
    update_game_state_type?: Maybe<Game_State_Type_Mutation_Response>;
    /** update single row of the table: "game_state_type" */
    update_game_state_type_by_pk?: Maybe<Game_State_Type>;
    /** update multiples rows of table: "game_state_type" */
    update_game_state_type_many?: Maybe<Array<Maybe<Game_State_Type_Mutation_Response>>>;
    /** update data of the table: "game_winner" */
    update_game_winner?: Maybe<Game_Winner_Mutation_Response>;
    /** update single row of the table: "game_winner" */
    update_game_winner_by_pk?: Maybe<Game_Winner>;
    /** update multiples rows of table: "game_winner" */
    update_game_winner_many?: Maybe<Array<Maybe<Game_Winner_Mutation_Response>>>;
    /** update data of the table: "games_locus" */
    update_games_locus?: Maybe<Games_Locus_Mutation_Response>;
    /** update single row of the table: "games_locus" */
    update_games_locus_by_pk?: Maybe<Games_Locus>;
    /** update multiples rows of table: "games_locus" */
    update_games_locus_many?: Maybe<Array<Maybe<Games_Locus_Mutation_Response>>>;
    /** update data of the table: "gift" */
    update_gift?: Maybe<Gift_Mutation_Response>;
    /** update single row of the table: "gift" */
    update_gift_by_pk?: Maybe<Gift>;
    /** update multiples rows of table: "gift" */
    update_gift_many?: Maybe<Array<Maybe<Gift_Mutation_Response>>>;
    /** update data of the table: "goods" */
    update_goods?: Maybe<Goods_Mutation_Response>;
    /** update single row of the table: "goods" */
    update_goods_by_pk?: Maybe<Goods>;
    /** update multiples rows of table: "goods" */
    update_goods_many?: Maybe<Array<Maybe<Goods_Mutation_Response>>>;
    /** update data of the table: "hier_type" */
    update_hier_type?: Maybe<Hier_Type_Mutation_Response>;
    /** update single row of the table: "hier_type" */
    update_hier_type_by_pk?: Maybe<Hier_Type>;
    /** update multiples rows of table: "hier_type" */
    update_hier_type_many?: Maybe<Array<Maybe<Hier_Type_Mutation_Response>>>;
    /** update data of the table: "incognito" */
    update_incognito?: Maybe<Incognito_Mutation_Response>;
    /** update single row of the table: "incognito" */
    update_incognito_by_pk?: Maybe<Incognito>;
    /** update multiples rows of table: "incognito" */
    update_incognito_many?: Maybe<Array<Maybe<Incognito_Mutation_Response>>>;
    /** update data of the table: "inscription" */
    update_inscription?: Maybe<Inscription_Mutation_Response>;
    /** update single row of the table: "inscription" */
    update_inscription_by_pk?: Maybe<Inscription>;
    /** update multiples rows of table: "inscription" */
    update_inscription_many?: Maybe<Array<Maybe<Inscription_Mutation_Response>>>;
    /** update data of the table: "interface_type" */
    update_interface_type?: Maybe<Interface_Type_Mutation_Response>;
    /** update single row of the table: "interface_type" */
    update_interface_type_by_pk?: Maybe<Interface_Type>;
    /** update multiples rows of table: "interface_type" */
    update_interface_type_many?: Maybe<Array<Maybe<Interface_Type_Mutation_Response>>>;
    /** update data of the table: "judge" */
    update_judge?: Maybe<Judge_Mutation_Response>;
    /** update single row of the table: "judge" */
    update_judge_by_pk?: Maybe<Judge>;
    /** update data of the table: "judge_display_type" */
    update_judge_display_type?: Maybe<Judge_Display_Type_Mutation_Response>;
    /** update single row of the table: "judge_display_type" */
    update_judge_display_type_by_pk?: Maybe<Judge_Display_Type>;
    /** update multiples rows of table: "judge_display_type" */
    update_judge_display_type_many?: Maybe<Array<Maybe<Judge_Display_Type_Mutation_Response>>>;
    /** update data of the table: "judge_entry" */
    update_judge_entry?: Maybe<Judge_Entry_Mutation_Response>;
    /** update single row of the table: "judge_entry" */
    update_judge_entry_by_pk?: Maybe<Judge_Entry>;
    /** update multiples rows of table: "judge_entry" */
    update_judge_entry_many?: Maybe<Array<Maybe<Judge_Entry_Mutation_Response>>>;
    /** update multiples rows of table: "judge" */
    update_judge_many?: Maybe<Array<Maybe<Judge_Mutation_Response>>>;
    /** update data of the table: "judge_role_type" */
    update_judge_role_type?: Maybe<Judge_Role_Type_Mutation_Response>;
    /** update single row of the table: "judge_role_type" */
    update_judge_role_type_by_pk?: Maybe<Judge_Role_Type>;
    /** update multiples rows of table: "judge_role_type" */
    update_judge_role_type_many?: Maybe<Array<Maybe<Judge_Role_Type_Mutation_Response>>>;
    /** update data of the table: "kairos" */
    update_kairos?: Maybe<Kairos_Mutation_Response>;
    /** update single row of the table: "kairos" */
    update_kairos_by_pk?: Maybe<Kairos>;
    /** update multiples rows of table: "kairos" */
    update_kairos_many?: Maybe<Array<Maybe<Kairos_Mutation_Response>>>;
    /** update data of the table: "keyword_description" */
    update_keyword_description?: Maybe<Keyword_Description_Mutation_Response>;
    /** update single row of the table: "keyword_description" */
    update_keyword_description_by_pk?: Maybe<Keyword_Description>;
    /** update multiples rows of table: "keyword_description" */
    update_keyword_description_many?: Maybe<Array<Maybe<Keyword_Description_Mutation_Response>>>;
    /** update data of the table: "language" */
    update_language?: Maybe<Language_Mutation_Response>;
    /** update single row of the table: "language" */
    update_language_by_pk?: Maybe<Language>;
    /** update multiples rows of table: "language" */
    update_language_many?: Maybe<Array<Maybe<Language_Mutation_Response>>>;
    /** update data of the table: "location" */
    update_location?: Maybe<Location_Mutation_Response>;
    /** update single row of the table: "location" */
    update_location_by_pk?: Maybe<Location>;
    /** update multiples rows of table: "location" */
    update_location_many?: Maybe<Array<Maybe<Location_Mutation_Response>>>;
    /** update data of the table: "locus" */
    update_locus?: Maybe<Locus_Mutation_Response>;
    /** update single row of the table: "locus" */
    update_locus_by_pk?: Maybe<Locus>;
    /** update data of the table: "locus_imitate" */
    update_locus_imitate?: Maybe<Locus_Imitate_Mutation_Response>;
    /** update single row of the table: "locus_imitate" */
    update_locus_imitate_by_pk?: Maybe<Locus_Imitate>;
    /** update multiples rows of table: "locus_imitate" */
    update_locus_imitate_many?: Maybe<Array<Maybe<Locus_Imitate_Mutation_Response>>>;
    /** update multiples rows of table: "locus" */
    update_locus_many?: Maybe<Array<Maybe<Locus_Mutation_Response>>>;
    /** update data of the table: "locus_member" */
    update_locus_member?: Maybe<Locus_Member_Mutation_Response>;
    /** update single row of the table: "locus_member" */
    update_locus_member_by_pk?: Maybe<Locus_Member>;
    /** update multiples rows of table: "locus_member" */
    update_locus_member_many?: Maybe<Array<Maybe<Locus_Member_Mutation_Response>>>;
    /** update data of the table: "locus_operation_type" */
    update_locus_operation_type?: Maybe<Locus_Operation_Type_Mutation_Response>;
    /** update single row of the table: "locus_operation_type" */
    update_locus_operation_type_by_pk?: Maybe<Locus_Operation_Type>;
    /** update multiples rows of table: "locus_operation_type" */
    update_locus_operation_type_many?: Maybe<Array<Maybe<Locus_Operation_Type_Mutation_Response>>>;
    /** update data of the table: "locus_policy" */
    update_locus_policy?: Maybe<Locus_Policy_Mutation_Response>;
    /** update single row of the table: "locus_policy" */
    update_locus_policy_by_pk?: Maybe<Locus_Policy>;
    /** update multiples rows of table: "locus_policy" */
    update_locus_policy_many?: Maybe<Array<Maybe<Locus_Policy_Mutation_Response>>>;
    /** update data of the table: "locus_state" */
    update_locus_state?: Maybe<Locus_State_Mutation_Response>;
    /** update single row of the table: "locus_state" */
    update_locus_state_by_pk?: Maybe<Locus_State>;
    /** update multiples rows of table: "locus_state" */
    update_locus_state_many?: Maybe<Array<Maybe<Locus_State_Mutation_Response>>>;
    /** update data of the table: "locus_theme" */
    update_locus_theme?: Maybe<Locus_Theme_Mutation_Response>;
    /** update single row of the table: "locus_theme" */
    update_locus_theme_by_pk?: Maybe<Locus_Theme>;
    /** update multiples rows of table: "locus_theme" */
    update_locus_theme_many?: Maybe<Array<Maybe<Locus_Theme_Mutation_Response>>>;
    /** update data of the table: "locus_type" */
    update_locus_type?: Maybe<Locus_Type_Mutation_Response>;
    /** update single row of the table: "locus_type" */
    update_locus_type_by_pk?: Maybe<Locus_Type>;
    /** update multiples rows of table: "locus_type" */
    update_locus_type_many?: Maybe<Array<Maybe<Locus_Type_Mutation_Response>>>;
    /** update data of the table: "map" */
    update_map?: Maybe<Map_Mutation_Response>;
    /** update single row of the table: "map" */
    update_map_by_pk?: Maybe<Map>;
    /** update data of the table: "map_condition_type" */
    update_map_condition_type?: Maybe<Map_Condition_Type_Mutation_Response>;
    /** update single row of the table: "map_condition_type" */
    update_map_condition_type_by_pk?: Maybe<Map_Condition_Type>;
    /** update multiples rows of table: "map_condition_type" */
    update_map_condition_type_many?: Maybe<Array<Maybe<Map_Condition_Type_Mutation_Response>>>;
    /** update data of the table: "map_effect" */
    update_map_effect?: Maybe<Map_Effect_Mutation_Response>;
    /** update single row of the table: "map_effect" */
    update_map_effect_by_pk?: Maybe<Map_Effect>;
    /** update multiples rows of table: "map_effect" */
    update_map_effect_many?: Maybe<Array<Maybe<Map_Effect_Mutation_Response>>>;
    /** update data of the table: "map_effect_type" */
    update_map_effect_type?: Maybe<Map_Effect_Type_Mutation_Response>;
    /** update single row of the table: "map_effect_type" */
    update_map_effect_type_by_pk?: Maybe<Map_Effect_Type>;
    /** update multiples rows of table: "map_effect_type" */
    update_map_effect_type_many?: Maybe<Array<Maybe<Map_Effect_Type_Mutation_Response>>>;
    /** update data of the table: "map_item" */
    update_map_item?: Maybe<Map_Item_Mutation_Response>;
    /** update data of the table: "map_item_animation" */
    update_map_item_animation?: Maybe<Map_Item_Animation_Mutation_Response>;
    /** update single row of the table: "map_item_animation" */
    update_map_item_animation_by_pk?: Maybe<Map_Item_Animation>;
    /** update multiples rows of table: "map_item_animation" */
    update_map_item_animation_many?: Maybe<Array<Maybe<Map_Item_Animation_Mutation_Response>>>;
    /** update single row of the table: "map_item" */
    update_map_item_by_pk?: Maybe<Map_Item>;
    /** update multiples rows of table: "map_item" */
    update_map_item_many?: Maybe<Array<Maybe<Map_Item_Mutation_Response>>>;
    /** update data of the table: "map_item_state" */
    update_map_item_state?: Maybe<Map_Item_State_Mutation_Response>;
    /** update single row of the table: "map_item_state" */
    update_map_item_state_by_pk?: Maybe<Map_Item_State>;
    /** update multiples rows of table: "map_item_state" */
    update_map_item_state_many?: Maybe<Array<Maybe<Map_Item_State_Mutation_Response>>>;
    /** update multiples rows of table: "map" */
    update_map_many?: Maybe<Array<Maybe<Map_Mutation_Response>>>;
    /** update data of the table: "medium_type" */
    update_medium_type?: Maybe<Medium_Type_Mutation_Response>;
    /** update single row of the table: "medium_type" */
    update_medium_type_by_pk?: Maybe<Medium_Type>;
    /** update multiples rows of table: "medium_type" */
    update_medium_type_many?: Maybe<Array<Maybe<Medium_Type_Mutation_Response>>>;
    /** update data of the table: "megaphone" */
    update_megaphone?: Maybe<Megaphone_Mutation_Response>;
    /** update single row of the table: "megaphone" */
    update_megaphone_by_pk?: Maybe<Megaphone>;
    /** update multiples rows of table: "megaphone" */
    update_megaphone_many?: Maybe<Array<Maybe<Megaphone_Mutation_Response>>>;
    /** update data of the table: "message" */
    update_message?: Maybe<Message_Mutation_Response>;
    /** update single row of the table: "message" */
    update_message_by_pk?: Maybe<Message>;
    /** update multiples rows of table: "message" */
    update_message_many?: Maybe<Array<Maybe<Message_Mutation_Response>>>;
    /** update data of the table: "mold" */
    update_mold?: Maybe<Mold_Mutation_Response>;
    /** update data of the table: "mold_blueprint" */
    update_mold_blueprint?: Maybe<Mold_Blueprint_Mutation_Response>;
    /** update single row of the table: "mold_blueprint" */
    update_mold_blueprint_by_pk?: Maybe<Mold_Blueprint>;
    /** update multiples rows of table: "mold_blueprint" */
    update_mold_blueprint_many?: Maybe<Array<Maybe<Mold_Blueprint_Mutation_Response>>>;
    /** update single row of the table: "mold" */
    update_mold_by_pk?: Maybe<Mold>;
    /** update multiples rows of table: "mold" */
    update_mold_many?: Maybe<Array<Maybe<Mold_Mutation_Response>>>;
    /** update data of the table: "morsel_type" */
    update_morsel_type?: Maybe<Morsel_Type_Mutation_Response>;
    /** update single row of the table: "morsel_type" */
    update_morsel_type_by_pk?: Maybe<Morsel_Type>;
    /** update multiples rows of table: "morsel_type" */
    update_morsel_type_many?: Maybe<Array<Maybe<Morsel_Type_Mutation_Response>>>;
    /** update data of the table: "operation" */
    update_operation?: Maybe<Operation_Mutation_Response>;
    /** update single row of the table: "operation" */
    update_operation_by_pk?: Maybe<Operation>;
    /** update data of the table: "operation_maintain_type" */
    update_operation_maintain_type?: Maybe<Operation_Maintain_Type_Mutation_Response>;
    /** update single row of the table: "operation_maintain_type" */
    update_operation_maintain_type_by_pk?: Maybe<Operation_Maintain_Type>;
    /** update multiples rows of table: "operation_maintain_type" */
    update_operation_maintain_type_many?: Maybe<Array<Maybe<Operation_Maintain_Type_Mutation_Response>>>;
    /** update multiples rows of table: "operation" */
    update_operation_many?: Maybe<Array<Maybe<Operation_Mutation_Response>>>;
    /** update data of the table: "operation_operator" */
    update_operation_operator?: Maybe<Operation_Operator_Mutation_Response>;
    /** update single row of the table: "operation_operator" */
    update_operation_operator_by_pk?: Maybe<Operation_Operator>;
    /** update multiples rows of table: "operation_operator" */
    update_operation_operator_many?: Maybe<Array<Maybe<Operation_Operator_Mutation_Response>>>;
    /** update data of the table: "operation_setting_type" */
    update_operation_setting_type?: Maybe<Operation_Setting_Type_Mutation_Response>;
    /** update single row of the table: "operation_setting_type" */
    update_operation_setting_type_by_pk?: Maybe<Operation_Setting_Type>;
    /** update multiples rows of table: "operation_setting_type" */
    update_operation_setting_type_many?: Maybe<Array<Maybe<Operation_Setting_Type_Mutation_Response>>>;
    /** update data of the table: "operation_state" */
    update_operation_state?: Maybe<Operation_State_Mutation_Response>;
    /** update single row of the table: "operation_state" */
    update_operation_state_by_pk?: Maybe<Operation_State>;
    /** update multiples rows of table: "operation_state" */
    update_operation_state_many?: Maybe<Array<Maybe<Operation_State_Mutation_Response>>>;
    /** update data of the table: "operation_type" */
    update_operation_type?: Maybe<Operation_Type_Mutation_Response>;
    /** update single row of the table: "operation_type" */
    update_operation_type_by_pk?: Maybe<Operation_Type>;
    /** update multiples rows of table: "operation_type" */
    update_operation_type_many?: Maybe<Array<Maybe<Operation_Type_Mutation_Response>>>;
    /** update data of the table: "operator_state_type" */
    update_operator_state_type?: Maybe<Operator_State_Type_Mutation_Response>;
    /** update single row of the table: "operator_state_type" */
    update_operator_state_type_by_pk?: Maybe<Operator_State_Type>;
    /** update multiples rows of table: "operator_state_type" */
    update_operator_state_type_many?: Maybe<Array<Maybe<Operator_State_Type_Mutation_Response>>>;
    /** update data of the table: "piece" */
    update_piece?: Maybe<Piece_Mutation_Response>;
    /** update single row of the table: "piece" */
    update_piece_by_pk?: Maybe<Piece>;
    /** update data of the table: "piece_locus" */
    update_piece_locus?: Maybe<Piece_Locus_Mutation_Response>;
    /** update single row of the table: "piece_locus" */
    update_piece_locus_by_pk?: Maybe<Piece_Locus>;
    /** update multiples rows of table: "piece_locus" */
    update_piece_locus_many?: Maybe<Array<Maybe<Piece_Locus_Mutation_Response>>>;
    /** update multiples rows of table: "piece" */
    update_piece_many?: Maybe<Array<Maybe<Piece_Mutation_Response>>>;
    /** update data of the table: "piece_type" */
    update_piece_type?: Maybe<Piece_Type_Mutation_Response>;
    /** update single row of the table: "piece_type" */
    update_piece_type_by_pk?: Maybe<Piece_Type>;
    /** update multiples rows of table: "piece_type" */
    update_piece_type_many?: Maybe<Array<Maybe<Piece_Type_Mutation_Response>>>;
    /** update data of the table: "post" */
    update_post?: Maybe<Post_Mutation_Response>;
    /** update single row of the table: "post" */
    update_post_by_pk?: Maybe<Post>;
    /** update data of the table: "post_evaluation" */
    update_post_evaluation?: Maybe<Post_Evaluation_Mutation_Response>;
    /** update single row of the table: "post_evaluation" */
    update_post_evaluation_by_pk?: Maybe<Post_Evaluation>;
    /** update multiples rows of table: "post_evaluation" */
    update_post_evaluation_many?: Maybe<Array<Maybe<Post_Evaluation_Mutation_Response>>>;
    /** update multiples rows of table: "post" */
    update_post_many?: Maybe<Array<Maybe<Post_Mutation_Response>>>;
    /** update data of the table: "preference" */
    update_preference?: Maybe<Preference_Mutation_Response>;
    /** update multiples rows of table: "preference" */
    update_preference_many?: Maybe<Array<Maybe<Preference_Mutation_Response>>>;
    /** update data of the table: "product" */
    update_product?: Maybe<Product_Mutation_Response>;
    /** update single row of the table: "product" */
    update_product_by_pk?: Maybe<Product>;
    /** update multiples rows of table: "product" */
    update_product_many?: Maybe<Array<Maybe<Product_Mutation_Response>>>;
    /** update data of the table: "profile" */
    update_profile?: Maybe<Profile_Mutation_Response>;
    /** update multiples rows of table: "profile" */
    update_profile_many?: Maybe<Array<Maybe<Profile_Mutation_Response>>>;
    /** update data of the table: "purchase" */
    update_purchase?: Maybe<Purchase_Mutation_Response>;
    /** update single row of the table: "purchase" */
    update_purchase_by_pk?: Maybe<Purchase>;
    /** update multiples rows of table: "purchase" */
    update_purchase_many?: Maybe<Array<Maybe<Purchase_Mutation_Response>>>;
    /** update data of the table: "quest" */
    update_quest?: Maybe<Quest_Mutation_Response>;
    /** update data of the table: "quest_ancestry" */
    update_quest_ancestry?: Maybe<Quest_Ancestry_Mutation_Response>;
    /** update single row of the table: "quest_ancestry" */
    update_quest_ancestry_by_pk?: Maybe<Quest_Ancestry>;
    /** update multiples rows of table: "quest_ancestry" */
    update_quest_ancestry_many?: Maybe<Array<Maybe<Quest_Ancestry_Mutation_Response>>>;
    /** update single row of the table: "quest" */
    update_quest_by_pk?: Maybe<Quest>;
    /** update multiples rows of table: "quest" */
    update_quest_many?: Maybe<Array<Maybe<Quest_Mutation_Response>>>;
    /** update data of the table: "quest_state" */
    update_quest_state?: Maybe<Quest_State_Mutation_Response>;
    /** update single row of the table: "quest_state" */
    update_quest_state_by_pk?: Maybe<Quest_State>;
    /** update multiples rows of table: "quest_state" */
    update_quest_state_many?: Maybe<Array<Maybe<Quest_State_Mutation_Response>>>;
    /** update data of the table: "quest_type" */
    update_quest_type?: Maybe<Quest_Type_Mutation_Response>;
    /** update single row of the table: "quest_type" */
    update_quest_type_by_pk?: Maybe<Quest_Type>;
    /** update multiples rows of table: "quest_type" */
    update_quest_type_many?: Maybe<Array<Maybe<Quest_Type_Mutation_Response>>>;
    /** update data of the table: "resource_policy" */
    update_resource_policy?: Maybe<Resource_Policy_Mutation_Response>;
    /** update single row of the table: "resource_policy" */
    update_resource_policy_by_pk?: Maybe<Resource_Policy>;
    /** update multiples rows of table: "resource_policy" */
    update_resource_policy_many?: Maybe<Array<Maybe<Resource_Policy_Mutation_Response>>>;
    /** update data of the table: "resource_privacy" */
    update_resource_privacy?: Maybe<Resource_Privacy_Mutation_Response>;
    /** update single row of the table: "resource_privacy" */
    update_resource_privacy_by_pk?: Maybe<Resource_Privacy>;
    /** update multiples rows of table: "resource_privacy" */
    update_resource_privacy_many?: Maybe<Array<Maybe<Resource_Privacy_Mutation_Response>>>;
    /** update data of the table: "rooadmap_gis.cord_2d" */
    update_rooadmap_gis_cord_2d?: Maybe<Rooadmap_Gis_Cord_2d_Mutation_Response>;
    /** update single row of the table: "rooadmap_gis.cord_2d" */
    update_rooadmap_gis_cord_2d_by_pk?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** update multiples rows of table: "rooadmap_gis.cord_2d" */
    update_rooadmap_gis_cord_2d_many?: Maybe<Array<Maybe<Rooadmap_Gis_Cord_2d_Mutation_Response>>>;
    /** update data of the table: "rooadmap_gis.cord_3d" */
    update_rooadmap_gis_cord_3d?: Maybe<Rooadmap_Gis_Cord_3d_Mutation_Response>;
    /** update single row of the table: "rooadmap_gis.cord_3d" */
    update_rooadmap_gis_cord_3d_by_pk?: Maybe<Rooadmap_Gis_Cord_3d>;
    /** update multiples rows of table: "rooadmap_gis.cord_3d" */
    update_rooadmap_gis_cord_3d_many?: Maybe<Array<Maybe<Rooadmap_Gis_Cord_3d_Mutation_Response>>>;
    /** update data of the table: "rooadmap_gis.location_2d" */
    update_rooadmap_gis_location_2d?: Maybe<Rooadmap_Gis_Location_2d_Mutation_Response>;
    /** update single row of the table: "rooadmap_gis.location_2d" */
    update_rooadmap_gis_location_2d_by_pk?: Maybe<Rooadmap_Gis_Location_2d>;
    /** update multiples rows of table: "rooadmap_gis.location_2d" */
    update_rooadmap_gis_location_2d_many?: Maybe<Array<Maybe<Rooadmap_Gis_Location_2d_Mutation_Response>>>;
    /** update data of the table: "rooadmap_gis.location_3d" */
    update_rooadmap_gis_location_3d?: Maybe<Rooadmap_Gis_Location_3d_Mutation_Response>;
    /** update single row of the table: "rooadmap_gis.location_3d" */
    update_rooadmap_gis_location_3d_by_pk?: Maybe<Rooadmap_Gis_Location_3d>;
    /** update multiples rows of table: "rooadmap_gis.location_3d" */
    update_rooadmap_gis_location_3d_many?: Maybe<Array<Maybe<Rooadmap_Gis_Location_3d_Mutation_Response>>>;
    /** update data of the table: "rooadmap_gis.map_item" */
    update_rooadmap_gis_map_item?: Maybe<Rooadmap_Gis_Map_Item_Mutation_Response>;
    /** update single row of the table: "rooadmap_gis.map_item" */
    update_rooadmap_gis_map_item_by_pk?: Maybe<Rooadmap_Gis_Map_Item>;
    /** update multiples rows of table: "rooadmap_gis.map_item" */
    update_rooadmap_gis_map_item_many?: Maybe<Array<Maybe<Rooadmap_Gis_Map_Item_Mutation_Response>>>;
    /** update data of the table: "segment" */
    update_segment?: Maybe<Segment_Mutation_Response>;
    /** update single row of the table: "segment" */
    update_segment_by_pk?: Maybe<Segment>;
    /** update data of the table: "segment_exhibition" */
    update_segment_exhibition?: Maybe<Segment_Exhibition_Mutation_Response>;
    /** update single row of the table: "segment_exhibition" */
    update_segment_exhibition_by_pk?: Maybe<Segment_Exhibition>;
    /** update multiples rows of table: "segment_exhibition" */
    update_segment_exhibition_many?: Maybe<Array<Maybe<Segment_Exhibition_Mutation_Response>>>;
    /** update multiples rows of table: "segment" */
    update_segment_many?: Maybe<Array<Maybe<Segment_Mutation_Response>>>;
    /** update data of the table: "sell" */
    update_sell?: Maybe<Sell_Mutation_Response>;
    /** update single row of the table: "sell" */
    update_sell_by_pk?: Maybe<Sell>;
    /** update data of the table: "sell_management" */
    update_sell_management?: Maybe<Sell_Management_Mutation_Response>;
    /** update single row of the table: "sell_management" */
    update_sell_management_by_pk?: Maybe<Sell_Management>;
    /** update multiples rows of table: "sell_management" */
    update_sell_management_many?: Maybe<Array<Maybe<Sell_Management_Mutation_Response>>>;
    /** update multiples rows of table: "sell" */
    update_sell_many?: Maybe<Array<Maybe<Sell_Mutation_Response>>>;
    /** update data of the table: "sponsorship" */
    update_sponsorship?: Maybe<Sponsorship_Mutation_Response>;
    /** update single row of the table: "sponsorship" */
    update_sponsorship_by_pk?: Maybe<Sponsorship>;
    /** update data of the table: "sponsorship_condition" */
    update_sponsorship_condition?: Maybe<Sponsorship_Condition_Mutation_Response>;
    /** update single row of the table: "sponsorship_condition" */
    update_sponsorship_condition_by_pk?: Maybe<Sponsorship_Condition>;
    /** update multiples rows of table: "sponsorship_condition" */
    update_sponsorship_condition_many?: Maybe<Array<Maybe<Sponsorship_Condition_Mutation_Response>>>;
    /** update data of the table: "sponsorship_game_state" */
    update_sponsorship_game_state?: Maybe<Sponsorship_Game_State_Mutation_Response>;
    /** update single row of the table: "sponsorship_game_state" */
    update_sponsorship_game_state_by_pk?: Maybe<Sponsorship_Game_State>;
    /** update multiples rows of table: "sponsorship_game_state" */
    update_sponsorship_game_state_many?: Maybe<Array<Maybe<Sponsorship_Game_State_Mutation_Response>>>;
    /** update data of the table: "sponsorship_game_state_type" */
    update_sponsorship_game_state_type?: Maybe<Sponsorship_Game_State_Type_Mutation_Response>;
    /** update single row of the table: "sponsorship_game_state_type" */
    update_sponsorship_game_state_type_by_pk?: Maybe<Sponsorship_Game_State_Type>;
    /** update multiples rows of table: "sponsorship_game_state_type" */
    update_sponsorship_game_state_type_many?: Maybe<Array<Maybe<Sponsorship_Game_State_Type_Mutation_Response>>>;
    /** update data of the table: "sponsorship_images" */
    update_sponsorship_images?: Maybe<Sponsorship_Images_Mutation_Response>;
    /** update single row of the table: "sponsorship_images" */
    update_sponsorship_images_by_pk?: Maybe<Sponsorship_Images>;
    /** update multiples rows of table: "sponsorship_images" */
    update_sponsorship_images_many?: Maybe<Array<Maybe<Sponsorship_Images_Mutation_Response>>>;
    /** update data of the table: "sponsorship_imitate" */
    update_sponsorship_imitate?: Maybe<Sponsorship_Imitate_Mutation_Response>;
    /** update single row of the table: "sponsorship_imitate" */
    update_sponsorship_imitate_by_pk?: Maybe<Sponsorship_Imitate>;
    /** update multiples rows of table: "sponsorship_imitate" */
    update_sponsorship_imitate_many?: Maybe<Array<Maybe<Sponsorship_Imitate_Mutation_Response>>>;
    /** update data of the table: "sponsorship_locus" */
    update_sponsorship_locus?: Maybe<Sponsorship_Locus_Mutation_Response>;
    /** update single row of the table: "sponsorship_locus" */
    update_sponsorship_locus_by_pk?: Maybe<Sponsorship_Locus>;
    /** update multiples rows of table: "sponsorship_locus" */
    update_sponsorship_locus_many?: Maybe<Array<Maybe<Sponsorship_Locus_Mutation_Response>>>;
    /** update multiples rows of table: "sponsorship" */
    update_sponsorship_many?: Maybe<Array<Maybe<Sponsorship_Mutation_Response>>>;
    /** update data of the table: "sponsorship_requirement" */
    update_sponsorship_requirement?: Maybe<Sponsorship_Requirement_Mutation_Response>;
    /** update single row of the table: "sponsorship_requirement" */
    update_sponsorship_requirement_by_pk?: Maybe<Sponsorship_Requirement>;
    /** update multiples rows of table: "sponsorship_requirement" */
    update_sponsorship_requirement_many?: Maybe<Array<Maybe<Sponsorship_Requirement_Mutation_Response>>>;
    /** update data of the table: "sponsorship_requirement_type" */
    update_sponsorship_requirement_type?: Maybe<Sponsorship_Requirement_Type_Mutation_Response>;
    /** update single row of the table: "sponsorship_requirement_type" */
    update_sponsorship_requirement_type_by_pk?: Maybe<Sponsorship_Requirement_Type>;
    /** update multiples rows of table: "sponsorship_requirement_type" */
    update_sponsorship_requirement_type_many?: Maybe<Array<Maybe<Sponsorship_Requirement_Type_Mutation_Response>>>;
    /** update data of the table: "sponsorship_settlement_state_type" */
    update_sponsorship_settlement_state_type?: Maybe<Sponsorship_Settlement_State_Type_Mutation_Response>;
    /** update single row of the table: "sponsorship_settlement_state_type" */
    update_sponsorship_settlement_state_type_by_pk?: Maybe<Sponsorship_Settlement_State_Type>;
    /** update multiples rows of table: "sponsorship_settlement_state_type" */
    update_sponsorship_settlement_state_type_many?: Maybe<Array<Maybe<Sponsorship_Settlement_State_Type_Mutation_Response>>>;
    /** update data of the table: "sponsorship_state" */
    update_sponsorship_state?: Maybe<Sponsorship_State_Mutation_Response>;
    /** update single row of the table: "sponsorship_state" */
    update_sponsorship_state_by_pk?: Maybe<Sponsorship_State>;
    /** update multiples rows of table: "sponsorship_state" */
    update_sponsorship_state_many?: Maybe<Array<Maybe<Sponsorship_State_Mutation_Response>>>;
    /** update data of the table: "sponsorship_type" */
    update_sponsorship_type?: Maybe<Sponsorship_Type_Mutation_Response>;
    /** update single row of the table: "sponsorship_type" */
    update_sponsorship_type_by_pk?: Maybe<Sponsorship_Type>;
    /** update multiples rows of table: "sponsorship_type" */
    update_sponsorship_type_many?: Maybe<Array<Maybe<Sponsorship_Type_Mutation_Response>>>;
    /** update data of the table: "spot" */
    update_spot?: Maybe<Spot_Mutation_Response>;
    /** update single row of the table: "spot" */
    update_spot_by_pk?: Maybe<Spot>;
    /** update data of the table: "spot_inscription" */
    update_spot_inscription?: Maybe<Spot_Inscription_Mutation_Response>;
    /** update single row of the table: "spot_inscription" */
    update_spot_inscription_by_pk?: Maybe<Spot_Inscription>;
    /** update multiples rows of table: "spot_inscription" */
    update_spot_inscription_many?: Maybe<Array<Maybe<Spot_Inscription_Mutation_Response>>>;
    /** update multiples rows of table: "spot" */
    update_spot_many?: Maybe<Array<Maybe<Spot_Mutation_Response>>>;
    /** update data of the table: "spot_policy" */
    update_spot_policy?: Maybe<Spot_Policy_Mutation_Response>;
    /** update single row of the table: "spot_policy" */
    update_spot_policy_by_pk?: Maybe<Spot_Policy>;
    /** update multiples rows of table: "spot_policy" */
    update_spot_policy_many?: Maybe<Array<Maybe<Spot_Policy_Mutation_Response>>>;
    /** update data of the table: "spot_type" */
    update_spot_type?: Maybe<Spot_Type_Mutation_Response>;
    /** update single row of the table: "spot_type" */
    update_spot_type_by_pk?: Maybe<Spot_Type>;
    /** update multiples rows of table: "spot_type" */
    update_spot_type_many?: Maybe<Array<Maybe<Spot_Type_Mutation_Response>>>;
    /** update data of the table: "spot_user" */
    update_spot_user?: Maybe<Spot_User_Mutation_Response>;
    /** update single row of the table: "spot_user" */
    update_spot_user_by_pk?: Maybe<Spot_User>;
    /** update multiples rows of table: "spot_user" */
    update_spot_user_many?: Maybe<Array<Maybe<Spot_User_Mutation_Response>>>;
    /** update data of the table: "target_view_type" */
    update_target_view_type?: Maybe<Target_View_Type_Mutation_Response>;
    /** update single row of the table: "target_view_type" */
    update_target_view_type_by_pk?: Maybe<Target_View_Type>;
    /** update multiples rows of table: "target_view_type" */
    update_target_view_type_many?: Maybe<Array<Maybe<Target_View_Type_Mutation_Response>>>;
    /** update data of the table: "task" */
    update_task?: Maybe<Task_Mutation_Response>;
    /** update single row of the table: "task" */
    update_task_by_pk?: Maybe<Task>;
    /** update multiples rows of table: "task" */
    update_task_many?: Maybe<Array<Maybe<Task_Mutation_Response>>>;
    /** update data of the table: "theme" */
    update_theme?: Maybe<Theme_Mutation_Response>;
    /** update single row of the table: "theme" */
    update_theme_by_pk?: Maybe<Theme>;
    /** update multiples rows of table: "theme" */
    update_theme_many?: Maybe<Array<Maybe<Theme_Mutation_Response>>>;
    /** update data of the table: "treasure_user" */
    update_treasure_user?: Maybe<Treasure_User_Mutation_Response>;
    /** update single row of the table: "treasure_user" */
    update_treasure_user_by_pk?: Maybe<Treasure_User>;
    /** update multiples rows of table: "treasure_user" */
    update_treasure_user_many?: Maybe<Array<Maybe<Treasure_User_Mutation_Response>>>;
    /** update data of the table: "universe" */
    update_universe?: Maybe<Universe_Mutation_Response>;
    /** update single row of the table: "universe" */
    update_universe_by_pk?: Maybe<Universe>;
    /** update multiples rows of table: "universe" */
    update_universe_many?: Maybe<Array<Maybe<Universe_Mutation_Response>>>;
    /** update data of the table: "universe_member" */
    update_universe_member?: Maybe<Universe_Member_Mutation_Response>;
    /** update single row of the table: "universe_member" */
    update_universe_member_by_pk?: Maybe<Universe_Member>;
    /** update multiples rows of table: "universe_member" */
    update_universe_member_many?: Maybe<Array<Maybe<Universe_Member_Mutation_Response>>>;
    /** update data of the table: "universe_policy" */
    update_universe_policy?: Maybe<Universe_Policy_Mutation_Response>;
    /** update single row of the table: "universe_policy" */
    update_universe_policy_by_pk?: Maybe<Universe_Policy>;
    /** update multiples rows of table: "universe_policy" */
    update_universe_policy_many?: Maybe<Array<Maybe<Universe_Policy_Mutation_Response>>>;
    /** update data of the table: "universe_resource" */
    update_universe_resource?: Maybe<Universe_Resource_Mutation_Response>;
    /** update single row of the table: "universe_resource" */
    update_universe_resource_by_pk?: Maybe<Universe_Resource>;
    /** update multiples rows of table: "universe_resource" */
    update_universe_resource_many?: Maybe<Array<Maybe<Universe_Resource_Mutation_Response>>>;
    /** update data of the table: "universe_state" */
    update_universe_state?: Maybe<Universe_State_Mutation_Response>;
    /** update single row of the table: "universe_state" */
    update_universe_state_by_pk?: Maybe<Universe_State>;
    /** update multiples rows of table: "universe_state" */
    update_universe_state_many?: Maybe<Array<Maybe<Universe_State_Mutation_Response>>>;
    /** update data of the table: "users" */
    update_users?: Maybe<Users_Mutation_Response>;
    /** update single row of the table: "users" */
    update_users_by_pk?: Maybe<Users>;
    /** update multiples rows of table: "users" */
    update_users_many?: Maybe<Array<Maybe<Users_Mutation_Response>>>;
};
/** mutation root */
export type Mutation_RootAdd_GameArgs = {
    gameData: Scalars['json'];
    sellData: Scalars['json'];
};
/** mutation root */
export type Mutation_RootApply_SellArgs = {
    always: Scalars['Boolean'];
    endDate: Scalars['String'];
    endTime?: InputMaybe<Scalars['String']>;
    priceMoney?: InputMaybe<Scalars['Int']>;
    priceRP: Scalars['Int'];
    productId: Scalars['Int'];
    purchasableByMoney?: InputMaybe<Scalars['Boolean']>;
    refundableByMoney?: InputMaybe<Scalars['Boolean']>;
    refundableEndDate?: InputMaybe<Scalars['String']>;
    refundableEndTime?: InputMaybe<Scalars['String']>;
    refundableStartDate?: InputMaybe<Scalars['String']>;
    refundableStartTime?: InputMaybe<Scalars['String']>;
    sellerId: Scalars['Int'];
    startDate: Scalars['String'];
    startTime?: InputMaybe<Scalars['String']>;
};
/** mutation root */
export type Mutation_RootCheck_HistoryArgs = {
    quest_id: Scalars['Int'];
    user_id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootCheck_Image_Npc_JudgeArgs = {
    image_npc_judge_input: ImageNpcJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Jigsaw_JudgeArgs = {
    jigsaw_judge_input: JigsawJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Multi_Word_JudgeArgs = {
    word_judge_input: WordJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Qr_JudgeArgs = {
    qr_judge_input: QrJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Word_JudgeArgs = {
    word_judge_input: WordJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Word_Sequence_JudgeArgs = {
    word_sequence_judge_input: WordSequenceJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Words_JudgeArgs = {
    words_judge_input: WordsJudgeInput;
};
/** mutation root */
export type Mutation_RootConfirm_Games_LocusArgs = {
    arg1: ConfirmGamesLocusInput;
};
/** mutation root */
export type Mutation_RootConfirm_Sponsorship_GamesArgs = {
    arg1: ConfirmSponsorshipGamesInput;
};
/** mutation root */
export type Mutation_RootCreate_Badge_TypeArgs = {
    badgeType: Scalars['json'];
};
/** mutation root */
export type Mutation_RootCreate_GameArgs = {
    gameData: Scalars['json'];
    graphData: Scalars['json'];
    sellData?: InputMaybe<Scalars['json']>;
    sponsorshipGameStatesData?: InputMaybe<Scalars['json']>;
};
/** mutation root */
export type Mutation_RootDelete_AlarmArgs = {
    where: Alarm_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Alarm_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Animation_StageArgs = {
    where: Animation_Stage_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Animation_Stage_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_AnswerArgs = {
    where: Answer_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Answer_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Answer_TypeArgs = {
    where: Answer_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Answer_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_AreaArgs = {
    where: Area_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Area_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_Account_ProvidersArgs = {
    where: Auth_Account_Providers_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Account_Providers_By_PkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_Account_RolesArgs = {
    where: Auth_Account_Roles_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Account_Roles_By_PkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_AccountsArgs = {
    where: Auth_Accounts_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Accounts_By_PkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_ProvidersArgs = {
    where: Auth_Providers_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Providers_By_PkArgs = {
    provider: Scalars['String'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_Refresh_TokensArgs = {
    where: Auth_Refresh_Tokens_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Refresh_Tokens_By_PkArgs = {
    refresh_token: Scalars['uuid'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_RolesArgs = {
    where: Auth_Roles_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Roles_By_PkArgs = {
    role: Scalars['String'];
};
/** mutation root */
export type Mutation_RootDelete_BadgeArgs = {
    where: Badge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Badge_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Badge_CategoryArgs = {
    where: Badge_Category_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Badge_Category_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Badge_TypeArgs = {
    where: Badge_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Badge_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_BatchArgs = {
    where: Batch_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Batch_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_BlueprintArgs = {
    where: Blueprint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Blueprint_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Business_Model_TypeArgs = {
    where: Business_Model_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Business_Model_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ChargeArgs = {
    where: Charge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Charge_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ChargerArgs = {
    where: Charger_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Charger_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ConditionArgs = {
    where: Condition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Condition_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Condition_TypeArgs = {
    where: Condition_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Condition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ContentArgs = {
    where: Content_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Content_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ContractArgs = {
    where: Contract_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Contract_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Contract_TypeArgs = {
    where: Contract_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Contract_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_CurrencyArgs = {
    where: Currency_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Currency_By_PkArgs = {
    owner_id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Currency_ExchangeArgs = {
    where: Currency_Exchange_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Currency_Exchange_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Currency_TypeArgs = {
    where: Currency_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Currency_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Desktop_TypeArgs = {
    where: Desktop_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Desktop_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_EntrypointArgs = {
    where: Entrypoint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Entrypoint_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_EvaluatorArgs = {
    where: Evaluator_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Evaluator_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ExampleArgs = {
    where: Example_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Example_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Example_TypeArgs = {
    where: Example_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Example_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Exhibition_DeterminantArgs = {
    where: Exhibition_Determinant_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Exhibition_Determinant_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_FlagArgs = {
    where: Flag_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Flag_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Flag_TypeArgs = {
    where: Flag_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Flag_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_GameArgs = {
    where: Game_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_ActionArgs = {
    where: Game_Action_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Action_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_DesignArgs = {
    where: Game_Design_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Design_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_GroupArgs = {
    where: Game_Group_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Group_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_HunterArgs = {
    where: Game_Hunter_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Hunter_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_ManagementArgs = {
    where: Game_Management_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Management_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_OperatorsArgs = {
    where: Game_Operators_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Operators_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_RecordArgs = {
    where: Game_Record_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Record_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_RequirementArgs = {
    where: Game_Requirement_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_State_TypeArgs = {
    where: Game_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_WinnerArgs = {
    where: Game_Winner_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Winner_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Games_LocusArgs = {
    where: Games_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Games_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_GiftArgs = {
    where: Gift_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Gift_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_GoodsArgs = {
    where: Goods_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Goods_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Hier_TypeArgs = {
    where: Hier_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Hier_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_IncognitoArgs = {
    where: Incognito_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Incognito_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_InscriptionArgs = {
    where: Inscription_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Inscription_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Interface_TypeArgs = {
    where: Interface_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Interface_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_JudgeArgs = {
    where: Judge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Judge_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Judge_Display_TypeArgs = {
    where: Judge_Display_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Judge_Display_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Judge_EntryArgs = {
    where: Judge_Entry_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Judge_Entry_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Judge_Role_TypeArgs = {
    where: Judge_Role_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Judge_Role_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_KairosArgs = {
    where: Kairos_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Kairos_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Keyword_DescriptionArgs = {
    where: Keyword_Description_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Keyword_Description_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_LanguageArgs = {
    where: Language_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Language_By_PkArgs = {
    language_code: Scalars['String'];
};
/** mutation root */
export type Mutation_RootDelete_LocationArgs = {
    where: Location_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Location_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_LocusArgs = {
    where: Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_ImitateArgs = {
    where: Locus_Imitate_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_MemberArgs = {
    where: Locus_Member_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Member_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_Operation_TypeArgs = {
    where: Locus_Operation_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Operation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_PolicyArgs = {
    where: Locus_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_StateArgs = {
    where: Locus_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_ThemeArgs = {
    where: Locus_Theme_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Theme_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_TypeArgs = {
    where: Locus_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_MapArgs = {
    where: Map_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_Condition_TypeArgs = {
    where: Map_Condition_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Condition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_EffectArgs = {
    where: Map_Effect_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Effect_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_Effect_TypeArgs = {
    where: Map_Effect_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Effect_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_ItemArgs = {
    where: Map_Item_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Item_AnimationArgs = {
    where: Map_Item_Animation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Item_Animation_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_Item_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_Item_StateArgs = {
    where: Map_Item_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Item_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Medium_TypeArgs = {
    where: Medium_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Medium_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_MegaphoneArgs = {
    where: Megaphone_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Megaphone_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_MessageArgs = {
    where: Message_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Message_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_MoldArgs = {
    where: Mold_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Mold_BlueprintArgs = {
    where: Mold_Blueprint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Mold_Blueprint_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Mold_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Morsel_TypeArgs = {
    where: Morsel_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Morsel_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_OperationArgs = {
    where: Operation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operation_Maintain_TypeArgs = {
    where: Operation_Maintain_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_Maintain_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operation_OperatorArgs = {
    where: Operation_Operator_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_Operator_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operation_Setting_TypeArgs = {
    where: Operation_Setting_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_Setting_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operation_StateArgs = {
    where: Operation_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operation_TypeArgs = {
    where: Operation_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operator_State_TypeArgs = {
    where: Operator_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operator_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_PieceArgs = {
    where: Piece_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Piece_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Piece_LocusArgs = {
    where: Piece_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Piece_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Piece_TypeArgs = {
    where: Piece_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Piece_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_PostArgs = {
    where: Post_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Post_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Post_EvaluationArgs = {
    where: Post_Evaluation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Post_Evaluation_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_PreferenceArgs = {
    where: Preference_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_ProductArgs = {
    where: Product_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Product_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ProfileArgs = {
    where: Profile_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_PurchaseArgs = {
    where: Purchase_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Purchase_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_QuestArgs = {
    where: Quest_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Quest_AncestryArgs = {
    where: Quest_Ancestry_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Quest_Ancestry_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Quest_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Quest_StateArgs = {
    where: Quest_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Quest_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Quest_TypeArgs = {
    where: Quest_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Quest_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Resource_PolicyArgs = {
    where: Resource_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Resource_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Resource_PrivacyArgs = {
    where: Resource_Privacy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Resource_Privacy_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Cord_2dArgs = {
    where: Rooadmap_Gis_Cord_2d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Cord_2d_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Cord_3dArgs = {
    where: Rooadmap_Gis_Cord_3d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Cord_3d_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Location_2dArgs = {
    where: Rooadmap_Gis_Location_2d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Location_2d_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Location_3dArgs = {
    where: Rooadmap_Gis_Location_3d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Location_3d_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Map_ItemArgs = {
    where: Rooadmap_Gis_Map_Item_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Map_Item_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_SegmentArgs = {
    where: Segment_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Segment_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Segment_ExhibitionArgs = {
    where: Segment_Exhibition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Segment_Exhibition_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_SellArgs = {
    where: Sell_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sell_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sell_ManagementArgs = {
    where: Sell_Management_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sell_Management_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_SponsorshipArgs = {
    where: Sponsorship_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_ConditionArgs = {
    where: Sponsorship_Condition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Condition_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Game_StateArgs = {
    where: Sponsorship_Game_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Game_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Game_State_TypeArgs = {
    where: Sponsorship_Game_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Game_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_ImagesArgs = {
    where: Sponsorship_Images_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Images_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_ImitateArgs = {
    where: Sponsorship_Imitate_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_LocusArgs = {
    where: Sponsorship_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_RequirementArgs = {
    where: Sponsorship_Requirement_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Requirement_TypeArgs = {
    where: Sponsorship_Requirement_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Requirement_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Settlement_State_TypeArgs = {
    where: Sponsorship_Settlement_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Settlement_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_StateArgs = {
    where: Sponsorship_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_TypeArgs = {
    where: Sponsorship_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_SpotArgs = {
    where: Spot_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Spot_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Spot_InscriptionArgs = {
    where: Spot_Inscription_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Spot_Inscription_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Spot_PolicyArgs = {
    where: Spot_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Spot_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Spot_TypeArgs = {
    where: Spot_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Spot_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Spot_UserArgs = {
    where: Spot_User_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Spot_User_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Target_View_TypeArgs = {
    where: Target_View_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Target_View_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_TaskArgs = {
    where: Task_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Task_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ThemeArgs = {
    where: Theme_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Theme_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Treasure_UserArgs = {
    where: Treasure_User_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Treasure_User_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_UniverseArgs = {
    where: Universe_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Universe_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Universe_MemberArgs = {
    where: Universe_Member_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Universe_Member_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Universe_PolicyArgs = {
    where: Universe_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Universe_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Universe_ResourceArgs = {
    where: Universe_Resource_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Universe_Resource_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Universe_StateArgs = {
    where: Universe_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Universe_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_UsersArgs = {
    where: Users_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Users_By_PkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export type Mutation_RootDeny_Games_LocusArgs = {
    arg1: DenyGamesLocusInput;
};
/** mutation root */
export type Mutation_RootDeny_Sponsorship_GamesArgs = {
    arg1: DenySponsorshipGamesInput;
};
/** mutation root */
export type Mutation_RootEvaluate_TotalArgs = {
    TUId: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootGet_OtpArgs = {
    name: Scalars['String'];
    phoneNumber: Scalars['String'];
};
/** mutation root */
export type Mutation_RootInsert_AlarmArgs = {
    objects: Array<Alarm_Insert_Input>;
    on_conflict?: InputMaybe<Alarm_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Alarm_OneArgs = {
    object: Alarm_Insert_Input;
    on_conflict?: InputMaybe<Alarm_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Animation_StageArgs = {
    objects: Array<Animation_Stage_Insert_Input>;
    on_conflict?: InputMaybe<Animation_Stage_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Animation_Stage_OneArgs = {
    object: Animation_Stage_Insert_Input;
    on_conflict?: InputMaybe<Animation_Stage_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_AnswerArgs = {
    objects: Array<Answer_Insert_Input>;
    on_conflict?: InputMaybe<Answer_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Answer_OneArgs = {
    object: Answer_Insert_Input;
    on_conflict?: InputMaybe<Answer_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Answer_TypeArgs = {
    objects: Array<Answer_Type_Insert_Input>;
    on_conflict?: InputMaybe<Answer_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Answer_Type_OneArgs = {
    object: Answer_Type_Insert_Input;
    on_conflict?: InputMaybe<Answer_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_AreaArgs = {
    objects: Array<Area_Insert_Input>;
    on_conflict?: InputMaybe<Area_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Area_OneArgs = {
    object: Area_Insert_Input;
    on_conflict?: InputMaybe<Area_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Account_ProvidersArgs = {
    objects: Array<Auth_Account_Providers_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Account_Providers_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Account_Providers_OneArgs = {
    object: Auth_Account_Providers_Insert_Input;
    on_conflict?: InputMaybe<Auth_Account_Providers_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Account_RolesArgs = {
    objects: Array<Auth_Account_Roles_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Account_Roles_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Account_Roles_OneArgs = {
    object: Auth_Account_Roles_Insert_Input;
    on_conflict?: InputMaybe<Auth_Account_Roles_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_AccountsArgs = {
    objects: Array<Auth_Accounts_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Accounts_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Accounts_OneArgs = {
    object: Auth_Accounts_Insert_Input;
    on_conflict?: InputMaybe<Auth_Accounts_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_ProvidersArgs = {
    objects: Array<Auth_Providers_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Providers_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Providers_OneArgs = {
    object: Auth_Providers_Insert_Input;
    on_conflict?: InputMaybe<Auth_Providers_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Refresh_TokensArgs = {
    objects: Array<Auth_Refresh_Tokens_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Refresh_Tokens_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Refresh_Tokens_OneArgs = {
    object: Auth_Refresh_Tokens_Insert_Input;
    on_conflict?: InputMaybe<Auth_Refresh_Tokens_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_RolesArgs = {
    objects: Array<Auth_Roles_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Roles_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Roles_OneArgs = {
    object: Auth_Roles_Insert_Input;
    on_conflict?: InputMaybe<Auth_Roles_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_BadgeArgs = {
    objects: Array<Badge_Insert_Input>;
    on_conflict?: InputMaybe<Badge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Badge_CategoryArgs = {
    objects: Array<Badge_Category_Insert_Input>;
    on_conflict?: InputMaybe<Badge_Category_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Badge_Category_OneArgs = {
    object: Badge_Category_Insert_Input;
    on_conflict?: InputMaybe<Badge_Category_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Badge_OneArgs = {
    object: Badge_Insert_Input;
    on_conflict?: InputMaybe<Badge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Badge_TypeArgs = {
    objects: Array<Badge_Type_Insert_Input>;
    on_conflict?: InputMaybe<Badge_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Badge_Type_OneArgs = {
    object: Badge_Type_Insert_Input;
    on_conflict?: InputMaybe<Badge_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_BatchArgs = {
    objects: Array<Batch_Insert_Input>;
    on_conflict?: InputMaybe<Batch_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Batch_OneArgs = {
    object: Batch_Insert_Input;
    on_conflict?: InputMaybe<Batch_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_BlueprintArgs = {
    objects: Array<Blueprint_Insert_Input>;
    on_conflict?: InputMaybe<Blueprint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Blueprint_OneArgs = {
    object: Blueprint_Insert_Input;
    on_conflict?: InputMaybe<Blueprint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Business_Model_TypeArgs = {
    objects: Array<Business_Model_Type_Insert_Input>;
    on_conflict?: InputMaybe<Business_Model_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Business_Model_Type_OneArgs = {
    object: Business_Model_Type_Insert_Input;
    on_conflict?: InputMaybe<Business_Model_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ChargeArgs = {
    objects: Array<Charge_Insert_Input>;
    on_conflict?: InputMaybe<Charge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Charge_OneArgs = {
    object: Charge_Insert_Input;
    on_conflict?: InputMaybe<Charge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ChargerArgs = {
    objects: Array<Charger_Insert_Input>;
    on_conflict?: InputMaybe<Charger_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Charger_OneArgs = {
    object: Charger_Insert_Input;
    on_conflict?: InputMaybe<Charger_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ConditionArgs = {
    objects: Array<Condition_Insert_Input>;
    on_conflict?: InputMaybe<Condition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Condition_OneArgs = {
    object: Condition_Insert_Input;
    on_conflict?: InputMaybe<Condition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Condition_TypeArgs = {
    objects: Array<Condition_Type_Insert_Input>;
    on_conflict?: InputMaybe<Condition_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Condition_Type_OneArgs = {
    object: Condition_Type_Insert_Input;
    on_conflict?: InputMaybe<Condition_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ContentArgs = {
    objects: Array<Content_Insert_Input>;
    on_conflict?: InputMaybe<Content_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Content_OneArgs = {
    object: Content_Insert_Input;
    on_conflict?: InputMaybe<Content_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ContractArgs = {
    objects: Array<Contract_Insert_Input>;
    on_conflict?: InputMaybe<Contract_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Contract_OneArgs = {
    object: Contract_Insert_Input;
    on_conflict?: InputMaybe<Contract_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Contract_TypeArgs = {
    objects: Array<Contract_Type_Insert_Input>;
    on_conflict?: InputMaybe<Contract_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Contract_Type_OneArgs = {
    object: Contract_Type_Insert_Input;
    on_conflict?: InputMaybe<Contract_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_CurrencyArgs = {
    objects: Array<Currency_Insert_Input>;
    on_conflict?: InputMaybe<Currency_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Currency_ExchangeArgs = {
    objects: Array<Currency_Exchange_Insert_Input>;
    on_conflict?: InputMaybe<Currency_Exchange_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Currency_Exchange_OneArgs = {
    object: Currency_Exchange_Insert_Input;
    on_conflict?: InputMaybe<Currency_Exchange_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Currency_OneArgs = {
    object: Currency_Insert_Input;
    on_conflict?: InputMaybe<Currency_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Currency_TypeArgs = {
    objects: Array<Currency_Type_Insert_Input>;
    on_conflict?: InputMaybe<Currency_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Currency_Type_OneArgs = {
    object: Currency_Type_Insert_Input;
    on_conflict?: InputMaybe<Currency_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Desktop_TypeArgs = {
    objects: Array<Desktop_Type_Insert_Input>;
    on_conflict?: InputMaybe<Desktop_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Desktop_Type_OneArgs = {
    object: Desktop_Type_Insert_Input;
    on_conflict?: InputMaybe<Desktop_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_EntrypointArgs = {
    objects: Array<Entrypoint_Insert_Input>;
    on_conflict?: InputMaybe<Entrypoint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Entrypoint_OneArgs = {
    object: Entrypoint_Insert_Input;
    on_conflict?: InputMaybe<Entrypoint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_EvaluatorArgs = {
    objects: Array<Evaluator_Insert_Input>;
    on_conflict?: InputMaybe<Evaluator_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Evaluator_OneArgs = {
    object: Evaluator_Insert_Input;
    on_conflict?: InputMaybe<Evaluator_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ExampleArgs = {
    objects: Array<Example_Insert_Input>;
    on_conflict?: InputMaybe<Example_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Example_OneArgs = {
    object: Example_Insert_Input;
    on_conflict?: InputMaybe<Example_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Example_TypeArgs = {
    objects: Array<Example_Type_Insert_Input>;
    on_conflict?: InputMaybe<Example_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Example_Type_OneArgs = {
    object: Example_Type_Insert_Input;
    on_conflict?: InputMaybe<Example_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Exhibition_DeterminantArgs = {
    objects: Array<Exhibition_Determinant_Insert_Input>;
    on_conflict?: InputMaybe<Exhibition_Determinant_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Exhibition_Determinant_OneArgs = {
    object: Exhibition_Determinant_Insert_Input;
    on_conflict?: InputMaybe<Exhibition_Determinant_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_FlagArgs = {
    objects: Array<Flag_Insert_Input>;
    on_conflict?: InputMaybe<Flag_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Flag_OneArgs = {
    object: Flag_Insert_Input;
    on_conflict?: InputMaybe<Flag_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Flag_TypeArgs = {
    objects: Array<Flag_Type_Insert_Input>;
    on_conflict?: InputMaybe<Flag_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Flag_Type_OneArgs = {
    object: Flag_Type_Insert_Input;
    on_conflict?: InputMaybe<Flag_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_GameArgs = {
    objects: Array<Game_Insert_Input>;
    on_conflict?: InputMaybe<Game_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_ActionArgs = {
    objects: Array<Game_Action_Insert_Input>;
    on_conflict?: InputMaybe<Game_Action_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Action_OneArgs = {
    object: Game_Action_Insert_Input;
    on_conflict?: InputMaybe<Game_Action_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_DesignArgs = {
    objects: Array<Game_Design_Insert_Input>;
    on_conflict?: InputMaybe<Game_Design_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Design_OneArgs = {
    object: Game_Design_Insert_Input;
    on_conflict?: InputMaybe<Game_Design_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_GroupArgs = {
    objects: Array<Game_Group_Insert_Input>;
    on_conflict?: InputMaybe<Game_Group_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Group_OneArgs = {
    object: Game_Group_Insert_Input;
    on_conflict?: InputMaybe<Game_Group_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_HunterArgs = {
    objects: Array<Game_Hunter_Insert_Input>;
    on_conflict?: InputMaybe<Game_Hunter_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Hunter_OneArgs = {
    object: Game_Hunter_Insert_Input;
    on_conflict?: InputMaybe<Game_Hunter_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_ManagementArgs = {
    objects: Array<Game_Management_Insert_Input>;
    on_conflict?: InputMaybe<Game_Management_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Management_OneArgs = {
    object: Game_Management_Insert_Input;
    on_conflict?: InputMaybe<Game_Management_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_OneArgs = {
    object: Game_Insert_Input;
    on_conflict?: InputMaybe<Game_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_OperatorsArgs = {
    objects: Array<Game_Operators_Insert_Input>;
    on_conflict?: InputMaybe<Game_Operators_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Operators_OneArgs = {
    object: Game_Operators_Insert_Input;
    on_conflict?: InputMaybe<Game_Operators_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_RecordArgs = {
    objects: Array<Game_Record_Insert_Input>;
    on_conflict?: InputMaybe<Game_Record_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Record_OneArgs = {
    object: Game_Record_Insert_Input;
    on_conflict?: InputMaybe<Game_Record_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_RequirementArgs = {
    objects: Array<Game_Requirement_Insert_Input>;
    on_conflict?: InputMaybe<Game_Requirement_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Requirement_OneArgs = {
    object: Game_Requirement_Insert_Input;
    on_conflict?: InputMaybe<Game_Requirement_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_State_TypeArgs = {
    objects: Array<Game_State_Type_Insert_Input>;
    on_conflict?: InputMaybe<Game_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_State_Type_OneArgs = {
    object: Game_State_Type_Insert_Input;
    on_conflict?: InputMaybe<Game_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_WinnerArgs = {
    objects: Array<Game_Winner_Insert_Input>;
    on_conflict?: InputMaybe<Game_Winner_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Winner_OneArgs = {
    object: Game_Winner_Insert_Input;
    on_conflict?: InputMaybe<Game_Winner_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Games_LocusArgs = {
    objects: Array<Games_Locus_Insert_Input>;
    on_conflict?: InputMaybe<Games_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Games_Locus_OneArgs = {
    object: Games_Locus_Insert_Input;
    on_conflict?: InputMaybe<Games_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_GiftArgs = {
    objects: Array<Gift_Insert_Input>;
    on_conflict?: InputMaybe<Gift_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Gift_OneArgs = {
    object: Gift_Insert_Input;
    on_conflict?: InputMaybe<Gift_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_GoodsArgs = {
    objects: Array<Goods_Insert_Input>;
    on_conflict?: InputMaybe<Goods_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Goods_OneArgs = {
    object: Goods_Insert_Input;
    on_conflict?: InputMaybe<Goods_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Hier_TypeArgs = {
    objects: Array<Hier_Type_Insert_Input>;
    on_conflict?: InputMaybe<Hier_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Hier_Type_OneArgs = {
    object: Hier_Type_Insert_Input;
    on_conflict?: InputMaybe<Hier_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_IncognitoArgs = {
    objects: Array<Incognito_Insert_Input>;
    on_conflict?: InputMaybe<Incognito_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Incognito_OneArgs = {
    object: Incognito_Insert_Input;
    on_conflict?: InputMaybe<Incognito_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_InscriptionArgs = {
    objects: Array<Inscription_Insert_Input>;
    on_conflict?: InputMaybe<Inscription_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Inscription_OneArgs = {
    object: Inscription_Insert_Input;
    on_conflict?: InputMaybe<Inscription_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Interface_TypeArgs = {
    objects: Array<Interface_Type_Insert_Input>;
    on_conflict?: InputMaybe<Interface_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Interface_Type_OneArgs = {
    object: Interface_Type_Insert_Input;
    on_conflict?: InputMaybe<Interface_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_JudgeArgs = {
    objects: Array<Judge_Insert_Input>;
    on_conflict?: InputMaybe<Judge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_Display_TypeArgs = {
    objects: Array<Judge_Display_Type_Insert_Input>;
    on_conflict?: InputMaybe<Judge_Display_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_Display_Type_OneArgs = {
    object: Judge_Display_Type_Insert_Input;
    on_conflict?: InputMaybe<Judge_Display_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_EntryArgs = {
    objects: Array<Judge_Entry_Insert_Input>;
    on_conflict?: InputMaybe<Judge_Entry_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_Entry_OneArgs = {
    object: Judge_Entry_Insert_Input;
    on_conflict?: InputMaybe<Judge_Entry_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_OneArgs = {
    object: Judge_Insert_Input;
    on_conflict?: InputMaybe<Judge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_Role_TypeArgs = {
    objects: Array<Judge_Role_Type_Insert_Input>;
    on_conflict?: InputMaybe<Judge_Role_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_Role_Type_OneArgs = {
    object: Judge_Role_Type_Insert_Input;
    on_conflict?: InputMaybe<Judge_Role_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_KairosArgs = {
    objects: Array<Kairos_Insert_Input>;
    on_conflict?: InputMaybe<Kairos_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Kairos_OneArgs = {
    object: Kairos_Insert_Input;
    on_conflict?: InputMaybe<Kairos_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Keyword_DescriptionArgs = {
    objects: Array<Keyword_Description_Insert_Input>;
    on_conflict?: InputMaybe<Keyword_Description_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Keyword_Description_OneArgs = {
    object: Keyword_Description_Insert_Input;
    on_conflict?: InputMaybe<Keyword_Description_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_LanguageArgs = {
    objects: Array<Language_Insert_Input>;
    on_conflict?: InputMaybe<Language_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Language_OneArgs = {
    object: Language_Insert_Input;
    on_conflict?: InputMaybe<Language_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_LocationArgs = {
    objects: Array<Location_Insert_Input>;
    on_conflict?: InputMaybe<Location_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Location_OneArgs = {
    object: Location_Insert_Input;
    on_conflict?: InputMaybe<Location_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_LocusArgs = {
    objects: Array<Locus_Insert_Input>;
    on_conflict?: InputMaybe<Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_ImitateArgs = {
    objects: Array<Locus_Imitate_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Imitate_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Imitate_OneArgs = {
    object: Locus_Imitate_Insert_Input;
    on_conflict?: InputMaybe<Locus_Imitate_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_MemberArgs = {
    objects: Array<Locus_Member_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Member_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Member_OneArgs = {
    object: Locus_Member_Insert_Input;
    on_conflict?: InputMaybe<Locus_Member_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_OneArgs = {
    object: Locus_Insert_Input;
    on_conflict?: InputMaybe<Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Operation_TypeArgs = {
    objects: Array<Locus_Operation_Type_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Operation_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Operation_Type_OneArgs = {
    object: Locus_Operation_Type_Insert_Input;
    on_conflict?: InputMaybe<Locus_Operation_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_PolicyArgs = {
    objects: Array<Locus_Policy_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Policy_OneArgs = {
    object: Locus_Policy_Insert_Input;
    on_conflict?: InputMaybe<Locus_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_StateArgs = {
    objects: Array<Locus_State_Insert_Input>;
    on_conflict?: InputMaybe<Locus_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_State_OneArgs = {
    object: Locus_State_Insert_Input;
    on_conflict?: InputMaybe<Locus_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_ThemeArgs = {
    objects: Array<Locus_Theme_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Theme_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Theme_OneArgs = {
    object: Locus_Theme_Insert_Input;
    on_conflict?: InputMaybe<Locus_Theme_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_TypeArgs = {
    objects: Array<Locus_Type_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Type_OneArgs = {
    object: Locus_Type_Insert_Input;
    on_conflict?: InputMaybe<Locus_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_MapArgs = {
    objects: Array<Map_Insert_Input>;
    on_conflict?: InputMaybe<Map_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Condition_TypeArgs = {
    objects: Array<Map_Condition_Type_Insert_Input>;
    on_conflict?: InputMaybe<Map_Condition_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Condition_Type_OneArgs = {
    object: Map_Condition_Type_Insert_Input;
    on_conflict?: InputMaybe<Map_Condition_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_EffectArgs = {
    objects: Array<Map_Effect_Insert_Input>;
    on_conflict?: InputMaybe<Map_Effect_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Effect_OneArgs = {
    object: Map_Effect_Insert_Input;
    on_conflict?: InputMaybe<Map_Effect_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Effect_TypeArgs = {
    objects: Array<Map_Effect_Type_Insert_Input>;
    on_conflict?: InputMaybe<Map_Effect_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Effect_Type_OneArgs = {
    object: Map_Effect_Type_Insert_Input;
    on_conflict?: InputMaybe<Map_Effect_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_ItemArgs = {
    objects: Array<Map_Item_Insert_Input>;
    on_conflict?: InputMaybe<Map_Item_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Item_AnimationArgs = {
    objects: Array<Map_Item_Animation_Insert_Input>;
    on_conflict?: InputMaybe<Map_Item_Animation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Item_Animation_OneArgs = {
    object: Map_Item_Animation_Insert_Input;
    on_conflict?: InputMaybe<Map_Item_Animation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Item_OneArgs = {
    object: Map_Item_Insert_Input;
    on_conflict?: InputMaybe<Map_Item_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Item_StateArgs = {
    objects: Array<Map_Item_State_Insert_Input>;
    on_conflict?: InputMaybe<Map_Item_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Item_State_OneArgs = {
    object: Map_Item_State_Insert_Input;
    on_conflict?: InputMaybe<Map_Item_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_OneArgs = {
    object: Map_Insert_Input;
    on_conflict?: InputMaybe<Map_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Medium_TypeArgs = {
    objects: Array<Medium_Type_Insert_Input>;
    on_conflict?: InputMaybe<Medium_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Medium_Type_OneArgs = {
    object: Medium_Type_Insert_Input;
    on_conflict?: InputMaybe<Medium_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_MegaphoneArgs = {
    objects: Array<Megaphone_Insert_Input>;
    on_conflict?: InputMaybe<Megaphone_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Megaphone_OneArgs = {
    object: Megaphone_Insert_Input;
    on_conflict?: InputMaybe<Megaphone_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_MessageArgs = {
    objects: Array<Message_Insert_Input>;
    on_conflict?: InputMaybe<Message_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Message_OneArgs = {
    object: Message_Insert_Input;
    on_conflict?: InputMaybe<Message_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_MoldArgs = {
    objects: Array<Mold_Insert_Input>;
    on_conflict?: InputMaybe<Mold_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Mold_BlueprintArgs = {
    objects: Array<Mold_Blueprint_Insert_Input>;
    on_conflict?: InputMaybe<Mold_Blueprint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Mold_Blueprint_OneArgs = {
    object: Mold_Blueprint_Insert_Input;
    on_conflict?: InputMaybe<Mold_Blueprint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Mold_OneArgs = {
    object: Mold_Insert_Input;
    on_conflict?: InputMaybe<Mold_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Morsel_TypeArgs = {
    objects: Array<Morsel_Type_Insert_Input>;
    on_conflict?: InputMaybe<Morsel_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Morsel_Type_OneArgs = {
    object: Morsel_Type_Insert_Input;
    on_conflict?: InputMaybe<Morsel_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_OperationArgs = {
    objects: Array<Operation_Insert_Input>;
    on_conflict?: InputMaybe<Operation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Maintain_TypeArgs = {
    objects: Array<Operation_Maintain_Type_Insert_Input>;
    on_conflict?: InputMaybe<Operation_Maintain_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Maintain_Type_OneArgs = {
    object: Operation_Maintain_Type_Insert_Input;
    on_conflict?: InputMaybe<Operation_Maintain_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_OneArgs = {
    object: Operation_Insert_Input;
    on_conflict?: InputMaybe<Operation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_OperatorArgs = {
    objects: Array<Operation_Operator_Insert_Input>;
    on_conflict?: InputMaybe<Operation_Operator_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Operator_OneArgs = {
    object: Operation_Operator_Insert_Input;
    on_conflict?: InputMaybe<Operation_Operator_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Setting_TypeArgs = {
    objects: Array<Operation_Setting_Type_Insert_Input>;
    on_conflict?: InputMaybe<Operation_Setting_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Setting_Type_OneArgs = {
    object: Operation_Setting_Type_Insert_Input;
    on_conflict?: InputMaybe<Operation_Setting_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_StateArgs = {
    objects: Array<Operation_State_Insert_Input>;
    on_conflict?: InputMaybe<Operation_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_State_OneArgs = {
    object: Operation_State_Insert_Input;
    on_conflict?: InputMaybe<Operation_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_TypeArgs = {
    objects: Array<Operation_Type_Insert_Input>;
    on_conflict?: InputMaybe<Operation_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Type_OneArgs = {
    object: Operation_Type_Insert_Input;
    on_conflict?: InputMaybe<Operation_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operator_State_TypeArgs = {
    objects: Array<Operator_State_Type_Insert_Input>;
    on_conflict?: InputMaybe<Operator_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operator_State_Type_OneArgs = {
    object: Operator_State_Type_Insert_Input;
    on_conflict?: InputMaybe<Operator_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_PieceArgs = {
    objects: Array<Piece_Insert_Input>;
    on_conflict?: InputMaybe<Piece_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Piece_LocusArgs = {
    objects: Array<Piece_Locus_Insert_Input>;
    on_conflict?: InputMaybe<Piece_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Piece_Locus_OneArgs = {
    object: Piece_Locus_Insert_Input;
    on_conflict?: InputMaybe<Piece_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Piece_OneArgs = {
    object: Piece_Insert_Input;
    on_conflict?: InputMaybe<Piece_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Piece_TypeArgs = {
    objects: Array<Piece_Type_Insert_Input>;
    on_conflict?: InputMaybe<Piece_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Piece_Type_OneArgs = {
    object: Piece_Type_Insert_Input;
    on_conflict?: InputMaybe<Piece_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_PostArgs = {
    objects: Array<Post_Insert_Input>;
    on_conflict?: InputMaybe<Post_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Post_EvaluationArgs = {
    objects: Array<Post_Evaluation_Insert_Input>;
    on_conflict?: InputMaybe<Post_Evaluation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Post_Evaluation_OneArgs = {
    object: Post_Evaluation_Insert_Input;
    on_conflict?: InputMaybe<Post_Evaluation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Post_OneArgs = {
    object: Post_Insert_Input;
    on_conflict?: InputMaybe<Post_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_PreferenceArgs = {
    objects: Array<Preference_Insert_Input>;
};
/** mutation root */
export type Mutation_RootInsert_Preference_OneArgs = {
    object: Preference_Insert_Input;
};
/** mutation root */
export type Mutation_RootInsert_ProductArgs = {
    objects: Array<Product_Insert_Input>;
    on_conflict?: InputMaybe<Product_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Product_OneArgs = {
    object: Product_Insert_Input;
    on_conflict?: InputMaybe<Product_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ProfileArgs = {
    objects: Array<Profile_Insert_Input>;
};
/** mutation root */
export type Mutation_RootInsert_Profile_OneArgs = {
    object: Profile_Insert_Input;
};
/** mutation root */
export type Mutation_RootInsert_PurchaseArgs = {
    objects: Array<Purchase_Insert_Input>;
    on_conflict?: InputMaybe<Purchase_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Purchase_OneArgs = {
    object: Purchase_Insert_Input;
    on_conflict?: InputMaybe<Purchase_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_QuestArgs = {
    objects: Array<Quest_Insert_Input>;
    on_conflict?: InputMaybe<Quest_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_AncestryArgs = {
    objects: Array<Quest_Ancestry_Insert_Input>;
    on_conflict?: InputMaybe<Quest_Ancestry_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_Ancestry_OneArgs = {
    object: Quest_Ancestry_Insert_Input;
    on_conflict?: InputMaybe<Quest_Ancestry_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_OneArgs = {
    object: Quest_Insert_Input;
    on_conflict?: InputMaybe<Quest_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_StateArgs = {
    objects: Array<Quest_State_Insert_Input>;
    on_conflict?: InputMaybe<Quest_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_State_OneArgs = {
    object: Quest_State_Insert_Input;
    on_conflict?: InputMaybe<Quest_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_TypeArgs = {
    objects: Array<Quest_Type_Insert_Input>;
    on_conflict?: InputMaybe<Quest_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_Type_OneArgs = {
    object: Quest_Type_Insert_Input;
    on_conflict?: InputMaybe<Quest_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Resource_PolicyArgs = {
    objects: Array<Resource_Policy_Insert_Input>;
    on_conflict?: InputMaybe<Resource_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Resource_Policy_OneArgs = {
    object: Resource_Policy_Insert_Input;
    on_conflict?: InputMaybe<Resource_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Resource_PrivacyArgs = {
    objects: Array<Resource_Privacy_Insert_Input>;
    on_conflict?: InputMaybe<Resource_Privacy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Resource_Privacy_OneArgs = {
    object: Resource_Privacy_Insert_Input;
    on_conflict?: InputMaybe<Resource_Privacy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Cord_2dArgs = {
    objects: Array<Rooadmap_Gis_Cord_2d_Insert_Input>;
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_2d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Cord_2d_OneArgs = {
    object: Rooadmap_Gis_Cord_2d_Insert_Input;
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_2d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Cord_3dArgs = {
    objects: Array<Rooadmap_Gis_Cord_3d_Insert_Input>;
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_3d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Cord_3d_OneArgs = {
    object: Rooadmap_Gis_Cord_3d_Insert_Input;
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_3d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Location_2dArgs = {
    objects: Array<Rooadmap_Gis_Location_2d_Insert_Input>;
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_2d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Location_2d_OneArgs = {
    object: Rooadmap_Gis_Location_2d_Insert_Input;
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_2d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Location_3dArgs = {
    objects: Array<Rooadmap_Gis_Location_3d_Insert_Input>;
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_3d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Location_3d_OneArgs = {
    object: Rooadmap_Gis_Location_3d_Insert_Input;
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_3d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Map_ItemArgs = {
    objects: Array<Rooadmap_Gis_Map_Item_Insert_Input>;
    on_conflict?: InputMaybe<Rooadmap_Gis_Map_Item_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Map_Item_OneArgs = {
    object: Rooadmap_Gis_Map_Item_Insert_Input;
    on_conflict?: InputMaybe<Rooadmap_Gis_Map_Item_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_SegmentArgs = {
    objects: Array<Segment_Insert_Input>;
    on_conflict?: InputMaybe<Segment_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Segment_ExhibitionArgs = {
    objects: Array<Segment_Exhibition_Insert_Input>;
    on_conflict?: InputMaybe<Segment_Exhibition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Segment_Exhibition_OneArgs = {
    object: Segment_Exhibition_Insert_Input;
    on_conflict?: InputMaybe<Segment_Exhibition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Segment_OneArgs = {
    object: Segment_Insert_Input;
    on_conflict?: InputMaybe<Segment_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_SellArgs = {
    objects: Array<Sell_Insert_Input>;
    on_conflict?: InputMaybe<Sell_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sell_ManagementArgs = {
    objects: Array<Sell_Management_Insert_Input>;
    on_conflict?: InputMaybe<Sell_Management_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sell_Management_OneArgs = {
    object: Sell_Management_Insert_Input;
    on_conflict?: InputMaybe<Sell_Management_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sell_OneArgs = {
    object: Sell_Insert_Input;
    on_conflict?: InputMaybe<Sell_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_SponsorshipArgs = {
    objects: Array<Sponsorship_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_ConditionArgs = {
    objects: Array<Sponsorship_Condition_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Condition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Condition_OneArgs = {
    object: Sponsorship_Condition_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Condition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Game_StateArgs = {
    objects: Array<Sponsorship_Game_State_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Game_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Game_State_OneArgs = {
    object: Sponsorship_Game_State_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Game_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Game_State_TypeArgs = {
    objects: Array<Sponsorship_Game_State_Type_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Game_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Game_State_Type_OneArgs = {
    object: Sponsorship_Game_State_Type_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Game_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_ImagesArgs = {
    objects: Array<Sponsorship_Images_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Images_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Images_OneArgs = {
    object: Sponsorship_Images_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Images_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_ImitateArgs = {
    objects: Array<Sponsorship_Imitate_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Imitate_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Imitate_OneArgs = {
    object: Sponsorship_Imitate_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Imitate_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_LocusArgs = {
    objects: Array<Sponsorship_Locus_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Locus_OneArgs = {
    object: Sponsorship_Locus_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_OneArgs = {
    object: Sponsorship_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_RequirementArgs = {
    objects: Array<Sponsorship_Requirement_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Requirement_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Requirement_OneArgs = {
    object: Sponsorship_Requirement_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Requirement_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Requirement_TypeArgs = {
    objects: Array<Sponsorship_Requirement_Type_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Requirement_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Requirement_Type_OneArgs = {
    object: Sponsorship_Requirement_Type_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Requirement_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Settlement_State_TypeArgs = {
    objects: Array<Sponsorship_Settlement_State_Type_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Settlement_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Settlement_State_Type_OneArgs = {
    object: Sponsorship_Settlement_State_Type_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Settlement_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_StateArgs = {
    objects: Array<Sponsorship_State_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_State_OneArgs = {
    object: Sponsorship_State_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_TypeArgs = {
    objects: Array<Sponsorship_Type_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Type_OneArgs = {
    object: Sponsorship_Type_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_SpotArgs = {
    objects: Array<Spot_Insert_Input>;
    on_conflict?: InputMaybe<Spot_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_InscriptionArgs = {
    objects: Array<Spot_Inscription_Insert_Input>;
    on_conflict?: InputMaybe<Spot_Inscription_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_Inscription_OneArgs = {
    object: Spot_Inscription_Insert_Input;
    on_conflict?: InputMaybe<Spot_Inscription_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_OneArgs = {
    object: Spot_Insert_Input;
    on_conflict?: InputMaybe<Spot_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_PolicyArgs = {
    objects: Array<Spot_Policy_Insert_Input>;
    on_conflict?: InputMaybe<Spot_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_Policy_OneArgs = {
    object: Spot_Policy_Insert_Input;
    on_conflict?: InputMaybe<Spot_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_TypeArgs = {
    objects: Array<Spot_Type_Insert_Input>;
    on_conflict?: InputMaybe<Spot_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_Type_OneArgs = {
    object: Spot_Type_Insert_Input;
    on_conflict?: InputMaybe<Spot_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_UserArgs = {
    objects: Array<Spot_User_Insert_Input>;
    on_conflict?: InputMaybe<Spot_User_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_User_OneArgs = {
    object: Spot_User_Insert_Input;
    on_conflict?: InputMaybe<Spot_User_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Target_View_TypeArgs = {
    objects: Array<Target_View_Type_Insert_Input>;
    on_conflict?: InputMaybe<Target_View_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Target_View_Type_OneArgs = {
    object: Target_View_Type_Insert_Input;
    on_conflict?: InputMaybe<Target_View_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_TaskArgs = {
    objects: Array<Task_Insert_Input>;
    on_conflict?: InputMaybe<Task_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Task_OneArgs = {
    object: Task_Insert_Input;
    on_conflict?: InputMaybe<Task_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ThemeArgs = {
    objects: Array<Theme_Insert_Input>;
    on_conflict?: InputMaybe<Theme_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Theme_OneArgs = {
    object: Theme_Insert_Input;
    on_conflict?: InputMaybe<Theme_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Treasure_UserArgs = {
    objects: Array<Treasure_User_Insert_Input>;
    on_conflict?: InputMaybe<Treasure_User_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Treasure_User_OneArgs = {
    object: Treasure_User_Insert_Input;
    on_conflict?: InputMaybe<Treasure_User_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_UniverseArgs = {
    objects: Array<Universe_Insert_Input>;
    on_conflict?: InputMaybe<Universe_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_MemberArgs = {
    objects: Array<Universe_Member_Insert_Input>;
    on_conflict?: InputMaybe<Universe_Member_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_Member_OneArgs = {
    object: Universe_Member_Insert_Input;
    on_conflict?: InputMaybe<Universe_Member_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_OneArgs = {
    object: Universe_Insert_Input;
    on_conflict?: InputMaybe<Universe_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_PolicyArgs = {
    objects: Array<Universe_Policy_Insert_Input>;
    on_conflict?: InputMaybe<Universe_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_Policy_OneArgs = {
    object: Universe_Policy_Insert_Input;
    on_conflict?: InputMaybe<Universe_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_ResourceArgs = {
    objects: Array<Universe_Resource_Insert_Input>;
    on_conflict?: InputMaybe<Universe_Resource_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_Resource_OneArgs = {
    object: Universe_Resource_Insert_Input;
    on_conflict?: InputMaybe<Universe_Resource_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_StateArgs = {
    objects: Array<Universe_State_Insert_Input>;
    on_conflict?: InputMaybe<Universe_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_State_OneArgs = {
    object: Universe_State_Insert_Input;
    on_conflict?: InputMaybe<Universe_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_UsersArgs = {
    objects: Array<Users_Insert_Input>;
    on_conflict?: InputMaybe<Users_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Users_OneArgs = {
    object: Users_Insert_Input;
    on_conflict?: InputMaybe<Users_On_Conflict>;
};
/** mutation root */
export type Mutation_RootOperate_Image_Npc_JudgeArgs = {
    image_npc_judge_input: ImageNpcOperationInput;
};
/** mutation root */
export type Mutation_RootPurchase_Game_By_RpArgs = {
    buyerId: Scalars['Int'];
    productId: Scalars['Int'];
    sellId: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootPurchase_Sponsorship_By_RpArgs = {
    buyerId: Scalars['Int'];
    productId: Scalars['Int'];
    sellId: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootRestart_Game_PlayArgs = {
    TUId: Scalars['Int'];
    gameId: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootSet_Game_State_On_ReadyArgs = {
    arg1: SetGameStateOnReadyInput;
};
/** mutation root */
export type Mutation_RootSettle_Operation_Games_LocusArgs = {
    arg1: SettleOperationGamesLocusInput;
};
/** mutation root */
export type Mutation_RootStart_GameArgs = {
    arg1: StartGameInput;
};
/** mutation root */
export type Mutation_RootTaste_Jigsaw_JudgeArgs = {
    taste_jigsaw_judge_input: TasteJigsawJudgeInput;
};
/** mutation root */
export type Mutation_RootTaste_Multi_Word_JudgeArgs = {
    taste_word_judge_input: TasteWordJudgeInput;
};
/** mutation root */
export type Mutation_RootTaste_Word_JudgeArgs = {
    taste_word_judge_input: TasteWordJudgeInput;
};
/** mutation root */
export type Mutation_RootTaste_Word_Sequence_JudgeArgs = {
    taste_word_sequence_judge_input: TasteWordSequenceJudgeInput;
};
/** mutation root */
export type Mutation_RootTaste_Words_JudgeArgs = {
    taste_words_judge_input: TasteWordsJudgeInput;
};
/** mutation root */
export type Mutation_RootUpdate_AlarmArgs = {
    _inc?: InputMaybe<Alarm_Inc_Input>;
    _set?: InputMaybe<Alarm_Set_Input>;
    where: Alarm_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Alarm_By_PkArgs = {
    _inc?: InputMaybe<Alarm_Inc_Input>;
    _set?: InputMaybe<Alarm_Set_Input>;
    pk_columns: Alarm_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Alarm_ManyArgs = {
    updates: Array<Alarm_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Animation_StageArgs = {
    _inc?: InputMaybe<Animation_Stage_Inc_Input>;
    _set?: InputMaybe<Animation_Stage_Set_Input>;
    where: Animation_Stage_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Animation_Stage_By_PkArgs = {
    _inc?: InputMaybe<Animation_Stage_Inc_Input>;
    _set?: InputMaybe<Animation_Stage_Set_Input>;
    pk_columns: Animation_Stage_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Animation_Stage_ManyArgs = {
    updates: Array<Animation_Stage_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_AnswerArgs = {
    _inc?: InputMaybe<Answer_Inc_Input>;
    _set?: InputMaybe<Answer_Set_Input>;
    where: Answer_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Answer_By_PkArgs = {
    _inc?: InputMaybe<Answer_Inc_Input>;
    _set?: InputMaybe<Answer_Set_Input>;
    pk_columns: Answer_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Answer_ManyArgs = {
    updates: Array<Answer_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Answer_TypeArgs = {
    _inc?: InputMaybe<Answer_Type_Inc_Input>;
    _set?: InputMaybe<Answer_Type_Set_Input>;
    where: Answer_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Answer_Type_By_PkArgs = {
    _inc?: InputMaybe<Answer_Type_Inc_Input>;
    _set?: InputMaybe<Answer_Type_Set_Input>;
    pk_columns: Answer_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Answer_Type_ManyArgs = {
    updates: Array<Answer_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_AreaArgs = {
    _inc?: InputMaybe<Area_Inc_Input>;
    _set?: InputMaybe<Area_Set_Input>;
    where: Area_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Area_By_PkArgs = {
    _inc?: InputMaybe<Area_Inc_Input>;
    _set?: InputMaybe<Area_Set_Input>;
    pk_columns: Area_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Area_ManyArgs = {
    updates: Array<Area_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_ProvidersArgs = {
    _set?: InputMaybe<Auth_Account_Providers_Set_Input>;
    where: Auth_Account_Providers_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_Providers_By_PkArgs = {
    _set?: InputMaybe<Auth_Account_Providers_Set_Input>;
    pk_columns: Auth_Account_Providers_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_Providers_ManyArgs = {
    updates: Array<Auth_Account_Providers_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_RolesArgs = {
    _set?: InputMaybe<Auth_Account_Roles_Set_Input>;
    where: Auth_Account_Roles_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_Roles_By_PkArgs = {
    _set?: InputMaybe<Auth_Account_Roles_Set_Input>;
    pk_columns: Auth_Account_Roles_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_Roles_ManyArgs = {
    updates: Array<Auth_Account_Roles_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_AccountsArgs = {
    _append?: InputMaybe<Auth_Accounts_Append_Input>;
    _delete_at_path?: InputMaybe<Auth_Accounts_Delete_At_Path_Input>;
    _delete_elem?: InputMaybe<Auth_Accounts_Delete_Elem_Input>;
    _delete_key?: InputMaybe<Auth_Accounts_Delete_Key_Input>;
    _prepend?: InputMaybe<Auth_Accounts_Prepend_Input>;
    _set?: InputMaybe<Auth_Accounts_Set_Input>;
    where: Auth_Accounts_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Accounts_By_PkArgs = {
    _append?: InputMaybe<Auth_Accounts_Append_Input>;
    _delete_at_path?: InputMaybe<Auth_Accounts_Delete_At_Path_Input>;
    _delete_elem?: InputMaybe<Auth_Accounts_Delete_Elem_Input>;
    _delete_key?: InputMaybe<Auth_Accounts_Delete_Key_Input>;
    _prepend?: InputMaybe<Auth_Accounts_Prepend_Input>;
    _set?: InputMaybe<Auth_Accounts_Set_Input>;
    pk_columns: Auth_Accounts_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Accounts_ManyArgs = {
    updates: Array<Auth_Accounts_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_ProvidersArgs = {
    _set?: InputMaybe<Auth_Providers_Set_Input>;
    where: Auth_Providers_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Providers_By_PkArgs = {
    _set?: InputMaybe<Auth_Providers_Set_Input>;
    pk_columns: Auth_Providers_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Providers_ManyArgs = {
    updates: Array<Auth_Providers_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Refresh_TokensArgs = {
    _set?: InputMaybe<Auth_Refresh_Tokens_Set_Input>;
    where: Auth_Refresh_Tokens_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Refresh_Tokens_By_PkArgs = {
    _set?: InputMaybe<Auth_Refresh_Tokens_Set_Input>;
    pk_columns: Auth_Refresh_Tokens_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Refresh_Tokens_ManyArgs = {
    updates: Array<Auth_Refresh_Tokens_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_RolesArgs = {
    _set?: InputMaybe<Auth_Roles_Set_Input>;
    where: Auth_Roles_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Roles_By_PkArgs = {
    _set?: InputMaybe<Auth_Roles_Set_Input>;
    pk_columns: Auth_Roles_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Roles_ManyArgs = {
    updates: Array<Auth_Roles_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_BadgeArgs = {
    _inc?: InputMaybe<Badge_Inc_Input>;
    _set?: InputMaybe<Badge_Set_Input>;
    where: Badge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_By_PkArgs = {
    _inc?: InputMaybe<Badge_Inc_Input>;
    _set?: InputMaybe<Badge_Set_Input>;
    pk_columns: Badge_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_CategoryArgs = {
    _inc?: InputMaybe<Badge_Category_Inc_Input>;
    _set?: InputMaybe<Badge_Category_Set_Input>;
    where: Badge_Category_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_Category_By_PkArgs = {
    _inc?: InputMaybe<Badge_Category_Inc_Input>;
    _set?: InputMaybe<Badge_Category_Set_Input>;
    pk_columns: Badge_Category_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_Category_ManyArgs = {
    updates: Array<Badge_Category_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_ManyArgs = {
    updates: Array<Badge_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_TypeArgs = {
    _inc?: InputMaybe<Badge_Type_Inc_Input>;
    _set?: InputMaybe<Badge_Type_Set_Input>;
    where: Badge_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_Type_By_PkArgs = {
    _inc?: InputMaybe<Badge_Type_Inc_Input>;
    _set?: InputMaybe<Badge_Type_Set_Input>;
    pk_columns: Badge_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_Type_ManyArgs = {
    updates: Array<Badge_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_BatchArgs = {
    _inc?: InputMaybe<Batch_Inc_Input>;
    _set?: InputMaybe<Batch_Set_Input>;
    where: Batch_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Batch_By_PkArgs = {
    _inc?: InputMaybe<Batch_Inc_Input>;
    _set?: InputMaybe<Batch_Set_Input>;
    pk_columns: Batch_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Batch_ManyArgs = {
    updates: Array<Batch_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_BlueprintArgs = {
    _inc?: InputMaybe<Blueprint_Inc_Input>;
    _set?: InputMaybe<Blueprint_Set_Input>;
    where: Blueprint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Blueprint_By_PkArgs = {
    _inc?: InputMaybe<Blueprint_Inc_Input>;
    _set?: InputMaybe<Blueprint_Set_Input>;
    pk_columns: Blueprint_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Blueprint_ManyArgs = {
    updates: Array<Blueprint_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Business_Model_TypeArgs = {
    _inc?: InputMaybe<Business_Model_Type_Inc_Input>;
    _set?: InputMaybe<Business_Model_Type_Set_Input>;
    where: Business_Model_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Business_Model_Type_By_PkArgs = {
    _inc?: InputMaybe<Business_Model_Type_Inc_Input>;
    _set?: InputMaybe<Business_Model_Type_Set_Input>;
    pk_columns: Business_Model_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Business_Model_Type_ManyArgs = {
    updates: Array<Business_Model_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ChargeArgs = {
    _inc?: InputMaybe<Charge_Inc_Input>;
    _set?: InputMaybe<Charge_Set_Input>;
    where: Charge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Charge_By_PkArgs = {
    _inc?: InputMaybe<Charge_Inc_Input>;
    _set?: InputMaybe<Charge_Set_Input>;
    pk_columns: Charge_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Charge_ManyArgs = {
    updates: Array<Charge_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ChargerArgs = {
    _inc?: InputMaybe<Charger_Inc_Input>;
    _set?: InputMaybe<Charger_Set_Input>;
    where: Charger_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Charger_By_PkArgs = {
    _inc?: InputMaybe<Charger_Inc_Input>;
    _set?: InputMaybe<Charger_Set_Input>;
    pk_columns: Charger_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Charger_ManyArgs = {
    updates: Array<Charger_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ConditionArgs = {
    _inc?: InputMaybe<Condition_Inc_Input>;
    _set?: InputMaybe<Condition_Set_Input>;
    where: Condition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Condition_By_PkArgs = {
    _inc?: InputMaybe<Condition_Inc_Input>;
    _set?: InputMaybe<Condition_Set_Input>;
    pk_columns: Condition_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Condition_ManyArgs = {
    updates: Array<Condition_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Condition_TypeArgs = {
    _inc?: InputMaybe<Condition_Type_Inc_Input>;
    _set?: InputMaybe<Condition_Type_Set_Input>;
    where: Condition_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Condition_Type_By_PkArgs = {
    _inc?: InputMaybe<Condition_Type_Inc_Input>;
    _set?: InputMaybe<Condition_Type_Set_Input>;
    pk_columns: Condition_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Condition_Type_ManyArgs = {
    updates: Array<Condition_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ContentArgs = {
    _inc?: InputMaybe<Content_Inc_Input>;
    _set?: InputMaybe<Content_Set_Input>;
    where: Content_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Content_By_PkArgs = {
    _inc?: InputMaybe<Content_Inc_Input>;
    _set?: InputMaybe<Content_Set_Input>;
    pk_columns: Content_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Content_ManyArgs = {
    updates: Array<Content_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ContractArgs = {
    _inc?: InputMaybe<Contract_Inc_Input>;
    _set?: InputMaybe<Contract_Set_Input>;
    where: Contract_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Contract_By_PkArgs = {
    _inc?: InputMaybe<Contract_Inc_Input>;
    _set?: InputMaybe<Contract_Set_Input>;
    pk_columns: Contract_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Contract_ManyArgs = {
    updates: Array<Contract_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Contract_TypeArgs = {
    _inc?: InputMaybe<Contract_Type_Inc_Input>;
    _set?: InputMaybe<Contract_Type_Set_Input>;
    where: Contract_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Contract_Type_By_PkArgs = {
    _inc?: InputMaybe<Contract_Type_Inc_Input>;
    _set?: InputMaybe<Contract_Type_Set_Input>;
    pk_columns: Contract_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Contract_Type_ManyArgs = {
    updates: Array<Contract_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_CurrencyArgs = {
    _inc?: InputMaybe<Currency_Inc_Input>;
    _set?: InputMaybe<Currency_Set_Input>;
    where: Currency_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_By_PkArgs = {
    _inc?: InputMaybe<Currency_Inc_Input>;
    _set?: InputMaybe<Currency_Set_Input>;
    pk_columns: Currency_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_ExchangeArgs = {
    _inc?: InputMaybe<Currency_Exchange_Inc_Input>;
    _set?: InputMaybe<Currency_Exchange_Set_Input>;
    where: Currency_Exchange_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_Exchange_By_PkArgs = {
    _inc?: InputMaybe<Currency_Exchange_Inc_Input>;
    _set?: InputMaybe<Currency_Exchange_Set_Input>;
    pk_columns: Currency_Exchange_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_Exchange_ManyArgs = {
    updates: Array<Currency_Exchange_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_ManyArgs = {
    updates: Array<Currency_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_TypeArgs = {
    _inc?: InputMaybe<Currency_Type_Inc_Input>;
    _set?: InputMaybe<Currency_Type_Set_Input>;
    where: Currency_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_Type_By_PkArgs = {
    _inc?: InputMaybe<Currency_Type_Inc_Input>;
    _set?: InputMaybe<Currency_Type_Set_Input>;
    pk_columns: Currency_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_Type_ManyArgs = {
    updates: Array<Currency_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Desktop_TypeArgs = {
    _inc?: InputMaybe<Desktop_Type_Inc_Input>;
    _set?: InputMaybe<Desktop_Type_Set_Input>;
    where: Desktop_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Desktop_Type_By_PkArgs = {
    _inc?: InputMaybe<Desktop_Type_Inc_Input>;
    _set?: InputMaybe<Desktop_Type_Set_Input>;
    pk_columns: Desktop_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Desktop_Type_ManyArgs = {
    updates: Array<Desktop_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_EntrypointArgs = {
    _inc?: InputMaybe<Entrypoint_Inc_Input>;
    _set?: InputMaybe<Entrypoint_Set_Input>;
    where: Entrypoint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Entrypoint_By_PkArgs = {
    _inc?: InputMaybe<Entrypoint_Inc_Input>;
    _set?: InputMaybe<Entrypoint_Set_Input>;
    pk_columns: Entrypoint_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Entrypoint_ManyArgs = {
    updates: Array<Entrypoint_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_EvaluatorArgs = {
    _inc?: InputMaybe<Evaluator_Inc_Input>;
    _set?: InputMaybe<Evaluator_Set_Input>;
    where: Evaluator_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Evaluator_By_PkArgs = {
    _inc?: InputMaybe<Evaluator_Inc_Input>;
    _set?: InputMaybe<Evaluator_Set_Input>;
    pk_columns: Evaluator_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Evaluator_ManyArgs = {
    updates: Array<Evaluator_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ExampleArgs = {
    _inc?: InputMaybe<Example_Inc_Input>;
    _set?: InputMaybe<Example_Set_Input>;
    where: Example_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Example_By_PkArgs = {
    _inc?: InputMaybe<Example_Inc_Input>;
    _set?: InputMaybe<Example_Set_Input>;
    pk_columns: Example_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Example_ManyArgs = {
    updates: Array<Example_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Example_TypeArgs = {
    _inc?: InputMaybe<Example_Type_Inc_Input>;
    _set?: InputMaybe<Example_Type_Set_Input>;
    where: Example_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Example_Type_By_PkArgs = {
    _inc?: InputMaybe<Example_Type_Inc_Input>;
    _set?: InputMaybe<Example_Type_Set_Input>;
    pk_columns: Example_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Example_Type_ManyArgs = {
    updates: Array<Example_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Exhibition_DeterminantArgs = {
    _inc?: InputMaybe<Exhibition_Determinant_Inc_Input>;
    _set?: InputMaybe<Exhibition_Determinant_Set_Input>;
    where: Exhibition_Determinant_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Exhibition_Determinant_By_PkArgs = {
    _inc?: InputMaybe<Exhibition_Determinant_Inc_Input>;
    _set?: InputMaybe<Exhibition_Determinant_Set_Input>;
    pk_columns: Exhibition_Determinant_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Exhibition_Determinant_ManyArgs = {
    updates: Array<Exhibition_Determinant_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_FlagArgs = {
    _inc?: InputMaybe<Flag_Inc_Input>;
    _set?: InputMaybe<Flag_Set_Input>;
    where: Flag_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Flag_By_PkArgs = {
    _inc?: InputMaybe<Flag_Inc_Input>;
    _set?: InputMaybe<Flag_Set_Input>;
    pk_columns: Flag_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Flag_ManyArgs = {
    updates: Array<Flag_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Flag_TypeArgs = {
    _inc?: InputMaybe<Flag_Type_Inc_Input>;
    _set?: InputMaybe<Flag_Type_Set_Input>;
    where: Flag_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Flag_Type_By_PkArgs = {
    _inc?: InputMaybe<Flag_Type_Inc_Input>;
    _set?: InputMaybe<Flag_Type_Set_Input>;
    pk_columns: Flag_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Flag_Type_ManyArgs = {
    updates: Array<Flag_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_GameArgs = {
    _inc?: InputMaybe<Game_Inc_Input>;
    _set?: InputMaybe<Game_Set_Input>;
    where: Game_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_ActionArgs = {
    _inc?: InputMaybe<Game_Action_Inc_Input>;
    _set?: InputMaybe<Game_Action_Set_Input>;
    where: Game_Action_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Action_By_PkArgs = {
    _inc?: InputMaybe<Game_Action_Inc_Input>;
    _set?: InputMaybe<Game_Action_Set_Input>;
    pk_columns: Game_Action_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Action_ManyArgs = {
    updates: Array<Game_Action_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_By_PkArgs = {
    _inc?: InputMaybe<Game_Inc_Input>;
    _set?: InputMaybe<Game_Set_Input>;
    pk_columns: Game_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_DesignArgs = {
    _inc?: InputMaybe<Game_Design_Inc_Input>;
    _set?: InputMaybe<Game_Design_Set_Input>;
    where: Game_Design_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Design_By_PkArgs = {
    _inc?: InputMaybe<Game_Design_Inc_Input>;
    _set?: InputMaybe<Game_Design_Set_Input>;
    pk_columns: Game_Design_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Design_ManyArgs = {
    updates: Array<Game_Design_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_GroupArgs = {
    _inc?: InputMaybe<Game_Group_Inc_Input>;
    _set?: InputMaybe<Game_Group_Set_Input>;
    where: Game_Group_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Group_By_PkArgs = {
    _inc?: InputMaybe<Game_Group_Inc_Input>;
    _set?: InputMaybe<Game_Group_Set_Input>;
    pk_columns: Game_Group_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Group_ManyArgs = {
    updates: Array<Game_Group_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_HunterArgs = {
    _inc?: InputMaybe<Game_Hunter_Inc_Input>;
    _set?: InputMaybe<Game_Hunter_Set_Input>;
    where: Game_Hunter_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Hunter_By_PkArgs = {
    _inc?: InputMaybe<Game_Hunter_Inc_Input>;
    _set?: InputMaybe<Game_Hunter_Set_Input>;
    pk_columns: Game_Hunter_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Hunter_ManyArgs = {
    updates: Array<Game_Hunter_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_ManagementArgs = {
    _inc?: InputMaybe<Game_Management_Inc_Input>;
    _set?: InputMaybe<Game_Management_Set_Input>;
    where: Game_Management_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Management_By_PkArgs = {
    _inc?: InputMaybe<Game_Management_Inc_Input>;
    _set?: InputMaybe<Game_Management_Set_Input>;
    pk_columns: Game_Management_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Management_ManyArgs = {
    updates: Array<Game_Management_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_ManyArgs = {
    updates: Array<Game_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_OperatorsArgs = {
    _inc?: InputMaybe<Game_Operators_Inc_Input>;
    _set?: InputMaybe<Game_Operators_Set_Input>;
    where: Game_Operators_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Operators_By_PkArgs = {
    _inc?: InputMaybe<Game_Operators_Inc_Input>;
    _set?: InputMaybe<Game_Operators_Set_Input>;
    pk_columns: Game_Operators_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Operators_ManyArgs = {
    updates: Array<Game_Operators_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_RecordArgs = {
    _inc?: InputMaybe<Game_Record_Inc_Input>;
    _set?: InputMaybe<Game_Record_Set_Input>;
    where: Game_Record_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Record_By_PkArgs = {
    _inc?: InputMaybe<Game_Record_Inc_Input>;
    _set?: InputMaybe<Game_Record_Set_Input>;
    pk_columns: Game_Record_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Record_ManyArgs = {
    updates: Array<Game_Record_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_RequirementArgs = {
    _inc?: InputMaybe<Game_Requirement_Inc_Input>;
    _set?: InputMaybe<Game_Requirement_Set_Input>;
    where: Game_Requirement_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Requirement_By_PkArgs = {
    _inc?: InputMaybe<Game_Requirement_Inc_Input>;
    _set?: InputMaybe<Game_Requirement_Set_Input>;
    pk_columns: Game_Requirement_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Requirement_ManyArgs = {
    updates: Array<Game_Requirement_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_State_TypeArgs = {
    _inc?: InputMaybe<Game_State_Type_Inc_Input>;
    _set?: InputMaybe<Game_State_Type_Set_Input>;
    where: Game_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_State_Type_By_PkArgs = {
    _inc?: InputMaybe<Game_State_Type_Inc_Input>;
    _set?: InputMaybe<Game_State_Type_Set_Input>;
    pk_columns: Game_State_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_State_Type_ManyArgs = {
    updates: Array<Game_State_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_WinnerArgs = {
    _inc?: InputMaybe<Game_Winner_Inc_Input>;
    _set?: InputMaybe<Game_Winner_Set_Input>;
    where: Game_Winner_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Winner_By_PkArgs = {
    _inc?: InputMaybe<Game_Winner_Inc_Input>;
    _set?: InputMaybe<Game_Winner_Set_Input>;
    pk_columns: Game_Winner_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Winner_ManyArgs = {
    updates: Array<Game_Winner_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Games_LocusArgs = {
    _inc?: InputMaybe<Games_Locus_Inc_Input>;
    _set?: InputMaybe<Games_Locus_Set_Input>;
    where: Games_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Games_Locus_By_PkArgs = {
    _inc?: InputMaybe<Games_Locus_Inc_Input>;
    _set?: InputMaybe<Games_Locus_Set_Input>;
    pk_columns: Games_Locus_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Games_Locus_ManyArgs = {
    updates: Array<Games_Locus_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_GiftArgs = {
    _inc?: InputMaybe<Gift_Inc_Input>;
    _set?: InputMaybe<Gift_Set_Input>;
    where: Gift_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Gift_By_PkArgs = {
    _inc?: InputMaybe<Gift_Inc_Input>;
    _set?: InputMaybe<Gift_Set_Input>;
    pk_columns: Gift_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Gift_ManyArgs = {
    updates: Array<Gift_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_GoodsArgs = {
    _inc?: InputMaybe<Goods_Inc_Input>;
    _set?: InputMaybe<Goods_Set_Input>;
    where: Goods_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Goods_By_PkArgs = {
    _inc?: InputMaybe<Goods_Inc_Input>;
    _set?: InputMaybe<Goods_Set_Input>;
    pk_columns: Goods_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Goods_ManyArgs = {
    updates: Array<Goods_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Hier_TypeArgs = {
    _inc?: InputMaybe<Hier_Type_Inc_Input>;
    _set?: InputMaybe<Hier_Type_Set_Input>;
    where: Hier_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Hier_Type_By_PkArgs = {
    _inc?: InputMaybe<Hier_Type_Inc_Input>;
    _set?: InputMaybe<Hier_Type_Set_Input>;
    pk_columns: Hier_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Hier_Type_ManyArgs = {
    updates: Array<Hier_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_IncognitoArgs = {
    _inc?: InputMaybe<Incognito_Inc_Input>;
    _set?: InputMaybe<Incognito_Set_Input>;
    where: Incognito_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Incognito_By_PkArgs = {
    _inc?: InputMaybe<Incognito_Inc_Input>;
    _set?: InputMaybe<Incognito_Set_Input>;
    pk_columns: Incognito_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Incognito_ManyArgs = {
    updates: Array<Incognito_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_InscriptionArgs = {
    _inc?: InputMaybe<Inscription_Inc_Input>;
    _set?: InputMaybe<Inscription_Set_Input>;
    where: Inscription_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Inscription_By_PkArgs = {
    _inc?: InputMaybe<Inscription_Inc_Input>;
    _set?: InputMaybe<Inscription_Set_Input>;
    pk_columns: Inscription_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Inscription_ManyArgs = {
    updates: Array<Inscription_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Interface_TypeArgs = {
    _inc?: InputMaybe<Interface_Type_Inc_Input>;
    _set?: InputMaybe<Interface_Type_Set_Input>;
    where: Interface_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Interface_Type_By_PkArgs = {
    _inc?: InputMaybe<Interface_Type_Inc_Input>;
    _set?: InputMaybe<Interface_Type_Set_Input>;
    pk_columns: Interface_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Interface_Type_ManyArgs = {
    updates: Array<Interface_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_JudgeArgs = {
    _inc?: InputMaybe<Judge_Inc_Input>;
    _set?: InputMaybe<Judge_Set_Input>;
    where: Judge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_By_PkArgs = {
    _inc?: InputMaybe<Judge_Inc_Input>;
    _set?: InputMaybe<Judge_Set_Input>;
    pk_columns: Judge_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Display_TypeArgs = {
    _inc?: InputMaybe<Judge_Display_Type_Inc_Input>;
    _set?: InputMaybe<Judge_Display_Type_Set_Input>;
    where: Judge_Display_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Display_Type_By_PkArgs = {
    _inc?: InputMaybe<Judge_Display_Type_Inc_Input>;
    _set?: InputMaybe<Judge_Display_Type_Set_Input>;
    pk_columns: Judge_Display_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Display_Type_ManyArgs = {
    updates: Array<Judge_Display_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_EntryArgs = {
    _inc?: InputMaybe<Judge_Entry_Inc_Input>;
    _set?: InputMaybe<Judge_Entry_Set_Input>;
    where: Judge_Entry_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Entry_By_PkArgs = {
    _inc?: InputMaybe<Judge_Entry_Inc_Input>;
    _set?: InputMaybe<Judge_Entry_Set_Input>;
    pk_columns: Judge_Entry_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Entry_ManyArgs = {
    updates: Array<Judge_Entry_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_ManyArgs = {
    updates: Array<Judge_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Role_TypeArgs = {
    _inc?: InputMaybe<Judge_Role_Type_Inc_Input>;
    _set?: InputMaybe<Judge_Role_Type_Set_Input>;
    where: Judge_Role_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Role_Type_By_PkArgs = {
    _inc?: InputMaybe<Judge_Role_Type_Inc_Input>;
    _set?: InputMaybe<Judge_Role_Type_Set_Input>;
    pk_columns: Judge_Role_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Role_Type_ManyArgs = {
    updates: Array<Judge_Role_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_KairosArgs = {
    _inc?: InputMaybe<Kairos_Inc_Input>;
    _set?: InputMaybe<Kairos_Set_Input>;
    where: Kairos_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Kairos_By_PkArgs = {
    _inc?: InputMaybe<Kairos_Inc_Input>;
    _set?: InputMaybe<Kairos_Set_Input>;
    pk_columns: Kairos_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Kairos_ManyArgs = {
    updates: Array<Kairos_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Keyword_DescriptionArgs = {
    _inc?: InputMaybe<Keyword_Description_Inc_Input>;
    _set?: InputMaybe<Keyword_Description_Set_Input>;
    where: Keyword_Description_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Keyword_Description_By_PkArgs = {
    _inc?: InputMaybe<Keyword_Description_Inc_Input>;
    _set?: InputMaybe<Keyword_Description_Set_Input>;
    pk_columns: Keyword_Description_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Keyword_Description_ManyArgs = {
    updates: Array<Keyword_Description_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_LanguageArgs = {
    _set?: InputMaybe<Language_Set_Input>;
    where: Language_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Language_By_PkArgs = {
    _set?: InputMaybe<Language_Set_Input>;
    pk_columns: Language_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Language_ManyArgs = {
    updates: Array<Language_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_LocationArgs = {
    _inc?: InputMaybe<Location_Inc_Input>;
    _set?: InputMaybe<Location_Set_Input>;
    where: Location_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Location_By_PkArgs = {
    _inc?: InputMaybe<Location_Inc_Input>;
    _set?: InputMaybe<Location_Set_Input>;
    pk_columns: Location_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Location_ManyArgs = {
    updates: Array<Location_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_LocusArgs = {
    _inc?: InputMaybe<Locus_Inc_Input>;
    _set?: InputMaybe<Locus_Set_Input>;
    where: Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_By_PkArgs = {
    _inc?: InputMaybe<Locus_Inc_Input>;
    _set?: InputMaybe<Locus_Set_Input>;
    pk_columns: Locus_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_ImitateArgs = {
    _inc?: InputMaybe<Locus_Imitate_Inc_Input>;
    _set?: InputMaybe<Locus_Imitate_Set_Input>;
    where: Locus_Imitate_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Imitate_By_PkArgs = {
    _inc?: InputMaybe<Locus_Imitate_Inc_Input>;
    _set?: InputMaybe<Locus_Imitate_Set_Input>;
    pk_columns: Locus_Imitate_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Imitate_ManyArgs = {
    updates: Array<Locus_Imitate_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_ManyArgs = {
    updates: Array<Locus_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_MemberArgs = {
    _inc?: InputMaybe<Locus_Member_Inc_Input>;
    _set?: InputMaybe<Locus_Member_Set_Input>;
    where: Locus_Member_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Member_By_PkArgs = {
    _inc?: InputMaybe<Locus_Member_Inc_Input>;
    _set?: InputMaybe<Locus_Member_Set_Input>;
    pk_columns: Locus_Member_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Member_ManyArgs = {
    updates: Array<Locus_Member_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Operation_TypeArgs = {
    _inc?: InputMaybe<Locus_Operation_Type_Inc_Input>;
    _set?: InputMaybe<Locus_Operation_Type_Set_Input>;
    where: Locus_Operation_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Operation_Type_By_PkArgs = {
    _inc?: InputMaybe<Locus_Operation_Type_Inc_Input>;
    _set?: InputMaybe<Locus_Operation_Type_Set_Input>;
    pk_columns: Locus_Operation_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Operation_Type_ManyArgs = {
    updates: Array<Locus_Operation_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_PolicyArgs = {
    _inc?: InputMaybe<Locus_Policy_Inc_Input>;
    _set?: InputMaybe<Locus_Policy_Set_Input>;
    where: Locus_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Policy_By_PkArgs = {
    _inc?: InputMaybe<Locus_Policy_Inc_Input>;
    _set?: InputMaybe<Locus_Policy_Set_Input>;
    pk_columns: Locus_Policy_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Policy_ManyArgs = {
    updates: Array<Locus_Policy_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_StateArgs = {
    _inc?: InputMaybe<Locus_State_Inc_Input>;
    _set?: InputMaybe<Locus_State_Set_Input>;
    where: Locus_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_State_By_PkArgs = {
    _inc?: InputMaybe<Locus_State_Inc_Input>;
    _set?: InputMaybe<Locus_State_Set_Input>;
    pk_columns: Locus_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_State_ManyArgs = {
    updates: Array<Locus_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_ThemeArgs = {
    _inc?: InputMaybe<Locus_Theme_Inc_Input>;
    _set?: InputMaybe<Locus_Theme_Set_Input>;
    where: Locus_Theme_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Theme_By_PkArgs = {
    _inc?: InputMaybe<Locus_Theme_Inc_Input>;
    _set?: InputMaybe<Locus_Theme_Set_Input>;
    pk_columns: Locus_Theme_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Theme_ManyArgs = {
    updates: Array<Locus_Theme_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_TypeArgs = {
    _inc?: InputMaybe<Locus_Type_Inc_Input>;
    _set?: InputMaybe<Locus_Type_Set_Input>;
    where: Locus_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Type_By_PkArgs = {
    _inc?: InputMaybe<Locus_Type_Inc_Input>;
    _set?: InputMaybe<Locus_Type_Set_Input>;
    pk_columns: Locus_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Type_ManyArgs = {
    updates: Array<Locus_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_MapArgs = {
    _inc?: InputMaybe<Map_Inc_Input>;
    _set?: InputMaybe<Map_Set_Input>;
    where: Map_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_By_PkArgs = {
    _inc?: InputMaybe<Map_Inc_Input>;
    _set?: InputMaybe<Map_Set_Input>;
    pk_columns: Map_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Condition_TypeArgs = {
    _inc?: InputMaybe<Map_Condition_Type_Inc_Input>;
    _set?: InputMaybe<Map_Condition_Type_Set_Input>;
    where: Map_Condition_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Condition_Type_By_PkArgs = {
    _inc?: InputMaybe<Map_Condition_Type_Inc_Input>;
    _set?: InputMaybe<Map_Condition_Type_Set_Input>;
    pk_columns: Map_Condition_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Condition_Type_ManyArgs = {
    updates: Array<Map_Condition_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_EffectArgs = {
    _inc?: InputMaybe<Map_Effect_Inc_Input>;
    _set?: InputMaybe<Map_Effect_Set_Input>;
    where: Map_Effect_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Effect_By_PkArgs = {
    _inc?: InputMaybe<Map_Effect_Inc_Input>;
    _set?: InputMaybe<Map_Effect_Set_Input>;
    pk_columns: Map_Effect_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Effect_ManyArgs = {
    updates: Array<Map_Effect_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Effect_TypeArgs = {
    _inc?: InputMaybe<Map_Effect_Type_Inc_Input>;
    _set?: InputMaybe<Map_Effect_Type_Set_Input>;
    where: Map_Effect_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Effect_Type_By_PkArgs = {
    _inc?: InputMaybe<Map_Effect_Type_Inc_Input>;
    _set?: InputMaybe<Map_Effect_Type_Set_Input>;
    pk_columns: Map_Effect_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Effect_Type_ManyArgs = {
    updates: Array<Map_Effect_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_ItemArgs = {
    _inc?: InputMaybe<Map_Item_Inc_Input>;
    _set?: InputMaybe<Map_Item_Set_Input>;
    where: Map_Item_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_AnimationArgs = {
    _inc?: InputMaybe<Map_Item_Animation_Inc_Input>;
    _set?: InputMaybe<Map_Item_Animation_Set_Input>;
    where: Map_Item_Animation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_Animation_By_PkArgs = {
    _inc?: InputMaybe<Map_Item_Animation_Inc_Input>;
    _set?: InputMaybe<Map_Item_Animation_Set_Input>;
    pk_columns: Map_Item_Animation_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_Animation_ManyArgs = {
    updates: Array<Map_Item_Animation_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_By_PkArgs = {
    _inc?: InputMaybe<Map_Item_Inc_Input>;
    _set?: InputMaybe<Map_Item_Set_Input>;
    pk_columns: Map_Item_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_ManyArgs = {
    updates: Array<Map_Item_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_StateArgs = {
    _inc?: InputMaybe<Map_Item_State_Inc_Input>;
    _set?: InputMaybe<Map_Item_State_Set_Input>;
    where: Map_Item_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_State_By_PkArgs = {
    _inc?: InputMaybe<Map_Item_State_Inc_Input>;
    _set?: InputMaybe<Map_Item_State_Set_Input>;
    pk_columns: Map_Item_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_State_ManyArgs = {
    updates: Array<Map_Item_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_ManyArgs = {
    updates: Array<Map_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Medium_TypeArgs = {
    _inc?: InputMaybe<Medium_Type_Inc_Input>;
    _set?: InputMaybe<Medium_Type_Set_Input>;
    where: Medium_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Medium_Type_By_PkArgs = {
    _inc?: InputMaybe<Medium_Type_Inc_Input>;
    _set?: InputMaybe<Medium_Type_Set_Input>;
    pk_columns: Medium_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Medium_Type_ManyArgs = {
    updates: Array<Medium_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_MegaphoneArgs = {
    _inc?: InputMaybe<Megaphone_Inc_Input>;
    _set?: InputMaybe<Megaphone_Set_Input>;
    where: Megaphone_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Megaphone_By_PkArgs = {
    _inc?: InputMaybe<Megaphone_Inc_Input>;
    _set?: InputMaybe<Megaphone_Set_Input>;
    pk_columns: Megaphone_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Megaphone_ManyArgs = {
    updates: Array<Megaphone_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_MessageArgs = {
    _inc?: InputMaybe<Message_Inc_Input>;
    _set?: InputMaybe<Message_Set_Input>;
    where: Message_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Message_By_PkArgs = {
    _inc?: InputMaybe<Message_Inc_Input>;
    _set?: InputMaybe<Message_Set_Input>;
    pk_columns: Message_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Message_ManyArgs = {
    updates: Array<Message_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_MoldArgs = {
    _inc?: InputMaybe<Mold_Inc_Input>;
    _set?: InputMaybe<Mold_Set_Input>;
    where: Mold_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Mold_BlueprintArgs = {
    _inc?: InputMaybe<Mold_Blueprint_Inc_Input>;
    _set?: InputMaybe<Mold_Blueprint_Set_Input>;
    where: Mold_Blueprint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Mold_Blueprint_By_PkArgs = {
    _inc?: InputMaybe<Mold_Blueprint_Inc_Input>;
    _set?: InputMaybe<Mold_Blueprint_Set_Input>;
    pk_columns: Mold_Blueprint_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Mold_Blueprint_ManyArgs = {
    updates: Array<Mold_Blueprint_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Mold_By_PkArgs = {
    _inc?: InputMaybe<Mold_Inc_Input>;
    _set?: InputMaybe<Mold_Set_Input>;
    pk_columns: Mold_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Mold_ManyArgs = {
    updates: Array<Mold_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Morsel_TypeArgs = {
    _inc?: InputMaybe<Morsel_Type_Inc_Input>;
    _set?: InputMaybe<Morsel_Type_Set_Input>;
    where: Morsel_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Morsel_Type_By_PkArgs = {
    _inc?: InputMaybe<Morsel_Type_Inc_Input>;
    _set?: InputMaybe<Morsel_Type_Set_Input>;
    pk_columns: Morsel_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Morsel_Type_ManyArgs = {
    updates: Array<Morsel_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_OperationArgs = {
    _inc?: InputMaybe<Operation_Inc_Input>;
    _set?: InputMaybe<Operation_Set_Input>;
    where: Operation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_By_PkArgs = {
    _inc?: InputMaybe<Operation_Inc_Input>;
    _set?: InputMaybe<Operation_Set_Input>;
    pk_columns: Operation_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Maintain_TypeArgs = {
    _inc?: InputMaybe<Operation_Maintain_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Maintain_Type_Set_Input>;
    where: Operation_Maintain_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Maintain_Type_By_PkArgs = {
    _inc?: InputMaybe<Operation_Maintain_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Maintain_Type_Set_Input>;
    pk_columns: Operation_Maintain_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Maintain_Type_ManyArgs = {
    updates: Array<Operation_Maintain_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_ManyArgs = {
    updates: Array<Operation_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_OperatorArgs = {
    _inc?: InputMaybe<Operation_Operator_Inc_Input>;
    _set?: InputMaybe<Operation_Operator_Set_Input>;
    where: Operation_Operator_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Operator_By_PkArgs = {
    _inc?: InputMaybe<Operation_Operator_Inc_Input>;
    _set?: InputMaybe<Operation_Operator_Set_Input>;
    pk_columns: Operation_Operator_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Operator_ManyArgs = {
    updates: Array<Operation_Operator_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Setting_TypeArgs = {
    _inc?: InputMaybe<Operation_Setting_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Setting_Type_Set_Input>;
    where: Operation_Setting_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Setting_Type_By_PkArgs = {
    _inc?: InputMaybe<Operation_Setting_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Setting_Type_Set_Input>;
    pk_columns: Operation_Setting_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Setting_Type_ManyArgs = {
    updates: Array<Operation_Setting_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_StateArgs = {
    _inc?: InputMaybe<Operation_State_Inc_Input>;
    _set?: InputMaybe<Operation_State_Set_Input>;
    where: Operation_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_State_By_PkArgs = {
    _inc?: InputMaybe<Operation_State_Inc_Input>;
    _set?: InputMaybe<Operation_State_Set_Input>;
    pk_columns: Operation_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_State_ManyArgs = {
    updates: Array<Operation_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_TypeArgs = {
    _inc?: InputMaybe<Operation_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Type_Set_Input>;
    where: Operation_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Type_By_PkArgs = {
    _inc?: InputMaybe<Operation_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Type_Set_Input>;
    pk_columns: Operation_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Type_ManyArgs = {
    updates: Array<Operation_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operator_State_TypeArgs = {
    _inc?: InputMaybe<Operator_State_Type_Inc_Input>;
    _set?: InputMaybe<Operator_State_Type_Set_Input>;
    where: Operator_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operator_State_Type_By_PkArgs = {
    _inc?: InputMaybe<Operator_State_Type_Inc_Input>;
    _set?: InputMaybe<Operator_State_Type_Set_Input>;
    pk_columns: Operator_State_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operator_State_Type_ManyArgs = {
    updates: Array<Operator_State_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_PieceArgs = {
    _inc?: InputMaybe<Piece_Inc_Input>;
    _set?: InputMaybe<Piece_Set_Input>;
    where: Piece_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_By_PkArgs = {
    _inc?: InputMaybe<Piece_Inc_Input>;
    _set?: InputMaybe<Piece_Set_Input>;
    pk_columns: Piece_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_LocusArgs = {
    _inc?: InputMaybe<Piece_Locus_Inc_Input>;
    _set?: InputMaybe<Piece_Locus_Set_Input>;
    where: Piece_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_Locus_By_PkArgs = {
    _inc?: InputMaybe<Piece_Locus_Inc_Input>;
    _set?: InputMaybe<Piece_Locus_Set_Input>;
    pk_columns: Piece_Locus_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_Locus_ManyArgs = {
    updates: Array<Piece_Locus_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_ManyArgs = {
    updates: Array<Piece_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_TypeArgs = {
    _inc?: InputMaybe<Piece_Type_Inc_Input>;
    _set?: InputMaybe<Piece_Type_Set_Input>;
    where: Piece_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_Type_By_PkArgs = {
    _inc?: InputMaybe<Piece_Type_Inc_Input>;
    _set?: InputMaybe<Piece_Type_Set_Input>;
    pk_columns: Piece_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_Type_ManyArgs = {
    updates: Array<Piece_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_PostArgs = {
    _inc?: InputMaybe<Post_Inc_Input>;
    _set?: InputMaybe<Post_Set_Input>;
    where: Post_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Post_By_PkArgs = {
    _inc?: InputMaybe<Post_Inc_Input>;
    _set?: InputMaybe<Post_Set_Input>;
    pk_columns: Post_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Post_EvaluationArgs = {
    _inc?: InputMaybe<Post_Evaluation_Inc_Input>;
    _set?: InputMaybe<Post_Evaluation_Set_Input>;
    where: Post_Evaluation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Post_Evaluation_By_PkArgs = {
    _inc?: InputMaybe<Post_Evaluation_Inc_Input>;
    _set?: InputMaybe<Post_Evaluation_Set_Input>;
    pk_columns: Post_Evaluation_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Post_Evaluation_ManyArgs = {
    updates: Array<Post_Evaluation_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Post_ManyArgs = {
    updates: Array<Post_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_PreferenceArgs = {
    _inc?: InputMaybe<Preference_Inc_Input>;
    _set?: InputMaybe<Preference_Set_Input>;
    where: Preference_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Preference_ManyArgs = {
    updates: Array<Preference_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ProductArgs = {
    _inc?: InputMaybe<Product_Inc_Input>;
    _set?: InputMaybe<Product_Set_Input>;
    where: Product_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Product_By_PkArgs = {
    _inc?: InputMaybe<Product_Inc_Input>;
    _set?: InputMaybe<Product_Set_Input>;
    pk_columns: Product_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Product_ManyArgs = {
    updates: Array<Product_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ProfileArgs = {
    _inc?: InputMaybe<Profile_Inc_Input>;
    _set?: InputMaybe<Profile_Set_Input>;
    where: Profile_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Profile_ManyArgs = {
    updates: Array<Profile_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_PurchaseArgs = {
    _inc?: InputMaybe<Purchase_Inc_Input>;
    _set?: InputMaybe<Purchase_Set_Input>;
    where: Purchase_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Purchase_By_PkArgs = {
    _inc?: InputMaybe<Purchase_Inc_Input>;
    _set?: InputMaybe<Purchase_Set_Input>;
    pk_columns: Purchase_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Purchase_ManyArgs = {
    updates: Array<Purchase_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_QuestArgs = {
    _inc?: InputMaybe<Quest_Inc_Input>;
    _set?: InputMaybe<Quest_Set_Input>;
    where: Quest_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_AncestryArgs = {
    _inc?: InputMaybe<Quest_Ancestry_Inc_Input>;
    _set?: InputMaybe<Quest_Ancestry_Set_Input>;
    where: Quest_Ancestry_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_Ancestry_By_PkArgs = {
    _inc?: InputMaybe<Quest_Ancestry_Inc_Input>;
    _set?: InputMaybe<Quest_Ancestry_Set_Input>;
    pk_columns: Quest_Ancestry_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_Ancestry_ManyArgs = {
    updates: Array<Quest_Ancestry_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_By_PkArgs = {
    _inc?: InputMaybe<Quest_Inc_Input>;
    _set?: InputMaybe<Quest_Set_Input>;
    pk_columns: Quest_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_ManyArgs = {
    updates: Array<Quest_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_StateArgs = {
    _inc?: InputMaybe<Quest_State_Inc_Input>;
    _set?: InputMaybe<Quest_State_Set_Input>;
    where: Quest_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_State_By_PkArgs = {
    _inc?: InputMaybe<Quest_State_Inc_Input>;
    _set?: InputMaybe<Quest_State_Set_Input>;
    pk_columns: Quest_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_State_ManyArgs = {
    updates: Array<Quest_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_TypeArgs = {
    _inc?: InputMaybe<Quest_Type_Inc_Input>;
    _set?: InputMaybe<Quest_Type_Set_Input>;
    where: Quest_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_Type_By_PkArgs = {
    _inc?: InputMaybe<Quest_Type_Inc_Input>;
    _set?: InputMaybe<Quest_Type_Set_Input>;
    pk_columns: Quest_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_Type_ManyArgs = {
    updates: Array<Quest_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_PolicyArgs = {
    _inc?: InputMaybe<Resource_Policy_Inc_Input>;
    _set?: InputMaybe<Resource_Policy_Set_Input>;
    where: Resource_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_Policy_By_PkArgs = {
    _inc?: InputMaybe<Resource_Policy_Inc_Input>;
    _set?: InputMaybe<Resource_Policy_Set_Input>;
    pk_columns: Resource_Policy_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_Policy_ManyArgs = {
    updates: Array<Resource_Policy_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_PrivacyArgs = {
    _inc?: InputMaybe<Resource_Privacy_Inc_Input>;
    _set?: InputMaybe<Resource_Privacy_Set_Input>;
    where: Resource_Privacy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_Privacy_By_PkArgs = {
    _inc?: InputMaybe<Resource_Privacy_Inc_Input>;
    _set?: InputMaybe<Resource_Privacy_Set_Input>;
    pk_columns: Resource_Privacy_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_Privacy_ManyArgs = {
    updates: Array<Resource_Privacy_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_2dArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Cord_2d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Cord_2d_Set_Input>;
    where: Rooadmap_Gis_Cord_2d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_2d_By_PkArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Cord_2d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Cord_2d_Set_Input>;
    pk_columns: Rooadmap_Gis_Cord_2d_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_2d_ManyArgs = {
    updates: Array<Rooadmap_Gis_Cord_2d_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_3dArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Cord_3d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Cord_3d_Set_Input>;
    where: Rooadmap_Gis_Cord_3d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_3d_By_PkArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Cord_3d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Cord_3d_Set_Input>;
    pk_columns: Rooadmap_Gis_Cord_3d_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_3d_ManyArgs = {
    updates: Array<Rooadmap_Gis_Cord_3d_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_2dArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Location_2d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Location_2d_Set_Input>;
    where: Rooadmap_Gis_Location_2d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_2d_By_PkArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Location_2d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Location_2d_Set_Input>;
    pk_columns: Rooadmap_Gis_Location_2d_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_2d_ManyArgs = {
    updates: Array<Rooadmap_Gis_Location_2d_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_3dArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Location_3d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Location_3d_Set_Input>;
    where: Rooadmap_Gis_Location_3d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_3d_By_PkArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Location_3d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Location_3d_Set_Input>;
    pk_columns: Rooadmap_Gis_Location_3d_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_3d_ManyArgs = {
    updates: Array<Rooadmap_Gis_Location_3d_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Map_ItemArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Map_Item_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Map_Item_Set_Input>;
    where: Rooadmap_Gis_Map_Item_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Map_Item_By_PkArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Map_Item_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Map_Item_Set_Input>;
    pk_columns: Rooadmap_Gis_Map_Item_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Map_Item_ManyArgs = {
    updates: Array<Rooadmap_Gis_Map_Item_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_SegmentArgs = {
    _inc?: InputMaybe<Segment_Inc_Input>;
    _set?: InputMaybe<Segment_Set_Input>;
    where: Segment_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Segment_By_PkArgs = {
    _inc?: InputMaybe<Segment_Inc_Input>;
    _set?: InputMaybe<Segment_Set_Input>;
    pk_columns: Segment_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Segment_ExhibitionArgs = {
    _inc?: InputMaybe<Segment_Exhibition_Inc_Input>;
    _set?: InputMaybe<Segment_Exhibition_Set_Input>;
    where: Segment_Exhibition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Segment_Exhibition_By_PkArgs = {
    _inc?: InputMaybe<Segment_Exhibition_Inc_Input>;
    _set?: InputMaybe<Segment_Exhibition_Set_Input>;
    pk_columns: Segment_Exhibition_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Segment_Exhibition_ManyArgs = {
    updates: Array<Segment_Exhibition_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Segment_ManyArgs = {
    updates: Array<Segment_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_SellArgs = {
    _inc?: InputMaybe<Sell_Inc_Input>;
    _set?: InputMaybe<Sell_Set_Input>;
    where: Sell_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sell_By_PkArgs = {
    _inc?: InputMaybe<Sell_Inc_Input>;
    _set?: InputMaybe<Sell_Set_Input>;
    pk_columns: Sell_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sell_ManagementArgs = {
    _inc?: InputMaybe<Sell_Management_Inc_Input>;
    _set?: InputMaybe<Sell_Management_Set_Input>;
    where: Sell_Management_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sell_Management_By_PkArgs = {
    _inc?: InputMaybe<Sell_Management_Inc_Input>;
    _set?: InputMaybe<Sell_Management_Set_Input>;
    pk_columns: Sell_Management_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sell_Management_ManyArgs = {
    updates: Array<Sell_Management_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sell_ManyArgs = {
    updates: Array<Sell_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_SponsorshipArgs = {
    _inc?: InputMaybe<Sponsorship_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Set_Input>;
    where: Sponsorship_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Set_Input>;
    pk_columns: Sponsorship_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_ConditionArgs = {
    _inc?: InputMaybe<Sponsorship_Condition_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Condition_Set_Input>;
    where: Sponsorship_Condition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Condition_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Condition_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Condition_Set_Input>;
    pk_columns: Sponsorship_Condition_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Condition_ManyArgs = {
    updates: Array<Sponsorship_Condition_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_StateArgs = {
    _inc?: InputMaybe<Sponsorship_Game_State_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Game_State_Set_Input>;
    where: Sponsorship_Game_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_State_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Game_State_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Game_State_Set_Input>;
    pk_columns: Sponsorship_Game_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_State_ManyArgs = {
    updates: Array<Sponsorship_Game_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_State_TypeArgs = {
    _inc?: InputMaybe<Sponsorship_Game_State_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Game_State_Type_Set_Input>;
    where: Sponsorship_Game_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_State_Type_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Game_State_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Game_State_Type_Set_Input>;
    pk_columns: Sponsorship_Game_State_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_State_Type_ManyArgs = {
    updates: Array<Sponsorship_Game_State_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_ImagesArgs = {
    _inc?: InputMaybe<Sponsorship_Images_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Images_Set_Input>;
    where: Sponsorship_Images_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Images_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Images_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Images_Set_Input>;
    pk_columns: Sponsorship_Images_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Images_ManyArgs = {
    updates: Array<Sponsorship_Images_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_ImitateArgs = {
    _inc?: InputMaybe<Sponsorship_Imitate_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Imitate_Set_Input>;
    where: Sponsorship_Imitate_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Imitate_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Imitate_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Imitate_Set_Input>;
    pk_columns: Sponsorship_Imitate_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Imitate_ManyArgs = {
    updates: Array<Sponsorship_Imitate_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_LocusArgs = {
    _inc?: InputMaybe<Sponsorship_Locus_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Locus_Set_Input>;
    where: Sponsorship_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Locus_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Locus_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Locus_Set_Input>;
    pk_columns: Sponsorship_Locus_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Locus_ManyArgs = {
    updates: Array<Sponsorship_Locus_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_ManyArgs = {
    updates: Array<Sponsorship_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_RequirementArgs = {
    _inc?: InputMaybe<Sponsorship_Requirement_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Requirement_Set_Input>;
    where: Sponsorship_Requirement_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Requirement_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Requirement_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Requirement_Set_Input>;
    pk_columns: Sponsorship_Requirement_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Requirement_ManyArgs = {
    updates: Array<Sponsorship_Requirement_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Requirement_TypeArgs = {
    _inc?: InputMaybe<Sponsorship_Requirement_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Requirement_Type_Set_Input>;
    where: Sponsorship_Requirement_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Requirement_Type_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Requirement_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Requirement_Type_Set_Input>;
    pk_columns: Sponsorship_Requirement_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Requirement_Type_ManyArgs = {
    updates: Array<Sponsorship_Requirement_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Settlement_State_TypeArgs = {
    _inc?: InputMaybe<Sponsorship_Settlement_State_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Settlement_State_Type_Set_Input>;
    where: Sponsorship_Settlement_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Settlement_State_Type_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Settlement_State_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Settlement_State_Type_Set_Input>;
    pk_columns: Sponsorship_Settlement_State_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Settlement_State_Type_ManyArgs = {
    updates: Array<Sponsorship_Settlement_State_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_StateArgs = {
    _inc?: InputMaybe<Sponsorship_State_Inc_Input>;
    _set?: InputMaybe<Sponsorship_State_Set_Input>;
    where: Sponsorship_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_State_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_State_Inc_Input>;
    _set?: InputMaybe<Sponsorship_State_Set_Input>;
    pk_columns: Sponsorship_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_State_ManyArgs = {
    updates: Array<Sponsorship_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_TypeArgs = {
    _inc?: InputMaybe<Sponsorship_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Type_Set_Input>;
    where: Sponsorship_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Type_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Type_Set_Input>;
    pk_columns: Sponsorship_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Type_ManyArgs = {
    updates: Array<Sponsorship_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_SpotArgs = {
    _inc?: InputMaybe<Spot_Inc_Input>;
    _set?: InputMaybe<Spot_Set_Input>;
    where: Spot_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_By_PkArgs = {
    _inc?: InputMaybe<Spot_Inc_Input>;
    _set?: InputMaybe<Spot_Set_Input>;
    pk_columns: Spot_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_InscriptionArgs = {
    _inc?: InputMaybe<Spot_Inscription_Inc_Input>;
    _set?: InputMaybe<Spot_Inscription_Set_Input>;
    where: Spot_Inscription_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Inscription_By_PkArgs = {
    _inc?: InputMaybe<Spot_Inscription_Inc_Input>;
    _set?: InputMaybe<Spot_Inscription_Set_Input>;
    pk_columns: Spot_Inscription_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Inscription_ManyArgs = {
    updates: Array<Spot_Inscription_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_ManyArgs = {
    updates: Array<Spot_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_PolicyArgs = {
    _inc?: InputMaybe<Spot_Policy_Inc_Input>;
    _set?: InputMaybe<Spot_Policy_Set_Input>;
    where: Spot_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Policy_By_PkArgs = {
    _inc?: InputMaybe<Spot_Policy_Inc_Input>;
    _set?: InputMaybe<Spot_Policy_Set_Input>;
    pk_columns: Spot_Policy_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Policy_ManyArgs = {
    updates: Array<Spot_Policy_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_TypeArgs = {
    _inc?: InputMaybe<Spot_Type_Inc_Input>;
    _set?: InputMaybe<Spot_Type_Set_Input>;
    where: Spot_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Type_By_PkArgs = {
    _inc?: InputMaybe<Spot_Type_Inc_Input>;
    _set?: InputMaybe<Spot_Type_Set_Input>;
    pk_columns: Spot_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Type_ManyArgs = {
    updates: Array<Spot_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_UserArgs = {
    _inc?: InputMaybe<Spot_User_Inc_Input>;
    _set?: InputMaybe<Spot_User_Set_Input>;
    where: Spot_User_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_User_By_PkArgs = {
    _inc?: InputMaybe<Spot_User_Inc_Input>;
    _set?: InputMaybe<Spot_User_Set_Input>;
    pk_columns: Spot_User_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_User_ManyArgs = {
    updates: Array<Spot_User_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Target_View_TypeArgs = {
    _inc?: InputMaybe<Target_View_Type_Inc_Input>;
    _set?: InputMaybe<Target_View_Type_Set_Input>;
    where: Target_View_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Target_View_Type_By_PkArgs = {
    _inc?: InputMaybe<Target_View_Type_Inc_Input>;
    _set?: InputMaybe<Target_View_Type_Set_Input>;
    pk_columns: Target_View_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Target_View_Type_ManyArgs = {
    updates: Array<Target_View_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_TaskArgs = {
    _inc?: InputMaybe<Task_Inc_Input>;
    _set?: InputMaybe<Task_Set_Input>;
    where: Task_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Task_By_PkArgs = {
    _inc?: InputMaybe<Task_Inc_Input>;
    _set?: InputMaybe<Task_Set_Input>;
    pk_columns: Task_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Task_ManyArgs = {
    updates: Array<Task_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ThemeArgs = {
    _inc?: InputMaybe<Theme_Inc_Input>;
    _set?: InputMaybe<Theme_Set_Input>;
    where: Theme_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Theme_By_PkArgs = {
    _inc?: InputMaybe<Theme_Inc_Input>;
    _set?: InputMaybe<Theme_Set_Input>;
    pk_columns: Theme_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Theme_ManyArgs = {
    updates: Array<Theme_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Treasure_UserArgs = {
    _inc?: InputMaybe<Treasure_User_Inc_Input>;
    _set?: InputMaybe<Treasure_User_Set_Input>;
    where: Treasure_User_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Treasure_User_By_PkArgs = {
    _inc?: InputMaybe<Treasure_User_Inc_Input>;
    _set?: InputMaybe<Treasure_User_Set_Input>;
    pk_columns: Treasure_User_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Treasure_User_ManyArgs = {
    updates: Array<Treasure_User_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_UniverseArgs = {
    _inc?: InputMaybe<Universe_Inc_Input>;
    _set?: InputMaybe<Universe_Set_Input>;
    where: Universe_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_By_PkArgs = {
    _inc?: InputMaybe<Universe_Inc_Input>;
    _set?: InputMaybe<Universe_Set_Input>;
    pk_columns: Universe_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_ManyArgs = {
    updates: Array<Universe_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_MemberArgs = {
    _inc?: InputMaybe<Universe_Member_Inc_Input>;
    _set?: InputMaybe<Universe_Member_Set_Input>;
    where: Universe_Member_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Member_By_PkArgs = {
    _inc?: InputMaybe<Universe_Member_Inc_Input>;
    _set?: InputMaybe<Universe_Member_Set_Input>;
    pk_columns: Universe_Member_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Member_ManyArgs = {
    updates: Array<Universe_Member_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_PolicyArgs = {
    _inc?: InputMaybe<Universe_Policy_Inc_Input>;
    _set?: InputMaybe<Universe_Policy_Set_Input>;
    where: Universe_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Policy_By_PkArgs = {
    _inc?: InputMaybe<Universe_Policy_Inc_Input>;
    _set?: InputMaybe<Universe_Policy_Set_Input>;
    pk_columns: Universe_Policy_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Policy_ManyArgs = {
    updates: Array<Universe_Policy_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_ResourceArgs = {
    _inc?: InputMaybe<Universe_Resource_Inc_Input>;
    _set?: InputMaybe<Universe_Resource_Set_Input>;
    where: Universe_Resource_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Resource_By_PkArgs = {
    _inc?: InputMaybe<Universe_Resource_Inc_Input>;
    _set?: InputMaybe<Universe_Resource_Set_Input>;
    pk_columns: Universe_Resource_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Resource_ManyArgs = {
    updates: Array<Universe_Resource_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_StateArgs = {
    _inc?: InputMaybe<Universe_State_Inc_Input>;
    _set?: InputMaybe<Universe_State_Set_Input>;
    where: Universe_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_State_By_PkArgs = {
    _inc?: InputMaybe<Universe_State_Inc_Input>;
    _set?: InputMaybe<Universe_State_Set_Input>;
    pk_columns: Universe_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_State_ManyArgs = {
    updates: Array<Universe_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_UsersArgs = {
    _set?: InputMaybe<Users_Set_Input>;
    where: Users_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Users_By_PkArgs = {
    _set?: InputMaybe<Users_Set_Input>;
    pk_columns: Users_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Users_ManyArgs = {
    updates: Array<Users_Updates>;
};
/** Boolean expression to compare columns of type "numeric". All fields are combined with logical 'AND'. */
export type Numeric_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['numeric']>;
    _gt?: InputMaybe<Scalars['numeric']>;
    _gte?: InputMaybe<Scalars['numeric']>;
    _in?: InputMaybe<Array<Scalars['numeric']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['numeric']>;
    _lte?: InputMaybe<Scalars['numeric']>;
    _neq?: InputMaybe<Scalars['numeric']>;
    _nin?: InputMaybe<Array<Scalars['numeric']>>;
};
/** columns and relationships of "operation" */
export type Operation = {
    __typename?: 'operation';
    answer?: Maybe<Scalars['String']>;
    condition?: Maybe<Scalars['String']>;
    explanation?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_instant?: Maybe<Scalars['Boolean']>;
    /** An array relationship */
    locusImitates: Array<Locus_Imitate>;
    /** An aggregate relationship */
    locusImitates_aggregate: Locus_Imitate_Aggregate;
    /** An object relationship */
    operationType?: Maybe<Operation_Type>;
    operation_state_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    operators: Array<Operation_Operator>;
    /** An aggregate relationship */
    operators_aggregate: Operation_Operator_Aggregate;
    /** An object relationship */
    relatedPiece?: Maybe<Piece>;
    related_piece_hash?: Maybe<Scalars['String']>;
    /** An object relationship */
    state?: Maybe<Operation_State>;
};
/** columns and relationships of "operation" */
export type OperationLocusImitatesArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
/** columns and relationships of "operation" */
export type OperationLocusImitates_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
/** columns and relationships of "operation" */
export type OperationOperatorsArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
/** columns and relationships of "operation" */
export type OperationOperators_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
/** aggregated selection of "operation" */
export type Operation_Aggregate = {
    __typename?: 'operation_aggregate';
    aggregate?: Maybe<Operation_Aggregate_Fields>;
    nodes: Array<Operation>;
};
/** aggregate fields of "operation" */
export type Operation_Aggregate_Fields = {
    __typename?: 'operation_aggregate_fields';
    avg?: Maybe<Operation_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_Max_Fields>;
    min?: Maybe<Operation_Min_Fields>;
    stddev?: Maybe<Operation_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_Sum_Fields>;
    var_pop?: Maybe<Operation_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_Var_Samp_Fields>;
    variance?: Maybe<Operation_Variance_Fields>;
};
/** aggregate fields of "operation" */
export type Operation_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operation_Avg_Fields = {
    __typename?: 'operation_avg_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operation". All fields are combined with a logical 'AND'. */
export type Operation_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_Bool_Exp>>;
    _not?: InputMaybe<Operation_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_Bool_Exp>>;
    answer?: InputMaybe<String_Comparison_Exp>;
    condition?: InputMaybe<String_Comparison_Exp>;
    explanation?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_instant?: InputMaybe<Boolean_Comparison_Exp>;
    locusImitates?: InputMaybe<Locus_Imitate_Bool_Exp>;
    locusImitates_aggregate?: InputMaybe<Locus_Imitate_Aggregate_Bool_Exp>;
    operationType?: InputMaybe<Operation_Type_Bool_Exp>;
    operation_state_id?: InputMaybe<Int_Comparison_Exp>;
    operation_type_id?: InputMaybe<Int_Comparison_Exp>;
    operators?: InputMaybe<Operation_Operator_Bool_Exp>;
    operators_aggregate?: InputMaybe<Operation_Operator_Aggregate_Bool_Exp>;
    relatedPiece?: InputMaybe<Piece_Bool_Exp>;
    related_piece_hash?: InputMaybe<String_Comparison_Exp>;
    state?: InputMaybe<Operation_State_Bool_Exp>;
};
/** unique or primary key constraints on table "operation" */
export declare enum Operation_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperationPkey = "operation_pkey"
}
/** input type for incrementing numeric columns in table "operation" */
export type Operation_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    operation_state_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation" */
export type Operation_Insert_Input = {
    answer?: InputMaybe<Scalars['String']>;
    condition?: InputMaybe<Scalars['String']>;
    explanation?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    locusImitates?: InputMaybe<Locus_Imitate_Arr_Rel_Insert_Input>;
    operationType?: InputMaybe<Operation_Type_Obj_Rel_Insert_Input>;
    operation_state_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
    operators?: InputMaybe<Operation_Operator_Arr_Rel_Insert_Input>;
    relatedPiece?: InputMaybe<Piece_Obj_Rel_Insert_Input>;
    related_piece_hash?: InputMaybe<Scalars['String']>;
    state?: InputMaybe<Operation_State_Obj_Rel_Insert_Input>;
};
/** columns and relationships of "operation_maintain_type" */
export type Operation_Maintain_Type = {
    __typename?: 'operation_maintain_type';
    /** An object relationship */
    actionOnDestroyed?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnHoldFromIdle?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnHoldFromInspecting?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnHoldFromRecovering?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnIdleFromHold?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnIdleFromInspecting?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnIdleFromRecovering?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnInspectingFromHold?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnInspectingFromIdle?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnRecovering?: Maybe<Game_Action>;
    estimated_recover_hours?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    inspectionTerm?: Maybe<Kairos>;
    inspection_term_id?: Maybe<Scalars['Int']>;
    is_need_to_alarm_inspect?: Maybe<Scalars['Boolean']>;
    is_need_to_inspect?: Maybe<Scalars['Boolean']>;
    on_destroyed_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_recovering_game_action?: Maybe<Scalars['Int']>;
    required_operators_number?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "operation_maintain_type" */
export type Operation_Maintain_Type_Aggregate = {
    __typename?: 'operation_maintain_type_aggregate';
    aggregate?: Maybe<Operation_Maintain_Type_Aggregate_Fields>;
    nodes: Array<Operation_Maintain_Type>;
};
/** aggregate fields of "operation_maintain_type" */
export type Operation_Maintain_Type_Aggregate_Fields = {
    __typename?: 'operation_maintain_type_aggregate_fields';
    avg?: Maybe<Operation_Maintain_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_Maintain_Type_Max_Fields>;
    min?: Maybe<Operation_Maintain_Type_Min_Fields>;
    stddev?: Maybe<Operation_Maintain_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_Maintain_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_Maintain_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_Maintain_Type_Sum_Fields>;
    var_pop?: Maybe<Operation_Maintain_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_Maintain_Type_Var_Samp_Fields>;
    variance?: Maybe<Operation_Maintain_Type_Variance_Fields>;
};
/** aggregate fields of "operation_maintain_type" */
export type Operation_Maintain_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_Maintain_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operation_Maintain_Type_Avg_Fields = {
    __typename?: 'operation_maintain_type_avg_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operation_maintain_type". All fields are combined with a logical 'AND'. */
export type Operation_Maintain_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_Maintain_Type_Bool_Exp>>;
    _not?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_Maintain_Type_Bool_Exp>>;
    actionOnDestroyed?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnHoldFromIdle?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnHoldFromInspecting?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnHoldFromRecovering?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnIdleFromHold?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnIdleFromInspecting?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnIdleFromRecovering?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnInspectingFromHold?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnInspectingFromIdle?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnRecovering?: InputMaybe<Game_Action_Bool_Exp>;
    estimated_recover_hours?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    inspectionTerm?: InputMaybe<Kairos_Bool_Exp>;
    inspection_term_id?: InputMaybe<Int_Comparison_Exp>;
    is_need_to_alarm_inspect?: InputMaybe<Boolean_Comparison_Exp>;
    is_need_to_inspect?: InputMaybe<Boolean_Comparison_Exp>;
    on_destroyed_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_hold_from_idle_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_hold_from_inpecting_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_hold_from_recovering_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_idle_from_hold_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_idle_from_inspecting_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_idle_from_recovering_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_inspecting_from_hold_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_inspecting_from_idle_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_recovering_game_action?: InputMaybe<Int_Comparison_Exp>;
    required_operators_number?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "operation_maintain_type" */
export declare enum Operation_Maintain_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperationMaintainTypePkey = "operation_maintain_type_pkey"
}
/** input type for incrementing numeric columns in table "operation_maintain_type" */
export type Operation_Maintain_Type_Inc_Input = {
    estimated_recover_hours?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    inspection_term_id?: InputMaybe<Scalars['Int']>;
    on_destroyed_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_recovering_game_action?: InputMaybe<Scalars['Int']>;
    required_operators_number?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation_maintain_type" */
export type Operation_Maintain_Type_Insert_Input = {
    actionOnDestroyed?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnHoldFromIdle?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnHoldFromInspecting?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnHoldFromRecovering?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnIdleFromHold?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnIdleFromInspecting?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnIdleFromRecovering?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnInspectingFromHold?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnInspectingFromIdle?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnRecovering?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    estimated_recover_hours?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    inspectionTerm?: InputMaybe<Kairos_Obj_Rel_Insert_Input>;
    inspection_term_id?: InputMaybe<Scalars['Int']>;
    is_need_to_alarm_inspect?: InputMaybe<Scalars['Boolean']>;
    is_need_to_inspect?: InputMaybe<Scalars['Boolean']>;
    on_destroyed_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_recovering_game_action?: InputMaybe<Scalars['Int']>;
    required_operators_number?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Operation_Maintain_Type_Max_Fields = {
    __typename?: 'operation_maintain_type_max_fields';
    estimated_recover_hours?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    inspection_term_id?: Maybe<Scalars['Int']>;
    on_destroyed_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_recovering_game_action?: Maybe<Scalars['Int']>;
    required_operators_number?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Operation_Maintain_Type_Min_Fields = {
    __typename?: 'operation_maintain_type_min_fields';
    estimated_recover_hours?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    inspection_term_id?: Maybe<Scalars['Int']>;
    on_destroyed_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_recovering_game_action?: Maybe<Scalars['Int']>;
    required_operators_number?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "operation_maintain_type" */
export type Operation_Maintain_Type_Mutation_Response = {
    __typename?: 'operation_maintain_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation_Maintain_Type>;
};
/** input type for inserting object relation for remote table "operation_maintain_type" */
export type Operation_Maintain_Type_Obj_Rel_Insert_Input = {
    data: Operation_Maintain_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_Maintain_Type_On_Conflict>;
};
/** on_conflict condition type for table "operation_maintain_type" */
export type Operation_Maintain_Type_On_Conflict = {
    constraint: Operation_Maintain_Type_Constraint;
    update_columns?: Array<Operation_Maintain_Type_Update_Column>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "operation_maintain_type". */
export type Operation_Maintain_Type_Order_By = {
    actionOnDestroyed?: InputMaybe<Game_Action_Order_By>;
    actionOnHoldFromIdle?: InputMaybe<Game_Action_Order_By>;
    actionOnHoldFromInspecting?: InputMaybe<Game_Action_Order_By>;
    actionOnHoldFromRecovering?: InputMaybe<Game_Action_Order_By>;
    actionOnIdleFromHold?: InputMaybe<Game_Action_Order_By>;
    actionOnIdleFromInspecting?: InputMaybe<Game_Action_Order_By>;
    actionOnIdleFromRecovering?: InputMaybe<Game_Action_Order_By>;
    actionOnInspectingFromHold?: InputMaybe<Game_Action_Order_By>;
    actionOnInspectingFromIdle?: InputMaybe<Game_Action_Order_By>;
    actionOnRecovering?: InputMaybe<Game_Action_Order_By>;
    estimated_recover_hours?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    inspectionTerm?: InputMaybe<Kairos_Order_By>;
    inspection_term_id?: InputMaybe<Order_By>;
    is_need_to_alarm_inspect?: InputMaybe<Order_By>;
    is_need_to_inspect?: InputMaybe<Order_By>;
    on_destroyed_game_action?: InputMaybe<Order_By>;
    on_hold_from_idle_game_action?: InputMaybe<Order_By>;
    on_hold_from_inpecting_game_action?: InputMaybe<Order_By>;
    on_hold_from_recovering_game_action?: InputMaybe<Order_By>;
    on_idle_from_hold_game_action?: InputMaybe<Order_By>;
    on_idle_from_inspecting_game_action?: InputMaybe<Order_By>;
    on_idle_from_recovering_game_action?: InputMaybe<Order_By>;
    on_inspecting_from_hold_game_action?: InputMaybe<Order_By>;
    on_inspecting_from_idle_game_action?: InputMaybe<Order_By>;
    on_recovering_game_action?: InputMaybe<Order_By>;
    required_operators_number?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operation_maintain_type */
export type Operation_Maintain_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation_maintain_type" */
export declare enum Operation_Maintain_Type_Select_Column {
    /** column name */
    EstimatedRecoverHours = "estimated_recover_hours",
    /** column name */
    Id = "id",
    /** column name */
    InspectionTermId = "inspection_term_id",
    /** column name */
    IsNeedToAlarmInspect = "is_need_to_alarm_inspect",
    /** column name */
    IsNeedToInspect = "is_need_to_inspect",
    /** column name */
    OnDestroyedGameAction = "on_destroyed_game_action",
    /** column name */
    OnHoldFromIdleGameAction = "on_hold_from_idle_game_action",
    /** column name */
    OnHoldFromInpectingGameAction = "on_hold_from_inpecting_game_action",
    /** column name */
    OnHoldFromRecoveringGameAction = "on_hold_from_recovering_game_action",
    /** column name */
    OnIdleFromHoldGameAction = "on_idle_from_hold_game_action",
    /** column name */
    OnIdleFromInspectingGameAction = "on_idle_from_inspecting_game_action",
    /** column name */
    OnIdleFromRecoveringGameAction = "on_idle_from_recovering_game_action",
    /** column name */
    OnInspectingFromHoldGameAction = "on_inspecting_from_hold_game_action",
    /** column name */
    OnInspectingFromIdleGameAction = "on_inspecting_from_idle_game_action",
    /** column name */
    OnRecoveringGameAction = "on_recovering_game_action",
    /** column name */
    RequiredOperatorsNumber = "required_operators_number"
}
/** input type for updating data in table "operation_maintain_type" */
export type Operation_Maintain_Type_Set_Input = {
    estimated_recover_hours?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    inspection_term_id?: InputMaybe<Scalars['Int']>;
    is_need_to_alarm_inspect?: InputMaybe<Scalars['Boolean']>;
    is_need_to_inspect?: InputMaybe<Scalars['Boolean']>;
    on_destroyed_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_recovering_game_action?: InputMaybe<Scalars['Int']>;
    required_operators_number?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Operation_Maintain_Type_Stddev_Fields = {
    __typename?: 'operation_maintain_type_stddev_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operation_Maintain_Type_Stddev_Pop_Fields = {
    __typename?: 'operation_maintain_type_stddev_pop_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operation_Maintain_Type_Stddev_Samp_Fields = {
    __typename?: 'operation_maintain_type_stddev_samp_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operation_maintain_type" */
export type Operation_Maintain_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_Maintain_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_Maintain_Type_Stream_Cursor_Value_Input = {
    estimated_recover_hours?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    inspection_term_id?: InputMaybe<Scalars['Int']>;
    is_need_to_alarm_inspect?: InputMaybe<Scalars['Boolean']>;
    is_need_to_inspect?: InputMaybe<Scalars['Boolean']>;
    on_destroyed_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_recovering_game_action?: InputMaybe<Scalars['Int']>;
    required_operators_number?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Operation_Maintain_Type_Sum_Fields = {
    __typename?: 'operation_maintain_type_sum_fields';
    estimated_recover_hours?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    inspection_term_id?: Maybe<Scalars['Int']>;
    on_destroyed_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_recovering_game_action?: Maybe<Scalars['Int']>;
    required_operators_number?: Maybe<Scalars['Int']>;
};
/** update columns of table "operation_maintain_type" */
export declare enum Operation_Maintain_Type_Update_Column {
    /** column name */
    EstimatedRecoverHours = "estimated_recover_hours",
    /** column name */
    Id = "id",
    /** column name */
    InspectionTermId = "inspection_term_id",
    /** column name */
    IsNeedToAlarmInspect = "is_need_to_alarm_inspect",
    /** column name */
    IsNeedToInspect = "is_need_to_inspect",
    /** column name */
    OnDestroyedGameAction = "on_destroyed_game_action",
    /** column name */
    OnHoldFromIdleGameAction = "on_hold_from_idle_game_action",
    /** column name */
    OnHoldFromInpectingGameAction = "on_hold_from_inpecting_game_action",
    /** column name */
    OnHoldFromRecoveringGameAction = "on_hold_from_recovering_game_action",
    /** column name */
    OnIdleFromHoldGameAction = "on_idle_from_hold_game_action",
    /** column name */
    OnIdleFromInspectingGameAction = "on_idle_from_inspecting_game_action",
    /** column name */
    OnIdleFromRecoveringGameAction = "on_idle_from_recovering_game_action",
    /** column name */
    OnInspectingFromHoldGameAction = "on_inspecting_from_hold_game_action",
    /** column name */
    OnInspectingFromIdleGameAction = "on_inspecting_from_idle_game_action",
    /** column name */
    OnRecoveringGameAction = "on_recovering_game_action",
    /** column name */
    RequiredOperatorsNumber = "required_operators_number"
}
export type Operation_Maintain_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_Maintain_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_Maintain_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_Maintain_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_Maintain_Type_Var_Pop_Fields = {
    __typename?: 'operation_maintain_type_var_pop_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operation_Maintain_Type_Var_Samp_Fields = {
    __typename?: 'operation_maintain_type_var_samp_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operation_Maintain_Type_Variance_Fields = {
    __typename?: 'operation_maintain_type_variance_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** aggregate max on columns */
export type Operation_Max_Fields = {
    __typename?: 'operation_max_fields';
    answer?: Maybe<Scalars['String']>;
    condition?: Maybe<Scalars['String']>;
    explanation?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    operation_state_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
    related_piece_hash?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Operation_Min_Fields = {
    __typename?: 'operation_min_fields';
    answer?: Maybe<Scalars['String']>;
    condition?: Maybe<Scalars['String']>;
    explanation?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    operation_state_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
    related_piece_hash?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "operation" */
export type Operation_Mutation_Response = {
    __typename?: 'operation_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation>;
};
/** input type for inserting object relation for remote table "operation" */
export type Operation_Obj_Rel_Insert_Input = {
    data: Operation_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_On_Conflict>;
};
/** on_conflict condition type for table "operation" */
export type Operation_On_Conflict = {
    constraint: Operation_Constraint;
    update_columns?: Array<Operation_Update_Column>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
/** columns and relationships of "operation_operator" */
export type Operation_Operator = {
    __typename?: 'operation_operator';
    id: Scalars['Int'];
    /** An object relationship */
    operation: Operation;
    operation_id: Scalars['Int'];
    /** An object relationship */
    operator: Treasure_User;
    operator_id: Scalars['Int'];
    operator_state_type_id?: Maybe<Scalars['Int']>;
    total_count?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "operation_operator" */
export type Operation_Operator_Aggregate = {
    __typename?: 'operation_operator_aggregate';
    aggregate?: Maybe<Operation_Operator_Aggregate_Fields>;
    nodes: Array<Operation_Operator>;
};
export type Operation_Operator_Aggregate_Bool_Exp = {
    count?: InputMaybe<Operation_Operator_Aggregate_Bool_Exp_Count>;
};
export type Operation_Operator_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Operation_Operator_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "operation_operator" */
export type Operation_Operator_Aggregate_Fields = {
    __typename?: 'operation_operator_aggregate_fields';
    avg?: Maybe<Operation_Operator_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_Operator_Max_Fields>;
    min?: Maybe<Operation_Operator_Min_Fields>;
    stddev?: Maybe<Operation_Operator_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_Operator_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_Operator_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_Operator_Sum_Fields>;
    var_pop?: Maybe<Operation_Operator_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_Operator_Var_Samp_Fields>;
    variance?: Maybe<Operation_Operator_Variance_Fields>;
};
/** aggregate fields of "operation_operator" */
export type Operation_Operator_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "operation_operator" */
export type Operation_Operator_Aggregate_Order_By = {
    avg?: InputMaybe<Operation_Operator_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Operation_Operator_Max_Order_By>;
    min?: InputMaybe<Operation_Operator_Min_Order_By>;
    stddev?: InputMaybe<Operation_Operator_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Operation_Operator_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Operation_Operator_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Operation_Operator_Sum_Order_By>;
    var_pop?: InputMaybe<Operation_Operator_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Operation_Operator_Var_Samp_Order_By>;
    variance?: InputMaybe<Operation_Operator_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "operation_operator" */
export type Operation_Operator_Arr_Rel_Insert_Input = {
    data: Array<Operation_Operator_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_Operator_On_Conflict>;
};
/** aggregate avg on columns */
export type Operation_Operator_Avg_Fields = {
    __typename?: 'operation_operator_avg_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "operation_operator" */
export type Operation_Operator_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "operation_operator". All fields are combined with a logical 'AND'. */
export type Operation_Operator_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_Operator_Bool_Exp>>;
    _not?: InputMaybe<Operation_Operator_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_Operator_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    operation?: InputMaybe<Operation_Bool_Exp>;
    operation_id?: InputMaybe<Int_Comparison_Exp>;
    operator?: InputMaybe<Treasure_User_Bool_Exp>;
    operator_id?: InputMaybe<Int_Comparison_Exp>;
    operator_state_type_id?: InputMaybe<Int_Comparison_Exp>;
    total_count?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "operation_operator" */
export declare enum Operation_Operator_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperataionOperatorsPkey = "operataion_operators_pkey"
}
/** input type for incrementing numeric columns in table "operation_operator" */
export type Operation_Operator_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    operation_id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    operator_state_type_id?: InputMaybe<Scalars['Int']>;
    total_count?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation_operator" */
export type Operation_Operator_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    operation?: InputMaybe<Operation_Obj_Rel_Insert_Input>;
    operation_id?: InputMaybe<Scalars['Int']>;
    operator?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    operator_id?: InputMaybe<Scalars['Int']>;
    operator_state_type_id?: InputMaybe<Scalars['Int']>;
    total_count?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Operation_Operator_Max_Fields = {
    __typename?: 'operation_operator_max_fields';
    id?: Maybe<Scalars['Int']>;
    operation_id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    operator_state_type_id?: Maybe<Scalars['Int']>;
    total_count?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "operation_operator" */
export type Operation_Operator_Max_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Operation_Operator_Min_Fields = {
    __typename?: 'operation_operator_min_fields';
    id?: Maybe<Scalars['Int']>;
    operation_id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    operator_state_type_id?: Maybe<Scalars['Int']>;
    total_count?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "operation_operator" */
export type Operation_Operator_Min_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "operation_operator" */
export type Operation_Operator_Mutation_Response = {
    __typename?: 'operation_operator_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation_Operator>;
};
/** on_conflict condition type for table "operation_operator" */
export type Operation_Operator_On_Conflict = {
    constraint: Operation_Operator_Constraint;
    update_columns?: Array<Operation_Operator_Update_Column>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
/** Ordering options when selecting data from "operation_operator". */
export type Operation_Operator_Order_By = {
    id?: InputMaybe<Order_By>;
    operation?: InputMaybe<Operation_Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator?: InputMaybe<Treasure_User_Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operation_operator */
export type Operation_Operator_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation_operator" */
export declare enum Operation_Operator_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    OperationId = "operation_id",
    /** column name */
    OperatorId = "operator_id",
    /** column name */
    OperatorStateTypeId = "operator_state_type_id",
    /** column name */
    TotalCount = "total_count"
}
/** input type for updating data in table "operation_operator" */
export type Operation_Operator_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    operation_id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    operator_state_type_id?: InputMaybe<Scalars['Int']>;
    total_count?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Operation_Operator_Stddev_Fields = {
    __typename?: 'operation_operator_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "operation_operator" */
export type Operation_Operator_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Operation_Operator_Stddev_Pop_Fields = {
    __typename?: 'operation_operator_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "operation_operator" */
export type Operation_Operator_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Operation_Operator_Stddev_Samp_Fields = {
    __typename?: 'operation_operator_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "operation_operator" */
export type Operation_Operator_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "operation_operator" */
export type Operation_Operator_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_Operator_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_Operator_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    operation_id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    operator_state_type_id?: InputMaybe<Scalars['Int']>;
    total_count?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Operation_Operator_Sum_Fields = {
    __typename?: 'operation_operator_sum_fields';
    id?: Maybe<Scalars['Int']>;
    operation_id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    operator_state_type_id?: Maybe<Scalars['Int']>;
    total_count?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "operation_operator" */
export type Operation_Operator_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** update columns of table "operation_operator" */
export declare enum Operation_Operator_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    OperationId = "operation_id",
    /** column name */
    OperatorId = "operator_id",
    /** column name */
    OperatorStateTypeId = "operator_state_type_id",
    /** column name */
    TotalCount = "total_count"
}
export type Operation_Operator_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_Operator_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_Operator_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_Operator_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_Operator_Var_Pop_Fields = {
    __typename?: 'operation_operator_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "operation_operator" */
export type Operation_Operator_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Operation_Operator_Var_Samp_Fields = {
    __typename?: 'operation_operator_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "operation_operator" */
export type Operation_Operator_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Operation_Operator_Variance_Fields = {
    __typename?: 'operation_operator_variance_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "operation_operator" */
export type Operation_Operator_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** Ordering options when selecting data from "operation". */
export type Operation_Order_By = {
    answer?: InputMaybe<Order_By>;
    condition?: InputMaybe<Order_By>;
    explanation?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_instant?: InputMaybe<Order_By>;
    locusImitates_aggregate?: InputMaybe<Locus_Imitate_Aggregate_Order_By>;
    operationType?: InputMaybe<Operation_Type_Order_By>;
    operation_state_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
    operators_aggregate?: InputMaybe<Operation_Operator_Aggregate_Order_By>;
    relatedPiece?: InputMaybe<Piece_Order_By>;
    related_piece_hash?: InputMaybe<Order_By>;
    state?: InputMaybe<Operation_State_Order_By>;
};
/** primary key columns input for table: operation */
export type Operation_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation" */
export declare enum Operation_Select_Column {
    /** column name */
    Answer = "answer",
    /** column name */
    Condition = "condition",
    /** column name */
    Explanation = "explanation",
    /** column name */
    Id = "id",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    OperationStateId = "operation_state_id",
    /** column name */
    OperationTypeId = "operation_type_id",
    /** column name */
    RelatedPieceHash = "related_piece_hash"
}
/** input type for updating data in table "operation" */
export type Operation_Set_Input = {
    answer?: InputMaybe<Scalars['String']>;
    condition?: InputMaybe<Scalars['String']>;
    explanation?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    operation_state_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
    related_piece_hash?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "operation_setting_type" */
export type Operation_Setting_Type = {
    __typename?: 'operation_setting_type';
    id: Scalars['Int'];
    is_attatch_to_wall_possible?: Maybe<Scalars['Boolean']>;
    is_bw_print_possible?: Maybe<Scalars['Boolean']>;
    is_color_print_possible?: Maybe<Scalars['Boolean']>;
    is_install_possible?: Maybe<Scalars['Boolean']>;
    is_person_response_possible?: Maybe<Scalars['Boolean']>;
    is_person_transmit_stuff_possible?: Maybe<Scalars['Boolean']>;
    is_play_media_possible?: Maybe<Scalars['Boolean']>;
    is_settle_bundle_possible?: Maybe<Scalars['Boolean']>;
    is_settle_stuff_possible?: Maybe<Scalars['Boolean']>;
    is_settle_tablet_possible?: Maybe<Scalars['Boolean']>;
    max_print_size?: Maybe<Scalars['String']>;
};
/** aggregated selection of "operation_setting_type" */
export type Operation_Setting_Type_Aggregate = {
    __typename?: 'operation_setting_type_aggregate';
    aggregate?: Maybe<Operation_Setting_Type_Aggregate_Fields>;
    nodes: Array<Operation_Setting_Type>;
};
/** aggregate fields of "operation_setting_type" */
export type Operation_Setting_Type_Aggregate_Fields = {
    __typename?: 'operation_setting_type_aggregate_fields';
    avg?: Maybe<Operation_Setting_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_Setting_Type_Max_Fields>;
    min?: Maybe<Operation_Setting_Type_Min_Fields>;
    stddev?: Maybe<Operation_Setting_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_Setting_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_Setting_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_Setting_Type_Sum_Fields>;
    var_pop?: Maybe<Operation_Setting_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_Setting_Type_Var_Samp_Fields>;
    variance?: Maybe<Operation_Setting_Type_Variance_Fields>;
};
/** aggregate fields of "operation_setting_type" */
export type Operation_Setting_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_Setting_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operation_Setting_Type_Avg_Fields = {
    __typename?: 'operation_setting_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operation_setting_type". All fields are combined with a logical 'AND'. */
export type Operation_Setting_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_Setting_Type_Bool_Exp>>;
    _not?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_Setting_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_attatch_to_wall_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_bw_print_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_color_print_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_install_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_person_response_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_person_transmit_stuff_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_play_media_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_settle_bundle_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_settle_stuff_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_settle_tablet_possible?: InputMaybe<Boolean_Comparison_Exp>;
    max_print_size?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "operation_setting_type" */
export declare enum Operation_Setting_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperationSettingTypePkey = "operation_setting_type_pkey"
}
/** input type for incrementing numeric columns in table "operation_setting_type" */
export type Operation_Setting_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation_setting_type" */
export type Operation_Setting_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_attatch_to_wall_possible?: InputMaybe<Scalars['Boolean']>;
    is_bw_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_color_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_install_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_response_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_transmit_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_play_media_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_bundle_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_tablet_possible?: InputMaybe<Scalars['Boolean']>;
    max_print_size?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Operation_Setting_Type_Max_Fields = {
    __typename?: 'operation_setting_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    max_print_size?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Operation_Setting_Type_Min_Fields = {
    __typename?: 'operation_setting_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    max_print_size?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "operation_setting_type" */
export type Operation_Setting_Type_Mutation_Response = {
    __typename?: 'operation_setting_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation_Setting_Type>;
};
/** input type for inserting object relation for remote table "operation_setting_type" */
export type Operation_Setting_Type_Obj_Rel_Insert_Input = {
    data: Operation_Setting_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_Setting_Type_On_Conflict>;
};
/** on_conflict condition type for table "operation_setting_type" */
export type Operation_Setting_Type_On_Conflict = {
    constraint: Operation_Setting_Type_Constraint;
    update_columns?: Array<Operation_Setting_Type_Update_Column>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "operation_setting_type". */
export type Operation_Setting_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_attatch_to_wall_possible?: InputMaybe<Order_By>;
    is_bw_print_possible?: InputMaybe<Order_By>;
    is_color_print_possible?: InputMaybe<Order_By>;
    is_install_possible?: InputMaybe<Order_By>;
    is_person_response_possible?: InputMaybe<Order_By>;
    is_person_transmit_stuff_possible?: InputMaybe<Order_By>;
    is_play_media_possible?: InputMaybe<Order_By>;
    is_settle_bundle_possible?: InputMaybe<Order_By>;
    is_settle_stuff_possible?: InputMaybe<Order_By>;
    is_settle_tablet_possible?: InputMaybe<Order_By>;
    max_print_size?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operation_setting_type */
export type Operation_Setting_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation_setting_type" */
export declare enum Operation_Setting_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsAttatchToWallPossible = "is_attatch_to_wall_possible",
    /** column name */
    IsBwPrintPossible = "is_bw_print_possible",
    /** column name */
    IsColorPrintPossible = "is_color_print_possible",
    /** column name */
    IsInstallPossible = "is_install_possible",
    /** column name */
    IsPersonResponsePossible = "is_person_response_possible",
    /** column name */
    IsPersonTransmitStuffPossible = "is_person_transmit_stuff_possible",
    /** column name */
    IsPlayMediaPossible = "is_play_media_possible",
    /** column name */
    IsSettleBundlePossible = "is_settle_bundle_possible",
    /** column name */
    IsSettleStuffPossible = "is_settle_stuff_possible",
    /** column name */
    IsSettleTabletPossible = "is_settle_tablet_possible",
    /** column name */
    MaxPrintSize = "max_print_size"
}
/** input type for updating data in table "operation_setting_type" */
export type Operation_Setting_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_attatch_to_wall_possible?: InputMaybe<Scalars['Boolean']>;
    is_bw_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_color_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_install_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_response_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_transmit_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_play_media_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_bundle_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_tablet_possible?: InputMaybe<Scalars['Boolean']>;
    max_print_size?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Operation_Setting_Type_Stddev_Fields = {
    __typename?: 'operation_setting_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operation_Setting_Type_Stddev_Pop_Fields = {
    __typename?: 'operation_setting_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operation_Setting_Type_Stddev_Samp_Fields = {
    __typename?: 'operation_setting_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operation_setting_type" */
export type Operation_Setting_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_Setting_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_Setting_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_attatch_to_wall_possible?: InputMaybe<Scalars['Boolean']>;
    is_bw_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_color_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_install_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_response_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_transmit_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_play_media_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_bundle_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_tablet_possible?: InputMaybe<Scalars['Boolean']>;
    max_print_size?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Operation_Setting_Type_Sum_Fields = {
    __typename?: 'operation_setting_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "operation_setting_type" */
export declare enum Operation_Setting_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsAttatchToWallPossible = "is_attatch_to_wall_possible",
    /** column name */
    IsBwPrintPossible = "is_bw_print_possible",
    /** column name */
    IsColorPrintPossible = "is_color_print_possible",
    /** column name */
    IsInstallPossible = "is_install_possible",
    /** column name */
    IsPersonResponsePossible = "is_person_response_possible",
    /** column name */
    IsPersonTransmitStuffPossible = "is_person_transmit_stuff_possible",
    /** column name */
    IsPlayMediaPossible = "is_play_media_possible",
    /** column name */
    IsSettleBundlePossible = "is_settle_bundle_possible",
    /** column name */
    IsSettleStuffPossible = "is_settle_stuff_possible",
    /** column name */
    IsSettleTabletPossible = "is_settle_tablet_possible",
    /** column name */
    MaxPrintSize = "max_print_size"
}
export type Operation_Setting_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_Setting_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_Setting_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_Setting_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_Setting_Type_Var_Pop_Fields = {
    __typename?: 'operation_setting_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operation_Setting_Type_Var_Samp_Fields = {
    __typename?: 'operation_setting_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operation_Setting_Type_Variance_Fields = {
    __typename?: 'operation_setting_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "operation_state" */
export type Operation_State = {
    __typename?: 'operation_state';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "operation_state" */
export type Operation_State_Aggregate = {
    __typename?: 'operation_state_aggregate';
    aggregate?: Maybe<Operation_State_Aggregate_Fields>;
    nodes: Array<Operation_State>;
};
/** aggregate fields of "operation_state" */
export type Operation_State_Aggregate_Fields = {
    __typename?: 'operation_state_aggregate_fields';
    avg?: Maybe<Operation_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_State_Max_Fields>;
    min?: Maybe<Operation_State_Min_Fields>;
    stddev?: Maybe<Operation_State_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_State_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_State_Sum_Fields>;
    var_pop?: Maybe<Operation_State_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_State_Var_Samp_Fields>;
    variance?: Maybe<Operation_State_Variance_Fields>;
};
/** aggregate fields of "operation_state" */
export type Operation_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operation_State_Avg_Fields = {
    __typename?: 'operation_state_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operation_state". All fields are combined with a logical 'AND'. */
export type Operation_State_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_State_Bool_Exp>>;
    _not?: InputMaybe<Operation_State_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_State_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "operation_state" */
export declare enum Operation_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperationStatePkey = "operation_state_pkey"
}
/** input type for incrementing numeric columns in table "operation_state" */
export type Operation_State_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation_state" */
export type Operation_State_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Operation_State_Max_Fields = {
    __typename?: 'operation_state_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Operation_State_Min_Fields = {
    __typename?: 'operation_state_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "operation_state" */
export type Operation_State_Mutation_Response = {
    __typename?: 'operation_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation_State>;
};
/** input type for inserting object relation for remote table "operation_state" */
export type Operation_State_Obj_Rel_Insert_Input = {
    data: Operation_State_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_State_On_Conflict>;
};
/** on_conflict condition type for table "operation_state" */
export type Operation_State_On_Conflict = {
    constraint: Operation_State_Constraint;
    update_columns?: Array<Operation_State_Update_Column>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
/** Ordering options when selecting data from "operation_state". */
export type Operation_State_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operation_state */
export type Operation_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation_state" */
export declare enum Operation_State_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "operation_state" */
export type Operation_State_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Operation_State_Stddev_Fields = {
    __typename?: 'operation_state_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operation_State_Stddev_Pop_Fields = {
    __typename?: 'operation_state_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operation_State_Stddev_Samp_Fields = {
    __typename?: 'operation_state_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operation_state" */
export type Operation_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_State_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Operation_State_Sum_Fields = {
    __typename?: 'operation_state_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "operation_state" */
export declare enum Operation_State_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
export type Operation_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_State_Var_Pop_Fields = {
    __typename?: 'operation_state_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operation_State_Var_Samp_Fields = {
    __typename?: 'operation_state_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operation_State_Variance_Fields = {
    __typename?: 'operation_state_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev on columns */
export type Operation_Stddev_Fields = {
    __typename?: 'operation_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operation_Stddev_Pop_Fields = {
    __typename?: 'operation_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operation_Stddev_Samp_Fields = {
    __typename?: 'operation_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operation" */
export type Operation_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_Stream_Cursor_Value_Input = {
    answer?: InputMaybe<Scalars['String']>;
    condition?: InputMaybe<Scalars['String']>;
    explanation?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    operation_state_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
    related_piece_hash?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Operation_Sum_Fields = {
    __typename?: 'operation_sum_fields';
    id?: Maybe<Scalars['Int']>;
    operation_state_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "operation_type" */
export type Operation_Type = {
    __typename?: 'operation_type';
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    creator?: Maybe<Treasure_User>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_using?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    maintainType: Operation_Maintain_Type;
    maintain_type_id: Scalars['Int'];
    /** An object relationship */
    pieceType: Piece_Type;
    /** An object relationship */
    settingType: Operation_Setting_Type;
    setting_type_id: Scalars['Int'];
    target_piece_type_id: Scalars['Int'];
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "operation_type" */
export type Operation_Type_Aggregate = {
    __typename?: 'operation_type_aggregate';
    aggregate?: Maybe<Operation_Type_Aggregate_Fields>;
    nodes: Array<Operation_Type>;
};
/** aggregate fields of "operation_type" */
export type Operation_Type_Aggregate_Fields = {
    __typename?: 'operation_type_aggregate_fields';
    avg?: Maybe<Operation_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_Type_Max_Fields>;
    min?: Maybe<Operation_Type_Min_Fields>;
    stddev?: Maybe<Operation_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_Type_Sum_Fields>;
    var_pop?: Maybe<Operation_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_Type_Var_Samp_Fields>;
    variance?: Maybe<Operation_Type_Variance_Fields>;
};
/** aggregate fields of "operation_type" */
export type Operation_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operation_Type_Avg_Fields = {
    __typename?: 'operation_type_avg_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operation_type". All fields are combined with a logical 'AND'. */
export type Operation_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_Type_Bool_Exp>>;
    _not?: InputMaybe<Operation_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_Type_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    creator?: InputMaybe<Treasure_User_Bool_Exp>;
    creator_id?: InputMaybe<Int_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_using?: InputMaybe<Boolean_Comparison_Exp>;
    maintainType?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
    maintain_type_id?: InputMaybe<Int_Comparison_Exp>;
    pieceType?: InputMaybe<Piece_Type_Bool_Exp>;
    settingType?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
    setting_type_id?: InputMaybe<Int_Comparison_Exp>;
    target_piece_type_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "operation_type" */
export declare enum Operation_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperationTypePkey = "operation_type_pkey"
}
/** input type for incrementing numeric columns in table "operation_type" */
export type Operation_Type_Inc_Input = {
    creator_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    maintain_type_id?: InputMaybe<Scalars['Int']>;
    setting_type_id?: InputMaybe<Scalars['Int']>;
    target_piece_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation_type" */
export type Operation_Type_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_using?: InputMaybe<Scalars['Boolean']>;
    maintainType?: InputMaybe<Operation_Maintain_Type_Obj_Rel_Insert_Input>;
    maintain_type_id?: InputMaybe<Scalars['Int']>;
    pieceType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    settingType?: InputMaybe<Operation_Setting_Type_Obj_Rel_Insert_Input>;
    setting_type_id?: InputMaybe<Scalars['Int']>;
    target_piece_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Operation_Type_Max_Fields = {
    __typename?: 'operation_type_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    maintain_type_id?: Maybe<Scalars['Int']>;
    setting_type_id?: Maybe<Scalars['Int']>;
    target_piece_type_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Operation_Type_Min_Fields = {
    __typename?: 'operation_type_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    maintain_type_id?: Maybe<Scalars['Int']>;
    setting_type_id?: Maybe<Scalars['Int']>;
    target_piece_type_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "operation_type" */
export type Operation_Type_Mutation_Response = {
    __typename?: 'operation_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation_Type>;
};
/** input type for inserting object relation for remote table "operation_type" */
export type Operation_Type_Obj_Rel_Insert_Input = {
    data: Operation_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_Type_On_Conflict>;
};
/** on_conflict condition type for table "operation_type" */
export type Operation_Type_On_Conflict = {
    constraint: Operation_Type_Constraint;
    update_columns?: Array<Operation_Type_Update_Column>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "operation_type". */
export type Operation_Type_Order_By = {
    created_at?: InputMaybe<Order_By>;
    creator?: InputMaybe<Treasure_User_Order_By>;
    creator_id?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_using?: InputMaybe<Order_By>;
    maintainType?: InputMaybe<Operation_Maintain_Type_Order_By>;
    maintain_type_id?: InputMaybe<Order_By>;
    pieceType?: InputMaybe<Piece_Type_Order_By>;
    settingType?: InputMaybe<Operation_Setting_Type_Order_By>;
    setting_type_id?: InputMaybe<Order_By>;
    target_piece_type_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operation_type */
export type Operation_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation_type" */
export declare enum Operation_Type_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsUsing = "is_using",
    /** column name */
    MaintainTypeId = "maintain_type_id",
    /** column name */
    SettingTypeId = "setting_type_id",
    /** column name */
    TargetPieceTypeId = "target_piece_type_id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "operation_type" */
export type Operation_Type_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_using?: InputMaybe<Scalars['Boolean']>;
    maintain_type_id?: InputMaybe<Scalars['Int']>;
    setting_type_id?: InputMaybe<Scalars['Int']>;
    target_piece_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Operation_Type_Stddev_Fields = {
    __typename?: 'operation_type_stddev_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operation_Type_Stddev_Pop_Fields = {
    __typename?: 'operation_type_stddev_pop_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operation_Type_Stddev_Samp_Fields = {
    __typename?: 'operation_type_stddev_samp_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operation_type" */
export type Operation_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_Type_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_using?: InputMaybe<Scalars['Boolean']>;
    maintain_type_id?: InputMaybe<Scalars['Int']>;
    setting_type_id?: InputMaybe<Scalars['Int']>;
    target_piece_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Operation_Type_Sum_Fields = {
    __typename?: 'operation_type_sum_fields';
    creator_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    maintain_type_id?: Maybe<Scalars['Int']>;
    setting_type_id?: Maybe<Scalars['Int']>;
    target_piece_type_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "operation_type" */
export declare enum Operation_Type_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsUsing = "is_using",
    /** column name */
    MaintainTypeId = "maintain_type_id",
    /** column name */
    SettingTypeId = "setting_type_id",
    /** column name */
    TargetPieceTypeId = "target_piece_type_id",
    /** column name */
    Title = "title"
}
export type Operation_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_Type_Var_Pop_Fields = {
    __typename?: 'operation_type_var_pop_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operation_Type_Var_Samp_Fields = {
    __typename?: 'operation_type_var_samp_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operation_Type_Variance_Fields = {
    __typename?: 'operation_type_variance_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** update columns of table "operation" */
export declare enum Operation_Update_Column {
    /** column name */
    Answer = "answer",
    /** column name */
    Condition = "condition",
    /** column name */
    Explanation = "explanation",
    /** column name */
    Id = "id",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    OperationStateId = "operation_state_id",
    /** column name */
    OperationTypeId = "operation_type_id",
    /** column name */
    RelatedPieceHash = "related_piece_hash"
}
export type Operation_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_Var_Pop_Fields = {
    __typename?: 'operation_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operation_Var_Samp_Fields = {
    __typename?: 'operation_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operation_Variance_Fields = {
    __typename?: 'operation_variance_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "operator_state_type" */
export type Operator_State_Type = {
    __typename?: 'operator_state_type';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "operator_state_type" */
export type Operator_State_Type_Aggregate = {
    __typename?: 'operator_state_type_aggregate';
    aggregate?: Maybe<Operator_State_Type_Aggregate_Fields>;
    nodes: Array<Operator_State_Type>;
};
/** aggregate fields of "operator_state_type" */
export type Operator_State_Type_Aggregate_Fields = {
    __typename?: 'operator_state_type_aggregate_fields';
    avg?: Maybe<Operator_State_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operator_State_Type_Max_Fields>;
    min?: Maybe<Operator_State_Type_Min_Fields>;
    stddev?: Maybe<Operator_State_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Operator_State_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operator_State_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Operator_State_Type_Sum_Fields>;
    var_pop?: Maybe<Operator_State_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Operator_State_Type_Var_Samp_Fields>;
    variance?: Maybe<Operator_State_Type_Variance_Fields>;
};
/** aggregate fields of "operator_state_type" */
export type Operator_State_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operator_State_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operator_State_Type_Avg_Fields = {
    __typename?: 'operator_state_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operator_state_type". All fields are combined with a logical 'AND'. */
export type Operator_State_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Operator_State_Type_Bool_Exp>>;
    _not?: InputMaybe<Operator_State_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Operator_State_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "operator_state_type" */
export declare enum Operator_State_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperatorStateTypePkey = "operator_state_type_pkey"
}
/** input type for incrementing numeric columns in table "operator_state_type" */
export type Operator_State_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operator_state_type" */
export type Operator_State_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Operator_State_Type_Max_Fields = {
    __typename?: 'operator_state_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Operator_State_Type_Min_Fields = {
    __typename?: 'operator_state_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "operator_state_type" */
export type Operator_State_Type_Mutation_Response = {
    __typename?: 'operator_state_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operator_State_Type>;
};
/** on_conflict condition type for table "operator_state_type" */
export type Operator_State_Type_On_Conflict = {
    constraint: Operator_State_Type_Constraint;
    update_columns?: Array<Operator_State_Type_Update_Column>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "operator_state_type". */
export type Operator_State_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operator_state_type */
export type Operator_State_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operator_state_type" */
export declare enum Operator_State_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "operator_state_type" */
export type Operator_State_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Operator_State_Type_Stddev_Fields = {
    __typename?: 'operator_state_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operator_State_Type_Stddev_Pop_Fields = {
    __typename?: 'operator_state_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operator_State_Type_Stddev_Samp_Fields = {
    __typename?: 'operator_state_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operator_state_type" */
export type Operator_State_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operator_State_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operator_State_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Operator_State_Type_Sum_Fields = {
    __typename?: 'operator_state_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "operator_state_type" */
export declare enum Operator_State_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title"
}
export type Operator_State_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operator_State_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operator_State_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operator_State_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operator_State_Type_Var_Pop_Fields = {
    __typename?: 'operator_state_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operator_State_Type_Var_Samp_Fields = {
    __typename?: 'operator_state_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operator_State_Type_Variance_Fields = {
    __typename?: 'operator_state_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** column ordering options */
export declare enum Order_By {
    /** in ascending order, nulls last */
    Asc = "asc",
    /** in ascending order, nulls first */
    AscNullsFirst = "asc_nulls_first",
    /** in ascending order, nulls last */
    AscNullsLast = "asc_nulls_last",
    /** in descending order, nulls first */
    Desc = "desc",
    /** in descending order, nulls first */
    DescNullsFirst = "desc_nulls_first",
    /** in descending order, nulls last */
    DescNullsLast = "desc_nulls_last"
}
/** columns and relationships of "piece" */
export type Piece = {
    __typename?: 'piece';
    created_at?: Maybe<Scalars['timestamp']>;
    hash?: Maybe<Scalars['String']>;
    header?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_hint?: Maybe<Scalars['Boolean']>;
    is_inmap_part?: Maybe<Scalars['Boolean']>;
    is_judge_input?: Maybe<Scalars['Boolean']>;
    is_open?: Maybe<Scalars['Boolean']>;
    is_outmap_part?: Maybe<Scalars['Boolean']>;
    is_qc?: Maybe<Scalars['Boolean']>;
    is_resource?: Maybe<Scalars['Boolean']>;
    judge?: Maybe<Scalars['Int']>;
    /** An object relationship */
    judgeById?: Maybe<Judge>;
    /** An object relationship */
    keyQuest?: Maybe<Quest>;
    key_quest?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    pieceAndLocus?: Maybe<Piece_Locus>;
    /** An object relationship */
    pieceType: Piece_Type;
    piece_type: Scalars['Int'];
    qr_hash?: Maybe<Scalars['String']>;
    /** An object relationship */
    quest?: Maybe<Quest>;
    questHash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment?: Maybe<Scalars['Int']>;
    /** An object relationship */
    segmentById?: Maybe<Segment>;
    segment_index?: Maybe<Scalars['Int']>;
    text_data?: Maybe<Scalars['String']>;
    uri?: Maybe<Scalars['String']>;
};
/** aggregated selection of "piece" */
export type Piece_Aggregate = {
    __typename?: 'piece_aggregate';
    aggregate?: Maybe<Piece_Aggregate_Fields>;
    nodes: Array<Piece>;
};
export type Piece_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Piece_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Piece_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Piece_Aggregate_Bool_Exp_Count>;
};
export type Piece_Aggregate_Bool_Exp_Bool_And = {
    arguments: Piece_Select_Column_Piece_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Piece_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Piece_Select_Column_Piece_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Piece_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Piece_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "piece" */
export type Piece_Aggregate_Fields = {
    __typename?: 'piece_aggregate_fields';
    avg?: Maybe<Piece_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Piece_Max_Fields>;
    min?: Maybe<Piece_Min_Fields>;
    stddev?: Maybe<Piece_Stddev_Fields>;
    stddev_pop?: Maybe<Piece_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Piece_Stddev_Samp_Fields>;
    sum?: Maybe<Piece_Sum_Fields>;
    var_pop?: Maybe<Piece_Var_Pop_Fields>;
    var_samp?: Maybe<Piece_Var_Samp_Fields>;
    variance?: Maybe<Piece_Variance_Fields>;
};
/** aggregate fields of "piece" */
export type Piece_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Piece_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "piece" */
export type Piece_Aggregate_Order_By = {
    avg?: InputMaybe<Piece_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Piece_Max_Order_By>;
    min?: InputMaybe<Piece_Min_Order_By>;
    stddev?: InputMaybe<Piece_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Piece_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Piece_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Piece_Sum_Order_By>;
    var_pop?: InputMaybe<Piece_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Piece_Var_Samp_Order_By>;
    variance?: InputMaybe<Piece_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "piece" */
export type Piece_Arr_Rel_Insert_Input = {
    data: Array<Piece_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Piece_On_Conflict>;
};
/** aggregate avg on columns */
export type Piece_Avg_Fields = {
    __typename?: 'piece_avg_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "piece" */
export type Piece_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "piece". All fields are combined with a logical 'AND'. */
export type Piece_Bool_Exp = {
    _and?: InputMaybe<Array<Piece_Bool_Exp>>;
    _not?: InputMaybe<Piece_Bool_Exp>;
    _or?: InputMaybe<Array<Piece_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    hash?: InputMaybe<String_Comparison_Exp>;
    header?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_hint?: InputMaybe<Boolean_Comparison_Exp>;
    is_inmap_part?: InputMaybe<Boolean_Comparison_Exp>;
    is_judge_input?: InputMaybe<Boolean_Comparison_Exp>;
    is_open?: InputMaybe<Boolean_Comparison_Exp>;
    is_outmap_part?: InputMaybe<Boolean_Comparison_Exp>;
    is_qc?: InputMaybe<Boolean_Comparison_Exp>;
    is_resource?: InputMaybe<Boolean_Comparison_Exp>;
    judge?: InputMaybe<Int_Comparison_Exp>;
    judgeById?: InputMaybe<Judge_Bool_Exp>;
    keyQuest?: InputMaybe<Quest_Bool_Exp>;
    key_quest?: InputMaybe<Int_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    pieceAndLocus?: InputMaybe<Piece_Locus_Bool_Exp>;
    pieceType?: InputMaybe<Piece_Type_Bool_Exp>;
    piece_type?: InputMaybe<Int_Comparison_Exp>;
    qr_hash?: InputMaybe<String_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    questHash?: InputMaybe<String_Comparison_Exp>;
    quest_id?: InputMaybe<Int_Comparison_Exp>;
    segment?: InputMaybe<Int_Comparison_Exp>;
    segmentById?: InputMaybe<Segment_Bool_Exp>;
    segment_index?: InputMaybe<Int_Comparison_Exp>;
    text_data?: InputMaybe<String_Comparison_Exp>;
    uri?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "piece" */
export declare enum Piece_Constraint {
    /** unique or primary key constraint on columns "hash" */
    PieceHashKey = "piece_hash_key",
    /** unique or primary key constraint on columns "id" */
    PiecePkey = "piece_pkey"
}
/** input type for incrementing numeric columns in table "piece" */
export type Piece_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    judge?: InputMaybe<Scalars['Int']>;
    key_quest?: InputMaybe<Scalars['Int']>;
    piece_type?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment?: InputMaybe<Scalars['Int']>;
    segment_index?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "piece" */
export type Piece_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    hash?: InputMaybe<Scalars['String']>;
    header?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_hint?: InputMaybe<Scalars['Boolean']>;
    is_inmap_part?: InputMaybe<Scalars['Boolean']>;
    is_judge_input?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_outmap_part?: InputMaybe<Scalars['Boolean']>;
    is_qc?: InputMaybe<Scalars['Boolean']>;
    is_resource?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    judgeById?: InputMaybe<Judge_Obj_Rel_Insert_Input>;
    keyQuest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    key_quest?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    pieceAndLocus?: InputMaybe<Piece_Locus_Obj_Rel_Insert_Input>;
    pieceType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    piece_type?: InputMaybe<Scalars['Int']>;
    qr_hash?: InputMaybe<Scalars['String']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    questHash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment?: InputMaybe<Scalars['Int']>;
    segmentById?: InputMaybe<Segment_Obj_Rel_Insert_Input>;
    segment_index?: InputMaybe<Scalars['Int']>;
    text_data?: InputMaybe<Scalars['String']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "piece_locus" */
export type Piece_Locus = {
    __typename?: 'piece_locus';
    id: Scalars['Int'];
    is_by_locus_registrator: Scalars['Boolean'];
    is_required?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    locus: Locus;
    locus_id: Scalars['Int'];
    /** An object relationship */
    piece: Piece;
    piece_id: Scalars['Int'];
};
/** aggregated selection of "piece_locus" */
export type Piece_Locus_Aggregate = {
    __typename?: 'piece_locus_aggregate';
    aggregate?: Maybe<Piece_Locus_Aggregate_Fields>;
    nodes: Array<Piece_Locus>;
};
export type Piece_Locus_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Piece_Locus_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Piece_Locus_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Piece_Locus_Aggregate_Bool_Exp_Count>;
};
export type Piece_Locus_Aggregate_Bool_Exp_Bool_And = {
    arguments: Piece_Locus_Select_Column_Piece_Locus_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Locus_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Piece_Locus_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Piece_Locus_Select_Column_Piece_Locus_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Locus_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Piece_Locus_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Locus_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "piece_locus" */
export type Piece_Locus_Aggregate_Fields = {
    __typename?: 'piece_locus_aggregate_fields';
    avg?: Maybe<Piece_Locus_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Piece_Locus_Max_Fields>;
    min?: Maybe<Piece_Locus_Min_Fields>;
    stddev?: Maybe<Piece_Locus_Stddev_Fields>;
    stddev_pop?: Maybe<Piece_Locus_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Piece_Locus_Stddev_Samp_Fields>;
    sum?: Maybe<Piece_Locus_Sum_Fields>;
    var_pop?: Maybe<Piece_Locus_Var_Pop_Fields>;
    var_samp?: Maybe<Piece_Locus_Var_Samp_Fields>;
    variance?: Maybe<Piece_Locus_Variance_Fields>;
};
/** aggregate fields of "piece_locus" */
export type Piece_Locus_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "piece_locus" */
export type Piece_Locus_Aggregate_Order_By = {
    avg?: InputMaybe<Piece_Locus_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Piece_Locus_Max_Order_By>;
    min?: InputMaybe<Piece_Locus_Min_Order_By>;
    stddev?: InputMaybe<Piece_Locus_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Piece_Locus_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Piece_Locus_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Piece_Locus_Sum_Order_By>;
    var_pop?: InputMaybe<Piece_Locus_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Piece_Locus_Var_Samp_Order_By>;
    variance?: InputMaybe<Piece_Locus_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "piece_locus" */
export type Piece_Locus_Arr_Rel_Insert_Input = {
    data: Array<Piece_Locus_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Piece_Locus_On_Conflict>;
};
/** aggregate avg on columns */
export type Piece_Locus_Avg_Fields = {
    __typename?: 'piece_locus_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "piece_locus" */
export type Piece_Locus_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "piece_locus". All fields are combined with a logical 'AND'. */
export type Piece_Locus_Bool_Exp = {
    _and?: InputMaybe<Array<Piece_Locus_Bool_Exp>>;
    _not?: InputMaybe<Piece_Locus_Bool_Exp>;
    _or?: InputMaybe<Array<Piece_Locus_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_by_locus_registrator?: InputMaybe<Boolean_Comparison_Exp>;
    is_required?: InputMaybe<Boolean_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    piece?: InputMaybe<Piece_Bool_Exp>;
    piece_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "piece_locus" */
export declare enum Piece_Locus_Constraint {
    /** unique or primary key constraint on columns "piece_id" */
    PieceLocusPieceIdKey = "piece_locus_piece_id_key",
    /** unique or primary key constraint on columns "id" */
    PieceLocusPkey = "piece_locus_pkey"
}
/** input type for incrementing numeric columns in table "piece_locus" */
export type Piece_Locus_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "piece_locus" */
export type Piece_Locus_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_by_locus_registrator?: InputMaybe<Scalars['Boolean']>;
    is_required?: InputMaybe<Scalars['Boolean']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    piece?: InputMaybe<Piece_Obj_Rel_Insert_Input>;
    piece_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Piece_Locus_Max_Fields = {
    __typename?: 'piece_locus_max_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "piece_locus" */
export type Piece_Locus_Max_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Piece_Locus_Min_Fields = {
    __typename?: 'piece_locus_min_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "piece_locus" */
export type Piece_Locus_Min_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "piece_locus" */
export type Piece_Locus_Mutation_Response = {
    __typename?: 'piece_locus_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Piece_Locus>;
};
/** input type for inserting object relation for remote table "piece_locus" */
export type Piece_Locus_Obj_Rel_Insert_Input = {
    data: Piece_Locus_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Piece_Locus_On_Conflict>;
};
/** on_conflict condition type for table "piece_locus" */
export type Piece_Locus_On_Conflict = {
    constraint: Piece_Locus_Constraint;
    update_columns?: Array<Piece_Locus_Update_Column>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
/** Ordering options when selecting data from "piece_locus". */
export type Piece_Locus_Order_By = {
    id?: InputMaybe<Order_By>;
    is_by_locus_registrator?: InputMaybe<Order_By>;
    is_required?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece?: InputMaybe<Piece_Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: piece_locus */
export type Piece_Locus_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "piece_locus" */
export declare enum Piece_Locus_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsByLocusRegistrator = "is_by_locus_registrator",
    /** column name */
    IsRequired = "is_required",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    PieceId = "piece_id"
}
/** select "piece_locus_aggregate_bool_exp_bool_and_arguments_columns" columns of table "piece_locus" */
export declare enum Piece_Locus_Select_Column_Piece_Locus_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsByLocusRegistrator = "is_by_locus_registrator",
    /** column name */
    IsRequired = "is_required"
}
/** select "piece_locus_aggregate_bool_exp_bool_or_arguments_columns" columns of table "piece_locus" */
export declare enum Piece_Locus_Select_Column_Piece_Locus_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsByLocusRegistrator = "is_by_locus_registrator",
    /** column name */
    IsRequired = "is_required"
}
/** input type for updating data in table "piece_locus" */
export type Piece_Locus_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_by_locus_registrator?: InputMaybe<Scalars['Boolean']>;
    is_required?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Piece_Locus_Stddev_Fields = {
    __typename?: 'piece_locus_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "piece_locus" */
export type Piece_Locus_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Piece_Locus_Stddev_Pop_Fields = {
    __typename?: 'piece_locus_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "piece_locus" */
export type Piece_Locus_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Piece_Locus_Stddev_Samp_Fields = {
    __typename?: 'piece_locus_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "piece_locus" */
export type Piece_Locus_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "piece_locus" */
export type Piece_Locus_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Piece_Locus_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Piece_Locus_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_by_locus_registrator?: InputMaybe<Scalars['Boolean']>;
    is_required?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Piece_Locus_Sum_Fields = {
    __typename?: 'piece_locus_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "piece_locus" */
export type Piece_Locus_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** update columns of table "piece_locus" */
export declare enum Piece_Locus_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsByLocusRegistrator = "is_by_locus_registrator",
    /** column name */
    IsRequired = "is_required",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    PieceId = "piece_id"
}
export type Piece_Locus_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Piece_Locus_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Piece_Locus_Set_Input>;
    /** filter the rows which have to be updated */
    where: Piece_Locus_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Piece_Locus_Var_Pop_Fields = {
    __typename?: 'piece_locus_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "piece_locus" */
export type Piece_Locus_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Piece_Locus_Var_Samp_Fields = {
    __typename?: 'piece_locus_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "piece_locus" */
export type Piece_Locus_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Piece_Locus_Variance_Fields = {
    __typename?: 'piece_locus_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "piece_locus" */
export type Piece_Locus_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate max on columns */
export type Piece_Max_Fields = {
    __typename?: 'piece_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    hash?: Maybe<Scalars['String']>;
    header?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    key_quest?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    piece_type?: Maybe<Scalars['Int']>;
    qr_hash?: Maybe<Scalars['String']>;
    questHash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment?: Maybe<Scalars['Int']>;
    segment_index?: Maybe<Scalars['Int']>;
    text_data?: Maybe<Scalars['String']>;
    uri?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "piece" */
export type Piece_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    header?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    qr_hash?: InputMaybe<Order_By>;
    questHash?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
    text_data?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Piece_Min_Fields = {
    __typename?: 'piece_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    hash?: Maybe<Scalars['String']>;
    header?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    key_quest?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    piece_type?: Maybe<Scalars['Int']>;
    qr_hash?: Maybe<Scalars['String']>;
    questHash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment?: Maybe<Scalars['Int']>;
    segment_index?: Maybe<Scalars['Int']>;
    text_data?: Maybe<Scalars['String']>;
    uri?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "piece" */
export type Piece_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    header?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    qr_hash?: InputMaybe<Order_By>;
    questHash?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
    text_data?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "piece" */
export type Piece_Mutation_Response = {
    __typename?: 'piece_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Piece>;
};
/** input type for inserting object relation for remote table "piece" */
export type Piece_Obj_Rel_Insert_Input = {
    data: Piece_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Piece_On_Conflict>;
};
/** on_conflict condition type for table "piece" */
export type Piece_On_Conflict = {
    constraint: Piece_Constraint;
    update_columns?: Array<Piece_Update_Column>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
/** Ordering options when selecting data from "piece". */
export type Piece_Order_By = {
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    header?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_hint?: InputMaybe<Order_By>;
    is_inmap_part?: InputMaybe<Order_By>;
    is_judge_input?: InputMaybe<Order_By>;
    is_open?: InputMaybe<Order_By>;
    is_outmap_part?: InputMaybe<Order_By>;
    is_qc?: InputMaybe<Order_By>;
    is_resource?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    judgeById?: InputMaybe<Judge_Order_By>;
    keyQuest?: InputMaybe<Quest_Order_By>;
    key_quest?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    pieceAndLocus?: InputMaybe<Piece_Locus_Order_By>;
    pieceType?: InputMaybe<Piece_Type_Order_By>;
    piece_type?: InputMaybe<Order_By>;
    qr_hash?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    questHash?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segmentById?: InputMaybe<Segment_Order_By>;
    segment_index?: InputMaybe<Order_By>;
    text_data?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
};
/** primary key columns input for table: piece */
export type Piece_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "piece" */
export declare enum Piece_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Hash = "hash",
    /** column name */
    Header = "header",
    /** column name */
    Id = "id",
    /** column name */
    IsHint = "is_hint",
    /** column name */
    IsInmapPart = "is_inmap_part",
    /** column name */
    IsJudgeInput = "is_judge_input",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsOutmapPart = "is_outmap_part",
    /** column name */
    IsQc = "is_qc",
    /** column name */
    IsResource = "is_resource",
    /** column name */
    Judge = "judge",
    /** column name */
    KeyQuest = "key_quest",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    PieceType = "piece_type",
    /** column name */
    QrHash = "qr_hash",
    /** column name */
    QuestHash = "questHash",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    Segment = "segment",
    /** column name */
    SegmentIndex = "segment_index",
    /** column name */
    TextData = "text_data",
    /** column name */
    Uri = "uri"
}
/** select "piece_aggregate_bool_exp_bool_and_arguments_columns" columns of table "piece" */
export declare enum Piece_Select_Column_Piece_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsHint = "is_hint",
    /** column name */
    IsInmapPart = "is_inmap_part",
    /** column name */
    IsJudgeInput = "is_judge_input",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsOutmapPart = "is_outmap_part",
    /** column name */
    IsQc = "is_qc",
    /** column name */
    IsResource = "is_resource"
}
/** select "piece_aggregate_bool_exp_bool_or_arguments_columns" columns of table "piece" */
export declare enum Piece_Select_Column_Piece_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsHint = "is_hint",
    /** column name */
    IsInmapPart = "is_inmap_part",
    /** column name */
    IsJudgeInput = "is_judge_input",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsOutmapPart = "is_outmap_part",
    /** column name */
    IsQc = "is_qc",
    /** column name */
    IsResource = "is_resource"
}
/** input type for updating data in table "piece" */
export type Piece_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    hash?: InputMaybe<Scalars['String']>;
    header?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_hint?: InputMaybe<Scalars['Boolean']>;
    is_inmap_part?: InputMaybe<Scalars['Boolean']>;
    is_judge_input?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_outmap_part?: InputMaybe<Scalars['Boolean']>;
    is_qc?: InputMaybe<Scalars['Boolean']>;
    is_resource?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    key_quest?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    piece_type?: InputMaybe<Scalars['Int']>;
    qr_hash?: InputMaybe<Scalars['String']>;
    questHash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment?: InputMaybe<Scalars['Int']>;
    segment_index?: InputMaybe<Scalars['Int']>;
    text_data?: InputMaybe<Scalars['String']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Piece_Stddev_Fields = {
    __typename?: 'piece_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "piece" */
export type Piece_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Piece_Stddev_Pop_Fields = {
    __typename?: 'piece_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "piece" */
export type Piece_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Piece_Stddev_Samp_Fields = {
    __typename?: 'piece_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "piece" */
export type Piece_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "piece" */
export type Piece_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Piece_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Piece_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    hash?: InputMaybe<Scalars['String']>;
    header?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_hint?: InputMaybe<Scalars['Boolean']>;
    is_inmap_part?: InputMaybe<Scalars['Boolean']>;
    is_judge_input?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_outmap_part?: InputMaybe<Scalars['Boolean']>;
    is_qc?: InputMaybe<Scalars['Boolean']>;
    is_resource?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    key_quest?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    piece_type?: InputMaybe<Scalars['Int']>;
    qr_hash?: InputMaybe<Scalars['String']>;
    questHash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment?: InputMaybe<Scalars['Int']>;
    segment_index?: InputMaybe<Scalars['Int']>;
    text_data?: InputMaybe<Scalars['String']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Piece_Sum_Fields = {
    __typename?: 'piece_sum_fields';
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    key_quest?: Maybe<Scalars['Int']>;
    piece_type?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment?: Maybe<Scalars['Int']>;
    segment_index?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "piece" */
export type Piece_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** columns and relationships of "piece_type" */
export type Piece_Type = {
    __typename?: 'piece_type';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_atomic?: Maybe<Scalars['Boolean']>;
    is_inmap?: Maybe<Scalars['Boolean']>;
    is_judge_piece?: Maybe<Scalars['Boolean']>;
    is_outmap?: Maybe<Scalars['Boolean']>;
    is_set_on_locus_design?: Maybe<Scalars['Boolean']>;
    piece_type_title: Scalars['String'];
    /** An object relationship */
    targetView?: Maybe<Target_View_Type>;
    target_view_type_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "piece_type" */
export type Piece_Type_Aggregate = {
    __typename?: 'piece_type_aggregate';
    aggregate?: Maybe<Piece_Type_Aggregate_Fields>;
    nodes: Array<Piece_Type>;
};
/** aggregate fields of "piece_type" */
export type Piece_Type_Aggregate_Fields = {
    __typename?: 'piece_type_aggregate_fields';
    avg?: Maybe<Piece_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Piece_Type_Max_Fields>;
    min?: Maybe<Piece_Type_Min_Fields>;
    stddev?: Maybe<Piece_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Piece_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Piece_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Piece_Type_Sum_Fields>;
    var_pop?: Maybe<Piece_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Piece_Type_Var_Samp_Fields>;
    variance?: Maybe<Piece_Type_Variance_Fields>;
};
/** aggregate fields of "piece_type" */
export type Piece_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Piece_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Piece_Type_Avg_Fields = {
    __typename?: 'piece_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "piece_type". All fields are combined with a logical 'AND'. */
export type Piece_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Piece_Type_Bool_Exp>>;
    _not?: InputMaybe<Piece_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Piece_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_atomic?: InputMaybe<Boolean_Comparison_Exp>;
    is_inmap?: InputMaybe<Boolean_Comparison_Exp>;
    is_judge_piece?: InputMaybe<Boolean_Comparison_Exp>;
    is_outmap?: InputMaybe<Boolean_Comparison_Exp>;
    is_set_on_locus_design?: InputMaybe<Boolean_Comparison_Exp>;
    piece_type_title?: InputMaybe<String_Comparison_Exp>;
    targetView?: InputMaybe<Target_View_Type_Bool_Exp>;
    target_view_type_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "piece_type" */
export declare enum Piece_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    PieceTypePkey = "piece_type_pkey"
}
/** input type for incrementing numeric columns in table "piece_type" */
export type Piece_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    target_view_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "piece_type" */
export type Piece_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_atomic?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_judge_piece?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    is_set_on_locus_design?: InputMaybe<Scalars['Boolean']>;
    piece_type_title?: InputMaybe<Scalars['String']>;
    targetView?: InputMaybe<Target_View_Type_Obj_Rel_Insert_Input>;
    target_view_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Piece_Type_Max_Fields = {
    __typename?: 'piece_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    piece_type_title?: Maybe<Scalars['String']>;
    target_view_type_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Piece_Type_Min_Fields = {
    __typename?: 'piece_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    piece_type_title?: Maybe<Scalars['String']>;
    target_view_type_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "piece_type" */
export type Piece_Type_Mutation_Response = {
    __typename?: 'piece_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Piece_Type>;
};
/** input type for inserting object relation for remote table "piece_type" */
export type Piece_Type_Obj_Rel_Insert_Input = {
    data: Piece_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Piece_Type_On_Conflict>;
};
/** on_conflict condition type for table "piece_type" */
export type Piece_Type_On_Conflict = {
    constraint: Piece_Type_Constraint;
    update_columns?: Array<Piece_Type_Update_Column>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "piece_type". */
export type Piece_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_atomic?: InputMaybe<Order_By>;
    is_inmap?: InputMaybe<Order_By>;
    is_judge_piece?: InputMaybe<Order_By>;
    is_outmap?: InputMaybe<Order_By>;
    is_set_on_locus_design?: InputMaybe<Order_By>;
    piece_type_title?: InputMaybe<Order_By>;
    targetView?: InputMaybe<Target_View_Type_Order_By>;
    target_view_type_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: piece_type */
export type Piece_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "piece_type" */
export declare enum Piece_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsAtomic = "is_atomic",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsJudgePiece = "is_judge_piece",
    /** column name */
    IsOutmap = "is_outmap",
    /** column name */
    IsSetOnLocusDesign = "is_set_on_locus_design",
    /** column name */
    PieceTypeTitle = "piece_type_title",
    /** column name */
    TargetViewTypeId = "target_view_type_id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "piece_type" */
export type Piece_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_atomic?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_judge_piece?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    is_set_on_locus_design?: InputMaybe<Scalars['Boolean']>;
    piece_type_title?: InputMaybe<Scalars['String']>;
    target_view_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Piece_Type_Stddev_Fields = {
    __typename?: 'piece_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Piece_Type_Stddev_Pop_Fields = {
    __typename?: 'piece_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Piece_Type_Stddev_Samp_Fields = {
    __typename?: 'piece_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "piece_type" */
export type Piece_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Piece_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Piece_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_atomic?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_judge_piece?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    is_set_on_locus_design?: InputMaybe<Scalars['Boolean']>;
    piece_type_title?: InputMaybe<Scalars['String']>;
    target_view_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Piece_Type_Sum_Fields = {
    __typename?: 'piece_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
    target_view_type_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "piece_type" */
export declare enum Piece_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsAtomic = "is_atomic",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsJudgePiece = "is_judge_piece",
    /** column name */
    IsOutmap = "is_outmap",
    /** column name */
    IsSetOnLocusDesign = "is_set_on_locus_design",
    /** column name */
    PieceTypeTitle = "piece_type_title",
    /** column name */
    TargetViewTypeId = "target_view_type_id",
    /** column name */
    Title = "title"
}
export type Piece_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Piece_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Piece_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Piece_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Piece_Type_Var_Pop_Fields = {
    __typename?: 'piece_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Piece_Type_Var_Samp_Fields = {
    __typename?: 'piece_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Piece_Type_Variance_Fields = {
    __typename?: 'piece_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** update columns of table "piece" */
export declare enum Piece_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Hash = "hash",
    /** column name */
    Header = "header",
    /** column name */
    Id = "id",
    /** column name */
    IsHint = "is_hint",
    /** column name */
    IsInmapPart = "is_inmap_part",
    /** column name */
    IsJudgeInput = "is_judge_input",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsOutmapPart = "is_outmap_part",
    /** column name */
    IsQc = "is_qc",
    /** column name */
    IsResource = "is_resource",
    /** column name */
    Judge = "judge",
    /** column name */
    KeyQuest = "key_quest",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    PieceType = "piece_type",
    /** column name */
    QrHash = "qr_hash",
    /** column name */
    QuestHash = "questHash",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    Segment = "segment",
    /** column name */
    SegmentIndex = "segment_index",
    /** column name */
    TextData = "text_data",
    /** column name */
    Uri = "uri"
}
export type Piece_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Piece_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Piece_Set_Input>;
    /** filter the rows which have to be updated */
    where: Piece_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Piece_Var_Pop_Fields = {
    __typename?: 'piece_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "piece" */
export type Piece_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Piece_Var_Samp_Fields = {
    __typename?: 'piece_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "piece" */
export type Piece_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Piece_Variance_Fields = {
    __typename?: 'piece_variance_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "piece" */
export type Piece_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** columns and relationships of "post" */
export type Post = {
    __typename?: 'post';
    content?: Maybe<Scalars['String']>;
    created_at: Scalars['timestamptz'];
    editorVersion?: Maybe<Scalars['numeric']>;
    firstTextLine?: Maybe<Scalars['String']>;
    /** An object relationship */
    game?: Maybe<Game>;
    gameId?: Maybe<Scalars['Int']>;
    haveOnlineContent?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    isAnonymous?: Maybe<Scalars['Boolean']>;
    isAnouncement?: Maybe<Scalars['Boolean']>;
    isGlobal?: Maybe<Scalars['Boolean']>;
    isLexical?: Maybe<Scalars['Boolean']>;
    isRawText?: Maybe<Scalars['Boolean']>;
    lexicalVersion?: Maybe<Scalars['numeric']>;
    /** An object relationship */
    locus?: Maybe<Locus>;
    locusId?: Maybe<Scalars['Int']>;
    summary?: Maybe<Scalars['String']>;
    updated_at: Scalars['timestamptz'];
    /** An object relationship */
    writer?: Maybe<Treasure_User>;
    writerId?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "post" */
export type Post_Aggregate = {
    __typename?: 'post_aggregate';
    aggregate?: Maybe<Post_Aggregate_Fields>;
    nodes: Array<Post>;
};
/** aggregate fields of "post" */
export type Post_Aggregate_Fields = {
    __typename?: 'post_aggregate_fields';
    avg?: Maybe<Post_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Post_Max_Fields>;
    min?: Maybe<Post_Min_Fields>;
    stddev?: Maybe<Post_Stddev_Fields>;
    stddev_pop?: Maybe<Post_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Post_Stddev_Samp_Fields>;
    sum?: Maybe<Post_Sum_Fields>;
    var_pop?: Maybe<Post_Var_Pop_Fields>;
    var_samp?: Maybe<Post_Var_Samp_Fields>;
    variance?: Maybe<Post_Variance_Fields>;
};
/** aggregate fields of "post" */
export type Post_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Post_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Post_Avg_Fields = {
    __typename?: 'post_avg_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "post". All fields are combined with a logical 'AND'. */
export type Post_Bool_Exp = {
    _and?: InputMaybe<Array<Post_Bool_Exp>>;
    _not?: InputMaybe<Post_Bool_Exp>;
    _or?: InputMaybe<Array<Post_Bool_Exp>>;
    content?: InputMaybe<String_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    editorVersion?: InputMaybe<Numeric_Comparison_Exp>;
    firstTextLine?: InputMaybe<String_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    gameId?: InputMaybe<Int_Comparison_Exp>;
    haveOnlineContent?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    isAnonymous?: InputMaybe<Boolean_Comparison_Exp>;
    isAnouncement?: InputMaybe<Boolean_Comparison_Exp>;
    isGlobal?: InputMaybe<Boolean_Comparison_Exp>;
    isLexical?: InputMaybe<Boolean_Comparison_Exp>;
    isRawText?: InputMaybe<Boolean_Comparison_Exp>;
    lexicalVersion?: InputMaybe<Numeric_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locusId?: InputMaybe<Int_Comparison_Exp>;
    summary?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    writer?: InputMaybe<Treasure_User_Bool_Exp>;
    writerId?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "post" */
export declare enum Post_Constraint {
    /** unique or primary key constraint on columns "id" */
    PostPkey = "post_pkey"
}
/** columns and relationships of "post_evaluation" */
export type Post_Evaluation = {
    __typename?: 'post_evaluation';
    bad?: Maybe<Scalars['Boolean']>;
    good?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    /** An object relationship */
    post?: Maybe<Post>;
    postId?: Maybe<Scalars['Int']>;
    /** An object relationship */
    user?: Maybe<Treasure_User>;
    userId?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "post_evaluation" */
export type Post_Evaluation_Aggregate = {
    __typename?: 'post_evaluation_aggregate';
    aggregate?: Maybe<Post_Evaluation_Aggregate_Fields>;
    nodes: Array<Post_Evaluation>;
};
/** aggregate fields of "post_evaluation" */
export type Post_Evaluation_Aggregate_Fields = {
    __typename?: 'post_evaluation_aggregate_fields';
    avg?: Maybe<Post_Evaluation_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Post_Evaluation_Max_Fields>;
    min?: Maybe<Post_Evaluation_Min_Fields>;
    stddev?: Maybe<Post_Evaluation_Stddev_Fields>;
    stddev_pop?: Maybe<Post_Evaluation_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Post_Evaluation_Stddev_Samp_Fields>;
    sum?: Maybe<Post_Evaluation_Sum_Fields>;
    var_pop?: Maybe<Post_Evaluation_Var_Pop_Fields>;
    var_samp?: Maybe<Post_Evaluation_Var_Samp_Fields>;
    variance?: Maybe<Post_Evaluation_Variance_Fields>;
};
/** aggregate fields of "post_evaluation" */
export type Post_Evaluation_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Post_Evaluation_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Post_Evaluation_Avg_Fields = {
    __typename?: 'post_evaluation_avg_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "post_evaluation". All fields are combined with a logical 'AND'. */
export type Post_Evaluation_Bool_Exp = {
    _and?: InputMaybe<Array<Post_Evaluation_Bool_Exp>>;
    _not?: InputMaybe<Post_Evaluation_Bool_Exp>;
    _or?: InputMaybe<Array<Post_Evaluation_Bool_Exp>>;
    bad?: InputMaybe<Boolean_Comparison_Exp>;
    good?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    post?: InputMaybe<Post_Bool_Exp>;
    postId?: InputMaybe<Int_Comparison_Exp>;
    user?: InputMaybe<Treasure_User_Bool_Exp>;
    userId?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "post_evaluation" */
export declare enum Post_Evaluation_Constraint {
    /** unique or primary key constraint on columns "id" */
    PostEvaluationPkey = "post_evaluation_pkey"
}
/** input type for incrementing numeric columns in table "post_evaluation" */
export type Post_Evaluation_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    postId?: InputMaybe<Scalars['Int']>;
    userId?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "post_evaluation" */
export type Post_Evaluation_Insert_Input = {
    bad?: InputMaybe<Scalars['Boolean']>;
    good?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    post?: InputMaybe<Post_Obj_Rel_Insert_Input>;
    postId?: InputMaybe<Scalars['Int']>;
    user?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    userId?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Post_Evaluation_Max_Fields = {
    __typename?: 'post_evaluation_max_fields';
    id?: Maybe<Scalars['Int']>;
    postId?: Maybe<Scalars['Int']>;
    userId?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Post_Evaluation_Min_Fields = {
    __typename?: 'post_evaluation_min_fields';
    id?: Maybe<Scalars['Int']>;
    postId?: Maybe<Scalars['Int']>;
    userId?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "post_evaluation" */
export type Post_Evaluation_Mutation_Response = {
    __typename?: 'post_evaluation_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Post_Evaluation>;
};
/** on_conflict condition type for table "post_evaluation" */
export type Post_Evaluation_On_Conflict = {
    constraint: Post_Evaluation_Constraint;
    update_columns?: Array<Post_Evaluation_Update_Column>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
/** Ordering options when selecting data from "post_evaluation". */
export type Post_Evaluation_Order_By = {
    bad?: InputMaybe<Order_By>;
    good?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    post?: InputMaybe<Post_Order_By>;
    postId?: InputMaybe<Order_By>;
    user?: InputMaybe<Treasure_User_Order_By>;
    userId?: InputMaybe<Order_By>;
};
/** primary key columns input for table: post_evaluation */
export type Post_Evaluation_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "post_evaluation" */
export declare enum Post_Evaluation_Select_Column {
    /** column name */
    Bad = "bad",
    /** column name */
    Good = "good",
    /** column name */
    Id = "id",
    /** column name */
    PostId = "postId",
    /** column name */
    UserId = "userId"
}
/** input type for updating data in table "post_evaluation" */
export type Post_Evaluation_Set_Input = {
    bad?: InputMaybe<Scalars['Boolean']>;
    good?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    postId?: InputMaybe<Scalars['Int']>;
    userId?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Post_Evaluation_Stddev_Fields = {
    __typename?: 'post_evaluation_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Post_Evaluation_Stddev_Pop_Fields = {
    __typename?: 'post_evaluation_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Post_Evaluation_Stddev_Samp_Fields = {
    __typename?: 'post_evaluation_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "post_evaluation" */
export type Post_Evaluation_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Post_Evaluation_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Post_Evaluation_Stream_Cursor_Value_Input = {
    bad?: InputMaybe<Scalars['Boolean']>;
    good?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    postId?: InputMaybe<Scalars['Int']>;
    userId?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Post_Evaluation_Sum_Fields = {
    __typename?: 'post_evaluation_sum_fields';
    id?: Maybe<Scalars['Int']>;
    postId?: Maybe<Scalars['Int']>;
    userId?: Maybe<Scalars['Int']>;
};
/** update columns of table "post_evaluation" */
export declare enum Post_Evaluation_Update_Column {
    /** column name */
    Bad = "bad",
    /** column name */
    Good = "good",
    /** column name */
    Id = "id",
    /** column name */
    PostId = "postId",
    /** column name */
    UserId = "userId"
}
export type Post_Evaluation_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Post_Evaluation_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Post_Evaluation_Set_Input>;
    /** filter the rows which have to be updated */
    where: Post_Evaluation_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Post_Evaluation_Var_Pop_Fields = {
    __typename?: 'post_evaluation_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Post_Evaluation_Var_Samp_Fields = {
    __typename?: 'post_evaluation_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Post_Evaluation_Variance_Fields = {
    __typename?: 'post_evaluation_variance_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** input type for incrementing numeric columns in table "post" */
export type Post_Inc_Input = {
    editorVersion?: InputMaybe<Scalars['numeric']>;
    gameId?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    lexicalVersion?: InputMaybe<Scalars['numeric']>;
    locusId?: InputMaybe<Scalars['Int']>;
    writerId?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "post" */
export type Post_Insert_Input = {
    content?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    editorVersion?: InputMaybe<Scalars['numeric']>;
    firstTextLine?: InputMaybe<Scalars['String']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    gameId?: InputMaybe<Scalars['Int']>;
    haveOnlineContent?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    isAnonymous?: InputMaybe<Scalars['Boolean']>;
    isAnouncement?: InputMaybe<Scalars['Boolean']>;
    isGlobal?: InputMaybe<Scalars['Boolean']>;
    isLexical?: InputMaybe<Scalars['Boolean']>;
    isRawText?: InputMaybe<Scalars['Boolean']>;
    lexicalVersion?: InputMaybe<Scalars['numeric']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locusId?: InputMaybe<Scalars['Int']>;
    summary?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writer?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    writerId?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Post_Max_Fields = {
    __typename?: 'post_max_fields';
    content?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    editorVersion?: Maybe<Scalars['numeric']>;
    firstTextLine?: Maybe<Scalars['String']>;
    gameId?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    lexicalVersion?: Maybe<Scalars['numeric']>;
    locusId?: Maybe<Scalars['Int']>;
    summary?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    writerId?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Post_Min_Fields = {
    __typename?: 'post_min_fields';
    content?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    editorVersion?: Maybe<Scalars['numeric']>;
    firstTextLine?: Maybe<Scalars['String']>;
    gameId?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    lexicalVersion?: Maybe<Scalars['numeric']>;
    locusId?: Maybe<Scalars['Int']>;
    summary?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    writerId?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "post" */
export type Post_Mutation_Response = {
    __typename?: 'post_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Post>;
};
/** input type for inserting object relation for remote table "post" */
export type Post_Obj_Rel_Insert_Input = {
    data: Post_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Post_On_Conflict>;
};
/** on_conflict condition type for table "post" */
export type Post_On_Conflict = {
    constraint: Post_Constraint;
    update_columns?: Array<Post_Update_Column>;
    where?: InputMaybe<Post_Bool_Exp>;
};
/** Ordering options when selecting data from "post". */
export type Post_Order_By = {
    content?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    editorVersion?: InputMaybe<Order_By>;
    firstTextLine?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    gameId?: InputMaybe<Order_By>;
    haveOnlineContent?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    isAnonymous?: InputMaybe<Order_By>;
    isAnouncement?: InputMaybe<Order_By>;
    isGlobal?: InputMaybe<Order_By>;
    isLexical?: InputMaybe<Order_By>;
    isRawText?: InputMaybe<Order_By>;
    lexicalVersion?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locusId?: InputMaybe<Order_By>;
    summary?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    writer?: InputMaybe<Treasure_User_Order_By>;
    writerId?: InputMaybe<Order_By>;
};
/** primary key columns input for table: post */
export type Post_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "post" */
export declare enum Post_Select_Column {
    /** column name */
    Content = "content",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EditorVersion = "editorVersion",
    /** column name */
    FirstTextLine = "firstTextLine",
    /** column name */
    GameId = "gameId",
    /** column name */
    HaveOnlineContent = "haveOnlineContent",
    /** column name */
    Id = "id",
    /** column name */
    IsAnonymous = "isAnonymous",
    /** column name */
    IsAnouncement = "isAnouncement",
    /** column name */
    IsGlobal = "isGlobal",
    /** column name */
    IsLexical = "isLexical",
    /** column name */
    IsRawText = "isRawText",
    /** column name */
    LexicalVersion = "lexicalVersion",
    /** column name */
    LocusId = "locusId",
    /** column name */
    Summary = "summary",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    WriterId = "writerId"
}
/** input type for updating data in table "post" */
export type Post_Set_Input = {
    content?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    editorVersion?: InputMaybe<Scalars['numeric']>;
    firstTextLine?: InputMaybe<Scalars['String']>;
    gameId?: InputMaybe<Scalars['Int']>;
    haveOnlineContent?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    isAnonymous?: InputMaybe<Scalars['Boolean']>;
    isAnouncement?: InputMaybe<Scalars['Boolean']>;
    isGlobal?: InputMaybe<Scalars['Boolean']>;
    isLexical?: InputMaybe<Scalars['Boolean']>;
    isRawText?: InputMaybe<Scalars['Boolean']>;
    lexicalVersion?: InputMaybe<Scalars['numeric']>;
    locusId?: InputMaybe<Scalars['Int']>;
    summary?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writerId?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Post_Stddev_Fields = {
    __typename?: 'post_stddev_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Post_Stddev_Pop_Fields = {
    __typename?: 'post_stddev_pop_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Post_Stddev_Samp_Fields = {
    __typename?: 'post_stddev_samp_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "post" */
export type Post_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Post_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Post_Stream_Cursor_Value_Input = {
    content?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    editorVersion?: InputMaybe<Scalars['numeric']>;
    firstTextLine?: InputMaybe<Scalars['String']>;
    gameId?: InputMaybe<Scalars['Int']>;
    haveOnlineContent?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    isAnonymous?: InputMaybe<Scalars['Boolean']>;
    isAnouncement?: InputMaybe<Scalars['Boolean']>;
    isGlobal?: InputMaybe<Scalars['Boolean']>;
    isLexical?: InputMaybe<Scalars['Boolean']>;
    isRawText?: InputMaybe<Scalars['Boolean']>;
    lexicalVersion?: InputMaybe<Scalars['numeric']>;
    locusId?: InputMaybe<Scalars['Int']>;
    summary?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writerId?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Post_Sum_Fields = {
    __typename?: 'post_sum_fields';
    editorVersion?: Maybe<Scalars['numeric']>;
    gameId?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    lexicalVersion?: Maybe<Scalars['numeric']>;
    locusId?: Maybe<Scalars['Int']>;
    writerId?: Maybe<Scalars['Int']>;
};
/** update columns of table "post" */
export declare enum Post_Update_Column {
    /** column name */
    Content = "content",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EditorVersion = "editorVersion",
    /** column name */
    FirstTextLine = "firstTextLine",
    /** column name */
    GameId = "gameId",
    /** column name */
    HaveOnlineContent = "haveOnlineContent",
    /** column name */
    Id = "id",
    /** column name */
    IsAnonymous = "isAnonymous",
    /** column name */
    IsAnouncement = "isAnouncement",
    /** column name */
    IsGlobal = "isGlobal",
    /** column name */
    IsLexical = "isLexical",
    /** column name */
    IsRawText = "isRawText",
    /** column name */
    LexicalVersion = "lexicalVersion",
    /** column name */
    LocusId = "locusId",
    /** column name */
    Summary = "summary",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    WriterId = "writerId"
}
export type Post_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Post_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Post_Set_Input>;
    /** filter the rows which have to be updated */
    where: Post_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Post_Var_Pop_Fields = {
    __typename?: 'post_var_pop_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Post_Var_Samp_Fields = {
    __typename?: 'post_var_samp_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Post_Variance_Fields = {
    __typename?: 'post_variance_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "preference" */
export type Preference = {
    __typename?: 'preference';
    preference?: Maybe<Scalars['String']>;
    subject?: Maybe<Scalars['Int']>;
    /** An object relationship */
    treasureUser?: Maybe<Treasure_User>;
};
/** aggregated selection of "preference" */
export type Preference_Aggregate = {
    __typename?: 'preference_aggregate';
    aggregate?: Maybe<Preference_Aggregate_Fields>;
    nodes: Array<Preference>;
};
/** aggregate fields of "preference" */
export type Preference_Aggregate_Fields = {
    __typename?: 'preference_aggregate_fields';
    avg?: Maybe<Preference_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Preference_Max_Fields>;
    min?: Maybe<Preference_Min_Fields>;
    stddev?: Maybe<Preference_Stddev_Fields>;
    stddev_pop?: Maybe<Preference_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Preference_Stddev_Samp_Fields>;
    sum?: Maybe<Preference_Sum_Fields>;
    var_pop?: Maybe<Preference_Var_Pop_Fields>;
    var_samp?: Maybe<Preference_Var_Samp_Fields>;
    variance?: Maybe<Preference_Variance_Fields>;
};
/** aggregate fields of "preference" */
export type Preference_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Preference_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Preference_Avg_Fields = {
    __typename?: 'preference_avg_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "preference". All fields are combined with a logical 'AND'. */
export type Preference_Bool_Exp = {
    _and?: InputMaybe<Array<Preference_Bool_Exp>>;
    _not?: InputMaybe<Preference_Bool_Exp>;
    _or?: InputMaybe<Array<Preference_Bool_Exp>>;
    preference?: InputMaybe<String_Comparison_Exp>;
    subject?: InputMaybe<Int_Comparison_Exp>;
    treasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
};
/** input type for incrementing numeric columns in table "preference" */
export type Preference_Inc_Input = {
    subject?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "preference" */
export type Preference_Insert_Input = {
    preference?: InputMaybe<Scalars['String']>;
    subject?: InputMaybe<Scalars['Int']>;
    treasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Preference_Max_Fields = {
    __typename?: 'preference_max_fields';
    preference?: Maybe<Scalars['String']>;
    subject?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Preference_Min_Fields = {
    __typename?: 'preference_min_fields';
    preference?: Maybe<Scalars['String']>;
    subject?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "preference" */
export type Preference_Mutation_Response = {
    __typename?: 'preference_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Preference>;
};
/** Ordering options when selecting data from "preference". */
export type Preference_Order_By = {
    preference?: InputMaybe<Order_By>;
    subject?: InputMaybe<Order_By>;
    treasureUser?: InputMaybe<Treasure_User_Order_By>;
};
/** select columns of table "preference" */
export declare enum Preference_Select_Column {
    /** column name */
    Preference = "preference",
    /** column name */
    Subject = "subject"
}
/** input type for updating data in table "preference" */
export type Preference_Set_Input = {
    preference?: InputMaybe<Scalars['String']>;
    subject?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Preference_Stddev_Fields = {
    __typename?: 'preference_stddev_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Preference_Stddev_Pop_Fields = {
    __typename?: 'preference_stddev_pop_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Preference_Stddev_Samp_Fields = {
    __typename?: 'preference_stddev_samp_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "preference" */
export type Preference_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Preference_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Preference_Stream_Cursor_Value_Input = {
    preference?: InputMaybe<Scalars['String']>;
    subject?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Preference_Sum_Fields = {
    __typename?: 'preference_sum_fields';
    subject?: Maybe<Scalars['Int']>;
};
export type Preference_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Preference_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Preference_Set_Input>;
    /** filter the rows which have to be updated */
    where: Preference_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Preference_Var_Pop_Fields = {
    __typename?: 'preference_var_pop_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Preference_Var_Samp_Fields = {
    __typename?: 'preference_var_samp_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Preference_Variance_Fields = {
    __typename?: 'preference_variance_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** add product id to each goods or services for selling and make relationship */
export type Product = {
    __typename?: 'product';
    created_at: Scalars['timestamptz'];
    discountable_by_money?: Maybe<Scalars['Boolean']>;
    discountable_by_rp?: Maybe<Scalars['Boolean']>;
    hash: Scalars['uuid'];
    id: Scalars['Int'];
    is_game?: Maybe<Scalars['Boolean']>;
    is_good?: Maybe<Scalars['Boolean']>;
    is_service?: Maybe<Scalars['Boolean']>;
    purchasable_by_money?: Maybe<Scalars['Boolean']>;
    purchasable_by_rp?: Maybe<Scalars['Boolean']>;
    refundable_by_money?: Maybe<Scalars['Boolean']>;
    refundable_by_rp?: Maybe<Scalars['Boolean']>;
    /** An array relationship */
    sells: Array<Sell>;
    /** An aggregate relationship */
    sells_aggregate: Sell_Aggregate;
};
/** add product id to each goods or services for selling and make relationship */
export type ProductSellsArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
/** add product id to each goods or services for selling and make relationship */
export type ProductSells_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
/** aggregated selection of "product" */
export type Product_Aggregate = {
    __typename?: 'product_aggregate';
    aggregate?: Maybe<Product_Aggregate_Fields>;
    nodes: Array<Product>;
};
/** aggregate fields of "product" */
export type Product_Aggregate_Fields = {
    __typename?: 'product_aggregate_fields';
    avg?: Maybe<Product_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Product_Max_Fields>;
    min?: Maybe<Product_Min_Fields>;
    stddev?: Maybe<Product_Stddev_Fields>;
    stddev_pop?: Maybe<Product_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Product_Stddev_Samp_Fields>;
    sum?: Maybe<Product_Sum_Fields>;
    var_pop?: Maybe<Product_Var_Pop_Fields>;
    var_samp?: Maybe<Product_Var_Samp_Fields>;
    variance?: Maybe<Product_Variance_Fields>;
};
/** aggregate fields of "product" */
export type Product_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Product_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Product_Avg_Fields = {
    __typename?: 'product_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "product". All fields are combined with a logical 'AND'. */
export type Product_Bool_Exp = {
    _and?: InputMaybe<Array<Product_Bool_Exp>>;
    _not?: InputMaybe<Product_Bool_Exp>;
    _or?: InputMaybe<Array<Product_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    discountable_by_money?: InputMaybe<Boolean_Comparison_Exp>;
    discountable_by_rp?: InputMaybe<Boolean_Comparison_Exp>;
    hash?: InputMaybe<Uuid_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_game?: InputMaybe<Boolean_Comparison_Exp>;
    is_good?: InputMaybe<Boolean_Comparison_Exp>;
    is_service?: InputMaybe<Boolean_Comparison_Exp>;
    purchasable_by_money?: InputMaybe<Boolean_Comparison_Exp>;
    purchasable_by_rp?: InputMaybe<Boolean_Comparison_Exp>;
    refundable_by_money?: InputMaybe<Boolean_Comparison_Exp>;
    refundable_by_rp?: InputMaybe<Boolean_Comparison_Exp>;
    sells?: InputMaybe<Sell_Bool_Exp>;
    sells_aggregate?: InputMaybe<Sell_Aggregate_Bool_Exp>;
};
/** unique or primary key constraints on table "product" */
export declare enum Product_Constraint {
    /** unique or primary key constraint on columns "id" */
    ProductPkey = "product_pkey"
}
/** input type for incrementing numeric columns in table "product" */
export type Product_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "product" */
export type Product_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    discountable_by_money?: InputMaybe<Scalars['Boolean']>;
    discountable_by_rp?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    is_game?: InputMaybe<Scalars['Boolean']>;
    is_good?: InputMaybe<Scalars['Boolean']>;
    is_service?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
    sells?: InputMaybe<Sell_Arr_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Product_Max_Fields = {
    __typename?: 'product_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Product_Min_Fields = {
    __typename?: 'product_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "product" */
export type Product_Mutation_Response = {
    __typename?: 'product_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Product>;
};
/** input type for inserting object relation for remote table "product" */
export type Product_Obj_Rel_Insert_Input = {
    data: Product_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Product_On_Conflict>;
};
/** on_conflict condition type for table "product" */
export type Product_On_Conflict = {
    constraint: Product_Constraint;
    update_columns?: Array<Product_Update_Column>;
    where?: InputMaybe<Product_Bool_Exp>;
};
/** Ordering options when selecting data from "product". */
export type Product_Order_By = {
    created_at?: InputMaybe<Order_By>;
    discountable_by_money?: InputMaybe<Order_By>;
    discountable_by_rp?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_game?: InputMaybe<Order_By>;
    is_good?: InputMaybe<Order_By>;
    is_service?: InputMaybe<Order_By>;
    purchasable_by_money?: InputMaybe<Order_By>;
    purchasable_by_rp?: InputMaybe<Order_By>;
    refundable_by_money?: InputMaybe<Order_By>;
    refundable_by_rp?: InputMaybe<Order_By>;
    sells_aggregate?: InputMaybe<Sell_Aggregate_Order_By>;
};
/** primary key columns input for table: product */
export type Product_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "product" */
export declare enum Product_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DiscountableByMoney = "discountable_by_money",
    /** column name */
    DiscountableByRp = "discountable_by_rp",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsGame = "is_game",
    /** column name */
    IsGood = "is_good",
    /** column name */
    IsService = "is_service",
    /** column name */
    PurchasableByMoney = "purchasable_by_money",
    /** column name */
    PurchasableByRp = "purchasable_by_rp",
    /** column name */
    RefundableByMoney = "refundable_by_money",
    /** column name */
    RefundableByRp = "refundable_by_rp"
}
/** input type for updating data in table "product" */
export type Product_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    discountable_by_money?: InputMaybe<Scalars['Boolean']>;
    discountable_by_rp?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    is_game?: InputMaybe<Scalars['Boolean']>;
    is_good?: InputMaybe<Scalars['Boolean']>;
    is_service?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Product_Stddev_Fields = {
    __typename?: 'product_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Product_Stddev_Pop_Fields = {
    __typename?: 'product_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Product_Stddev_Samp_Fields = {
    __typename?: 'product_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "product" */
export type Product_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Product_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Product_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    discountable_by_money?: InputMaybe<Scalars['Boolean']>;
    discountable_by_rp?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    is_game?: InputMaybe<Scalars['Boolean']>;
    is_good?: InputMaybe<Scalars['Boolean']>;
    is_service?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Product_Sum_Fields = {
    __typename?: 'product_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "product" */
export declare enum Product_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DiscountableByMoney = "discountable_by_money",
    /** column name */
    DiscountableByRp = "discountable_by_rp",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsGame = "is_game",
    /** column name */
    IsGood = "is_good",
    /** column name */
    IsService = "is_service",
    /** column name */
    PurchasableByMoney = "purchasable_by_money",
    /** column name */
    PurchasableByRp = "purchasable_by_rp",
    /** column name */
    RefundableByMoney = "refundable_by_money",
    /** column name */
    RefundableByRp = "refundable_by_rp"
}
export type Product_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Product_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Product_Set_Input>;
    /** filter the rows which have to be updated */
    where: Product_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Product_Var_Pop_Fields = {
    __typename?: 'product_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Product_Var_Samp_Fields = {
    __typename?: 'product_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Product_Variance_Fields = {
    __typename?: 'product_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "profile" */
export type Profile = {
    __typename?: 'profile';
    design_count?: Maybe<Scalars['Int']>;
    finish_count?: Maybe<Scalars['Int']>;
    incomplete_count?: Maybe<Scalars['Int']>;
    invitation_count?: Maybe<Scalars['Int']>;
    mean_play_time?: Maybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    mean_players_on_games_designed?: Maybe<Scalars['Int']>;
    participation_count?: Maybe<Scalars['Int']>;
    subject?: Maybe<Scalars['Int']>;
    total_play_time?: Maybe<Scalars['Int']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    total_players_on_games_designed?: Maybe<Scalars['Int']>;
    total_stars?: Maybe<Scalars['Int']>;
    /** An object relationship */
    treasureUser?: Maybe<Treasure_User>;
};
/** aggregated selection of "profile" */
export type Profile_Aggregate = {
    __typename?: 'profile_aggregate';
    aggregate?: Maybe<Profile_Aggregate_Fields>;
    nodes: Array<Profile>;
};
/** aggregate fields of "profile" */
export type Profile_Aggregate_Fields = {
    __typename?: 'profile_aggregate_fields';
    avg?: Maybe<Profile_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Profile_Max_Fields>;
    min?: Maybe<Profile_Min_Fields>;
    stddev?: Maybe<Profile_Stddev_Fields>;
    stddev_pop?: Maybe<Profile_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Profile_Stddev_Samp_Fields>;
    sum?: Maybe<Profile_Sum_Fields>;
    var_pop?: Maybe<Profile_Var_Pop_Fields>;
    var_samp?: Maybe<Profile_Var_Samp_Fields>;
    variance?: Maybe<Profile_Variance_Fields>;
};
/** aggregate fields of "profile" */
export type Profile_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Profile_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Profile_Avg_Fields = {
    __typename?: 'profile_avg_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "profile". All fields are combined with a logical 'AND'. */
export type Profile_Bool_Exp = {
    _and?: InputMaybe<Array<Profile_Bool_Exp>>;
    _not?: InputMaybe<Profile_Bool_Exp>;
    _or?: InputMaybe<Array<Profile_Bool_Exp>>;
    design_count?: InputMaybe<Int_Comparison_Exp>;
    finish_count?: InputMaybe<Int_Comparison_Exp>;
    incomplete_count?: InputMaybe<Int_Comparison_Exp>;
    invitation_count?: InputMaybe<Int_Comparison_Exp>;
    mean_play_time?: InputMaybe<Int_Comparison_Exp>;
    mean_play_time_on_games_designed?: InputMaybe<Int_Comparison_Exp>;
    mean_players_on_games_designed?: InputMaybe<Int_Comparison_Exp>;
    participation_count?: InputMaybe<Int_Comparison_Exp>;
    subject?: InputMaybe<Int_Comparison_Exp>;
    total_play_time?: InputMaybe<Int_Comparison_Exp>;
    total_play_time_on_games_designed?: InputMaybe<Int_Comparison_Exp>;
    total_players_on_games_designed?: InputMaybe<Int_Comparison_Exp>;
    total_stars?: InputMaybe<Int_Comparison_Exp>;
    treasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
};
/** input type for incrementing numeric columns in table "profile" */
export type Profile_Inc_Input = {
    design_count?: InputMaybe<Scalars['Int']>;
    finish_count?: InputMaybe<Scalars['Int']>;
    incomplete_count?: InputMaybe<Scalars['Int']>;
    invitation_count?: InputMaybe<Scalars['Int']>;
    mean_play_time?: InputMaybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    mean_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    participation_count?: InputMaybe<Scalars['Int']>;
    subject?: InputMaybe<Scalars['Int']>;
    total_play_time?: InputMaybe<Scalars['Int']>;
    total_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_stars?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "profile" */
export type Profile_Insert_Input = {
    design_count?: InputMaybe<Scalars['Int']>;
    finish_count?: InputMaybe<Scalars['Int']>;
    incomplete_count?: InputMaybe<Scalars['Int']>;
    invitation_count?: InputMaybe<Scalars['Int']>;
    mean_play_time?: InputMaybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    mean_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    participation_count?: InputMaybe<Scalars['Int']>;
    subject?: InputMaybe<Scalars['Int']>;
    total_play_time?: InputMaybe<Scalars['Int']>;
    total_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_stars?: InputMaybe<Scalars['Int']>;
    treasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Profile_Max_Fields = {
    __typename?: 'profile_max_fields';
    design_count?: Maybe<Scalars['Int']>;
    finish_count?: Maybe<Scalars['Int']>;
    incomplete_count?: Maybe<Scalars['Int']>;
    invitation_count?: Maybe<Scalars['Int']>;
    mean_play_time?: Maybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    mean_players_on_games_designed?: Maybe<Scalars['Int']>;
    participation_count?: Maybe<Scalars['Int']>;
    subject?: Maybe<Scalars['Int']>;
    total_play_time?: Maybe<Scalars['Int']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    total_players_on_games_designed?: Maybe<Scalars['Int']>;
    total_stars?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Profile_Min_Fields = {
    __typename?: 'profile_min_fields';
    design_count?: Maybe<Scalars['Int']>;
    finish_count?: Maybe<Scalars['Int']>;
    incomplete_count?: Maybe<Scalars['Int']>;
    invitation_count?: Maybe<Scalars['Int']>;
    mean_play_time?: Maybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    mean_players_on_games_designed?: Maybe<Scalars['Int']>;
    participation_count?: Maybe<Scalars['Int']>;
    subject?: Maybe<Scalars['Int']>;
    total_play_time?: Maybe<Scalars['Int']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    total_players_on_games_designed?: Maybe<Scalars['Int']>;
    total_stars?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "profile" */
export type Profile_Mutation_Response = {
    __typename?: 'profile_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Profile>;
};
/** Ordering options when selecting data from "profile". */
export type Profile_Order_By = {
    design_count?: InputMaybe<Order_By>;
    finish_count?: InputMaybe<Order_By>;
    incomplete_count?: InputMaybe<Order_By>;
    invitation_count?: InputMaybe<Order_By>;
    mean_play_time?: InputMaybe<Order_By>;
    mean_play_time_on_games_designed?: InputMaybe<Order_By>;
    mean_players_on_games_designed?: InputMaybe<Order_By>;
    participation_count?: InputMaybe<Order_By>;
    subject?: InputMaybe<Order_By>;
    total_play_time?: InputMaybe<Order_By>;
    total_play_time_on_games_designed?: InputMaybe<Order_By>;
    total_players_on_games_designed?: InputMaybe<Order_By>;
    total_stars?: InputMaybe<Order_By>;
    treasureUser?: InputMaybe<Treasure_User_Order_By>;
};
/** select columns of table "profile" */
export declare enum Profile_Select_Column {
    /** column name */
    DesignCount = "design_count",
    /** column name */
    FinishCount = "finish_count",
    /** column name */
    IncompleteCount = "incomplete_count",
    /** column name */
    InvitationCount = "invitation_count",
    /** column name */
    MeanPlayTime = "mean_play_time",
    /** column name */
    MeanPlayTimeOnGamesDesigned = "mean_play_time_on_games_designed",
    /** column name */
    MeanPlayersOnGamesDesigned = "mean_players_on_games_designed",
    /** column name */
    ParticipationCount = "participation_count",
    /** column name */
    Subject = "subject",
    /** column name */
    TotalPlayTime = "total_play_time",
    /** column name */
    TotalPlayTimeOnGamesDesigned = "total_play_time_on_games_designed",
    /** column name */
    TotalPlayersOnGamesDesigned = "total_players_on_games_designed",
    /** column name */
    TotalStars = "total_stars"
}
/** input type for updating data in table "profile" */
export type Profile_Set_Input = {
    design_count?: InputMaybe<Scalars['Int']>;
    finish_count?: InputMaybe<Scalars['Int']>;
    incomplete_count?: InputMaybe<Scalars['Int']>;
    invitation_count?: InputMaybe<Scalars['Int']>;
    mean_play_time?: InputMaybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    mean_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    participation_count?: InputMaybe<Scalars['Int']>;
    subject?: InputMaybe<Scalars['Int']>;
    total_play_time?: InputMaybe<Scalars['Int']>;
    total_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_stars?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Profile_Stddev_Fields = {
    __typename?: 'profile_stddev_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Profile_Stddev_Pop_Fields = {
    __typename?: 'profile_stddev_pop_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Profile_Stddev_Samp_Fields = {
    __typename?: 'profile_stddev_samp_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "profile" */
export type Profile_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Profile_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Profile_Stream_Cursor_Value_Input = {
    design_count?: InputMaybe<Scalars['Int']>;
    finish_count?: InputMaybe<Scalars['Int']>;
    incomplete_count?: InputMaybe<Scalars['Int']>;
    invitation_count?: InputMaybe<Scalars['Int']>;
    mean_play_time?: InputMaybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    mean_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    participation_count?: InputMaybe<Scalars['Int']>;
    subject?: InputMaybe<Scalars['Int']>;
    total_play_time?: InputMaybe<Scalars['Int']>;
    total_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_stars?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Profile_Sum_Fields = {
    __typename?: 'profile_sum_fields';
    design_count?: Maybe<Scalars['Int']>;
    finish_count?: Maybe<Scalars['Int']>;
    incomplete_count?: Maybe<Scalars['Int']>;
    invitation_count?: Maybe<Scalars['Int']>;
    mean_play_time?: Maybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    mean_players_on_games_designed?: Maybe<Scalars['Int']>;
    participation_count?: Maybe<Scalars['Int']>;
    subject?: Maybe<Scalars['Int']>;
    total_play_time?: Maybe<Scalars['Int']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    total_players_on_games_designed?: Maybe<Scalars['Int']>;
    total_stars?: Maybe<Scalars['Int']>;
};
export type Profile_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Profile_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Profile_Set_Input>;
    /** filter the rows which have to be updated */
    where: Profile_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Profile_Var_Pop_Fields = {
    __typename?: 'profile_var_pop_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Profile_Var_Samp_Fields = {
    __typename?: 'profile_var_samp_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Profile_Variance_Fields = {
    __typename?: 'profile_variance_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** purchased service or product by rp or money */
export type Purchase = {
    __typename?: 'purchase';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    is_full?: Maybe<Scalars['Boolean']>;
    is_refunded?: Maybe<Scalars['Boolean']>;
    money?: Maybe<Scalars['Int']>;
    /** An object relationship */
    product?: Maybe<Product>;
    product_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    purchaser: Treasure_User;
    purchaser_id: Scalars['Int'];
    refunded_at?: Maybe<Scalars['timestamptz']>;
    refunded_money?: Maybe<Scalars['Int']>;
    refunded_rp?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    /** An object relationship */
    sell?: Maybe<Sell>;
    sell_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "purchase" */
export type Purchase_Aggregate = {
    __typename?: 'purchase_aggregate';
    aggregate?: Maybe<Purchase_Aggregate_Fields>;
    nodes: Array<Purchase>;
};
export type Purchase_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Purchase_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Purchase_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Purchase_Aggregate_Bool_Exp_Count>;
};
export type Purchase_Aggregate_Bool_Exp_Bool_And = {
    arguments: Purchase_Select_Column_Purchase_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Purchase_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Purchase_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Purchase_Select_Column_Purchase_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Purchase_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Purchase_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Purchase_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Purchase_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "purchase" */
export type Purchase_Aggregate_Fields = {
    __typename?: 'purchase_aggregate_fields';
    avg?: Maybe<Purchase_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Purchase_Max_Fields>;
    min?: Maybe<Purchase_Min_Fields>;
    stddev?: Maybe<Purchase_Stddev_Fields>;
    stddev_pop?: Maybe<Purchase_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Purchase_Stddev_Samp_Fields>;
    sum?: Maybe<Purchase_Sum_Fields>;
    var_pop?: Maybe<Purchase_Var_Pop_Fields>;
    var_samp?: Maybe<Purchase_Var_Samp_Fields>;
    variance?: Maybe<Purchase_Variance_Fields>;
};
/** aggregate fields of "purchase" */
export type Purchase_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Purchase_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "purchase" */
export type Purchase_Aggregate_Order_By = {
    avg?: InputMaybe<Purchase_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Purchase_Max_Order_By>;
    min?: InputMaybe<Purchase_Min_Order_By>;
    stddev?: InputMaybe<Purchase_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Purchase_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Purchase_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Purchase_Sum_Order_By>;
    var_pop?: InputMaybe<Purchase_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Purchase_Var_Samp_Order_By>;
    variance?: InputMaybe<Purchase_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "purchase" */
export type Purchase_Arr_Rel_Insert_Input = {
    data: Array<Purchase_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Purchase_On_Conflict>;
};
/** aggregate avg on columns */
export type Purchase_Avg_Fields = {
    __typename?: 'purchase_avg_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "purchase" */
export type Purchase_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "purchase". All fields are combined with a logical 'AND'. */
export type Purchase_Bool_Exp = {
    _and?: InputMaybe<Array<Purchase_Bool_Exp>>;
    _not?: InputMaybe<Purchase_Bool_Exp>;
    _or?: InputMaybe<Array<Purchase_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_full?: InputMaybe<Boolean_Comparison_Exp>;
    is_refunded?: InputMaybe<Boolean_Comparison_Exp>;
    money?: InputMaybe<Int_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
    purchaser?: InputMaybe<Treasure_User_Bool_Exp>;
    purchaser_id?: InputMaybe<Int_Comparison_Exp>;
    refunded_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    refunded_money?: InputMaybe<Int_Comparison_Exp>;
    refunded_rp?: InputMaybe<Int_Comparison_Exp>;
    rp?: InputMaybe<Int_Comparison_Exp>;
    sell?: InputMaybe<Sell_Bool_Exp>;
    sell_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "purchase" */
export declare enum Purchase_Constraint {
    /** unique or primary key constraint on columns "id" */
    PurchasePkey = "purchase_pkey"
}
/** input type for incrementing numeric columns in table "purchase" */
export type Purchase_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    money?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    purchaser_id?: InputMaybe<Scalars['Int']>;
    refunded_money?: InputMaybe<Scalars['Int']>;
    refunded_rp?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    sell_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "purchase" */
export type Purchase_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    is_full?: InputMaybe<Scalars['Boolean']>;
    is_refunded?: InputMaybe<Scalars['Boolean']>;
    money?: InputMaybe<Scalars['Int']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
    purchaser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    purchaser_id?: InputMaybe<Scalars['Int']>;
    refunded_at?: InputMaybe<Scalars['timestamptz']>;
    refunded_money?: InputMaybe<Scalars['Int']>;
    refunded_rp?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    sell?: InputMaybe<Sell_Obj_Rel_Insert_Input>;
    sell_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Purchase_Max_Fields = {
    __typename?: 'purchase_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    purchaser_id?: Maybe<Scalars['Int']>;
    refunded_at?: Maybe<Scalars['timestamptz']>;
    refunded_money?: Maybe<Scalars['Int']>;
    refunded_rp?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    sell_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "purchase" */
export type Purchase_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_at?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Purchase_Min_Fields = {
    __typename?: 'purchase_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    purchaser_id?: Maybe<Scalars['Int']>;
    refunded_at?: Maybe<Scalars['timestamptz']>;
    refunded_money?: Maybe<Scalars['Int']>;
    refunded_rp?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    sell_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "purchase" */
export type Purchase_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_at?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "purchase" */
export type Purchase_Mutation_Response = {
    __typename?: 'purchase_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Purchase>;
};
/** on_conflict condition type for table "purchase" */
export type Purchase_On_Conflict = {
    constraint: Purchase_Constraint;
    update_columns?: Array<Purchase_Update_Column>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
/** Ordering options when selecting data from "purchase". */
export type Purchase_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_full?: InputMaybe<Order_By>;
    is_refunded?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser?: InputMaybe<Treasure_User_Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_at?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell?: InputMaybe<Sell_Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: purchase */
export type Purchase_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "purchase" */
export declare enum Purchase_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    IsFull = "is_full",
    /** column name */
    IsRefunded = "is_refunded",
    /** column name */
    Money = "money",
    /** column name */
    ProductId = "product_id",
    /** column name */
    PurchaserId = "purchaser_id",
    /** column name */
    RefundedAt = "refunded_at",
    /** column name */
    RefundedMoney = "refunded_money",
    /** column name */
    RefundedRp = "refunded_rp",
    /** column name */
    Rp = "rp",
    /** column name */
    SellId = "sell_id"
}
/** select "purchase_aggregate_bool_exp_bool_and_arguments_columns" columns of table "purchase" */
export declare enum Purchase_Select_Column_Purchase_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsFull = "is_full",
    /** column name */
    IsRefunded = "is_refunded"
}
/** select "purchase_aggregate_bool_exp_bool_or_arguments_columns" columns of table "purchase" */
export declare enum Purchase_Select_Column_Purchase_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsFull = "is_full",
    /** column name */
    IsRefunded = "is_refunded"
}
/** input type for updating data in table "purchase" */
export type Purchase_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    is_full?: InputMaybe<Scalars['Boolean']>;
    is_refunded?: InputMaybe<Scalars['Boolean']>;
    money?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    purchaser_id?: InputMaybe<Scalars['Int']>;
    refunded_at?: InputMaybe<Scalars['timestamptz']>;
    refunded_money?: InputMaybe<Scalars['Int']>;
    refunded_rp?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    sell_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Purchase_Stddev_Fields = {
    __typename?: 'purchase_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "purchase" */
export type Purchase_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Purchase_Stddev_Pop_Fields = {
    __typename?: 'purchase_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "purchase" */
export type Purchase_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Purchase_Stddev_Samp_Fields = {
    __typename?: 'purchase_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "purchase" */
export type Purchase_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "purchase" */
export type Purchase_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Purchase_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Purchase_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    is_full?: InputMaybe<Scalars['Boolean']>;
    is_refunded?: InputMaybe<Scalars['Boolean']>;
    money?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    purchaser_id?: InputMaybe<Scalars['Int']>;
    refunded_at?: InputMaybe<Scalars['timestamptz']>;
    refunded_money?: InputMaybe<Scalars['Int']>;
    refunded_rp?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    sell_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Purchase_Sum_Fields = {
    __typename?: 'purchase_sum_fields';
    id?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    purchaser_id?: Maybe<Scalars['Int']>;
    refunded_money?: Maybe<Scalars['Int']>;
    refunded_rp?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    sell_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "purchase" */
export type Purchase_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** update columns of table "purchase" */
export declare enum Purchase_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    IsFull = "is_full",
    /** column name */
    IsRefunded = "is_refunded",
    /** column name */
    Money = "money",
    /** column name */
    ProductId = "product_id",
    /** column name */
    PurchaserId = "purchaser_id",
    /** column name */
    RefundedAt = "refunded_at",
    /** column name */
    RefundedMoney = "refunded_money",
    /** column name */
    RefundedRp = "refunded_rp",
    /** column name */
    Rp = "rp",
    /** column name */
    SellId = "sell_id"
}
export type Purchase_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Purchase_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Purchase_Set_Input>;
    /** filter the rows which have to be updated */
    where: Purchase_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Purchase_Var_Pop_Fields = {
    __typename?: 'purchase_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "purchase" */
export type Purchase_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Purchase_Var_Samp_Fields = {
    __typename?: 'purchase_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "purchase" */
export type Purchase_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Purchase_Variance_Fields = {
    __typename?: 'purchase_variance_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "purchase" */
export type Purchase_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
export type Query_Root = {
    __typename?: 'query_root';
    /** fetch data from the table: "alarm" */
    alarm: Array<Alarm>;
    /** fetch aggregated fields from the table: "alarm" */
    alarm_aggregate: Alarm_Aggregate;
    /** fetch data from the table: "alarm" using primary key columns */
    alarm_by_pk?: Maybe<Alarm>;
    /** fetch data from the table: "animation_stage" */
    animation_stage: Array<Animation_Stage>;
    /** fetch aggregated fields from the table: "animation_stage" */
    animation_stage_aggregate: Animation_Stage_Aggregate;
    /** fetch data from the table: "animation_stage" using primary key columns */
    animation_stage_by_pk?: Maybe<Animation_Stage>;
    /** fetch data from the table: "answer" */
    answer: Array<Answer>;
    /** fetch aggregated fields from the table: "answer" */
    answer_aggregate: Answer_Aggregate;
    /** fetch data from the table: "answer" using primary key columns */
    answer_by_pk?: Maybe<Answer>;
    /** fetch data from the table: "answer_type" */
    answer_type: Array<Answer_Type>;
    /** fetch aggregated fields from the table: "answer_type" */
    answer_type_aggregate: Answer_Type_Aggregate;
    /** fetch data from the table: "answer_type" using primary key columns */
    answer_type_by_pk?: Maybe<Answer_Type>;
    /** fetch data from the table: "area" */
    area: Array<Area>;
    /** fetch aggregated fields from the table: "area" */
    area_aggregate: Area_Aggregate;
    /** fetch data from the table: "area" using primary key columns */
    area_by_pk?: Maybe<Area>;
    /** fetch data from the table: "auth.account_providers" */
    auth_account_providers: Array<Auth_Account_Providers>;
    /** fetch aggregated fields from the table: "auth.account_providers" */
    auth_account_providers_aggregate: Auth_Account_Providers_Aggregate;
    /** fetch data from the table: "auth.account_providers" using primary key columns */
    auth_account_providers_by_pk?: Maybe<Auth_Account_Providers>;
    /** fetch data from the table: "auth.account_roles" */
    auth_account_roles: Array<Auth_Account_Roles>;
    /** fetch aggregated fields from the table: "auth.account_roles" */
    auth_account_roles_aggregate: Auth_Account_Roles_Aggregate;
    /** fetch data from the table: "auth.account_roles" using primary key columns */
    auth_account_roles_by_pk?: Maybe<Auth_Account_Roles>;
    /** fetch data from the table: "auth.accounts" */
    auth_accounts: Array<Auth_Accounts>;
    /** fetch aggregated fields from the table: "auth.accounts" */
    auth_accounts_aggregate: Auth_Accounts_Aggregate;
    /** fetch data from the table: "auth.accounts" using primary key columns */
    auth_accounts_by_pk?: Maybe<Auth_Accounts>;
    /** fetch data from the table: "auth.providers" */
    auth_providers: Array<Auth_Providers>;
    /** fetch aggregated fields from the table: "auth.providers" */
    auth_providers_aggregate: Auth_Providers_Aggregate;
    /** fetch data from the table: "auth.providers" using primary key columns */
    auth_providers_by_pk?: Maybe<Auth_Providers>;
    /** fetch data from the table: "auth.refresh_tokens" */
    auth_refresh_tokens: Array<Auth_Refresh_Tokens>;
    /** fetch aggregated fields from the table: "auth.refresh_tokens" */
    auth_refresh_tokens_aggregate: Auth_Refresh_Tokens_Aggregate;
    /** fetch data from the table: "auth.refresh_tokens" using primary key columns */
    auth_refresh_tokens_by_pk?: Maybe<Auth_Refresh_Tokens>;
    /** fetch data from the table: "auth.roles" */
    auth_roles: Array<Auth_Roles>;
    /** fetch aggregated fields from the table: "auth.roles" */
    auth_roles_aggregate: Auth_Roles_Aggregate;
    /** fetch data from the table: "auth.roles" using primary key columns */
    auth_roles_by_pk?: Maybe<Auth_Roles>;
    /** fetch data from the table: "badge" */
    badge: Array<Badge>;
    /** fetch aggregated fields from the table: "badge" */
    badge_aggregate: Badge_Aggregate;
    /** fetch data from the table: "badge" using primary key columns */
    badge_by_pk?: Maybe<Badge>;
    /** fetch data from the table: "badge_category" */
    badge_category: Array<Badge_Category>;
    /** fetch aggregated fields from the table: "badge_category" */
    badge_category_aggregate: Badge_Category_Aggregate;
    /** fetch data from the table: "badge_category" using primary key columns */
    badge_category_by_pk?: Maybe<Badge_Category>;
    /** fetch data from the table: "badge_type" */
    badge_type: Array<Badge_Type>;
    /** fetch aggregated fields from the table: "badge_type" */
    badge_type_aggregate: Badge_Type_Aggregate;
    /** fetch data from the table: "badge_type" using primary key columns */
    badge_type_by_pk?: Maybe<Badge_Type>;
    /** fetch data from the table: "batch" */
    batch: Array<Batch>;
    /** fetch aggregated fields from the table: "batch" */
    batch_aggregate: Batch_Aggregate;
    /** fetch data from the table: "batch" using primary key columns */
    batch_by_pk?: Maybe<Batch>;
    /** fetch data from the table: "blueprint" */
    blueprint: Array<Blueprint>;
    /** fetch aggregated fields from the table: "blueprint" */
    blueprint_aggregate: Blueprint_Aggregate;
    /** fetch data from the table: "blueprint" using primary key columns */
    blueprint_by_pk?: Maybe<Blueprint>;
    /** fetch data from the table: "business_model_type" */
    business_model_type: Array<Business_Model_Type>;
    /** fetch aggregated fields from the table: "business_model_type" */
    business_model_type_aggregate: Business_Model_Type_Aggregate;
    /** fetch data from the table: "business_model_type" using primary key columns */
    business_model_type_by_pk?: Maybe<Business_Model_Type>;
    /** fetch data from the table: "charge" */
    charge: Array<Charge>;
    /** fetch aggregated fields from the table: "charge" */
    charge_aggregate: Charge_Aggregate;
    /** fetch data from the table: "charge" using primary key columns */
    charge_by_pk?: Maybe<Charge>;
    /** fetch data from the table: "charger" */
    charger: Array<Charger>;
    /** fetch aggregated fields from the table: "charger" */
    charger_aggregate: Charger_Aggregate;
    /** fetch data from the table: "charger" using primary key columns */
    charger_by_pk?: Maybe<Charger>;
    check_confirming_and_settlement_about_game?: Maybe<CheckConfirmingAndSettlementAboutGameOutput>;
    check_judge_hasura_entrypoint?: Maybe<CheckJudgeHasuraEntrypointOutput>;
    check_judge_working?: Maybe<CheckJudgeHasuraWorkingOutput>;
    /** fetch data from the table: "condition" */
    condition: Array<Condition>;
    /** fetch aggregated fields from the table: "condition" */
    condition_aggregate: Condition_Aggregate;
    /** fetch data from the table: "condition" using primary key columns */
    condition_by_pk?: Maybe<Condition>;
    /** fetch data from the table: "condition_type" */
    condition_type: Array<Condition_Type>;
    /** fetch aggregated fields from the table: "condition_type" */
    condition_type_aggregate: Condition_Type_Aggregate;
    /** fetch data from the table: "condition_type" using primary key columns */
    condition_type_by_pk?: Maybe<Condition_Type>;
    /** fetch data from the table: "content" */
    content: Array<Content>;
    /** fetch aggregated fields from the table: "content" */
    content_aggregate: Content_Aggregate;
    /** fetch data from the table: "content" using primary key columns */
    content_by_pk?: Maybe<Content>;
    /** fetch data from the table: "contract" */
    contract: Array<Contract>;
    /** fetch aggregated fields from the table: "contract" */
    contract_aggregate: Contract_Aggregate;
    /** fetch data from the table: "contract" using primary key columns */
    contract_by_pk?: Maybe<Contract>;
    /** fetch data from the table: "contract_type" */
    contract_type: Array<Contract_Type>;
    /** fetch aggregated fields from the table: "contract_type" */
    contract_type_aggregate: Contract_Type_Aggregate;
    /** fetch data from the table: "contract_type" using primary key columns */
    contract_type_by_pk?: Maybe<Contract_Type>;
    /** fetch data from the table: "currency" */
    currency: Array<Currency>;
    /** fetch aggregated fields from the table: "currency" */
    currency_aggregate: Currency_Aggregate;
    /** fetch data from the table: "currency" using primary key columns */
    currency_by_pk?: Maybe<Currency>;
    /** fetch data from the table: "currency_exchange" */
    currency_exchange: Array<Currency_Exchange>;
    /** fetch aggregated fields from the table: "currency_exchange" */
    currency_exchange_aggregate: Currency_Exchange_Aggregate;
    /** fetch data from the table: "currency_exchange" using primary key columns */
    currency_exchange_by_pk?: Maybe<Currency_Exchange>;
    /** fetch data from the table: "currency_type" */
    currency_type: Array<Currency_Type>;
    /** fetch aggregated fields from the table: "currency_type" */
    currency_type_aggregate: Currency_Type_Aggregate;
    /** fetch data from the table: "currency_type" using primary key columns */
    currency_type_by_pk?: Maybe<Currency_Type>;
    /** fetch data from the table: "desktop_type" */
    desktop_type: Array<Desktop_Type>;
    /** fetch aggregated fields from the table: "desktop_type" */
    desktop_type_aggregate: Desktop_Type_Aggregate;
    /** fetch data from the table: "desktop_type" using primary key columns */
    desktop_type_by_pk?: Maybe<Desktop_Type>;
    /** fetch data from the table: "entrypoint" */
    entrypoint: Array<Entrypoint>;
    /** fetch aggregated fields from the table: "entrypoint" */
    entrypoint_aggregate: Entrypoint_Aggregate;
    /** fetch data from the table: "entrypoint" using primary key columns */
    entrypoint_by_pk?: Maybe<Entrypoint>;
    /** fetch data from the table: "evaluator" */
    evaluator: Array<Evaluator>;
    /** fetch aggregated fields from the table: "evaluator" */
    evaluator_aggregate: Evaluator_Aggregate;
    /** fetch data from the table: "evaluator" using primary key columns */
    evaluator_by_pk?: Maybe<Evaluator>;
    /** fetch data from the table: "example" */
    example: Array<Example>;
    /** fetch aggregated fields from the table: "example" */
    example_aggregate: Example_Aggregate;
    /** fetch data from the table: "example" using primary key columns */
    example_by_pk?: Maybe<Example>;
    /** fetch data from the table: "example_type" */
    example_type: Array<Example_Type>;
    /** fetch aggregated fields from the table: "example_type" */
    example_type_aggregate: Example_Type_Aggregate;
    /** fetch data from the table: "example_type" using primary key columns */
    example_type_by_pk?: Maybe<Example_Type>;
    /** fetch data from the table: "exhibition_determinant" */
    exhibition_determinant: Array<Exhibition_Determinant>;
    /** fetch aggregated fields from the table: "exhibition_determinant" */
    exhibition_determinant_aggregate: Exhibition_Determinant_Aggregate;
    /** fetch data from the table: "exhibition_determinant" using primary key columns */
    exhibition_determinant_by_pk?: Maybe<Exhibition_Determinant>;
    /** fetch data from the table: "flag" */
    flag: Array<Flag>;
    /** fetch aggregated fields from the table: "flag" */
    flag_aggregate: Flag_Aggregate;
    /** fetch data from the table: "flag" using primary key columns */
    flag_by_pk?: Maybe<Flag>;
    /** fetch data from the table: "flag_type" */
    flag_type: Array<Flag_Type>;
    /** fetch aggregated fields from the table: "flag_type" */
    flag_type_aggregate: Flag_Type_Aggregate;
    /** fetch data from the table: "flag_type" using primary key columns */
    flag_type_by_pk?: Maybe<Flag_Type>;
    /** fetch data from the table: "game" */
    game: Array<Game>;
    /** fetch data from the table: "game_action" */
    game_action: Array<Game_Action>;
    /** fetch aggregated fields from the table: "game_action" */
    game_action_aggregate: Game_Action_Aggregate;
    /** fetch data from the table: "game_action" using primary key columns */
    game_action_by_pk?: Maybe<Game_Action>;
    /** fetch aggregated fields from the table: "game" */
    game_aggregate: Game_Aggregate;
    /** fetch data from the table: "game" using primary key columns */
    game_by_pk?: Maybe<Game>;
    /** fetch data from the table: "game_design" */
    game_design: Array<Game_Design>;
    /** fetch aggregated fields from the table: "game_design" */
    game_design_aggregate: Game_Design_Aggregate;
    /** fetch data from the table: "game_design" using primary key columns */
    game_design_by_pk?: Maybe<Game_Design>;
    /** fetch data from the table: "game_group" */
    game_group: Array<Game_Group>;
    /** fetch aggregated fields from the table: "game_group" */
    game_group_aggregate: Game_Group_Aggregate;
    /** fetch data from the table: "game_group" using primary key columns */
    game_group_by_pk?: Maybe<Game_Group>;
    /** fetch data from the table: "game_hunter" */
    game_hunter: Array<Game_Hunter>;
    /** fetch aggregated fields from the table: "game_hunter" */
    game_hunter_aggregate: Game_Hunter_Aggregate;
    /** fetch data from the table: "game_hunter" using primary key columns */
    game_hunter_by_pk?: Maybe<Game_Hunter>;
    /** fetch data from the table: "game_management" */
    game_management: Array<Game_Management>;
    /** fetch aggregated fields from the table: "game_management" */
    game_management_aggregate: Game_Management_Aggregate;
    /** fetch data from the table: "game_management" using primary key columns */
    game_management_by_pk?: Maybe<Game_Management>;
    /** fetch data from the table: "game_operators" */
    game_operators: Array<Game_Operators>;
    /** fetch aggregated fields from the table: "game_operators" */
    game_operators_aggregate: Game_Operators_Aggregate;
    /** fetch data from the table: "game_operators" using primary key columns */
    game_operators_by_pk?: Maybe<Game_Operators>;
    /** fetch data from the table: "game_record" */
    game_record: Array<Game_Record>;
    /** fetch aggregated fields from the table: "game_record" */
    game_record_aggregate: Game_Record_Aggregate;
    /** fetch data from the table: "game_record" using primary key columns */
    game_record_by_pk?: Maybe<Game_Record>;
    /** fetch data from the table: "game_requirement" */
    game_requirement: Array<Game_Requirement>;
    /** fetch aggregated fields from the table: "game_requirement" */
    game_requirement_aggregate: Game_Requirement_Aggregate;
    /** fetch data from the table: "game_requirement" using primary key columns */
    game_requirement_by_pk?: Maybe<Game_Requirement>;
    /** fetch data from the table: "game_state_type" */
    game_state_type: Array<Game_State_Type>;
    /** fetch aggregated fields from the table: "game_state_type" */
    game_state_type_aggregate: Game_State_Type_Aggregate;
    /** fetch data from the table: "game_state_type" using primary key columns */
    game_state_type_by_pk?: Maybe<Game_State_Type>;
    /** fetch data from the table: "game_winner" */
    game_winner: Array<Game_Winner>;
    /** fetch aggregated fields from the table: "game_winner" */
    game_winner_aggregate: Game_Winner_Aggregate;
    /** fetch data from the table: "game_winner" using primary key columns */
    game_winner_by_pk?: Maybe<Game_Winner>;
    /** fetch data from the table: "games_locus" */
    games_locus: Array<Games_Locus>;
    /** fetch aggregated fields from the table: "games_locus" */
    games_locus_aggregate: Games_Locus_Aggregate;
    /** fetch data from the table: "games_locus" using primary key columns */
    games_locus_by_pk?: Maybe<Games_Locus>;
    /** fetch data from the table: "gift" */
    gift: Array<Gift>;
    /** fetch aggregated fields from the table: "gift" */
    gift_aggregate: Gift_Aggregate;
    /** fetch data from the table: "gift" using primary key columns */
    gift_by_pk?: Maybe<Gift>;
    /** fetch data from the table: "goods" */
    goods: Array<Goods>;
    /** fetch aggregated fields from the table: "goods" */
    goods_aggregate: Goods_Aggregate;
    /** fetch data from the table: "goods" using primary key columns */
    goods_by_pk?: Maybe<Goods>;
    /** fetch data from the table: "hier_type" */
    hier_type: Array<Hier_Type>;
    /** fetch aggregated fields from the table: "hier_type" */
    hier_type_aggregate: Hier_Type_Aggregate;
    /** fetch data from the table: "hier_type" using primary key columns */
    hier_type_by_pk?: Maybe<Hier_Type>;
    /** fetch data from the table: "incognito" */
    incognito: Array<Incognito>;
    /** fetch aggregated fields from the table: "incognito" */
    incognito_aggregate: Incognito_Aggregate;
    /** fetch data from the table: "incognito" using primary key columns */
    incognito_by_pk?: Maybe<Incognito>;
    /** fetch data from the table: "inscription" */
    inscription: Array<Inscription>;
    /** fetch aggregated fields from the table: "inscription" */
    inscription_aggregate: Inscription_Aggregate;
    /** fetch data from the table: "inscription" using primary key columns */
    inscription_by_pk?: Maybe<Inscription>;
    /** fetch data from the table: "interface_type" */
    interface_type: Array<Interface_Type>;
    /** fetch aggregated fields from the table: "interface_type" */
    interface_type_aggregate: Interface_Type_Aggregate;
    /** fetch data from the table: "interface_type" using primary key columns */
    interface_type_by_pk?: Maybe<Interface_Type>;
    /** fetch data from the table: "judge" */
    judge: Array<Judge>;
    /** fetch aggregated fields from the table: "judge" */
    judge_aggregate: Judge_Aggregate;
    /** fetch data from the table: "judge" using primary key columns */
    judge_by_pk?: Maybe<Judge>;
    /** fetch data from the table: "judge_display_type" */
    judge_display_type: Array<Judge_Display_Type>;
    /** fetch aggregated fields from the table: "judge_display_type" */
    judge_display_type_aggregate: Judge_Display_Type_Aggregate;
    /** fetch data from the table: "judge_display_type" using primary key columns */
    judge_display_type_by_pk?: Maybe<Judge_Display_Type>;
    /** fetch data from the table: "judge_entry" */
    judge_entry: Array<Judge_Entry>;
    /** fetch aggregated fields from the table: "judge_entry" */
    judge_entry_aggregate: Judge_Entry_Aggregate;
    /** fetch data from the table: "judge_entry" using primary key columns */
    judge_entry_by_pk?: Maybe<Judge_Entry>;
    /** fetch data from the table: "judge_role_type" */
    judge_role_type: Array<Judge_Role_Type>;
    /** fetch aggregated fields from the table: "judge_role_type" */
    judge_role_type_aggregate: Judge_Role_Type_Aggregate;
    /** fetch data from the table: "judge_role_type" using primary key columns */
    judge_role_type_by_pk?: Maybe<Judge_Role_Type>;
    /** fetch data from the table: "kairos" */
    kairos: Array<Kairos>;
    /** fetch aggregated fields from the table: "kairos" */
    kairos_aggregate: Kairos_Aggregate;
    /** fetch data from the table: "kairos" using primary key columns */
    kairos_by_pk?: Maybe<Kairos>;
    /** fetch data from the table: "keyword_description" */
    keyword_description: Array<Keyword_Description>;
    /** fetch aggregated fields from the table: "keyword_description" */
    keyword_description_aggregate: Keyword_Description_Aggregate;
    /** fetch data from the table: "keyword_description" using primary key columns */
    keyword_description_by_pk?: Maybe<Keyword_Description>;
    /** fetch data from the table: "language" */
    language: Array<Language>;
    /** fetch aggregated fields from the table: "language" */
    language_aggregate: Language_Aggregate;
    /** fetch data from the table: "language" using primary key columns */
    language_by_pk?: Maybe<Language>;
    /** fetch data from the table: "location" */
    location: Array<Location>;
    /** fetch aggregated fields from the table: "location" */
    location_aggregate: Location_Aggregate;
    /** fetch data from the table: "location" using primary key columns */
    location_by_pk?: Maybe<Location>;
    /** fetch data from the table: "locus" */
    locus: Array<Locus>;
    /** fetch aggregated fields from the table: "locus" */
    locus_aggregate: Locus_Aggregate;
    /** fetch data from the table: "locus" using primary key columns */
    locus_by_pk?: Maybe<Locus>;
    /** fetch data from the table: "locus_imitate" */
    locus_imitate: Array<Locus_Imitate>;
    /** fetch aggregated fields from the table: "locus_imitate" */
    locus_imitate_aggregate: Locus_Imitate_Aggregate;
    /** fetch data from the table: "locus_imitate" using primary key columns */
    locus_imitate_by_pk?: Maybe<Locus_Imitate>;
    /** fetch data from the table: "locus_member" */
    locus_member: Array<Locus_Member>;
    /** fetch aggregated fields from the table: "locus_member" */
    locus_member_aggregate: Locus_Member_Aggregate;
    /** fetch data from the table: "locus_member" using primary key columns */
    locus_member_by_pk?: Maybe<Locus_Member>;
    /** fetch data from the table: "locus_operation_type" */
    locus_operation_type: Array<Locus_Operation_Type>;
    /** fetch aggregated fields from the table: "locus_operation_type" */
    locus_operation_type_aggregate: Locus_Operation_Type_Aggregate;
    /** fetch data from the table: "locus_operation_type" using primary key columns */
    locus_operation_type_by_pk?: Maybe<Locus_Operation_Type>;
    /** fetch data from the table: "locus_policy" */
    locus_policy: Array<Locus_Policy>;
    /** fetch aggregated fields from the table: "locus_policy" */
    locus_policy_aggregate: Locus_Policy_Aggregate;
    /** fetch data from the table: "locus_policy" using primary key columns */
    locus_policy_by_pk?: Maybe<Locus_Policy>;
    /** fetch data from the table: "locus_state" */
    locus_state: Array<Locus_State>;
    /** fetch aggregated fields from the table: "locus_state" */
    locus_state_aggregate: Locus_State_Aggregate;
    /** fetch data from the table: "locus_state" using primary key columns */
    locus_state_by_pk?: Maybe<Locus_State>;
    /** fetch data from the table: "locus_theme" */
    locus_theme: Array<Locus_Theme>;
    /** fetch aggregated fields from the table: "locus_theme" */
    locus_theme_aggregate: Locus_Theme_Aggregate;
    /** fetch data from the table: "locus_theme" using primary key columns */
    locus_theme_by_pk?: Maybe<Locus_Theme>;
    /** fetch data from the table: "locus_type" */
    locus_type: Array<Locus_Type>;
    /** fetch aggregated fields from the table: "locus_type" */
    locus_type_aggregate: Locus_Type_Aggregate;
    /** fetch data from the table: "locus_type" using primary key columns */
    locus_type_by_pk?: Maybe<Locus_Type>;
    /** fetch data from the table: "map" */
    map: Array<Map>;
    /** fetch aggregated fields from the table: "map" */
    map_aggregate: Map_Aggregate;
    /** fetch data from the table: "map" using primary key columns */
    map_by_pk?: Maybe<Map>;
    /** fetch data from the table: "map_condition_type" */
    map_condition_type: Array<Map_Condition_Type>;
    /** fetch aggregated fields from the table: "map_condition_type" */
    map_condition_type_aggregate: Map_Condition_Type_Aggregate;
    /** fetch data from the table: "map_condition_type" using primary key columns */
    map_condition_type_by_pk?: Maybe<Map_Condition_Type>;
    /** fetch data from the table: "map_effect" */
    map_effect: Array<Map_Effect>;
    /** fetch aggregated fields from the table: "map_effect" */
    map_effect_aggregate: Map_Effect_Aggregate;
    /** fetch data from the table: "map_effect" using primary key columns */
    map_effect_by_pk?: Maybe<Map_Effect>;
    /** fetch data from the table: "map_effect_type" */
    map_effect_type: Array<Map_Effect_Type>;
    /** fetch aggregated fields from the table: "map_effect_type" */
    map_effect_type_aggregate: Map_Effect_Type_Aggregate;
    /** fetch data from the table: "map_effect_type" using primary key columns */
    map_effect_type_by_pk?: Maybe<Map_Effect_Type>;
    /** fetch data from the table: "map_item" */
    map_item: Array<Map_Item>;
    /** fetch aggregated fields from the table: "map_item" */
    map_item_aggregate: Map_Item_Aggregate;
    /** fetch data from the table: "map_item_animation" */
    map_item_animation: Array<Map_Item_Animation>;
    /** fetch aggregated fields from the table: "map_item_animation" */
    map_item_animation_aggregate: Map_Item_Animation_Aggregate;
    /** fetch data from the table: "map_item_animation" using primary key columns */
    map_item_animation_by_pk?: Maybe<Map_Item_Animation>;
    /** fetch data from the table: "map_item" using primary key columns */
    map_item_by_pk?: Maybe<Map_Item>;
    /** fetch data from the table: "map_item_state" */
    map_item_state: Array<Map_Item_State>;
    /** fetch aggregated fields from the table: "map_item_state" */
    map_item_state_aggregate: Map_Item_State_Aggregate;
    /** fetch data from the table: "map_item_state" using primary key columns */
    map_item_state_by_pk?: Maybe<Map_Item_State>;
    /** fetch data from the table: "medium_type" */
    medium_type: Array<Medium_Type>;
    /** fetch aggregated fields from the table: "medium_type" */
    medium_type_aggregate: Medium_Type_Aggregate;
    /** fetch data from the table: "medium_type" using primary key columns */
    medium_type_by_pk?: Maybe<Medium_Type>;
    /** fetch data from the table: "megaphone" */
    megaphone: Array<Megaphone>;
    /** fetch aggregated fields from the table: "megaphone" */
    megaphone_aggregate: Megaphone_Aggregate;
    /** fetch data from the table: "megaphone" using primary key columns */
    megaphone_by_pk?: Maybe<Megaphone>;
    /** fetch data from the table: "message" */
    message: Array<Message>;
    /** fetch aggregated fields from the table: "message" */
    message_aggregate: Message_Aggregate;
    /** fetch data from the table: "message" using primary key columns */
    message_by_pk?: Maybe<Message>;
    /** fetch data from the table: "mold" */
    mold: Array<Mold>;
    /** fetch aggregated fields from the table: "mold" */
    mold_aggregate: Mold_Aggregate;
    /** fetch data from the table: "mold_blueprint" */
    mold_blueprint: Array<Mold_Blueprint>;
    /** fetch aggregated fields from the table: "mold_blueprint" */
    mold_blueprint_aggregate: Mold_Blueprint_Aggregate;
    /** fetch data from the table: "mold_blueprint" using primary key columns */
    mold_blueprint_by_pk?: Maybe<Mold_Blueprint>;
    /** fetch data from the table: "mold" using primary key columns */
    mold_by_pk?: Maybe<Mold>;
    /** fetch data from the table: "morsel_type" */
    morsel_type: Array<Morsel_Type>;
    /** fetch aggregated fields from the table: "morsel_type" */
    morsel_type_aggregate: Morsel_Type_Aggregate;
    /** fetch data from the table: "morsel_type" using primary key columns */
    morsel_type_by_pk?: Maybe<Morsel_Type>;
    /** fetch data from the table: "operation" */
    operation: Array<Operation>;
    /** fetch aggregated fields from the table: "operation" */
    operation_aggregate: Operation_Aggregate;
    /** fetch data from the table: "operation" using primary key columns */
    operation_by_pk?: Maybe<Operation>;
    /** fetch data from the table: "operation_maintain_type" */
    operation_maintain_type: Array<Operation_Maintain_Type>;
    /** fetch aggregated fields from the table: "operation_maintain_type" */
    operation_maintain_type_aggregate: Operation_Maintain_Type_Aggregate;
    /** fetch data from the table: "operation_maintain_type" using primary key columns */
    operation_maintain_type_by_pk?: Maybe<Operation_Maintain_Type>;
    /** fetch data from the table: "operation_operator" */
    operation_operator: Array<Operation_Operator>;
    /** fetch aggregated fields from the table: "operation_operator" */
    operation_operator_aggregate: Operation_Operator_Aggregate;
    /** fetch data from the table: "operation_operator" using primary key columns */
    operation_operator_by_pk?: Maybe<Operation_Operator>;
    /** fetch data from the table: "operation_setting_type" */
    operation_setting_type: Array<Operation_Setting_Type>;
    /** fetch aggregated fields from the table: "operation_setting_type" */
    operation_setting_type_aggregate: Operation_Setting_Type_Aggregate;
    /** fetch data from the table: "operation_setting_type" using primary key columns */
    operation_setting_type_by_pk?: Maybe<Operation_Setting_Type>;
    /** fetch data from the table: "operation_state" */
    operation_state: Array<Operation_State>;
    /** fetch aggregated fields from the table: "operation_state" */
    operation_state_aggregate: Operation_State_Aggregate;
    /** fetch data from the table: "operation_state" using primary key columns */
    operation_state_by_pk?: Maybe<Operation_State>;
    /** fetch data from the table: "operation_type" */
    operation_type: Array<Operation_Type>;
    /** fetch aggregated fields from the table: "operation_type" */
    operation_type_aggregate: Operation_Type_Aggregate;
    /** fetch data from the table: "operation_type" using primary key columns */
    operation_type_by_pk?: Maybe<Operation_Type>;
    /** fetch data from the table: "operator_state_type" */
    operator_state_type: Array<Operator_State_Type>;
    /** fetch aggregated fields from the table: "operator_state_type" */
    operator_state_type_aggregate: Operator_State_Type_Aggregate;
    /** fetch data from the table: "operator_state_type" using primary key columns */
    operator_state_type_by_pk?: Maybe<Operator_State_Type>;
    /** fetch data from the table: "piece" */
    piece: Array<Piece>;
    /** fetch aggregated fields from the table: "piece" */
    piece_aggregate: Piece_Aggregate;
    /** fetch data from the table: "piece" using primary key columns */
    piece_by_pk?: Maybe<Piece>;
    /** fetch data from the table: "piece_locus" */
    piece_locus: Array<Piece_Locus>;
    /** fetch aggregated fields from the table: "piece_locus" */
    piece_locus_aggregate: Piece_Locus_Aggregate;
    /** fetch data from the table: "piece_locus" using primary key columns */
    piece_locus_by_pk?: Maybe<Piece_Locus>;
    /** fetch data from the table: "piece_type" */
    piece_type: Array<Piece_Type>;
    /** fetch aggregated fields from the table: "piece_type" */
    piece_type_aggregate: Piece_Type_Aggregate;
    /** fetch data from the table: "piece_type" using primary key columns */
    piece_type_by_pk?: Maybe<Piece_Type>;
    /** fetch data from the table: "post" */
    post: Array<Post>;
    /** fetch aggregated fields from the table: "post" */
    post_aggregate: Post_Aggregate;
    /** fetch data from the table: "post" using primary key columns */
    post_by_pk?: Maybe<Post>;
    /** fetch data from the table: "post_evaluation" */
    post_evaluation: Array<Post_Evaluation>;
    /** fetch aggregated fields from the table: "post_evaluation" */
    post_evaluation_aggregate: Post_Evaluation_Aggregate;
    /** fetch data from the table: "post_evaluation" using primary key columns */
    post_evaluation_by_pk?: Maybe<Post_Evaluation>;
    /** fetch data from the table: "preference" */
    preference: Array<Preference>;
    /** fetch aggregated fields from the table: "preference" */
    preference_aggregate: Preference_Aggregate;
    /** fetch data from the table: "product" */
    product: Array<Product>;
    /** fetch aggregated fields from the table: "product" */
    product_aggregate: Product_Aggregate;
    /** fetch data from the table: "product" using primary key columns */
    product_by_pk?: Maybe<Product>;
    /** fetch data from the table: "profile" */
    profile: Array<Profile>;
    /** fetch aggregated fields from the table: "profile" */
    profile_aggregate: Profile_Aggregate;
    /** fetch data from the table: "purchase" */
    purchase: Array<Purchase>;
    /** fetch aggregated fields from the table: "purchase" */
    purchase_aggregate: Purchase_Aggregate;
    /** fetch data from the table: "purchase" using primary key columns */
    purchase_by_pk?: Maybe<Purchase>;
    /** fetch data from the table: "quest" */
    quest: Array<Quest>;
    /** fetch aggregated fields from the table: "quest" */
    quest_aggregate: Quest_Aggregate;
    /** fetch data from the table: "quest_ancestry" */
    quest_ancestry: Array<Quest_Ancestry>;
    /** fetch aggregated fields from the table: "quest_ancestry" */
    quest_ancestry_aggregate: Quest_Ancestry_Aggregate;
    /** fetch data from the table: "quest_ancestry" using primary key columns */
    quest_ancestry_by_pk?: Maybe<Quest_Ancestry>;
    /** fetch data from the table: "quest" using primary key columns */
    quest_by_pk?: Maybe<Quest>;
    /** fetch data from the table: "quest_state" */
    quest_state: Array<Quest_State>;
    /** fetch aggregated fields from the table: "quest_state" */
    quest_state_aggregate: Quest_State_Aggregate;
    /** fetch data from the table: "quest_state" using primary key columns */
    quest_state_by_pk?: Maybe<Quest_State>;
    /** fetch data from the table: "quest_type" */
    quest_type: Array<Quest_Type>;
    /** fetch aggregated fields from the table: "quest_type" */
    quest_type_aggregate: Quest_Type_Aggregate;
    /** fetch data from the table: "quest_type" using primary key columns */
    quest_type_by_pk?: Maybe<Quest_Type>;
    /** fetch data from the table: "resource_policy" */
    resource_policy: Array<Resource_Policy>;
    /** fetch aggregated fields from the table: "resource_policy" */
    resource_policy_aggregate: Resource_Policy_Aggregate;
    /** fetch data from the table: "resource_policy" using primary key columns */
    resource_policy_by_pk?: Maybe<Resource_Policy>;
    /** fetch data from the table: "resource_privacy" */
    resource_privacy: Array<Resource_Privacy>;
    /** fetch aggregated fields from the table: "resource_privacy" */
    resource_privacy_aggregate: Resource_Privacy_Aggregate;
    /** fetch data from the table: "resource_privacy" using primary key columns */
    resource_privacy_by_pk?: Maybe<Resource_Privacy>;
    /** fetch data from the table: "rooadmap_gis.cord_2d" */
    rooadmap_gis_cord_2d: Array<Rooadmap_Gis_Cord_2d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.cord_2d" */
    rooadmap_gis_cord_2d_aggregate: Rooadmap_Gis_Cord_2d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.cord_2d" using primary key columns */
    rooadmap_gis_cord_2d_by_pk?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** fetch data from the table: "rooadmap_gis.cord_3d" */
    rooadmap_gis_cord_3d: Array<Rooadmap_Gis_Cord_3d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.cord_3d" */
    rooadmap_gis_cord_3d_aggregate: Rooadmap_Gis_Cord_3d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.cord_3d" using primary key columns */
    rooadmap_gis_cord_3d_by_pk?: Maybe<Rooadmap_Gis_Cord_3d>;
    /** fetch data from the table: "rooadmap_gis.location_2d" */
    rooadmap_gis_location_2d: Array<Rooadmap_Gis_Location_2d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.location_2d" */
    rooadmap_gis_location_2d_aggregate: Rooadmap_Gis_Location_2d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.location_2d" using primary key columns */
    rooadmap_gis_location_2d_by_pk?: Maybe<Rooadmap_Gis_Location_2d>;
    /** fetch data from the table: "rooadmap_gis.location_3d" */
    rooadmap_gis_location_3d: Array<Rooadmap_Gis_Location_3d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.location_3d" */
    rooadmap_gis_location_3d_aggregate: Rooadmap_Gis_Location_3d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.location_3d" using primary key columns */
    rooadmap_gis_location_3d_by_pk?: Maybe<Rooadmap_Gis_Location_3d>;
    /** fetch data from the table: "rooadmap_gis.map_item" */
    rooadmap_gis_map_item: Array<Rooadmap_Gis_Map_Item>;
    /** fetch aggregated fields from the table: "rooadmap_gis.map_item" */
    rooadmap_gis_map_item_aggregate: Rooadmap_Gis_Map_Item_Aggregate;
    /** fetch data from the table: "rooadmap_gis.map_item" using primary key columns */
    rooadmap_gis_map_item_by_pk?: Maybe<Rooadmap_Gis_Map_Item>;
    searchJusoByKeyword?: Maybe<SearchJusoByKeywordOutput>;
    /** execute function "search_area" which returns "area" */
    search_area: Array<Area>;
    /** execute function "search_area" and query aggregates on result of table type "area" */
    search_area_aggregate: Area_Aggregate;
    search_juso_coord_by_keyword?: Maybe<SearchJusoAndCoordByKeywordOutput>;
    /** execute function "search_locus" which returns "locus" */
    search_locus: Array<Locus>;
    /** execute function "search_locus" and query aggregates on result of table type "locus" */
    search_locus_aggregate: Locus_Aggregate;
    /** execute function "search_sponsorship" which returns "sponsorship" */
    search_sponsorship: Array<Sponsorship>;
    /** execute function "search_sponsorship" and query aggregates on result of table type "sponsorship" */
    search_sponsorship_aggregate: Sponsorship_Aggregate;
    /** fetch data from the table: "segment" */
    segment: Array<Segment>;
    /** fetch aggregated fields from the table: "segment" */
    segment_aggregate: Segment_Aggregate;
    /** fetch data from the table: "segment" using primary key columns */
    segment_by_pk?: Maybe<Segment>;
    /** fetch data from the table: "segment_exhibition" */
    segment_exhibition: Array<Segment_Exhibition>;
    /** fetch aggregated fields from the table: "segment_exhibition" */
    segment_exhibition_aggregate: Segment_Exhibition_Aggregate;
    /** fetch data from the table: "segment_exhibition" using primary key columns */
    segment_exhibition_by_pk?: Maybe<Segment_Exhibition>;
    /** fetch data from the table: "sell" */
    sell: Array<Sell>;
    /** fetch aggregated fields from the table: "sell" */
    sell_aggregate: Sell_Aggregate;
    /** fetch data from the table: "sell" using primary key columns */
    sell_by_pk?: Maybe<Sell>;
    /** fetch data from the table: "sell_management" */
    sell_management: Array<Sell_Management>;
    /** fetch aggregated fields from the table: "sell_management" */
    sell_management_aggregate: Sell_Management_Aggregate;
    /** fetch data from the table: "sell_management" using primary key columns */
    sell_management_by_pk?: Maybe<Sell_Management>;
    /** fetch data from the table: "sponsorship" */
    sponsorship: Array<Sponsorship>;
    /** fetch aggregated fields from the table: "sponsorship" */
    sponsorship_aggregate: Sponsorship_Aggregate;
    /** fetch data from the table: "sponsorship" using primary key columns */
    sponsorship_by_pk?: Maybe<Sponsorship>;
    /** fetch data from the table: "sponsorship_condition" */
    sponsorship_condition: Array<Sponsorship_Condition>;
    /** fetch aggregated fields from the table: "sponsorship_condition" */
    sponsorship_condition_aggregate: Sponsorship_Condition_Aggregate;
    /** fetch data from the table: "sponsorship_condition" using primary key columns */
    sponsorship_condition_by_pk?: Maybe<Sponsorship_Condition>;
    /** fetch data from the table: "sponsorship_game_state" */
    sponsorship_game_state: Array<Sponsorship_Game_State>;
    /** fetch aggregated fields from the table: "sponsorship_game_state" */
    sponsorship_game_state_aggregate: Sponsorship_Game_State_Aggregate;
    /** fetch data from the table: "sponsorship_game_state" using primary key columns */
    sponsorship_game_state_by_pk?: Maybe<Sponsorship_Game_State>;
    /** fetch data from the table: "sponsorship_game_state_type" */
    sponsorship_game_state_type: Array<Sponsorship_Game_State_Type>;
    /** fetch aggregated fields from the table: "sponsorship_game_state_type" */
    sponsorship_game_state_type_aggregate: Sponsorship_Game_State_Type_Aggregate;
    /** fetch data from the table: "sponsorship_game_state_type" using primary key columns */
    sponsorship_game_state_type_by_pk?: Maybe<Sponsorship_Game_State_Type>;
    /** fetch data from the table: "sponsorship_images" */
    sponsorship_images: Array<Sponsorship_Images>;
    /** fetch aggregated fields from the table: "sponsorship_images" */
    sponsorship_images_aggregate: Sponsorship_Images_Aggregate;
    /** fetch data from the table: "sponsorship_images" using primary key columns */
    sponsorship_images_by_pk?: Maybe<Sponsorship_Images>;
    /** fetch data from the table: "sponsorship_imitate" */
    sponsorship_imitate: Array<Sponsorship_Imitate>;
    /** fetch aggregated fields from the table: "sponsorship_imitate" */
    sponsorship_imitate_aggregate: Sponsorship_Imitate_Aggregate;
    /** fetch data from the table: "sponsorship_imitate" using primary key columns */
    sponsorship_imitate_by_pk?: Maybe<Sponsorship_Imitate>;
    /** fetch data from the table: "sponsorship_locus" */
    sponsorship_locus: Array<Sponsorship_Locus>;
    /** fetch aggregated fields from the table: "sponsorship_locus" */
    sponsorship_locus_aggregate: Sponsorship_Locus_Aggregate;
    /** fetch data from the table: "sponsorship_locus" using primary key columns */
    sponsorship_locus_by_pk?: Maybe<Sponsorship_Locus>;
    /** fetch data from the table: "sponsorship_requirement" */
    sponsorship_requirement: Array<Sponsorship_Requirement>;
    /** fetch aggregated fields from the table: "sponsorship_requirement" */
    sponsorship_requirement_aggregate: Sponsorship_Requirement_Aggregate;
    /** fetch data from the table: "sponsorship_requirement" using primary key columns */
    sponsorship_requirement_by_pk?: Maybe<Sponsorship_Requirement>;
    /** fetch data from the table: "sponsorship_requirement_type" */
    sponsorship_requirement_type: Array<Sponsorship_Requirement_Type>;
    /** fetch aggregated fields from the table: "sponsorship_requirement_type" */
    sponsorship_requirement_type_aggregate: Sponsorship_Requirement_Type_Aggregate;
    /** fetch data from the table: "sponsorship_requirement_type" using primary key columns */
    sponsorship_requirement_type_by_pk?: Maybe<Sponsorship_Requirement_Type>;
    /** fetch data from the table: "sponsorship_settlement_state_type" */
    sponsorship_settlement_state_type: Array<Sponsorship_Settlement_State_Type>;
    /** fetch aggregated fields from the table: "sponsorship_settlement_state_type" */
    sponsorship_settlement_state_type_aggregate: Sponsorship_Settlement_State_Type_Aggregate;
    /** fetch data from the table: "sponsorship_settlement_state_type" using primary key columns */
    sponsorship_settlement_state_type_by_pk?: Maybe<Sponsorship_Settlement_State_Type>;
    /** fetch data from the table: "sponsorship_state" */
    sponsorship_state: Array<Sponsorship_State>;
    /** fetch aggregated fields from the table: "sponsorship_state" */
    sponsorship_state_aggregate: Sponsorship_State_Aggregate;
    /** fetch data from the table: "sponsorship_state" using primary key columns */
    sponsorship_state_by_pk?: Maybe<Sponsorship_State>;
    /** fetch data from the table: "sponsorship_type" */
    sponsorship_type: Array<Sponsorship_Type>;
    /** fetch aggregated fields from the table: "sponsorship_type" */
    sponsorship_type_aggregate: Sponsorship_Type_Aggregate;
    /** fetch data from the table: "sponsorship_type" using primary key columns */
    sponsorship_type_by_pk?: Maybe<Sponsorship_Type>;
    /** fetch data from the table: "spot" */
    spot: Array<Spot>;
    /** fetch aggregated fields from the table: "spot" */
    spot_aggregate: Spot_Aggregate;
    /** fetch data from the table: "spot" using primary key columns */
    spot_by_pk?: Maybe<Spot>;
    /** fetch data from the table: "spot_inscription" */
    spot_inscription: Array<Spot_Inscription>;
    /** fetch aggregated fields from the table: "spot_inscription" */
    spot_inscription_aggregate: Spot_Inscription_Aggregate;
    /** fetch data from the table: "spot_inscription" using primary key columns */
    spot_inscription_by_pk?: Maybe<Spot_Inscription>;
    /** fetch data from the table: "spot_policy" */
    spot_policy: Array<Spot_Policy>;
    /** fetch aggregated fields from the table: "spot_policy" */
    spot_policy_aggregate: Spot_Policy_Aggregate;
    /** fetch data from the table: "spot_policy" using primary key columns */
    spot_policy_by_pk?: Maybe<Spot_Policy>;
    /** fetch data from the table: "spot_type" */
    spot_type: Array<Spot_Type>;
    /** fetch aggregated fields from the table: "spot_type" */
    spot_type_aggregate: Spot_Type_Aggregate;
    /** fetch data from the table: "spot_type" using primary key columns */
    spot_type_by_pk?: Maybe<Spot_Type>;
    /** fetch data from the table: "spot_user" */
    spot_user: Array<Spot_User>;
    /** fetch aggregated fields from the table: "spot_user" */
    spot_user_aggregate: Spot_User_Aggregate;
    /** fetch data from the table: "spot_user" using primary key columns */
    spot_user_by_pk?: Maybe<Spot_User>;
    /** fetch data from the table: "target_view_type" */
    target_view_type: Array<Target_View_Type>;
    /** fetch aggregated fields from the table: "target_view_type" */
    target_view_type_aggregate: Target_View_Type_Aggregate;
    /** fetch data from the table: "target_view_type" using primary key columns */
    target_view_type_by_pk?: Maybe<Target_View_Type>;
    /** fetch data from the table: "task" */
    task: Array<Task>;
    /** fetch aggregated fields from the table: "task" */
    task_aggregate: Task_Aggregate;
    /** fetch data from the table: "task" using primary key columns */
    task_by_pk?: Maybe<Task>;
    /** fetch data from the table: "theme" */
    theme: Array<Theme>;
    /** fetch aggregated fields from the table: "theme" */
    theme_aggregate: Theme_Aggregate;
    /** fetch data from the table: "theme" using primary key columns */
    theme_by_pk?: Maybe<Theme>;
    /** fetch data from the table: "treasure_user" */
    treasure_user: Array<Treasure_User>;
    /** fetch aggregated fields from the table: "treasure_user" */
    treasure_user_aggregate: Treasure_User_Aggregate;
    /** fetch data from the table: "treasure_user" using primary key columns */
    treasure_user_by_pk?: Maybe<Treasure_User>;
    /** fetch data from the table: "universe" */
    universe: Array<Universe>;
    /** fetch aggregated fields from the table: "universe" */
    universe_aggregate: Universe_Aggregate;
    /** fetch data from the table: "universe" using primary key columns */
    universe_by_pk?: Maybe<Universe>;
    /** fetch data from the table: "universe_member" */
    universe_member: Array<Universe_Member>;
    /** fetch aggregated fields from the table: "universe_member" */
    universe_member_aggregate: Universe_Member_Aggregate;
    /** fetch data from the table: "universe_member" using primary key columns */
    universe_member_by_pk?: Maybe<Universe_Member>;
    /** fetch data from the table: "universe_policy" */
    universe_policy: Array<Universe_Policy>;
    /** fetch aggregated fields from the table: "universe_policy" */
    universe_policy_aggregate: Universe_Policy_Aggregate;
    /** fetch data from the table: "universe_policy" using primary key columns */
    universe_policy_by_pk?: Maybe<Universe_Policy>;
    /** fetch data from the table: "universe_resource" */
    universe_resource: Array<Universe_Resource>;
    /** fetch aggregated fields from the table: "universe_resource" */
    universe_resource_aggregate: Universe_Resource_Aggregate;
    /** fetch data from the table: "universe_resource" using primary key columns */
    universe_resource_by_pk?: Maybe<Universe_Resource>;
    /** fetch data from the table: "universe_state" */
    universe_state: Array<Universe_State>;
    /** fetch aggregated fields from the table: "universe_state" */
    universe_state_aggregate: Universe_State_Aggregate;
    /** fetch data from the table: "universe_state" using primary key columns */
    universe_state_by_pk?: Maybe<Universe_State>;
    /** fetch data from the table: "users" */
    users: Array<Users>;
    /** fetch aggregated fields from the table: "users" */
    users_aggregate: Users_Aggregate;
    /** fetch data from the table: "users" using primary key columns */
    users_by_pk?: Maybe<Users>;
};
export type Query_RootAlarmArgs = {
    distinct_on?: InputMaybe<Array<Alarm_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Alarm_Order_By>>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
export type Query_RootAlarm_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Alarm_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Alarm_Order_By>>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
export type Query_RootAlarm_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootAnimation_StageArgs = {
    distinct_on?: InputMaybe<Array<Animation_Stage_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Animation_Stage_Order_By>>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
export type Query_RootAnimation_Stage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Animation_Stage_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Animation_Stage_Order_By>>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
export type Query_RootAnimation_Stage_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootAnswerArgs = {
    distinct_on?: InputMaybe<Array<Answer_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Order_By>>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
export type Query_RootAnswer_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Answer_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Order_By>>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
export type Query_RootAnswer_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootAnswer_TypeArgs = {
    distinct_on?: InputMaybe<Array<Answer_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Type_Order_By>>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
export type Query_RootAnswer_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Answer_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Type_Order_By>>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
export type Query_RootAnswer_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootAreaArgs = {
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Query_RootArea_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Query_RootArea_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootAuth_Account_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
export type Query_RootAuth_Account_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
export type Query_RootAuth_Account_Providers_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Query_RootAuth_Account_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
export type Query_RootAuth_Account_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
export type Query_RootAuth_Account_Roles_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Query_RootAuth_AccountsArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
export type Query_RootAuth_Accounts_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
export type Query_RootAuth_Accounts_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Query_RootAuth_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Providers_Order_By>>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
export type Query_RootAuth_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Providers_Order_By>>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
export type Query_RootAuth_Providers_By_PkArgs = {
    provider: Scalars['String'];
};
export type Query_RootAuth_Refresh_TokensArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
export type Query_RootAuth_Refresh_Tokens_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
export type Query_RootAuth_Refresh_Tokens_By_PkArgs = {
    refresh_token: Scalars['uuid'];
};
export type Query_RootAuth_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Roles_Order_By>>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
export type Query_RootAuth_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Roles_Order_By>>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
export type Query_RootAuth_Roles_By_PkArgs = {
    role: Scalars['String'];
};
export type Query_RootBadgeArgs = {
    distinct_on?: InputMaybe<Array<Badge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Order_By>>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
export type Query_RootBadge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Order_By>>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
export type Query_RootBadge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootBadge_CategoryArgs = {
    distinct_on?: InputMaybe<Array<Badge_Category_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Category_Order_By>>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
export type Query_RootBadge_Category_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Category_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Category_Order_By>>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
export type Query_RootBadge_Category_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootBadge_TypeArgs = {
    distinct_on?: InputMaybe<Array<Badge_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Type_Order_By>>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
export type Query_RootBadge_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Type_Order_By>>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
export type Query_RootBadge_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootBatchArgs = {
    distinct_on?: InputMaybe<Array<Batch_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Batch_Order_By>>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
export type Query_RootBatch_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Batch_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Batch_Order_By>>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
export type Query_RootBatch_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootBlueprintArgs = {
    distinct_on?: InputMaybe<Array<Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Blueprint_Order_By>>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
export type Query_RootBlueprint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Blueprint_Order_By>>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
export type Query_RootBlueprint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootBusiness_Model_TypeArgs = {
    distinct_on?: InputMaybe<Array<Business_Model_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Business_Model_Type_Order_By>>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
export type Query_RootBusiness_Model_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Business_Model_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Business_Model_Type_Order_By>>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
export type Query_RootBusiness_Model_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootChargeArgs = {
    distinct_on?: InputMaybe<Array<Charge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charge_Order_By>>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
export type Query_RootCharge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Charge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charge_Order_By>>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
export type Query_RootCharge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootChargerArgs = {
    distinct_on?: InputMaybe<Array<Charger_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charger_Order_By>>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
export type Query_RootCharger_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Charger_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charger_Order_By>>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
export type Query_RootCharger_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootCheck_Confirming_And_Settlement_About_GameArgs = {
    arg1: CheckConfirmingAndSettlementAboutGameInput;
};
export type Query_RootConditionArgs = {
    distinct_on?: InputMaybe<Array<Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Order_By>>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
export type Query_RootCondition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Order_By>>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
export type Query_RootCondition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootCondition_TypeArgs = {
    distinct_on?: InputMaybe<Array<Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Type_Order_By>>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
export type Query_RootCondition_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Type_Order_By>>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
export type Query_RootCondition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootContentArgs = {
    distinct_on?: InputMaybe<Array<Content_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Content_Order_By>>;
    where?: InputMaybe<Content_Bool_Exp>;
};
export type Query_RootContent_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Content_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Content_Order_By>>;
    where?: InputMaybe<Content_Bool_Exp>;
};
export type Query_RootContent_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootContractArgs = {
    distinct_on?: InputMaybe<Array<Contract_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Order_By>>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
export type Query_RootContract_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Contract_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Order_By>>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
export type Query_RootContract_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootContract_TypeArgs = {
    distinct_on?: InputMaybe<Array<Contract_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Type_Order_By>>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
export type Query_RootContract_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Contract_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Type_Order_By>>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
export type Query_RootContract_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootCurrencyArgs = {
    distinct_on?: InputMaybe<Array<Currency_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Order_By>>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
export type Query_RootCurrency_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Order_By>>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
export type Query_RootCurrency_By_PkArgs = {
    owner_id: Scalars['Int'];
};
export type Query_RootCurrency_ExchangeArgs = {
    distinct_on?: InputMaybe<Array<Currency_Exchange_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Exchange_Order_By>>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
export type Query_RootCurrency_Exchange_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Exchange_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Exchange_Order_By>>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
export type Query_RootCurrency_Exchange_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootCurrency_TypeArgs = {
    distinct_on?: InputMaybe<Array<Currency_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Type_Order_By>>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
export type Query_RootCurrency_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Type_Order_By>>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
export type Query_RootCurrency_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootDesktop_TypeArgs = {
    distinct_on?: InputMaybe<Array<Desktop_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Desktop_Type_Order_By>>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
export type Query_RootDesktop_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Desktop_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Desktop_Type_Order_By>>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
export type Query_RootDesktop_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootEntrypointArgs = {
    distinct_on?: InputMaybe<Array<Entrypoint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Entrypoint_Order_By>>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
export type Query_RootEntrypoint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Entrypoint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Entrypoint_Order_By>>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
export type Query_RootEntrypoint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootEvaluatorArgs = {
    distinct_on?: InputMaybe<Array<Evaluator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Evaluator_Order_By>>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
export type Query_RootEvaluator_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Evaluator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Evaluator_Order_By>>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
export type Query_RootEvaluator_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootExampleArgs = {
    distinct_on?: InputMaybe<Array<Example_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Order_By>>;
    where?: InputMaybe<Example_Bool_Exp>;
};
export type Query_RootExample_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Example_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Order_By>>;
    where?: InputMaybe<Example_Bool_Exp>;
};
export type Query_RootExample_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootExample_TypeArgs = {
    distinct_on?: InputMaybe<Array<Example_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Type_Order_By>>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
export type Query_RootExample_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Example_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Type_Order_By>>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
export type Query_RootExample_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootExhibition_DeterminantArgs = {
    distinct_on?: InputMaybe<Array<Exhibition_Determinant_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Exhibition_Determinant_Order_By>>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
export type Query_RootExhibition_Determinant_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Exhibition_Determinant_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Exhibition_Determinant_Order_By>>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
export type Query_RootExhibition_Determinant_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootFlagArgs = {
    distinct_on?: InputMaybe<Array<Flag_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Order_By>>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
export type Query_RootFlag_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Flag_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Order_By>>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
export type Query_RootFlag_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootFlag_TypeArgs = {
    distinct_on?: InputMaybe<Array<Flag_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Type_Order_By>>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
export type Query_RootFlag_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Flag_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Type_Order_By>>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
export type Query_RootFlag_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGameArgs = {
    distinct_on?: InputMaybe<Array<Game_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Order_By>>;
    where?: InputMaybe<Game_Bool_Exp>;
};
export type Query_RootGame_ActionArgs = {
    distinct_on?: InputMaybe<Array<Game_Action_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Action_Order_By>>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
export type Query_RootGame_Action_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Action_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Action_Order_By>>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
export type Query_RootGame_Action_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Order_By>>;
    where?: InputMaybe<Game_Bool_Exp>;
};
export type Query_RootGame_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_DesignArgs = {
    distinct_on?: InputMaybe<Array<Game_Design_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Design_Order_By>>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
export type Query_RootGame_Design_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Design_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Design_Order_By>>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
export type Query_RootGame_Design_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_GroupArgs = {
    distinct_on?: InputMaybe<Array<Game_Group_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Group_Order_By>>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
export type Query_RootGame_Group_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Group_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Group_Order_By>>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
export type Query_RootGame_Group_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_HunterArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
export type Query_RootGame_Hunter_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
export type Query_RootGame_Hunter_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_ManagementArgs = {
    distinct_on?: InputMaybe<Array<Game_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Management_Order_By>>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
export type Query_RootGame_Management_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Management_Order_By>>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
export type Query_RootGame_Management_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_OperatorsArgs = {
    distinct_on?: InputMaybe<Array<Game_Operators_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Operators_Order_By>>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
export type Query_RootGame_Operators_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Operators_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Operators_Order_By>>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
export type Query_RootGame_Operators_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_RecordArgs = {
    distinct_on?: InputMaybe<Array<Game_Record_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Record_Order_By>>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
export type Query_RootGame_Record_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Record_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Record_Order_By>>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
export type Query_RootGame_Record_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_RequirementArgs = {
    distinct_on?: InputMaybe<Array<Game_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Requirement_Order_By>>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
export type Query_RootGame_Requirement_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Requirement_Order_By>>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
export type Query_RootGame_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_State_Type_Order_By>>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
export type Query_RootGame_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_State_Type_Order_By>>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
export type Query_RootGame_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_WinnerArgs = {
    distinct_on?: InputMaybe<Array<Game_Winner_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Winner_Order_By>>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
export type Query_RootGame_Winner_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Winner_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Winner_Order_By>>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
export type Query_RootGame_Winner_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGames_LocusArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
export type Query_RootGames_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
export type Query_RootGames_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGiftArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
export type Query_RootGift_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
export type Query_RootGift_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGoodsArgs = {
    distinct_on?: InputMaybe<Array<Goods_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Goods_Order_By>>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
export type Query_RootGoods_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Goods_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Goods_Order_By>>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
export type Query_RootGoods_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootHier_TypeArgs = {
    distinct_on?: InputMaybe<Array<Hier_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Hier_Type_Order_By>>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
export type Query_RootHier_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Hier_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Hier_Type_Order_By>>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
export type Query_RootHier_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootIncognitoArgs = {
    distinct_on?: InputMaybe<Array<Incognito_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Incognito_Order_By>>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
export type Query_RootIncognito_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Incognito_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Incognito_Order_By>>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
export type Query_RootIncognito_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootInscriptionArgs = {
    distinct_on?: InputMaybe<Array<Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Inscription_Order_By>>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
export type Query_RootInscription_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Inscription_Order_By>>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
export type Query_RootInscription_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootInterface_TypeArgs = {
    distinct_on?: InputMaybe<Array<Interface_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Interface_Type_Order_By>>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
export type Query_RootInterface_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Interface_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Interface_Type_Order_By>>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
export type Query_RootInterface_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootJudgeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
export type Query_RootJudge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
export type Query_RootJudge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootJudge_Display_TypeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Display_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Display_Type_Order_By>>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
export type Query_RootJudge_Display_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Display_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Display_Type_Order_By>>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
export type Query_RootJudge_Display_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootJudge_EntryArgs = {
    distinct_on?: InputMaybe<Array<Judge_Entry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Entry_Order_By>>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
export type Query_RootJudge_Entry_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Entry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Entry_Order_By>>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
export type Query_RootJudge_Entry_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootJudge_Role_TypeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Role_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Role_Type_Order_By>>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
export type Query_RootJudge_Role_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Role_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Role_Type_Order_By>>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
export type Query_RootJudge_Role_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootKairosArgs = {
    distinct_on?: InputMaybe<Array<Kairos_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Kairos_Order_By>>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
export type Query_RootKairos_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Kairos_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Kairos_Order_By>>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
export type Query_RootKairos_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootKeyword_DescriptionArgs = {
    distinct_on?: InputMaybe<Array<Keyword_Description_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Keyword_Description_Order_By>>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
export type Query_RootKeyword_Description_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Keyword_Description_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Keyword_Description_Order_By>>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
export type Query_RootKeyword_Description_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLanguageArgs = {
    distinct_on?: InputMaybe<Array<Language_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Language_Order_By>>;
    where?: InputMaybe<Language_Bool_Exp>;
};
export type Query_RootLanguage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Language_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Language_Order_By>>;
    where?: InputMaybe<Language_Bool_Exp>;
};
export type Query_RootLanguage_By_PkArgs = {
    language_code: Scalars['String'];
};
export type Query_RootLocationArgs = {
    distinct_on?: InputMaybe<Array<Location_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Location_Order_By>>;
    where?: InputMaybe<Location_Bool_Exp>;
};
export type Query_RootLocation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Location_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Location_Order_By>>;
    where?: InputMaybe<Location_Bool_Exp>;
};
export type Query_RootLocation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocusArgs = {
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Query_RootLocus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Query_RootLocus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_ImitateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
export type Query_RootLocus_Imitate_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
export type Query_RootLocus_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_MemberArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
export type Query_RootLocus_Member_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
export type Query_RootLocus_Member_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_Operation_TypeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
export type Query_RootLocus_Operation_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
export type Query_RootLocus_Operation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Locus_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Policy_Order_By>>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
export type Query_RootLocus_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Policy_Order_By>>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
export type Query_RootLocus_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_StateArgs = {
    distinct_on?: InputMaybe<Array<Locus_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_State_Order_By>>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
export type Query_RootLocus_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_State_Order_By>>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
export type Query_RootLocus_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_ThemeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Theme_Order_By>>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
export type Query_RootLocus_Theme_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Theme_Order_By>>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
export type Query_RootLocus_Theme_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_TypeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Type_Order_By>>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
export type Query_RootLocus_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Type_Order_By>>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
export type Query_RootLocus_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMapArgs = {
    distinct_on?: InputMaybe<Array<Map_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Order_By>>;
    where?: InputMaybe<Map_Bool_Exp>;
};
export type Query_RootMap_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Order_By>>;
    where?: InputMaybe<Map_Bool_Exp>;
};
export type Query_RootMap_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_Condition_TypeArgs = {
    distinct_on?: InputMaybe<Array<Map_Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Condition_Type_Order_By>>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
export type Query_RootMap_Condition_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Condition_Type_Order_By>>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
export type Query_RootMap_Condition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_EffectArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Order_By>>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
export type Query_RootMap_Effect_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Order_By>>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
export type Query_RootMap_Effect_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_Effect_TypeArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Type_Order_By>>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
export type Query_RootMap_Effect_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Type_Order_By>>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
export type Query_RootMap_Effect_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_ItemArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
export type Query_RootMap_Item_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
export type Query_RootMap_Item_AnimationArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
export type Query_RootMap_Item_Animation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
export type Query_RootMap_Item_Animation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_Item_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_Item_StateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
export type Query_RootMap_Item_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
export type Query_RootMap_Item_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMedium_TypeArgs = {
    distinct_on?: InputMaybe<Array<Medium_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Medium_Type_Order_By>>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
export type Query_RootMedium_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Medium_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Medium_Type_Order_By>>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
export type Query_RootMedium_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMegaphoneArgs = {
    distinct_on?: InputMaybe<Array<Megaphone_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Megaphone_Order_By>>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
export type Query_RootMegaphone_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Megaphone_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Megaphone_Order_By>>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
export type Query_RootMegaphone_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMessageArgs = {
    distinct_on?: InputMaybe<Array<Message_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Message_Order_By>>;
    where?: InputMaybe<Message_Bool_Exp>;
};
export type Query_RootMessage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Message_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Message_Order_By>>;
    where?: InputMaybe<Message_Bool_Exp>;
};
export type Query_RootMessage_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMoldArgs = {
    distinct_on?: InputMaybe<Array<Mold_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Order_By>>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
export type Query_RootMold_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Mold_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Order_By>>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
export type Query_RootMold_BlueprintArgs = {
    distinct_on?: InputMaybe<Array<Mold_Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Blueprint_Order_By>>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
export type Query_RootMold_Blueprint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Mold_Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Blueprint_Order_By>>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
export type Query_RootMold_Blueprint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMold_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMorsel_TypeArgs = {
    distinct_on?: InputMaybe<Array<Morsel_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Morsel_Type_Order_By>>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
export type Query_RootMorsel_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Morsel_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Morsel_Type_Order_By>>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
export type Query_RootMorsel_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperationArgs = {
    distinct_on?: InputMaybe<Array<Operation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Order_By>>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
export type Query_RootOperation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Order_By>>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
export type Query_RootOperation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperation_Maintain_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Maintain_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Maintain_Type_Order_By>>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
export type Query_RootOperation_Maintain_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Maintain_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Maintain_Type_Order_By>>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
export type Query_RootOperation_Maintain_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperation_OperatorArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
export type Query_RootOperation_Operator_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
export type Query_RootOperation_Operator_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperation_Setting_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Setting_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Setting_Type_Order_By>>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
export type Query_RootOperation_Setting_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Setting_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Setting_Type_Order_By>>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
export type Query_RootOperation_Setting_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperation_StateArgs = {
    distinct_on?: InputMaybe<Array<Operation_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_State_Order_By>>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
export type Query_RootOperation_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_State_Order_By>>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
export type Query_RootOperation_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperation_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Type_Order_By>>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
export type Query_RootOperation_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Type_Order_By>>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
export type Query_RootOperation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperator_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operator_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operator_State_Type_Order_By>>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
export type Query_RootOperator_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operator_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operator_State_Type_Order_By>>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
export type Query_RootOperator_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPieceArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
export type Query_RootPiece_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
export type Query_RootPiece_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPiece_LocusArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
export type Query_RootPiece_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
export type Query_RootPiece_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPiece_TypeArgs = {
    distinct_on?: InputMaybe<Array<Piece_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Type_Order_By>>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
export type Query_RootPiece_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Type_Order_By>>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
export type Query_RootPiece_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPostArgs = {
    distinct_on?: InputMaybe<Array<Post_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Order_By>>;
    where?: InputMaybe<Post_Bool_Exp>;
};
export type Query_RootPost_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Post_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Order_By>>;
    where?: InputMaybe<Post_Bool_Exp>;
};
export type Query_RootPost_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPost_EvaluationArgs = {
    distinct_on?: InputMaybe<Array<Post_Evaluation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Evaluation_Order_By>>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
export type Query_RootPost_Evaluation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Post_Evaluation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Evaluation_Order_By>>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
export type Query_RootPost_Evaluation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPreferenceArgs = {
    distinct_on?: InputMaybe<Array<Preference_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Preference_Order_By>>;
    where?: InputMaybe<Preference_Bool_Exp>;
};
export type Query_RootPreference_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Preference_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Preference_Order_By>>;
    where?: InputMaybe<Preference_Bool_Exp>;
};
export type Query_RootProductArgs = {
    distinct_on?: InputMaybe<Array<Product_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Product_Order_By>>;
    where?: InputMaybe<Product_Bool_Exp>;
};
export type Query_RootProduct_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Product_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Product_Order_By>>;
    where?: InputMaybe<Product_Bool_Exp>;
};
export type Query_RootProduct_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootProfileArgs = {
    distinct_on?: InputMaybe<Array<Profile_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Profile_Order_By>>;
    where?: InputMaybe<Profile_Bool_Exp>;
};
export type Query_RootProfile_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Profile_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Profile_Order_By>>;
    where?: InputMaybe<Profile_Bool_Exp>;
};
export type Query_RootPurchaseArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
export type Query_RootPurchase_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
export type Query_RootPurchase_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootQuestArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
export type Query_RootQuest_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
export type Query_RootQuest_AncestryArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
export type Query_RootQuest_Ancestry_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
export type Query_RootQuest_Ancestry_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootQuest_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootQuest_StateArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
export type Query_RootQuest_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
export type Query_RootQuest_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootQuest_TypeArgs = {
    distinct_on?: InputMaybe<Array<Quest_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Type_Order_By>>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
export type Query_RootQuest_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Type_Order_By>>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
export type Query_RootQuest_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootResource_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Resource_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Policy_Order_By>>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
export type Query_RootResource_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Resource_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Policy_Order_By>>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
export type Query_RootResource_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootResource_PrivacyArgs = {
    distinct_on?: InputMaybe<Array<Resource_Privacy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Privacy_Order_By>>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
export type Query_RootResource_Privacy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Resource_Privacy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Privacy_Order_By>>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
export type Query_RootResource_Privacy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootRooadmap_Gis_Cord_2dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Cord_2d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Cord_2d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootRooadmap_Gis_Cord_3dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Cord_3d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Cord_3d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootRooadmap_Gis_Location_2dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Location_2d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Location_2d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootRooadmap_Gis_Location_3dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Location_3d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Location_3d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootRooadmap_Gis_Map_ItemArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Map_Item_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Map_Item_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSearchJusoByKeywordArgs = {
    arg1: SearchJusoByKeywordInput;
};
export type Query_RootSearch_AreaArgs = {
    args: Search_Area_Args;
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Query_RootSearch_Area_AggregateArgs = {
    args: Search_Area_Args;
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Query_RootSearch_Juso_Coord_By_KeywordArgs = {
    arg1: SearchJusoAndCoordByKeywordInput;
};
export type Query_RootSearch_LocusArgs = {
    args: Search_Locus_Args;
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Query_RootSearch_Locus_AggregateArgs = {
    args: Search_Locus_Args;
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Query_RootSearch_SponsorshipArgs = {
    args: Search_Sponsorship_Args;
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Query_RootSearch_Sponsorship_AggregateArgs = {
    args: Search_Sponsorship_Args;
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Query_RootSegmentArgs = {
    distinct_on?: InputMaybe<Array<Segment_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Order_By>>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
export type Query_RootSegment_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Segment_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Order_By>>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
export type Query_RootSegment_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSegment_ExhibitionArgs = {
    distinct_on?: InputMaybe<Array<Segment_Exhibition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Exhibition_Order_By>>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
export type Query_RootSegment_Exhibition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Segment_Exhibition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Exhibition_Order_By>>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
export type Query_RootSegment_Exhibition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSellArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
export type Query_RootSell_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
export type Query_RootSell_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSell_ManagementArgs = {
    distinct_on?: InputMaybe<Array<Sell_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Management_Order_By>>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
export type Query_RootSell_Management_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sell_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Management_Order_By>>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
export type Query_RootSell_Management_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorshipArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Query_RootSponsorship_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Query_RootSponsorship_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_ConditionArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Condition_Order_By>>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
export type Query_RootSponsorship_Condition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Condition_Order_By>>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
export type Query_RootSponsorship_Condition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_Game_StateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
export type Query_RootSponsorship_Game_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
export type Query_RootSponsorship_Game_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_Game_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Game_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Game_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_ImagesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
export type Query_RootSponsorship_Images_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
export type Query_RootSponsorship_Images_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_ImitateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Query_RootSponsorship_Imitate_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Query_RootSponsorship_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_LocusArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
export type Query_RootSponsorship_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
export type Query_RootSponsorship_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_RequirementArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
export type Query_RootSponsorship_Requirement_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
export type Query_RootSponsorship_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_Requirement_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Requirement_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Requirement_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_Settlement_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Settlement_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Settlement_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_StateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_State_Order_By>>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
export type Query_RootSponsorship_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_State_Order_By>>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
export type Query_RootSponsorship_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSpotArgs = {
    distinct_on?: InputMaybe<Array<Spot_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Order_By>>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
export type Query_RootSpot_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Order_By>>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
export type Query_RootSpot_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSpot_InscriptionArgs = {
    distinct_on?: InputMaybe<Array<Spot_Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Inscription_Order_By>>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
export type Query_RootSpot_Inscription_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Inscription_Order_By>>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
export type Query_RootSpot_Inscription_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSpot_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Spot_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Policy_Order_By>>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
export type Query_RootSpot_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Policy_Order_By>>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
export type Query_RootSpot_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSpot_TypeArgs = {
    distinct_on?: InputMaybe<Array<Spot_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Type_Order_By>>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
export type Query_RootSpot_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Type_Order_By>>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
export type Query_RootSpot_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSpot_UserArgs = {
    distinct_on?: InputMaybe<Array<Spot_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_User_Order_By>>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
export type Query_RootSpot_User_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_User_Order_By>>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
export type Query_RootSpot_User_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootTarget_View_TypeArgs = {
    distinct_on?: InputMaybe<Array<Target_View_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Target_View_Type_Order_By>>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
export type Query_RootTarget_View_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Target_View_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Target_View_Type_Order_By>>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
export type Query_RootTarget_View_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootTaskArgs = {
    distinct_on?: InputMaybe<Array<Task_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Task_Order_By>>;
    where?: InputMaybe<Task_Bool_Exp>;
};
export type Query_RootTask_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Task_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Task_Order_By>>;
    where?: InputMaybe<Task_Bool_Exp>;
};
export type Query_RootTask_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootThemeArgs = {
    distinct_on?: InputMaybe<Array<Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Theme_Order_By>>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
export type Query_RootTheme_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Theme_Order_By>>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
export type Query_RootTheme_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootTreasure_UserArgs = {
    distinct_on?: InputMaybe<Array<Treasure_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Treasure_User_Order_By>>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
export type Query_RootTreasure_User_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Treasure_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Treasure_User_Order_By>>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
export type Query_RootTreasure_User_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUniverseArgs = {
    distinct_on?: InputMaybe<Array<Universe_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Order_By>>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
export type Query_RootUniverse_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Order_By>>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
export type Query_RootUniverse_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUniverse_MemberArgs = {
    distinct_on?: InputMaybe<Array<Universe_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Member_Order_By>>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
export type Query_RootUniverse_Member_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Member_Order_By>>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
export type Query_RootUniverse_Member_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUniverse_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Universe_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Policy_Order_By>>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
export type Query_RootUniverse_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Policy_Order_By>>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
export type Query_RootUniverse_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUniverse_ResourceArgs = {
    distinct_on?: InputMaybe<Array<Universe_Resource_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Resource_Order_By>>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
export type Query_RootUniverse_Resource_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Resource_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Resource_Order_By>>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
export type Query_RootUniverse_Resource_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUniverse_StateArgs = {
    distinct_on?: InputMaybe<Array<Universe_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_State_Order_By>>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
export type Query_RootUniverse_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_State_Order_By>>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
export type Query_RootUniverse_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUsersArgs = {
    distinct_on?: InputMaybe<Array<Users_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Users_Order_By>>;
    where?: InputMaybe<Users_Bool_Exp>;
};
export type Query_RootUsers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Users_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Users_Order_By>>;
    where?: InputMaybe<Users_Bool_Exp>;
};
export type Query_RootUsers_By_PkArgs = {
    id: Scalars['uuid'];
};
/** columns and relationships of "quest" */
export type Quest = {
    __typename?: 'quest';
    /** An object relationship */
    conditionType?: Maybe<Condition_Type>;
    condition_type_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    creatorTreasureUser?: Maybe<Treasure_User>;
    creator_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_explicit_output?: Maybe<Scalars['Boolean']>;
    is_explicit_reckoning?: Maybe<Scalars['Boolean']>;
    is_final?: Maybe<Scalars['Boolean']>;
    is_in_blueprint?: Maybe<Scalars['Boolean']>;
    is_open?: Maybe<Scalars['Boolean']>;
    judge?: Maybe<Scalars['Int']>;
    /** An object relationship */
    judgeById?: Maybe<Judge>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    locus?: Maybe<Locus_Imitate>;
    locus_id?: Maybe<Scalars['Int']>;
    number_in_game?: Maybe<Scalars['Int']>;
    /** An array relationship */
    pieces: Array<Piece>;
    /** An aggregate relationship */
    pieces_aggregate: Piece_Aggregate;
    /** An array relationship */
    questStates: Array<Quest_State>;
    /** An aggregate relationship */
    questStates_aggregate: Quest_State_Aggregate;
    title?: Maybe<Scalars['String']>;
};
/** columns and relationships of "quest" */
export type QuestPiecesArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
/** columns and relationships of "quest" */
export type QuestPieces_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
/** columns and relationships of "quest" */
export type QuestQuestStatesArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
/** columns and relationships of "quest" */
export type QuestQuestStates_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
/** aggregated selection of "quest" */
export type Quest_Aggregate = {
    __typename?: 'quest_aggregate';
    aggregate?: Maybe<Quest_Aggregate_Fields>;
    nodes: Array<Quest>;
};
export type Quest_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Quest_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Quest_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Quest_Aggregate_Bool_Exp_Count>;
};
export type Quest_Aggregate_Bool_Exp_Bool_And = {
    arguments: Quest_Select_Column_Quest_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Quest_Select_Column_Quest_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Quest_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "quest" */
export type Quest_Aggregate_Fields = {
    __typename?: 'quest_aggregate_fields';
    avg?: Maybe<Quest_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Quest_Max_Fields>;
    min?: Maybe<Quest_Min_Fields>;
    stddev?: Maybe<Quest_Stddev_Fields>;
    stddev_pop?: Maybe<Quest_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Quest_Stddev_Samp_Fields>;
    sum?: Maybe<Quest_Sum_Fields>;
    var_pop?: Maybe<Quest_Var_Pop_Fields>;
    var_samp?: Maybe<Quest_Var_Samp_Fields>;
    variance?: Maybe<Quest_Variance_Fields>;
};
/** aggregate fields of "quest" */
export type Quest_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Quest_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "quest" */
export type Quest_Aggregate_Order_By = {
    avg?: InputMaybe<Quest_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Quest_Max_Order_By>;
    min?: InputMaybe<Quest_Min_Order_By>;
    stddev?: InputMaybe<Quest_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Quest_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Quest_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Quest_Sum_Order_By>;
    var_pop?: InputMaybe<Quest_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Quest_Var_Samp_Order_By>;
    variance?: InputMaybe<Quest_Variance_Order_By>;
};
/** columns and relationships of "quest_ancestry" */
export type Quest_Ancestry = {
    __typename?: 'quest_ancestry';
    /** An object relationship */
    ancestryQuest?: Maybe<Quest>;
    ancestry_q_hash?: Maybe<Scalars['String']>;
    ancestry_q_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    hierType?: Maybe<Hier_Type>;
    hier_type?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_mold_ancestry?: Maybe<Scalars['Boolean']>;
    is_type_hint?: Maybe<Scalars['Boolean']>;
    is_type_qc?: Maybe<Scalars['Boolean']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    mold?: Maybe<Mold>;
    mold_id?: Maybe<Scalars['Int']>;
    q_hash?: Maybe<Scalars['String']>;
    q_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    quest?: Maybe<Quest>;
};
/** aggregated selection of "quest_ancestry" */
export type Quest_Ancestry_Aggregate = {
    __typename?: 'quest_ancestry_aggregate';
    aggregate?: Maybe<Quest_Ancestry_Aggregate_Fields>;
    nodes: Array<Quest_Ancestry>;
};
export type Quest_Ancestry_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Quest_Ancestry_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Quest_Ancestry_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Quest_Ancestry_Aggregate_Bool_Exp_Count>;
};
export type Quest_Ancestry_Aggregate_Bool_Exp_Bool_And = {
    arguments: Quest_Ancestry_Select_Column_Quest_Ancestry_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Ancestry_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_Ancestry_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Quest_Ancestry_Select_Column_Quest_Ancestry_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Ancestry_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_Ancestry_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Ancestry_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "quest_ancestry" */
export type Quest_Ancestry_Aggregate_Fields = {
    __typename?: 'quest_ancestry_aggregate_fields';
    avg?: Maybe<Quest_Ancestry_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Quest_Ancestry_Max_Fields>;
    min?: Maybe<Quest_Ancestry_Min_Fields>;
    stddev?: Maybe<Quest_Ancestry_Stddev_Fields>;
    stddev_pop?: Maybe<Quest_Ancestry_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Quest_Ancestry_Stddev_Samp_Fields>;
    sum?: Maybe<Quest_Ancestry_Sum_Fields>;
    var_pop?: Maybe<Quest_Ancestry_Var_Pop_Fields>;
    var_samp?: Maybe<Quest_Ancestry_Var_Samp_Fields>;
    variance?: Maybe<Quest_Ancestry_Variance_Fields>;
};
/** aggregate fields of "quest_ancestry" */
export type Quest_Ancestry_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "quest_ancestry" */
export type Quest_Ancestry_Aggregate_Order_By = {
    avg?: InputMaybe<Quest_Ancestry_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Quest_Ancestry_Max_Order_By>;
    min?: InputMaybe<Quest_Ancestry_Min_Order_By>;
    stddev?: InputMaybe<Quest_Ancestry_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Quest_Ancestry_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Quest_Ancestry_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Quest_Ancestry_Sum_Order_By>;
    var_pop?: InputMaybe<Quest_Ancestry_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Quest_Ancestry_Var_Samp_Order_By>;
    variance?: InputMaybe<Quest_Ancestry_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "quest_ancestry" */
export type Quest_Ancestry_Arr_Rel_Insert_Input = {
    data: Array<Quest_Ancestry_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Quest_Ancestry_On_Conflict>;
};
/** aggregate avg on columns */
export type Quest_Ancestry_Avg_Fields = {
    __typename?: 'quest_ancestry_avg_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Avg_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "quest_ancestry". All fields are combined with a logical 'AND'. */
export type Quest_Ancestry_Bool_Exp = {
    _and?: InputMaybe<Array<Quest_Ancestry_Bool_Exp>>;
    _not?: InputMaybe<Quest_Ancestry_Bool_Exp>;
    _or?: InputMaybe<Array<Quest_Ancestry_Bool_Exp>>;
    ancestryQuest?: InputMaybe<Quest_Bool_Exp>;
    ancestry_q_hash?: InputMaybe<String_Comparison_Exp>;
    ancestry_q_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    hierType?: InputMaybe<Hier_Type_Bool_Exp>;
    hier_type?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_mold_ancestry?: InputMaybe<Boolean_Comparison_Exp>;
    is_type_hint?: InputMaybe<Boolean_Comparison_Exp>;
    is_type_qc?: InputMaybe<Boolean_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    mold?: InputMaybe<Mold_Bool_Exp>;
    mold_id?: InputMaybe<Int_Comparison_Exp>;
    q_hash?: InputMaybe<String_Comparison_Exp>;
    q_id?: InputMaybe<Int_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
};
/** unique or primary key constraints on table "quest_ancestry" */
export declare enum Quest_Ancestry_Constraint {
    /** unique or primary key constraint on columns "id" */
    QuestAncestryPkey = "quest_ancestry_pkey"
}
/** input type for incrementing numeric columns in table "quest_ancestry" */
export type Quest_Ancestry_Inc_Input = {
    ancestry_q_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hier_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    mold_id?: InputMaybe<Scalars['Int']>;
    q_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "quest_ancestry" */
export type Quest_Ancestry_Insert_Input = {
    ancestryQuest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    ancestry_q_hash?: InputMaybe<Scalars['String']>;
    ancestry_q_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    hierType?: InputMaybe<Hier_Type_Obj_Rel_Insert_Input>;
    hier_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_mold_ancestry?: InputMaybe<Scalars['Boolean']>;
    is_type_hint?: InputMaybe<Scalars['Boolean']>;
    is_type_qc?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    mold?: InputMaybe<Mold_Obj_Rel_Insert_Input>;
    mold_id?: InputMaybe<Scalars['Int']>;
    q_hash?: InputMaybe<Scalars['String']>;
    q_id?: InputMaybe<Scalars['Int']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Quest_Ancestry_Max_Fields = {
    __typename?: 'quest_ancestry_max_fields';
    ancestry_q_hash?: Maybe<Scalars['String']>;
    ancestry_q_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    game_id?: Maybe<Scalars['Int']>;
    hier_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    mold_id?: Maybe<Scalars['Int']>;
    q_hash?: Maybe<Scalars['String']>;
    q_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Max_Order_By = {
    ancestry_q_hash?: InputMaybe<Order_By>;
    ancestry_q_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_hash?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Quest_Ancestry_Min_Fields = {
    __typename?: 'quest_ancestry_min_fields';
    ancestry_q_hash?: Maybe<Scalars['String']>;
    ancestry_q_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    game_id?: Maybe<Scalars['Int']>;
    hier_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    mold_id?: Maybe<Scalars['Int']>;
    q_hash?: Maybe<Scalars['String']>;
    q_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Min_Order_By = {
    ancestry_q_hash?: InputMaybe<Order_By>;
    ancestry_q_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_hash?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "quest_ancestry" */
export type Quest_Ancestry_Mutation_Response = {
    __typename?: 'quest_ancestry_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Quest_Ancestry>;
};
/** on_conflict condition type for table "quest_ancestry" */
export type Quest_Ancestry_On_Conflict = {
    constraint: Quest_Ancestry_Constraint;
    update_columns?: Array<Quest_Ancestry_Update_Column>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
/** Ordering options when selecting data from "quest_ancestry". */
export type Quest_Ancestry_Order_By = {
    ancestryQuest?: InputMaybe<Quest_Order_By>;
    ancestry_q_hash?: InputMaybe<Order_By>;
    ancestry_q_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    hierType?: InputMaybe<Hier_Type_Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_mold_ancestry?: InputMaybe<Order_By>;
    is_type_hint?: InputMaybe<Order_By>;
    is_type_qc?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    mold?: InputMaybe<Mold_Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_hash?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
};
/** primary key columns input for table: quest_ancestry */
export type Quest_Ancestry_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "quest_ancestry" */
export declare enum Quest_Ancestry_Select_Column {
    /** column name */
    AncestryQHash = "ancestry_q_hash",
    /** column name */
    AncestryQId = "ancestry_q_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    HierType = "hier_type",
    /** column name */
    Id = "id",
    /** column name */
    IsMoldAncestry = "is_mold_ancestry",
    /** column name */
    IsTypeHint = "is_type_hint",
    /** column name */
    IsTypeQc = "is_type_qc",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    MoldId = "mold_id",
    /** column name */
    QHash = "q_hash",
    /** column name */
    QId = "q_id"
}
/** select "quest_ancestry_aggregate_bool_exp_bool_and_arguments_columns" columns of table "quest_ancestry" */
export declare enum Quest_Ancestry_Select_Column_Quest_Ancestry_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsMoldAncestry = "is_mold_ancestry",
    /** column name */
    IsTypeHint = "is_type_hint",
    /** column name */
    IsTypeQc = "is_type_qc"
}
/** select "quest_ancestry_aggregate_bool_exp_bool_or_arguments_columns" columns of table "quest_ancestry" */
export declare enum Quest_Ancestry_Select_Column_Quest_Ancestry_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsMoldAncestry = "is_mold_ancestry",
    /** column name */
    IsTypeHint = "is_type_hint",
    /** column name */
    IsTypeQc = "is_type_qc"
}
/** input type for updating data in table "quest_ancestry" */
export type Quest_Ancestry_Set_Input = {
    ancestry_q_hash?: InputMaybe<Scalars['String']>;
    ancestry_q_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hier_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_mold_ancestry?: InputMaybe<Scalars['Boolean']>;
    is_type_hint?: InputMaybe<Scalars['Boolean']>;
    is_type_qc?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    mold_id?: InputMaybe<Scalars['Int']>;
    q_hash?: InputMaybe<Scalars['String']>;
    q_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Quest_Ancestry_Stddev_Fields = {
    __typename?: 'quest_ancestry_stddev_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Stddev_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Quest_Ancestry_Stddev_Pop_Fields = {
    __typename?: 'quest_ancestry_stddev_pop_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Stddev_Pop_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Quest_Ancestry_Stddev_Samp_Fields = {
    __typename?: 'quest_ancestry_stddev_samp_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Stddev_Samp_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "quest_ancestry" */
export type Quest_Ancestry_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Quest_Ancestry_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Quest_Ancestry_Stream_Cursor_Value_Input = {
    ancestry_q_hash?: InputMaybe<Scalars['String']>;
    ancestry_q_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hier_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_mold_ancestry?: InputMaybe<Scalars['Boolean']>;
    is_type_hint?: InputMaybe<Scalars['Boolean']>;
    is_type_qc?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    mold_id?: InputMaybe<Scalars['Int']>;
    q_hash?: InputMaybe<Scalars['String']>;
    q_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Quest_Ancestry_Sum_Fields = {
    __typename?: 'quest_ancestry_sum_fields';
    ancestry_q_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    hier_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    mold_id?: Maybe<Scalars['Int']>;
    q_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Sum_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** update columns of table "quest_ancestry" */
export declare enum Quest_Ancestry_Update_Column {
    /** column name */
    AncestryQHash = "ancestry_q_hash",
    /** column name */
    AncestryQId = "ancestry_q_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    HierType = "hier_type",
    /** column name */
    Id = "id",
    /** column name */
    IsMoldAncestry = "is_mold_ancestry",
    /** column name */
    IsTypeHint = "is_type_hint",
    /** column name */
    IsTypeQc = "is_type_qc",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    MoldId = "mold_id",
    /** column name */
    QHash = "q_hash",
    /** column name */
    QId = "q_id"
}
export type Quest_Ancestry_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Quest_Ancestry_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Quest_Ancestry_Set_Input>;
    /** filter the rows which have to be updated */
    where: Quest_Ancestry_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Quest_Ancestry_Var_Pop_Fields = {
    __typename?: 'quest_ancestry_var_pop_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Var_Pop_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Quest_Ancestry_Var_Samp_Fields = {
    __typename?: 'quest_ancestry_var_samp_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Var_Samp_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Quest_Ancestry_Variance_Fields = {
    __typename?: 'quest_ancestry_variance_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Variance_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** input type for inserting array relation for remote table "quest" */
export type Quest_Arr_Rel_Insert_Input = {
    data: Array<Quest_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Quest_On_Conflict>;
};
/** aggregate avg on columns */
export type Quest_Avg_Fields = {
    __typename?: 'quest_avg_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "quest" */
export type Quest_Avg_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "quest". All fields are combined with a logical 'AND'. */
export type Quest_Bool_Exp = {
    _and?: InputMaybe<Array<Quest_Bool_Exp>>;
    _not?: InputMaybe<Quest_Bool_Exp>;
    _or?: InputMaybe<Array<Quest_Bool_Exp>>;
    conditionType?: InputMaybe<Condition_Type_Bool_Exp>;
    condition_type_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    creator_id?: InputMaybe<Int_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    hash?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_explicit_output?: InputMaybe<Boolean_Comparison_Exp>;
    is_explicit_reckoning?: InputMaybe<Boolean_Comparison_Exp>;
    is_final?: InputMaybe<Boolean_Comparison_Exp>;
    is_in_blueprint?: InputMaybe<Boolean_Comparison_Exp>;
    is_open?: InputMaybe<Boolean_Comparison_Exp>;
    judge?: InputMaybe<Int_Comparison_Exp>;
    judgeById?: InputMaybe<Judge_Bool_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    locus?: InputMaybe<Locus_Imitate_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    number_in_game?: InputMaybe<Int_Comparison_Exp>;
    pieces?: InputMaybe<Piece_Bool_Exp>;
    pieces_aggregate?: InputMaybe<Piece_Aggregate_Bool_Exp>;
    questStates?: InputMaybe<Quest_State_Bool_Exp>;
    questStates_aggregate?: InputMaybe<Quest_State_Aggregate_Bool_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "quest" */
export declare enum Quest_Constraint {
    /** unique or primary key constraint on columns "game_id", "title", "creator_id", "judge" */
    QuestCreatorIdGameIdTitleJudgeKey = "quest_creator_id_game_id_title_judge_key",
    /** unique or primary key constraint on columns "id" */
    QuestPkey = "quest_pkey"
}
/** input type for incrementing numeric columns in table "quest" */
export type Quest_Inc_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    judge?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    number_in_game?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "quest" */
export type Quest_Insert_Input = {
    conditionType?: InputMaybe<Condition_Type_Obj_Rel_Insert_Input>;
    condition_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    creator_id?: InputMaybe<Scalars['Int']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_explicit_output?: InputMaybe<Scalars['Boolean']>;
    is_explicit_reckoning?: InputMaybe<Scalars['Boolean']>;
    is_final?: InputMaybe<Scalars['Boolean']>;
    is_in_blueprint?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    judgeById?: InputMaybe<Judge_Obj_Rel_Insert_Input>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    locus?: InputMaybe<Locus_Imitate_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    number_in_game?: InputMaybe<Scalars['Int']>;
    pieces?: InputMaybe<Piece_Arr_Rel_Insert_Input>;
    questStates?: InputMaybe<Quest_State_Arr_Rel_Insert_Input>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Quest_Max_Fields = {
    __typename?: 'quest_max_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    locus_id?: Maybe<Scalars['Int']>;
    number_in_game?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "quest" */
export type Quest_Max_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Quest_Min_Fields = {
    __typename?: 'quest_min_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    locus_id?: Maybe<Scalars['Int']>;
    number_in_game?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "quest" */
export type Quest_Min_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "quest" */
export type Quest_Mutation_Response = {
    __typename?: 'quest_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Quest>;
};
/** input type for inserting object relation for remote table "quest" */
export type Quest_Obj_Rel_Insert_Input = {
    data: Quest_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Quest_On_Conflict>;
};
/** on_conflict condition type for table "quest" */
export type Quest_On_Conflict = {
    constraint: Quest_Constraint;
    update_columns?: Array<Quest_Update_Column>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
/** Ordering options when selecting data from "quest". */
export type Quest_Order_By = {
    conditionType?: InputMaybe<Condition_Type_Order_By>;
    condition_type_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_explicit_output?: InputMaybe<Order_By>;
    is_explicit_reckoning?: InputMaybe<Order_By>;
    is_final?: InputMaybe<Order_By>;
    is_in_blueprint?: InputMaybe<Order_By>;
    is_open?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    judgeById?: InputMaybe<Judge_Order_By>;
    last_seen?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Imitate_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
    pieces_aggregate?: InputMaybe<Piece_Aggregate_Order_By>;
    questStates_aggregate?: InputMaybe<Quest_State_Aggregate_Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: quest */
export type Quest_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "quest" */
export declare enum Quest_Select_Column {
    /** column name */
    ConditionTypeId = "condition_type_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    GameId = "game_id",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsExplicitOutput = "is_explicit_output",
    /** column name */
    IsExplicitReckoning = "is_explicit_reckoning",
    /** column name */
    IsFinal = "is_final",
    /** column name */
    IsInBlueprint = "is_in_blueprint",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    Judge = "judge",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    NumberInGame = "number_in_game",
    /** column name */
    Title = "title"
}
/** select "quest_aggregate_bool_exp_bool_and_arguments_columns" columns of table "quest" */
export declare enum Quest_Select_Column_Quest_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsExplicitOutput = "is_explicit_output",
    /** column name */
    IsExplicitReckoning = "is_explicit_reckoning",
    /** column name */
    IsFinal = "is_final",
    /** column name */
    IsInBlueprint = "is_in_blueprint",
    /** column name */
    IsOpen = "is_open"
}
/** select "quest_aggregate_bool_exp_bool_or_arguments_columns" columns of table "quest" */
export declare enum Quest_Select_Column_Quest_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsExplicitOutput = "is_explicit_output",
    /** column name */
    IsExplicitReckoning = "is_explicit_reckoning",
    /** column name */
    IsFinal = "is_final",
    /** column name */
    IsInBlueprint = "is_in_blueprint",
    /** column name */
    IsOpen = "is_open"
}
/** input type for updating data in table "quest" */
export type Quest_Set_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_explicit_output?: InputMaybe<Scalars['Boolean']>;
    is_explicit_reckoning?: InputMaybe<Scalars['Boolean']>;
    is_final?: InputMaybe<Scalars['Boolean']>;
    is_in_blueprint?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    number_in_game?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "quest_state" */
export type Quest_State = {
    __typename?: 'quest_state';
    /** An object relationship */
    condition?: Maybe<Condition>;
    condition_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_front?: Maybe<Scalars['Boolean']>;
    is_hidden?: Maybe<Scalars['Boolean']>;
    is_open?: Maybe<Scalars['Boolean']>;
    is_pending?: Maybe<Scalars['Boolean']>;
    is_solved?: Maybe<Scalars['Boolean']>;
    last_modified?: Maybe<Scalars['timestamp']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    q_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    quest?: Maybe<Quest>;
    /** An object relationship */
    treasureUser?: Maybe<Treasure_User>;
    user_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "quest_state" */
export type Quest_State_Aggregate = {
    __typename?: 'quest_state_aggregate';
    aggregate?: Maybe<Quest_State_Aggregate_Fields>;
    nodes: Array<Quest_State>;
};
export type Quest_State_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Quest_State_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Quest_State_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Quest_State_Aggregate_Bool_Exp_Count>;
};
export type Quest_State_Aggregate_Bool_Exp_Bool_And = {
    arguments: Quest_State_Select_Column_Quest_State_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_State_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_State_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Quest_State_Select_Column_Quest_State_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_State_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_State_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Quest_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_State_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "quest_state" */
export type Quest_State_Aggregate_Fields = {
    __typename?: 'quest_state_aggregate_fields';
    avg?: Maybe<Quest_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Quest_State_Max_Fields>;
    min?: Maybe<Quest_State_Min_Fields>;
    stddev?: Maybe<Quest_State_Stddev_Fields>;
    stddev_pop?: Maybe<Quest_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Quest_State_Stddev_Samp_Fields>;
    sum?: Maybe<Quest_State_Sum_Fields>;
    var_pop?: Maybe<Quest_State_Var_Pop_Fields>;
    var_samp?: Maybe<Quest_State_Var_Samp_Fields>;
    variance?: Maybe<Quest_State_Variance_Fields>;
};
/** aggregate fields of "quest_state" */
export type Quest_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Quest_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "quest_state" */
export type Quest_State_Aggregate_Order_By = {
    avg?: InputMaybe<Quest_State_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Quest_State_Max_Order_By>;
    min?: InputMaybe<Quest_State_Min_Order_By>;
    stddev?: InputMaybe<Quest_State_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Quest_State_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Quest_State_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Quest_State_Sum_Order_By>;
    var_pop?: InputMaybe<Quest_State_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Quest_State_Var_Samp_Order_By>;
    variance?: InputMaybe<Quest_State_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "quest_state" */
export type Quest_State_Arr_Rel_Insert_Input = {
    data: Array<Quest_State_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Quest_State_On_Conflict>;
};
/** aggregate avg on columns */
export type Quest_State_Avg_Fields = {
    __typename?: 'quest_state_avg_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "quest_state" */
export type Quest_State_Avg_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "quest_state". All fields are combined with a logical 'AND'. */
export type Quest_State_Bool_Exp = {
    _and?: InputMaybe<Array<Quest_State_Bool_Exp>>;
    _not?: InputMaybe<Quest_State_Bool_Exp>;
    _or?: InputMaybe<Array<Quest_State_Bool_Exp>>;
    condition?: InputMaybe<Condition_Bool_Exp>;
    condition_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_front?: InputMaybe<Boolean_Comparison_Exp>;
    is_hidden?: InputMaybe<Boolean_Comparison_Exp>;
    is_open?: InputMaybe<Boolean_Comparison_Exp>;
    is_pending?: InputMaybe<Boolean_Comparison_Exp>;
    is_solved?: InputMaybe<Boolean_Comparison_Exp>;
    last_modified?: InputMaybe<Timestamp_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    q_id?: InputMaybe<Int_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    treasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "quest_state" */
export declare enum Quest_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    QuestStatePkey = "quest_state_pkey",
    /** unique or primary key constraint on columns "game_id", "q_id", "user_id" */
    QuestStateUserIdGameIdQIdKey = "quest_state_user_id_game_id_q_id_key"
}
/** input type for incrementing numeric columns in table "quest_state" */
export type Quest_State_Inc_Input = {
    condition_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    q_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "quest_state" */
export type Quest_State_Insert_Input = {
    condition?: InputMaybe<Condition_Obj_Rel_Insert_Input>;
    condition_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_front?: InputMaybe<Scalars['Boolean']>;
    is_hidden?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_pending?: InputMaybe<Scalars['Boolean']>;
    is_solved?: InputMaybe<Scalars['Boolean']>;
    last_modified?: InputMaybe<Scalars['timestamp']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    q_id?: InputMaybe<Scalars['Int']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    treasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Quest_State_Max_Fields = {
    __typename?: 'quest_state_max_fields';
    condition_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    last_modified?: Maybe<Scalars['timestamp']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    q_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "quest_state" */
export type Quest_State_Max_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_modified?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Quest_State_Min_Fields = {
    __typename?: 'quest_state_min_fields';
    condition_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    last_modified?: Maybe<Scalars['timestamp']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    q_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "quest_state" */
export type Quest_State_Min_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_modified?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "quest_state" */
export type Quest_State_Mutation_Response = {
    __typename?: 'quest_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Quest_State>;
};
/** on_conflict condition type for table "quest_state" */
export type Quest_State_On_Conflict = {
    constraint: Quest_State_Constraint;
    update_columns?: Array<Quest_State_Update_Column>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
/** Ordering options when selecting data from "quest_state". */
export type Quest_State_Order_By = {
    condition?: InputMaybe<Condition_Order_By>;
    condition_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_front?: InputMaybe<Order_By>;
    is_hidden?: InputMaybe<Order_By>;
    is_open?: InputMaybe<Order_By>;
    is_pending?: InputMaybe<Order_By>;
    is_solved?: InputMaybe<Order_By>;
    last_modified?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    treasureUser?: InputMaybe<Treasure_User_Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: quest_state */
export type Quest_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "quest_state" */
export declare enum Quest_State_Select_Column {
    /** column name */
    ConditionId = "condition_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsFront = "is_front",
    /** column name */
    IsHidden = "is_hidden",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsPending = "is_pending",
    /** column name */
    IsSolved = "is_solved",
    /** column name */
    LastModified = "last_modified",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    QId = "q_id",
    /** column name */
    UserId = "user_id"
}
/** select "quest_state_aggregate_bool_exp_bool_and_arguments_columns" columns of table "quest_state" */
export declare enum Quest_State_Select_Column_Quest_State_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsFront = "is_front",
    /** column name */
    IsHidden = "is_hidden",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsPending = "is_pending",
    /** column name */
    IsSolved = "is_solved"
}
/** select "quest_state_aggregate_bool_exp_bool_or_arguments_columns" columns of table "quest_state" */
export declare enum Quest_State_Select_Column_Quest_State_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsFront = "is_front",
    /** column name */
    IsHidden = "is_hidden",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsPending = "is_pending",
    /** column name */
    IsSolved = "is_solved"
}
/** input type for updating data in table "quest_state" */
export type Quest_State_Set_Input = {
    condition_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_front?: InputMaybe<Scalars['Boolean']>;
    is_hidden?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_pending?: InputMaybe<Scalars['Boolean']>;
    is_solved?: InputMaybe<Scalars['Boolean']>;
    last_modified?: InputMaybe<Scalars['timestamp']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    q_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Quest_State_Stddev_Fields = {
    __typename?: 'quest_state_stddev_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "quest_state" */
export type Quest_State_Stddev_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Quest_State_Stddev_Pop_Fields = {
    __typename?: 'quest_state_stddev_pop_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "quest_state" */
export type Quest_State_Stddev_Pop_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Quest_State_Stddev_Samp_Fields = {
    __typename?: 'quest_state_stddev_samp_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "quest_state" */
export type Quest_State_Stddev_Samp_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "quest_state" */
export type Quest_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Quest_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Quest_State_Stream_Cursor_Value_Input = {
    condition_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_front?: InputMaybe<Scalars['Boolean']>;
    is_hidden?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_pending?: InputMaybe<Scalars['Boolean']>;
    is_solved?: InputMaybe<Scalars['Boolean']>;
    last_modified?: InputMaybe<Scalars['timestamp']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    q_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Quest_State_Sum_Fields = {
    __typename?: 'quest_state_sum_fields';
    condition_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    q_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "quest_state" */
export type Quest_State_Sum_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** update columns of table "quest_state" */
export declare enum Quest_State_Update_Column {
    /** column name */
    ConditionId = "condition_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsFront = "is_front",
    /** column name */
    IsHidden = "is_hidden",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsPending = "is_pending",
    /** column name */
    IsSolved = "is_solved",
    /** column name */
    LastModified = "last_modified",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    QId = "q_id",
    /** column name */
    UserId = "user_id"
}
export type Quest_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Quest_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Quest_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Quest_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Quest_State_Var_Pop_Fields = {
    __typename?: 'quest_state_var_pop_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "quest_state" */
export type Quest_State_Var_Pop_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Quest_State_Var_Samp_Fields = {
    __typename?: 'quest_state_var_samp_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "quest_state" */
export type Quest_State_Var_Samp_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Quest_State_Variance_Fields = {
    __typename?: 'quest_state_variance_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "quest_state" */
export type Quest_State_Variance_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev on columns */
export type Quest_Stddev_Fields = {
    __typename?: 'quest_stddev_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "quest" */
export type Quest_Stddev_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Quest_Stddev_Pop_Fields = {
    __typename?: 'quest_stddev_pop_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "quest" */
export type Quest_Stddev_Pop_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Quest_Stddev_Samp_Fields = {
    __typename?: 'quest_stddev_samp_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "quest" */
export type Quest_Stddev_Samp_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "quest" */
export type Quest_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Quest_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Quest_Stream_Cursor_Value_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_explicit_output?: InputMaybe<Scalars['Boolean']>;
    is_explicit_reckoning?: InputMaybe<Scalars['Boolean']>;
    is_final?: InputMaybe<Scalars['Boolean']>;
    is_in_blueprint?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    number_in_game?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Quest_Sum_Fields = {
    __typename?: 'quest_sum_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    creator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    number_in_game?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "quest" */
export type Quest_Sum_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** columns and relationships of "quest_type" */
export type Quest_Type = {
    __typename?: 'quest_type';
    id: Scalars['Int'];
    name: Scalars['String'];
};
/** aggregated selection of "quest_type" */
export type Quest_Type_Aggregate = {
    __typename?: 'quest_type_aggregate';
    aggregate?: Maybe<Quest_Type_Aggregate_Fields>;
    nodes: Array<Quest_Type>;
};
/** aggregate fields of "quest_type" */
export type Quest_Type_Aggregate_Fields = {
    __typename?: 'quest_type_aggregate_fields';
    avg?: Maybe<Quest_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Quest_Type_Max_Fields>;
    min?: Maybe<Quest_Type_Min_Fields>;
    stddev?: Maybe<Quest_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Quest_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Quest_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Quest_Type_Sum_Fields>;
    var_pop?: Maybe<Quest_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Quest_Type_Var_Samp_Fields>;
    variance?: Maybe<Quest_Type_Variance_Fields>;
};
/** aggregate fields of "quest_type" */
export type Quest_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Quest_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Quest_Type_Avg_Fields = {
    __typename?: 'quest_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "quest_type". All fields are combined with a logical 'AND'. */
export type Quest_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Quest_Type_Bool_Exp>>;
    _not?: InputMaybe<Quest_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Quest_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "quest_type" */
export declare enum Quest_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    QuestTypePkey = "quest_type_pkey"
}
/** input type for incrementing numeric columns in table "quest_type" */
export type Quest_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "quest_type" */
export type Quest_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Quest_Type_Max_Fields = {
    __typename?: 'quest_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Quest_Type_Min_Fields = {
    __typename?: 'quest_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "quest_type" */
export type Quest_Type_Mutation_Response = {
    __typename?: 'quest_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Quest_Type>;
};
/** on_conflict condition type for table "quest_type" */
export type Quest_Type_On_Conflict = {
    constraint: Quest_Type_Constraint;
    update_columns?: Array<Quest_Type_Update_Column>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "quest_type". */
export type Quest_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: quest_type */
export type Quest_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "quest_type" */
export declare enum Quest_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "quest_type" */
export type Quest_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Quest_Type_Stddev_Fields = {
    __typename?: 'quest_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Quest_Type_Stddev_Pop_Fields = {
    __typename?: 'quest_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Quest_Type_Stddev_Samp_Fields = {
    __typename?: 'quest_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "quest_type" */
export type Quest_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Quest_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Quest_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Quest_Type_Sum_Fields = {
    __typename?: 'quest_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "quest_type" */
export declare enum Quest_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
export type Quest_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Quest_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Quest_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Quest_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Quest_Type_Var_Pop_Fields = {
    __typename?: 'quest_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Quest_Type_Var_Samp_Fields = {
    __typename?: 'quest_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Quest_Type_Variance_Fields = {
    __typename?: 'quest_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "quest" */
export declare enum Quest_Update_Column {
    /** column name */
    ConditionTypeId = "condition_type_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    GameId = "game_id",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsExplicitOutput = "is_explicit_output",
    /** column name */
    IsExplicitReckoning = "is_explicit_reckoning",
    /** column name */
    IsFinal = "is_final",
    /** column name */
    IsInBlueprint = "is_in_blueprint",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    Judge = "judge",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    NumberInGame = "number_in_game",
    /** column name */
    Title = "title"
}
export type Quest_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Quest_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Quest_Set_Input>;
    /** filter the rows which have to be updated */
    where: Quest_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Quest_Var_Pop_Fields = {
    __typename?: 'quest_var_pop_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "quest" */
export type Quest_Var_Pop_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Quest_Var_Samp_Fields = {
    __typename?: 'quest_var_samp_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "quest" */
export type Quest_Var_Samp_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Quest_Variance_Fields = {
    __typename?: 'quest_variance_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "quest" */
export type Quest_Variance_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** columns and relationships of "resource_policy" */
export type Resource_Policy = {
    __typename?: 'resource_policy';
    id: Scalars['Int'];
};
/** aggregated selection of "resource_policy" */
export type Resource_Policy_Aggregate = {
    __typename?: 'resource_policy_aggregate';
    aggregate?: Maybe<Resource_Policy_Aggregate_Fields>;
    nodes: Array<Resource_Policy>;
};
/** aggregate fields of "resource_policy" */
export type Resource_Policy_Aggregate_Fields = {
    __typename?: 'resource_policy_aggregate_fields';
    avg?: Maybe<Resource_Policy_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Resource_Policy_Max_Fields>;
    min?: Maybe<Resource_Policy_Min_Fields>;
    stddev?: Maybe<Resource_Policy_Stddev_Fields>;
    stddev_pop?: Maybe<Resource_Policy_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Resource_Policy_Stddev_Samp_Fields>;
    sum?: Maybe<Resource_Policy_Sum_Fields>;
    var_pop?: Maybe<Resource_Policy_Var_Pop_Fields>;
    var_samp?: Maybe<Resource_Policy_Var_Samp_Fields>;
    variance?: Maybe<Resource_Policy_Variance_Fields>;
};
/** aggregate fields of "resource_policy" */
export type Resource_Policy_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Resource_Policy_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Resource_Policy_Avg_Fields = {
    __typename?: 'resource_policy_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "resource_policy". All fields are combined with a logical 'AND'. */
export type Resource_Policy_Bool_Exp = {
    _and?: InputMaybe<Array<Resource_Policy_Bool_Exp>>;
    _not?: InputMaybe<Resource_Policy_Bool_Exp>;
    _or?: InputMaybe<Array<Resource_Policy_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "resource_policy" */
export declare enum Resource_Policy_Constraint {
    /** unique or primary key constraint on columns "id" */
    ResourcePolicyPkey = "resource_policy_pkey"
}
/** input type for incrementing numeric columns in table "resource_policy" */
export type Resource_Policy_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "resource_policy" */
export type Resource_Policy_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Resource_Policy_Max_Fields = {
    __typename?: 'resource_policy_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Resource_Policy_Min_Fields = {
    __typename?: 'resource_policy_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "resource_policy" */
export type Resource_Policy_Mutation_Response = {
    __typename?: 'resource_policy_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Resource_Policy>;
};
/** input type for inserting object relation for remote table "resource_policy" */
export type Resource_Policy_Obj_Rel_Insert_Input = {
    data: Resource_Policy_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Resource_Policy_On_Conflict>;
};
/** on_conflict condition type for table "resource_policy" */
export type Resource_Policy_On_Conflict = {
    constraint: Resource_Policy_Constraint;
    update_columns?: Array<Resource_Policy_Update_Column>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
/** Ordering options when selecting data from "resource_policy". */
export type Resource_Policy_Order_By = {
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: resource_policy */
export type Resource_Policy_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "resource_policy" */
export declare enum Resource_Policy_Select_Column {
    /** column name */
    Id = "id"
}
/** input type for updating data in table "resource_policy" */
export type Resource_Policy_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Resource_Policy_Stddev_Fields = {
    __typename?: 'resource_policy_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Resource_Policy_Stddev_Pop_Fields = {
    __typename?: 'resource_policy_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Resource_Policy_Stddev_Samp_Fields = {
    __typename?: 'resource_policy_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "resource_policy" */
export type Resource_Policy_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Resource_Policy_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Resource_Policy_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Resource_Policy_Sum_Fields = {
    __typename?: 'resource_policy_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "resource_policy" */
export declare enum Resource_Policy_Update_Column {
    /** column name */
    Id = "id"
}
export type Resource_Policy_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Resource_Policy_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Resource_Policy_Set_Input>;
    /** filter the rows which have to be updated */
    where: Resource_Policy_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Resource_Policy_Var_Pop_Fields = {
    __typename?: 'resource_policy_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Resource_Policy_Var_Samp_Fields = {
    __typename?: 'resource_policy_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Resource_Policy_Variance_Fields = {
    __typename?: 'resource_policy_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "resource_privacy" */
export type Resource_Privacy = {
    __typename?: 'resource_privacy';
    id: Scalars['Int'];
    in_universe: Scalars['Boolean'];
    is_global_public: Scalars['Boolean'];
    is_private: Scalars['Boolean'];
    name: Scalars['String'];
    /** An object relationship */
    universe?: Maybe<Universe>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "resource_privacy" */
export type Resource_Privacy_Aggregate = {
    __typename?: 'resource_privacy_aggregate';
    aggregate?: Maybe<Resource_Privacy_Aggregate_Fields>;
    nodes: Array<Resource_Privacy>;
};
/** aggregate fields of "resource_privacy" */
export type Resource_Privacy_Aggregate_Fields = {
    __typename?: 'resource_privacy_aggregate_fields';
    avg?: Maybe<Resource_Privacy_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Resource_Privacy_Max_Fields>;
    min?: Maybe<Resource_Privacy_Min_Fields>;
    stddev?: Maybe<Resource_Privacy_Stddev_Fields>;
    stddev_pop?: Maybe<Resource_Privacy_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Resource_Privacy_Stddev_Samp_Fields>;
    sum?: Maybe<Resource_Privacy_Sum_Fields>;
    var_pop?: Maybe<Resource_Privacy_Var_Pop_Fields>;
    var_samp?: Maybe<Resource_Privacy_Var_Samp_Fields>;
    variance?: Maybe<Resource_Privacy_Variance_Fields>;
};
/** aggregate fields of "resource_privacy" */
export type Resource_Privacy_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Resource_Privacy_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Resource_Privacy_Avg_Fields = {
    __typename?: 'resource_privacy_avg_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "resource_privacy". All fields are combined with a logical 'AND'. */
export type Resource_Privacy_Bool_Exp = {
    _and?: InputMaybe<Array<Resource_Privacy_Bool_Exp>>;
    _not?: InputMaybe<Resource_Privacy_Bool_Exp>;
    _or?: InputMaybe<Array<Resource_Privacy_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    in_universe?: InputMaybe<Boolean_Comparison_Exp>;
    is_global_public?: InputMaybe<Boolean_Comparison_Exp>;
    is_private?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "resource_privacy" */
export declare enum Resource_Privacy_Constraint {
    /** unique or primary key constraint on columns "id" */
    ResourcePrivacyPkey = "resource_privacy_pkey"
}
/** input type for incrementing numeric columns in table "resource_privacy" */
export type Resource_Privacy_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "resource_privacy" */
export type Resource_Privacy_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    in_universe?: InputMaybe<Scalars['Boolean']>;
    is_global_public?: InputMaybe<Scalars['Boolean']>;
    is_private?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Resource_Privacy_Max_Fields = {
    __typename?: 'resource_privacy_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Resource_Privacy_Min_Fields = {
    __typename?: 'resource_privacy_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "resource_privacy" */
export type Resource_Privacy_Mutation_Response = {
    __typename?: 'resource_privacy_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Resource_Privacy>;
};
/** input type for inserting object relation for remote table "resource_privacy" */
export type Resource_Privacy_Obj_Rel_Insert_Input = {
    data: Resource_Privacy_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Resource_Privacy_On_Conflict>;
};
/** on_conflict condition type for table "resource_privacy" */
export type Resource_Privacy_On_Conflict = {
    constraint: Resource_Privacy_Constraint;
    update_columns?: Array<Resource_Privacy_Update_Column>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
/** Ordering options when selecting data from "resource_privacy". */
export type Resource_Privacy_Order_By = {
    id?: InputMaybe<Order_By>;
    in_universe?: InputMaybe<Order_By>;
    is_global_public?: InputMaybe<Order_By>;
    is_private?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: resource_privacy */
export type Resource_Privacy_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "resource_privacy" */
export declare enum Resource_Privacy_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    InUniverse = "in_universe",
    /** column name */
    IsGlobalPublic = "is_global_public",
    /** column name */
    IsPrivate = "is_private",
    /** column name */
    Name = "name",
    /** column name */
    UniverseId = "universe_id"
}
/** input type for updating data in table "resource_privacy" */
export type Resource_Privacy_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    in_universe?: InputMaybe<Scalars['Boolean']>;
    is_global_public?: InputMaybe<Scalars['Boolean']>;
    is_private?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Resource_Privacy_Stddev_Fields = {
    __typename?: 'resource_privacy_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Resource_Privacy_Stddev_Pop_Fields = {
    __typename?: 'resource_privacy_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Resource_Privacy_Stddev_Samp_Fields = {
    __typename?: 'resource_privacy_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "resource_privacy" */
export type Resource_Privacy_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Resource_Privacy_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Resource_Privacy_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    in_universe?: InputMaybe<Scalars['Boolean']>;
    is_global_public?: InputMaybe<Scalars['Boolean']>;
    is_private?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Resource_Privacy_Sum_Fields = {
    __typename?: 'resource_privacy_sum_fields';
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "resource_privacy" */
export declare enum Resource_Privacy_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    InUniverse = "in_universe",
    /** column name */
    IsGlobalPublic = "is_global_public",
    /** column name */
    IsPrivate = "is_private",
    /** column name */
    Name = "name",
    /** column name */
    UniverseId = "universe_id"
}
export type Resource_Privacy_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Resource_Privacy_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Resource_Privacy_Set_Input>;
    /** filter the rows which have to be updated */
    where: Resource_Privacy_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Resource_Privacy_Var_Pop_Fields = {
    __typename?: 'resource_privacy_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Resource_Privacy_Var_Samp_Fields = {
    __typename?: 'resource_privacy_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Resource_Privacy_Variance_Fields = {
    __typename?: 'resource_privacy_variance_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d = {
    __typename?: 'rooadmap_gis_cord_2d';
    id: Scalars['Int'];
    line: Scalars['geography'];
};
/** aggregated selection of "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Aggregate = {
    __typename?: 'rooadmap_gis_cord_2d_aggregate';
    aggregate?: Maybe<Rooadmap_Gis_Cord_2d_Aggregate_Fields>;
    nodes: Array<Rooadmap_Gis_Cord_2d>;
};
/** aggregate fields of "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Aggregate_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_aggregate_fields';
    avg?: Maybe<Rooadmap_Gis_Cord_2d_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Rooadmap_Gis_Cord_2d_Max_Fields>;
    min?: Maybe<Rooadmap_Gis_Cord_2d_Min_Fields>;
    stddev?: Maybe<Rooadmap_Gis_Cord_2d_Stddev_Fields>;
    stddev_pop?: Maybe<Rooadmap_Gis_Cord_2d_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Rooadmap_Gis_Cord_2d_Stddev_Samp_Fields>;
    sum?: Maybe<Rooadmap_Gis_Cord_2d_Sum_Fields>;
    var_pop?: Maybe<Rooadmap_Gis_Cord_2d_Var_Pop_Fields>;
    var_samp?: Maybe<Rooadmap_Gis_Cord_2d_Var_Samp_Fields>;
    variance?: Maybe<Rooadmap_Gis_Cord_2d_Variance_Fields>;
};
/** aggregate fields of "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Rooadmap_Gis_Cord_2d_Avg_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "rooadmap_gis.cord_2d". All fields are combined with a logical 'AND'. */
export type Rooadmap_Gis_Cord_2d_Bool_Exp = {
    _and?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Bool_Exp>>;
    _not?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
    _or?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    line?: InputMaybe<Geography_Comparison_Exp>;
};
/** unique or primary key constraints on table "rooadmap_gis.cord_2d" */
export declare enum Rooadmap_Gis_Cord_2d_Constraint {
    /** unique or primary key constraint on columns "id" */
    Cord_2dPkey = "cord_2d_pkey"
}
/** input type for incrementing numeric columns in table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate max on columns */
export type Rooadmap_Gis_Cord_2d_Max_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Rooadmap_Gis_Cord_2d_Min_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Mutation_Response = {
    __typename?: 'rooadmap_gis_cord_2d_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Rooadmap_Gis_Cord_2d>;
};
/** input type for inserting object relation for remote table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Obj_Rel_Insert_Input = {
    data: Rooadmap_Gis_Cord_2d_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_2d_On_Conflict>;
};
/** on_conflict condition type for table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_On_Conflict = {
    constraint: Rooadmap_Gis_Cord_2d_Constraint;
    update_columns?: Array<Rooadmap_Gis_Cord_2d_Update_Column>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
/** Ordering options when selecting data from "rooadmap_gis.cord_2d". */
export type Rooadmap_Gis_Cord_2d_Order_By = {
    id?: InputMaybe<Order_By>;
    line?: InputMaybe<Order_By>;
};
/** primary key columns input for table: rooadmap_gis.cord_2d */
export type Rooadmap_Gis_Cord_2d_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "rooadmap_gis.cord_2d" */
export declare enum Rooadmap_Gis_Cord_2d_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Line = "line"
}
/** input type for updating data in table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate stddev on columns */
export type Rooadmap_Gis_Cord_2d_Stddev_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Rooadmap_Gis_Cord_2d_Stddev_Pop_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Rooadmap_Gis_Cord_2d_Stddev_Samp_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "rooadmap_gis_cord_2d" */
export type Rooadmap_Gis_Cord_2d_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Rooadmap_Gis_Cord_2d_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Rooadmap_Gis_Cord_2d_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate sum on columns */
export type Rooadmap_Gis_Cord_2d_Sum_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "rooadmap_gis.cord_2d" */
export declare enum Rooadmap_Gis_Cord_2d_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Line = "line"
}
export type Rooadmap_Gis_Cord_2d_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Rooadmap_Gis_Cord_2d_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Rooadmap_Gis_Cord_2d_Set_Input>;
    /** filter the rows which have to be updated */
    where: Rooadmap_Gis_Cord_2d_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Rooadmap_Gis_Cord_2d_Var_Pop_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Rooadmap_Gis_Cord_2d_Var_Samp_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Rooadmap_Gis_Cord_2d_Variance_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d = {
    __typename?: 'rooadmap_gis_cord_3d';
    id: Scalars['Int'];
    line?: Maybe<Scalars['geography']>;
};
/** aggregated selection of "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Aggregate = {
    __typename?: 'rooadmap_gis_cord_3d_aggregate';
    aggregate?: Maybe<Rooadmap_Gis_Cord_3d_Aggregate_Fields>;
    nodes: Array<Rooadmap_Gis_Cord_3d>;
};
/** aggregate fields of "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Aggregate_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_aggregate_fields';
    avg?: Maybe<Rooadmap_Gis_Cord_3d_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Rooadmap_Gis_Cord_3d_Max_Fields>;
    min?: Maybe<Rooadmap_Gis_Cord_3d_Min_Fields>;
    stddev?: Maybe<Rooadmap_Gis_Cord_3d_Stddev_Fields>;
    stddev_pop?: Maybe<Rooadmap_Gis_Cord_3d_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Rooadmap_Gis_Cord_3d_Stddev_Samp_Fields>;
    sum?: Maybe<Rooadmap_Gis_Cord_3d_Sum_Fields>;
    var_pop?: Maybe<Rooadmap_Gis_Cord_3d_Var_Pop_Fields>;
    var_samp?: Maybe<Rooadmap_Gis_Cord_3d_Var_Samp_Fields>;
    variance?: Maybe<Rooadmap_Gis_Cord_3d_Variance_Fields>;
};
/** aggregate fields of "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Rooadmap_Gis_Cord_3d_Avg_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "rooadmap_gis.cord_3d". All fields are combined with a logical 'AND'. */
export type Rooadmap_Gis_Cord_3d_Bool_Exp = {
    _and?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Bool_Exp>>;
    _not?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
    _or?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    line?: InputMaybe<Geography_Comparison_Exp>;
};
/** unique or primary key constraints on table "rooadmap_gis.cord_3d" */
export declare enum Rooadmap_Gis_Cord_3d_Constraint {
    /** unique or primary key constraint on columns "id" */
    Cord_3dPkey = "cord_3d_pkey"
}
/** input type for incrementing numeric columns in table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate max on columns */
export type Rooadmap_Gis_Cord_3d_Max_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Rooadmap_Gis_Cord_3d_Min_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Mutation_Response = {
    __typename?: 'rooadmap_gis_cord_3d_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Rooadmap_Gis_Cord_3d>;
};
/** input type for inserting object relation for remote table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Obj_Rel_Insert_Input = {
    data: Rooadmap_Gis_Cord_3d_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_3d_On_Conflict>;
};
/** on_conflict condition type for table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_On_Conflict = {
    constraint: Rooadmap_Gis_Cord_3d_Constraint;
    update_columns?: Array<Rooadmap_Gis_Cord_3d_Update_Column>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
/** Ordering options when selecting data from "rooadmap_gis.cord_3d". */
export type Rooadmap_Gis_Cord_3d_Order_By = {
    id?: InputMaybe<Order_By>;
    line?: InputMaybe<Order_By>;
};
/** primary key columns input for table: rooadmap_gis.cord_3d */
export type Rooadmap_Gis_Cord_3d_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "rooadmap_gis.cord_3d" */
export declare enum Rooadmap_Gis_Cord_3d_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Line = "line"
}
/** input type for updating data in table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate stddev on columns */
export type Rooadmap_Gis_Cord_3d_Stddev_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Rooadmap_Gis_Cord_3d_Stddev_Pop_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Rooadmap_Gis_Cord_3d_Stddev_Samp_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "rooadmap_gis_cord_3d" */
export type Rooadmap_Gis_Cord_3d_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Rooadmap_Gis_Cord_3d_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Rooadmap_Gis_Cord_3d_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate sum on columns */
export type Rooadmap_Gis_Cord_3d_Sum_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "rooadmap_gis.cord_3d" */
export declare enum Rooadmap_Gis_Cord_3d_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Line = "line"
}
export type Rooadmap_Gis_Cord_3d_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Rooadmap_Gis_Cord_3d_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Rooadmap_Gis_Cord_3d_Set_Input>;
    /** filter the rows which have to be updated */
    where: Rooadmap_Gis_Cord_3d_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Rooadmap_Gis_Cord_3d_Var_Pop_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Rooadmap_Gis_Cord_3d_Var_Samp_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Rooadmap_Gis_Cord_3d_Variance_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d = {
    __typename?: 'rooadmap_gis_location_2d';
    coordinate: Scalars['geography'];
    id: Scalars['Int'];
};
/** aggregated selection of "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Aggregate = {
    __typename?: 'rooadmap_gis_location_2d_aggregate';
    aggregate?: Maybe<Rooadmap_Gis_Location_2d_Aggregate_Fields>;
    nodes: Array<Rooadmap_Gis_Location_2d>;
};
/** aggregate fields of "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Aggregate_Fields = {
    __typename?: 'rooadmap_gis_location_2d_aggregate_fields';
    avg?: Maybe<Rooadmap_Gis_Location_2d_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Rooadmap_Gis_Location_2d_Max_Fields>;
    min?: Maybe<Rooadmap_Gis_Location_2d_Min_Fields>;
    stddev?: Maybe<Rooadmap_Gis_Location_2d_Stddev_Fields>;
    stddev_pop?: Maybe<Rooadmap_Gis_Location_2d_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Rooadmap_Gis_Location_2d_Stddev_Samp_Fields>;
    sum?: Maybe<Rooadmap_Gis_Location_2d_Sum_Fields>;
    var_pop?: Maybe<Rooadmap_Gis_Location_2d_Var_Pop_Fields>;
    var_samp?: Maybe<Rooadmap_Gis_Location_2d_Var_Samp_Fields>;
    variance?: Maybe<Rooadmap_Gis_Location_2d_Variance_Fields>;
};
/** aggregate fields of "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Rooadmap_Gis_Location_2d_Avg_Fields = {
    __typename?: 'rooadmap_gis_location_2d_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "rooadmap_gis.location_2d". All fields are combined with a logical 'AND'. */
export type Rooadmap_Gis_Location_2d_Bool_Exp = {
    _and?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Bool_Exp>>;
    _not?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
    _or?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Bool_Exp>>;
    coordinate?: InputMaybe<Geography_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "rooadmap_gis.location_2d" */
export declare enum Rooadmap_Gis_Location_2d_Constraint {
    /** unique or primary key constraint on columns "id" */
    Location_2dPkey = "location_2d_pkey"
}
/** input type for incrementing numeric columns in table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Insert_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Rooadmap_Gis_Location_2d_Max_Fields = {
    __typename?: 'rooadmap_gis_location_2d_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Rooadmap_Gis_Location_2d_Min_Fields = {
    __typename?: 'rooadmap_gis_location_2d_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Mutation_Response = {
    __typename?: 'rooadmap_gis_location_2d_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Rooadmap_Gis_Location_2d>;
};
/** input type for inserting object relation for remote table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Obj_Rel_Insert_Input = {
    data: Rooadmap_Gis_Location_2d_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_2d_On_Conflict>;
};
/** on_conflict condition type for table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_On_Conflict = {
    constraint: Rooadmap_Gis_Location_2d_Constraint;
    update_columns?: Array<Rooadmap_Gis_Location_2d_Update_Column>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
/** Ordering options when selecting data from "rooadmap_gis.location_2d". */
export type Rooadmap_Gis_Location_2d_Order_By = {
    coordinate?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: rooadmap_gis.location_2d */
export type Rooadmap_Gis_Location_2d_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "rooadmap_gis.location_2d" */
export declare enum Rooadmap_Gis_Location_2d_Select_Column {
    /** column name */
    Coordinate = "coordinate",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Set_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Rooadmap_Gis_Location_2d_Stddev_Fields = {
    __typename?: 'rooadmap_gis_location_2d_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Rooadmap_Gis_Location_2d_Stddev_Pop_Fields = {
    __typename?: 'rooadmap_gis_location_2d_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Rooadmap_Gis_Location_2d_Stddev_Samp_Fields = {
    __typename?: 'rooadmap_gis_location_2d_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "rooadmap_gis_location_2d" */
export type Rooadmap_Gis_Location_2d_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Rooadmap_Gis_Location_2d_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Rooadmap_Gis_Location_2d_Stream_Cursor_Value_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Rooadmap_Gis_Location_2d_Sum_Fields = {
    __typename?: 'rooadmap_gis_location_2d_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "rooadmap_gis.location_2d" */
export declare enum Rooadmap_Gis_Location_2d_Update_Column {
    /** column name */
    Coordinate = "coordinate",
    /** column name */
    Id = "id"
}
export type Rooadmap_Gis_Location_2d_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Rooadmap_Gis_Location_2d_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Rooadmap_Gis_Location_2d_Set_Input>;
    /** filter the rows which have to be updated */
    where: Rooadmap_Gis_Location_2d_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Rooadmap_Gis_Location_2d_Var_Pop_Fields = {
    __typename?: 'rooadmap_gis_location_2d_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Rooadmap_Gis_Location_2d_Var_Samp_Fields = {
    __typename?: 'rooadmap_gis_location_2d_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Rooadmap_Gis_Location_2d_Variance_Fields = {
    __typename?: 'rooadmap_gis_location_2d_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d = {
    __typename?: 'rooadmap_gis_location_3d';
    coordinate?: Maybe<Scalars['geography']>;
    id: Scalars['Int'];
};
/** aggregated selection of "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Aggregate = {
    __typename?: 'rooadmap_gis_location_3d_aggregate';
    aggregate?: Maybe<Rooadmap_Gis_Location_3d_Aggregate_Fields>;
    nodes: Array<Rooadmap_Gis_Location_3d>;
};
/** aggregate fields of "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Aggregate_Fields = {
    __typename?: 'rooadmap_gis_location_3d_aggregate_fields';
    avg?: Maybe<Rooadmap_Gis_Location_3d_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Rooadmap_Gis_Location_3d_Max_Fields>;
    min?: Maybe<Rooadmap_Gis_Location_3d_Min_Fields>;
    stddev?: Maybe<Rooadmap_Gis_Location_3d_Stddev_Fields>;
    stddev_pop?: Maybe<Rooadmap_Gis_Location_3d_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Rooadmap_Gis_Location_3d_Stddev_Samp_Fields>;
    sum?: Maybe<Rooadmap_Gis_Location_3d_Sum_Fields>;
    var_pop?: Maybe<Rooadmap_Gis_Location_3d_Var_Pop_Fields>;
    var_samp?: Maybe<Rooadmap_Gis_Location_3d_Var_Samp_Fields>;
    variance?: Maybe<Rooadmap_Gis_Location_3d_Variance_Fields>;
};
/** aggregate fields of "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Rooadmap_Gis_Location_3d_Avg_Fields = {
    __typename?: 'rooadmap_gis_location_3d_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "rooadmap_gis.location_3d". All fields are combined with a logical 'AND'. */
export type Rooadmap_Gis_Location_3d_Bool_Exp = {
    _and?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Bool_Exp>>;
    _not?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
    _or?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Bool_Exp>>;
    coordinate?: InputMaybe<Geography_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "rooadmap_gis.location_3d" */
export declare enum Rooadmap_Gis_Location_3d_Constraint {
    /** unique or primary key constraint on columns "id" */
    Location_3dPkey = "location_3d_pkey"
}
/** input type for incrementing numeric columns in table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Insert_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Rooadmap_Gis_Location_3d_Max_Fields = {
    __typename?: 'rooadmap_gis_location_3d_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Rooadmap_Gis_Location_3d_Min_Fields = {
    __typename?: 'rooadmap_gis_location_3d_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Mutation_Response = {
    __typename?: 'rooadmap_gis_location_3d_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Rooadmap_Gis_Location_3d>;
};
/** input type for inserting object relation for remote table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Obj_Rel_Insert_Input = {
    data: Rooadmap_Gis_Location_3d_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_3d_On_Conflict>;
};
/** on_conflict condition type for table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_On_Conflict = {
    constraint: Rooadmap_Gis_Location_3d_Constraint;
    update_columns?: Array<Rooadmap_Gis_Location_3d_Update_Column>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
/** Ordering options when selecting data from "rooadmap_gis.location_3d". */
export type Rooadmap_Gis_Location_3d_Order_By = {
    coordinate?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: rooadmap_gis.location_3d */
export type Rooadmap_Gis_Location_3d_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "rooadmap_gis.location_3d" */
export declare enum Rooadmap_Gis_Location_3d_Select_Column {
    /** column name */
    Coordinate = "coordinate",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Set_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Rooadmap_Gis_Location_3d_Stddev_Fields = {
    __typename?: 'rooadmap_gis_location_3d_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Rooadmap_Gis_Location_3d_Stddev_Pop_Fields = {
    __typename?: 'rooadmap_gis_location_3d_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Rooadmap_Gis_Location_3d_Stddev_Samp_Fields = {
    __typename?: 'rooadmap_gis_location_3d_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "rooadmap_gis_location_3d" */
export type Rooadmap_Gis_Location_3d_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Rooadmap_Gis_Location_3d_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Rooadmap_Gis_Location_3d_Stream_Cursor_Value_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Rooadmap_Gis_Location_3d_Sum_Fields = {
    __typename?: 'rooadmap_gis_location_3d_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "rooadmap_gis.location_3d" */
export declare enum Rooadmap_Gis_Location_3d_Update_Column {
    /** column name */
    Coordinate = "coordinate",
    /** column name */
    Id = "id"
}
export type Rooadmap_Gis_Location_3d_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Rooadmap_Gis_Location_3d_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Rooadmap_Gis_Location_3d_Set_Input>;
    /** filter the rows which have to be updated */
    where: Rooadmap_Gis_Location_3d_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Rooadmap_Gis_Location_3d_Var_Pop_Fields = {
    __typename?: 'rooadmap_gis_location_3d_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Rooadmap_Gis_Location_3d_Var_Samp_Fields = {
    __typename?: 'rooadmap_gis_location_3d_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Rooadmap_Gis_Location_3d_Variance_Fields = {
    __typename?: 'rooadmap_gis_location_3d_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item = {
    __typename?: 'rooadmap_gis_map_item';
    /** An object relationship */
    cord2D?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** An object relationship */
    cord3D?: Maybe<Rooadmap_Gis_Cord_3d>;
    cord_2d_id?: Maybe<Scalars['Int']>;
    cord_3d_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    info?: Maybe<Map_Item>;
    /** An object relationship */
    location2D?: Maybe<Rooadmap_Gis_Location_2d>;
    /** An object relationship */
    location3D?: Maybe<Rooadmap_Gis_Location_3d>;
    location_2d_id?: Maybe<Scalars['Int']>;
    location_3d_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Aggregate = {
    __typename?: 'rooadmap_gis_map_item_aggregate';
    aggregate?: Maybe<Rooadmap_Gis_Map_Item_Aggregate_Fields>;
    nodes: Array<Rooadmap_Gis_Map_Item>;
};
/** aggregate fields of "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Aggregate_Fields = {
    __typename?: 'rooadmap_gis_map_item_aggregate_fields';
    avg?: Maybe<Rooadmap_Gis_Map_Item_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Rooadmap_Gis_Map_Item_Max_Fields>;
    min?: Maybe<Rooadmap_Gis_Map_Item_Min_Fields>;
    stddev?: Maybe<Rooadmap_Gis_Map_Item_Stddev_Fields>;
    stddev_pop?: Maybe<Rooadmap_Gis_Map_Item_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Rooadmap_Gis_Map_Item_Stddev_Samp_Fields>;
    sum?: Maybe<Rooadmap_Gis_Map_Item_Sum_Fields>;
    var_pop?: Maybe<Rooadmap_Gis_Map_Item_Var_Pop_Fields>;
    var_samp?: Maybe<Rooadmap_Gis_Map_Item_Var_Samp_Fields>;
    variance?: Maybe<Rooadmap_Gis_Map_Item_Variance_Fields>;
};
/** aggregate fields of "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Rooadmap_Gis_Map_Item_Avg_Fields = {
    __typename?: 'rooadmap_gis_map_item_avg_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "rooadmap_gis.map_item". All fields are combined with a logical 'AND'. */
export type Rooadmap_Gis_Map_Item_Bool_Exp = {
    _and?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Bool_Exp>>;
    _not?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
    _or?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Bool_Exp>>;
    cord2D?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
    cord3D?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
    cord_2d_id?: InputMaybe<Int_Comparison_Exp>;
    cord_3d_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    info?: InputMaybe<Map_Item_Bool_Exp>;
    location2D?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
    location3D?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
    location_2d_id?: InputMaybe<Int_Comparison_Exp>;
    location_3d_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "rooadmap_gis.map_item" */
export declare enum Rooadmap_Gis_Map_Item_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapItemPkey = "map_item_pkey"
}
/** input type for incrementing numeric columns in table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Inc_Input = {
    cord_2d_id?: InputMaybe<Scalars['Int']>;
    cord_3d_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_2d_id?: InputMaybe<Scalars['Int']>;
    location_3d_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Insert_Input = {
    cord2D?: InputMaybe<Rooadmap_Gis_Cord_2d_Obj_Rel_Insert_Input>;
    cord3D?: InputMaybe<Rooadmap_Gis_Cord_3d_Obj_Rel_Insert_Input>;
    cord_2d_id?: InputMaybe<Scalars['Int']>;
    cord_3d_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    info?: InputMaybe<Map_Item_Obj_Rel_Insert_Input>;
    location2D?: InputMaybe<Rooadmap_Gis_Location_2d_Obj_Rel_Insert_Input>;
    location3D?: InputMaybe<Rooadmap_Gis_Location_3d_Obj_Rel_Insert_Input>;
    location_2d_id?: InputMaybe<Scalars['Int']>;
    location_3d_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Rooadmap_Gis_Map_Item_Max_Fields = {
    __typename?: 'rooadmap_gis_map_item_max_fields';
    cord_2d_id?: Maybe<Scalars['Int']>;
    cord_3d_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_2d_id?: Maybe<Scalars['Int']>;
    location_3d_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Rooadmap_Gis_Map_Item_Min_Fields = {
    __typename?: 'rooadmap_gis_map_item_min_fields';
    cord_2d_id?: Maybe<Scalars['Int']>;
    cord_3d_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_2d_id?: Maybe<Scalars['Int']>;
    location_3d_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Mutation_Response = {
    __typename?: 'rooadmap_gis_map_item_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Rooadmap_Gis_Map_Item>;
};
/** input type for inserting object relation for remote table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Obj_Rel_Insert_Input = {
    data: Rooadmap_Gis_Map_Item_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Rooadmap_Gis_Map_Item_On_Conflict>;
};
/** on_conflict condition type for table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_On_Conflict = {
    constraint: Rooadmap_Gis_Map_Item_Constraint;
    update_columns?: Array<Rooadmap_Gis_Map_Item_Update_Column>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
/** Ordering options when selecting data from "rooadmap_gis.map_item". */
export type Rooadmap_Gis_Map_Item_Order_By = {
    cord2D?: InputMaybe<Rooadmap_Gis_Cord_2d_Order_By>;
    cord3D?: InputMaybe<Rooadmap_Gis_Cord_3d_Order_By>;
    cord_2d_id?: InputMaybe<Order_By>;
    cord_3d_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    info?: InputMaybe<Map_Item_Order_By>;
    location2D?: InputMaybe<Rooadmap_Gis_Location_2d_Order_By>;
    location3D?: InputMaybe<Rooadmap_Gis_Location_3d_Order_By>;
    location_2d_id?: InputMaybe<Order_By>;
    location_3d_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: rooadmap_gis.map_item */
export type Rooadmap_Gis_Map_Item_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "rooadmap_gis.map_item" */
export declare enum Rooadmap_Gis_Map_Item_Select_Column {
    /** column name */
    Cord_2dId = "cord_2d_id",
    /** column name */
    Cord_3dId = "cord_3d_id",
    /** column name */
    Id = "id",
    /** column name */
    Location_2dId = "location_2d_id",
    /** column name */
    Location_3dId = "location_3d_id"
}
/** input type for updating data in table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Set_Input = {
    cord_2d_id?: InputMaybe<Scalars['Int']>;
    cord_3d_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_2d_id?: InputMaybe<Scalars['Int']>;
    location_3d_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Rooadmap_Gis_Map_Item_Stddev_Fields = {
    __typename?: 'rooadmap_gis_map_item_stddev_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Rooadmap_Gis_Map_Item_Stddev_Pop_Fields = {
    __typename?: 'rooadmap_gis_map_item_stddev_pop_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Rooadmap_Gis_Map_Item_Stddev_Samp_Fields = {
    __typename?: 'rooadmap_gis_map_item_stddev_samp_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "rooadmap_gis_map_item" */
export type Rooadmap_Gis_Map_Item_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Rooadmap_Gis_Map_Item_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Rooadmap_Gis_Map_Item_Stream_Cursor_Value_Input = {
    cord_2d_id?: InputMaybe<Scalars['Int']>;
    cord_3d_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_2d_id?: InputMaybe<Scalars['Int']>;
    location_3d_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Rooadmap_Gis_Map_Item_Sum_Fields = {
    __typename?: 'rooadmap_gis_map_item_sum_fields';
    cord_2d_id?: Maybe<Scalars['Int']>;
    cord_3d_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_2d_id?: Maybe<Scalars['Int']>;
    location_3d_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "rooadmap_gis.map_item" */
export declare enum Rooadmap_Gis_Map_Item_Update_Column {
    /** column name */
    Cord_2dId = "cord_2d_id",
    /** column name */
    Cord_3dId = "cord_3d_id",
    /** column name */
    Id = "id",
    /** column name */
    Location_2dId = "location_2d_id",
    /** column name */
    Location_3dId = "location_3d_id"
}
export type Rooadmap_Gis_Map_Item_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Rooadmap_Gis_Map_Item_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Rooadmap_Gis_Map_Item_Set_Input>;
    /** filter the rows which have to be updated */
    where: Rooadmap_Gis_Map_Item_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Rooadmap_Gis_Map_Item_Var_Pop_Fields = {
    __typename?: 'rooadmap_gis_map_item_var_pop_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Rooadmap_Gis_Map_Item_Var_Samp_Fields = {
    __typename?: 'rooadmap_gis_map_item_var_samp_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Rooadmap_Gis_Map_Item_Variance_Fields = {
    __typename?: 'rooadmap_gis_map_item_variance_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
export type Search_Area_Args = {
    search?: InputMaybe<Scalars['String']>;
};
export type Search_Locus_Args = {
    search?: InputMaybe<Scalars['String']>;
};
export type Search_Sponsorship_Args = {
    search?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "segment" */
export type Segment = {
    __typename?: 'segment';
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    flag?: Maybe<Flag>;
    flag_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    index?: Maybe<Scalars['Int']>;
    /** An object relationship */
    interfaceType: Interface_Type;
    interface_type: Scalars['Int'];
    is_blueprint_segment?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    keyQuest?: Maybe<Quest>;
    key_quest_id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An array relationship */
    mapItems: Array<Map_Item>;
    /** An aggregate relationship */
    mapItems_aggregate: Map_Item_Aggregate;
    /** An object relationship */
    morselType?: Maybe<Morsel_Type>;
    morsel_type_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    pieces: Array<Piece>;
    /** An aggregate relationship */
    pieces_aggregate: Piece_Aggregate;
    /** An object relationship */
    quest?: Maybe<Quest>;
    quest_hash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_on_interface_index?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "segment" */
export type SegmentMapItemsArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
/** columns and relationships of "segment" */
export type SegmentMapItems_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
/** columns and relationships of "segment" */
export type SegmentPiecesArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
/** columns and relationships of "segment" */
export type SegmentPieces_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
/** aggregated selection of "segment" */
export type Segment_Aggregate = {
    __typename?: 'segment_aggregate';
    aggregate?: Maybe<Segment_Aggregate_Fields>;
    nodes: Array<Segment>;
};
/** aggregate fields of "segment" */
export type Segment_Aggregate_Fields = {
    __typename?: 'segment_aggregate_fields';
    avg?: Maybe<Segment_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Segment_Max_Fields>;
    min?: Maybe<Segment_Min_Fields>;
    stddev?: Maybe<Segment_Stddev_Fields>;
    stddev_pop?: Maybe<Segment_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Segment_Stddev_Samp_Fields>;
    sum?: Maybe<Segment_Sum_Fields>;
    var_pop?: Maybe<Segment_Var_Pop_Fields>;
    var_samp?: Maybe<Segment_Var_Samp_Fields>;
    variance?: Maybe<Segment_Variance_Fields>;
};
/** aggregate fields of "segment" */
export type Segment_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Segment_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Segment_Avg_Fields = {
    __typename?: 'segment_avg_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "segment". All fields are combined with a logical 'AND'. */
export type Segment_Bool_Exp = {
    _and?: InputMaybe<Array<Segment_Bool_Exp>>;
    _not?: InputMaybe<Segment_Bool_Exp>;
    _or?: InputMaybe<Array<Segment_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    flag?: InputMaybe<Flag_Bool_Exp>;
    flag_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    index?: InputMaybe<Int_Comparison_Exp>;
    interfaceType?: InputMaybe<Interface_Type_Bool_Exp>;
    interface_type?: InputMaybe<Int_Comparison_Exp>;
    is_blueprint_segment?: InputMaybe<Boolean_Comparison_Exp>;
    keyQuest?: InputMaybe<Quest_Bool_Exp>;
    key_quest_id?: InputMaybe<Int_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    mapItems?: InputMaybe<Map_Item_Bool_Exp>;
    mapItems_aggregate?: InputMaybe<Map_Item_Aggregate_Bool_Exp>;
    morselType?: InputMaybe<Morsel_Type_Bool_Exp>;
    morsel_type_id?: InputMaybe<Int_Comparison_Exp>;
    pieces?: InputMaybe<Piece_Bool_Exp>;
    pieces_aggregate?: InputMaybe<Piece_Aggregate_Bool_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    quest_hash?: InputMaybe<String_Comparison_Exp>;
    quest_id?: InputMaybe<Int_Comparison_Exp>;
    segment_on_interface_index?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "segment" */
export declare enum Segment_Constraint {
    /** unique or primary key constraint on columns "segment_on_interface_index", "key_quest_id" */
    SegmentOriginQuestSegmentOnInterfaceIndexKey = "segment_origin_quest_segment_on_interface_index_key",
    /** unique or primary key constraint on columns "id" */
    SegmentPkey = "segment_pkey"
}
/** entry for segment exhibition */
export type Segment_Exhibition = {
    __typename?: 'segment_exhibition';
    /** An object relationship */
    content: Content;
    content_id: Scalars['Int'];
    created_at: Scalars['timestamptz'];
    /** An object relationship */
    determinant: Exhibition_Determinant;
    determinant_id: Scalars['Int'];
    id: Scalars['Int'];
    is_valid: Scalars['Boolean'];
    /** An object relationship */
    segment: Segment;
    segment_id: Scalars['Int'];
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "segment_exhibition" */
export type Segment_Exhibition_Aggregate = {
    __typename?: 'segment_exhibition_aggregate';
    aggregate?: Maybe<Segment_Exhibition_Aggregate_Fields>;
    nodes: Array<Segment_Exhibition>;
};
/** aggregate fields of "segment_exhibition" */
export type Segment_Exhibition_Aggregate_Fields = {
    __typename?: 'segment_exhibition_aggregate_fields';
    avg?: Maybe<Segment_Exhibition_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Segment_Exhibition_Max_Fields>;
    min?: Maybe<Segment_Exhibition_Min_Fields>;
    stddev?: Maybe<Segment_Exhibition_Stddev_Fields>;
    stddev_pop?: Maybe<Segment_Exhibition_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Segment_Exhibition_Stddev_Samp_Fields>;
    sum?: Maybe<Segment_Exhibition_Sum_Fields>;
    var_pop?: Maybe<Segment_Exhibition_Var_Pop_Fields>;
    var_samp?: Maybe<Segment_Exhibition_Var_Samp_Fields>;
    variance?: Maybe<Segment_Exhibition_Variance_Fields>;
};
/** aggregate fields of "segment_exhibition" */
export type Segment_Exhibition_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Segment_Exhibition_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Segment_Exhibition_Avg_Fields = {
    __typename?: 'segment_exhibition_avg_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "segment_exhibition". All fields are combined with a logical 'AND'. */
export type Segment_Exhibition_Bool_Exp = {
    _and?: InputMaybe<Array<Segment_Exhibition_Bool_Exp>>;
    _not?: InputMaybe<Segment_Exhibition_Bool_Exp>;
    _or?: InputMaybe<Array<Segment_Exhibition_Bool_Exp>>;
    content?: InputMaybe<Content_Bool_Exp>;
    content_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    determinant?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
    determinant_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_valid?: InputMaybe<Boolean_Comparison_Exp>;
    segment?: InputMaybe<Segment_Bool_Exp>;
    segment_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "segment_exhibition" */
export declare enum Segment_Exhibition_Constraint {
    /** unique or primary key constraint on columns "id" */
    SegmentExhibitionPkey = "segment_exhibition_pkey"
}
/** input type for incrementing numeric columns in table "segment_exhibition" */
export type Segment_Exhibition_Inc_Input = {
    content_id?: InputMaybe<Scalars['Int']>;
    determinant_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    segment_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "segment_exhibition" */
export type Segment_Exhibition_Insert_Input = {
    content?: InputMaybe<Content_Obj_Rel_Insert_Input>;
    content_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    determinant?: InputMaybe<Exhibition_Determinant_Obj_Rel_Insert_Input>;
    determinant_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_valid?: InputMaybe<Scalars['Boolean']>;
    segment?: InputMaybe<Segment_Obj_Rel_Insert_Input>;
    segment_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Segment_Exhibition_Max_Fields = {
    __typename?: 'segment_exhibition_max_fields';
    content_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    determinant_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Segment_Exhibition_Min_Fields = {
    __typename?: 'segment_exhibition_min_fields';
    content_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    determinant_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "segment_exhibition" */
export type Segment_Exhibition_Mutation_Response = {
    __typename?: 'segment_exhibition_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Segment_Exhibition>;
};
/** on_conflict condition type for table "segment_exhibition" */
export type Segment_Exhibition_On_Conflict = {
    constraint: Segment_Exhibition_Constraint;
    update_columns?: Array<Segment_Exhibition_Update_Column>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
/** Ordering options when selecting data from "segment_exhibition". */
export type Segment_Exhibition_Order_By = {
    content?: InputMaybe<Content_Order_By>;
    content_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    determinant?: InputMaybe<Exhibition_Determinant_Order_By>;
    determinant_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_valid?: InputMaybe<Order_By>;
    segment?: InputMaybe<Segment_Order_By>;
    segment_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: segment_exhibition */
export type Segment_Exhibition_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "segment_exhibition" */
export declare enum Segment_Exhibition_Select_Column {
    /** column name */
    ContentId = "content_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DeterminantId = "determinant_id",
    /** column name */
    Id = "id",
    /** column name */
    IsValid = "is_valid",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "segment_exhibition" */
export type Segment_Exhibition_Set_Input = {
    content_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    determinant_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_valid?: InputMaybe<Scalars['Boolean']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Segment_Exhibition_Stddev_Fields = {
    __typename?: 'segment_exhibition_stddev_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Segment_Exhibition_Stddev_Pop_Fields = {
    __typename?: 'segment_exhibition_stddev_pop_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Segment_Exhibition_Stddev_Samp_Fields = {
    __typename?: 'segment_exhibition_stddev_samp_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "segment_exhibition" */
export type Segment_Exhibition_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Segment_Exhibition_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Segment_Exhibition_Stream_Cursor_Value_Input = {
    content_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    determinant_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_valid?: InputMaybe<Scalars['Boolean']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Segment_Exhibition_Sum_Fields = {
    __typename?: 'segment_exhibition_sum_fields';
    content_id?: Maybe<Scalars['Int']>;
    determinant_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "segment_exhibition" */
export declare enum Segment_Exhibition_Update_Column {
    /** column name */
    ContentId = "content_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DeterminantId = "determinant_id",
    /** column name */
    Id = "id",
    /** column name */
    IsValid = "is_valid",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Segment_Exhibition_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Segment_Exhibition_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Segment_Exhibition_Set_Input>;
    /** filter the rows which have to be updated */
    where: Segment_Exhibition_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Segment_Exhibition_Var_Pop_Fields = {
    __typename?: 'segment_exhibition_var_pop_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Segment_Exhibition_Var_Samp_Fields = {
    __typename?: 'segment_exhibition_var_samp_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Segment_Exhibition_Variance_Fields = {
    __typename?: 'segment_exhibition_variance_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** input type for incrementing numeric columns in table "segment" */
export type Segment_Inc_Input = {
    flag_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    index?: InputMaybe<Scalars['Int']>;
    interface_type?: InputMaybe<Scalars['Int']>;
    key_quest_id?: InputMaybe<Scalars['Int']>;
    morsel_type_id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_on_interface_index?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "segment" */
export type Segment_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    flag?: InputMaybe<Flag_Obj_Rel_Insert_Input>;
    flag_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    index?: InputMaybe<Scalars['Int']>;
    interfaceType?: InputMaybe<Interface_Type_Obj_Rel_Insert_Input>;
    interface_type?: InputMaybe<Scalars['Int']>;
    is_blueprint_segment?: InputMaybe<Scalars['Boolean']>;
    keyQuest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    key_quest_id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    mapItems?: InputMaybe<Map_Item_Arr_Rel_Insert_Input>;
    morselType?: InputMaybe<Morsel_Type_Obj_Rel_Insert_Input>;
    morsel_type_id?: InputMaybe<Scalars['Int']>;
    pieces?: InputMaybe<Piece_Arr_Rel_Insert_Input>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    quest_hash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_on_interface_index?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Segment_Max_Fields = {
    __typename?: 'segment_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    flag_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    index?: Maybe<Scalars['Int']>;
    interface_type?: Maybe<Scalars['Int']>;
    key_quest_id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    morsel_type_id?: Maybe<Scalars['Int']>;
    quest_hash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_on_interface_index?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Segment_Min_Fields = {
    __typename?: 'segment_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    flag_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    index?: Maybe<Scalars['Int']>;
    interface_type?: Maybe<Scalars['Int']>;
    key_quest_id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    morsel_type_id?: Maybe<Scalars['Int']>;
    quest_hash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_on_interface_index?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "segment" */
export type Segment_Mutation_Response = {
    __typename?: 'segment_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Segment>;
};
/** input type for inserting object relation for remote table "segment" */
export type Segment_Obj_Rel_Insert_Input = {
    data: Segment_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Segment_On_Conflict>;
};
/** on_conflict condition type for table "segment" */
export type Segment_On_Conflict = {
    constraint: Segment_Constraint;
    update_columns?: Array<Segment_Update_Column>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
/** Ordering options when selecting data from "segment". */
export type Segment_Order_By = {
    created_at?: InputMaybe<Order_By>;
    flag?: InputMaybe<Flag_Order_By>;
    flag_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    index?: InputMaybe<Order_By>;
    interfaceType?: InputMaybe<Interface_Type_Order_By>;
    interface_type?: InputMaybe<Order_By>;
    is_blueprint_segment?: InputMaybe<Order_By>;
    keyQuest?: InputMaybe<Quest_Order_By>;
    key_quest_id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    mapItems_aggregate?: InputMaybe<Map_Item_Aggregate_Order_By>;
    morselType?: InputMaybe<Morsel_Type_Order_By>;
    morsel_type_id?: InputMaybe<Order_By>;
    pieces_aggregate?: InputMaybe<Piece_Aggregate_Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    quest_hash?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment_on_interface_index?: InputMaybe<Order_By>;
};
/** primary key columns input for table: segment */
export type Segment_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "segment" */
export declare enum Segment_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    FlagId = "flag_id",
    /** column name */
    Id = "id",
    /** column name */
    Index = "index",
    /** column name */
    InterfaceType = "interface_type",
    /** column name */
    IsBlueprintSegment = "is_blueprint_segment",
    /** column name */
    KeyQuestId = "key_quest_id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    MorselTypeId = "morsel_type_id",
    /** column name */
    QuestHash = "quest_hash",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    SegmentOnInterfaceIndex = "segment_on_interface_index"
}
/** input type for updating data in table "segment" */
export type Segment_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    flag_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    index?: InputMaybe<Scalars['Int']>;
    interface_type?: InputMaybe<Scalars['Int']>;
    is_blueprint_segment?: InputMaybe<Scalars['Boolean']>;
    key_quest_id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    morsel_type_id?: InputMaybe<Scalars['Int']>;
    quest_hash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_on_interface_index?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Segment_Stddev_Fields = {
    __typename?: 'segment_stddev_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Segment_Stddev_Pop_Fields = {
    __typename?: 'segment_stddev_pop_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Segment_Stddev_Samp_Fields = {
    __typename?: 'segment_stddev_samp_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "segment" */
export type Segment_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Segment_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Segment_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    flag_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    index?: InputMaybe<Scalars['Int']>;
    interface_type?: InputMaybe<Scalars['Int']>;
    is_blueprint_segment?: InputMaybe<Scalars['Boolean']>;
    key_quest_id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    morsel_type_id?: InputMaybe<Scalars['Int']>;
    quest_hash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_on_interface_index?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Segment_Sum_Fields = {
    __typename?: 'segment_sum_fields';
    flag_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    index?: Maybe<Scalars['Int']>;
    interface_type?: Maybe<Scalars['Int']>;
    key_quest_id?: Maybe<Scalars['Int']>;
    morsel_type_id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_on_interface_index?: Maybe<Scalars['Int']>;
};
/** update columns of table "segment" */
export declare enum Segment_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    FlagId = "flag_id",
    /** column name */
    Id = "id",
    /** column name */
    Index = "index",
    /** column name */
    InterfaceType = "interface_type",
    /** column name */
    IsBlueprintSegment = "is_blueprint_segment",
    /** column name */
    KeyQuestId = "key_quest_id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    MorselTypeId = "morsel_type_id",
    /** column name */
    QuestHash = "quest_hash",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    SegmentOnInterfaceIndex = "segment_on_interface_index"
}
export type Segment_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Segment_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Segment_Set_Input>;
    /** filter the rows which have to be updated */
    where: Segment_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Segment_Var_Pop_Fields = {
    __typename?: 'segment_var_pop_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Segment_Var_Samp_Fields = {
    __typename?: 'segment_var_samp_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Segment_Variance_Fields = {
    __typename?: 'segment_variance_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** information about selling and it used only latest */
export type Sell = {
    __typename?: 'sell';
    active: Scalars['Boolean'];
    created_at?: Maybe<Scalars['timestamptz']>;
    fulfilment: Scalars['Boolean'];
    hash: Scalars['uuid'];
    id: Scalars['Int'];
    /** An object relationship */
    management: Sell_Management;
    management_id: Scalars['Int'];
    /** An object relationship */
    product: Product;
    product_id: Scalars['Int'];
    /** An array relationship */
    purchases: Array<Purchase>;
    /** An aggregate relationship */
    purchases_aggregate: Purchase_Aggregate;
    /** An object relationship */
    seller: Treasure_User;
    seller_id: Scalars['Int'];
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** information about selling and it used only latest */
export type SellPurchasesArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
/** information about selling and it used only latest */
export type SellPurchases_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
/** aggregated selection of "sell" */
export type Sell_Aggregate = {
    __typename?: 'sell_aggregate';
    aggregate?: Maybe<Sell_Aggregate_Fields>;
    nodes: Array<Sell>;
};
export type Sell_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Sell_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Sell_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Sell_Aggregate_Bool_Exp_Count>;
};
export type Sell_Aggregate_Bool_Exp_Bool_And = {
    arguments: Sell_Select_Column_Sell_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sell_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Sell_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Sell_Select_Column_Sell_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sell_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Sell_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Sell_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sell_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "sell" */
export type Sell_Aggregate_Fields = {
    __typename?: 'sell_aggregate_fields';
    avg?: Maybe<Sell_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sell_Max_Fields>;
    min?: Maybe<Sell_Min_Fields>;
    stddev?: Maybe<Sell_Stddev_Fields>;
    stddev_pop?: Maybe<Sell_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sell_Stddev_Samp_Fields>;
    sum?: Maybe<Sell_Sum_Fields>;
    var_pop?: Maybe<Sell_Var_Pop_Fields>;
    var_samp?: Maybe<Sell_Var_Samp_Fields>;
    variance?: Maybe<Sell_Variance_Fields>;
};
/** aggregate fields of "sell" */
export type Sell_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sell_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sell" */
export type Sell_Aggregate_Order_By = {
    avg?: InputMaybe<Sell_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Sell_Max_Order_By>;
    min?: InputMaybe<Sell_Min_Order_By>;
    stddev?: InputMaybe<Sell_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Sell_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Sell_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Sell_Sum_Order_By>;
    var_pop?: InputMaybe<Sell_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Sell_Var_Samp_Order_By>;
    variance?: InputMaybe<Sell_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "sell" */
export type Sell_Arr_Rel_Insert_Input = {
    data: Array<Sell_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Sell_On_Conflict>;
};
/** aggregate avg on columns */
export type Sell_Avg_Fields = {
    __typename?: 'sell_avg_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "sell" */
export type Sell_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "sell". All fields are combined with a logical 'AND'. */
export type Sell_Bool_Exp = {
    _and?: InputMaybe<Array<Sell_Bool_Exp>>;
    _not?: InputMaybe<Sell_Bool_Exp>;
    _or?: InputMaybe<Array<Sell_Bool_Exp>>;
    active?: InputMaybe<Boolean_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    fulfilment?: InputMaybe<Boolean_Comparison_Exp>;
    hash?: InputMaybe<Uuid_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    management?: InputMaybe<Sell_Management_Bool_Exp>;
    management_id?: InputMaybe<Int_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
    purchases?: InputMaybe<Purchase_Bool_Exp>;
    purchases_aggregate?: InputMaybe<Purchase_Aggregate_Bool_Exp>;
    seller?: InputMaybe<Treasure_User_Bool_Exp>;
    seller_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "sell" */
export declare enum Sell_Constraint {
    /** unique or primary key constraint on columns "id" */
    SellPkey = "sell_pkey"
}
/** input type for incrementing numeric columns in table "sell" */
export type Sell_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    management_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    seller_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sell" */
export type Sell_Insert_Input = {
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    fulfilment?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    management?: InputMaybe<Sell_Management_Obj_Rel_Insert_Input>;
    management_id?: InputMaybe<Scalars['Int']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
    purchases?: InputMaybe<Purchase_Arr_Rel_Insert_Input>;
    seller?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    seller_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** columns and relationships of "sell_management" */
export type Sell_Management = {
    __typename?: 'sell_management';
    always?: Maybe<Scalars['Boolean']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    end_date?: Maybe<Scalars['date']>;
    end_time?: Maybe<Scalars['time']>;
    hash: Scalars['uuid'];
    id: Scalars['Int'];
    money_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    price_money?: Maybe<Scalars['Int']>;
    price_rp?: Maybe<Scalars['Int']>;
    purchasable_by_money?: Maybe<Scalars['Boolean']>;
    purchasable_by_rp?: Maybe<Scalars['Boolean']>;
    refundable_by_money?: Maybe<Scalars['Boolean']>;
    refundable_by_rp?: Maybe<Scalars['Boolean']>;
    refundable_end_date?: Maybe<Scalars['date']>;
    refundable_end_time?: Maybe<Scalars['time']>;
    refundable_start_date?: Maybe<Scalars['date']>;
    refundable_start_time?: Maybe<Scalars['time']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    start_date?: Maybe<Scalars['date']>;
    start_time?: Maybe<Scalars['time']>;
};
/** aggregated selection of "sell_management" */
export type Sell_Management_Aggregate = {
    __typename?: 'sell_management_aggregate';
    aggregate?: Maybe<Sell_Management_Aggregate_Fields>;
    nodes: Array<Sell_Management>;
};
/** aggregate fields of "sell_management" */
export type Sell_Management_Aggregate_Fields = {
    __typename?: 'sell_management_aggregate_fields';
    avg?: Maybe<Sell_Management_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sell_Management_Max_Fields>;
    min?: Maybe<Sell_Management_Min_Fields>;
    stddev?: Maybe<Sell_Management_Stddev_Fields>;
    stddev_pop?: Maybe<Sell_Management_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sell_Management_Stddev_Samp_Fields>;
    sum?: Maybe<Sell_Management_Sum_Fields>;
    var_pop?: Maybe<Sell_Management_Var_Pop_Fields>;
    var_samp?: Maybe<Sell_Management_Var_Samp_Fields>;
    variance?: Maybe<Sell_Management_Variance_Fields>;
};
/** aggregate fields of "sell_management" */
export type Sell_Management_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sell_Management_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sell_Management_Avg_Fields = {
    __typename?: 'sell_management_avg_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sell_management". All fields are combined with a logical 'AND'. */
export type Sell_Management_Bool_Exp = {
    _and?: InputMaybe<Array<Sell_Management_Bool_Exp>>;
    _not?: InputMaybe<Sell_Management_Bool_Exp>;
    _or?: InputMaybe<Array<Sell_Management_Bool_Exp>>;
    always?: InputMaybe<Boolean_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    end_date?: InputMaybe<Date_Comparison_Exp>;
    end_time?: InputMaybe<Time_Comparison_Exp>;
    hash?: InputMaybe<Uuid_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    money_refundable_days_after_purchase?: InputMaybe<Int_Comparison_Exp>;
    price_money?: InputMaybe<Int_Comparison_Exp>;
    price_rp?: InputMaybe<Int_Comparison_Exp>;
    purchasable_by_money?: InputMaybe<Boolean_Comparison_Exp>;
    purchasable_by_rp?: InputMaybe<Boolean_Comparison_Exp>;
    refundable_by_money?: InputMaybe<Boolean_Comparison_Exp>;
    refundable_by_rp?: InputMaybe<Boolean_Comparison_Exp>;
    refundable_end_date?: InputMaybe<Date_Comparison_Exp>;
    refundable_end_time?: InputMaybe<Time_Comparison_Exp>;
    refundable_start_date?: InputMaybe<Date_Comparison_Exp>;
    refundable_start_time?: InputMaybe<Time_Comparison_Exp>;
    rp_refundable_days_after_purchase?: InputMaybe<Int_Comparison_Exp>;
    start_date?: InputMaybe<Date_Comparison_Exp>;
    start_time?: InputMaybe<Time_Comparison_Exp>;
};
/** unique or primary key constraints on table "sell_management" */
export declare enum Sell_Management_Constraint {
    /** unique or primary key constraint on columns "id" */
    SellManagementPkey = "sell_management_pkey"
}
/** input type for incrementing numeric columns in table "sell_management" */
export type Sell_Management_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    price_money?: InputMaybe<Scalars['Int']>;
    price_rp?: InputMaybe<Scalars['Int']>;
    rp_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sell_management" */
export type Sell_Management_Insert_Input = {
    always?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    end_time?: InputMaybe<Scalars['time']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    price_money?: InputMaybe<Scalars['Int']>;
    price_rp?: InputMaybe<Scalars['Int']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_end_date?: InputMaybe<Scalars['date']>;
    refundable_end_time?: InputMaybe<Scalars['time']>;
    refundable_start_date?: InputMaybe<Scalars['date']>;
    refundable_start_time?: InputMaybe<Scalars['time']>;
    rp_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    start_time?: InputMaybe<Scalars['time']>;
};
/** aggregate max on columns */
export type Sell_Management_Max_Fields = {
    __typename?: 'sell_management_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    end_date?: Maybe<Scalars['date']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    price_money?: Maybe<Scalars['Int']>;
    price_rp?: Maybe<Scalars['Int']>;
    refundable_end_date?: Maybe<Scalars['date']>;
    refundable_start_date?: Maybe<Scalars['date']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    start_date?: Maybe<Scalars['date']>;
};
/** aggregate min on columns */
export type Sell_Management_Min_Fields = {
    __typename?: 'sell_management_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    end_date?: Maybe<Scalars['date']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    price_money?: Maybe<Scalars['Int']>;
    price_rp?: Maybe<Scalars['Int']>;
    refundable_end_date?: Maybe<Scalars['date']>;
    refundable_start_date?: Maybe<Scalars['date']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    start_date?: Maybe<Scalars['date']>;
};
/** response of any mutation on the table "sell_management" */
export type Sell_Management_Mutation_Response = {
    __typename?: 'sell_management_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sell_Management>;
};
/** input type for inserting object relation for remote table "sell_management" */
export type Sell_Management_Obj_Rel_Insert_Input = {
    data: Sell_Management_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sell_Management_On_Conflict>;
};
/** on_conflict condition type for table "sell_management" */
export type Sell_Management_On_Conflict = {
    constraint: Sell_Management_Constraint;
    update_columns?: Array<Sell_Management_Update_Column>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
/** Ordering options when selecting data from "sell_management". */
export type Sell_Management_Order_By = {
    always?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    end_date?: InputMaybe<Order_By>;
    end_time?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    money_refundable_days_after_purchase?: InputMaybe<Order_By>;
    price_money?: InputMaybe<Order_By>;
    price_rp?: InputMaybe<Order_By>;
    purchasable_by_money?: InputMaybe<Order_By>;
    purchasable_by_rp?: InputMaybe<Order_By>;
    refundable_by_money?: InputMaybe<Order_By>;
    refundable_by_rp?: InputMaybe<Order_By>;
    refundable_end_date?: InputMaybe<Order_By>;
    refundable_end_time?: InputMaybe<Order_By>;
    refundable_start_date?: InputMaybe<Order_By>;
    refundable_start_time?: InputMaybe<Order_By>;
    rp_refundable_days_after_purchase?: InputMaybe<Order_By>;
    start_date?: InputMaybe<Order_By>;
    start_time?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sell_management */
export type Sell_Management_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sell_management" */
export declare enum Sell_Management_Select_Column {
    /** column name */
    Always = "always",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EndDate = "end_date",
    /** column name */
    EndTime = "end_time",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    MoneyRefundableDaysAfterPurchase = "money_refundable_days_after_purchase",
    /** column name */
    PriceMoney = "price_money",
    /** column name */
    PriceRp = "price_rp",
    /** column name */
    PurchasableByMoney = "purchasable_by_money",
    /** column name */
    PurchasableByRp = "purchasable_by_rp",
    /** column name */
    RefundableByMoney = "refundable_by_money",
    /** column name */
    RefundableByRp = "refundable_by_rp",
    /** column name */
    RefundableEndDate = "refundable_end_date",
    /** column name */
    RefundableEndTime = "refundable_end_time",
    /** column name */
    RefundableStartDate = "refundable_start_date",
    /** column name */
    RefundableStartTime = "refundable_start_time",
    /** column name */
    RpRefundableDaysAfterPurchase = "rp_refundable_days_after_purchase",
    /** column name */
    StartDate = "start_date",
    /** column name */
    StartTime = "start_time"
}
/** input type for updating data in table "sell_management" */
export type Sell_Management_Set_Input = {
    always?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    end_time?: InputMaybe<Scalars['time']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    price_money?: InputMaybe<Scalars['Int']>;
    price_rp?: InputMaybe<Scalars['Int']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_end_date?: InputMaybe<Scalars['date']>;
    refundable_end_time?: InputMaybe<Scalars['time']>;
    refundable_start_date?: InputMaybe<Scalars['date']>;
    refundable_start_time?: InputMaybe<Scalars['time']>;
    rp_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    start_time?: InputMaybe<Scalars['time']>;
};
/** aggregate stddev on columns */
export type Sell_Management_Stddev_Fields = {
    __typename?: 'sell_management_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sell_Management_Stddev_Pop_Fields = {
    __typename?: 'sell_management_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sell_Management_Stddev_Samp_Fields = {
    __typename?: 'sell_management_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sell_management" */
export type Sell_Management_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sell_Management_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sell_Management_Stream_Cursor_Value_Input = {
    always?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    end_time?: InputMaybe<Scalars['time']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    price_money?: InputMaybe<Scalars['Int']>;
    price_rp?: InputMaybe<Scalars['Int']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_end_date?: InputMaybe<Scalars['date']>;
    refundable_end_time?: InputMaybe<Scalars['time']>;
    refundable_start_date?: InputMaybe<Scalars['date']>;
    refundable_start_time?: InputMaybe<Scalars['time']>;
    rp_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    start_time?: InputMaybe<Scalars['time']>;
};
/** aggregate sum on columns */
export type Sell_Management_Sum_Fields = {
    __typename?: 'sell_management_sum_fields';
    id?: Maybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    price_money?: Maybe<Scalars['Int']>;
    price_rp?: Maybe<Scalars['Int']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
};
/** update columns of table "sell_management" */
export declare enum Sell_Management_Update_Column {
    /** column name */
    Always = "always",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EndDate = "end_date",
    /** column name */
    EndTime = "end_time",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    MoneyRefundableDaysAfterPurchase = "money_refundable_days_after_purchase",
    /** column name */
    PriceMoney = "price_money",
    /** column name */
    PriceRp = "price_rp",
    /** column name */
    PurchasableByMoney = "purchasable_by_money",
    /** column name */
    PurchasableByRp = "purchasable_by_rp",
    /** column name */
    RefundableByMoney = "refundable_by_money",
    /** column name */
    RefundableByRp = "refundable_by_rp",
    /** column name */
    RefundableEndDate = "refundable_end_date",
    /** column name */
    RefundableEndTime = "refundable_end_time",
    /** column name */
    RefundableStartDate = "refundable_start_date",
    /** column name */
    RefundableStartTime = "refundable_start_time",
    /** column name */
    RpRefundableDaysAfterPurchase = "rp_refundable_days_after_purchase",
    /** column name */
    StartDate = "start_date",
    /** column name */
    StartTime = "start_time"
}
export type Sell_Management_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sell_Management_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sell_Management_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sell_Management_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sell_Management_Var_Pop_Fields = {
    __typename?: 'sell_management_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sell_Management_Var_Samp_Fields = {
    __typename?: 'sell_management_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sell_Management_Variance_Fields = {
    __typename?: 'sell_management_variance_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** aggregate max on columns */
export type Sell_Max_Fields = {
    __typename?: 'sell_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    management_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    seller_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by max() on columns of table "sell" */
export type Sell_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Sell_Min_Fields = {
    __typename?: 'sell_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    management_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    seller_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by min() on columns of table "sell" */
export type Sell_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "sell" */
export type Sell_Mutation_Response = {
    __typename?: 'sell_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sell>;
};
/** input type for inserting object relation for remote table "sell" */
export type Sell_Obj_Rel_Insert_Input = {
    data: Sell_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sell_On_Conflict>;
};
/** on_conflict condition type for table "sell" */
export type Sell_On_Conflict = {
    constraint: Sell_Constraint;
    update_columns?: Array<Sell_Update_Column>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
/** Ordering options when selecting data from "sell". */
export type Sell_Order_By = {
    active?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    fulfilment?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    management?: InputMaybe<Sell_Management_Order_By>;
    management_id?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchases_aggregate?: InputMaybe<Purchase_Aggregate_Order_By>;
    seller?: InputMaybe<Treasure_User_Order_By>;
    seller_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sell */
export type Sell_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sell" */
export declare enum Sell_Select_Column {
    /** column name */
    Active = "active",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Fulfilment = "fulfilment",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    ManagementId = "management_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    SellerId = "seller_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** select "sell_aggregate_bool_exp_bool_and_arguments_columns" columns of table "sell" */
export declare enum Sell_Select_Column_Sell_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    Active = "active",
    /** column name */
    Fulfilment = "fulfilment"
}
/** select "sell_aggregate_bool_exp_bool_or_arguments_columns" columns of table "sell" */
export declare enum Sell_Select_Column_Sell_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    Active = "active",
    /** column name */
    Fulfilment = "fulfilment"
}
/** input type for updating data in table "sell" */
export type Sell_Set_Input = {
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    fulfilment?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    management_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    seller_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Sell_Stddev_Fields = {
    __typename?: 'sell_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "sell" */
export type Sell_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Sell_Stddev_Pop_Fields = {
    __typename?: 'sell_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "sell" */
export type Sell_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Sell_Stddev_Samp_Fields = {
    __typename?: 'sell_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "sell" */
export type Sell_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "sell" */
export type Sell_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sell_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sell_Stream_Cursor_Value_Input = {
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    fulfilment?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    management_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    seller_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Sell_Sum_Fields = {
    __typename?: 'sell_sum_fields';
    id?: Maybe<Scalars['Int']>;
    management_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    seller_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "sell" */
export type Sell_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** update columns of table "sell" */
export declare enum Sell_Update_Column {
    /** column name */
    Active = "active",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Fulfilment = "fulfilment",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    ManagementId = "management_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    SellerId = "seller_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Sell_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sell_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sell_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sell_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sell_Var_Pop_Fields = {
    __typename?: 'sell_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "sell" */
export type Sell_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Sell_Var_Samp_Fields = {
    __typename?: 'sell_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "sell" */
export type Sell_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Sell_Variance_Fields = {
    __typename?: 'sell_variance_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "sell" */
export type Sell_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** columns and relationships of "sponsorship" */
export type Sponsorship = {
    __typename?: 'sponsorship';
    /** An object relationship */
    condition?: Maybe<Sponsorship_Condition>;
    created_at?: Maybe<Scalars['timestamptz']>;
    description: Scalars['String'];
    id: Scalars['Int'];
    /** An array relationship */
    images: Array<Sponsorship_Images>;
    /** An aggregate relationship */
    images_aggregate: Sponsorship_Images_Aggregate;
    /** An array relationship */
    imitates: Array<Sponsorship_Imitate>;
    /** An aggregate relationship */
    imitates_aggregate: Sponsorship_Imitate_Aggregate;
    is_base?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    product?: Maybe<Product>;
    product_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    settlementState?: Maybe<Sponsorship_Settlement_State_Type>;
    /** An object relationship */
    sponsor: Treasure_User;
    sponsor_id: Scalars['Int'];
    /** An object relationship */
    sponsorshipType?: Maybe<Sponsorship_Type>;
    sponsorship_condition_id?: Maybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_type_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    state?: Maybe<Sponsorship_State>;
    state_id?: Maybe<Scalars['Int']>;
    title: Scalars['String'];
    tsvec_description?: Maybe<Scalars['tsvector']>;
    tsvec_title?: Maybe<Scalars['tsvector']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** columns and relationships of "sponsorship" */
export type SponsorshipImagesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
/** columns and relationships of "sponsorship" */
export type SponsorshipImages_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
/** columns and relationships of "sponsorship" */
export type SponsorshipImitatesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
/** columns and relationships of "sponsorship" */
export type SponsorshipImitates_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Sponsorship_Aggregate = {
    __typename?: 'sponsorship_aggregate';
    aggregate?: Maybe<Sponsorship_Aggregate_Fields>;
    nodes: Array<Sponsorship>;
};
/** aggregate fields of "sponsorship" */
export type Sponsorship_Aggregate_Fields = {
    __typename?: 'sponsorship_aggregate_fields';
    avg?: Maybe<Sponsorship_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Max_Fields>;
    min?: Maybe<Sponsorship_Min_Fields>;
    stddev?: Maybe<Sponsorship_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Variance_Fields>;
};
/** aggregate fields of "sponsorship" */
export type Sponsorship_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Avg_Fields = {
    __typename?: 'sponsorship_avg_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship". All fields are combined with a logical 'AND'. */
export type Sponsorship_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Bool_Exp>>;
    condition?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    images?: InputMaybe<Sponsorship_Images_Bool_Exp>;
    images_aggregate?: InputMaybe<Sponsorship_Images_Aggregate_Bool_Exp>;
    imitates?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
    imitates_aggregate?: InputMaybe<Sponsorship_Imitate_Aggregate_Bool_Exp>;
    is_base?: InputMaybe<Boolean_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
    settlementState?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
    sponsor?: InputMaybe<Treasure_User_Bool_Exp>;
    sponsor_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorshipType?: InputMaybe<Sponsorship_Type_Bool_Exp>;
    sponsorship_condition_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship_settlement_state_type_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship_type_id?: InputMaybe<Int_Comparison_Exp>;
    state?: InputMaybe<Sponsorship_State_Bool_Exp>;
    state_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    tsvec_description?: InputMaybe<Tsvector_Comparison_Exp>;
    tsvec_title?: InputMaybe<Tsvector_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** columns and relationships of "sponsorship_condition" */
export type Sponsorship_Condition = {
    __typename?: 'sponsorship_condition';
    amount?: Maybe<Scalars['String']>;
    expiration_date?: Maybe<Scalars['date']>;
    expiration_time?: Maybe<Scalars['time']>;
    first_date_of_usage?: Maybe<Scalars['date']>;
    first_time_of_usage?: Maybe<Scalars['time']>;
    id: Scalars['Int'];
    is_free?: Maybe<Scalars['Boolean']>;
    last_date_of_usage?: Maybe<Scalars['date']>;
    last_time_of_usage?: Maybe<Scalars['time']>;
    need_to_be_accepted?: Maybe<Scalars['Boolean']>;
    need_to_be_certified?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "sponsorship_condition" */
export type Sponsorship_Condition_Aggregate = {
    __typename?: 'sponsorship_condition_aggregate';
    aggregate?: Maybe<Sponsorship_Condition_Aggregate_Fields>;
    nodes: Array<Sponsorship_Condition>;
};
/** aggregate fields of "sponsorship_condition" */
export type Sponsorship_Condition_Aggregate_Fields = {
    __typename?: 'sponsorship_condition_aggregate_fields';
    avg?: Maybe<Sponsorship_Condition_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Condition_Max_Fields>;
    min?: Maybe<Sponsorship_Condition_Min_Fields>;
    stddev?: Maybe<Sponsorship_Condition_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Condition_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Condition_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Condition_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Condition_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Condition_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Condition_Variance_Fields>;
};
/** aggregate fields of "sponsorship_condition" */
export type Sponsorship_Condition_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Condition_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Condition_Avg_Fields = {
    __typename?: 'sponsorship_condition_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_condition". All fields are combined with a logical 'AND'. */
export type Sponsorship_Condition_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Condition_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Condition_Bool_Exp>>;
    amount?: InputMaybe<String_Comparison_Exp>;
    expiration_date?: InputMaybe<Date_Comparison_Exp>;
    expiration_time?: InputMaybe<Time_Comparison_Exp>;
    first_date_of_usage?: InputMaybe<Date_Comparison_Exp>;
    first_time_of_usage?: InputMaybe<Time_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_free?: InputMaybe<Boolean_Comparison_Exp>;
    last_date_of_usage?: InputMaybe<Date_Comparison_Exp>;
    last_time_of_usage?: InputMaybe<Time_Comparison_Exp>;
    need_to_be_accepted?: InputMaybe<Boolean_Comparison_Exp>;
    need_to_be_certified?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_condition" */
export declare enum Sponsorship_Condition_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipConditionPkey = "sponsorship_condition_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_condition" */
export type Sponsorship_Condition_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_condition" */
export type Sponsorship_Condition_Insert_Input = {
    amount?: InputMaybe<Scalars['String']>;
    expiration_date?: InputMaybe<Scalars['date']>;
    expiration_time?: InputMaybe<Scalars['time']>;
    first_date_of_usage?: InputMaybe<Scalars['date']>;
    first_time_of_usage?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    last_date_of_usage?: InputMaybe<Scalars['date']>;
    last_time_of_usage?: InputMaybe<Scalars['time']>;
    need_to_be_accepted?: InputMaybe<Scalars['Boolean']>;
    need_to_be_certified?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Sponsorship_Condition_Max_Fields = {
    __typename?: 'sponsorship_condition_max_fields';
    amount?: Maybe<Scalars['String']>;
    expiration_date?: Maybe<Scalars['date']>;
    first_date_of_usage?: Maybe<Scalars['date']>;
    id?: Maybe<Scalars['Int']>;
    last_date_of_usage?: Maybe<Scalars['date']>;
};
/** aggregate min on columns */
export type Sponsorship_Condition_Min_Fields = {
    __typename?: 'sponsorship_condition_min_fields';
    amount?: Maybe<Scalars['String']>;
    expiration_date?: Maybe<Scalars['date']>;
    first_date_of_usage?: Maybe<Scalars['date']>;
    id?: Maybe<Scalars['Int']>;
    last_date_of_usage?: Maybe<Scalars['date']>;
};
/** response of any mutation on the table "sponsorship_condition" */
export type Sponsorship_Condition_Mutation_Response = {
    __typename?: 'sponsorship_condition_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Condition>;
};
/** input type for inserting object relation for remote table "sponsorship_condition" */
export type Sponsorship_Condition_Obj_Rel_Insert_Input = {
    data: Sponsorship_Condition_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Condition_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_condition" */
export type Sponsorship_Condition_On_Conflict = {
    constraint: Sponsorship_Condition_Constraint;
    update_columns?: Array<Sponsorship_Condition_Update_Column>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_condition". */
export type Sponsorship_Condition_Order_By = {
    amount?: InputMaybe<Order_By>;
    expiration_date?: InputMaybe<Order_By>;
    expiration_time?: InputMaybe<Order_By>;
    first_date_of_usage?: InputMaybe<Order_By>;
    first_time_of_usage?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_free?: InputMaybe<Order_By>;
    last_date_of_usage?: InputMaybe<Order_By>;
    last_time_of_usage?: InputMaybe<Order_By>;
    need_to_be_accepted?: InputMaybe<Order_By>;
    need_to_be_certified?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_condition */
export type Sponsorship_Condition_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_condition" */
export declare enum Sponsorship_Condition_Select_Column {
    /** column name */
    Amount = "amount",
    /** column name */
    ExpirationDate = "expiration_date",
    /** column name */
    ExpirationTime = "expiration_time",
    /** column name */
    FirstDateOfUsage = "first_date_of_usage",
    /** column name */
    FirstTimeOfUsage = "first_time_of_usage",
    /** column name */
    Id = "id",
    /** column name */
    IsFree = "is_free",
    /** column name */
    LastDateOfUsage = "last_date_of_usage",
    /** column name */
    LastTimeOfUsage = "last_time_of_usage",
    /** column name */
    NeedToBeAccepted = "need_to_be_accepted",
    /** column name */
    NeedToBeCertified = "need_to_be_certified"
}
/** input type for updating data in table "sponsorship_condition" */
export type Sponsorship_Condition_Set_Input = {
    amount?: InputMaybe<Scalars['String']>;
    expiration_date?: InputMaybe<Scalars['date']>;
    expiration_time?: InputMaybe<Scalars['time']>;
    first_date_of_usage?: InputMaybe<Scalars['date']>;
    first_time_of_usage?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    last_date_of_usage?: InputMaybe<Scalars['date']>;
    last_time_of_usage?: InputMaybe<Scalars['time']>;
    need_to_be_accepted?: InputMaybe<Scalars['Boolean']>;
    need_to_be_certified?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Condition_Stddev_Fields = {
    __typename?: 'sponsorship_condition_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Condition_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_condition_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Condition_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_condition_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_condition" */
export type Sponsorship_Condition_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Condition_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Condition_Stream_Cursor_Value_Input = {
    amount?: InputMaybe<Scalars['String']>;
    expiration_date?: InputMaybe<Scalars['date']>;
    expiration_time?: InputMaybe<Scalars['time']>;
    first_date_of_usage?: InputMaybe<Scalars['date']>;
    first_time_of_usage?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    last_date_of_usage?: InputMaybe<Scalars['date']>;
    last_time_of_usage?: InputMaybe<Scalars['time']>;
    need_to_be_accepted?: InputMaybe<Scalars['Boolean']>;
    need_to_be_certified?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Sponsorship_Condition_Sum_Fields = {
    __typename?: 'sponsorship_condition_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_condition" */
export declare enum Sponsorship_Condition_Update_Column {
    /** column name */
    Amount = "amount",
    /** column name */
    ExpirationDate = "expiration_date",
    /** column name */
    ExpirationTime = "expiration_time",
    /** column name */
    FirstDateOfUsage = "first_date_of_usage",
    /** column name */
    FirstTimeOfUsage = "first_time_of_usage",
    /** column name */
    Id = "id",
    /** column name */
    IsFree = "is_free",
    /** column name */
    LastDateOfUsage = "last_date_of_usage",
    /** column name */
    LastTimeOfUsage = "last_time_of_usage",
    /** column name */
    NeedToBeAccepted = "need_to_be_accepted",
    /** column name */
    NeedToBeCertified = "need_to_be_certified"
}
export type Sponsorship_Condition_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Condition_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Condition_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Condition_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Condition_Var_Pop_Fields = {
    __typename?: 'sponsorship_condition_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Condition_Var_Samp_Fields = {
    __typename?: 'sponsorship_condition_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Condition_Variance_Fields = {
    __typename?: 'sponsorship_condition_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** unique or primary key constraints on table "sponsorship" */
export declare enum Sponsorship_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipPkey = "sponsorship_pkey"
}
/** columns and relationships of "sponsorship_game_state" */
export type Sponsorship_Game_State = {
    __typename?: 'sponsorship_game_state';
    created_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    sponsorship?: Maybe<Sponsorship_Imitate>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    state?: Maybe<Sponsorship_Game_State_Type>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregated selection of "sponsorship_game_state" */
export type Sponsorship_Game_State_Aggregate = {
    __typename?: 'sponsorship_game_state_aggregate';
    aggregate?: Maybe<Sponsorship_Game_State_Aggregate_Fields>;
    nodes: Array<Sponsorship_Game_State>;
};
export type Sponsorship_Game_State_Aggregate_Bool_Exp = {
    count?: InputMaybe<Sponsorship_Game_State_Aggregate_Bool_Exp_Count>;
};
export type Sponsorship_Game_State_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "sponsorship_game_state" */
export type Sponsorship_Game_State_Aggregate_Fields = {
    __typename?: 'sponsorship_game_state_aggregate_fields';
    avg?: Maybe<Sponsorship_Game_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Game_State_Max_Fields>;
    min?: Maybe<Sponsorship_Game_State_Min_Fields>;
    stddev?: Maybe<Sponsorship_Game_State_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Game_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Game_State_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Game_State_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Game_State_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Game_State_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Game_State_Variance_Fields>;
};
/** aggregate fields of "sponsorship_game_state" */
export type Sponsorship_Game_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Aggregate_Order_By = {
    avg?: InputMaybe<Sponsorship_Game_State_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Sponsorship_Game_State_Max_Order_By>;
    min?: InputMaybe<Sponsorship_Game_State_Min_Order_By>;
    stddev?: InputMaybe<Sponsorship_Game_State_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Sponsorship_Game_State_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Sponsorship_Game_State_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Sponsorship_Game_State_Sum_Order_By>;
    var_pop?: InputMaybe<Sponsorship_Game_State_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Sponsorship_Game_State_Var_Samp_Order_By>;
    variance?: InputMaybe<Sponsorship_Game_State_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "sponsorship_game_state" */
export type Sponsorship_Game_State_Arr_Rel_Insert_Input = {
    data: Array<Sponsorship_Game_State_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Game_State_On_Conflict>;
};
/** aggregate avg on columns */
export type Sponsorship_Game_State_Avg_Fields = {
    __typename?: 'sponsorship_game_state_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Avg_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "sponsorship_game_state". All fields are combined with a logical 'AND'. */
export type Sponsorship_Game_State_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Game_State_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Game_State_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
    sponsorship_game_state_type_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship_id?: InputMaybe<Int_Comparison_Exp>;
    state?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_game_state" */
export declare enum Sponsorship_Game_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipGamePkey = "sponsorship_game_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_game_state" */
export type Sponsorship_Game_State_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_game_state" */
export type Sponsorship_Game_State_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorship?: InputMaybe<Sponsorship_Imitate_Obj_Rel_Insert_Input>;
    sponsorship_game_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
    state?: InputMaybe<Sponsorship_Game_State_Type_Obj_Rel_Insert_Input>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Sponsorship_Game_State_Max_Fields = {
    __typename?: 'sponsorship_game_state_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by max() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Sponsorship_Game_State_Min_Fields = {
    __typename?: 'sponsorship_game_state_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by min() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "sponsorship_game_state" */
export type Sponsorship_Game_State_Mutation_Response = {
    __typename?: 'sponsorship_game_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Game_State>;
};
/** on_conflict condition type for table "sponsorship_game_state" */
export type Sponsorship_Game_State_On_Conflict = {
    constraint: Sponsorship_Game_State_Constraint;
    update_columns?: Array<Sponsorship_Game_State_Update_Column>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_game_state". */
export type Sponsorship_Game_State_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship?: InputMaybe<Sponsorship_Imitate_Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
    state?: InputMaybe<Sponsorship_Game_State_Type_Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_game_state */
export type Sponsorship_Game_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_game_state" */
export declare enum Sponsorship_Game_State_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    SponsorshipGameStateTypeId = "sponsorship_game_state_type_id",
    /** column name */
    SponsorshipId = "sponsorship_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "sponsorship_game_state" */
export type Sponsorship_Game_State_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Game_State_Stddev_Fields = {
    __typename?: 'sponsorship_game_state_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Stddev_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Game_State_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_game_state_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Stddev_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Game_State_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_game_state_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Stddev_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "sponsorship_game_state" */
export type Sponsorship_Game_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Game_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Game_State_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Sponsorship_Game_State_Sum_Fields = {
    __typename?: 'sponsorship_game_state_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Sum_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** columns and relationships of "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type = {
    __typename?: 'sponsorship_game_state_type';
    description: Scalars['String'];
    id: Scalars['Int'];
    is_confirmed: Scalars['Boolean'];
    is_finish?: Maybe<Scalars['Boolean']>;
    is_hold: Scalars['Boolean'];
    is_idle: Scalars['Boolean'];
    is_recovering: Scalars['Boolean'];
    title: Scalars['String'];
};
/** aggregated selection of "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Aggregate = {
    __typename?: 'sponsorship_game_state_type_aggregate';
    aggregate?: Maybe<Sponsorship_Game_State_Type_Aggregate_Fields>;
    nodes: Array<Sponsorship_Game_State_Type>;
};
/** aggregate fields of "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Aggregate_Fields = {
    __typename?: 'sponsorship_game_state_type_aggregate_fields';
    avg?: Maybe<Sponsorship_Game_State_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Game_State_Type_Max_Fields>;
    min?: Maybe<Sponsorship_Game_State_Type_Min_Fields>;
    stddev?: Maybe<Sponsorship_Game_State_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Game_State_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Game_State_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Game_State_Type_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Game_State_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Game_State_Type_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Game_State_Type_Variance_Fields>;
};
/** aggregate fields of "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Game_State_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Game_State_Type_Avg_Fields = {
    __typename?: 'sponsorship_game_state_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_game_state_type". All fields are combined with a logical 'AND'. */
export type Sponsorship_Game_State_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Game_State_Type_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Game_State_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_confirmed?: InputMaybe<Boolean_Comparison_Exp>;
    is_finish?: InputMaybe<Boolean_Comparison_Exp>;
    is_hold?: InputMaybe<Boolean_Comparison_Exp>;
    is_idle?: InputMaybe<Boolean_Comparison_Exp>;
    is_recovering?: InputMaybe<Boolean_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_game_state_type" */
export declare enum Sponsorship_Game_State_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipStatePkey = "sponsorship_state_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_finish?: InputMaybe<Scalars['Boolean']>;
    is_hold?: InputMaybe<Scalars['Boolean']>;
    is_idle?: InputMaybe<Scalars['Boolean']>;
    is_recovering?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_Game_State_Type_Max_Fields = {
    __typename?: 'sponsorship_game_state_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Sponsorship_Game_State_Type_Min_Fields = {
    __typename?: 'sponsorship_game_state_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Mutation_Response = {
    __typename?: 'sponsorship_game_state_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Game_State_Type>;
};
/** input type for inserting object relation for remote table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Obj_Rel_Insert_Input = {
    data: Sponsorship_Game_State_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Game_State_Type_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_On_Conflict = {
    constraint: Sponsorship_Game_State_Type_Constraint;
    update_columns?: Array<Sponsorship_Game_State_Type_Update_Column>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_game_state_type". */
export type Sponsorship_Game_State_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_confirmed?: InputMaybe<Order_By>;
    is_finish?: InputMaybe<Order_By>;
    is_hold?: InputMaybe<Order_By>;
    is_idle?: InputMaybe<Order_By>;
    is_recovering?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_game_state_type */
export type Sponsorship_Game_State_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_game_state_type" */
export declare enum Sponsorship_Game_State_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsFinish = "is_finish",
    /** column name */
    IsHold = "is_hold",
    /** column name */
    IsIdle = "is_idle",
    /** column name */
    IsRecovering = "is_recovering",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_finish?: InputMaybe<Scalars['Boolean']>;
    is_hold?: InputMaybe<Scalars['Boolean']>;
    is_idle?: InputMaybe<Scalars['Boolean']>;
    is_recovering?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Game_State_Type_Stddev_Fields = {
    __typename?: 'sponsorship_game_state_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Game_State_Type_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_game_state_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Game_State_Type_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_game_state_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Game_State_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Game_State_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_finish?: InputMaybe<Scalars['Boolean']>;
    is_hold?: InputMaybe<Scalars['Boolean']>;
    is_idle?: InputMaybe<Scalars['Boolean']>;
    is_recovering?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_Game_State_Type_Sum_Fields = {
    __typename?: 'sponsorship_game_state_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_game_state_type" */
export declare enum Sponsorship_Game_State_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsFinish = "is_finish",
    /** column name */
    IsHold = "is_hold",
    /** column name */
    IsIdle = "is_idle",
    /** column name */
    IsRecovering = "is_recovering",
    /** column name */
    Title = "title"
}
export type Sponsorship_Game_State_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Game_State_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Game_State_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Game_State_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Game_State_Type_Var_Pop_Fields = {
    __typename?: 'sponsorship_game_state_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Game_State_Type_Var_Samp_Fields = {
    __typename?: 'sponsorship_game_state_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Game_State_Type_Variance_Fields = {
    __typename?: 'sponsorship_game_state_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "sponsorship_game_state" */
export declare enum Sponsorship_Game_State_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    SponsorshipGameStateTypeId = "sponsorship_game_state_type_id",
    /** column name */
    SponsorshipId = "sponsorship_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Sponsorship_Game_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Game_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Game_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Game_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Game_State_Var_Pop_Fields = {
    __typename?: 'sponsorship_game_state_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Var_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Game_State_Var_Samp_Fields = {
    __typename?: 'sponsorship_game_state_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Var_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Sponsorship_Game_State_Variance_Fields = {
    __typename?: 'sponsorship_game_state_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Variance_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** columns and relationships of "sponsorship_images" */
export type Sponsorship_Images = {
    __typename?: 'sponsorship_images';
    alt: Scalars['String'];
    id: Scalars['Int'];
    /** An object relationship */
    sponsorship?: Maybe<Sponsorship>;
    sponsorshipId?: Maybe<Scalars['Int']>;
    src?: Maybe<Scalars['String']>;
};
/** aggregated selection of "sponsorship_images" */
export type Sponsorship_Images_Aggregate = {
    __typename?: 'sponsorship_images_aggregate';
    aggregate?: Maybe<Sponsorship_Images_Aggregate_Fields>;
    nodes: Array<Sponsorship_Images>;
};
export type Sponsorship_Images_Aggregate_Bool_Exp = {
    count?: InputMaybe<Sponsorship_Images_Aggregate_Bool_Exp_Count>;
};
export type Sponsorship_Images_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sponsorship_Images_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "sponsorship_images" */
export type Sponsorship_Images_Aggregate_Fields = {
    __typename?: 'sponsorship_images_aggregate_fields';
    avg?: Maybe<Sponsorship_Images_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Images_Max_Fields>;
    min?: Maybe<Sponsorship_Images_Min_Fields>;
    stddev?: Maybe<Sponsorship_Images_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Images_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Images_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Images_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Images_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Images_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Images_Variance_Fields>;
};
/** aggregate fields of "sponsorship_images" */
export type Sponsorship_Images_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sponsorship_images" */
export type Sponsorship_Images_Aggregate_Order_By = {
    avg?: InputMaybe<Sponsorship_Images_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Sponsorship_Images_Max_Order_By>;
    min?: InputMaybe<Sponsorship_Images_Min_Order_By>;
    stddev?: InputMaybe<Sponsorship_Images_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Sponsorship_Images_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Sponsorship_Images_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Sponsorship_Images_Sum_Order_By>;
    var_pop?: InputMaybe<Sponsorship_Images_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Sponsorship_Images_Var_Samp_Order_By>;
    variance?: InputMaybe<Sponsorship_Images_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "sponsorship_images" */
export type Sponsorship_Images_Arr_Rel_Insert_Input = {
    data: Array<Sponsorship_Images_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Images_On_Conflict>;
};
/** aggregate avg on columns */
export type Sponsorship_Images_Avg_Fields = {
    __typename?: 'sponsorship_images_avg_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "sponsorship_images". All fields are combined with a logical 'AND'. */
export type Sponsorship_Images_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Images_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Images_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Images_Bool_Exp>>;
    alt?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship?: InputMaybe<Sponsorship_Bool_Exp>;
    sponsorshipId?: InputMaybe<Int_Comparison_Exp>;
    src?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_images" */
export declare enum Sponsorship_Images_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipImagesPkey = "sponsorship_images_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_images" */
export type Sponsorship_Images_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    sponsorshipId?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_images" */
export type Sponsorship_Images_Insert_Input = {
    alt?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorship?: InputMaybe<Sponsorship_Obj_Rel_Insert_Input>;
    sponsorshipId?: InputMaybe<Scalars['Int']>;
    src?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_Images_Max_Fields = {
    __typename?: 'sponsorship_images_max_fields';
    alt?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    sponsorshipId?: Maybe<Scalars['Int']>;
    src?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Max_Order_By = {
    alt?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
    src?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Sponsorship_Images_Min_Fields = {
    __typename?: 'sponsorship_images_min_fields';
    alt?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    sponsorshipId?: Maybe<Scalars['Int']>;
    src?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Min_Order_By = {
    alt?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
    src?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "sponsorship_images" */
export type Sponsorship_Images_Mutation_Response = {
    __typename?: 'sponsorship_images_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Images>;
};
/** on_conflict condition type for table "sponsorship_images" */
export type Sponsorship_Images_On_Conflict = {
    constraint: Sponsorship_Images_Constraint;
    update_columns?: Array<Sponsorship_Images_Update_Column>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_images". */
export type Sponsorship_Images_Order_By = {
    alt?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship?: InputMaybe<Sponsorship_Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
    src?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_images */
export type Sponsorship_Images_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_images" */
export declare enum Sponsorship_Images_Select_Column {
    /** column name */
    Alt = "alt",
    /** column name */
    Id = "id",
    /** column name */
    SponsorshipId = "sponsorshipId",
    /** column name */
    Src = "src"
}
/** input type for updating data in table "sponsorship_images" */
export type Sponsorship_Images_Set_Input = {
    alt?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorshipId?: InputMaybe<Scalars['Int']>;
    src?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Images_Stddev_Fields = {
    __typename?: 'sponsorship_images_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Images_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_images_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Images_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_images_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "sponsorship_images" */
export type Sponsorship_Images_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Images_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Images_Stream_Cursor_Value_Input = {
    alt?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorshipId?: InputMaybe<Scalars['Int']>;
    src?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_Images_Sum_Fields = {
    __typename?: 'sponsorship_images_sum_fields';
    id?: Maybe<Scalars['Int']>;
    sponsorshipId?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** update columns of table "sponsorship_images" */
export declare enum Sponsorship_Images_Update_Column {
    /** column name */
    Alt = "alt",
    /** column name */
    Id = "id",
    /** column name */
    SponsorshipId = "sponsorshipId",
    /** column name */
    Src = "src"
}
export type Sponsorship_Images_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Images_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Images_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Images_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Images_Var_Pop_Fields = {
    __typename?: 'sponsorship_images_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Images_Var_Samp_Fields = {
    __typename?: 'sponsorship_images_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Sponsorship_Images_Variance_Fields = {
    __typename?: 'sponsorship_images_variance_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** columns and relationships of "sponsorship_imitate" */
export type Sponsorship_Imitate = {
    __typename?: 'sponsorship_imitate';
    /** An object relationship */
    baseSponsorship: Sponsorship;
    base_sponsorship_id: Scalars['Int'];
    id: Scalars['Int'];
    /** An array relationship */
    sponsorshipGameStates: Array<Sponsorship_Game_State>;
    /** An aggregate relationship */
    sponsorshipGameStates_aggregate: Sponsorship_Game_State_Aggregate;
};
/** columns and relationships of "sponsorship_imitate" */
export type Sponsorship_ImitateSponsorshipGameStatesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
/** columns and relationships of "sponsorship_imitate" */
export type Sponsorship_ImitateSponsorshipGameStates_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
/** aggregated selection of "sponsorship_imitate" */
export type Sponsorship_Imitate_Aggregate = {
    __typename?: 'sponsorship_imitate_aggregate';
    aggregate?: Maybe<Sponsorship_Imitate_Aggregate_Fields>;
    nodes: Array<Sponsorship_Imitate>;
};
export type Sponsorship_Imitate_Aggregate_Bool_Exp = {
    count?: InputMaybe<Sponsorship_Imitate_Aggregate_Bool_Exp_Count>;
};
export type Sponsorship_Imitate_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "sponsorship_imitate" */
export type Sponsorship_Imitate_Aggregate_Fields = {
    __typename?: 'sponsorship_imitate_aggregate_fields';
    avg?: Maybe<Sponsorship_Imitate_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Imitate_Max_Fields>;
    min?: Maybe<Sponsorship_Imitate_Min_Fields>;
    stddev?: Maybe<Sponsorship_Imitate_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Imitate_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Imitate_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Imitate_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Imitate_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Imitate_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Imitate_Variance_Fields>;
};
/** aggregate fields of "sponsorship_imitate" */
export type Sponsorship_Imitate_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Aggregate_Order_By = {
    avg?: InputMaybe<Sponsorship_Imitate_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Sponsorship_Imitate_Max_Order_By>;
    min?: InputMaybe<Sponsorship_Imitate_Min_Order_By>;
    stddev?: InputMaybe<Sponsorship_Imitate_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Sponsorship_Imitate_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Sponsorship_Imitate_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Sponsorship_Imitate_Sum_Order_By>;
    var_pop?: InputMaybe<Sponsorship_Imitate_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Sponsorship_Imitate_Var_Samp_Order_By>;
    variance?: InputMaybe<Sponsorship_Imitate_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "sponsorship_imitate" */
export type Sponsorship_Imitate_Arr_Rel_Insert_Input = {
    data: Array<Sponsorship_Imitate_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Imitate_On_Conflict>;
};
/** aggregate avg on columns */
export type Sponsorship_Imitate_Avg_Fields = {
    __typename?: 'sponsorship_imitate_avg_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Avg_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "sponsorship_imitate". All fields are combined with a logical 'AND'. */
export type Sponsorship_Imitate_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Imitate_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Imitate_Bool_Exp>>;
    baseSponsorship?: InputMaybe<Sponsorship_Bool_Exp>;
    base_sponsorship_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    sponsorshipGameStates?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
    sponsorshipGameStates_aggregate?: InputMaybe<Sponsorship_Game_State_Aggregate_Bool_Exp>;
};
/** unique or primary key constraints on table "sponsorship_imitate" */
export declare enum Sponsorship_Imitate_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipImitatePkey = "sponsorship_imitate_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_imitate" */
export type Sponsorship_Imitate_Inc_Input = {
    base_sponsorship_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_imitate" */
export type Sponsorship_Imitate_Insert_Input = {
    baseSponsorship?: InputMaybe<Sponsorship_Obj_Rel_Insert_Input>;
    base_sponsorship_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorshipGameStates?: InputMaybe<Sponsorship_Game_State_Arr_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Sponsorship_Imitate_Max_Fields = {
    __typename?: 'sponsorship_imitate_max_fields';
    base_sponsorship_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Max_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Sponsorship_Imitate_Min_Fields = {
    __typename?: 'sponsorship_imitate_min_fields';
    base_sponsorship_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Min_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "sponsorship_imitate" */
export type Sponsorship_Imitate_Mutation_Response = {
    __typename?: 'sponsorship_imitate_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Imitate>;
};
/** input type for inserting object relation for remote table "sponsorship_imitate" */
export type Sponsorship_Imitate_Obj_Rel_Insert_Input = {
    data: Sponsorship_Imitate_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Imitate_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_imitate" */
export type Sponsorship_Imitate_On_Conflict = {
    constraint: Sponsorship_Imitate_Constraint;
    update_columns?: Array<Sponsorship_Imitate_Update_Column>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_imitate". */
export type Sponsorship_Imitate_Order_By = {
    baseSponsorship?: InputMaybe<Sponsorship_Order_By>;
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorshipGameStates_aggregate?: InputMaybe<Sponsorship_Game_State_Aggregate_Order_By>;
};
/** primary key columns input for table: sponsorship_imitate */
export type Sponsorship_Imitate_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_imitate" */
export declare enum Sponsorship_Imitate_Select_Column {
    /** column name */
    BaseSponsorshipId = "base_sponsorship_id",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "sponsorship_imitate" */
export type Sponsorship_Imitate_Set_Input = {
    base_sponsorship_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Imitate_Stddev_Fields = {
    __typename?: 'sponsorship_imitate_stddev_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Stddev_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Imitate_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_imitate_stddev_pop_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Stddev_Pop_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Imitate_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_imitate_stddev_samp_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Stddev_Samp_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "sponsorship_imitate" */
export type Sponsorship_Imitate_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Imitate_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Imitate_Stream_Cursor_Value_Input = {
    base_sponsorship_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Sponsorship_Imitate_Sum_Fields = {
    __typename?: 'sponsorship_imitate_sum_fields';
    base_sponsorship_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Sum_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** update columns of table "sponsorship_imitate" */
export declare enum Sponsorship_Imitate_Update_Column {
    /** column name */
    BaseSponsorshipId = "base_sponsorship_id",
    /** column name */
    Id = "id"
}
export type Sponsorship_Imitate_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Imitate_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Imitate_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Imitate_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Imitate_Var_Pop_Fields = {
    __typename?: 'sponsorship_imitate_var_pop_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Var_Pop_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Imitate_Var_Samp_Fields = {
    __typename?: 'sponsorship_imitate_var_samp_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Var_Samp_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Sponsorship_Imitate_Variance_Fields = {
    __typename?: 'sponsorship_imitate_variance_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Variance_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** input type for incrementing numeric columns in table "sponsorship" */
export type Sponsorship_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    sponsor_id?: InputMaybe<Scalars['Int']>;
    sponsorship_condition_id?: InputMaybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_type_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship" */
export type Sponsorship_Insert_Input = {
    condition?: InputMaybe<Sponsorship_Condition_Obj_Rel_Insert_Input>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    images?: InputMaybe<Sponsorship_Images_Arr_Rel_Insert_Input>;
    imitates?: InputMaybe<Sponsorship_Imitate_Arr_Rel_Insert_Input>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
    settlementState?: InputMaybe<Sponsorship_Settlement_State_Type_Obj_Rel_Insert_Input>;
    sponsor?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    sponsor_id?: InputMaybe<Scalars['Int']>;
    sponsorshipType?: InputMaybe<Sponsorship_Type_Obj_Rel_Insert_Input>;
    sponsorship_condition_id?: InputMaybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_type_id?: InputMaybe<Scalars['Int']>;
    state?: InputMaybe<Sponsorship_State_Obj_Rel_Insert_Input>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** columns and relationships of "sponsorship_locus" */
export type Sponsorship_Locus = {
    __typename?: 'sponsorship_locus';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    locus_id: Scalars['Int'];
    sponsorship_id: Scalars['Int'];
};
/** aggregated selection of "sponsorship_locus" */
export type Sponsorship_Locus_Aggregate = {
    __typename?: 'sponsorship_locus_aggregate';
    aggregate?: Maybe<Sponsorship_Locus_Aggregate_Fields>;
    nodes: Array<Sponsorship_Locus>;
};
export type Sponsorship_Locus_Aggregate_Bool_Exp = {
    count?: InputMaybe<Sponsorship_Locus_Aggregate_Bool_Exp_Count>;
};
export type Sponsorship_Locus_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "sponsorship_locus" */
export type Sponsorship_Locus_Aggregate_Fields = {
    __typename?: 'sponsorship_locus_aggregate_fields';
    avg?: Maybe<Sponsorship_Locus_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Locus_Max_Fields>;
    min?: Maybe<Sponsorship_Locus_Min_Fields>;
    stddev?: Maybe<Sponsorship_Locus_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Locus_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Locus_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Locus_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Locus_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Locus_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Locus_Variance_Fields>;
};
/** aggregate fields of "sponsorship_locus" */
export type Sponsorship_Locus_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sponsorship_locus" */
export type Sponsorship_Locus_Aggregate_Order_By = {
    avg?: InputMaybe<Sponsorship_Locus_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Sponsorship_Locus_Max_Order_By>;
    min?: InputMaybe<Sponsorship_Locus_Min_Order_By>;
    stddev?: InputMaybe<Sponsorship_Locus_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Sponsorship_Locus_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Sponsorship_Locus_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Sponsorship_Locus_Sum_Order_By>;
    var_pop?: InputMaybe<Sponsorship_Locus_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Sponsorship_Locus_Var_Samp_Order_By>;
    variance?: InputMaybe<Sponsorship_Locus_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "sponsorship_locus" */
export type Sponsorship_Locus_Arr_Rel_Insert_Input = {
    data: Array<Sponsorship_Locus_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Locus_On_Conflict>;
};
/** aggregate avg on columns */
export type Sponsorship_Locus_Avg_Fields = {
    __typename?: 'sponsorship_locus_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "sponsorship_locus". All fields are combined with a logical 'AND'. */
export type Sponsorship_Locus_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Locus_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Locus_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_locus" */
export declare enum Sponsorship_Locus_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipLocusPkey = "sponsorship_locus_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_locus" */
export type Sponsorship_Locus_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_locus" */
export type Sponsorship_Locus_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Sponsorship_Locus_Max_Fields = {
    __typename?: 'sponsorship_locus_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Sponsorship_Locus_Min_Fields = {
    __typename?: 'sponsorship_locus_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "sponsorship_locus" */
export type Sponsorship_Locus_Mutation_Response = {
    __typename?: 'sponsorship_locus_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Locus>;
};
/** on_conflict condition type for table "sponsorship_locus" */
export type Sponsorship_Locus_On_Conflict = {
    constraint: Sponsorship_Locus_Constraint;
    update_columns?: Array<Sponsorship_Locus_Update_Column>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_locus". */
export type Sponsorship_Locus_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_locus */
export type Sponsorship_Locus_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_locus" */
export declare enum Sponsorship_Locus_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    SponsorshipId = "sponsorship_id"
}
/** input type for updating data in table "sponsorship_locus" */
export type Sponsorship_Locus_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Locus_Stddev_Fields = {
    __typename?: 'sponsorship_locus_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Locus_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_locus_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Locus_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_locus_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "sponsorship_locus" */
export type Sponsorship_Locus_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Locus_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Locus_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Sponsorship_Locus_Sum_Fields = {
    __typename?: 'sponsorship_locus_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** update columns of table "sponsorship_locus" */
export declare enum Sponsorship_Locus_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    SponsorshipId = "sponsorship_id"
}
export type Sponsorship_Locus_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Locus_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Locus_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Locus_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Locus_Var_Pop_Fields = {
    __typename?: 'sponsorship_locus_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Locus_Var_Samp_Fields = {
    __typename?: 'sponsorship_locus_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Sponsorship_Locus_Variance_Fields = {
    __typename?: 'sponsorship_locus_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate max on columns */
export type Sponsorship_Max_Fields = {
    __typename?: 'sponsorship_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    sponsor_id?: Maybe<Scalars['Int']>;
    sponsorship_condition_id?: Maybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_type_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Sponsorship_Min_Fields = {
    __typename?: 'sponsorship_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    sponsor_id?: Maybe<Scalars['Int']>;
    sponsorship_condition_id?: Maybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_type_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "sponsorship" */
export type Sponsorship_Mutation_Response = {
    __typename?: 'sponsorship_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship>;
};
/** input type for inserting object relation for remote table "sponsorship" */
export type Sponsorship_Obj_Rel_Insert_Input = {
    data: Sponsorship_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship" */
export type Sponsorship_On_Conflict = {
    constraint: Sponsorship_Constraint;
    update_columns?: Array<Sponsorship_Update_Column>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship". */
export type Sponsorship_Order_By = {
    condition?: InputMaybe<Sponsorship_Condition_Order_By>;
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    images_aggregate?: InputMaybe<Sponsorship_Images_Aggregate_Order_By>;
    imitates_aggregate?: InputMaybe<Sponsorship_Imitate_Aggregate_Order_By>;
    is_base?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
    settlementState?: InputMaybe<Sponsorship_Settlement_State_Type_Order_By>;
    sponsor?: InputMaybe<Treasure_User_Order_By>;
    sponsor_id?: InputMaybe<Order_By>;
    sponsorshipType?: InputMaybe<Sponsorship_Type_Order_By>;
    sponsorship_condition_id?: InputMaybe<Order_By>;
    sponsorship_settlement_state_type_id?: InputMaybe<Order_By>;
    sponsorship_type_id?: InputMaybe<Order_By>;
    state?: InputMaybe<Sponsorship_State_Order_By>;
    state_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    tsvec_description?: InputMaybe<Order_By>;
    tsvec_title?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship */
export type Sponsorship_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "sponsorship_requirement" */
export type Sponsorship_Requirement = {
    __typename?: 'sponsorship_requirement';
    id: Scalars['Int'];
    is_require_amount?: Maybe<Scalars['Boolean']>;
    is_require_direct_delivery_by_sponsor?: Maybe<Scalars['Boolean']>;
    is_require_expiration_date?: Maybe<Scalars['Boolean']>;
    is_require_expiration_time?: Maybe<Scalars['Boolean']>;
    is_require_first_date_of_usage?: Maybe<Scalars['Boolean']>;
    is_require_first_time_of_usage?: Maybe<Scalars['Boolean']>;
    is_require_last_date_of_usage?: Maybe<Scalars['Boolean']>;
    is_require_last_time_of_usage?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "sponsorship_requirement" */
export type Sponsorship_Requirement_Aggregate = {
    __typename?: 'sponsorship_requirement_aggregate';
    aggregate?: Maybe<Sponsorship_Requirement_Aggregate_Fields>;
    nodes: Array<Sponsorship_Requirement>;
};
/** aggregate fields of "sponsorship_requirement" */
export type Sponsorship_Requirement_Aggregate_Fields = {
    __typename?: 'sponsorship_requirement_aggregate_fields';
    avg?: Maybe<Sponsorship_Requirement_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Requirement_Max_Fields>;
    min?: Maybe<Sponsorship_Requirement_Min_Fields>;
    stddev?: Maybe<Sponsorship_Requirement_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Requirement_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Requirement_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Requirement_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Requirement_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Requirement_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Requirement_Variance_Fields>;
};
/** aggregate fields of "sponsorship_requirement" */
export type Sponsorship_Requirement_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Requirement_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Requirement_Avg_Fields = {
    __typename?: 'sponsorship_requirement_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_requirement". All fields are combined with a logical 'AND'. */
export type Sponsorship_Requirement_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Requirement_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Requirement_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_require_amount?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_direct_delivery_by_sponsor?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_expiration_date?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_expiration_time?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_first_date_of_usage?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_first_time_of_usage?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_last_date_of_usage?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_last_time_of_usage?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_requirement" */
export declare enum Sponsorship_Requirement_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipRequirementsPkey = "sponsorship_requirements_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_requirement" */
export type Sponsorship_Requirement_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_requirement" */
export type Sponsorship_Requirement_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_require_amount?: InputMaybe<Scalars['Boolean']>;
    is_require_direct_delivery_by_sponsor?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_date?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_time?: InputMaybe<Scalars['Boolean']>;
    is_require_first_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_first_time_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_time_of_usage?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Sponsorship_Requirement_Max_Fields = {
    __typename?: 'sponsorship_requirement_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Sponsorship_Requirement_Min_Fields = {
    __typename?: 'sponsorship_requirement_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "sponsorship_requirement" */
export type Sponsorship_Requirement_Mutation_Response = {
    __typename?: 'sponsorship_requirement_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Requirement>;
};
/** input type for inserting object relation for remote table "sponsorship_requirement" */
export type Sponsorship_Requirement_Obj_Rel_Insert_Input = {
    data: Sponsorship_Requirement_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Requirement_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_requirement" */
export type Sponsorship_Requirement_On_Conflict = {
    constraint: Sponsorship_Requirement_Constraint;
    update_columns?: Array<Sponsorship_Requirement_Update_Column>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_requirement". */
export type Sponsorship_Requirement_Order_By = {
    id?: InputMaybe<Order_By>;
    is_require_amount?: InputMaybe<Order_By>;
    is_require_direct_delivery_by_sponsor?: InputMaybe<Order_By>;
    is_require_expiration_date?: InputMaybe<Order_By>;
    is_require_expiration_time?: InputMaybe<Order_By>;
    is_require_first_date_of_usage?: InputMaybe<Order_By>;
    is_require_first_time_of_usage?: InputMaybe<Order_By>;
    is_require_last_date_of_usage?: InputMaybe<Order_By>;
    is_require_last_time_of_usage?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_requirement */
export type Sponsorship_Requirement_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_requirement" */
export declare enum Sponsorship_Requirement_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsRequireAmount = "is_require_amount",
    /** column name */
    IsRequireDirectDeliveryBySponsor = "is_require_direct_delivery_by_sponsor",
    /** column name */
    IsRequireExpirationDate = "is_require_expiration_date",
    /** column name */
    IsRequireExpirationTime = "is_require_expiration_time",
    /** column name */
    IsRequireFirstDateOfUsage = "is_require_first_date_of_usage",
    /** column name */
    IsRequireFirstTimeOfUsage = "is_require_first_time_of_usage",
    /** column name */
    IsRequireLastDateOfUsage = "is_require_last_date_of_usage",
    /** column name */
    IsRequireLastTimeOfUsage = "is_require_last_time_of_usage"
}
/** input type for updating data in table "sponsorship_requirement" */
export type Sponsorship_Requirement_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_require_amount?: InputMaybe<Scalars['Boolean']>;
    is_require_direct_delivery_by_sponsor?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_date?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_time?: InputMaybe<Scalars['Boolean']>;
    is_require_first_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_first_time_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_time_of_usage?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Requirement_Stddev_Fields = {
    __typename?: 'sponsorship_requirement_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Requirement_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_requirement_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Requirement_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_requirement_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_requirement" */
export type Sponsorship_Requirement_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Requirement_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Requirement_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_require_amount?: InputMaybe<Scalars['Boolean']>;
    is_require_direct_delivery_by_sponsor?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_date?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_time?: InputMaybe<Scalars['Boolean']>;
    is_require_first_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_first_time_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_time_of_usage?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Sponsorship_Requirement_Sum_Fields = {
    __typename?: 'sponsorship_requirement_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type = {
    __typename?: 'sponsorship_requirement_type';
    condition_name?: Maybe<Scalars['String']>;
    data_type_name?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_required_apply?: Maybe<Scalars['Boolean']>;
    requirement_name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Aggregate = {
    __typename?: 'sponsorship_requirement_type_aggregate';
    aggregate?: Maybe<Sponsorship_Requirement_Type_Aggregate_Fields>;
    nodes: Array<Sponsorship_Requirement_Type>;
};
/** aggregate fields of "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Aggregate_Fields = {
    __typename?: 'sponsorship_requirement_type_aggregate_fields';
    avg?: Maybe<Sponsorship_Requirement_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Requirement_Type_Max_Fields>;
    min?: Maybe<Sponsorship_Requirement_Type_Min_Fields>;
    stddev?: Maybe<Sponsorship_Requirement_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Requirement_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Requirement_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Requirement_Type_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Requirement_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Requirement_Type_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Requirement_Type_Variance_Fields>;
};
/** aggregate fields of "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Requirement_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Requirement_Type_Avg_Fields = {
    __typename?: 'sponsorship_requirement_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_requirement_type". All fields are combined with a logical 'AND'. */
export type Sponsorship_Requirement_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Requirement_Type_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Requirement_Type_Bool_Exp>>;
    condition_name?: InputMaybe<String_Comparison_Exp>;
    data_type_name?: InputMaybe<String_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_required_apply?: InputMaybe<Boolean_Comparison_Exp>;
    requirement_name?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_requirement_type" */
export declare enum Sponsorship_Requirement_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipConditionTypePkey = "sponsorship_condition_type_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Insert_Input = {
    condition_name?: InputMaybe<Scalars['String']>;
    data_type_name?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_required_apply?: InputMaybe<Scalars['Boolean']>;
    requirement_name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_Requirement_Type_Max_Fields = {
    __typename?: 'sponsorship_requirement_type_max_fields';
    condition_name?: Maybe<Scalars['String']>;
    data_type_name?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    requirement_name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Sponsorship_Requirement_Type_Min_Fields = {
    __typename?: 'sponsorship_requirement_type_min_fields';
    condition_name?: Maybe<Scalars['String']>;
    data_type_name?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    requirement_name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Mutation_Response = {
    __typename?: 'sponsorship_requirement_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Requirement_Type>;
};
/** on_conflict condition type for table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_On_Conflict = {
    constraint: Sponsorship_Requirement_Type_Constraint;
    update_columns?: Array<Sponsorship_Requirement_Type_Update_Column>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_requirement_type". */
export type Sponsorship_Requirement_Type_Order_By = {
    condition_name?: InputMaybe<Order_By>;
    data_type_name?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_required_apply?: InputMaybe<Order_By>;
    requirement_name?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_requirement_type */
export type Sponsorship_Requirement_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_requirement_type" */
export declare enum Sponsorship_Requirement_Type_Select_Column {
    /** column name */
    ConditionName = "condition_name",
    /** column name */
    DataTypeName = "data_type_name",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsRequiredApply = "is_required_apply",
    /** column name */
    RequirementName = "requirement_name",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Set_Input = {
    condition_name?: InputMaybe<Scalars['String']>;
    data_type_name?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_required_apply?: InputMaybe<Scalars['Boolean']>;
    requirement_name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Requirement_Type_Stddev_Fields = {
    __typename?: 'sponsorship_requirement_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Requirement_Type_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_requirement_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Requirement_Type_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_requirement_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Requirement_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Requirement_Type_Stream_Cursor_Value_Input = {
    condition_name?: InputMaybe<Scalars['String']>;
    data_type_name?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_required_apply?: InputMaybe<Scalars['Boolean']>;
    requirement_name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_Requirement_Type_Sum_Fields = {
    __typename?: 'sponsorship_requirement_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_requirement_type" */
export declare enum Sponsorship_Requirement_Type_Update_Column {
    /** column name */
    ConditionName = "condition_name",
    /** column name */
    DataTypeName = "data_type_name",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsRequiredApply = "is_required_apply",
    /** column name */
    RequirementName = "requirement_name",
    /** column name */
    Title = "title"
}
export type Sponsorship_Requirement_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Requirement_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Requirement_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Requirement_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Requirement_Type_Var_Pop_Fields = {
    __typename?: 'sponsorship_requirement_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Requirement_Type_Var_Samp_Fields = {
    __typename?: 'sponsorship_requirement_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Requirement_Type_Variance_Fields = {
    __typename?: 'sponsorship_requirement_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "sponsorship_requirement" */
export declare enum Sponsorship_Requirement_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsRequireAmount = "is_require_amount",
    /** column name */
    IsRequireDirectDeliveryBySponsor = "is_require_direct_delivery_by_sponsor",
    /** column name */
    IsRequireExpirationDate = "is_require_expiration_date",
    /** column name */
    IsRequireExpirationTime = "is_require_expiration_time",
    /** column name */
    IsRequireFirstDateOfUsage = "is_require_first_date_of_usage",
    /** column name */
    IsRequireFirstTimeOfUsage = "is_require_first_time_of_usage",
    /** column name */
    IsRequireLastDateOfUsage = "is_require_last_date_of_usage",
    /** column name */
    IsRequireLastTimeOfUsage = "is_require_last_time_of_usage"
}
export type Sponsorship_Requirement_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Requirement_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Requirement_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Requirement_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Requirement_Var_Pop_Fields = {
    __typename?: 'sponsorship_requirement_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Requirement_Var_Samp_Fields = {
    __typename?: 'sponsorship_requirement_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Requirement_Variance_Fields = {
    __typename?: 'sponsorship_requirement_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** select columns of table "sponsorship" */
export declare enum Sponsorship_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsBase = "is_base",
    /** column name */
    ProductId = "product_id",
    /** column name */
    SponsorId = "sponsor_id",
    /** column name */
    SponsorshipConditionId = "sponsorship_condition_id",
    /** column name */
    SponsorshipSettlementStateTypeId = "sponsorship_settlement_state_type_id",
    /** column name */
    SponsorshipTypeId = "sponsorship_type_id",
    /** column name */
    StateId = "state_id",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "sponsorship" */
export type Sponsorship_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    product_id?: InputMaybe<Scalars['Int']>;
    sponsor_id?: InputMaybe<Scalars['Int']>;
    sponsorship_condition_id?: InputMaybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_type_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** columns and relationships of "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type = {
    __typename?: 'sponsorship_settlement_state_type';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_posted?: Maybe<Scalars['Boolean']>;
    is_ready: Scalars['Boolean'];
    is_settled: Scalars['Boolean'];
    is_writing?: Maybe<Scalars['Boolean']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Aggregate = {
    __typename?: 'sponsorship_settlement_state_type_aggregate';
    aggregate?: Maybe<Sponsorship_Settlement_State_Type_Aggregate_Fields>;
    nodes: Array<Sponsorship_Settlement_State_Type>;
};
/** aggregate fields of "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Aggregate_Fields = {
    __typename?: 'sponsorship_settlement_state_type_aggregate_fields';
    avg?: Maybe<Sponsorship_Settlement_State_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Settlement_State_Type_Max_Fields>;
    min?: Maybe<Sponsorship_Settlement_State_Type_Min_Fields>;
    stddev?: Maybe<Sponsorship_Settlement_State_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Settlement_State_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Settlement_State_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Settlement_State_Type_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Settlement_State_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Settlement_State_Type_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Settlement_State_Type_Variance_Fields>;
};
/** aggregate fields of "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Settlement_State_Type_Avg_Fields = {
    __typename?: 'sponsorship_settlement_state_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_settlement_state_type". All fields are combined with a logical 'AND'. */
export type Sponsorship_Settlement_State_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_posted?: InputMaybe<Boolean_Comparison_Exp>;
    is_ready?: InputMaybe<Boolean_Comparison_Exp>;
    is_settled?: InputMaybe<Boolean_Comparison_Exp>;
    is_writing?: InputMaybe<Boolean_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_settlement_state_type" */
export declare enum Sponsorship_Settlement_State_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipSettlementStateTypePkey = "sponsorship_settlement_state_type_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_posted?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    is_settled?: InputMaybe<Scalars['Boolean']>;
    is_writing?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_Settlement_State_Type_Max_Fields = {
    __typename?: 'sponsorship_settlement_state_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Sponsorship_Settlement_State_Type_Min_Fields = {
    __typename?: 'sponsorship_settlement_state_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Mutation_Response = {
    __typename?: 'sponsorship_settlement_state_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Settlement_State_Type>;
};
/** input type for inserting object relation for remote table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Obj_Rel_Insert_Input = {
    data: Sponsorship_Settlement_State_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Settlement_State_Type_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_On_Conflict = {
    constraint: Sponsorship_Settlement_State_Type_Constraint;
    update_columns?: Array<Sponsorship_Settlement_State_Type_Update_Column>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_settlement_state_type". */
export type Sponsorship_Settlement_State_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_posted?: InputMaybe<Order_By>;
    is_ready?: InputMaybe<Order_By>;
    is_settled?: InputMaybe<Order_By>;
    is_writing?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_settlement_state_type */
export type Sponsorship_Settlement_State_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_settlement_state_type" */
export declare enum Sponsorship_Settlement_State_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsPosted = "is_posted",
    /** column name */
    IsReady = "is_ready",
    /** column name */
    IsSettled = "is_settled",
    /** column name */
    IsWriting = "is_writing",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_posted?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    is_settled?: InputMaybe<Scalars['Boolean']>;
    is_writing?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Settlement_State_Type_Stddev_Fields = {
    __typename?: 'sponsorship_settlement_state_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Settlement_State_Type_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_settlement_state_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Settlement_State_Type_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_settlement_state_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Settlement_State_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Settlement_State_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_posted?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    is_settled?: InputMaybe<Scalars['Boolean']>;
    is_writing?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_Settlement_State_Type_Sum_Fields = {
    __typename?: 'sponsorship_settlement_state_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_settlement_state_type" */
export declare enum Sponsorship_Settlement_State_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsPosted = "is_posted",
    /** column name */
    IsReady = "is_ready",
    /** column name */
    IsSettled = "is_settled",
    /** column name */
    IsWriting = "is_writing",
    /** column name */
    Title = "title"
}
export type Sponsorship_Settlement_State_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Settlement_State_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Settlement_State_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Settlement_State_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Settlement_State_Type_Var_Pop_Fields = {
    __typename?: 'sponsorship_settlement_state_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Settlement_State_Type_Var_Samp_Fields = {
    __typename?: 'sponsorship_settlement_state_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Settlement_State_Type_Variance_Fields = {
    __typename?: 'sponsorship_settlement_state_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "sponsorship_state" */
export type Sponsorship_State = {
    __typename?: 'sponsorship_state';
    completion_message?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    error_message?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_arrived?: Maybe<Scalars['Boolean']>;
    is_departured?: Maybe<Scalars['Boolean']>;
    is_need_to_be_managed?: Maybe<Scalars['Boolean']>;
    is_ready?: Maybe<Scalars['Boolean']>;
    managing_days_limit?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    state_message?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
    waiting_message?: Maybe<Scalars['String']>;
};
/** aggregated selection of "sponsorship_state" */
export type Sponsorship_State_Aggregate = {
    __typename?: 'sponsorship_state_aggregate';
    aggregate?: Maybe<Sponsorship_State_Aggregate_Fields>;
    nodes: Array<Sponsorship_State>;
};
/** aggregate fields of "sponsorship_state" */
export type Sponsorship_State_Aggregate_Fields = {
    __typename?: 'sponsorship_state_aggregate_fields';
    avg?: Maybe<Sponsorship_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_State_Max_Fields>;
    min?: Maybe<Sponsorship_State_Min_Fields>;
    stddev?: Maybe<Sponsorship_State_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_State_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_State_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_State_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_State_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_State_Variance_Fields>;
};
/** aggregate fields of "sponsorship_state" */
export type Sponsorship_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_State_Avg_Fields = {
    __typename?: 'sponsorship_state_avg_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_state". All fields are combined with a logical 'AND'. */
export type Sponsorship_State_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_State_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_State_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_State_Bool_Exp>>;
    completion_message?: InputMaybe<String_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    error_message?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_arrived?: InputMaybe<Boolean_Comparison_Exp>;
    is_departured?: InputMaybe<Boolean_Comparison_Exp>;
    is_need_to_be_managed?: InputMaybe<Boolean_Comparison_Exp>;
    is_ready?: InputMaybe<Boolean_Comparison_Exp>;
    managing_days_limit?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    state_message?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    waiting_message?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_state" */
export declare enum Sponsorship_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipStatePkey1 = "sponsorship_state_pkey1"
}
/** input type for incrementing numeric columns in table "sponsorship_state" */
export type Sponsorship_State_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    managing_days_limit?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_state" */
export type Sponsorship_State_Insert_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arrived?: InputMaybe<Scalars['Boolean']>;
    is_departured?: InputMaybe<Scalars['Boolean']>;
    is_need_to_be_managed?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    managing_days_limit?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_State_Max_Fields = {
    __typename?: 'sponsorship_state_max_fields';
    completion_message?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    error_message?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    managing_days_limit?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    state_message?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
    waiting_message?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Sponsorship_State_Min_Fields = {
    __typename?: 'sponsorship_state_min_fields';
    completion_message?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    error_message?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    managing_days_limit?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    state_message?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
    waiting_message?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "sponsorship_state" */
export type Sponsorship_State_Mutation_Response = {
    __typename?: 'sponsorship_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_State>;
};
/** input type for inserting object relation for remote table "sponsorship_state" */
export type Sponsorship_State_Obj_Rel_Insert_Input = {
    data: Sponsorship_State_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_State_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_state" */
export type Sponsorship_State_On_Conflict = {
    constraint: Sponsorship_State_Constraint;
    update_columns?: Array<Sponsorship_State_Update_Column>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_state". */
export type Sponsorship_State_Order_By = {
    completion_message?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    error_message?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_arrived?: InputMaybe<Order_By>;
    is_departured?: InputMaybe<Order_By>;
    is_need_to_be_managed?: InputMaybe<Order_By>;
    is_ready?: InputMaybe<Order_By>;
    managing_days_limit?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    state_message?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    waiting_message?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_state */
export type Sponsorship_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_state" */
export declare enum Sponsorship_State_Select_Column {
    /** column name */
    CompletionMessage = "completion_message",
    /** column name */
    Description = "description",
    /** column name */
    ErrorMessage = "error_message",
    /** column name */
    Id = "id",
    /** column name */
    IsArrived = "is_arrived",
    /** column name */
    IsDepartured = "is_departured",
    /** column name */
    IsNeedToBeManaged = "is_need_to_be_managed",
    /** column name */
    IsReady = "is_ready",
    /** column name */
    ManagingDaysLimit = "managing_days_limit",
    /** column name */
    Name = "name",
    /** column name */
    StateMessage = "state_message",
    /** column name */
    Title = "title",
    /** column name */
    WaitingMessage = "waiting_message"
}
/** input type for updating data in table "sponsorship_state" */
export type Sponsorship_State_Set_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arrived?: InputMaybe<Scalars['Boolean']>;
    is_departured?: InputMaybe<Scalars['Boolean']>;
    is_need_to_be_managed?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    managing_days_limit?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_State_Stddev_Fields = {
    __typename?: 'sponsorship_state_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_State_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_state_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_State_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_state_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_state" */
export type Sponsorship_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_State_Stream_Cursor_Value_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arrived?: InputMaybe<Scalars['Boolean']>;
    is_departured?: InputMaybe<Scalars['Boolean']>;
    is_need_to_be_managed?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    managing_days_limit?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_State_Sum_Fields = {
    __typename?: 'sponsorship_state_sum_fields';
    id?: Maybe<Scalars['Int']>;
    managing_days_limit?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_state" */
export declare enum Sponsorship_State_Update_Column {
    /** column name */
    CompletionMessage = "completion_message",
    /** column name */
    Description = "description",
    /** column name */
    ErrorMessage = "error_message",
    /** column name */
    Id = "id",
    /** column name */
    IsArrived = "is_arrived",
    /** column name */
    IsDepartured = "is_departured",
    /** column name */
    IsNeedToBeManaged = "is_need_to_be_managed",
    /** column name */
    IsReady = "is_ready",
    /** column name */
    ManagingDaysLimit = "managing_days_limit",
    /** column name */
    Name = "name",
    /** column name */
    StateMessage = "state_message",
    /** column name */
    Title = "title",
    /** column name */
    WaitingMessage = "waiting_message"
}
export type Sponsorship_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_State_Var_Pop_Fields = {
    __typename?: 'sponsorship_state_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_State_Var_Samp_Fields = {
    __typename?: 'sponsorship_state_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_State_Variance_Fields = {
    __typename?: 'sponsorship_state_variance_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Stddev_Fields = {
    __typename?: 'sponsorship_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship" */
export type Sponsorship_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    product_id?: InputMaybe<Scalars['Int']>;
    sponsor_id?: InputMaybe<Scalars['Int']>;
    sponsorship_condition_id?: InputMaybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_type_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Sponsorship_Sum_Fields = {
    __typename?: 'sponsorship_sum_fields';
    id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    sponsor_id?: Maybe<Scalars['Int']>;
    sponsorship_condition_id?: Maybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_type_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "sponsorship_type" */
export type Sponsorship_Type = {
    __typename?: 'sponsorship_type';
    description?: Maybe<Scalars['String']>;
    has_expiration_date?: Maybe<Scalars['Boolean']>;
    has_period_of_use?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    is_about_qualification?: Maybe<Scalars['Boolean']>;
    is_contract?: Maybe<Scalars['Boolean']>;
    is_coupon?: Maybe<Scalars['Boolean']>;
    is_deliverable?: Maybe<Scalars['Boolean']>;
    is_goods?: Maybe<Scalars['Boolean']>;
    is_intangible?: Maybe<Scalars['Boolean']>;
    is_money?: Maybe<Scalars['Boolean']>;
    is_product?: Maybe<Scalars['Boolean']>;
    is_require_as?: Maybe<Scalars['Boolean']>;
    is_sendable_by_email?: Maybe<Scalars['Boolean']>;
    is_sendable_by_mail?: Maybe<Scalars['Boolean']>;
    is_ticket?: Maybe<Scalars['Boolean']>;
    is_unique?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    requirements?: Maybe<Sponsorship_Requirement>;
    requirements_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "sponsorship_type" */
export type Sponsorship_Type_Aggregate = {
    __typename?: 'sponsorship_type_aggregate';
    aggregate?: Maybe<Sponsorship_Type_Aggregate_Fields>;
    nodes: Array<Sponsorship_Type>;
};
/** aggregate fields of "sponsorship_type" */
export type Sponsorship_Type_Aggregate_Fields = {
    __typename?: 'sponsorship_type_aggregate_fields';
    avg?: Maybe<Sponsorship_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Type_Max_Fields>;
    min?: Maybe<Sponsorship_Type_Min_Fields>;
    stddev?: Maybe<Sponsorship_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Type_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Type_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Type_Variance_Fields>;
};
/** aggregate fields of "sponsorship_type" */
export type Sponsorship_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Type_Avg_Fields = {
    __typename?: 'sponsorship_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_type". All fields are combined with a logical 'AND'. */
export type Sponsorship_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Type_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    has_expiration_date?: InputMaybe<Boolean_Comparison_Exp>;
    has_period_of_use?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_about_qualification?: InputMaybe<Boolean_Comparison_Exp>;
    is_contract?: InputMaybe<Boolean_Comparison_Exp>;
    is_coupon?: InputMaybe<Boolean_Comparison_Exp>;
    is_deliverable?: InputMaybe<Boolean_Comparison_Exp>;
    is_goods?: InputMaybe<Boolean_Comparison_Exp>;
    is_intangible?: InputMaybe<Boolean_Comparison_Exp>;
    is_money?: InputMaybe<Boolean_Comparison_Exp>;
    is_product?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_as?: InputMaybe<Boolean_Comparison_Exp>;
    is_sendable_by_email?: InputMaybe<Boolean_Comparison_Exp>;
    is_sendable_by_mail?: InputMaybe<Boolean_Comparison_Exp>;
    is_ticket?: InputMaybe<Boolean_Comparison_Exp>;
    is_unique?: InputMaybe<Boolean_Comparison_Exp>;
    requirements?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
    requirements_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_type" */
export declare enum Sponsorship_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipTypePkey = "sponsorship_type_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_type" */
export type Sponsorship_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    requirements_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_type" */
export type Sponsorship_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    has_expiration_date?: InputMaybe<Scalars['Boolean']>;
    has_period_of_use?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_qualification?: InputMaybe<Scalars['Boolean']>;
    is_contract?: InputMaybe<Scalars['Boolean']>;
    is_coupon?: InputMaybe<Scalars['Boolean']>;
    is_deliverable?: InputMaybe<Scalars['Boolean']>;
    is_goods?: InputMaybe<Scalars['Boolean']>;
    is_intangible?: InputMaybe<Scalars['Boolean']>;
    is_money?: InputMaybe<Scalars['Boolean']>;
    is_product?: InputMaybe<Scalars['Boolean']>;
    is_require_as?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_email?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_mail?: InputMaybe<Scalars['Boolean']>;
    is_ticket?: InputMaybe<Scalars['Boolean']>;
    is_unique?: InputMaybe<Scalars['Boolean']>;
    requirements?: InputMaybe<Sponsorship_Requirement_Obj_Rel_Insert_Input>;
    requirements_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_Type_Max_Fields = {
    __typename?: 'sponsorship_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    requirements_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Sponsorship_Type_Min_Fields = {
    __typename?: 'sponsorship_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    requirements_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "sponsorship_type" */
export type Sponsorship_Type_Mutation_Response = {
    __typename?: 'sponsorship_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Type>;
};
/** input type for inserting object relation for remote table "sponsorship_type" */
export type Sponsorship_Type_Obj_Rel_Insert_Input = {
    data: Sponsorship_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Type_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_type" */
export type Sponsorship_Type_On_Conflict = {
    constraint: Sponsorship_Type_Constraint;
    update_columns?: Array<Sponsorship_Type_Update_Column>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_type". */
export type Sponsorship_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    has_expiration_date?: InputMaybe<Order_By>;
    has_period_of_use?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_about_qualification?: InputMaybe<Order_By>;
    is_contract?: InputMaybe<Order_By>;
    is_coupon?: InputMaybe<Order_By>;
    is_deliverable?: InputMaybe<Order_By>;
    is_goods?: InputMaybe<Order_By>;
    is_intangible?: InputMaybe<Order_By>;
    is_money?: InputMaybe<Order_By>;
    is_product?: InputMaybe<Order_By>;
    is_require_as?: InputMaybe<Order_By>;
    is_sendable_by_email?: InputMaybe<Order_By>;
    is_sendable_by_mail?: InputMaybe<Order_By>;
    is_ticket?: InputMaybe<Order_By>;
    is_unique?: InputMaybe<Order_By>;
    requirements?: InputMaybe<Sponsorship_Requirement_Order_By>;
    requirements_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_type */
export type Sponsorship_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_type" */
export declare enum Sponsorship_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    HasExpirationDate = "has_expiration_date",
    /** column name */
    HasPeriodOfUse = "has_period_of_use",
    /** column name */
    Id = "id",
    /** column name */
    IsAboutQualification = "is_about_qualification",
    /** column name */
    IsContract = "is_contract",
    /** column name */
    IsCoupon = "is_coupon",
    /** column name */
    IsDeliverable = "is_deliverable",
    /** column name */
    IsGoods = "is_goods",
    /** column name */
    IsIntangible = "is_intangible",
    /** column name */
    IsMoney = "is_money",
    /** column name */
    IsProduct = "is_product",
    /** column name */
    IsRequireAs = "is_require_as",
    /** column name */
    IsSendableByEmail = "is_sendable_by_email",
    /** column name */
    IsSendableByMail = "is_sendable_by_mail",
    /** column name */
    IsTicket = "is_ticket",
    /** column name */
    IsUnique = "is_unique",
    /** column name */
    RequirementsId = "requirements_id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "sponsorship_type" */
export type Sponsorship_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    has_expiration_date?: InputMaybe<Scalars['Boolean']>;
    has_period_of_use?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_qualification?: InputMaybe<Scalars['Boolean']>;
    is_contract?: InputMaybe<Scalars['Boolean']>;
    is_coupon?: InputMaybe<Scalars['Boolean']>;
    is_deliverable?: InputMaybe<Scalars['Boolean']>;
    is_goods?: InputMaybe<Scalars['Boolean']>;
    is_intangible?: InputMaybe<Scalars['Boolean']>;
    is_money?: InputMaybe<Scalars['Boolean']>;
    is_product?: InputMaybe<Scalars['Boolean']>;
    is_require_as?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_email?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_mail?: InputMaybe<Scalars['Boolean']>;
    is_ticket?: InputMaybe<Scalars['Boolean']>;
    is_unique?: InputMaybe<Scalars['Boolean']>;
    requirements_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Type_Stddev_Fields = {
    __typename?: 'sponsorship_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Type_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Type_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_type" */
export type Sponsorship_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    has_expiration_date?: InputMaybe<Scalars['Boolean']>;
    has_period_of_use?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_qualification?: InputMaybe<Scalars['Boolean']>;
    is_contract?: InputMaybe<Scalars['Boolean']>;
    is_coupon?: InputMaybe<Scalars['Boolean']>;
    is_deliverable?: InputMaybe<Scalars['Boolean']>;
    is_goods?: InputMaybe<Scalars['Boolean']>;
    is_intangible?: InputMaybe<Scalars['Boolean']>;
    is_money?: InputMaybe<Scalars['Boolean']>;
    is_product?: InputMaybe<Scalars['Boolean']>;
    is_require_as?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_email?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_mail?: InputMaybe<Scalars['Boolean']>;
    is_ticket?: InputMaybe<Scalars['Boolean']>;
    is_unique?: InputMaybe<Scalars['Boolean']>;
    requirements_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_Type_Sum_Fields = {
    __typename?: 'sponsorship_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
    requirements_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_type" */
export declare enum Sponsorship_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    HasExpirationDate = "has_expiration_date",
    /** column name */
    HasPeriodOfUse = "has_period_of_use",
    /** column name */
    Id = "id",
    /** column name */
    IsAboutQualification = "is_about_qualification",
    /** column name */
    IsContract = "is_contract",
    /** column name */
    IsCoupon = "is_coupon",
    /** column name */
    IsDeliverable = "is_deliverable",
    /** column name */
    IsGoods = "is_goods",
    /** column name */
    IsIntangible = "is_intangible",
    /** column name */
    IsMoney = "is_money",
    /** column name */
    IsProduct = "is_product",
    /** column name */
    IsRequireAs = "is_require_as",
    /** column name */
    IsSendableByEmail = "is_sendable_by_email",
    /** column name */
    IsSendableByMail = "is_sendable_by_mail",
    /** column name */
    IsTicket = "is_ticket",
    /** column name */
    IsUnique = "is_unique",
    /** column name */
    RequirementsId = "requirements_id",
    /** column name */
    Title = "title"
}
export type Sponsorship_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Type_Var_Pop_Fields = {
    __typename?: 'sponsorship_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Type_Var_Samp_Fields = {
    __typename?: 'sponsorship_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Type_Variance_Fields = {
    __typename?: 'sponsorship_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** update columns of table "sponsorship" */
export declare enum Sponsorship_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsBase = "is_base",
    /** column name */
    ProductId = "product_id",
    /** column name */
    SponsorId = "sponsor_id",
    /** column name */
    SponsorshipConditionId = "sponsorship_condition_id",
    /** column name */
    SponsorshipSettlementStateTypeId = "sponsorship_settlement_state_type_id",
    /** column name */
    SponsorshipTypeId = "sponsorship_type_id",
    /** column name */
    StateId = "state_id",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Sponsorship_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Var_Pop_Fields = {
    __typename?: 'sponsorship_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Var_Samp_Fields = {
    __typename?: 'sponsorship_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Variance_Fields = {
    __typename?: 'sponsorship_variance_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "spot" */
export type Spot = {
    __typename?: 'spot';
    /** An object relationship */
    entrypoint?: Maybe<Entrypoint>;
    entrypoint_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    location?: Maybe<Location>;
    location_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    maintainer: Treasure_User;
    maintainer_id: Scalars['Int'];
    name?: Maybe<Scalars['String']>;
    /** An object relationship */
    policy?: Maybe<Spot_Policy>;
    /** An object relationship */
    privacy: Resource_Privacy;
    privacy_id: Scalars['Int'];
    spot_type_id: Scalars['Int'];
    /** An object relationship */
    type: Spot_Type;
    /** An object relationship */
    universe: Universe;
    universe_id: Scalars['Int'];
    usage_policy_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "spot" */
export type Spot_Aggregate = {
    __typename?: 'spot_aggregate';
    aggregate?: Maybe<Spot_Aggregate_Fields>;
    nodes: Array<Spot>;
};
/** aggregate fields of "spot" */
export type Spot_Aggregate_Fields = {
    __typename?: 'spot_aggregate_fields';
    avg?: Maybe<Spot_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Spot_Max_Fields>;
    min?: Maybe<Spot_Min_Fields>;
    stddev?: Maybe<Spot_Stddev_Fields>;
    stddev_pop?: Maybe<Spot_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Spot_Stddev_Samp_Fields>;
    sum?: Maybe<Spot_Sum_Fields>;
    var_pop?: Maybe<Spot_Var_Pop_Fields>;
    var_samp?: Maybe<Spot_Var_Samp_Fields>;
    variance?: Maybe<Spot_Variance_Fields>;
};
/** aggregate fields of "spot" */
export type Spot_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Spot_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Spot_Avg_Fields = {
    __typename?: 'spot_avg_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "spot". All fields are combined with a logical 'AND'. */
export type Spot_Bool_Exp = {
    _and?: InputMaybe<Array<Spot_Bool_Exp>>;
    _not?: InputMaybe<Spot_Bool_Exp>;
    _or?: InputMaybe<Array<Spot_Bool_Exp>>;
    entrypoint?: InputMaybe<Entrypoint_Bool_Exp>;
    entrypoint_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    location?: InputMaybe<Location_Bool_Exp>;
    location_id?: InputMaybe<Int_Comparison_Exp>;
    maintainer?: InputMaybe<Treasure_User_Bool_Exp>;
    maintainer_id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    policy?: InputMaybe<Spot_Policy_Bool_Exp>;
    privacy?: InputMaybe<Resource_Privacy_Bool_Exp>;
    privacy_id?: InputMaybe<Int_Comparison_Exp>;
    spot_type_id?: InputMaybe<Int_Comparison_Exp>;
    type?: InputMaybe<Spot_Type_Bool_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
    usage_policy_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "spot" */
export declare enum Spot_Constraint {
    /** unique or primary key constraint on columns "id" */
    SpotPkey = "spot_pkey"
}
/** input type for incrementing numeric columns in table "spot" */
export type Spot_Inc_Input = {
    entrypoint_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_id?: InputMaybe<Scalars['Int']>;
    maintainer_id?: InputMaybe<Scalars['Int']>;
    privacy_id?: InputMaybe<Scalars['Int']>;
    spot_type_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
    usage_policy_id?: InputMaybe<Scalars['Int']>;
};
/** columns and relationships of "spot_inscription" */
export type Spot_Inscription = {
    __typename?: 'spot_inscription';
    id: Scalars['Int'];
    inscription_id: Scalars['Int'];
    spot_id: Scalars['Int'];
};
/** aggregated selection of "spot_inscription" */
export type Spot_Inscription_Aggregate = {
    __typename?: 'spot_inscription_aggregate';
    aggregate?: Maybe<Spot_Inscription_Aggregate_Fields>;
    nodes: Array<Spot_Inscription>;
};
/** aggregate fields of "spot_inscription" */
export type Spot_Inscription_Aggregate_Fields = {
    __typename?: 'spot_inscription_aggregate_fields';
    avg?: Maybe<Spot_Inscription_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Spot_Inscription_Max_Fields>;
    min?: Maybe<Spot_Inscription_Min_Fields>;
    stddev?: Maybe<Spot_Inscription_Stddev_Fields>;
    stddev_pop?: Maybe<Spot_Inscription_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Spot_Inscription_Stddev_Samp_Fields>;
    sum?: Maybe<Spot_Inscription_Sum_Fields>;
    var_pop?: Maybe<Spot_Inscription_Var_Pop_Fields>;
    var_samp?: Maybe<Spot_Inscription_Var_Samp_Fields>;
    variance?: Maybe<Spot_Inscription_Variance_Fields>;
};
/** aggregate fields of "spot_inscription" */
export type Spot_Inscription_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Spot_Inscription_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Spot_Inscription_Avg_Fields = {
    __typename?: 'spot_inscription_avg_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "spot_inscription". All fields are combined with a logical 'AND'. */
export type Spot_Inscription_Bool_Exp = {
    _and?: InputMaybe<Array<Spot_Inscription_Bool_Exp>>;
    _not?: InputMaybe<Spot_Inscription_Bool_Exp>;
    _or?: InputMaybe<Array<Spot_Inscription_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    inscription_id?: InputMaybe<Int_Comparison_Exp>;
    spot_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "spot_inscription" */
export declare enum Spot_Inscription_Constraint {
    /** unique or primary key constraint on columns "id" */
    SpotInscriptionPkey = "spot_inscription_pkey"
}
/** input type for incrementing numeric columns in table "spot_inscription" */
export type Spot_Inscription_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    inscription_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "spot_inscription" */
export type Spot_Inscription_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    inscription_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Spot_Inscription_Max_Fields = {
    __typename?: 'spot_inscription_max_fields';
    id?: Maybe<Scalars['Int']>;
    inscription_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Spot_Inscription_Min_Fields = {
    __typename?: 'spot_inscription_min_fields';
    id?: Maybe<Scalars['Int']>;
    inscription_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "spot_inscription" */
export type Spot_Inscription_Mutation_Response = {
    __typename?: 'spot_inscription_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Spot_Inscription>;
};
/** on_conflict condition type for table "spot_inscription" */
export type Spot_Inscription_On_Conflict = {
    constraint: Spot_Inscription_Constraint;
    update_columns?: Array<Spot_Inscription_Update_Column>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
/** Ordering options when selecting data from "spot_inscription". */
export type Spot_Inscription_Order_By = {
    id?: InputMaybe<Order_By>;
    inscription_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: spot_inscription */
export type Spot_Inscription_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "spot_inscription" */
export declare enum Spot_Inscription_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    InscriptionId = "inscription_id",
    /** column name */
    SpotId = "spot_id"
}
/** input type for updating data in table "spot_inscription" */
export type Spot_Inscription_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    inscription_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Spot_Inscription_Stddev_Fields = {
    __typename?: 'spot_inscription_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Spot_Inscription_Stddev_Pop_Fields = {
    __typename?: 'spot_inscription_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Spot_Inscription_Stddev_Samp_Fields = {
    __typename?: 'spot_inscription_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "spot_inscription" */
export type Spot_Inscription_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Spot_Inscription_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Spot_Inscription_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    inscription_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Spot_Inscription_Sum_Fields = {
    __typename?: 'spot_inscription_sum_fields';
    id?: Maybe<Scalars['Int']>;
    inscription_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "spot_inscription" */
export declare enum Spot_Inscription_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    InscriptionId = "inscription_id",
    /** column name */
    SpotId = "spot_id"
}
export type Spot_Inscription_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Spot_Inscription_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Spot_Inscription_Set_Input>;
    /** filter the rows which have to be updated */
    where: Spot_Inscription_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Spot_Inscription_Var_Pop_Fields = {
    __typename?: 'spot_inscription_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Spot_Inscription_Var_Samp_Fields = {
    __typename?: 'spot_inscription_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Spot_Inscription_Variance_Fields = {
    __typename?: 'spot_inscription_variance_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** input type for inserting data into table "spot" */
export type Spot_Insert_Input = {
    entrypoint?: InputMaybe<Entrypoint_Obj_Rel_Insert_Input>;
    entrypoint_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location?: InputMaybe<Location_Obj_Rel_Insert_Input>;
    location_id?: InputMaybe<Scalars['Int']>;
    maintainer?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    maintainer_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    policy?: InputMaybe<Spot_Policy_Obj_Rel_Insert_Input>;
    privacy?: InputMaybe<Resource_Privacy_Obj_Rel_Insert_Input>;
    privacy_id?: InputMaybe<Scalars['Int']>;
    spot_type_id?: InputMaybe<Scalars['Int']>;
    type?: InputMaybe<Spot_Type_Obj_Rel_Insert_Input>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
    usage_policy_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Spot_Max_Fields = {
    __typename?: 'spot_max_fields';
    entrypoint_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_id?: Maybe<Scalars['Int']>;
    maintainer_id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    privacy_id?: Maybe<Scalars['Int']>;
    spot_type_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
    usage_policy_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Spot_Min_Fields = {
    __typename?: 'spot_min_fields';
    entrypoint_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_id?: Maybe<Scalars['Int']>;
    maintainer_id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    privacy_id?: Maybe<Scalars['Int']>;
    spot_type_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
    usage_policy_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "spot" */
export type Spot_Mutation_Response = {
    __typename?: 'spot_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Spot>;
};
/** input type for inserting object relation for remote table "spot" */
export type Spot_Obj_Rel_Insert_Input = {
    data: Spot_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Spot_On_Conflict>;
};
/** on_conflict condition type for table "spot" */
export type Spot_On_Conflict = {
    constraint: Spot_Constraint;
    update_columns?: Array<Spot_Update_Column>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
/** Ordering options when selecting data from "spot". */
export type Spot_Order_By = {
    entrypoint?: InputMaybe<Entrypoint_Order_By>;
    entrypoint_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    location?: InputMaybe<Location_Order_By>;
    location_id?: InputMaybe<Order_By>;
    maintainer?: InputMaybe<Treasure_User_Order_By>;
    maintainer_id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    policy?: InputMaybe<Spot_Policy_Order_By>;
    privacy?: InputMaybe<Resource_Privacy_Order_By>;
    privacy_id?: InputMaybe<Order_By>;
    spot_type_id?: InputMaybe<Order_By>;
    type?: InputMaybe<Spot_Type_Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
    usage_policy_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: spot */
export type Spot_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "spot_policy" */
export type Spot_Policy = {
    __typename?: 'spot_policy';
    id: Scalars['Int'];
    is_shown_search: Scalars['Boolean'];
    /** An object relationship */
    resourcePolicy: Resource_Policy;
    resource_policy_id: Scalars['Int'];
    task_list_id?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "spot_policy" */
export type Spot_Policy_Aggregate = {
    __typename?: 'spot_policy_aggregate';
    aggregate?: Maybe<Spot_Policy_Aggregate_Fields>;
    nodes: Array<Spot_Policy>;
};
/** aggregate fields of "spot_policy" */
export type Spot_Policy_Aggregate_Fields = {
    __typename?: 'spot_policy_aggregate_fields';
    avg?: Maybe<Spot_Policy_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Spot_Policy_Max_Fields>;
    min?: Maybe<Spot_Policy_Min_Fields>;
    stddev?: Maybe<Spot_Policy_Stddev_Fields>;
    stddev_pop?: Maybe<Spot_Policy_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Spot_Policy_Stddev_Samp_Fields>;
    sum?: Maybe<Spot_Policy_Sum_Fields>;
    var_pop?: Maybe<Spot_Policy_Var_Pop_Fields>;
    var_samp?: Maybe<Spot_Policy_Var_Samp_Fields>;
    variance?: Maybe<Spot_Policy_Variance_Fields>;
};
/** aggregate fields of "spot_policy" */
export type Spot_Policy_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Spot_Policy_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Spot_Policy_Avg_Fields = {
    __typename?: 'spot_policy_avg_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "spot_policy". All fields are combined with a logical 'AND'. */
export type Spot_Policy_Bool_Exp = {
    _and?: InputMaybe<Array<Spot_Policy_Bool_Exp>>;
    _not?: InputMaybe<Spot_Policy_Bool_Exp>;
    _or?: InputMaybe<Array<Spot_Policy_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_shown_search?: InputMaybe<Boolean_Comparison_Exp>;
    resourcePolicy?: InputMaybe<Resource_Policy_Bool_Exp>;
    resource_policy_id?: InputMaybe<Int_Comparison_Exp>;
    task_list_id?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "spot_policy" */
export declare enum Spot_Policy_Constraint {
    /** unique or primary key constraint on columns "id" */
    SpotPolicyPkey = "spot_policy_pkey"
}
/** input type for incrementing numeric columns in table "spot_policy" */
export type Spot_Policy_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    resource_policy_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "spot_policy" */
export type Spot_Policy_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_shown_search?: InputMaybe<Scalars['Boolean']>;
    resourcePolicy?: InputMaybe<Resource_Policy_Obj_Rel_Insert_Input>;
    resource_policy_id?: InputMaybe<Scalars['Int']>;
    task_list_id?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Spot_Policy_Max_Fields = {
    __typename?: 'spot_policy_max_fields';
    id?: Maybe<Scalars['Int']>;
    resource_policy_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Spot_Policy_Min_Fields = {
    __typename?: 'spot_policy_min_fields';
    id?: Maybe<Scalars['Int']>;
    resource_policy_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "spot_policy" */
export type Spot_Policy_Mutation_Response = {
    __typename?: 'spot_policy_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Spot_Policy>;
};
/** input type for inserting object relation for remote table "spot_policy" */
export type Spot_Policy_Obj_Rel_Insert_Input = {
    data: Spot_Policy_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Spot_Policy_On_Conflict>;
};
/** on_conflict condition type for table "spot_policy" */
export type Spot_Policy_On_Conflict = {
    constraint: Spot_Policy_Constraint;
    update_columns?: Array<Spot_Policy_Update_Column>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
/** Ordering options when selecting data from "spot_policy". */
export type Spot_Policy_Order_By = {
    id?: InputMaybe<Order_By>;
    is_shown_search?: InputMaybe<Order_By>;
    resourcePolicy?: InputMaybe<Resource_Policy_Order_By>;
    resource_policy_id?: InputMaybe<Order_By>;
    task_list_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: spot_policy */
export type Spot_Policy_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "spot_policy" */
export declare enum Spot_Policy_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsShownSearch = "is_shown_search",
    /** column name */
    ResourcePolicyId = "resource_policy_id",
    /** column name */
    TaskListId = "task_list_id"
}
/** input type for updating data in table "spot_policy" */
export type Spot_Policy_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_shown_search?: InputMaybe<Scalars['Boolean']>;
    resource_policy_id?: InputMaybe<Scalars['Int']>;
    task_list_id?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Spot_Policy_Stddev_Fields = {
    __typename?: 'spot_policy_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Spot_Policy_Stddev_Pop_Fields = {
    __typename?: 'spot_policy_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Spot_Policy_Stddev_Samp_Fields = {
    __typename?: 'spot_policy_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "spot_policy" */
export type Spot_Policy_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Spot_Policy_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Spot_Policy_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_shown_search?: InputMaybe<Scalars['Boolean']>;
    resource_policy_id?: InputMaybe<Scalars['Int']>;
    task_list_id?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Spot_Policy_Sum_Fields = {
    __typename?: 'spot_policy_sum_fields';
    id?: Maybe<Scalars['Int']>;
    resource_policy_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "spot_policy" */
export declare enum Spot_Policy_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsShownSearch = "is_shown_search",
    /** column name */
    ResourcePolicyId = "resource_policy_id",
    /** column name */
    TaskListId = "task_list_id"
}
export type Spot_Policy_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Spot_Policy_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Spot_Policy_Set_Input>;
    /** filter the rows which have to be updated */
    where: Spot_Policy_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Spot_Policy_Var_Pop_Fields = {
    __typename?: 'spot_policy_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Spot_Policy_Var_Samp_Fields = {
    __typename?: 'spot_policy_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Spot_Policy_Variance_Fields = {
    __typename?: 'spot_policy_variance_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** select columns of table "spot" */
export declare enum Spot_Select_Column {
    /** column name */
    EntrypointId = "entrypoint_id",
    /** column name */
    Id = "id",
    /** column name */
    LocationId = "location_id",
    /** column name */
    MaintainerId = "maintainer_id",
    /** column name */
    Name = "name",
    /** column name */
    PrivacyId = "privacy_id",
    /** column name */
    SpotTypeId = "spot_type_id",
    /** column name */
    UniverseId = "universe_id",
    /** column name */
    UsagePolicyId = "usage_policy_id"
}
/** input type for updating data in table "spot" */
export type Spot_Set_Input = {
    entrypoint_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_id?: InputMaybe<Scalars['Int']>;
    maintainer_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    privacy_id?: InputMaybe<Scalars['Int']>;
    spot_type_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
    usage_policy_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Spot_Stddev_Fields = {
    __typename?: 'spot_stddev_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Spot_Stddev_Pop_Fields = {
    __typename?: 'spot_stddev_pop_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Spot_Stddev_Samp_Fields = {
    __typename?: 'spot_stddev_samp_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "spot" */
export type Spot_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Spot_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Spot_Stream_Cursor_Value_Input = {
    entrypoint_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_id?: InputMaybe<Scalars['Int']>;
    maintainer_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    privacy_id?: InputMaybe<Scalars['Int']>;
    spot_type_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
    usage_policy_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Spot_Sum_Fields = {
    __typename?: 'spot_sum_fields';
    entrypoint_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_id?: Maybe<Scalars['Int']>;
    maintainer_id?: Maybe<Scalars['Int']>;
    privacy_id?: Maybe<Scalars['Int']>;
    spot_type_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
    usage_policy_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "spot_type" */
export type Spot_Type = {
    __typename?: 'spot_type';
    id: Scalars['Int'];
    is_remote: Scalars['Boolean'];
    is_virtual: Scalars['Boolean'];
    name: Scalars['String'];
};
/** aggregated selection of "spot_type" */
export type Spot_Type_Aggregate = {
    __typename?: 'spot_type_aggregate';
    aggregate?: Maybe<Spot_Type_Aggregate_Fields>;
    nodes: Array<Spot_Type>;
};
/** aggregate fields of "spot_type" */
export type Spot_Type_Aggregate_Fields = {
    __typename?: 'spot_type_aggregate_fields';
    avg?: Maybe<Spot_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Spot_Type_Max_Fields>;
    min?: Maybe<Spot_Type_Min_Fields>;
    stddev?: Maybe<Spot_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Spot_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Spot_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Spot_Type_Sum_Fields>;
    var_pop?: Maybe<Spot_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Spot_Type_Var_Samp_Fields>;
    variance?: Maybe<Spot_Type_Variance_Fields>;
};
/** aggregate fields of "spot_type" */
export type Spot_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Spot_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Spot_Type_Avg_Fields = {
    __typename?: 'spot_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "spot_type". All fields are combined with a logical 'AND'. */
export type Spot_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Spot_Type_Bool_Exp>>;
    _not?: InputMaybe<Spot_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Spot_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_remote?: InputMaybe<Boolean_Comparison_Exp>;
    is_virtual?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "spot_type" */
export declare enum Spot_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    SpotTypePkey = "spot_type_pkey"
}
/** input type for incrementing numeric columns in table "spot_type" */
export type Spot_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "spot_type" */
export type Spot_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_remote?: InputMaybe<Scalars['Boolean']>;
    is_virtual?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Spot_Type_Max_Fields = {
    __typename?: 'spot_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Spot_Type_Min_Fields = {
    __typename?: 'spot_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "spot_type" */
export type Spot_Type_Mutation_Response = {
    __typename?: 'spot_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Spot_Type>;
};
/** input type for inserting object relation for remote table "spot_type" */
export type Spot_Type_Obj_Rel_Insert_Input = {
    data: Spot_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Spot_Type_On_Conflict>;
};
/** on_conflict condition type for table "spot_type" */
export type Spot_Type_On_Conflict = {
    constraint: Spot_Type_Constraint;
    update_columns?: Array<Spot_Type_Update_Column>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "spot_type". */
export type Spot_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_remote?: InputMaybe<Order_By>;
    is_virtual?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: spot_type */
export type Spot_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "spot_type" */
export declare enum Spot_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsRemote = "is_remote",
    /** column name */
    IsVirtual = "is_virtual",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "spot_type" */
export type Spot_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_remote?: InputMaybe<Scalars['Boolean']>;
    is_virtual?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Spot_Type_Stddev_Fields = {
    __typename?: 'spot_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Spot_Type_Stddev_Pop_Fields = {
    __typename?: 'spot_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Spot_Type_Stddev_Samp_Fields = {
    __typename?: 'spot_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "spot_type" */
export type Spot_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Spot_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Spot_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_remote?: InputMaybe<Scalars['Boolean']>;
    is_virtual?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Spot_Type_Sum_Fields = {
    __typename?: 'spot_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "spot_type" */
export declare enum Spot_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsRemote = "is_remote",
    /** column name */
    IsVirtual = "is_virtual",
    /** column name */
    Name = "name"
}
export type Spot_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Spot_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Spot_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Spot_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Spot_Type_Var_Pop_Fields = {
    __typename?: 'spot_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Spot_Type_Var_Samp_Fields = {
    __typename?: 'spot_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Spot_Type_Variance_Fields = {
    __typename?: 'spot_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "spot" */
export declare enum Spot_Update_Column {
    /** column name */
    EntrypointId = "entrypoint_id",
    /** column name */
    Id = "id",
    /** column name */
    LocationId = "location_id",
    /** column name */
    MaintainerId = "maintainer_id",
    /** column name */
    Name = "name",
    /** column name */
    PrivacyId = "privacy_id",
    /** column name */
    SpotTypeId = "spot_type_id",
    /** column name */
    UniverseId = "universe_id",
    /** column name */
    UsagePolicyId = "usage_policy_id"
}
export type Spot_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Spot_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Spot_Set_Input>;
    /** filter the rows which have to be updated */
    where: Spot_Bool_Exp;
};
/** columns and relationships of "spot_user" */
export type Spot_User = {
    __typename?: 'spot_user';
    id: Scalars['Int'];
    is_discovered: Scalars['Boolean'];
    is_visited: Scalars['Boolean'];
    /** An object relationship */
    spot: Spot;
    spot_id: Scalars['Int'];
    /** An object relationship */
    user: Treasure_User;
    user_id: Scalars['Int'];
};
/** aggregated selection of "spot_user" */
export type Spot_User_Aggregate = {
    __typename?: 'spot_user_aggregate';
    aggregate?: Maybe<Spot_User_Aggregate_Fields>;
    nodes: Array<Spot_User>;
};
/** aggregate fields of "spot_user" */
export type Spot_User_Aggregate_Fields = {
    __typename?: 'spot_user_aggregate_fields';
    avg?: Maybe<Spot_User_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Spot_User_Max_Fields>;
    min?: Maybe<Spot_User_Min_Fields>;
    stddev?: Maybe<Spot_User_Stddev_Fields>;
    stddev_pop?: Maybe<Spot_User_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Spot_User_Stddev_Samp_Fields>;
    sum?: Maybe<Spot_User_Sum_Fields>;
    var_pop?: Maybe<Spot_User_Var_Pop_Fields>;
    var_samp?: Maybe<Spot_User_Var_Samp_Fields>;
    variance?: Maybe<Spot_User_Variance_Fields>;
};
/** aggregate fields of "spot_user" */
export type Spot_User_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Spot_User_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Spot_User_Avg_Fields = {
    __typename?: 'spot_user_avg_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "spot_user". All fields are combined with a logical 'AND'. */
export type Spot_User_Bool_Exp = {
    _and?: InputMaybe<Array<Spot_User_Bool_Exp>>;
    _not?: InputMaybe<Spot_User_Bool_Exp>;
    _or?: InputMaybe<Array<Spot_User_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_discovered?: InputMaybe<Boolean_Comparison_Exp>;
    is_visited?: InputMaybe<Boolean_Comparison_Exp>;
    spot?: InputMaybe<Spot_Bool_Exp>;
    spot_id?: InputMaybe<Int_Comparison_Exp>;
    user?: InputMaybe<Treasure_User_Bool_Exp>;
    user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "spot_user" */
export declare enum Spot_User_Constraint {
    /** unique or primary key constraint on columns "id" */
    SpotUserPkey = "spot_user_pkey"
}
/** input type for incrementing numeric columns in table "spot_user" */
export type Spot_User_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "spot_user" */
export type Spot_User_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_discovered?: InputMaybe<Scalars['Boolean']>;
    is_visited?: InputMaybe<Scalars['Boolean']>;
    spot?: InputMaybe<Spot_Obj_Rel_Insert_Input>;
    spot_id?: InputMaybe<Scalars['Int']>;
    user?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Spot_User_Max_Fields = {
    __typename?: 'spot_user_max_fields';
    id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Spot_User_Min_Fields = {
    __typename?: 'spot_user_min_fields';
    id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "spot_user" */
export type Spot_User_Mutation_Response = {
    __typename?: 'spot_user_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Spot_User>;
};
/** on_conflict condition type for table "spot_user" */
export type Spot_User_On_Conflict = {
    constraint: Spot_User_Constraint;
    update_columns?: Array<Spot_User_Update_Column>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
/** Ordering options when selecting data from "spot_user". */
export type Spot_User_Order_By = {
    id?: InputMaybe<Order_By>;
    is_discovered?: InputMaybe<Order_By>;
    is_visited?: InputMaybe<Order_By>;
    spot?: InputMaybe<Spot_Order_By>;
    spot_id?: InputMaybe<Order_By>;
    user?: InputMaybe<Treasure_User_Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: spot_user */
export type Spot_User_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "spot_user" */
export declare enum Spot_User_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsDiscovered = "is_discovered",
    /** column name */
    IsVisited = "is_visited",
    /** column name */
    SpotId = "spot_id",
    /** column name */
    UserId = "user_id"
}
/** input type for updating data in table "spot_user" */
export type Spot_User_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_discovered?: InputMaybe<Scalars['Boolean']>;
    is_visited?: InputMaybe<Scalars['Boolean']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Spot_User_Stddev_Fields = {
    __typename?: 'spot_user_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Spot_User_Stddev_Pop_Fields = {
    __typename?: 'spot_user_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Spot_User_Stddev_Samp_Fields = {
    __typename?: 'spot_user_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "spot_user" */
export type Spot_User_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Spot_User_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Spot_User_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_discovered?: InputMaybe<Scalars['Boolean']>;
    is_visited?: InputMaybe<Scalars['Boolean']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Spot_User_Sum_Fields = {
    __typename?: 'spot_user_sum_fields';
    id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "spot_user" */
export declare enum Spot_User_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsDiscovered = "is_discovered",
    /** column name */
    IsVisited = "is_visited",
    /** column name */
    SpotId = "spot_id",
    /** column name */
    UserId = "user_id"
}
export type Spot_User_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Spot_User_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Spot_User_Set_Input>;
    /** filter the rows which have to be updated */
    where: Spot_User_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Spot_User_Var_Pop_Fields = {
    __typename?: 'spot_user_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Spot_User_Var_Samp_Fields = {
    __typename?: 'spot_user_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Spot_User_Variance_Fields = {
    __typename?: 'spot_user_variance_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_pop on columns */
export type Spot_Var_Pop_Fields = {
    __typename?: 'spot_var_pop_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Spot_Var_Samp_Fields = {
    __typename?: 'spot_var_samp_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Spot_Variance_Fields = {
    __typename?: 'spot_variance_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
export type St_D_Within_Geography_Input = {
    distance: Scalars['Float'];
    from: Scalars['geography'];
    use_spheroid?: InputMaybe<Scalars['Boolean']>;
};
export type St_D_Within_Input = {
    distance: Scalars['Float'];
    from: Scalars['geometry'];
};
export type Subscription_Root = {
    __typename?: 'subscription_root';
    /** fetch data from the table: "alarm" */
    alarm: Array<Alarm>;
    /** fetch aggregated fields from the table: "alarm" */
    alarm_aggregate: Alarm_Aggregate;
    /** fetch data from the table: "alarm" using primary key columns */
    alarm_by_pk?: Maybe<Alarm>;
    /** fetch data from the table in a streaming manner: "alarm" */
    alarm_stream: Array<Alarm>;
    /** fetch data from the table: "animation_stage" */
    animation_stage: Array<Animation_Stage>;
    /** fetch aggregated fields from the table: "animation_stage" */
    animation_stage_aggregate: Animation_Stage_Aggregate;
    /** fetch data from the table: "animation_stage" using primary key columns */
    animation_stage_by_pk?: Maybe<Animation_Stage>;
    /** fetch data from the table in a streaming manner: "animation_stage" */
    animation_stage_stream: Array<Animation_Stage>;
    /** fetch data from the table: "answer" */
    answer: Array<Answer>;
    /** fetch aggregated fields from the table: "answer" */
    answer_aggregate: Answer_Aggregate;
    /** fetch data from the table: "answer" using primary key columns */
    answer_by_pk?: Maybe<Answer>;
    /** fetch data from the table in a streaming manner: "answer" */
    answer_stream: Array<Answer>;
    /** fetch data from the table: "answer_type" */
    answer_type: Array<Answer_Type>;
    /** fetch aggregated fields from the table: "answer_type" */
    answer_type_aggregate: Answer_Type_Aggregate;
    /** fetch data from the table: "answer_type" using primary key columns */
    answer_type_by_pk?: Maybe<Answer_Type>;
    /** fetch data from the table in a streaming manner: "answer_type" */
    answer_type_stream: Array<Answer_Type>;
    /** fetch data from the table: "area" */
    area: Array<Area>;
    /** fetch aggregated fields from the table: "area" */
    area_aggregate: Area_Aggregate;
    /** fetch data from the table: "area" using primary key columns */
    area_by_pk?: Maybe<Area>;
    /** fetch data from the table in a streaming manner: "area" */
    area_stream: Array<Area>;
    /** fetch data from the table: "auth.account_providers" */
    auth_account_providers: Array<Auth_Account_Providers>;
    /** fetch aggregated fields from the table: "auth.account_providers" */
    auth_account_providers_aggregate: Auth_Account_Providers_Aggregate;
    /** fetch data from the table: "auth.account_providers" using primary key columns */
    auth_account_providers_by_pk?: Maybe<Auth_Account_Providers>;
    /** fetch data from the table in a streaming manner: "auth.account_providers" */
    auth_account_providers_stream: Array<Auth_Account_Providers>;
    /** fetch data from the table: "auth.account_roles" */
    auth_account_roles: Array<Auth_Account_Roles>;
    /** fetch aggregated fields from the table: "auth.account_roles" */
    auth_account_roles_aggregate: Auth_Account_Roles_Aggregate;
    /** fetch data from the table: "auth.account_roles" using primary key columns */
    auth_account_roles_by_pk?: Maybe<Auth_Account_Roles>;
    /** fetch data from the table in a streaming manner: "auth.account_roles" */
    auth_account_roles_stream: Array<Auth_Account_Roles>;
    /** fetch data from the table: "auth.accounts" */
    auth_accounts: Array<Auth_Accounts>;
    /** fetch aggregated fields from the table: "auth.accounts" */
    auth_accounts_aggregate: Auth_Accounts_Aggregate;
    /** fetch data from the table: "auth.accounts" using primary key columns */
    auth_accounts_by_pk?: Maybe<Auth_Accounts>;
    /** fetch data from the table in a streaming manner: "auth.accounts" */
    auth_accounts_stream: Array<Auth_Accounts>;
    /** fetch data from the table: "auth.providers" */
    auth_providers: Array<Auth_Providers>;
    /** fetch aggregated fields from the table: "auth.providers" */
    auth_providers_aggregate: Auth_Providers_Aggregate;
    /** fetch data from the table: "auth.providers" using primary key columns */
    auth_providers_by_pk?: Maybe<Auth_Providers>;
    /** fetch data from the table in a streaming manner: "auth.providers" */
    auth_providers_stream: Array<Auth_Providers>;
    /** fetch data from the table: "auth.refresh_tokens" */
    auth_refresh_tokens: Array<Auth_Refresh_Tokens>;
    /** fetch aggregated fields from the table: "auth.refresh_tokens" */
    auth_refresh_tokens_aggregate: Auth_Refresh_Tokens_Aggregate;
    /** fetch data from the table: "auth.refresh_tokens" using primary key columns */
    auth_refresh_tokens_by_pk?: Maybe<Auth_Refresh_Tokens>;
    /** fetch data from the table in a streaming manner: "auth.refresh_tokens" */
    auth_refresh_tokens_stream: Array<Auth_Refresh_Tokens>;
    /** fetch data from the table: "auth.roles" */
    auth_roles: Array<Auth_Roles>;
    /** fetch aggregated fields from the table: "auth.roles" */
    auth_roles_aggregate: Auth_Roles_Aggregate;
    /** fetch data from the table: "auth.roles" using primary key columns */
    auth_roles_by_pk?: Maybe<Auth_Roles>;
    /** fetch data from the table in a streaming manner: "auth.roles" */
    auth_roles_stream: Array<Auth_Roles>;
    /** fetch data from the table: "badge" */
    badge: Array<Badge>;
    /** fetch aggregated fields from the table: "badge" */
    badge_aggregate: Badge_Aggregate;
    /** fetch data from the table: "badge" using primary key columns */
    badge_by_pk?: Maybe<Badge>;
    /** fetch data from the table: "badge_category" */
    badge_category: Array<Badge_Category>;
    /** fetch aggregated fields from the table: "badge_category" */
    badge_category_aggregate: Badge_Category_Aggregate;
    /** fetch data from the table: "badge_category" using primary key columns */
    badge_category_by_pk?: Maybe<Badge_Category>;
    /** fetch data from the table in a streaming manner: "badge_category" */
    badge_category_stream: Array<Badge_Category>;
    /** fetch data from the table in a streaming manner: "badge" */
    badge_stream: Array<Badge>;
    /** fetch data from the table: "badge_type" */
    badge_type: Array<Badge_Type>;
    /** fetch aggregated fields from the table: "badge_type" */
    badge_type_aggregate: Badge_Type_Aggregate;
    /** fetch data from the table: "badge_type" using primary key columns */
    badge_type_by_pk?: Maybe<Badge_Type>;
    /** fetch data from the table in a streaming manner: "badge_type" */
    badge_type_stream: Array<Badge_Type>;
    /** fetch data from the table: "batch" */
    batch: Array<Batch>;
    /** fetch aggregated fields from the table: "batch" */
    batch_aggregate: Batch_Aggregate;
    /** fetch data from the table: "batch" using primary key columns */
    batch_by_pk?: Maybe<Batch>;
    /** fetch data from the table in a streaming manner: "batch" */
    batch_stream: Array<Batch>;
    /** fetch data from the table: "blueprint" */
    blueprint: Array<Blueprint>;
    /** fetch aggregated fields from the table: "blueprint" */
    blueprint_aggregate: Blueprint_Aggregate;
    /** fetch data from the table: "blueprint" using primary key columns */
    blueprint_by_pk?: Maybe<Blueprint>;
    /** fetch data from the table in a streaming manner: "blueprint" */
    blueprint_stream: Array<Blueprint>;
    /** fetch data from the table: "business_model_type" */
    business_model_type: Array<Business_Model_Type>;
    /** fetch aggregated fields from the table: "business_model_type" */
    business_model_type_aggregate: Business_Model_Type_Aggregate;
    /** fetch data from the table: "business_model_type" using primary key columns */
    business_model_type_by_pk?: Maybe<Business_Model_Type>;
    /** fetch data from the table in a streaming manner: "business_model_type" */
    business_model_type_stream: Array<Business_Model_Type>;
    /** fetch data from the table: "charge" */
    charge: Array<Charge>;
    /** fetch aggregated fields from the table: "charge" */
    charge_aggregate: Charge_Aggregate;
    /** fetch data from the table: "charge" using primary key columns */
    charge_by_pk?: Maybe<Charge>;
    /** fetch data from the table in a streaming manner: "charge" */
    charge_stream: Array<Charge>;
    /** fetch data from the table: "charger" */
    charger: Array<Charger>;
    /** fetch aggregated fields from the table: "charger" */
    charger_aggregate: Charger_Aggregate;
    /** fetch data from the table: "charger" using primary key columns */
    charger_by_pk?: Maybe<Charger>;
    /** fetch data from the table in a streaming manner: "charger" */
    charger_stream: Array<Charger>;
    /** fetch data from the table: "condition" */
    condition: Array<Condition>;
    /** fetch aggregated fields from the table: "condition" */
    condition_aggregate: Condition_Aggregate;
    /** fetch data from the table: "condition" using primary key columns */
    condition_by_pk?: Maybe<Condition>;
    /** fetch data from the table in a streaming manner: "condition" */
    condition_stream: Array<Condition>;
    /** fetch data from the table: "condition_type" */
    condition_type: Array<Condition_Type>;
    /** fetch aggregated fields from the table: "condition_type" */
    condition_type_aggregate: Condition_Type_Aggregate;
    /** fetch data from the table: "condition_type" using primary key columns */
    condition_type_by_pk?: Maybe<Condition_Type>;
    /** fetch data from the table in a streaming manner: "condition_type" */
    condition_type_stream: Array<Condition_Type>;
    /** fetch data from the table: "content" */
    content: Array<Content>;
    /** fetch aggregated fields from the table: "content" */
    content_aggregate: Content_Aggregate;
    /** fetch data from the table: "content" using primary key columns */
    content_by_pk?: Maybe<Content>;
    /** fetch data from the table in a streaming manner: "content" */
    content_stream: Array<Content>;
    /** fetch data from the table: "contract" */
    contract: Array<Contract>;
    /** fetch aggregated fields from the table: "contract" */
    contract_aggregate: Contract_Aggregate;
    /** fetch data from the table: "contract" using primary key columns */
    contract_by_pk?: Maybe<Contract>;
    /** fetch data from the table in a streaming manner: "contract" */
    contract_stream: Array<Contract>;
    /** fetch data from the table: "contract_type" */
    contract_type: Array<Contract_Type>;
    /** fetch aggregated fields from the table: "contract_type" */
    contract_type_aggregate: Contract_Type_Aggregate;
    /** fetch data from the table: "contract_type" using primary key columns */
    contract_type_by_pk?: Maybe<Contract_Type>;
    /** fetch data from the table in a streaming manner: "contract_type" */
    contract_type_stream: Array<Contract_Type>;
    /** fetch data from the table: "currency" */
    currency: Array<Currency>;
    /** fetch aggregated fields from the table: "currency" */
    currency_aggregate: Currency_Aggregate;
    /** fetch data from the table: "currency" using primary key columns */
    currency_by_pk?: Maybe<Currency>;
    /** fetch data from the table: "currency_exchange" */
    currency_exchange: Array<Currency_Exchange>;
    /** fetch aggregated fields from the table: "currency_exchange" */
    currency_exchange_aggregate: Currency_Exchange_Aggregate;
    /** fetch data from the table: "currency_exchange" using primary key columns */
    currency_exchange_by_pk?: Maybe<Currency_Exchange>;
    /** fetch data from the table in a streaming manner: "currency_exchange" */
    currency_exchange_stream: Array<Currency_Exchange>;
    /** fetch data from the table in a streaming manner: "currency" */
    currency_stream: Array<Currency>;
    /** fetch data from the table: "currency_type" */
    currency_type: Array<Currency_Type>;
    /** fetch aggregated fields from the table: "currency_type" */
    currency_type_aggregate: Currency_Type_Aggregate;
    /** fetch data from the table: "currency_type" using primary key columns */
    currency_type_by_pk?: Maybe<Currency_Type>;
    /** fetch data from the table in a streaming manner: "currency_type" */
    currency_type_stream: Array<Currency_Type>;
    /** fetch data from the table: "desktop_type" */
    desktop_type: Array<Desktop_Type>;
    /** fetch aggregated fields from the table: "desktop_type" */
    desktop_type_aggregate: Desktop_Type_Aggregate;
    /** fetch data from the table: "desktop_type" using primary key columns */
    desktop_type_by_pk?: Maybe<Desktop_Type>;
    /** fetch data from the table in a streaming manner: "desktop_type" */
    desktop_type_stream: Array<Desktop_Type>;
    /** fetch data from the table: "entrypoint" */
    entrypoint: Array<Entrypoint>;
    /** fetch aggregated fields from the table: "entrypoint" */
    entrypoint_aggregate: Entrypoint_Aggregate;
    /** fetch data from the table: "entrypoint" using primary key columns */
    entrypoint_by_pk?: Maybe<Entrypoint>;
    /** fetch data from the table in a streaming manner: "entrypoint" */
    entrypoint_stream: Array<Entrypoint>;
    /** fetch data from the table: "evaluator" */
    evaluator: Array<Evaluator>;
    /** fetch aggregated fields from the table: "evaluator" */
    evaluator_aggregate: Evaluator_Aggregate;
    /** fetch data from the table: "evaluator" using primary key columns */
    evaluator_by_pk?: Maybe<Evaluator>;
    /** fetch data from the table in a streaming manner: "evaluator" */
    evaluator_stream: Array<Evaluator>;
    /** fetch data from the table: "example" */
    example: Array<Example>;
    /** fetch aggregated fields from the table: "example" */
    example_aggregate: Example_Aggregate;
    /** fetch data from the table: "example" using primary key columns */
    example_by_pk?: Maybe<Example>;
    /** fetch data from the table in a streaming manner: "example" */
    example_stream: Array<Example>;
    /** fetch data from the table: "example_type" */
    example_type: Array<Example_Type>;
    /** fetch aggregated fields from the table: "example_type" */
    example_type_aggregate: Example_Type_Aggregate;
    /** fetch data from the table: "example_type" using primary key columns */
    example_type_by_pk?: Maybe<Example_Type>;
    /** fetch data from the table in a streaming manner: "example_type" */
    example_type_stream: Array<Example_Type>;
    /** fetch data from the table: "exhibition_determinant" */
    exhibition_determinant: Array<Exhibition_Determinant>;
    /** fetch aggregated fields from the table: "exhibition_determinant" */
    exhibition_determinant_aggregate: Exhibition_Determinant_Aggregate;
    /** fetch data from the table: "exhibition_determinant" using primary key columns */
    exhibition_determinant_by_pk?: Maybe<Exhibition_Determinant>;
    /** fetch data from the table in a streaming manner: "exhibition_determinant" */
    exhibition_determinant_stream: Array<Exhibition_Determinant>;
    /** fetch data from the table: "flag" */
    flag: Array<Flag>;
    /** fetch aggregated fields from the table: "flag" */
    flag_aggregate: Flag_Aggregate;
    /** fetch data from the table: "flag" using primary key columns */
    flag_by_pk?: Maybe<Flag>;
    /** fetch data from the table in a streaming manner: "flag" */
    flag_stream: Array<Flag>;
    /** fetch data from the table: "flag_type" */
    flag_type: Array<Flag_Type>;
    /** fetch aggregated fields from the table: "flag_type" */
    flag_type_aggregate: Flag_Type_Aggregate;
    /** fetch data from the table: "flag_type" using primary key columns */
    flag_type_by_pk?: Maybe<Flag_Type>;
    /** fetch data from the table in a streaming manner: "flag_type" */
    flag_type_stream: Array<Flag_Type>;
    /** fetch data from the table: "game" */
    game: Array<Game>;
    /** fetch data from the table: "game_action" */
    game_action: Array<Game_Action>;
    /** fetch aggregated fields from the table: "game_action" */
    game_action_aggregate: Game_Action_Aggregate;
    /** fetch data from the table: "game_action" using primary key columns */
    game_action_by_pk?: Maybe<Game_Action>;
    /** fetch data from the table in a streaming manner: "game_action" */
    game_action_stream: Array<Game_Action>;
    /** fetch aggregated fields from the table: "game" */
    game_aggregate: Game_Aggregate;
    /** fetch data from the table: "game" using primary key columns */
    game_by_pk?: Maybe<Game>;
    /** fetch data from the table: "game_design" */
    game_design: Array<Game_Design>;
    /** fetch aggregated fields from the table: "game_design" */
    game_design_aggregate: Game_Design_Aggregate;
    /** fetch data from the table: "game_design" using primary key columns */
    game_design_by_pk?: Maybe<Game_Design>;
    /** fetch data from the table in a streaming manner: "game_design" */
    game_design_stream: Array<Game_Design>;
    /** fetch data from the table: "game_group" */
    game_group: Array<Game_Group>;
    /** fetch aggregated fields from the table: "game_group" */
    game_group_aggregate: Game_Group_Aggregate;
    /** fetch data from the table: "game_group" using primary key columns */
    game_group_by_pk?: Maybe<Game_Group>;
    /** fetch data from the table in a streaming manner: "game_group" */
    game_group_stream: Array<Game_Group>;
    /** fetch data from the table: "game_hunter" */
    game_hunter: Array<Game_Hunter>;
    /** fetch aggregated fields from the table: "game_hunter" */
    game_hunter_aggregate: Game_Hunter_Aggregate;
    /** fetch data from the table: "game_hunter" using primary key columns */
    game_hunter_by_pk?: Maybe<Game_Hunter>;
    /** fetch data from the table in a streaming manner: "game_hunter" */
    game_hunter_stream: Array<Game_Hunter>;
    /** fetch data from the table: "game_management" */
    game_management: Array<Game_Management>;
    /** fetch aggregated fields from the table: "game_management" */
    game_management_aggregate: Game_Management_Aggregate;
    /** fetch data from the table: "game_management" using primary key columns */
    game_management_by_pk?: Maybe<Game_Management>;
    /** fetch data from the table in a streaming manner: "game_management" */
    game_management_stream: Array<Game_Management>;
    /** fetch data from the table: "game_operators" */
    game_operators: Array<Game_Operators>;
    /** fetch aggregated fields from the table: "game_operators" */
    game_operators_aggregate: Game_Operators_Aggregate;
    /** fetch data from the table: "game_operators" using primary key columns */
    game_operators_by_pk?: Maybe<Game_Operators>;
    /** fetch data from the table in a streaming manner: "game_operators" */
    game_operators_stream: Array<Game_Operators>;
    /** fetch data from the table: "game_record" */
    game_record: Array<Game_Record>;
    /** fetch aggregated fields from the table: "game_record" */
    game_record_aggregate: Game_Record_Aggregate;
    /** fetch data from the table: "game_record" using primary key columns */
    game_record_by_pk?: Maybe<Game_Record>;
    /** fetch data from the table in a streaming manner: "game_record" */
    game_record_stream: Array<Game_Record>;
    /** fetch data from the table: "game_requirement" */
    game_requirement: Array<Game_Requirement>;
    /** fetch aggregated fields from the table: "game_requirement" */
    game_requirement_aggregate: Game_Requirement_Aggregate;
    /** fetch data from the table: "game_requirement" using primary key columns */
    game_requirement_by_pk?: Maybe<Game_Requirement>;
    /** fetch data from the table in a streaming manner: "game_requirement" */
    game_requirement_stream: Array<Game_Requirement>;
    /** fetch data from the table: "game_state_type" */
    game_state_type: Array<Game_State_Type>;
    /** fetch aggregated fields from the table: "game_state_type" */
    game_state_type_aggregate: Game_State_Type_Aggregate;
    /** fetch data from the table: "game_state_type" using primary key columns */
    game_state_type_by_pk?: Maybe<Game_State_Type>;
    /** fetch data from the table in a streaming manner: "game_state_type" */
    game_state_type_stream: Array<Game_State_Type>;
    /** fetch data from the table in a streaming manner: "game" */
    game_stream: Array<Game>;
    /** fetch data from the table: "game_winner" */
    game_winner: Array<Game_Winner>;
    /** fetch aggregated fields from the table: "game_winner" */
    game_winner_aggregate: Game_Winner_Aggregate;
    /** fetch data from the table: "game_winner" using primary key columns */
    game_winner_by_pk?: Maybe<Game_Winner>;
    /** fetch data from the table in a streaming manner: "game_winner" */
    game_winner_stream: Array<Game_Winner>;
    /** fetch data from the table: "games_locus" */
    games_locus: Array<Games_Locus>;
    /** fetch aggregated fields from the table: "games_locus" */
    games_locus_aggregate: Games_Locus_Aggregate;
    /** fetch data from the table: "games_locus" using primary key columns */
    games_locus_by_pk?: Maybe<Games_Locus>;
    /** fetch data from the table in a streaming manner: "games_locus" */
    games_locus_stream: Array<Games_Locus>;
    /** fetch data from the table: "gift" */
    gift: Array<Gift>;
    /** fetch aggregated fields from the table: "gift" */
    gift_aggregate: Gift_Aggregate;
    /** fetch data from the table: "gift" using primary key columns */
    gift_by_pk?: Maybe<Gift>;
    /** fetch data from the table in a streaming manner: "gift" */
    gift_stream: Array<Gift>;
    /** fetch data from the table: "goods" */
    goods: Array<Goods>;
    /** fetch aggregated fields from the table: "goods" */
    goods_aggregate: Goods_Aggregate;
    /** fetch data from the table: "goods" using primary key columns */
    goods_by_pk?: Maybe<Goods>;
    /** fetch data from the table in a streaming manner: "goods" */
    goods_stream: Array<Goods>;
    /** fetch data from the table: "hier_type" */
    hier_type: Array<Hier_Type>;
    /** fetch aggregated fields from the table: "hier_type" */
    hier_type_aggregate: Hier_Type_Aggregate;
    /** fetch data from the table: "hier_type" using primary key columns */
    hier_type_by_pk?: Maybe<Hier_Type>;
    /** fetch data from the table in a streaming manner: "hier_type" */
    hier_type_stream: Array<Hier_Type>;
    /** fetch data from the table: "incognito" */
    incognito: Array<Incognito>;
    /** fetch aggregated fields from the table: "incognito" */
    incognito_aggregate: Incognito_Aggregate;
    /** fetch data from the table: "incognito" using primary key columns */
    incognito_by_pk?: Maybe<Incognito>;
    /** fetch data from the table in a streaming manner: "incognito" */
    incognito_stream: Array<Incognito>;
    /** fetch data from the table: "inscription" */
    inscription: Array<Inscription>;
    /** fetch aggregated fields from the table: "inscription" */
    inscription_aggregate: Inscription_Aggregate;
    /** fetch data from the table: "inscription" using primary key columns */
    inscription_by_pk?: Maybe<Inscription>;
    /** fetch data from the table in a streaming manner: "inscription" */
    inscription_stream: Array<Inscription>;
    /** fetch data from the table: "interface_type" */
    interface_type: Array<Interface_Type>;
    /** fetch aggregated fields from the table: "interface_type" */
    interface_type_aggregate: Interface_Type_Aggregate;
    /** fetch data from the table: "interface_type" using primary key columns */
    interface_type_by_pk?: Maybe<Interface_Type>;
    /** fetch data from the table in a streaming manner: "interface_type" */
    interface_type_stream: Array<Interface_Type>;
    /** fetch data from the table: "judge" */
    judge: Array<Judge>;
    /** fetch aggregated fields from the table: "judge" */
    judge_aggregate: Judge_Aggregate;
    /** fetch data from the table: "judge" using primary key columns */
    judge_by_pk?: Maybe<Judge>;
    /** fetch data from the table: "judge_display_type" */
    judge_display_type: Array<Judge_Display_Type>;
    /** fetch aggregated fields from the table: "judge_display_type" */
    judge_display_type_aggregate: Judge_Display_Type_Aggregate;
    /** fetch data from the table: "judge_display_type" using primary key columns */
    judge_display_type_by_pk?: Maybe<Judge_Display_Type>;
    /** fetch data from the table in a streaming manner: "judge_display_type" */
    judge_display_type_stream: Array<Judge_Display_Type>;
    /** fetch data from the table: "judge_entry" */
    judge_entry: Array<Judge_Entry>;
    /** fetch aggregated fields from the table: "judge_entry" */
    judge_entry_aggregate: Judge_Entry_Aggregate;
    /** fetch data from the table: "judge_entry" using primary key columns */
    judge_entry_by_pk?: Maybe<Judge_Entry>;
    /** fetch data from the table in a streaming manner: "judge_entry" */
    judge_entry_stream: Array<Judge_Entry>;
    /** fetch data from the table: "judge_role_type" */
    judge_role_type: Array<Judge_Role_Type>;
    /** fetch aggregated fields from the table: "judge_role_type" */
    judge_role_type_aggregate: Judge_Role_Type_Aggregate;
    /** fetch data from the table: "judge_role_type" using primary key columns */
    judge_role_type_by_pk?: Maybe<Judge_Role_Type>;
    /** fetch data from the table in a streaming manner: "judge_role_type" */
    judge_role_type_stream: Array<Judge_Role_Type>;
    /** fetch data from the table in a streaming manner: "judge" */
    judge_stream: Array<Judge>;
    /** fetch data from the table: "kairos" */
    kairos: Array<Kairos>;
    /** fetch aggregated fields from the table: "kairos" */
    kairos_aggregate: Kairos_Aggregate;
    /** fetch data from the table: "kairos" using primary key columns */
    kairos_by_pk?: Maybe<Kairos>;
    /** fetch data from the table in a streaming manner: "kairos" */
    kairos_stream: Array<Kairos>;
    /** fetch data from the table: "keyword_description" */
    keyword_description: Array<Keyword_Description>;
    /** fetch aggregated fields from the table: "keyword_description" */
    keyword_description_aggregate: Keyword_Description_Aggregate;
    /** fetch data from the table: "keyword_description" using primary key columns */
    keyword_description_by_pk?: Maybe<Keyword_Description>;
    /** fetch data from the table in a streaming manner: "keyword_description" */
    keyword_description_stream: Array<Keyword_Description>;
    /** fetch data from the table: "language" */
    language: Array<Language>;
    /** fetch aggregated fields from the table: "language" */
    language_aggregate: Language_Aggregate;
    /** fetch data from the table: "language" using primary key columns */
    language_by_pk?: Maybe<Language>;
    /** fetch data from the table in a streaming manner: "language" */
    language_stream: Array<Language>;
    /** fetch data from the table: "location" */
    location: Array<Location>;
    /** fetch aggregated fields from the table: "location" */
    location_aggregate: Location_Aggregate;
    /** fetch data from the table: "location" using primary key columns */
    location_by_pk?: Maybe<Location>;
    /** fetch data from the table in a streaming manner: "location" */
    location_stream: Array<Location>;
    /** fetch data from the table: "locus" */
    locus: Array<Locus>;
    /** fetch aggregated fields from the table: "locus" */
    locus_aggregate: Locus_Aggregate;
    /** fetch data from the table: "locus" using primary key columns */
    locus_by_pk?: Maybe<Locus>;
    /** fetch data from the table: "locus_imitate" */
    locus_imitate: Array<Locus_Imitate>;
    /** fetch aggregated fields from the table: "locus_imitate" */
    locus_imitate_aggregate: Locus_Imitate_Aggregate;
    /** fetch data from the table: "locus_imitate" using primary key columns */
    locus_imitate_by_pk?: Maybe<Locus_Imitate>;
    /** fetch data from the table in a streaming manner: "locus_imitate" */
    locus_imitate_stream: Array<Locus_Imitate>;
    /** fetch data from the table: "locus_member" */
    locus_member: Array<Locus_Member>;
    /** fetch aggregated fields from the table: "locus_member" */
    locus_member_aggregate: Locus_Member_Aggregate;
    /** fetch data from the table: "locus_member" using primary key columns */
    locus_member_by_pk?: Maybe<Locus_Member>;
    /** fetch data from the table in a streaming manner: "locus_member" */
    locus_member_stream: Array<Locus_Member>;
    /** fetch data from the table: "locus_operation_type" */
    locus_operation_type: Array<Locus_Operation_Type>;
    /** fetch aggregated fields from the table: "locus_operation_type" */
    locus_operation_type_aggregate: Locus_Operation_Type_Aggregate;
    /** fetch data from the table: "locus_operation_type" using primary key columns */
    locus_operation_type_by_pk?: Maybe<Locus_Operation_Type>;
    /** fetch data from the table in a streaming manner: "locus_operation_type" */
    locus_operation_type_stream: Array<Locus_Operation_Type>;
    /** fetch data from the table: "locus_policy" */
    locus_policy: Array<Locus_Policy>;
    /** fetch aggregated fields from the table: "locus_policy" */
    locus_policy_aggregate: Locus_Policy_Aggregate;
    /** fetch data from the table: "locus_policy" using primary key columns */
    locus_policy_by_pk?: Maybe<Locus_Policy>;
    /** fetch data from the table in a streaming manner: "locus_policy" */
    locus_policy_stream: Array<Locus_Policy>;
    /** fetch data from the table: "locus_state" */
    locus_state: Array<Locus_State>;
    /** fetch aggregated fields from the table: "locus_state" */
    locus_state_aggregate: Locus_State_Aggregate;
    /** fetch data from the table: "locus_state" using primary key columns */
    locus_state_by_pk?: Maybe<Locus_State>;
    /** fetch data from the table in a streaming manner: "locus_state" */
    locus_state_stream: Array<Locus_State>;
    /** fetch data from the table in a streaming manner: "locus" */
    locus_stream: Array<Locus>;
    /** fetch data from the table: "locus_theme" */
    locus_theme: Array<Locus_Theme>;
    /** fetch aggregated fields from the table: "locus_theme" */
    locus_theme_aggregate: Locus_Theme_Aggregate;
    /** fetch data from the table: "locus_theme" using primary key columns */
    locus_theme_by_pk?: Maybe<Locus_Theme>;
    /** fetch data from the table in a streaming manner: "locus_theme" */
    locus_theme_stream: Array<Locus_Theme>;
    /** fetch data from the table: "locus_type" */
    locus_type: Array<Locus_Type>;
    /** fetch aggregated fields from the table: "locus_type" */
    locus_type_aggregate: Locus_Type_Aggregate;
    /** fetch data from the table: "locus_type" using primary key columns */
    locus_type_by_pk?: Maybe<Locus_Type>;
    /** fetch data from the table in a streaming manner: "locus_type" */
    locus_type_stream: Array<Locus_Type>;
    /** fetch data from the table: "map" */
    map: Array<Map>;
    /** fetch aggregated fields from the table: "map" */
    map_aggregate: Map_Aggregate;
    /** fetch data from the table: "map" using primary key columns */
    map_by_pk?: Maybe<Map>;
    /** fetch data from the table: "map_condition_type" */
    map_condition_type: Array<Map_Condition_Type>;
    /** fetch aggregated fields from the table: "map_condition_type" */
    map_condition_type_aggregate: Map_Condition_Type_Aggregate;
    /** fetch data from the table: "map_condition_type" using primary key columns */
    map_condition_type_by_pk?: Maybe<Map_Condition_Type>;
    /** fetch data from the table in a streaming manner: "map_condition_type" */
    map_condition_type_stream: Array<Map_Condition_Type>;
    /** fetch data from the table: "map_effect" */
    map_effect: Array<Map_Effect>;
    /** fetch aggregated fields from the table: "map_effect" */
    map_effect_aggregate: Map_Effect_Aggregate;
    /** fetch data from the table: "map_effect" using primary key columns */
    map_effect_by_pk?: Maybe<Map_Effect>;
    /** fetch data from the table in a streaming manner: "map_effect" */
    map_effect_stream: Array<Map_Effect>;
    /** fetch data from the table: "map_effect_type" */
    map_effect_type: Array<Map_Effect_Type>;
    /** fetch aggregated fields from the table: "map_effect_type" */
    map_effect_type_aggregate: Map_Effect_Type_Aggregate;
    /** fetch data from the table: "map_effect_type" using primary key columns */
    map_effect_type_by_pk?: Maybe<Map_Effect_Type>;
    /** fetch data from the table in a streaming manner: "map_effect_type" */
    map_effect_type_stream: Array<Map_Effect_Type>;
    /** fetch data from the table: "map_item" */
    map_item: Array<Map_Item>;
    /** fetch aggregated fields from the table: "map_item" */
    map_item_aggregate: Map_Item_Aggregate;
    /** fetch data from the table: "map_item_animation" */
    map_item_animation: Array<Map_Item_Animation>;
    /** fetch aggregated fields from the table: "map_item_animation" */
    map_item_animation_aggregate: Map_Item_Animation_Aggregate;
    /** fetch data from the table: "map_item_animation" using primary key columns */
    map_item_animation_by_pk?: Maybe<Map_Item_Animation>;
    /** fetch data from the table in a streaming manner: "map_item_animation" */
    map_item_animation_stream: Array<Map_Item_Animation>;
    /** fetch data from the table: "map_item" using primary key columns */
    map_item_by_pk?: Maybe<Map_Item>;
    /** fetch data from the table: "map_item_state" */
    map_item_state: Array<Map_Item_State>;
    /** fetch aggregated fields from the table: "map_item_state" */
    map_item_state_aggregate: Map_Item_State_Aggregate;
    /** fetch data from the table: "map_item_state" using primary key columns */
    map_item_state_by_pk?: Maybe<Map_Item_State>;
    /** fetch data from the table in a streaming manner: "map_item_state" */
    map_item_state_stream: Array<Map_Item_State>;
    /** fetch data from the table in a streaming manner: "map_item" */
    map_item_stream: Array<Map_Item>;
    /** fetch data from the table in a streaming manner: "map" */
    map_stream: Array<Map>;
    /** fetch data from the table: "medium_type" */
    medium_type: Array<Medium_Type>;
    /** fetch aggregated fields from the table: "medium_type" */
    medium_type_aggregate: Medium_Type_Aggregate;
    /** fetch data from the table: "medium_type" using primary key columns */
    medium_type_by_pk?: Maybe<Medium_Type>;
    /** fetch data from the table in a streaming manner: "medium_type" */
    medium_type_stream: Array<Medium_Type>;
    /** fetch data from the table: "megaphone" */
    megaphone: Array<Megaphone>;
    /** fetch aggregated fields from the table: "megaphone" */
    megaphone_aggregate: Megaphone_Aggregate;
    /** fetch data from the table: "megaphone" using primary key columns */
    megaphone_by_pk?: Maybe<Megaphone>;
    /** fetch data from the table in a streaming manner: "megaphone" */
    megaphone_stream: Array<Megaphone>;
    /** fetch data from the table: "message" */
    message: Array<Message>;
    /** fetch aggregated fields from the table: "message" */
    message_aggregate: Message_Aggregate;
    /** fetch data from the table: "message" using primary key columns */
    message_by_pk?: Maybe<Message>;
    /** fetch data from the table in a streaming manner: "message" */
    message_stream: Array<Message>;
    /** fetch data from the table: "mold" */
    mold: Array<Mold>;
    /** fetch aggregated fields from the table: "mold" */
    mold_aggregate: Mold_Aggregate;
    /** fetch data from the table: "mold_blueprint" */
    mold_blueprint: Array<Mold_Blueprint>;
    /** fetch aggregated fields from the table: "mold_blueprint" */
    mold_blueprint_aggregate: Mold_Blueprint_Aggregate;
    /** fetch data from the table: "mold_blueprint" using primary key columns */
    mold_blueprint_by_pk?: Maybe<Mold_Blueprint>;
    /** fetch data from the table in a streaming manner: "mold_blueprint" */
    mold_blueprint_stream: Array<Mold_Blueprint>;
    /** fetch data from the table: "mold" using primary key columns */
    mold_by_pk?: Maybe<Mold>;
    /** fetch data from the table in a streaming manner: "mold" */
    mold_stream: Array<Mold>;
    /** fetch data from the table: "morsel_type" */
    morsel_type: Array<Morsel_Type>;
    /** fetch aggregated fields from the table: "morsel_type" */
    morsel_type_aggregate: Morsel_Type_Aggregate;
    /** fetch data from the table: "morsel_type" using primary key columns */
    morsel_type_by_pk?: Maybe<Morsel_Type>;
    /** fetch data from the table in a streaming manner: "morsel_type" */
    morsel_type_stream: Array<Morsel_Type>;
    /** fetch data from the table: "operation" */
    operation: Array<Operation>;
    /** fetch aggregated fields from the table: "operation" */
    operation_aggregate: Operation_Aggregate;
    /** fetch data from the table: "operation" using primary key columns */
    operation_by_pk?: Maybe<Operation>;
    /** fetch data from the table: "operation_maintain_type" */
    operation_maintain_type: Array<Operation_Maintain_Type>;
    /** fetch aggregated fields from the table: "operation_maintain_type" */
    operation_maintain_type_aggregate: Operation_Maintain_Type_Aggregate;
    /** fetch data from the table: "operation_maintain_type" using primary key columns */
    operation_maintain_type_by_pk?: Maybe<Operation_Maintain_Type>;
    /** fetch data from the table in a streaming manner: "operation_maintain_type" */
    operation_maintain_type_stream: Array<Operation_Maintain_Type>;
    /** fetch data from the table: "operation_operator" */
    operation_operator: Array<Operation_Operator>;
    /** fetch aggregated fields from the table: "operation_operator" */
    operation_operator_aggregate: Operation_Operator_Aggregate;
    /** fetch data from the table: "operation_operator" using primary key columns */
    operation_operator_by_pk?: Maybe<Operation_Operator>;
    /** fetch data from the table in a streaming manner: "operation_operator" */
    operation_operator_stream: Array<Operation_Operator>;
    /** fetch data from the table: "operation_setting_type" */
    operation_setting_type: Array<Operation_Setting_Type>;
    /** fetch aggregated fields from the table: "operation_setting_type" */
    operation_setting_type_aggregate: Operation_Setting_Type_Aggregate;
    /** fetch data from the table: "operation_setting_type" using primary key columns */
    operation_setting_type_by_pk?: Maybe<Operation_Setting_Type>;
    /** fetch data from the table in a streaming manner: "operation_setting_type" */
    operation_setting_type_stream: Array<Operation_Setting_Type>;
    /** fetch data from the table: "operation_state" */
    operation_state: Array<Operation_State>;
    /** fetch aggregated fields from the table: "operation_state" */
    operation_state_aggregate: Operation_State_Aggregate;
    /** fetch data from the table: "operation_state" using primary key columns */
    operation_state_by_pk?: Maybe<Operation_State>;
    /** fetch data from the table in a streaming manner: "operation_state" */
    operation_state_stream: Array<Operation_State>;
    /** fetch data from the table in a streaming manner: "operation" */
    operation_stream: Array<Operation>;
    /** fetch data from the table: "operation_type" */
    operation_type: Array<Operation_Type>;
    /** fetch aggregated fields from the table: "operation_type" */
    operation_type_aggregate: Operation_Type_Aggregate;
    /** fetch data from the table: "operation_type" using primary key columns */
    operation_type_by_pk?: Maybe<Operation_Type>;
    /** fetch data from the table in a streaming manner: "operation_type" */
    operation_type_stream: Array<Operation_Type>;
    /** fetch data from the table: "operator_state_type" */
    operator_state_type: Array<Operator_State_Type>;
    /** fetch aggregated fields from the table: "operator_state_type" */
    operator_state_type_aggregate: Operator_State_Type_Aggregate;
    /** fetch data from the table: "operator_state_type" using primary key columns */
    operator_state_type_by_pk?: Maybe<Operator_State_Type>;
    /** fetch data from the table in a streaming manner: "operator_state_type" */
    operator_state_type_stream: Array<Operator_State_Type>;
    /** fetch data from the table: "piece" */
    piece: Array<Piece>;
    /** fetch aggregated fields from the table: "piece" */
    piece_aggregate: Piece_Aggregate;
    /** fetch data from the table: "piece" using primary key columns */
    piece_by_pk?: Maybe<Piece>;
    /** fetch data from the table: "piece_locus" */
    piece_locus: Array<Piece_Locus>;
    /** fetch aggregated fields from the table: "piece_locus" */
    piece_locus_aggregate: Piece_Locus_Aggregate;
    /** fetch data from the table: "piece_locus" using primary key columns */
    piece_locus_by_pk?: Maybe<Piece_Locus>;
    /** fetch data from the table in a streaming manner: "piece_locus" */
    piece_locus_stream: Array<Piece_Locus>;
    /** fetch data from the table in a streaming manner: "piece" */
    piece_stream: Array<Piece>;
    /** fetch data from the table: "piece_type" */
    piece_type: Array<Piece_Type>;
    /** fetch aggregated fields from the table: "piece_type" */
    piece_type_aggregate: Piece_Type_Aggregate;
    /** fetch data from the table: "piece_type" using primary key columns */
    piece_type_by_pk?: Maybe<Piece_Type>;
    /** fetch data from the table in a streaming manner: "piece_type" */
    piece_type_stream: Array<Piece_Type>;
    /** fetch data from the table: "post" */
    post: Array<Post>;
    /** fetch aggregated fields from the table: "post" */
    post_aggregate: Post_Aggregate;
    /** fetch data from the table: "post" using primary key columns */
    post_by_pk?: Maybe<Post>;
    /** fetch data from the table: "post_evaluation" */
    post_evaluation: Array<Post_Evaluation>;
    /** fetch aggregated fields from the table: "post_evaluation" */
    post_evaluation_aggregate: Post_Evaluation_Aggregate;
    /** fetch data from the table: "post_evaluation" using primary key columns */
    post_evaluation_by_pk?: Maybe<Post_Evaluation>;
    /** fetch data from the table in a streaming manner: "post_evaluation" */
    post_evaluation_stream: Array<Post_Evaluation>;
    /** fetch data from the table in a streaming manner: "post" */
    post_stream: Array<Post>;
    /** fetch data from the table: "preference" */
    preference: Array<Preference>;
    /** fetch aggregated fields from the table: "preference" */
    preference_aggregate: Preference_Aggregate;
    /** fetch data from the table in a streaming manner: "preference" */
    preference_stream: Array<Preference>;
    /** fetch data from the table: "product" */
    product: Array<Product>;
    /** fetch aggregated fields from the table: "product" */
    product_aggregate: Product_Aggregate;
    /** fetch data from the table: "product" using primary key columns */
    product_by_pk?: Maybe<Product>;
    /** fetch data from the table in a streaming manner: "product" */
    product_stream: Array<Product>;
    /** fetch data from the table: "profile" */
    profile: Array<Profile>;
    /** fetch aggregated fields from the table: "profile" */
    profile_aggregate: Profile_Aggregate;
    /** fetch data from the table in a streaming manner: "profile" */
    profile_stream: Array<Profile>;
    /** fetch data from the table: "purchase" */
    purchase: Array<Purchase>;
    /** fetch aggregated fields from the table: "purchase" */
    purchase_aggregate: Purchase_Aggregate;
    /** fetch data from the table: "purchase" using primary key columns */
    purchase_by_pk?: Maybe<Purchase>;
    /** fetch data from the table in a streaming manner: "purchase" */
    purchase_stream: Array<Purchase>;
    /** fetch data from the table: "quest" */
    quest: Array<Quest>;
    /** fetch aggregated fields from the table: "quest" */
    quest_aggregate: Quest_Aggregate;
    /** fetch data from the table: "quest_ancestry" */
    quest_ancestry: Array<Quest_Ancestry>;
    /** fetch aggregated fields from the table: "quest_ancestry" */
    quest_ancestry_aggregate: Quest_Ancestry_Aggregate;
    /** fetch data from the table: "quest_ancestry" using primary key columns */
    quest_ancestry_by_pk?: Maybe<Quest_Ancestry>;
    /** fetch data from the table in a streaming manner: "quest_ancestry" */
    quest_ancestry_stream: Array<Quest_Ancestry>;
    /** fetch data from the table: "quest" using primary key columns */
    quest_by_pk?: Maybe<Quest>;
    /** fetch data from the table: "quest_state" */
    quest_state: Array<Quest_State>;
    /** fetch aggregated fields from the table: "quest_state" */
    quest_state_aggregate: Quest_State_Aggregate;
    /** fetch data from the table: "quest_state" using primary key columns */
    quest_state_by_pk?: Maybe<Quest_State>;
    /** fetch data from the table in a streaming manner: "quest_state" */
    quest_state_stream: Array<Quest_State>;
    /** fetch data from the table in a streaming manner: "quest" */
    quest_stream: Array<Quest>;
    /** fetch data from the table: "quest_type" */
    quest_type: Array<Quest_Type>;
    /** fetch aggregated fields from the table: "quest_type" */
    quest_type_aggregate: Quest_Type_Aggregate;
    /** fetch data from the table: "quest_type" using primary key columns */
    quest_type_by_pk?: Maybe<Quest_Type>;
    /** fetch data from the table in a streaming manner: "quest_type" */
    quest_type_stream: Array<Quest_Type>;
    /** fetch data from the table: "resource_policy" */
    resource_policy: Array<Resource_Policy>;
    /** fetch aggregated fields from the table: "resource_policy" */
    resource_policy_aggregate: Resource_Policy_Aggregate;
    /** fetch data from the table: "resource_policy" using primary key columns */
    resource_policy_by_pk?: Maybe<Resource_Policy>;
    /** fetch data from the table in a streaming manner: "resource_policy" */
    resource_policy_stream: Array<Resource_Policy>;
    /** fetch data from the table: "resource_privacy" */
    resource_privacy: Array<Resource_Privacy>;
    /** fetch aggregated fields from the table: "resource_privacy" */
    resource_privacy_aggregate: Resource_Privacy_Aggregate;
    /** fetch data from the table: "resource_privacy" using primary key columns */
    resource_privacy_by_pk?: Maybe<Resource_Privacy>;
    /** fetch data from the table in a streaming manner: "resource_privacy" */
    resource_privacy_stream: Array<Resource_Privacy>;
    /** fetch data from the table: "rooadmap_gis.cord_2d" */
    rooadmap_gis_cord_2d: Array<Rooadmap_Gis_Cord_2d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.cord_2d" */
    rooadmap_gis_cord_2d_aggregate: Rooadmap_Gis_Cord_2d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.cord_2d" using primary key columns */
    rooadmap_gis_cord_2d_by_pk?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** fetch data from the table in a streaming manner: "rooadmap_gis.cord_2d" */
    rooadmap_gis_cord_2d_stream: Array<Rooadmap_Gis_Cord_2d>;
    /** fetch data from the table: "rooadmap_gis.cord_3d" */
    rooadmap_gis_cord_3d: Array<Rooadmap_Gis_Cord_3d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.cord_3d" */
    rooadmap_gis_cord_3d_aggregate: Rooadmap_Gis_Cord_3d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.cord_3d" using primary key columns */
    rooadmap_gis_cord_3d_by_pk?: Maybe<Rooadmap_Gis_Cord_3d>;
    /** fetch data from the table in a streaming manner: "rooadmap_gis.cord_3d" */
    rooadmap_gis_cord_3d_stream: Array<Rooadmap_Gis_Cord_3d>;
    /** fetch data from the table: "rooadmap_gis.location_2d" */
    rooadmap_gis_location_2d: Array<Rooadmap_Gis_Location_2d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.location_2d" */
    rooadmap_gis_location_2d_aggregate: Rooadmap_Gis_Location_2d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.location_2d" using primary key columns */
    rooadmap_gis_location_2d_by_pk?: Maybe<Rooadmap_Gis_Location_2d>;
    /** fetch data from the table in a streaming manner: "rooadmap_gis.location_2d" */
    rooadmap_gis_location_2d_stream: Array<Rooadmap_Gis_Location_2d>;
    /** fetch data from the table: "rooadmap_gis.location_3d" */
    rooadmap_gis_location_3d: Array<Rooadmap_Gis_Location_3d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.location_3d" */
    rooadmap_gis_location_3d_aggregate: Rooadmap_Gis_Location_3d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.location_3d" using primary key columns */
    rooadmap_gis_location_3d_by_pk?: Maybe<Rooadmap_Gis_Location_3d>;
    /** fetch data from the table in a streaming manner: "rooadmap_gis.location_3d" */
    rooadmap_gis_location_3d_stream: Array<Rooadmap_Gis_Location_3d>;
    /** fetch data from the table: "rooadmap_gis.map_item" */
    rooadmap_gis_map_item: Array<Rooadmap_Gis_Map_Item>;
    /** fetch aggregated fields from the table: "rooadmap_gis.map_item" */
    rooadmap_gis_map_item_aggregate: Rooadmap_Gis_Map_Item_Aggregate;
    /** fetch data from the table: "rooadmap_gis.map_item" using primary key columns */
    rooadmap_gis_map_item_by_pk?: Maybe<Rooadmap_Gis_Map_Item>;
    /** fetch data from the table in a streaming manner: "rooadmap_gis.map_item" */
    rooadmap_gis_map_item_stream: Array<Rooadmap_Gis_Map_Item>;
    /** execute function "search_area" which returns "area" */
    search_area: Array<Area>;
    /** execute function "search_area" and query aggregates on result of table type "area" */
    search_area_aggregate: Area_Aggregate;
    /** execute function "search_locus" which returns "locus" */
    search_locus: Array<Locus>;
    /** execute function "search_locus" and query aggregates on result of table type "locus" */
    search_locus_aggregate: Locus_Aggregate;
    /** execute function "search_sponsorship" which returns "sponsorship" */
    search_sponsorship: Array<Sponsorship>;
    /** execute function "search_sponsorship" and query aggregates on result of table type "sponsorship" */
    search_sponsorship_aggregate: Sponsorship_Aggregate;
    /** fetch data from the table: "segment" */
    segment: Array<Segment>;
    /** fetch aggregated fields from the table: "segment" */
    segment_aggregate: Segment_Aggregate;
    /** fetch data from the table: "segment" using primary key columns */
    segment_by_pk?: Maybe<Segment>;
    /** fetch data from the table: "segment_exhibition" */
    segment_exhibition: Array<Segment_Exhibition>;
    /** fetch aggregated fields from the table: "segment_exhibition" */
    segment_exhibition_aggregate: Segment_Exhibition_Aggregate;
    /** fetch data from the table: "segment_exhibition" using primary key columns */
    segment_exhibition_by_pk?: Maybe<Segment_Exhibition>;
    /** fetch data from the table in a streaming manner: "segment_exhibition" */
    segment_exhibition_stream: Array<Segment_Exhibition>;
    /** fetch data from the table in a streaming manner: "segment" */
    segment_stream: Array<Segment>;
    /** fetch data from the table: "sell" */
    sell: Array<Sell>;
    /** fetch aggregated fields from the table: "sell" */
    sell_aggregate: Sell_Aggregate;
    /** fetch data from the table: "sell" using primary key columns */
    sell_by_pk?: Maybe<Sell>;
    /** fetch data from the table: "sell_management" */
    sell_management: Array<Sell_Management>;
    /** fetch aggregated fields from the table: "sell_management" */
    sell_management_aggregate: Sell_Management_Aggregate;
    /** fetch data from the table: "sell_management" using primary key columns */
    sell_management_by_pk?: Maybe<Sell_Management>;
    /** fetch data from the table in a streaming manner: "sell_management" */
    sell_management_stream: Array<Sell_Management>;
    /** fetch data from the table in a streaming manner: "sell" */
    sell_stream: Array<Sell>;
    /** fetch data from the table: "sponsorship" */
    sponsorship: Array<Sponsorship>;
    /** fetch aggregated fields from the table: "sponsorship" */
    sponsorship_aggregate: Sponsorship_Aggregate;
    /** fetch data from the table: "sponsorship" using primary key columns */
    sponsorship_by_pk?: Maybe<Sponsorship>;
    /** fetch data from the table: "sponsorship_condition" */
    sponsorship_condition: Array<Sponsorship_Condition>;
    /** fetch aggregated fields from the table: "sponsorship_condition" */
    sponsorship_condition_aggregate: Sponsorship_Condition_Aggregate;
    /** fetch data from the table: "sponsorship_condition" using primary key columns */
    sponsorship_condition_by_pk?: Maybe<Sponsorship_Condition>;
    /** fetch data from the table in a streaming manner: "sponsorship_condition" */
    sponsorship_condition_stream: Array<Sponsorship_Condition>;
    /** fetch data from the table: "sponsorship_game_state" */
    sponsorship_game_state: Array<Sponsorship_Game_State>;
    /** fetch aggregated fields from the table: "sponsorship_game_state" */
    sponsorship_game_state_aggregate: Sponsorship_Game_State_Aggregate;
    /** fetch data from the table: "sponsorship_game_state" using primary key columns */
    sponsorship_game_state_by_pk?: Maybe<Sponsorship_Game_State>;
    /** fetch data from the table in a streaming manner: "sponsorship_game_state" */
    sponsorship_game_state_stream: Array<Sponsorship_Game_State>;
    /** fetch data from the table: "sponsorship_game_state_type" */
    sponsorship_game_state_type: Array<Sponsorship_Game_State_Type>;
    /** fetch aggregated fields from the table: "sponsorship_game_state_type" */
    sponsorship_game_state_type_aggregate: Sponsorship_Game_State_Type_Aggregate;
    /** fetch data from the table: "sponsorship_game_state_type" using primary key columns */
    sponsorship_game_state_type_by_pk?: Maybe<Sponsorship_Game_State_Type>;
    /** fetch data from the table in a streaming manner: "sponsorship_game_state_type" */
    sponsorship_game_state_type_stream: Array<Sponsorship_Game_State_Type>;
    /** fetch data from the table: "sponsorship_images" */
    sponsorship_images: Array<Sponsorship_Images>;
    /** fetch aggregated fields from the table: "sponsorship_images" */
    sponsorship_images_aggregate: Sponsorship_Images_Aggregate;
    /** fetch data from the table: "sponsorship_images" using primary key columns */
    sponsorship_images_by_pk?: Maybe<Sponsorship_Images>;
    /** fetch data from the table in a streaming manner: "sponsorship_images" */
    sponsorship_images_stream: Array<Sponsorship_Images>;
    /** fetch data from the table: "sponsorship_imitate" */
    sponsorship_imitate: Array<Sponsorship_Imitate>;
    /** fetch aggregated fields from the table: "sponsorship_imitate" */
    sponsorship_imitate_aggregate: Sponsorship_Imitate_Aggregate;
    /** fetch data from the table: "sponsorship_imitate" using primary key columns */
    sponsorship_imitate_by_pk?: Maybe<Sponsorship_Imitate>;
    /** fetch data from the table in a streaming manner: "sponsorship_imitate" */
    sponsorship_imitate_stream: Array<Sponsorship_Imitate>;
    /** fetch data from the table: "sponsorship_locus" */
    sponsorship_locus: Array<Sponsorship_Locus>;
    /** fetch aggregated fields from the table: "sponsorship_locus" */
    sponsorship_locus_aggregate: Sponsorship_Locus_Aggregate;
    /** fetch data from the table: "sponsorship_locus" using primary key columns */
    sponsorship_locus_by_pk?: Maybe<Sponsorship_Locus>;
    /** fetch data from the table in a streaming manner: "sponsorship_locus" */
    sponsorship_locus_stream: Array<Sponsorship_Locus>;
    /** fetch data from the table: "sponsorship_requirement" */
    sponsorship_requirement: Array<Sponsorship_Requirement>;
    /** fetch aggregated fields from the table: "sponsorship_requirement" */
    sponsorship_requirement_aggregate: Sponsorship_Requirement_Aggregate;
    /** fetch data from the table: "sponsorship_requirement" using primary key columns */
    sponsorship_requirement_by_pk?: Maybe<Sponsorship_Requirement>;
    /** fetch data from the table in a streaming manner: "sponsorship_requirement" */
    sponsorship_requirement_stream: Array<Sponsorship_Requirement>;
    /** fetch data from the table: "sponsorship_requirement_type" */
    sponsorship_requirement_type: Array<Sponsorship_Requirement_Type>;
    /** fetch aggregated fields from the table: "sponsorship_requirement_type" */
    sponsorship_requirement_type_aggregate: Sponsorship_Requirement_Type_Aggregate;
    /** fetch data from the table: "sponsorship_requirement_type" using primary key columns */
    sponsorship_requirement_type_by_pk?: Maybe<Sponsorship_Requirement_Type>;
    /** fetch data from the table in a streaming manner: "sponsorship_requirement_type" */
    sponsorship_requirement_type_stream: Array<Sponsorship_Requirement_Type>;
    /** fetch data from the table: "sponsorship_settlement_state_type" */
    sponsorship_settlement_state_type: Array<Sponsorship_Settlement_State_Type>;
    /** fetch aggregated fields from the table: "sponsorship_settlement_state_type" */
    sponsorship_settlement_state_type_aggregate: Sponsorship_Settlement_State_Type_Aggregate;
    /** fetch data from the table: "sponsorship_settlement_state_type" using primary key columns */
    sponsorship_settlement_state_type_by_pk?: Maybe<Sponsorship_Settlement_State_Type>;
    /** fetch data from the table in a streaming manner: "sponsorship_settlement_state_type" */
    sponsorship_settlement_state_type_stream: Array<Sponsorship_Settlement_State_Type>;
    /** fetch data from the table: "sponsorship_state" */
    sponsorship_state: Array<Sponsorship_State>;
    /** fetch aggregated fields from the table: "sponsorship_state" */
    sponsorship_state_aggregate: Sponsorship_State_Aggregate;
    /** fetch data from the table: "sponsorship_state" using primary key columns */
    sponsorship_state_by_pk?: Maybe<Sponsorship_State>;
    /** fetch data from the table in a streaming manner: "sponsorship_state" */
    sponsorship_state_stream: Array<Sponsorship_State>;
    /** fetch data from the table in a streaming manner: "sponsorship" */
    sponsorship_stream: Array<Sponsorship>;
    /** fetch data from the table: "sponsorship_type" */
    sponsorship_type: Array<Sponsorship_Type>;
    /** fetch aggregated fields from the table: "sponsorship_type" */
    sponsorship_type_aggregate: Sponsorship_Type_Aggregate;
    /** fetch data from the table: "sponsorship_type" using primary key columns */
    sponsorship_type_by_pk?: Maybe<Sponsorship_Type>;
    /** fetch data from the table in a streaming manner: "sponsorship_type" */
    sponsorship_type_stream: Array<Sponsorship_Type>;
    /** fetch data from the table: "spot" */
    spot: Array<Spot>;
    /** fetch aggregated fields from the table: "spot" */
    spot_aggregate: Spot_Aggregate;
    /** fetch data from the table: "spot" using primary key columns */
    spot_by_pk?: Maybe<Spot>;
    /** fetch data from the table: "spot_inscription" */
    spot_inscription: Array<Spot_Inscription>;
    /** fetch aggregated fields from the table: "spot_inscription" */
    spot_inscription_aggregate: Spot_Inscription_Aggregate;
    /** fetch data from the table: "spot_inscription" using primary key columns */
    spot_inscription_by_pk?: Maybe<Spot_Inscription>;
    /** fetch data from the table in a streaming manner: "spot_inscription" */
    spot_inscription_stream: Array<Spot_Inscription>;
    /** fetch data from the table: "spot_policy" */
    spot_policy: Array<Spot_Policy>;
    /** fetch aggregated fields from the table: "spot_policy" */
    spot_policy_aggregate: Spot_Policy_Aggregate;
    /** fetch data from the table: "spot_policy" using primary key columns */
    spot_policy_by_pk?: Maybe<Spot_Policy>;
    /** fetch data from the table in a streaming manner: "spot_policy" */
    spot_policy_stream: Array<Spot_Policy>;
    /** fetch data from the table in a streaming manner: "spot" */
    spot_stream: Array<Spot>;
    /** fetch data from the table: "spot_type" */
    spot_type: Array<Spot_Type>;
    /** fetch aggregated fields from the table: "spot_type" */
    spot_type_aggregate: Spot_Type_Aggregate;
    /** fetch data from the table: "spot_type" using primary key columns */
    spot_type_by_pk?: Maybe<Spot_Type>;
    /** fetch data from the table in a streaming manner: "spot_type" */
    spot_type_stream: Array<Spot_Type>;
    /** fetch data from the table: "spot_user" */
    spot_user: Array<Spot_User>;
    /** fetch aggregated fields from the table: "spot_user" */
    spot_user_aggregate: Spot_User_Aggregate;
    /** fetch data from the table: "spot_user" using primary key columns */
    spot_user_by_pk?: Maybe<Spot_User>;
    /** fetch data from the table in a streaming manner: "spot_user" */
    spot_user_stream: Array<Spot_User>;
    /** fetch data from the table: "target_view_type" */
    target_view_type: Array<Target_View_Type>;
    /** fetch aggregated fields from the table: "target_view_type" */
    target_view_type_aggregate: Target_View_Type_Aggregate;
    /** fetch data from the table: "target_view_type" using primary key columns */
    target_view_type_by_pk?: Maybe<Target_View_Type>;
    /** fetch data from the table in a streaming manner: "target_view_type" */
    target_view_type_stream: Array<Target_View_Type>;
    /** fetch data from the table: "task" */
    task: Array<Task>;
    /** fetch aggregated fields from the table: "task" */
    task_aggregate: Task_Aggregate;
    /** fetch data from the table: "task" using primary key columns */
    task_by_pk?: Maybe<Task>;
    /** fetch data from the table in a streaming manner: "task" */
    task_stream: Array<Task>;
    /** fetch data from the table: "theme" */
    theme: Array<Theme>;
    /** fetch aggregated fields from the table: "theme" */
    theme_aggregate: Theme_Aggregate;
    /** fetch data from the table: "theme" using primary key columns */
    theme_by_pk?: Maybe<Theme>;
    /** fetch data from the table in a streaming manner: "theme" */
    theme_stream: Array<Theme>;
    /** fetch data from the table: "treasure_user" */
    treasure_user: Array<Treasure_User>;
    /** fetch aggregated fields from the table: "treasure_user" */
    treasure_user_aggregate: Treasure_User_Aggregate;
    /** fetch data from the table: "treasure_user" using primary key columns */
    treasure_user_by_pk?: Maybe<Treasure_User>;
    /** fetch data from the table in a streaming manner: "treasure_user" */
    treasure_user_stream: Array<Treasure_User>;
    /** fetch data from the table: "universe" */
    universe: Array<Universe>;
    /** fetch aggregated fields from the table: "universe" */
    universe_aggregate: Universe_Aggregate;
    /** fetch data from the table: "universe" using primary key columns */
    universe_by_pk?: Maybe<Universe>;
    /** fetch data from the table: "universe_member" */
    universe_member: Array<Universe_Member>;
    /** fetch aggregated fields from the table: "universe_member" */
    universe_member_aggregate: Universe_Member_Aggregate;
    /** fetch data from the table: "universe_member" using primary key columns */
    universe_member_by_pk?: Maybe<Universe_Member>;
    /** fetch data from the table in a streaming manner: "universe_member" */
    universe_member_stream: Array<Universe_Member>;
    /** fetch data from the table: "universe_policy" */
    universe_policy: Array<Universe_Policy>;
    /** fetch aggregated fields from the table: "universe_policy" */
    universe_policy_aggregate: Universe_Policy_Aggregate;
    /** fetch data from the table: "universe_policy" using primary key columns */
    universe_policy_by_pk?: Maybe<Universe_Policy>;
    /** fetch data from the table in a streaming manner: "universe_policy" */
    universe_policy_stream: Array<Universe_Policy>;
    /** fetch data from the table: "universe_resource" */
    universe_resource: Array<Universe_Resource>;
    /** fetch aggregated fields from the table: "universe_resource" */
    universe_resource_aggregate: Universe_Resource_Aggregate;
    /** fetch data from the table: "universe_resource" using primary key columns */
    universe_resource_by_pk?: Maybe<Universe_Resource>;
    /** fetch data from the table in a streaming manner: "universe_resource" */
    universe_resource_stream: Array<Universe_Resource>;
    /** fetch data from the table: "universe_state" */
    universe_state: Array<Universe_State>;
    /** fetch aggregated fields from the table: "universe_state" */
    universe_state_aggregate: Universe_State_Aggregate;
    /** fetch data from the table: "universe_state" using primary key columns */
    universe_state_by_pk?: Maybe<Universe_State>;
    /** fetch data from the table in a streaming manner: "universe_state" */
    universe_state_stream: Array<Universe_State>;
    /** fetch data from the table in a streaming manner: "universe" */
    universe_stream: Array<Universe>;
    /** fetch data from the table: "users" */
    users: Array<Users>;
    /** fetch aggregated fields from the table: "users" */
    users_aggregate: Users_Aggregate;
    /** fetch data from the table: "users" using primary key columns */
    users_by_pk?: Maybe<Users>;
    /** fetch data from the table in a streaming manner: "users" */
    users_stream: Array<Users>;
};
export type Subscription_RootAlarmArgs = {
    distinct_on?: InputMaybe<Array<Alarm_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Alarm_Order_By>>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
export type Subscription_RootAlarm_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Alarm_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Alarm_Order_By>>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
export type Subscription_RootAlarm_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootAlarm_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Alarm_Stream_Cursor_Input>>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
export type Subscription_RootAnimation_StageArgs = {
    distinct_on?: InputMaybe<Array<Animation_Stage_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Animation_Stage_Order_By>>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
export type Subscription_RootAnimation_Stage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Animation_Stage_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Animation_Stage_Order_By>>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
export type Subscription_RootAnimation_Stage_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootAnimation_Stage_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Animation_Stage_Stream_Cursor_Input>>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
export type Subscription_RootAnswerArgs = {
    distinct_on?: InputMaybe<Array<Answer_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Order_By>>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
export type Subscription_RootAnswer_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Answer_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Order_By>>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
export type Subscription_RootAnswer_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootAnswer_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Answer_Stream_Cursor_Input>>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
export type Subscription_RootAnswer_TypeArgs = {
    distinct_on?: InputMaybe<Array<Answer_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Type_Order_By>>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
export type Subscription_RootAnswer_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Answer_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Type_Order_By>>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
export type Subscription_RootAnswer_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootAnswer_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Answer_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
export type Subscription_RootAreaArgs = {
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Subscription_RootArea_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Subscription_RootArea_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootArea_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Area_Stream_Cursor_Input>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Subscription_RootAuth_Account_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Account_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Account_Providers_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Subscription_RootAuth_Account_Providers_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Account_Providers_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Account_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
export type Subscription_RootAuth_Account_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
export type Subscription_RootAuth_Account_Roles_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Subscription_RootAuth_Account_Roles_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Account_Roles_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
export type Subscription_RootAuth_AccountsArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
export type Subscription_RootAuth_Accounts_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
export type Subscription_RootAuth_Accounts_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Subscription_RootAuth_Accounts_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Accounts_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
export type Subscription_RootAuth_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Providers_Order_By>>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Providers_Order_By>>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Providers_By_PkArgs = {
    provider: Scalars['String'];
};
export type Subscription_RootAuth_Providers_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Providers_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Refresh_TokensArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
export type Subscription_RootAuth_Refresh_Tokens_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
export type Subscription_RootAuth_Refresh_Tokens_By_PkArgs = {
    refresh_token: Scalars['uuid'];
};
export type Subscription_RootAuth_Refresh_Tokens_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Refresh_Tokens_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
export type Subscription_RootAuth_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Roles_Order_By>>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
export type Subscription_RootAuth_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Roles_Order_By>>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
export type Subscription_RootAuth_Roles_By_PkArgs = {
    role: Scalars['String'];
};
export type Subscription_RootAuth_Roles_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Roles_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
export type Subscription_RootBadgeArgs = {
    distinct_on?: InputMaybe<Array<Badge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Order_By>>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
export type Subscription_RootBadge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Order_By>>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
export type Subscription_RootBadge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBadge_CategoryArgs = {
    distinct_on?: InputMaybe<Array<Badge_Category_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Category_Order_By>>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
export type Subscription_RootBadge_Category_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Category_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Category_Order_By>>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
export type Subscription_RootBadge_Category_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBadge_Category_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Badge_Category_Stream_Cursor_Input>>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
export type Subscription_RootBadge_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Badge_Stream_Cursor_Input>>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
export type Subscription_RootBadge_TypeArgs = {
    distinct_on?: InputMaybe<Array<Badge_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Type_Order_By>>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
export type Subscription_RootBadge_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Type_Order_By>>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
export type Subscription_RootBadge_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBadge_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Badge_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
export type Subscription_RootBatchArgs = {
    distinct_on?: InputMaybe<Array<Batch_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Batch_Order_By>>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
export type Subscription_RootBatch_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Batch_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Batch_Order_By>>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
export type Subscription_RootBatch_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBatch_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Batch_Stream_Cursor_Input>>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
export type Subscription_RootBlueprintArgs = {
    distinct_on?: InputMaybe<Array<Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Blueprint_Order_By>>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
export type Subscription_RootBlueprint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Blueprint_Order_By>>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
export type Subscription_RootBlueprint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBlueprint_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Blueprint_Stream_Cursor_Input>>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
export type Subscription_RootBusiness_Model_TypeArgs = {
    distinct_on?: InputMaybe<Array<Business_Model_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Business_Model_Type_Order_By>>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
export type Subscription_RootBusiness_Model_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Business_Model_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Business_Model_Type_Order_By>>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
export type Subscription_RootBusiness_Model_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBusiness_Model_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Business_Model_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
export type Subscription_RootChargeArgs = {
    distinct_on?: InputMaybe<Array<Charge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charge_Order_By>>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
export type Subscription_RootCharge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Charge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charge_Order_By>>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
export type Subscription_RootCharge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCharge_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Charge_Stream_Cursor_Input>>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
export type Subscription_RootChargerArgs = {
    distinct_on?: InputMaybe<Array<Charger_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charger_Order_By>>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
export type Subscription_RootCharger_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Charger_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charger_Order_By>>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
export type Subscription_RootCharger_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCharger_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Charger_Stream_Cursor_Input>>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
export type Subscription_RootConditionArgs = {
    distinct_on?: InputMaybe<Array<Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Order_By>>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
export type Subscription_RootCondition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Order_By>>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
export type Subscription_RootCondition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCondition_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Condition_Stream_Cursor_Input>>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
export type Subscription_RootCondition_TypeArgs = {
    distinct_on?: InputMaybe<Array<Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Type_Order_By>>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
export type Subscription_RootCondition_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Type_Order_By>>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
export type Subscription_RootCondition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCondition_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Condition_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
export type Subscription_RootContentArgs = {
    distinct_on?: InputMaybe<Array<Content_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Content_Order_By>>;
    where?: InputMaybe<Content_Bool_Exp>;
};
export type Subscription_RootContent_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Content_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Content_Order_By>>;
    where?: InputMaybe<Content_Bool_Exp>;
};
export type Subscription_RootContent_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootContent_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Content_Stream_Cursor_Input>>;
    where?: InputMaybe<Content_Bool_Exp>;
};
export type Subscription_RootContractArgs = {
    distinct_on?: InputMaybe<Array<Contract_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Order_By>>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
export type Subscription_RootContract_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Contract_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Order_By>>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
export type Subscription_RootContract_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootContract_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Contract_Stream_Cursor_Input>>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
export type Subscription_RootContract_TypeArgs = {
    distinct_on?: InputMaybe<Array<Contract_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Type_Order_By>>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
export type Subscription_RootContract_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Contract_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Type_Order_By>>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
export type Subscription_RootContract_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootContract_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Contract_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
export type Subscription_RootCurrencyArgs = {
    distinct_on?: InputMaybe<Array<Currency_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Order_By>>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
export type Subscription_RootCurrency_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Order_By>>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
export type Subscription_RootCurrency_By_PkArgs = {
    owner_id: Scalars['Int'];
};
export type Subscription_RootCurrency_ExchangeArgs = {
    distinct_on?: InputMaybe<Array<Currency_Exchange_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Exchange_Order_By>>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
export type Subscription_RootCurrency_Exchange_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Exchange_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Exchange_Order_By>>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
export type Subscription_RootCurrency_Exchange_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCurrency_Exchange_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Currency_Exchange_Stream_Cursor_Input>>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
export type Subscription_RootCurrency_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Currency_Stream_Cursor_Input>>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
export type Subscription_RootCurrency_TypeArgs = {
    distinct_on?: InputMaybe<Array<Currency_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Type_Order_By>>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
export type Subscription_RootCurrency_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Type_Order_By>>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
export type Subscription_RootCurrency_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCurrency_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Currency_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
export type Subscription_RootDesktop_TypeArgs = {
    distinct_on?: InputMaybe<Array<Desktop_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Desktop_Type_Order_By>>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
export type Subscription_RootDesktop_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Desktop_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Desktop_Type_Order_By>>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
export type Subscription_RootDesktop_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootDesktop_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Desktop_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
export type Subscription_RootEntrypointArgs = {
    distinct_on?: InputMaybe<Array<Entrypoint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Entrypoint_Order_By>>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
export type Subscription_RootEntrypoint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Entrypoint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Entrypoint_Order_By>>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
export type Subscription_RootEntrypoint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootEntrypoint_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Entrypoint_Stream_Cursor_Input>>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
export type Subscription_RootEvaluatorArgs = {
    distinct_on?: InputMaybe<Array<Evaluator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Evaluator_Order_By>>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
export type Subscription_RootEvaluator_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Evaluator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Evaluator_Order_By>>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
export type Subscription_RootEvaluator_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootEvaluator_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Evaluator_Stream_Cursor_Input>>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
export type Subscription_RootExampleArgs = {
    distinct_on?: InputMaybe<Array<Example_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Order_By>>;
    where?: InputMaybe<Example_Bool_Exp>;
};
export type Subscription_RootExample_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Example_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Order_By>>;
    where?: InputMaybe<Example_Bool_Exp>;
};
export type Subscription_RootExample_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootExample_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Example_Stream_Cursor_Input>>;
    where?: InputMaybe<Example_Bool_Exp>;
};
export type Subscription_RootExample_TypeArgs = {
    distinct_on?: InputMaybe<Array<Example_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Type_Order_By>>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
export type Subscription_RootExample_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Example_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Type_Order_By>>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
export type Subscription_RootExample_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootExample_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Example_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
export type Subscription_RootExhibition_DeterminantArgs = {
    distinct_on?: InputMaybe<Array<Exhibition_Determinant_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Exhibition_Determinant_Order_By>>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
export type Subscription_RootExhibition_Determinant_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Exhibition_Determinant_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Exhibition_Determinant_Order_By>>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
export type Subscription_RootExhibition_Determinant_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootExhibition_Determinant_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Exhibition_Determinant_Stream_Cursor_Input>>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
export type Subscription_RootFlagArgs = {
    distinct_on?: InputMaybe<Array<Flag_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Order_By>>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
export type Subscription_RootFlag_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Flag_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Order_By>>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
export type Subscription_RootFlag_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootFlag_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Flag_Stream_Cursor_Input>>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
export type Subscription_RootFlag_TypeArgs = {
    distinct_on?: InputMaybe<Array<Flag_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Type_Order_By>>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
export type Subscription_RootFlag_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Flag_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Type_Order_By>>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
export type Subscription_RootFlag_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootFlag_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Flag_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
export type Subscription_RootGameArgs = {
    distinct_on?: InputMaybe<Array<Game_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Order_By>>;
    where?: InputMaybe<Game_Bool_Exp>;
};
export type Subscription_RootGame_ActionArgs = {
    distinct_on?: InputMaybe<Array<Game_Action_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Action_Order_By>>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
export type Subscription_RootGame_Action_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Action_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Action_Order_By>>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
export type Subscription_RootGame_Action_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Action_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Action_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
export type Subscription_RootGame_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Order_By>>;
    where?: InputMaybe<Game_Bool_Exp>;
};
export type Subscription_RootGame_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_DesignArgs = {
    distinct_on?: InputMaybe<Array<Game_Design_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Design_Order_By>>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
export type Subscription_RootGame_Design_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Design_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Design_Order_By>>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
export type Subscription_RootGame_Design_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Design_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Design_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
export type Subscription_RootGame_GroupArgs = {
    distinct_on?: InputMaybe<Array<Game_Group_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Group_Order_By>>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
export type Subscription_RootGame_Group_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Group_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Group_Order_By>>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
export type Subscription_RootGame_Group_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Group_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Group_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
export type Subscription_RootGame_HunterArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
export type Subscription_RootGame_Hunter_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
export type Subscription_RootGame_Hunter_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Hunter_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Hunter_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
export type Subscription_RootGame_ManagementArgs = {
    distinct_on?: InputMaybe<Array<Game_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Management_Order_By>>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
export type Subscription_RootGame_Management_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Management_Order_By>>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
export type Subscription_RootGame_Management_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Management_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Management_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
export type Subscription_RootGame_OperatorsArgs = {
    distinct_on?: InputMaybe<Array<Game_Operators_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Operators_Order_By>>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
export type Subscription_RootGame_Operators_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Operators_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Operators_Order_By>>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
export type Subscription_RootGame_Operators_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Operators_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Operators_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
export type Subscription_RootGame_RecordArgs = {
    distinct_on?: InputMaybe<Array<Game_Record_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Record_Order_By>>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
export type Subscription_RootGame_Record_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Record_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Record_Order_By>>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
export type Subscription_RootGame_Record_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Record_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Record_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
export type Subscription_RootGame_RequirementArgs = {
    distinct_on?: InputMaybe<Array<Game_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Requirement_Order_By>>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
export type Subscription_RootGame_Requirement_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Requirement_Order_By>>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
export type Subscription_RootGame_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Requirement_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Requirement_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
export type Subscription_RootGame_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_State_Type_Order_By>>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
export type Subscription_RootGame_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_State_Type_Order_By>>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
export type Subscription_RootGame_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_State_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_State_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
export type Subscription_RootGame_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Bool_Exp>;
};
export type Subscription_RootGame_WinnerArgs = {
    distinct_on?: InputMaybe<Array<Game_Winner_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Winner_Order_By>>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
export type Subscription_RootGame_Winner_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Winner_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Winner_Order_By>>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
export type Subscription_RootGame_Winner_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Winner_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Winner_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
export type Subscription_RootGames_LocusArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
export type Subscription_RootGames_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
export type Subscription_RootGames_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGames_Locus_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Games_Locus_Stream_Cursor_Input>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
export type Subscription_RootGiftArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
export type Subscription_RootGift_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
export type Subscription_RootGift_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGift_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Gift_Stream_Cursor_Input>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
export type Subscription_RootGoodsArgs = {
    distinct_on?: InputMaybe<Array<Goods_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Goods_Order_By>>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
export type Subscription_RootGoods_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Goods_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Goods_Order_By>>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
export type Subscription_RootGoods_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGoods_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Goods_Stream_Cursor_Input>>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
export type Subscription_RootHier_TypeArgs = {
    distinct_on?: InputMaybe<Array<Hier_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Hier_Type_Order_By>>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
export type Subscription_RootHier_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Hier_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Hier_Type_Order_By>>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
export type Subscription_RootHier_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootHier_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Hier_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
export type Subscription_RootIncognitoArgs = {
    distinct_on?: InputMaybe<Array<Incognito_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Incognito_Order_By>>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
export type Subscription_RootIncognito_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Incognito_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Incognito_Order_By>>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
export type Subscription_RootIncognito_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootIncognito_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Incognito_Stream_Cursor_Input>>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
export type Subscription_RootInscriptionArgs = {
    distinct_on?: InputMaybe<Array<Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Inscription_Order_By>>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
export type Subscription_RootInscription_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Inscription_Order_By>>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
export type Subscription_RootInscription_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootInscription_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Inscription_Stream_Cursor_Input>>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
export type Subscription_RootInterface_TypeArgs = {
    distinct_on?: InputMaybe<Array<Interface_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Interface_Type_Order_By>>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
export type Subscription_RootInterface_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Interface_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Interface_Type_Order_By>>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
export type Subscription_RootInterface_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootInterface_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Interface_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
export type Subscription_RootJudgeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
export type Subscription_RootJudge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
export type Subscription_RootJudge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootJudge_Display_TypeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Display_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Display_Type_Order_By>>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
export type Subscription_RootJudge_Display_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Display_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Display_Type_Order_By>>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
export type Subscription_RootJudge_Display_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootJudge_Display_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Judge_Display_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
export type Subscription_RootJudge_EntryArgs = {
    distinct_on?: InputMaybe<Array<Judge_Entry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Entry_Order_By>>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
export type Subscription_RootJudge_Entry_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Entry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Entry_Order_By>>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
export type Subscription_RootJudge_Entry_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootJudge_Entry_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Judge_Entry_Stream_Cursor_Input>>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
export type Subscription_RootJudge_Role_TypeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Role_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Role_Type_Order_By>>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
export type Subscription_RootJudge_Role_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Role_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Role_Type_Order_By>>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
export type Subscription_RootJudge_Role_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootJudge_Role_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Judge_Role_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
export type Subscription_RootJudge_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Judge_Stream_Cursor_Input>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
export type Subscription_RootKairosArgs = {
    distinct_on?: InputMaybe<Array<Kairos_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Kairos_Order_By>>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
export type Subscription_RootKairos_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Kairos_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Kairos_Order_By>>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
export type Subscription_RootKairos_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootKairos_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Kairos_Stream_Cursor_Input>>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
export type Subscription_RootKeyword_DescriptionArgs = {
    distinct_on?: InputMaybe<Array<Keyword_Description_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Keyword_Description_Order_By>>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
export type Subscription_RootKeyword_Description_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Keyword_Description_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Keyword_Description_Order_By>>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
export type Subscription_RootKeyword_Description_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootKeyword_Description_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Keyword_Description_Stream_Cursor_Input>>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
export type Subscription_RootLanguageArgs = {
    distinct_on?: InputMaybe<Array<Language_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Language_Order_By>>;
    where?: InputMaybe<Language_Bool_Exp>;
};
export type Subscription_RootLanguage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Language_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Language_Order_By>>;
    where?: InputMaybe<Language_Bool_Exp>;
};
export type Subscription_RootLanguage_By_PkArgs = {
    language_code: Scalars['String'];
};
export type Subscription_RootLanguage_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Language_Stream_Cursor_Input>>;
    where?: InputMaybe<Language_Bool_Exp>;
};
export type Subscription_RootLocationArgs = {
    distinct_on?: InputMaybe<Array<Location_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Location_Order_By>>;
    where?: InputMaybe<Location_Bool_Exp>;
};
export type Subscription_RootLocation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Location_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Location_Order_By>>;
    where?: InputMaybe<Location_Bool_Exp>;
};
export type Subscription_RootLocation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocation_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Location_Stream_Cursor_Input>>;
    where?: InputMaybe<Location_Bool_Exp>;
};
export type Subscription_RootLocusArgs = {
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Subscription_RootLocus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Subscription_RootLocus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_ImitateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
export type Subscription_RootLocus_Imitate_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
export type Subscription_RootLocus_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Imitate_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Imitate_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
export type Subscription_RootLocus_MemberArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
export type Subscription_RootLocus_Member_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
export type Subscription_RootLocus_Member_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Member_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Member_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
export type Subscription_RootLocus_Operation_TypeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
export type Subscription_RootLocus_Operation_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
export type Subscription_RootLocus_Operation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Operation_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Operation_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
export type Subscription_RootLocus_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Locus_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Policy_Order_By>>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
export type Subscription_RootLocus_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Policy_Order_By>>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
export type Subscription_RootLocus_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Policy_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Policy_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
export type Subscription_RootLocus_StateArgs = {
    distinct_on?: InputMaybe<Array<Locus_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_State_Order_By>>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
export type Subscription_RootLocus_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_State_Order_By>>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
export type Subscription_RootLocus_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
export type Subscription_RootLocus_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Subscription_RootLocus_ThemeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Theme_Order_By>>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
export type Subscription_RootLocus_Theme_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Theme_Order_By>>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
export type Subscription_RootLocus_Theme_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Theme_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Theme_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
export type Subscription_RootLocus_TypeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Type_Order_By>>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
export type Subscription_RootLocus_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Type_Order_By>>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
export type Subscription_RootLocus_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
export type Subscription_RootMapArgs = {
    distinct_on?: InputMaybe<Array<Map_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Order_By>>;
    where?: InputMaybe<Map_Bool_Exp>;
};
export type Subscription_RootMap_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Order_By>>;
    where?: InputMaybe<Map_Bool_Exp>;
};
export type Subscription_RootMap_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Condition_TypeArgs = {
    distinct_on?: InputMaybe<Array<Map_Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Condition_Type_Order_By>>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
export type Subscription_RootMap_Condition_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Condition_Type_Order_By>>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
export type Subscription_RootMap_Condition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Condition_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Condition_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
export type Subscription_RootMap_EffectArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Order_By>>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
export type Subscription_RootMap_Effect_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Order_By>>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
export type Subscription_RootMap_Effect_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Effect_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Effect_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
export type Subscription_RootMap_Effect_TypeArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Type_Order_By>>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
export type Subscription_RootMap_Effect_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Type_Order_By>>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
export type Subscription_RootMap_Effect_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Effect_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Effect_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
export type Subscription_RootMap_ItemArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
export type Subscription_RootMap_Item_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
export type Subscription_RootMap_Item_AnimationArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
export type Subscription_RootMap_Item_Animation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
export type Subscription_RootMap_Item_Animation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Item_Animation_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Item_Animation_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
export type Subscription_RootMap_Item_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Item_StateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
export type Subscription_RootMap_Item_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
export type Subscription_RootMap_Item_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Item_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Item_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
export type Subscription_RootMap_Item_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Item_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
export type Subscription_RootMap_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Bool_Exp>;
};
export type Subscription_RootMedium_TypeArgs = {
    distinct_on?: InputMaybe<Array<Medium_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Medium_Type_Order_By>>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
export type Subscription_RootMedium_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Medium_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Medium_Type_Order_By>>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
export type Subscription_RootMedium_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMedium_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Medium_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
export type Subscription_RootMegaphoneArgs = {
    distinct_on?: InputMaybe<Array<Megaphone_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Megaphone_Order_By>>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
export type Subscription_RootMegaphone_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Megaphone_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Megaphone_Order_By>>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
export type Subscription_RootMegaphone_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMegaphone_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Megaphone_Stream_Cursor_Input>>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
export type Subscription_RootMessageArgs = {
    distinct_on?: InputMaybe<Array<Message_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Message_Order_By>>;
    where?: InputMaybe<Message_Bool_Exp>;
};
export type Subscription_RootMessage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Message_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Message_Order_By>>;
    where?: InputMaybe<Message_Bool_Exp>;
};
export type Subscription_RootMessage_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMessage_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Message_Stream_Cursor_Input>>;
    where?: InputMaybe<Message_Bool_Exp>;
};
export type Subscription_RootMoldArgs = {
    distinct_on?: InputMaybe<Array<Mold_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Order_By>>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
export type Subscription_RootMold_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Mold_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Order_By>>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
export type Subscription_RootMold_BlueprintArgs = {
    distinct_on?: InputMaybe<Array<Mold_Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Blueprint_Order_By>>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
export type Subscription_RootMold_Blueprint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Mold_Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Blueprint_Order_By>>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
export type Subscription_RootMold_Blueprint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMold_Blueprint_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Mold_Blueprint_Stream_Cursor_Input>>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
export type Subscription_RootMold_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMold_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Mold_Stream_Cursor_Input>>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
export type Subscription_RootMorsel_TypeArgs = {
    distinct_on?: InputMaybe<Array<Morsel_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Morsel_Type_Order_By>>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
export type Subscription_RootMorsel_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Morsel_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Morsel_Type_Order_By>>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
export type Subscription_RootMorsel_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMorsel_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Morsel_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
export type Subscription_RootOperationArgs = {
    distinct_on?: InputMaybe<Array<Operation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Order_By>>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
export type Subscription_RootOperation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Order_By>>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
export type Subscription_RootOperation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_Maintain_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Maintain_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Maintain_Type_Order_By>>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Maintain_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Maintain_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Maintain_Type_Order_By>>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Maintain_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_Maintain_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_Maintain_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
export type Subscription_RootOperation_OperatorArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
export type Subscription_RootOperation_Operator_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
export type Subscription_RootOperation_Operator_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_Operator_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_Operator_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
export type Subscription_RootOperation_Setting_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Setting_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Setting_Type_Order_By>>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Setting_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Setting_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Setting_Type_Order_By>>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Setting_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_Setting_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_Setting_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
export type Subscription_RootOperation_StateArgs = {
    distinct_on?: InputMaybe<Array<Operation_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_State_Order_By>>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
export type Subscription_RootOperation_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_State_Order_By>>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
export type Subscription_RootOperation_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
export type Subscription_RootOperation_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
export type Subscription_RootOperation_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Type_Order_By>>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Type_Order_By>>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
export type Subscription_RootOperator_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operator_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operator_State_Type_Order_By>>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
export type Subscription_RootOperator_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operator_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operator_State_Type_Order_By>>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
export type Subscription_RootOperator_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperator_State_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operator_State_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
export type Subscription_RootPieceArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
export type Subscription_RootPiece_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
export type Subscription_RootPiece_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPiece_LocusArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
export type Subscription_RootPiece_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
export type Subscription_RootPiece_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPiece_Locus_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Piece_Locus_Stream_Cursor_Input>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
export type Subscription_RootPiece_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Piece_Stream_Cursor_Input>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
export type Subscription_RootPiece_TypeArgs = {
    distinct_on?: InputMaybe<Array<Piece_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Type_Order_By>>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
export type Subscription_RootPiece_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Type_Order_By>>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
export type Subscription_RootPiece_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPiece_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Piece_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
export type Subscription_RootPostArgs = {
    distinct_on?: InputMaybe<Array<Post_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Order_By>>;
    where?: InputMaybe<Post_Bool_Exp>;
};
export type Subscription_RootPost_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Post_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Order_By>>;
    where?: InputMaybe<Post_Bool_Exp>;
};
export type Subscription_RootPost_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPost_EvaluationArgs = {
    distinct_on?: InputMaybe<Array<Post_Evaluation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Evaluation_Order_By>>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
export type Subscription_RootPost_Evaluation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Post_Evaluation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Evaluation_Order_By>>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
export type Subscription_RootPost_Evaluation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPost_Evaluation_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Post_Evaluation_Stream_Cursor_Input>>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
export type Subscription_RootPost_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Post_Stream_Cursor_Input>>;
    where?: InputMaybe<Post_Bool_Exp>;
};
export type Subscription_RootPreferenceArgs = {
    distinct_on?: InputMaybe<Array<Preference_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Preference_Order_By>>;
    where?: InputMaybe<Preference_Bool_Exp>;
};
export type Subscription_RootPreference_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Preference_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Preference_Order_By>>;
    where?: InputMaybe<Preference_Bool_Exp>;
};
export type Subscription_RootPreference_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Preference_Stream_Cursor_Input>>;
    where?: InputMaybe<Preference_Bool_Exp>;
};
export type Subscription_RootProductArgs = {
    distinct_on?: InputMaybe<Array<Product_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Product_Order_By>>;
    where?: InputMaybe<Product_Bool_Exp>;
};
export type Subscription_RootProduct_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Product_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Product_Order_By>>;
    where?: InputMaybe<Product_Bool_Exp>;
};
export type Subscription_RootProduct_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootProduct_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Product_Stream_Cursor_Input>>;
    where?: InputMaybe<Product_Bool_Exp>;
};
export type Subscription_RootProfileArgs = {
    distinct_on?: InputMaybe<Array<Profile_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Profile_Order_By>>;
    where?: InputMaybe<Profile_Bool_Exp>;
};
export type Subscription_RootProfile_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Profile_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Profile_Order_By>>;
    where?: InputMaybe<Profile_Bool_Exp>;
};
export type Subscription_RootProfile_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Profile_Stream_Cursor_Input>>;
    where?: InputMaybe<Profile_Bool_Exp>;
};
export type Subscription_RootPurchaseArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
export type Subscription_RootPurchase_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
export type Subscription_RootPurchase_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPurchase_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Purchase_Stream_Cursor_Input>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
export type Subscription_RootQuestArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
export type Subscription_RootQuest_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
export type Subscription_RootQuest_AncestryArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
export type Subscription_RootQuest_Ancestry_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
export type Subscription_RootQuest_Ancestry_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootQuest_Ancestry_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Quest_Ancestry_Stream_Cursor_Input>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
export type Subscription_RootQuest_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootQuest_StateArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
export type Subscription_RootQuest_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
export type Subscription_RootQuest_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootQuest_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Quest_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
export type Subscription_RootQuest_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Quest_Stream_Cursor_Input>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
export type Subscription_RootQuest_TypeArgs = {
    distinct_on?: InputMaybe<Array<Quest_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Type_Order_By>>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
export type Subscription_RootQuest_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Type_Order_By>>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
export type Subscription_RootQuest_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootQuest_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Quest_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
export type Subscription_RootResource_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Resource_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Policy_Order_By>>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
export type Subscription_RootResource_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Resource_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Policy_Order_By>>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
export type Subscription_RootResource_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootResource_Policy_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Resource_Policy_Stream_Cursor_Input>>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
export type Subscription_RootResource_PrivacyArgs = {
    distinct_on?: InputMaybe<Array<Resource_Privacy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Privacy_Order_By>>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
export type Subscription_RootResource_Privacy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Resource_Privacy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Privacy_Order_By>>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
export type Subscription_RootResource_Privacy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootResource_Privacy_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Resource_Privacy_Stream_Cursor_Input>>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_2dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_2d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_2d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootRooadmap_Gis_Cord_2d_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Rooadmap_Gis_Cord_2d_Stream_Cursor_Input>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_3dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_3d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_3d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootRooadmap_Gis_Cord_3d_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Rooadmap_Gis_Cord_3d_Stream_Cursor_Input>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_2dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_2d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_2d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootRooadmap_Gis_Location_2d_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Rooadmap_Gis_Location_2d_Stream_Cursor_Input>>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_3dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_3d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_3d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootRooadmap_Gis_Location_3d_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Rooadmap_Gis_Location_3d_Stream_Cursor_Input>>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Map_ItemArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Map_Item_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Map_Item_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootRooadmap_Gis_Map_Item_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Rooadmap_Gis_Map_Item_Stream_Cursor_Input>>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
export type Subscription_RootSearch_AreaArgs = {
    args: Search_Area_Args;
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Subscription_RootSearch_Area_AggregateArgs = {
    args: Search_Area_Args;
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Subscription_RootSearch_LocusArgs = {
    args: Search_Locus_Args;
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Subscription_RootSearch_Locus_AggregateArgs = {
    args: Search_Locus_Args;
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Subscription_RootSearch_SponsorshipArgs = {
    args: Search_Sponsorship_Args;
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Subscription_RootSearch_Sponsorship_AggregateArgs = {
    args: Search_Sponsorship_Args;
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Subscription_RootSegmentArgs = {
    distinct_on?: InputMaybe<Array<Segment_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Order_By>>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
export type Subscription_RootSegment_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Segment_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Order_By>>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
export type Subscription_RootSegment_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSegment_ExhibitionArgs = {
    distinct_on?: InputMaybe<Array<Segment_Exhibition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Exhibition_Order_By>>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
export type Subscription_RootSegment_Exhibition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Segment_Exhibition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Exhibition_Order_By>>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
export type Subscription_RootSegment_Exhibition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSegment_Exhibition_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Segment_Exhibition_Stream_Cursor_Input>>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
export type Subscription_RootSegment_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Segment_Stream_Cursor_Input>>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
export type Subscription_RootSellArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
export type Subscription_RootSell_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
export type Subscription_RootSell_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSell_ManagementArgs = {
    distinct_on?: InputMaybe<Array<Sell_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Management_Order_By>>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
export type Subscription_RootSell_Management_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sell_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Management_Order_By>>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
export type Subscription_RootSell_Management_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSell_Management_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sell_Management_Stream_Cursor_Input>>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
export type Subscription_RootSell_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sell_Stream_Cursor_Input>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
export type Subscription_RootSponsorshipArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Subscription_RootSponsorship_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Subscription_RootSponsorship_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_ConditionArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Condition_Order_By>>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
export type Subscription_RootSponsorship_Condition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Condition_Order_By>>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
export type Subscription_RootSponsorship_Condition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Condition_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Condition_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_StateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Game_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Game_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Game_State_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Game_State_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_ImagesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
export type Subscription_RootSponsorship_Images_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
export type Subscription_RootSponsorship_Images_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Images_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Images_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
export type Subscription_RootSponsorship_ImitateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Subscription_RootSponsorship_Imitate_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Subscription_RootSponsorship_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Imitate_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Imitate_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Subscription_RootSponsorship_LocusArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
export type Subscription_RootSponsorship_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
export type Subscription_RootSponsorship_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Locus_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Locus_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
export type Subscription_RootSponsorship_RequirementArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
export type Subscription_RootSponsorship_Requirement_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
export type Subscription_RootSponsorship_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Requirement_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Requirement_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
export type Subscription_RootSponsorship_Requirement_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Requirement_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Requirement_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Requirement_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Requirement_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Settlement_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Settlement_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Settlement_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Settlement_State_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Settlement_State_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_StateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_State_Order_By>>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_State_Order_By>>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Subscription_RootSponsorship_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
export type Subscription_RootSpotArgs = {
    distinct_on?: InputMaybe<Array<Spot_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Order_By>>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
export type Subscription_RootSpot_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Order_By>>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
export type Subscription_RootSpot_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSpot_InscriptionArgs = {
    distinct_on?: InputMaybe<Array<Spot_Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Inscription_Order_By>>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
export type Subscription_RootSpot_Inscription_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Inscription_Order_By>>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
export type Subscription_RootSpot_Inscription_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSpot_Inscription_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Spot_Inscription_Stream_Cursor_Input>>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
export type Subscription_RootSpot_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Spot_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Policy_Order_By>>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
export type Subscription_RootSpot_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Policy_Order_By>>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
export type Subscription_RootSpot_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSpot_Policy_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Spot_Policy_Stream_Cursor_Input>>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
export type Subscription_RootSpot_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Spot_Stream_Cursor_Input>>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
export type Subscription_RootSpot_TypeArgs = {
    distinct_on?: InputMaybe<Array<Spot_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Type_Order_By>>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
export type Subscription_RootSpot_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Type_Order_By>>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
export type Subscription_RootSpot_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSpot_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Spot_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
export type Subscription_RootSpot_UserArgs = {
    distinct_on?: InputMaybe<Array<Spot_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_User_Order_By>>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
export type Subscription_RootSpot_User_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_User_Order_By>>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
export type Subscription_RootSpot_User_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSpot_User_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Spot_User_Stream_Cursor_Input>>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
export type Subscription_RootTarget_View_TypeArgs = {
    distinct_on?: InputMaybe<Array<Target_View_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Target_View_Type_Order_By>>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
export type Subscription_RootTarget_View_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Target_View_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Target_View_Type_Order_By>>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
export type Subscription_RootTarget_View_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootTarget_View_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Target_View_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
export type Subscription_RootTaskArgs = {
    distinct_on?: InputMaybe<Array<Task_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Task_Order_By>>;
    where?: InputMaybe<Task_Bool_Exp>;
};
export type Subscription_RootTask_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Task_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Task_Order_By>>;
    where?: InputMaybe<Task_Bool_Exp>;
};
export type Subscription_RootTask_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootTask_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Task_Stream_Cursor_Input>>;
    where?: InputMaybe<Task_Bool_Exp>;
};
export type Subscription_RootThemeArgs = {
    distinct_on?: InputMaybe<Array<Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Theme_Order_By>>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
export type Subscription_RootTheme_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Theme_Order_By>>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
export type Subscription_RootTheme_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootTheme_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Theme_Stream_Cursor_Input>>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
export type Subscription_RootTreasure_UserArgs = {
    distinct_on?: InputMaybe<Array<Treasure_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Treasure_User_Order_By>>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
export type Subscription_RootTreasure_User_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Treasure_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Treasure_User_Order_By>>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
export type Subscription_RootTreasure_User_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootTreasure_User_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Treasure_User_Stream_Cursor_Input>>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
export type Subscription_RootUniverseArgs = {
    distinct_on?: InputMaybe<Array<Universe_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Order_By>>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
export type Subscription_RootUniverse_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Order_By>>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
export type Subscription_RootUniverse_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootUniverse_MemberArgs = {
    distinct_on?: InputMaybe<Array<Universe_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Member_Order_By>>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
export type Subscription_RootUniverse_Member_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Member_Order_By>>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
export type Subscription_RootUniverse_Member_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootUniverse_Member_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Universe_Member_Stream_Cursor_Input>>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
export type Subscription_RootUniverse_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Universe_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Policy_Order_By>>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
export type Subscription_RootUniverse_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Policy_Order_By>>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
export type Subscription_RootUniverse_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootUniverse_Policy_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Universe_Policy_Stream_Cursor_Input>>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
export type Subscription_RootUniverse_ResourceArgs = {
    distinct_on?: InputMaybe<Array<Universe_Resource_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Resource_Order_By>>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
export type Subscription_RootUniverse_Resource_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Resource_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Resource_Order_By>>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
export type Subscription_RootUniverse_Resource_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootUniverse_Resource_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Universe_Resource_Stream_Cursor_Input>>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
export type Subscription_RootUniverse_StateArgs = {
    distinct_on?: InputMaybe<Array<Universe_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_State_Order_By>>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
export type Subscription_RootUniverse_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_State_Order_By>>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
export type Subscription_RootUniverse_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootUniverse_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Universe_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
export type Subscription_RootUniverse_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Universe_Stream_Cursor_Input>>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
export type Subscription_RootUsersArgs = {
    distinct_on?: InputMaybe<Array<Users_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Users_Order_By>>;
    where?: InputMaybe<Users_Bool_Exp>;
};
export type Subscription_RootUsers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Users_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Users_Order_By>>;
    where?: InputMaybe<Users_Bool_Exp>;
};
export type Subscription_RootUsers_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Subscription_RootUsers_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Users_Stream_Cursor_Input>>;
    where?: InputMaybe<Users_Bool_Exp>;
};
/** define piece's native builder and renderer */
export type Target_View_Type = {
    __typename?: 'target_view_type';
    builder_name: Scalars['String'];
    builder_version: Scalars['Int'];
    id: Scalars['Int'];
    name: Scalars['String'];
    renderer_name: Scalars['String'];
    renderer_version: Scalars['Int'];
};
/** aggregated selection of "target_view_type" */
export type Target_View_Type_Aggregate = {
    __typename?: 'target_view_type_aggregate';
    aggregate?: Maybe<Target_View_Type_Aggregate_Fields>;
    nodes: Array<Target_View_Type>;
};
/** aggregate fields of "target_view_type" */
export type Target_View_Type_Aggregate_Fields = {
    __typename?: 'target_view_type_aggregate_fields';
    avg?: Maybe<Target_View_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Target_View_Type_Max_Fields>;
    min?: Maybe<Target_View_Type_Min_Fields>;
    stddev?: Maybe<Target_View_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Target_View_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Target_View_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Target_View_Type_Sum_Fields>;
    var_pop?: Maybe<Target_View_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Target_View_Type_Var_Samp_Fields>;
    variance?: Maybe<Target_View_Type_Variance_Fields>;
};
/** aggregate fields of "target_view_type" */
export type Target_View_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Target_View_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Target_View_Type_Avg_Fields = {
    __typename?: 'target_view_type_avg_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "target_view_type". All fields are combined with a logical 'AND'. */
export type Target_View_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Target_View_Type_Bool_Exp>>;
    _not?: InputMaybe<Target_View_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Target_View_Type_Bool_Exp>>;
    builder_name?: InputMaybe<String_Comparison_Exp>;
    builder_version?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    renderer_name?: InputMaybe<String_Comparison_Exp>;
    renderer_version?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "target_view_type" */
export declare enum Target_View_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    TargetViewTypePkey = "target_view_type_pkey"
}
/** input type for incrementing numeric columns in table "target_view_type" */
export type Target_View_Type_Inc_Input = {
    builder_version?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    renderer_version?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "target_view_type" */
export type Target_View_Type_Insert_Input = {
    builder_name?: InputMaybe<Scalars['String']>;
    builder_version?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    renderer_name?: InputMaybe<Scalars['String']>;
    renderer_version?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Target_View_Type_Max_Fields = {
    __typename?: 'target_view_type_max_fields';
    builder_name?: Maybe<Scalars['String']>;
    builder_version?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    renderer_name?: Maybe<Scalars['String']>;
    renderer_version?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Target_View_Type_Min_Fields = {
    __typename?: 'target_view_type_min_fields';
    builder_name?: Maybe<Scalars['String']>;
    builder_version?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    renderer_name?: Maybe<Scalars['String']>;
    renderer_version?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "target_view_type" */
export type Target_View_Type_Mutation_Response = {
    __typename?: 'target_view_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Target_View_Type>;
};
/** input type for inserting object relation for remote table "target_view_type" */
export type Target_View_Type_Obj_Rel_Insert_Input = {
    data: Target_View_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Target_View_Type_On_Conflict>;
};
/** on_conflict condition type for table "target_view_type" */
export type Target_View_Type_On_Conflict = {
    constraint: Target_View_Type_Constraint;
    update_columns?: Array<Target_View_Type_Update_Column>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "target_view_type". */
export type Target_View_Type_Order_By = {
    builder_name?: InputMaybe<Order_By>;
    builder_version?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    renderer_name?: InputMaybe<Order_By>;
    renderer_version?: InputMaybe<Order_By>;
};
/** primary key columns input for table: target_view_type */
export type Target_View_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "target_view_type" */
export declare enum Target_View_Type_Select_Column {
    /** column name */
    BuilderName = "builder_name",
    /** column name */
    BuilderVersion = "builder_version",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    RendererName = "renderer_name",
    /** column name */
    RendererVersion = "renderer_version"
}
/** input type for updating data in table "target_view_type" */
export type Target_View_Type_Set_Input = {
    builder_name?: InputMaybe<Scalars['String']>;
    builder_version?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    renderer_name?: InputMaybe<Scalars['String']>;
    renderer_version?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Target_View_Type_Stddev_Fields = {
    __typename?: 'target_view_type_stddev_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Target_View_Type_Stddev_Pop_Fields = {
    __typename?: 'target_view_type_stddev_pop_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Target_View_Type_Stddev_Samp_Fields = {
    __typename?: 'target_view_type_stddev_samp_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "target_view_type" */
export type Target_View_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Target_View_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Target_View_Type_Stream_Cursor_Value_Input = {
    builder_name?: InputMaybe<Scalars['String']>;
    builder_version?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    renderer_name?: InputMaybe<Scalars['String']>;
    renderer_version?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Target_View_Type_Sum_Fields = {
    __typename?: 'target_view_type_sum_fields';
    builder_version?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    renderer_version?: Maybe<Scalars['Int']>;
};
/** update columns of table "target_view_type" */
export declare enum Target_View_Type_Update_Column {
    /** column name */
    BuilderName = "builder_name",
    /** column name */
    BuilderVersion = "builder_version",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    RendererName = "renderer_name",
    /** column name */
    RendererVersion = "renderer_version"
}
export type Target_View_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Target_View_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Target_View_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Target_View_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Target_View_Type_Var_Pop_Fields = {
    __typename?: 'target_view_type_var_pop_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Target_View_Type_Var_Samp_Fields = {
    __typename?: 'target_view_type_var_samp_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Target_View_Type_Variance_Fields = {
    __typename?: 'target_view_type_variance_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "task" */
export type Task = {
    __typename?: 'task';
    /** An object relationship */
    answerType?: Maybe<Answer_Type>;
    answer_code?: Maybe<Scalars['String']>;
    answer_type_id?: Maybe<Scalars['Int']>;
    created_at: Scalars['timestamptz'];
    done?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    /** An object relationship */
    judge?: Maybe<Judge>;
    judge_id?: Maybe<Scalars['Int']>;
    next_quest_id?: Maybe<Scalars['Int']>;
    reject?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    subject?: Maybe<Treasure_User>;
    subject_user_id?: Maybe<Scalars['Int']>;
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "task" */
export type Task_Aggregate = {
    __typename?: 'task_aggregate';
    aggregate?: Maybe<Task_Aggregate_Fields>;
    nodes: Array<Task>;
};
/** aggregate fields of "task" */
export type Task_Aggregate_Fields = {
    __typename?: 'task_aggregate_fields';
    avg?: Maybe<Task_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Task_Max_Fields>;
    min?: Maybe<Task_Min_Fields>;
    stddev?: Maybe<Task_Stddev_Fields>;
    stddev_pop?: Maybe<Task_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Task_Stddev_Samp_Fields>;
    sum?: Maybe<Task_Sum_Fields>;
    var_pop?: Maybe<Task_Var_Pop_Fields>;
    var_samp?: Maybe<Task_Var_Samp_Fields>;
    variance?: Maybe<Task_Variance_Fields>;
};
/** aggregate fields of "task" */
export type Task_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Task_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Task_Avg_Fields = {
    __typename?: 'task_avg_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "task". All fields are combined with a logical 'AND'. */
export type Task_Bool_Exp = {
    _and?: InputMaybe<Array<Task_Bool_Exp>>;
    _not?: InputMaybe<Task_Bool_Exp>;
    _or?: InputMaybe<Array<Task_Bool_Exp>>;
    answerType?: InputMaybe<Answer_Type_Bool_Exp>;
    answer_code?: InputMaybe<String_Comparison_Exp>;
    answer_type_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    done?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    judge?: InputMaybe<Judge_Bool_Exp>;
    judge_id?: InputMaybe<Int_Comparison_Exp>;
    next_quest_id?: InputMaybe<Int_Comparison_Exp>;
    reject?: InputMaybe<Boolean_Comparison_Exp>;
    subject?: InputMaybe<Treasure_User_Bool_Exp>;
    subject_user_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "task" */
export declare enum Task_Constraint {
    /** unique or primary key constraint on columns "id" */
    TaskPkey = "task_pkey"
}
/** input type for incrementing numeric columns in table "task" */
export type Task_Inc_Input = {
    answer_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    judge_id?: InputMaybe<Scalars['Int']>;
    next_quest_id?: InputMaybe<Scalars['Int']>;
    subject_user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "task" */
export type Task_Insert_Input = {
    answerType?: InputMaybe<Answer_Type_Obj_Rel_Insert_Input>;
    answer_code?: InputMaybe<Scalars['String']>;
    answer_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    done?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    judge?: InputMaybe<Judge_Obj_Rel_Insert_Input>;
    judge_id?: InputMaybe<Scalars['Int']>;
    next_quest_id?: InputMaybe<Scalars['Int']>;
    reject?: InputMaybe<Scalars['Boolean']>;
    subject?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    subject_user_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Task_Max_Fields = {
    __typename?: 'task_max_fields';
    answer_code?: Maybe<Scalars['String']>;
    answer_type_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    judge_id?: Maybe<Scalars['Int']>;
    next_quest_id?: Maybe<Scalars['Int']>;
    subject_user_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Task_Min_Fields = {
    __typename?: 'task_min_fields';
    answer_code?: Maybe<Scalars['String']>;
    answer_type_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    judge_id?: Maybe<Scalars['Int']>;
    next_quest_id?: Maybe<Scalars['Int']>;
    subject_user_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "task" */
export type Task_Mutation_Response = {
    __typename?: 'task_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Task>;
};
/** on_conflict condition type for table "task" */
export type Task_On_Conflict = {
    constraint: Task_Constraint;
    update_columns?: Array<Task_Update_Column>;
    where?: InputMaybe<Task_Bool_Exp>;
};
/** Ordering options when selecting data from "task". */
export type Task_Order_By = {
    answerType?: InputMaybe<Answer_Type_Order_By>;
    answer_code?: InputMaybe<Order_By>;
    answer_type_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    done?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Judge_Order_By>;
    judge_id?: InputMaybe<Order_By>;
    next_quest_id?: InputMaybe<Order_By>;
    reject?: InputMaybe<Order_By>;
    subject?: InputMaybe<Treasure_User_Order_By>;
    subject_user_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: task */
export type Task_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "task" */
export declare enum Task_Select_Column {
    /** column name */
    AnswerCode = "answer_code",
    /** column name */
    AnswerTypeId = "answer_type_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Done = "done",
    /** column name */
    Id = "id",
    /** column name */
    JudgeId = "judge_id",
    /** column name */
    NextQuestId = "next_quest_id",
    /** column name */
    Reject = "reject",
    /** column name */
    SubjectUserId = "subject_user_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "task" */
export type Task_Set_Input = {
    answer_code?: InputMaybe<Scalars['String']>;
    answer_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    done?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    judge_id?: InputMaybe<Scalars['Int']>;
    next_quest_id?: InputMaybe<Scalars['Int']>;
    reject?: InputMaybe<Scalars['Boolean']>;
    subject_user_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Task_Stddev_Fields = {
    __typename?: 'task_stddev_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Task_Stddev_Pop_Fields = {
    __typename?: 'task_stddev_pop_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Task_Stddev_Samp_Fields = {
    __typename?: 'task_stddev_samp_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "task" */
export type Task_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Task_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Task_Stream_Cursor_Value_Input = {
    answer_code?: InputMaybe<Scalars['String']>;
    answer_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    done?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    judge_id?: InputMaybe<Scalars['Int']>;
    next_quest_id?: InputMaybe<Scalars['Int']>;
    reject?: InputMaybe<Scalars['Boolean']>;
    subject_user_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Task_Sum_Fields = {
    __typename?: 'task_sum_fields';
    answer_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    judge_id?: Maybe<Scalars['Int']>;
    next_quest_id?: Maybe<Scalars['Int']>;
    subject_user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "task" */
export declare enum Task_Update_Column {
    /** column name */
    AnswerCode = "answer_code",
    /** column name */
    AnswerTypeId = "answer_type_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Done = "done",
    /** column name */
    Id = "id",
    /** column name */
    JudgeId = "judge_id",
    /** column name */
    NextQuestId = "next_quest_id",
    /** column name */
    Reject = "reject",
    /** column name */
    SubjectUserId = "subject_user_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Task_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Task_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Task_Set_Input>;
    /** filter the rows which have to be updated */
    where: Task_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Task_Var_Pop_Fields = {
    __typename?: 'task_var_pop_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Task_Var_Samp_Fields = {
    __typename?: 'task_var_samp_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Task_Variance_Fields = {
    __typename?: 'task_variance_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "theme" */
export type Theme = {
    __typename?: 'theme';
    description: Scalars['String'];
    id: Scalars['Int'];
    title: Scalars['String'];
};
/** aggregated selection of "theme" */
export type Theme_Aggregate = {
    __typename?: 'theme_aggregate';
    aggregate?: Maybe<Theme_Aggregate_Fields>;
    nodes: Array<Theme>;
};
/** aggregate fields of "theme" */
export type Theme_Aggregate_Fields = {
    __typename?: 'theme_aggregate_fields';
    avg?: Maybe<Theme_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Theme_Max_Fields>;
    min?: Maybe<Theme_Min_Fields>;
    stddev?: Maybe<Theme_Stddev_Fields>;
    stddev_pop?: Maybe<Theme_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Theme_Stddev_Samp_Fields>;
    sum?: Maybe<Theme_Sum_Fields>;
    var_pop?: Maybe<Theme_Var_Pop_Fields>;
    var_samp?: Maybe<Theme_Var_Samp_Fields>;
    variance?: Maybe<Theme_Variance_Fields>;
};
/** aggregate fields of "theme" */
export type Theme_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Theme_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Theme_Avg_Fields = {
    __typename?: 'theme_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "theme". All fields are combined with a logical 'AND'. */
export type Theme_Bool_Exp = {
    _and?: InputMaybe<Array<Theme_Bool_Exp>>;
    _not?: InputMaybe<Theme_Bool_Exp>;
    _or?: InputMaybe<Array<Theme_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "theme" */
export declare enum Theme_Constraint {
    /** unique or primary key constraint on columns "id" */
    ThemePkey = "theme_pkey"
}
/** input type for incrementing numeric columns in table "theme" */
export type Theme_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "theme" */
export type Theme_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Theme_Max_Fields = {
    __typename?: 'theme_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Theme_Min_Fields = {
    __typename?: 'theme_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "theme" */
export type Theme_Mutation_Response = {
    __typename?: 'theme_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Theme>;
};
/** input type for inserting object relation for remote table "theme" */
export type Theme_Obj_Rel_Insert_Input = {
    data: Theme_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Theme_On_Conflict>;
};
/** on_conflict condition type for table "theme" */
export type Theme_On_Conflict = {
    constraint: Theme_Constraint;
    update_columns?: Array<Theme_Update_Column>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
/** Ordering options when selecting data from "theme". */
export type Theme_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: theme */
export type Theme_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "theme" */
export declare enum Theme_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "theme" */
export type Theme_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Theme_Stddev_Fields = {
    __typename?: 'theme_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Theme_Stddev_Pop_Fields = {
    __typename?: 'theme_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Theme_Stddev_Samp_Fields = {
    __typename?: 'theme_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "theme" */
export type Theme_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Theme_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Theme_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Theme_Sum_Fields = {
    __typename?: 'theme_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "theme" */
export declare enum Theme_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title"
}
export type Theme_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Theme_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Theme_Set_Input>;
    /** filter the rows which have to be updated */
    where: Theme_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Theme_Var_Pop_Fields = {
    __typename?: 'theme_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Theme_Var_Samp_Fields = {
    __typename?: 'theme_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Theme_Variance_Fields = {
    __typename?: 'theme_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to compare columns of type "time". All fields are combined with logical 'AND'. */
export type Time_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['time']>;
    _gt?: InputMaybe<Scalars['time']>;
    _gte?: InputMaybe<Scalars['time']>;
    _in?: InputMaybe<Array<Scalars['time']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['time']>;
    _lte?: InputMaybe<Scalars['time']>;
    _neq?: InputMaybe<Scalars['time']>;
    _nin?: InputMaybe<Array<Scalars['time']>>;
};
/** Boolean expression to compare columns of type "timestamp". All fields are combined with logical 'AND'. */
export type Timestamp_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['timestamp']>;
    _gt?: InputMaybe<Scalars['timestamp']>;
    _gte?: InputMaybe<Scalars['timestamp']>;
    _in?: InputMaybe<Array<Scalars['timestamp']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['timestamp']>;
    _lte?: InputMaybe<Scalars['timestamp']>;
    _neq?: InputMaybe<Scalars['timestamp']>;
    _nin?: InputMaybe<Array<Scalars['timestamp']>>;
};
/** Boolean expression to compare columns of type "timestamptz". All fields are combined with logical 'AND'. */
export type Timestamptz_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['timestamptz']>;
    _gt?: InputMaybe<Scalars['timestamptz']>;
    _gte?: InputMaybe<Scalars['timestamptz']>;
    _in?: InputMaybe<Array<Scalars['timestamptz']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['timestamptz']>;
    _lte?: InputMaybe<Scalars['timestamptz']>;
    _neq?: InputMaybe<Scalars['timestamptz']>;
    _nin?: InputMaybe<Array<Scalars['timestamptz']>>;
};
/** Boolean expression to compare columns of type "timetz". All fields are combined with logical 'AND'. */
export type Timetz_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['timetz']>;
    _gt?: InputMaybe<Scalars['timetz']>;
    _gte?: InputMaybe<Scalars['timetz']>;
    _in?: InputMaybe<Array<Scalars['timetz']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['timetz']>;
    _lte?: InputMaybe<Scalars['timetz']>;
    _neq?: InputMaybe<Scalars['timetz']>;
    _nin?: InputMaybe<Array<Scalars['timetz']>>;
};
/** columns and relationships of "treasure_user" */
export type Treasure_User = {
    __typename?: 'treasure_user';
    created_at?: Maybe<Scalars['timestamp']>;
    email?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    last_seen?: Maybe<Scalars['timestamp']>;
    name?: Maybe<Scalars['String']>;
    /** An object relationship */
    user?: Maybe<Users>;
};
/** aggregated selection of "treasure_user" */
export type Treasure_User_Aggregate = {
    __typename?: 'treasure_user_aggregate';
    aggregate?: Maybe<Treasure_User_Aggregate_Fields>;
    nodes: Array<Treasure_User>;
};
/** aggregate fields of "treasure_user" */
export type Treasure_User_Aggregate_Fields = {
    __typename?: 'treasure_user_aggregate_fields';
    avg?: Maybe<Treasure_User_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Treasure_User_Max_Fields>;
    min?: Maybe<Treasure_User_Min_Fields>;
    stddev?: Maybe<Treasure_User_Stddev_Fields>;
    stddev_pop?: Maybe<Treasure_User_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Treasure_User_Stddev_Samp_Fields>;
    sum?: Maybe<Treasure_User_Sum_Fields>;
    var_pop?: Maybe<Treasure_User_Var_Pop_Fields>;
    var_samp?: Maybe<Treasure_User_Var_Samp_Fields>;
    variance?: Maybe<Treasure_User_Variance_Fields>;
};
/** aggregate fields of "treasure_user" */
export type Treasure_User_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Treasure_User_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Treasure_User_Avg_Fields = {
    __typename?: 'treasure_user_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "treasure_user". All fields are combined with a logical 'AND'. */
export type Treasure_User_Bool_Exp = {
    _and?: InputMaybe<Array<Treasure_User_Bool_Exp>>;
    _not?: InputMaybe<Treasure_User_Bool_Exp>;
    _or?: InputMaybe<Array<Treasure_User_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    email?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    user?: InputMaybe<Users_Bool_Exp>;
};
/** unique or primary key constraints on table "treasure_user" */
export declare enum Treasure_User_Constraint {
    /** unique or primary key constraint on columns "name" */
    TreasureUserNameKey = "treasure_user_name_key",
    /** unique or primary key constraint on columns "id" */
    TreasureUserPkey = "treasure_user_pkey"
}
/** input type for incrementing numeric columns in table "treasure_user" */
export type Treasure_User_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "treasure_user" */
export type Treasure_User_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    name?: InputMaybe<Scalars['String']>;
    user?: InputMaybe<Users_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Treasure_User_Max_Fields = {
    __typename?: 'treasure_user_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Treasure_User_Min_Fields = {
    __typename?: 'treasure_user_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "treasure_user" */
export type Treasure_User_Mutation_Response = {
    __typename?: 'treasure_user_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Treasure_User>;
};
/** input type for inserting object relation for remote table "treasure_user" */
export type Treasure_User_Obj_Rel_Insert_Input = {
    data: Treasure_User_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Treasure_User_On_Conflict>;
};
/** on_conflict condition type for table "treasure_user" */
export type Treasure_User_On_Conflict = {
    constraint: Treasure_User_Constraint;
    update_columns?: Array<Treasure_User_Update_Column>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
/** Ordering options when selecting data from "treasure_user". */
export type Treasure_User_Order_By = {
    created_at?: InputMaybe<Order_By>;
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    user?: InputMaybe<Users_Order_By>;
};
/** primary key columns input for table: treasure_user */
export type Treasure_User_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "treasure_user" */
export declare enum Treasure_User_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "treasure_user" */
export type Treasure_User_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Treasure_User_Stddev_Fields = {
    __typename?: 'treasure_user_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Treasure_User_Stddev_Pop_Fields = {
    __typename?: 'treasure_user_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Treasure_User_Stddev_Samp_Fields = {
    __typename?: 'treasure_user_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "treasure_user" */
export type Treasure_User_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Treasure_User_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Treasure_User_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Treasure_User_Sum_Fields = {
    __typename?: 'treasure_user_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "treasure_user" */
export declare enum Treasure_User_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Name = "name"
}
export type Treasure_User_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Treasure_User_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Treasure_User_Set_Input>;
    /** filter the rows which have to be updated */
    where: Treasure_User_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Treasure_User_Var_Pop_Fields = {
    __typename?: 'treasure_user_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Treasure_User_Var_Samp_Fields = {
    __typename?: 'treasure_user_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Treasure_User_Variance_Fields = {
    __typename?: 'treasure_user_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to compare columns of type "tsvector". All fields are combined with logical 'AND'. */
export type Tsvector_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['tsvector']>;
    _gt?: InputMaybe<Scalars['tsvector']>;
    _gte?: InputMaybe<Scalars['tsvector']>;
    _in?: InputMaybe<Array<Scalars['tsvector']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['tsvector']>;
    _lte?: InputMaybe<Scalars['tsvector']>;
    _neq?: InputMaybe<Scalars['tsvector']>;
    _nin?: InputMaybe<Array<Scalars['tsvector']>>;
};
/** columns and relationships of "universe" */
export type Universe = {
    __typename?: 'universe';
    created_at?: Maybe<Scalars['timestamptz']>;
    description: Scalars['String'];
    id: Scalars['Int'];
    name: Scalars['String'];
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregated selection of "universe" */
export type Universe_Aggregate = {
    __typename?: 'universe_aggregate';
    aggregate?: Maybe<Universe_Aggregate_Fields>;
    nodes: Array<Universe>;
};
/** aggregate fields of "universe" */
export type Universe_Aggregate_Fields = {
    __typename?: 'universe_aggregate_fields';
    avg?: Maybe<Universe_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Universe_Max_Fields>;
    min?: Maybe<Universe_Min_Fields>;
    stddev?: Maybe<Universe_Stddev_Fields>;
    stddev_pop?: Maybe<Universe_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Universe_Stddev_Samp_Fields>;
    sum?: Maybe<Universe_Sum_Fields>;
    var_pop?: Maybe<Universe_Var_Pop_Fields>;
    var_samp?: Maybe<Universe_Var_Samp_Fields>;
    variance?: Maybe<Universe_Variance_Fields>;
};
/** aggregate fields of "universe" */
export type Universe_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Universe_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Universe_Avg_Fields = {
    __typename?: 'universe_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "universe". All fields are combined with a logical 'AND'. */
export type Universe_Bool_Exp = {
    _and?: InputMaybe<Array<Universe_Bool_Exp>>;
    _not?: InputMaybe<Universe_Bool_Exp>;
    _or?: InputMaybe<Array<Universe_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "universe" */
export declare enum Universe_Constraint {
    /** unique or primary key constraint on columns "id" */
    UniversePkey = "universe_pkey"
}
/** input type for incrementing numeric columns in table "universe" */
export type Universe_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "universe" */
export type Universe_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Universe_Max_Fields = {
    __typename?: 'universe_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** columns and relationships of "universe_member" */
export type Universe_Member = {
    __typename?: 'universe_member';
    created_at?: Maybe<Scalars['timestamptz']>;
    id: Scalars['Int'];
    /** An object relationship */
    member: Treasure_User;
    member_id: Scalars['Int'];
    /** An object relationship */
    universe: Universe;
    universe_id: Scalars['Int'];
};
/** aggregated selection of "universe_member" */
export type Universe_Member_Aggregate = {
    __typename?: 'universe_member_aggregate';
    aggregate?: Maybe<Universe_Member_Aggregate_Fields>;
    nodes: Array<Universe_Member>;
};
/** aggregate fields of "universe_member" */
export type Universe_Member_Aggregate_Fields = {
    __typename?: 'universe_member_aggregate_fields';
    avg?: Maybe<Universe_Member_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Universe_Member_Max_Fields>;
    min?: Maybe<Universe_Member_Min_Fields>;
    stddev?: Maybe<Universe_Member_Stddev_Fields>;
    stddev_pop?: Maybe<Universe_Member_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Universe_Member_Stddev_Samp_Fields>;
    sum?: Maybe<Universe_Member_Sum_Fields>;
    var_pop?: Maybe<Universe_Member_Var_Pop_Fields>;
    var_samp?: Maybe<Universe_Member_Var_Samp_Fields>;
    variance?: Maybe<Universe_Member_Variance_Fields>;
};
/** aggregate fields of "universe_member" */
export type Universe_Member_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Universe_Member_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Universe_Member_Avg_Fields = {
    __typename?: 'universe_member_avg_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "universe_member". All fields are combined with a logical 'AND'. */
export type Universe_Member_Bool_Exp = {
    _and?: InputMaybe<Array<Universe_Member_Bool_Exp>>;
    _not?: InputMaybe<Universe_Member_Bool_Exp>;
    _or?: InputMaybe<Array<Universe_Member_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    member?: InputMaybe<Treasure_User_Bool_Exp>;
    member_id?: InputMaybe<Int_Comparison_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "universe_member" */
export declare enum Universe_Member_Constraint {
    /** unique or primary key constraint on columns "id" */
    UniverseMemberPkey = "universe_member_pkey"
}
/** input type for incrementing numeric columns in table "universe_member" */
export type Universe_Member_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "universe_member" */
export type Universe_Member_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    member?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    member_id?: InputMaybe<Scalars['Int']>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Universe_Member_Max_Fields = {
    __typename?: 'universe_member_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Universe_Member_Min_Fields = {
    __typename?: 'universe_member_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "universe_member" */
export type Universe_Member_Mutation_Response = {
    __typename?: 'universe_member_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Universe_Member>;
};
/** on_conflict condition type for table "universe_member" */
export type Universe_Member_On_Conflict = {
    constraint: Universe_Member_Constraint;
    update_columns?: Array<Universe_Member_Update_Column>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
/** Ordering options when selecting data from "universe_member". */
export type Universe_Member_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    member?: InputMaybe<Treasure_User_Order_By>;
    member_id?: InputMaybe<Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: universe_member */
export type Universe_Member_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "universe_member" */
export declare enum Universe_Member_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    MemberId = "member_id",
    /** column name */
    UniverseId = "universe_id"
}
/** input type for updating data in table "universe_member" */
export type Universe_Member_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Universe_Member_Stddev_Fields = {
    __typename?: 'universe_member_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Universe_Member_Stddev_Pop_Fields = {
    __typename?: 'universe_member_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Universe_Member_Stddev_Samp_Fields = {
    __typename?: 'universe_member_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "universe_member" */
export type Universe_Member_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Universe_Member_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Universe_Member_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Universe_Member_Sum_Fields = {
    __typename?: 'universe_member_sum_fields';
    id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "universe_member" */
export declare enum Universe_Member_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    MemberId = "member_id",
    /** column name */
    UniverseId = "universe_id"
}
export type Universe_Member_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Universe_Member_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Universe_Member_Set_Input>;
    /** filter the rows which have to be updated */
    where: Universe_Member_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Universe_Member_Var_Pop_Fields = {
    __typename?: 'universe_member_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Universe_Member_Var_Samp_Fields = {
    __typename?: 'universe_member_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Universe_Member_Variance_Fields = {
    __typename?: 'universe_member_variance_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate min on columns */
export type Universe_Min_Fields = {
    __typename?: 'universe_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "universe" */
export type Universe_Mutation_Response = {
    __typename?: 'universe_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Universe>;
};
/** input type for inserting object relation for remote table "universe" */
export type Universe_Obj_Rel_Insert_Input = {
    data: Universe_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Universe_On_Conflict>;
};
/** on_conflict condition type for table "universe" */
export type Universe_On_Conflict = {
    constraint: Universe_Constraint;
    update_columns?: Array<Universe_Update_Column>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
/** Ordering options when selecting data from "universe". */
export type Universe_Order_By = {
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: universe */
export type Universe_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "universe_policy" */
export type Universe_Policy = {
    __typename?: 'universe_policy';
    id: Scalars['Int'];
};
/** aggregated selection of "universe_policy" */
export type Universe_Policy_Aggregate = {
    __typename?: 'universe_policy_aggregate';
    aggregate?: Maybe<Universe_Policy_Aggregate_Fields>;
    nodes: Array<Universe_Policy>;
};
/** aggregate fields of "universe_policy" */
export type Universe_Policy_Aggregate_Fields = {
    __typename?: 'universe_policy_aggregate_fields';
    avg?: Maybe<Universe_Policy_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Universe_Policy_Max_Fields>;
    min?: Maybe<Universe_Policy_Min_Fields>;
    stddev?: Maybe<Universe_Policy_Stddev_Fields>;
    stddev_pop?: Maybe<Universe_Policy_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Universe_Policy_Stddev_Samp_Fields>;
    sum?: Maybe<Universe_Policy_Sum_Fields>;
    var_pop?: Maybe<Universe_Policy_Var_Pop_Fields>;
    var_samp?: Maybe<Universe_Policy_Var_Samp_Fields>;
    variance?: Maybe<Universe_Policy_Variance_Fields>;
};
/** aggregate fields of "universe_policy" */
export type Universe_Policy_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Universe_Policy_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Universe_Policy_Avg_Fields = {
    __typename?: 'universe_policy_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "universe_policy". All fields are combined with a logical 'AND'. */
export type Universe_Policy_Bool_Exp = {
    _and?: InputMaybe<Array<Universe_Policy_Bool_Exp>>;
    _not?: InputMaybe<Universe_Policy_Bool_Exp>;
    _or?: InputMaybe<Array<Universe_Policy_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "universe_policy" */
export declare enum Universe_Policy_Constraint {
    /** unique or primary key constraint on columns "id" */
    UniversePolicyPkey = "universe_policy_pkey"
}
/** input type for incrementing numeric columns in table "universe_policy" */
export type Universe_Policy_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "universe_policy" */
export type Universe_Policy_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Universe_Policy_Max_Fields = {
    __typename?: 'universe_policy_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Universe_Policy_Min_Fields = {
    __typename?: 'universe_policy_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "universe_policy" */
export type Universe_Policy_Mutation_Response = {
    __typename?: 'universe_policy_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Universe_Policy>;
};
/** on_conflict condition type for table "universe_policy" */
export type Universe_Policy_On_Conflict = {
    constraint: Universe_Policy_Constraint;
    update_columns?: Array<Universe_Policy_Update_Column>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
/** Ordering options when selecting data from "universe_policy". */
export type Universe_Policy_Order_By = {
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: universe_policy */
export type Universe_Policy_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "universe_policy" */
export declare enum Universe_Policy_Select_Column {
    /** column name */
    Id = "id"
}
/** input type for updating data in table "universe_policy" */
export type Universe_Policy_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Universe_Policy_Stddev_Fields = {
    __typename?: 'universe_policy_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Universe_Policy_Stddev_Pop_Fields = {
    __typename?: 'universe_policy_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Universe_Policy_Stddev_Samp_Fields = {
    __typename?: 'universe_policy_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "universe_policy" */
export type Universe_Policy_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Universe_Policy_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Universe_Policy_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Universe_Policy_Sum_Fields = {
    __typename?: 'universe_policy_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "universe_policy" */
export declare enum Universe_Policy_Update_Column {
    /** column name */
    Id = "id"
}
export type Universe_Policy_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Universe_Policy_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Universe_Policy_Set_Input>;
    /** filter the rows which have to be updated */
    where: Universe_Policy_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Universe_Policy_Var_Pop_Fields = {
    __typename?: 'universe_policy_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Universe_Policy_Var_Samp_Fields = {
    __typename?: 'universe_policy_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Universe_Policy_Variance_Fields = {
    __typename?: 'universe_policy_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "universe_resource" */
export type Universe_Resource = {
    __typename?: 'universe_resource';
    id: Scalars['Int'];
};
/** aggregated selection of "universe_resource" */
export type Universe_Resource_Aggregate = {
    __typename?: 'universe_resource_aggregate';
    aggregate?: Maybe<Universe_Resource_Aggregate_Fields>;
    nodes: Array<Universe_Resource>;
};
/** aggregate fields of "universe_resource" */
export type Universe_Resource_Aggregate_Fields = {
    __typename?: 'universe_resource_aggregate_fields';
    avg?: Maybe<Universe_Resource_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Universe_Resource_Max_Fields>;
    min?: Maybe<Universe_Resource_Min_Fields>;
    stddev?: Maybe<Universe_Resource_Stddev_Fields>;
    stddev_pop?: Maybe<Universe_Resource_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Universe_Resource_Stddev_Samp_Fields>;
    sum?: Maybe<Universe_Resource_Sum_Fields>;
    var_pop?: Maybe<Universe_Resource_Var_Pop_Fields>;
    var_samp?: Maybe<Universe_Resource_Var_Samp_Fields>;
    variance?: Maybe<Universe_Resource_Variance_Fields>;
};
/** aggregate fields of "universe_resource" */
export type Universe_Resource_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Universe_Resource_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Universe_Resource_Avg_Fields = {
    __typename?: 'universe_resource_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "universe_resource". All fields are combined with a logical 'AND'. */
export type Universe_Resource_Bool_Exp = {
    _and?: InputMaybe<Array<Universe_Resource_Bool_Exp>>;
    _not?: InputMaybe<Universe_Resource_Bool_Exp>;
    _or?: InputMaybe<Array<Universe_Resource_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "universe_resource" */
export declare enum Universe_Resource_Constraint {
    /** unique or primary key constraint on columns "id" */
    UniverseResourcePkey = "universe_resource_pkey"
}
/** input type for incrementing numeric columns in table "universe_resource" */
export type Universe_Resource_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "universe_resource" */
export type Universe_Resource_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Universe_Resource_Max_Fields = {
    __typename?: 'universe_resource_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Universe_Resource_Min_Fields = {
    __typename?: 'universe_resource_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "universe_resource" */
export type Universe_Resource_Mutation_Response = {
    __typename?: 'universe_resource_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Universe_Resource>;
};
/** on_conflict condition type for table "universe_resource" */
export type Universe_Resource_On_Conflict = {
    constraint: Universe_Resource_Constraint;
    update_columns?: Array<Universe_Resource_Update_Column>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
/** Ordering options when selecting data from "universe_resource". */
export type Universe_Resource_Order_By = {
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: universe_resource */
export type Universe_Resource_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "universe_resource" */
export declare enum Universe_Resource_Select_Column {
    /** column name */
    Id = "id"
}
/** input type for updating data in table "universe_resource" */
export type Universe_Resource_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Universe_Resource_Stddev_Fields = {
    __typename?: 'universe_resource_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Universe_Resource_Stddev_Pop_Fields = {
    __typename?: 'universe_resource_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Universe_Resource_Stddev_Samp_Fields = {
    __typename?: 'universe_resource_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "universe_resource" */
export type Universe_Resource_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Universe_Resource_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Universe_Resource_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Universe_Resource_Sum_Fields = {
    __typename?: 'universe_resource_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "universe_resource" */
export declare enum Universe_Resource_Update_Column {
    /** column name */
    Id = "id"
}
export type Universe_Resource_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Universe_Resource_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Universe_Resource_Set_Input>;
    /** filter the rows which have to be updated */
    where: Universe_Resource_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Universe_Resource_Var_Pop_Fields = {
    __typename?: 'universe_resource_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Universe_Resource_Var_Samp_Fields = {
    __typename?: 'universe_resource_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Universe_Resource_Variance_Fields = {
    __typename?: 'universe_resource_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** select columns of table "universe" */
export declare enum Universe_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "universe" */
export type Universe_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** columns and relationships of "universe_state" */
export type Universe_State = {
    __typename?: 'universe_state';
    id: Scalars['Int'];
    /** An object relationship */
    universe: Universe;
    universe_id: Scalars['Int'];
};
/** aggregated selection of "universe_state" */
export type Universe_State_Aggregate = {
    __typename?: 'universe_state_aggregate';
    aggregate?: Maybe<Universe_State_Aggregate_Fields>;
    nodes: Array<Universe_State>;
};
/** aggregate fields of "universe_state" */
export type Universe_State_Aggregate_Fields = {
    __typename?: 'universe_state_aggregate_fields';
    avg?: Maybe<Universe_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Universe_State_Max_Fields>;
    min?: Maybe<Universe_State_Min_Fields>;
    stddev?: Maybe<Universe_State_Stddev_Fields>;
    stddev_pop?: Maybe<Universe_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Universe_State_Stddev_Samp_Fields>;
    sum?: Maybe<Universe_State_Sum_Fields>;
    var_pop?: Maybe<Universe_State_Var_Pop_Fields>;
    var_samp?: Maybe<Universe_State_Var_Samp_Fields>;
    variance?: Maybe<Universe_State_Variance_Fields>;
};
/** aggregate fields of "universe_state" */
export type Universe_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Universe_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Universe_State_Avg_Fields = {
    __typename?: 'universe_state_avg_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "universe_state". All fields are combined with a logical 'AND'. */
export type Universe_State_Bool_Exp = {
    _and?: InputMaybe<Array<Universe_State_Bool_Exp>>;
    _not?: InputMaybe<Universe_State_Bool_Exp>;
    _or?: InputMaybe<Array<Universe_State_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "universe_state" */
export declare enum Universe_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    UniverseStatePkey = "universe_state_pkey"
}
/** input type for incrementing numeric columns in table "universe_state" */
export type Universe_State_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "universe_state" */
export type Universe_State_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Universe_State_Max_Fields = {
    __typename?: 'universe_state_max_fields';
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Universe_State_Min_Fields = {
    __typename?: 'universe_state_min_fields';
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "universe_state" */
export type Universe_State_Mutation_Response = {
    __typename?: 'universe_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Universe_State>;
};
/** on_conflict condition type for table "universe_state" */
export type Universe_State_On_Conflict = {
    constraint: Universe_State_Constraint;
    update_columns?: Array<Universe_State_Update_Column>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
/** Ordering options when selecting data from "universe_state". */
export type Universe_State_Order_By = {
    id?: InputMaybe<Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: universe_state */
export type Universe_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "universe_state" */
export declare enum Universe_State_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    UniverseId = "universe_id"
}
/** input type for updating data in table "universe_state" */
export type Universe_State_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Universe_State_Stddev_Fields = {
    __typename?: 'universe_state_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Universe_State_Stddev_Pop_Fields = {
    __typename?: 'universe_state_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Universe_State_Stddev_Samp_Fields = {
    __typename?: 'universe_state_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "universe_state" */
export type Universe_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Universe_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Universe_State_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Universe_State_Sum_Fields = {
    __typename?: 'universe_state_sum_fields';
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "universe_state" */
export declare enum Universe_State_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    UniverseId = "universe_id"
}
export type Universe_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Universe_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Universe_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Universe_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Universe_State_Var_Pop_Fields = {
    __typename?: 'universe_state_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Universe_State_Var_Samp_Fields = {
    __typename?: 'universe_state_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Universe_State_Variance_Fields = {
    __typename?: 'universe_state_variance_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev on columns */
export type Universe_Stddev_Fields = {
    __typename?: 'universe_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Universe_Stddev_Pop_Fields = {
    __typename?: 'universe_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Universe_Stddev_Samp_Fields = {
    __typename?: 'universe_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "universe" */
export type Universe_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Universe_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Universe_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Universe_Sum_Fields = {
    __typename?: 'universe_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "universe" */
export declare enum Universe_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Universe_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Universe_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Universe_Set_Input>;
    /** filter the rows which have to be updated */
    where: Universe_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Universe_Var_Pop_Fields = {
    __typename?: 'universe_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Universe_Var_Samp_Fields = {
    __typename?: 'universe_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Universe_Variance_Fields = {
    __typename?: 'universe_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "users" */
export type Users = {
    __typename?: 'users';
    /** An object relationship */
    account?: Maybe<Auth_Accounts>;
    address?: Maybe<Scalars['String']>;
    avatar_url?: Maybe<Scalars['String']>;
    created_at: Scalars['timestamptz'];
    display_name?: Maybe<Scalars['String']>;
    email?: Maybe<Scalars['String']>;
    id: Scalars['uuid'];
    name?: Maybe<Scalars['String']>;
    phone_number?: Maybe<Scalars['String']>;
    receiver_name?: Maybe<Scalars['String']>;
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "users" */
export type Users_Aggregate = {
    __typename?: 'users_aggregate';
    aggregate?: Maybe<Users_Aggregate_Fields>;
    nodes: Array<Users>;
};
/** aggregate fields of "users" */
export type Users_Aggregate_Fields = {
    __typename?: 'users_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Users_Max_Fields>;
    min?: Maybe<Users_Min_Fields>;
};
/** aggregate fields of "users" */
export type Users_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Users_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** Boolean expression to filter rows from the table "users". All fields are combined with a logical 'AND'. */
export type Users_Bool_Exp = {
    _and?: InputMaybe<Array<Users_Bool_Exp>>;
    _not?: InputMaybe<Users_Bool_Exp>;
    _or?: InputMaybe<Array<Users_Bool_Exp>>;
    account?: InputMaybe<Auth_Accounts_Bool_Exp>;
    address?: InputMaybe<String_Comparison_Exp>;
    avatar_url?: InputMaybe<String_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    display_name?: InputMaybe<String_Comparison_Exp>;
    email?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Uuid_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    phone_number?: InputMaybe<String_Comparison_Exp>;
    receiver_name?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "users" */
export declare enum Users_Constraint {
    /** unique or primary key constraint on columns "name" */
    UsersNameKey = "users_name_key",
    /** unique or primary key constraint on columns "id" */
    UsersPkey = "users_pkey"
}
/** input type for inserting data into table "users" */
export type Users_Insert_Input = {
    account?: InputMaybe<Auth_Accounts_Obj_Rel_Insert_Input>;
    address?: InputMaybe<Scalars['String']>;
    avatar_url?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    display_name?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['uuid']>;
    name?: InputMaybe<Scalars['String']>;
    phone_number?: InputMaybe<Scalars['String']>;
    receiver_name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Users_Max_Fields = {
    __typename?: 'users_max_fields';
    address?: Maybe<Scalars['String']>;
    avatar_url?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    display_name?: Maybe<Scalars['String']>;
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['uuid']>;
    name?: Maybe<Scalars['String']>;
    phone_number?: Maybe<Scalars['String']>;
    receiver_name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Users_Min_Fields = {
    __typename?: 'users_min_fields';
    address?: Maybe<Scalars['String']>;
    avatar_url?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    display_name?: Maybe<Scalars['String']>;
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['uuid']>;
    name?: Maybe<Scalars['String']>;
    phone_number?: Maybe<Scalars['String']>;
    receiver_name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "users" */
export type Users_Mutation_Response = {
    __typename?: 'users_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Users>;
};
/** input type for inserting object relation for remote table "users" */
export type Users_Obj_Rel_Insert_Input = {
    data: Users_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Users_On_Conflict>;
};
/** on_conflict condition type for table "users" */
export type Users_On_Conflict = {
    constraint: Users_Constraint;
    update_columns?: Array<Users_Update_Column>;
    where?: InputMaybe<Users_Bool_Exp>;
};
/** Ordering options when selecting data from "users". */
export type Users_Order_By = {
    account?: InputMaybe<Auth_Accounts_Order_By>;
    address?: InputMaybe<Order_By>;
    avatar_url?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    display_name?: InputMaybe<Order_By>;
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    phone_number?: InputMaybe<Order_By>;
    receiver_name?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: users */
export type Users_Pk_Columns_Input = {
    id: Scalars['uuid'];
};
/** select columns of table "users" */
export declare enum Users_Select_Column {
    /** column name */
    Address = "address",
    /** column name */
    AvatarUrl = "avatar_url",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DisplayName = "display_name",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    PhoneNumber = "phone_number",
    /** column name */
    ReceiverName = "receiver_name",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "users" */
export type Users_Set_Input = {
    address?: InputMaybe<Scalars['String']>;
    avatar_url?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    display_name?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['uuid']>;
    name?: InputMaybe<Scalars['String']>;
    phone_number?: InputMaybe<Scalars['String']>;
    receiver_name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** Streaming cursor of the table "users" */
export type Users_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Users_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Users_Stream_Cursor_Value_Input = {
    address?: InputMaybe<Scalars['String']>;
    avatar_url?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    display_name?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['uuid']>;
    name?: InputMaybe<Scalars['String']>;
    phone_number?: InputMaybe<Scalars['String']>;
    receiver_name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** update columns of table "users" */
export declare enum Users_Update_Column {
    /** column name */
    Address = "address",
    /** column name */
    AvatarUrl = "avatar_url",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DisplayName = "display_name",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    PhoneNumber = "phone_number",
    /** column name */
    ReceiverName = "receiver_name",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Users_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Users_Set_Input>;
    /** filter the rows which have to be updated */
    where: Users_Bool_Exp;
};
/** Boolean expression to compare columns of type "uuid". All fields are combined with logical 'AND'. */
export type Uuid_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['uuid']>;
    _gt?: InputMaybe<Scalars['uuid']>;
    _gte?: InputMaybe<Scalars['uuid']>;
    _in?: InputMaybe<Array<Scalars['uuid']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['uuid']>;
    _lte?: InputMaybe<Scalars['uuid']>;
    _neq?: InputMaybe<Scalars['uuid']>;
    _nin?: InputMaybe<Array<Scalars['uuid']>>;
};
export type FetchMapItemQueryVariables = Exact<{
    universeId: Scalars['Int'];
    userId: Scalars['Int'];
}>;
export type FetchMapItemQuery = {
    __typename?: 'query_root';
    rooadmap_gis_map_item: Array<{
        __typename?: 'rooadmap_gis_map_item';
        id: number;
        info?: {
            __typename?: 'map_item';
            id: number;
        } | null;
    }>;
};
export type GetAllPieceTypesQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetAllPieceTypesQuery = {
    __typename?: 'query_root';
    piece_type: Array<{
        __typename?: 'piece_type';
        id: number;
        piece_type_title: string;
        is_inmap?: boolean | null;
        is_outmap?: boolean | null;
        is_set_on_locus_design?: boolean | null;
        title?: string | null;
        description?: string | null;
        is_judge_piece?: boolean | null;
        target_view_type_id?: number | null;
        is_atomic?: boolean | null;
    }>;
};
export type GetAtomicPieceTypesQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetAtomicPieceTypesQuery = {
    __typename?: 'query_root';
    piece_type: Array<{
        __typename?: 'piece_type';
        id: number;
        piece_type_title: string;
        is_inmap?: boolean | null;
        is_outmap?: boolean | null;
        is_set_on_locus_design?: boolean | null;
        title?: string | null;
        description?: string | null;
        is_judge_piece?: boolean | null;
        target_view_type_id?: number | null;
        is_atomic?: boolean | null;
    }>;
};
export type GetTargetViewTypesQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetTargetViewTypesQuery = {
    __typename?: 'query_root';
    target_view_type: Array<{
        __typename?: 'target_view_type';
        builder_version: number;
        id: number;
        renderer_version: number;
        builder_name: string;
        name: string;
        renderer_name: string;
    }>;
};
export declare const FetchMapItemDocument: DocumentNode<FetchMapItemQuery, Exact<{
    universeId: Scalars['Int'];
    userId: Scalars['Int'];
}>>;
export declare const GetAllPieceTypesDocument: DocumentNode<GetAllPieceTypesQuery, Exact<{
    [key: string]: never;
}>>;
export declare const GetAtomicPieceTypesDocument: DocumentNode<GetAtomicPieceTypesQuery, Exact<{
    [key: string]: never;
}>>;
export declare const GetTargetViewTypesDocument: DocumentNode<GetTargetViewTypesQuery, Exact<{
    [key: string]: never;
}>>;
/** All built-in and custom scalars, mapped to their actual values */
export type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
    bigint: any;
    citext: any;
    date: any;
    geography: any;
    geometry: any;
    json: any;
    jsonb: any;
    numeric: any;
    time: any;
    timestamp: any;
    timestamptz: any;
    timetz: any;
    tsvector: any;
    uuid: any;
};
export type AddGameOutput = {
    __typename?: 'AddGameOutput';
    result: Scalars['json'];
};
/** Boolean expression to compare columns of type "Boolean". All fields are combined with logical 'AND'. */
export type Boolean_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['Boolean']>;
    _gt?: InputMaybe<Scalars['Boolean']>;
    _gte?: InputMaybe<Scalars['Boolean']>;
    _in?: InputMaybe<Array<Scalars['Boolean']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['Boolean']>;
    _lte?: InputMaybe<Scalars['Boolean']>;
    _neq?: InputMaybe<Scalars['Boolean']>;
    _nin?: InputMaybe<Array<Scalars['Boolean']>>;
};
export type CheckConfirmingAndSettlementAboutGameInput = {
    gameId: Scalars['Int'];
};
export type CheckConfirmingAndSettlementAboutGameOutput = {
    __typename?: 'CheckConfirmingAndSettlementAboutGameOutput';
    data?: Maybe<Scalars['json']>;
    message: Scalars['String'];
    result?: Maybe<Scalars['Boolean']>;
    status: Scalars['String'];
};
export type CheckJudgeHasuraEntrypointOutput = {
    __typename?: 'CheckJudgeHasuraEntrypointOutput';
    endpoint: Scalars['String'];
};
export type CheckJudgeHasuraWorkingOutput = {
    __typename?: 'CheckJudgeHasuraWorkingOutput';
    result: Scalars['json'];
};
export type ConfirmGamesLocusInput = {
    TUId: Scalars['Int'];
    gameId: Scalars['Int'];
    gamesLocusId: Scalars['Int'];
};
export type ConfirmGamesLocusOutput = {
    __typename?: 'ConfirmGamesLocusOutput';
    result: Scalars['json'];
};
export type ConfirmSponsorshipGamesInput = {
    TUId: Scalars['Int'];
    gameId: Scalars['Int'];
    sponsorshipGameStateId: Scalars['Int'];
};
export type ConfirmSponsorshipGamesOutput = {
    __typename?: 'ConfirmSponsorshipGamesOutput';
    result: Scalars['json'];
};
export type CreateBadgeTypeOutput = {
    __typename?: 'CreateBadgeTypeOutput';
    data?: Maybe<Scalars['json']>;
    message: Scalars['String'];
    result?: Maybe<Scalars['Boolean']>;
    status: Scalars['String'];
};
export type CreateGameOutput = {
    __typename?: 'CreateGameOutput';
    data?: Maybe<Scalars['json']>;
    message: Scalars['String'];
    result?: Maybe<Scalars['Boolean']>;
    status: Scalars['String'];
};
export type DenyGamesLocusInput = {
    TUId: Scalars['Int'];
    gameId: Scalars['Int'];
    gamesLocusId: Scalars['Int'];
    message?: InputMaybe<Scalars['String']>;
};
export type DenyGamesLocusOutput = {
    __typename?: 'DenyGamesLocusOutput';
    result: Scalars['json'];
};
export type DenySponsorshipGamesInput = {
    TUId: Scalars['Int'];
    gameId: Scalars['Int'];
    message?: InputMaybe<Scalars['String']>;
    sponsorshipGameStateId: Scalars['Int'];
};
export type DenySponsorshipGamesOutput = {
    __typename?: 'DenySponsorshipGamesOutput';
    result: Scalars['json'];
};
export type EvaluateTotalOutput = {
    __typename?: 'EvaluateTotalOutput';
    data?: Maybe<Scalars['json']>;
    message: Scalars['String'];
    result?: Maybe<Scalars['Boolean']>;
    status: Scalars['String'];
};
export type HistoryCheckOutput = {
    __typename?: 'HistoryCheckOutput';
    result: Scalars['json'];
};
export type ImageNpcJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type ImageNpcJudgeOutput = {
    __typename?: 'ImageNPCJudgeOutput';
    result: Scalars['json'];
};
export type ImageNpcOperationInput = {
    TUId: Scalars['Int'];
    done: Scalars['Boolean'];
    judgeId: Scalars['Int'];
    nextQuestId: Scalars['Int'];
    questId: Scalars['Int'];
    rejected: Scalars['Boolean'];
    taskId: Scalars['Int'];
};
export type ImageNpcOperationOutput = {
    __typename?: 'ImageNPCOperationOutput';
    result: Scalars['json'];
};
/** Boolean expression to compare columns of type "Int". All fields are combined with logical 'AND'. */
export type Int_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['Int']>;
    _gt?: InputMaybe<Scalars['Int']>;
    _gte?: InputMaybe<Scalars['Int']>;
    _in?: InputMaybe<Array<Scalars['Int']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['Int']>;
    _lte?: InputMaybe<Scalars['Int']>;
    _neq?: InputMaybe<Scalars['Int']>;
    _nin?: InputMaybe<Array<Scalars['Int']>>;
};
export type JigsawJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type JigsawJudgeOutput = {
    __typename?: 'JigsawJudgeOutput';
    result: Scalars['json'];
};
export type OtpResult = {
    __typename?: 'OTPResult';
    code?: Maybe<Scalars['String']>;
    message: Scalars['String'];
    status: Scalars['String'];
};
export type PurchaseGameByRpResult = {
    __typename?: 'PurchaseGameByRPResult';
    message: Scalars['String'];
    status: Scalars['String'];
    tag?: Maybe<Scalars['json']>;
};
export type PurchaseSponsorshipByRpResult = {
    __typename?: 'PurchaseSponsorshipByRPResult';
    message: Scalars['String'];
    status: Scalars['String'];
    tag?: Maybe<Scalars['json']>;
};
export type QrJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type QrJudgeOutput = {
    __typename?: 'QRJudgeOutput';
    result: Scalars['json'];
};
export type RestartGamePlayOutput = {
    __typename?: 'RestartGamePlayOutput';
    data?: Maybe<Scalars['json']>;
    message: Scalars['String'];
    result?: Maybe<Scalars['Boolean']>;
    status: Scalars['String'];
};
export type SearchJusoAndCoordByKeywordInput = {
    keyword: Scalars['String'];
    limit: Scalars['Int'];
    offset: Scalars['Int'];
};
export type SearchJusoAndCoordByKeywordOutput = {
    __typename?: 'SearchJusoAndCoordByKeywordOutput';
    jusoAndCoord: Array<Maybe<Scalars['json']>>;
    status: Scalars['String'];
};
export type SearchJusoByKeywordInput = {
    keyword: Scalars['String'];
};
export type SearchJusoByKeywordOutput = {
    __typename?: 'SearchJusoByKeywordOutput';
    jusos: Array<Maybe<Scalars['json']>>;
};
export type SellApplicationResult = {
    __typename?: 'SellApplicationResult';
    message: Scalars['String'];
    result?: Maybe<Scalars['json']>;
    status: Scalars['String'];
};
export type SetGameStateOnReadyInput = {
    gameId: Scalars['Int'];
};
export type SetGameStateOnReadyOutput = {
    __typename?: 'SetGameStateOnReadyOutput';
    result: Scalars['json'];
};
export type SettleOperationGamesLocusInput = {
    TUId?: InputMaybe<Scalars['Int']>;
    gameId: Scalars['Int'];
    gamesLocusId: Scalars['Int'];
    nextOperationStateId: Scalars['Int'];
    operationId: Scalars['Int'];
};
export type SettleOperationGamesLocusOutput = {
    __typename?: 'SettleOperationGamesLocusOutput';
    result: Scalars['json'];
};
export type StartGameInput = {
    gameId: Scalars['Int'];
    treasureUserId: Scalars['Int'];
};
export type StartGameOutput = {
    __typename?: 'StartGameOutput';
    message?: Maybe<Scalars['String']>;
    result?: Maybe<Scalars['Boolean']>;
    status?: Maybe<Scalars['String']>;
};
/** Boolean expression to compare columns of type "String". All fields are combined with logical 'AND'. */
export type String_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['String']>;
    _gt?: InputMaybe<Scalars['String']>;
    _gte?: InputMaybe<Scalars['String']>;
    /** does the column match the given case-insensitive pattern */
    _ilike?: InputMaybe<Scalars['String']>;
    _in?: InputMaybe<Array<Scalars['String']>>;
    /** does the column match the given POSIX regular expression, case insensitive */
    _iregex?: InputMaybe<Scalars['String']>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    /** does the column match the given pattern */
    _like?: InputMaybe<Scalars['String']>;
    _lt?: InputMaybe<Scalars['String']>;
    _lte?: InputMaybe<Scalars['String']>;
    _neq?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given case-insensitive pattern */
    _nilike?: InputMaybe<Scalars['String']>;
    _nin?: InputMaybe<Array<Scalars['String']>>;
    /** does the column NOT match the given POSIX regular expression, case insensitive */
    _niregex?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given pattern */
    _nlike?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given POSIX regular expression, case sensitive */
    _nregex?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given SQL regular expression */
    _nsimilar?: InputMaybe<Scalars['String']>;
    /** does the column match the given POSIX regular expression, case sensitive */
    _regex?: InputMaybe<Scalars['String']>;
    /** does the column match the given SQL regular expression */
    _similar?: InputMaybe<Scalars['String']>;
};
export type TasteJigsawJudgeInput = {
    judge: Scalars['json'];
};
export type TasteJigsawJudgeOutput = {
    __typename?: 'TasteJigsawJudgeOutput';
    result: Scalars['json'];
};
export type TasteWordJudgeInput = {
    judge: Scalars['json'];
};
export type TasteWordJudgeOutput = {
    __typename?: 'TasteWordJudgeOutput';
    result: Scalars['json'];
};
export type TasteWordSequenceJudgeInput = {
    judge: Scalars['json'];
};
export type TasteWordSequenceJudgeOutput = {
    __typename?: 'TasteWordSequenceJudgeOutput';
    result: Scalars['json'];
};
export type TasteWordsJudgeInput = {
    judge: Scalars['json'];
};
export type TasteWordsJudgeOutput = {
    __typename?: 'TasteWordsJudgeOutput';
    result: Scalars['json'];
};
export type WordJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type WordJudgeOutput = {
    __typename?: 'WordJudgeOutput';
    result: Scalars['json'];
};
export type WordSequenceJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type WordSequenceJudgeOutput = {
    __typename?: 'WordSequenceJudgeOutput';
    result: Scalars['json'];
};
export type WordsJudgeInput = {
    judge: Scalars['json'];
    next: Scalars['json'];
};
export type WordsJudgeOutput = {
    __typename?: 'WordsJudgeOutput';
    result: Scalars['json'];
};
/** columns and relationships of "alarm" */
export type Alarm = {
    __typename?: 'alarm';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    text: Scalars['String'];
    writer_id: Scalars['Int'];
};
/** aggregated selection of "alarm" */
export type Alarm_Aggregate = {
    __typename?: 'alarm_aggregate';
    aggregate?: Maybe<Alarm_Aggregate_Fields>;
    nodes: Array<Alarm>;
};
/** aggregate fields of "alarm" */
export type Alarm_Aggregate_Fields = {
    __typename?: 'alarm_aggregate_fields';
    avg?: Maybe<Alarm_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Alarm_Max_Fields>;
    min?: Maybe<Alarm_Min_Fields>;
    stddev?: Maybe<Alarm_Stddev_Fields>;
    stddev_pop?: Maybe<Alarm_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Alarm_Stddev_Samp_Fields>;
    sum?: Maybe<Alarm_Sum_Fields>;
    var_pop?: Maybe<Alarm_Var_Pop_Fields>;
    var_samp?: Maybe<Alarm_Var_Samp_Fields>;
    variance?: Maybe<Alarm_Variance_Fields>;
};
/** aggregate fields of "alarm" */
export type Alarm_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Alarm_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Alarm_Avg_Fields = {
    __typename?: 'alarm_avg_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "alarm". All fields are combined with a logical 'AND'. */
export type Alarm_Bool_Exp = {
    _and?: InputMaybe<Array<Alarm_Bool_Exp>>;
    _not?: InputMaybe<Alarm_Bool_Exp>;
    _or?: InputMaybe<Array<Alarm_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    text?: InputMaybe<String_Comparison_Exp>;
    writer_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "alarm" */
export declare enum Alarm_Constraint {
    /** unique or primary key constraint on columns "id" */
    AlarmPkey = "alarm_pkey"
}
/** input type for incrementing numeric columns in table "alarm" */
export type Alarm_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "alarm" */
export type Alarm_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Alarm_Max_Fields = {
    __typename?: 'alarm_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Alarm_Min_Fields = {
    __typename?: 'alarm_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "alarm" */
export type Alarm_Mutation_Response = {
    __typename?: 'alarm_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Alarm>;
};
/** on_conflict condition type for table "alarm" */
export type Alarm_On_Conflict = {
    constraint: Alarm_Constraint;
    update_columns?: Array<Alarm_Update_Column>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
/** Ordering options when selecting data from "alarm". */
export type Alarm_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    text?: InputMaybe<Order_By>;
    writer_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: alarm */
export type Alarm_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "alarm" */
export declare enum Alarm_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Text = "text",
    /** column name */
    WriterId = "writer_id"
}
/** input type for updating data in table "alarm" */
export type Alarm_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Alarm_Stddev_Fields = {
    __typename?: 'alarm_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Alarm_Stddev_Pop_Fields = {
    __typename?: 'alarm_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Alarm_Stddev_Samp_Fields = {
    __typename?: 'alarm_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "alarm" */
export type Alarm_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Alarm_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Alarm_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Alarm_Sum_Fields = {
    __typename?: 'alarm_sum_fields';
    id?: Maybe<Scalars['Int']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "alarm" */
export declare enum Alarm_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Text = "text",
    /** column name */
    WriterId = "writer_id"
}
export type Alarm_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Alarm_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Alarm_Set_Input>;
    /** filter the rows which have to be updated */
    where: Alarm_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Alarm_Var_Pop_Fields = {
    __typename?: 'alarm_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Alarm_Var_Samp_Fields = {
    __typename?: 'alarm_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Alarm_Variance_Fields = {
    __typename?: 'alarm_variance_fields';
    id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "animation_stage" */
export type Animation_Stage = {
    __typename?: 'animation_stage';
    id: Scalars['Int'];
    name: Scalars['String'];
};
/** aggregated selection of "animation_stage" */
export type Animation_Stage_Aggregate = {
    __typename?: 'animation_stage_aggregate';
    aggregate?: Maybe<Animation_Stage_Aggregate_Fields>;
    nodes: Array<Animation_Stage>;
};
/** aggregate fields of "animation_stage" */
export type Animation_Stage_Aggregate_Fields = {
    __typename?: 'animation_stage_aggregate_fields';
    avg?: Maybe<Animation_Stage_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Animation_Stage_Max_Fields>;
    min?: Maybe<Animation_Stage_Min_Fields>;
    stddev?: Maybe<Animation_Stage_Stddev_Fields>;
    stddev_pop?: Maybe<Animation_Stage_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Animation_Stage_Stddev_Samp_Fields>;
    sum?: Maybe<Animation_Stage_Sum_Fields>;
    var_pop?: Maybe<Animation_Stage_Var_Pop_Fields>;
    var_samp?: Maybe<Animation_Stage_Var_Samp_Fields>;
    variance?: Maybe<Animation_Stage_Variance_Fields>;
};
/** aggregate fields of "animation_stage" */
export type Animation_Stage_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Animation_Stage_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Animation_Stage_Avg_Fields = {
    __typename?: 'animation_stage_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "animation_stage". All fields are combined with a logical 'AND'. */
export type Animation_Stage_Bool_Exp = {
    _and?: InputMaybe<Array<Animation_Stage_Bool_Exp>>;
    _not?: InputMaybe<Animation_Stage_Bool_Exp>;
    _or?: InputMaybe<Array<Animation_Stage_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "animation_stage" */
export declare enum Animation_Stage_Constraint {
    /** unique or primary key constraint on columns "id" */
    AnimationConditionPkey = "animation_condition_pkey"
}
/** input type for incrementing numeric columns in table "animation_stage" */
export type Animation_Stage_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "animation_stage" */
export type Animation_Stage_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Animation_Stage_Max_Fields = {
    __typename?: 'animation_stage_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Animation_Stage_Min_Fields = {
    __typename?: 'animation_stage_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "animation_stage" */
export type Animation_Stage_Mutation_Response = {
    __typename?: 'animation_stage_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Animation_Stage>;
};
/** input type for inserting object relation for remote table "animation_stage" */
export type Animation_Stage_Obj_Rel_Insert_Input = {
    data: Animation_Stage_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Animation_Stage_On_Conflict>;
};
/** on_conflict condition type for table "animation_stage" */
export type Animation_Stage_On_Conflict = {
    constraint: Animation_Stage_Constraint;
    update_columns?: Array<Animation_Stage_Update_Column>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
/** Ordering options when selecting data from "animation_stage". */
export type Animation_Stage_Order_By = {
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: animation_stage */
export type Animation_Stage_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "animation_stage" */
export declare enum Animation_Stage_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "animation_stage" */
export type Animation_Stage_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Animation_Stage_Stddev_Fields = {
    __typename?: 'animation_stage_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Animation_Stage_Stddev_Pop_Fields = {
    __typename?: 'animation_stage_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Animation_Stage_Stddev_Samp_Fields = {
    __typename?: 'animation_stage_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "animation_stage" */
export type Animation_Stage_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Animation_Stage_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Animation_Stage_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Animation_Stage_Sum_Fields = {
    __typename?: 'animation_stage_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "animation_stage" */
export declare enum Animation_Stage_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
export type Animation_Stage_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Animation_Stage_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Animation_Stage_Set_Input>;
    /** filter the rows which have to be updated */
    where: Animation_Stage_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Animation_Stage_Var_Pop_Fields = {
    __typename?: 'animation_stage_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Animation_Stage_Var_Samp_Fields = {
    __typename?: 'animation_stage_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Animation_Stage_Variance_Fields = {
    __typename?: 'animation_stage_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "answer" */
export type Answer = {
    __typename?: 'answer';
    description?: Maybe<Scalars['String']>;
    expected_answer?: Maybe<Scalars['String']>;
    expected_uri?: Maybe<Scalars['String']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An array relationship */
    judgeOnes: Array<Judge>;
    /** An aggregate relationship */
    judgeOnes_aggregate: Judge_Aggregate;
};
/** columns and relationships of "answer" */
export type AnswerJudgeOnesArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
/** columns and relationships of "answer" */
export type AnswerJudgeOnes_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
/** aggregated selection of "answer" */
export type Answer_Aggregate = {
    __typename?: 'answer_aggregate';
    aggregate?: Maybe<Answer_Aggregate_Fields>;
    nodes: Array<Answer>;
};
/** aggregate fields of "answer" */
export type Answer_Aggregate_Fields = {
    __typename?: 'answer_aggregate_fields';
    avg?: Maybe<Answer_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Answer_Max_Fields>;
    min?: Maybe<Answer_Min_Fields>;
    stddev?: Maybe<Answer_Stddev_Fields>;
    stddev_pop?: Maybe<Answer_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Answer_Stddev_Samp_Fields>;
    sum?: Maybe<Answer_Sum_Fields>;
    var_pop?: Maybe<Answer_Var_Pop_Fields>;
    var_samp?: Maybe<Answer_Var_Samp_Fields>;
    variance?: Maybe<Answer_Variance_Fields>;
};
/** aggregate fields of "answer" */
export type Answer_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Answer_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Answer_Avg_Fields = {
    __typename?: 'answer_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "answer". All fields are combined with a logical 'AND'. */
export type Answer_Bool_Exp = {
    _and?: InputMaybe<Array<Answer_Bool_Exp>>;
    _not?: InputMaybe<Answer_Bool_Exp>;
    _or?: InputMaybe<Array<Answer_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    expected_answer?: InputMaybe<String_Comparison_Exp>;
    expected_uri?: InputMaybe<String_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    judgeOnes?: InputMaybe<Judge_Bool_Exp>;
    judgeOnes_aggregate?: InputMaybe<Judge_Aggregate_Bool_Exp>;
};
/** unique or primary key constraints on table "answer" */
export declare enum Answer_Constraint {
    /** unique or primary key constraint on columns "id" */
    AnswerPkey = "answer_pkey"
}
/** input type for incrementing numeric columns in table "answer" */
export type Answer_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "answer" */
export type Answer_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    expected_answer?: InputMaybe<Scalars['String']>;
    expected_uri?: InputMaybe<Scalars['String']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    judgeOnes?: InputMaybe<Judge_Arr_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Answer_Max_Fields = {
    __typename?: 'answer_max_fields';
    description?: Maybe<Scalars['String']>;
    expected_answer?: Maybe<Scalars['String']>;
    expected_uri?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Answer_Min_Fields = {
    __typename?: 'answer_min_fields';
    description?: Maybe<Scalars['String']>;
    expected_answer?: Maybe<Scalars['String']>;
    expected_uri?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "answer" */
export type Answer_Mutation_Response = {
    __typename?: 'answer_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Answer>;
};
/** input type for inserting object relation for remote table "answer" */
export type Answer_Obj_Rel_Insert_Input = {
    data: Answer_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Answer_On_Conflict>;
};
/** on_conflict condition type for table "answer" */
export type Answer_On_Conflict = {
    constraint: Answer_Constraint;
    update_columns?: Array<Answer_Update_Column>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
/** Ordering options when selecting data from "answer". */
export type Answer_Order_By = {
    description?: InputMaybe<Order_By>;
    expected_answer?: InputMaybe<Order_By>;
    expected_uri?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judgeOnes_aggregate?: InputMaybe<Judge_Aggregate_Order_By>;
};
/** primary key columns input for table: answer */
export type Answer_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "answer" */
export declare enum Answer_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    ExpectedAnswer = "expected_answer",
    /** column name */
    ExpectedUri = "expected_uri",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "answer" */
export type Answer_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    expected_answer?: InputMaybe<Scalars['String']>;
    expected_uri?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Answer_Stddev_Fields = {
    __typename?: 'answer_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Answer_Stddev_Pop_Fields = {
    __typename?: 'answer_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Answer_Stddev_Samp_Fields = {
    __typename?: 'answer_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "answer" */
export type Answer_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Answer_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Answer_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    expected_answer?: InputMaybe<Scalars['String']>;
    expected_uri?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Answer_Sum_Fields = {
    __typename?: 'answer_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "answer_type" */
export type Answer_Type = {
    __typename?: 'answer_type';
    answer_type_title?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_human_judgeable?: Maybe<Scalars['Boolean']>;
    is_machine_judgeable?: Maybe<Scalars['Boolean']>;
    require_constant_answer?: Maybe<Scalars['Boolean']>;
    require_fo?: Maybe<Scalars['Boolean']>;
    require_inmap_preconnector?: Maybe<Scalars['Boolean']>;
    require_next_node_inmap?: Maybe<Scalars['Boolean']>;
    require_next_node_outmap?: Maybe<Scalars['Boolean']>;
    separator?: Maybe<Scalars['String']>;
};
/** aggregated selection of "answer_type" */
export type Answer_Type_Aggregate = {
    __typename?: 'answer_type_aggregate';
    aggregate?: Maybe<Answer_Type_Aggregate_Fields>;
    nodes: Array<Answer_Type>;
};
/** aggregate fields of "answer_type" */
export type Answer_Type_Aggregate_Fields = {
    __typename?: 'answer_type_aggregate_fields';
    avg?: Maybe<Answer_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Answer_Type_Max_Fields>;
    min?: Maybe<Answer_Type_Min_Fields>;
    stddev?: Maybe<Answer_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Answer_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Answer_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Answer_Type_Sum_Fields>;
    var_pop?: Maybe<Answer_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Answer_Type_Var_Samp_Fields>;
    variance?: Maybe<Answer_Type_Variance_Fields>;
};
/** aggregate fields of "answer_type" */
export type Answer_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Answer_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Answer_Type_Avg_Fields = {
    __typename?: 'answer_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "answer_type". All fields are combined with a logical 'AND'. */
export type Answer_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Answer_Type_Bool_Exp>>;
    _not?: InputMaybe<Answer_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Answer_Type_Bool_Exp>>;
    answer_type_title?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_human_judgeable?: InputMaybe<Boolean_Comparison_Exp>;
    is_machine_judgeable?: InputMaybe<Boolean_Comparison_Exp>;
    require_constant_answer?: InputMaybe<Boolean_Comparison_Exp>;
    require_fo?: InputMaybe<Boolean_Comparison_Exp>;
    require_inmap_preconnector?: InputMaybe<Boolean_Comparison_Exp>;
    require_next_node_inmap?: InputMaybe<Boolean_Comparison_Exp>;
    require_next_node_outmap?: InputMaybe<Boolean_Comparison_Exp>;
    separator?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "answer_type" */
export declare enum Answer_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    AnswerTypePkey = "answer_type_pkey"
}
/** input type for incrementing numeric columns in table "answer_type" */
export type Answer_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "answer_type" */
export type Answer_Type_Insert_Input = {
    answer_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_human_judgeable?: InputMaybe<Scalars['Boolean']>;
    is_machine_judgeable?: InputMaybe<Scalars['Boolean']>;
    require_constant_answer?: InputMaybe<Scalars['Boolean']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
    require_inmap_preconnector?: InputMaybe<Scalars['Boolean']>;
    require_next_node_inmap?: InputMaybe<Scalars['Boolean']>;
    require_next_node_outmap?: InputMaybe<Scalars['Boolean']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Answer_Type_Max_Fields = {
    __typename?: 'answer_type_max_fields';
    answer_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    separator?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Answer_Type_Min_Fields = {
    __typename?: 'answer_type_min_fields';
    answer_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    separator?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "answer_type" */
export type Answer_Type_Mutation_Response = {
    __typename?: 'answer_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Answer_Type>;
};
/** input type for inserting object relation for remote table "answer_type" */
export type Answer_Type_Obj_Rel_Insert_Input = {
    data: Answer_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Answer_Type_On_Conflict>;
};
/** on_conflict condition type for table "answer_type" */
export type Answer_Type_On_Conflict = {
    constraint: Answer_Type_Constraint;
    update_columns?: Array<Answer_Type_Update_Column>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "answer_type". */
export type Answer_Type_Order_By = {
    answer_type_title?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_human_judgeable?: InputMaybe<Order_By>;
    is_machine_judgeable?: InputMaybe<Order_By>;
    require_constant_answer?: InputMaybe<Order_By>;
    require_fo?: InputMaybe<Order_By>;
    require_inmap_preconnector?: InputMaybe<Order_By>;
    require_next_node_inmap?: InputMaybe<Order_By>;
    require_next_node_outmap?: InputMaybe<Order_By>;
    separator?: InputMaybe<Order_By>;
};
/** primary key columns input for table: answer_type */
export type Answer_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "answer_type" */
export declare enum Answer_Type_Select_Column {
    /** column name */
    AnswerTypeTitle = "answer_type_title",
    /** column name */
    Id = "id",
    /** column name */
    IsHumanJudgeable = "is_human_judgeable",
    /** column name */
    IsMachineJudgeable = "is_machine_judgeable",
    /** column name */
    RequireConstantAnswer = "require_constant_answer",
    /** column name */
    RequireFo = "require_fo",
    /** column name */
    RequireInmapPreconnector = "require_inmap_preconnector",
    /** column name */
    RequireNextNodeInmap = "require_next_node_inmap",
    /** column name */
    RequireNextNodeOutmap = "require_next_node_outmap",
    /** column name */
    Separator = "separator"
}
/** input type for updating data in table "answer_type" */
export type Answer_Type_Set_Input = {
    answer_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_human_judgeable?: InputMaybe<Scalars['Boolean']>;
    is_machine_judgeable?: InputMaybe<Scalars['Boolean']>;
    require_constant_answer?: InputMaybe<Scalars['Boolean']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
    require_inmap_preconnector?: InputMaybe<Scalars['Boolean']>;
    require_next_node_inmap?: InputMaybe<Scalars['Boolean']>;
    require_next_node_outmap?: InputMaybe<Scalars['Boolean']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Answer_Type_Stddev_Fields = {
    __typename?: 'answer_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Answer_Type_Stddev_Pop_Fields = {
    __typename?: 'answer_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Answer_Type_Stddev_Samp_Fields = {
    __typename?: 'answer_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "answer_type" */
export type Answer_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Answer_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Answer_Type_Stream_Cursor_Value_Input = {
    answer_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_human_judgeable?: InputMaybe<Scalars['Boolean']>;
    is_machine_judgeable?: InputMaybe<Scalars['Boolean']>;
    require_constant_answer?: InputMaybe<Scalars['Boolean']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
    require_inmap_preconnector?: InputMaybe<Scalars['Boolean']>;
    require_next_node_inmap?: InputMaybe<Scalars['Boolean']>;
    require_next_node_outmap?: InputMaybe<Scalars['Boolean']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Answer_Type_Sum_Fields = {
    __typename?: 'answer_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "answer_type" */
export declare enum Answer_Type_Update_Column {
    /** column name */
    AnswerTypeTitle = "answer_type_title",
    /** column name */
    Id = "id",
    /** column name */
    IsHumanJudgeable = "is_human_judgeable",
    /** column name */
    IsMachineJudgeable = "is_machine_judgeable",
    /** column name */
    RequireConstantAnswer = "require_constant_answer",
    /** column name */
    RequireFo = "require_fo",
    /** column name */
    RequireInmapPreconnector = "require_inmap_preconnector",
    /** column name */
    RequireNextNodeInmap = "require_next_node_inmap",
    /** column name */
    RequireNextNodeOutmap = "require_next_node_outmap",
    /** column name */
    Separator = "separator"
}
export type Answer_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Answer_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Answer_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Answer_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Answer_Type_Var_Pop_Fields = {
    __typename?: 'answer_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Answer_Type_Var_Samp_Fields = {
    __typename?: 'answer_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Answer_Type_Variance_Fields = {
    __typename?: 'answer_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "answer" */
export declare enum Answer_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    ExpectedAnswer = "expected_answer",
    /** column name */
    ExpectedUri = "expected_uri",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id"
}
export type Answer_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Answer_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Answer_Set_Input>;
    /** filter the rows which have to be updated */
    where: Answer_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Answer_Var_Pop_Fields = {
    __typename?: 'answer_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Answer_Var_Samp_Fields = {
    __typename?: 'answer_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Answer_Variance_Fields = {
    __typename?: 'answer_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "area" */
export type Area = {
    __typename?: 'area';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    location?: Maybe<Location>;
    manager?: Maybe<Scalars['Int']>;
    /** An object relationship */
    managerTreasureUser?: Maybe<Treasure_User>;
    registrator?: Maybe<Scalars['Int']>;
    /** An object relationship */
    registratorTreasureUser?: Maybe<Treasure_User>;
    title?: Maybe<Scalars['String']>;
    tsvec_description?: Maybe<Scalars['tsvector']>;
    tsvec_title?: Maybe<Scalars['tsvector']>;
};
/** aggregated selection of "area" */
export type Area_Aggregate = {
    __typename?: 'area_aggregate';
    aggregate?: Maybe<Area_Aggregate_Fields>;
    nodes: Array<Area>;
};
/** aggregate fields of "area" */
export type Area_Aggregate_Fields = {
    __typename?: 'area_aggregate_fields';
    avg?: Maybe<Area_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Area_Max_Fields>;
    min?: Maybe<Area_Min_Fields>;
    stddev?: Maybe<Area_Stddev_Fields>;
    stddev_pop?: Maybe<Area_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Area_Stddev_Samp_Fields>;
    sum?: Maybe<Area_Sum_Fields>;
    var_pop?: Maybe<Area_Var_Pop_Fields>;
    var_samp?: Maybe<Area_Var_Samp_Fields>;
    variance?: Maybe<Area_Variance_Fields>;
};
/** aggregate fields of "area" */
export type Area_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Area_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Area_Avg_Fields = {
    __typename?: 'area_avg_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "area". All fields are combined with a logical 'AND'. */
export type Area_Bool_Exp = {
    _and?: InputMaybe<Array<Area_Bool_Exp>>;
    _not?: InputMaybe<Area_Bool_Exp>;
    _or?: InputMaybe<Array<Area_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    location?: InputMaybe<Location_Bool_Exp>;
    manager?: InputMaybe<Int_Comparison_Exp>;
    managerTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    registrator?: InputMaybe<Int_Comparison_Exp>;
    registratorTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    tsvec_description?: InputMaybe<Tsvector_Comparison_Exp>;
    tsvec_title?: InputMaybe<Tsvector_Comparison_Exp>;
};
/** unique or primary key constraints on table "area" */
export declare enum Area_Constraint {
    /** unique or primary key constraint on columns "id" */
    AreaPkey = "area_pkey"
}
/** input type for incrementing numeric columns in table "area" */
export type Area_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    manager?: InputMaybe<Scalars['Int']>;
    registrator?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "area" */
export type Area_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location?: InputMaybe<Location_Obj_Rel_Insert_Input>;
    manager?: InputMaybe<Scalars['Int']>;
    managerTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    registrator?: InputMaybe<Scalars['Int']>;
    registratorTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
};
/** aggregate max on columns */
export type Area_Max_Fields = {
    __typename?: 'area_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    manager?: Maybe<Scalars['Int']>;
    registrator?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Area_Min_Fields = {
    __typename?: 'area_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    manager?: Maybe<Scalars['Int']>;
    registrator?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "area" */
export type Area_Mutation_Response = {
    __typename?: 'area_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Area>;
};
/** input type for inserting object relation for remote table "area" */
export type Area_Obj_Rel_Insert_Input = {
    data: Area_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Area_On_Conflict>;
};
/** on_conflict condition type for table "area" */
export type Area_On_Conflict = {
    constraint: Area_Constraint;
    update_columns?: Array<Area_Update_Column>;
    where?: InputMaybe<Area_Bool_Exp>;
};
/** Ordering options when selecting data from "area". */
export type Area_Order_By = {
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    location?: InputMaybe<Location_Order_By>;
    manager?: InputMaybe<Order_By>;
    managerTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    registrator?: InputMaybe<Order_By>;
    registratorTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    title?: InputMaybe<Order_By>;
    tsvec_description?: InputMaybe<Order_By>;
    tsvec_title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: area */
export type Area_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "area" */
export declare enum Area_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Manager = "manager",
    /** column name */
    Registrator = "registrator",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title"
}
/** input type for updating data in table "area" */
export type Area_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    manager?: InputMaybe<Scalars['Int']>;
    registrator?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
};
/** aggregate stddev on columns */
export type Area_Stddev_Fields = {
    __typename?: 'area_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Area_Stddev_Pop_Fields = {
    __typename?: 'area_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Area_Stddev_Samp_Fields = {
    __typename?: 'area_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "area" */
export type Area_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Area_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Area_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    manager?: InputMaybe<Scalars['Int']>;
    registrator?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
};
/** aggregate sum on columns */
export type Area_Sum_Fields = {
    __typename?: 'area_sum_fields';
    id?: Maybe<Scalars['Int']>;
    manager?: Maybe<Scalars['Int']>;
    registrator?: Maybe<Scalars['Int']>;
};
/** update columns of table "area" */
export declare enum Area_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Manager = "manager",
    /** column name */
    Registrator = "registrator",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title"
}
export type Area_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Area_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Area_Set_Input>;
    /** filter the rows which have to be updated */
    where: Area_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Area_Var_Pop_Fields = {
    __typename?: 'area_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Area_Var_Samp_Fields = {
    __typename?: 'area_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Area_Variance_Fields = {
    __typename?: 'area_variance_fields';
    id?: Maybe<Scalars['Float']>;
    manager?: Maybe<Scalars['Float']>;
    registrator?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "auth.account_providers" */
export type Auth_Account_Providers = {
    __typename?: 'auth_account_providers';
    /** An object relationship */
    account: Auth_Accounts;
    account_id: Scalars['uuid'];
    auth_provider: Scalars['String'];
    auth_provider_unique_id: Scalars['String'];
    created_at: Scalars['timestamptz'];
    id: Scalars['uuid'];
    /** An object relationship */
    provider: Auth_Providers;
    provider_access_token?: Maybe<Scalars['String']>;
    provider_refresh_token?: Maybe<Scalars['String']>;
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "auth.account_providers" */
export type Auth_Account_Providers_Aggregate = {
    __typename?: 'auth_account_providers_aggregate';
    aggregate?: Maybe<Auth_Account_Providers_Aggregate_Fields>;
    nodes: Array<Auth_Account_Providers>;
};
export type Auth_Account_Providers_Aggregate_Bool_Exp = {
    count?: InputMaybe<Auth_Account_Providers_Aggregate_Bool_Exp_Count>;
};
export type Auth_Account_Providers_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "auth.account_providers" */
export type Auth_Account_Providers_Aggregate_Fields = {
    __typename?: 'auth_account_providers_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Account_Providers_Max_Fields>;
    min?: Maybe<Auth_Account_Providers_Min_Fields>;
};
/** aggregate fields of "auth.account_providers" */
export type Auth_Account_Providers_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "auth.account_providers" */
export type Auth_Account_Providers_Aggregate_Order_By = {
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Auth_Account_Providers_Max_Order_By>;
    min?: InputMaybe<Auth_Account_Providers_Min_Order_By>;
};
/** input type for inserting array relation for remote table "auth.account_providers" */
export type Auth_Account_Providers_Arr_Rel_Insert_Input = {
    data: Array<Auth_Account_Providers_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Account_Providers_On_Conflict>;
};
/** Boolean expression to filter rows from the table "auth.account_providers". All fields are combined with a logical 'AND'. */
export type Auth_Account_Providers_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Account_Providers_Bool_Exp>>;
    _not?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Account_Providers_Bool_Exp>>;
    account?: InputMaybe<Auth_Accounts_Bool_Exp>;
    account_id?: InputMaybe<Uuid_Comparison_Exp>;
    auth_provider?: InputMaybe<String_Comparison_Exp>;
    auth_provider_unique_id?: InputMaybe<String_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Uuid_Comparison_Exp>;
    provider?: InputMaybe<Auth_Providers_Bool_Exp>;
    provider_access_token?: InputMaybe<String_Comparison_Exp>;
    provider_refresh_token?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "auth.account_providers" */
export declare enum Auth_Account_Providers_Constraint {
    /** unique or primary key constraint on columns "auth_provider", "account_id" */
    AccountProvidersAccountIdAuthProviderKey = "account_providers_account_id_auth_provider_key",
    /** unique or primary key constraint on columns "auth_provider", "auth_provider_unique_id" */
    AccountProvidersAuthProviderAuthProviderUniqueIdKey = "account_providers_auth_provider_auth_provider_unique_id_key",
    /** unique or primary key constraint on columns "id" */
    AccountProvidersPkey = "account_providers_pkey"
}
/** input type for inserting data into table "auth.account_providers" */
export type Auth_Account_Providers_Insert_Input = {
    account?: InputMaybe<Auth_Accounts_Obj_Rel_Insert_Input>;
    account_id?: InputMaybe<Scalars['uuid']>;
    auth_provider?: InputMaybe<Scalars['String']>;
    auth_provider_unique_id?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    provider?: InputMaybe<Auth_Providers_Obj_Rel_Insert_Input>;
    provider_access_token?: InputMaybe<Scalars['String']>;
    provider_refresh_token?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Auth_Account_Providers_Max_Fields = {
    __typename?: 'auth_account_providers_max_fields';
    account_id?: Maybe<Scalars['uuid']>;
    auth_provider?: Maybe<Scalars['String']>;
    auth_provider_unique_id?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    provider_access_token?: Maybe<Scalars['String']>;
    provider_refresh_token?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by max() on columns of table "auth.account_providers" */
export type Auth_Account_Providers_Max_Order_By = {
    account_id?: InputMaybe<Order_By>;
    auth_provider?: InputMaybe<Order_By>;
    auth_provider_unique_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    provider_access_token?: InputMaybe<Order_By>;
    provider_refresh_token?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Auth_Account_Providers_Min_Fields = {
    __typename?: 'auth_account_providers_min_fields';
    account_id?: Maybe<Scalars['uuid']>;
    auth_provider?: Maybe<Scalars['String']>;
    auth_provider_unique_id?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    provider_access_token?: Maybe<Scalars['String']>;
    provider_refresh_token?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by min() on columns of table "auth.account_providers" */
export type Auth_Account_Providers_Min_Order_By = {
    account_id?: InputMaybe<Order_By>;
    auth_provider?: InputMaybe<Order_By>;
    auth_provider_unique_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    provider_access_token?: InputMaybe<Order_By>;
    provider_refresh_token?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "auth.account_providers" */
export type Auth_Account_Providers_Mutation_Response = {
    __typename?: 'auth_account_providers_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Account_Providers>;
};
/** on_conflict condition type for table "auth.account_providers" */
export type Auth_Account_Providers_On_Conflict = {
    constraint: Auth_Account_Providers_Constraint;
    update_columns?: Array<Auth_Account_Providers_Update_Column>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.account_providers". */
export type Auth_Account_Providers_Order_By = {
    account?: InputMaybe<Auth_Accounts_Order_By>;
    account_id?: InputMaybe<Order_By>;
    auth_provider?: InputMaybe<Order_By>;
    auth_provider_unique_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    provider?: InputMaybe<Auth_Providers_Order_By>;
    provider_access_token?: InputMaybe<Order_By>;
    provider_refresh_token?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: auth.account_providers */
export type Auth_Account_Providers_Pk_Columns_Input = {
    id: Scalars['uuid'];
};
/** select columns of table "auth.account_providers" */
export declare enum Auth_Account_Providers_Select_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    AuthProvider = "auth_provider",
    /** column name */
    AuthProviderUniqueId = "auth_provider_unique_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    ProviderAccessToken = "provider_access_token",
    /** column name */
    ProviderRefreshToken = "provider_refresh_token",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "auth.account_providers" */
export type Auth_Account_Providers_Set_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    auth_provider?: InputMaybe<Scalars['String']>;
    auth_provider_unique_id?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    provider_access_token?: InputMaybe<Scalars['String']>;
    provider_refresh_token?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** Streaming cursor of the table "auth_account_providers" */
export type Auth_Account_Providers_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Account_Providers_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Account_Providers_Stream_Cursor_Value_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    auth_provider?: InputMaybe<Scalars['String']>;
    auth_provider_unique_id?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    provider_access_token?: InputMaybe<Scalars['String']>;
    provider_refresh_token?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** update columns of table "auth.account_providers" */
export declare enum Auth_Account_Providers_Update_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    AuthProvider = "auth_provider",
    /** column name */
    AuthProviderUniqueId = "auth_provider_unique_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    ProviderAccessToken = "provider_access_token",
    /** column name */
    ProviderRefreshToken = "provider_refresh_token",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Auth_Account_Providers_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Account_Providers_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Account_Providers_Bool_Exp;
};
/** columns and relationships of "auth.account_roles" */
export type Auth_Account_Roles = {
    __typename?: 'auth_account_roles';
    /** An object relationship */
    account: Auth_Accounts;
    account_id: Scalars['uuid'];
    created_at: Scalars['timestamptz'];
    id: Scalars['uuid'];
    role: Scalars['String'];
    /** An object relationship */
    roleByRole: Auth_Roles;
};
/** aggregated selection of "auth.account_roles" */
export type Auth_Account_Roles_Aggregate = {
    __typename?: 'auth_account_roles_aggregate';
    aggregate?: Maybe<Auth_Account_Roles_Aggregate_Fields>;
    nodes: Array<Auth_Account_Roles>;
};
export type Auth_Account_Roles_Aggregate_Bool_Exp = {
    count?: InputMaybe<Auth_Account_Roles_Aggregate_Bool_Exp_Count>;
};
export type Auth_Account_Roles_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "auth.account_roles" */
export type Auth_Account_Roles_Aggregate_Fields = {
    __typename?: 'auth_account_roles_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Account_Roles_Max_Fields>;
    min?: Maybe<Auth_Account_Roles_Min_Fields>;
};
/** aggregate fields of "auth.account_roles" */
export type Auth_Account_Roles_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "auth.account_roles" */
export type Auth_Account_Roles_Aggregate_Order_By = {
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Auth_Account_Roles_Max_Order_By>;
    min?: InputMaybe<Auth_Account_Roles_Min_Order_By>;
};
/** input type for inserting array relation for remote table "auth.account_roles" */
export type Auth_Account_Roles_Arr_Rel_Insert_Input = {
    data: Array<Auth_Account_Roles_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Account_Roles_On_Conflict>;
};
/** Boolean expression to filter rows from the table "auth.account_roles". All fields are combined with a logical 'AND'. */
export type Auth_Account_Roles_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Account_Roles_Bool_Exp>>;
    _not?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Account_Roles_Bool_Exp>>;
    account?: InputMaybe<Auth_Accounts_Bool_Exp>;
    account_id?: InputMaybe<Uuid_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Uuid_Comparison_Exp>;
    role?: InputMaybe<String_Comparison_Exp>;
    roleByRole?: InputMaybe<Auth_Roles_Bool_Exp>;
};
/** unique or primary key constraints on table "auth.account_roles" */
export declare enum Auth_Account_Roles_Constraint {
    /** unique or primary key constraint on columns "id" */
    AccountRolesPkey = "account_roles_pkey",
    /** unique or primary key constraint on columns "role", "account_id" */
    UserRolesAccountIdRoleKey = "user_roles_account_id_role_key"
}
/** input type for inserting data into table "auth.account_roles" */
export type Auth_Account_Roles_Insert_Input = {
    account?: InputMaybe<Auth_Accounts_Obj_Rel_Insert_Input>;
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    role?: InputMaybe<Scalars['String']>;
    roleByRole?: InputMaybe<Auth_Roles_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Auth_Account_Roles_Max_Fields = {
    __typename?: 'auth_account_roles_max_fields';
    account_id?: Maybe<Scalars['uuid']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    role?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "auth.account_roles" */
export type Auth_Account_Roles_Max_Order_By = {
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    role?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Auth_Account_Roles_Min_Fields = {
    __typename?: 'auth_account_roles_min_fields';
    account_id?: Maybe<Scalars['uuid']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    role?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "auth.account_roles" */
export type Auth_Account_Roles_Min_Order_By = {
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    role?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "auth.account_roles" */
export type Auth_Account_Roles_Mutation_Response = {
    __typename?: 'auth_account_roles_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Account_Roles>;
};
/** on_conflict condition type for table "auth.account_roles" */
export type Auth_Account_Roles_On_Conflict = {
    constraint: Auth_Account_Roles_Constraint;
    update_columns?: Array<Auth_Account_Roles_Update_Column>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.account_roles". */
export type Auth_Account_Roles_Order_By = {
    account?: InputMaybe<Auth_Accounts_Order_By>;
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    role?: InputMaybe<Order_By>;
    roleByRole?: InputMaybe<Auth_Roles_Order_By>;
};
/** primary key columns input for table: auth.account_roles */
export type Auth_Account_Roles_Pk_Columns_Input = {
    id: Scalars['uuid'];
};
/** select columns of table "auth.account_roles" */
export declare enum Auth_Account_Roles_Select_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Role = "role"
}
/** input type for updating data in table "auth.account_roles" */
export type Auth_Account_Roles_Set_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    role?: InputMaybe<Scalars['String']>;
};
/** Streaming cursor of the table "auth_account_roles" */
export type Auth_Account_Roles_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Account_Roles_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Account_Roles_Stream_Cursor_Value_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    role?: InputMaybe<Scalars['String']>;
};
/** update columns of table "auth.account_roles" */
export declare enum Auth_Account_Roles_Update_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Role = "role"
}
export type Auth_Account_Roles_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Account_Roles_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Account_Roles_Bool_Exp;
};
/** columns and relationships of "auth.accounts" */
export type Auth_Accounts = {
    __typename?: 'auth_accounts';
    /** An array relationship */
    account_providers: Array<Auth_Account_Providers>;
    /** An aggregate relationship */
    account_providers_aggregate: Auth_Account_Providers_Aggregate;
    /** An array relationship */
    account_roles: Array<Auth_Account_Roles>;
    /** An aggregate relationship */
    account_roles_aggregate: Auth_Account_Roles_Aggregate;
    active: Scalars['Boolean'];
    created_at: Scalars['timestamptz'];
    custom_register_data?: Maybe<Scalars['jsonb']>;
    default_role: Scalars['String'];
    email?: Maybe<Scalars['citext']>;
    id: Scalars['uuid'];
    is_anonymous: Scalars['Boolean'];
    mfa_enabled: Scalars['Boolean'];
    new_email?: Maybe<Scalars['citext']>;
    otp_secret?: Maybe<Scalars['String']>;
    password_hash?: Maybe<Scalars['String']>;
    /** An array relationship */
    refresh_tokens: Array<Auth_Refresh_Tokens>;
    /** An aggregate relationship */
    refresh_tokens_aggregate: Auth_Refresh_Tokens_Aggregate;
    /** An object relationship */
    role: Auth_Roles;
    ticket: Scalars['uuid'];
    ticket_expires_at: Scalars['timestamptz'];
    updated_at: Scalars['timestamptz'];
    /** An object relationship */
    user: Users;
    user_id: Scalars['uuid'];
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsAccount_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsAccount_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsAccount_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsAccount_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsCustom_Register_DataArgs = {
    path?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsRefresh_TokensArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
/** columns and relationships of "auth.accounts" */
export type Auth_AccountsRefresh_Tokens_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
/** aggregated selection of "auth.accounts" */
export type Auth_Accounts_Aggregate = {
    __typename?: 'auth_accounts_aggregate';
    aggregate?: Maybe<Auth_Accounts_Aggregate_Fields>;
    nodes: Array<Auth_Accounts>;
};
export type Auth_Accounts_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Auth_Accounts_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Auth_Accounts_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Auth_Accounts_Aggregate_Bool_Exp_Count>;
};
export type Auth_Accounts_Aggregate_Bool_Exp_Bool_And = {
    arguments: Auth_Accounts_Select_Column_Auth_Accounts_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Accounts_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Auth_Accounts_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Auth_Accounts_Select_Column_Auth_Accounts_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Accounts_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Auth_Accounts_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Accounts_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "auth.accounts" */
export type Auth_Accounts_Aggregate_Fields = {
    __typename?: 'auth_accounts_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Accounts_Max_Fields>;
    min?: Maybe<Auth_Accounts_Min_Fields>;
};
/** aggregate fields of "auth.accounts" */
export type Auth_Accounts_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "auth.accounts" */
export type Auth_Accounts_Aggregate_Order_By = {
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Auth_Accounts_Max_Order_By>;
    min?: InputMaybe<Auth_Accounts_Min_Order_By>;
};
/** append existing jsonb value of filtered columns with new jsonb value */
export type Auth_Accounts_Append_Input = {
    custom_register_data?: InputMaybe<Scalars['jsonb']>;
};
/** input type for inserting array relation for remote table "auth.accounts" */
export type Auth_Accounts_Arr_Rel_Insert_Input = {
    data: Array<Auth_Accounts_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Accounts_On_Conflict>;
};
/** Boolean expression to filter rows from the table "auth.accounts". All fields are combined with a logical 'AND'. */
export type Auth_Accounts_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Accounts_Bool_Exp>>;
    _not?: InputMaybe<Auth_Accounts_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Accounts_Bool_Exp>>;
    account_providers?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
    account_providers_aggregate?: InputMaybe<Auth_Account_Providers_Aggregate_Bool_Exp>;
    account_roles?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
    account_roles_aggregate?: InputMaybe<Auth_Account_Roles_Aggregate_Bool_Exp>;
    active?: InputMaybe<Boolean_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    custom_register_data?: InputMaybe<Jsonb_Comparison_Exp>;
    default_role?: InputMaybe<String_Comparison_Exp>;
    email?: InputMaybe<Citext_Comparison_Exp>;
    id?: InputMaybe<Uuid_Comparison_Exp>;
    is_anonymous?: InputMaybe<Boolean_Comparison_Exp>;
    mfa_enabled?: InputMaybe<Boolean_Comparison_Exp>;
    new_email?: InputMaybe<Citext_Comparison_Exp>;
    otp_secret?: InputMaybe<String_Comparison_Exp>;
    password_hash?: InputMaybe<String_Comparison_Exp>;
    refresh_tokens?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
    refresh_tokens_aggregate?: InputMaybe<Auth_Refresh_Tokens_Aggregate_Bool_Exp>;
    role?: InputMaybe<Auth_Roles_Bool_Exp>;
    ticket?: InputMaybe<Uuid_Comparison_Exp>;
    ticket_expires_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    user?: InputMaybe<Users_Bool_Exp>;
    user_id?: InputMaybe<Uuid_Comparison_Exp>;
};
/** unique or primary key constraints on table "auth.accounts" */
export declare enum Auth_Accounts_Constraint {
    /** unique or primary key constraint on columns "email" */
    AccountsEmailKey = "accounts_email_key",
    /** unique or primary key constraint on columns "new_email" */
    AccountsNewEmailKey = "accounts_new_email_key",
    /** unique or primary key constraint on columns "id" */
    AccountsPkey = "accounts_pkey"
}
/** delete the field or element with specified path (for JSON arrays, negative integers count from the end) */
export type Auth_Accounts_Delete_At_Path_Input = {
    custom_register_data?: InputMaybe<Array<Scalars['String']>>;
};
/** delete the array element with specified index (negative integers count from the end). throws an error if top level container is not an array */
export type Auth_Accounts_Delete_Elem_Input = {
    custom_register_data?: InputMaybe<Scalars['Int']>;
};
/** delete key/value pair or string element. key/value pairs are matched based on their key value */
export type Auth_Accounts_Delete_Key_Input = {
    custom_register_data?: InputMaybe<Scalars['String']>;
};
/** input type for inserting data into table "auth.accounts" */
export type Auth_Accounts_Insert_Input = {
    account_providers?: InputMaybe<Auth_Account_Providers_Arr_Rel_Insert_Input>;
    account_roles?: InputMaybe<Auth_Account_Roles_Arr_Rel_Insert_Input>;
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    custom_register_data?: InputMaybe<Scalars['jsonb']>;
    default_role?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['citext']>;
    id?: InputMaybe<Scalars['uuid']>;
    is_anonymous?: InputMaybe<Scalars['Boolean']>;
    mfa_enabled?: InputMaybe<Scalars['Boolean']>;
    new_email?: InputMaybe<Scalars['citext']>;
    otp_secret?: InputMaybe<Scalars['String']>;
    password_hash?: InputMaybe<Scalars['String']>;
    refresh_tokens?: InputMaybe<Auth_Refresh_Tokens_Arr_Rel_Insert_Input>;
    role?: InputMaybe<Auth_Roles_Obj_Rel_Insert_Input>;
    ticket?: InputMaybe<Scalars['uuid']>;
    ticket_expires_at?: InputMaybe<Scalars['timestamptz']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user?: InputMaybe<Users_Obj_Rel_Insert_Input>;
    user_id?: InputMaybe<Scalars['uuid']>;
};
/** aggregate max on columns */
export type Auth_Accounts_Max_Fields = {
    __typename?: 'auth_accounts_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    default_role?: Maybe<Scalars['String']>;
    email?: Maybe<Scalars['citext']>;
    id?: Maybe<Scalars['uuid']>;
    new_email?: Maybe<Scalars['citext']>;
    otp_secret?: Maybe<Scalars['String']>;
    password_hash?: Maybe<Scalars['String']>;
    ticket?: Maybe<Scalars['uuid']>;
    ticket_expires_at?: Maybe<Scalars['timestamptz']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['uuid']>;
};
/** order by max() on columns of table "auth.accounts" */
export type Auth_Accounts_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    default_role?: InputMaybe<Order_By>;
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    new_email?: InputMaybe<Order_By>;
    otp_secret?: InputMaybe<Order_By>;
    password_hash?: InputMaybe<Order_By>;
    ticket?: InputMaybe<Order_By>;
    ticket_expires_at?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Auth_Accounts_Min_Fields = {
    __typename?: 'auth_accounts_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    default_role?: Maybe<Scalars['String']>;
    email?: Maybe<Scalars['citext']>;
    id?: Maybe<Scalars['uuid']>;
    new_email?: Maybe<Scalars['citext']>;
    otp_secret?: Maybe<Scalars['String']>;
    password_hash?: Maybe<Scalars['String']>;
    ticket?: Maybe<Scalars['uuid']>;
    ticket_expires_at?: Maybe<Scalars['timestamptz']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['uuid']>;
};
/** order by min() on columns of table "auth.accounts" */
export type Auth_Accounts_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    default_role?: InputMaybe<Order_By>;
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    new_email?: InputMaybe<Order_By>;
    otp_secret?: InputMaybe<Order_By>;
    password_hash?: InputMaybe<Order_By>;
    ticket?: InputMaybe<Order_By>;
    ticket_expires_at?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "auth.accounts" */
export type Auth_Accounts_Mutation_Response = {
    __typename?: 'auth_accounts_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Accounts>;
};
/** input type for inserting object relation for remote table "auth.accounts" */
export type Auth_Accounts_Obj_Rel_Insert_Input = {
    data: Auth_Accounts_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Accounts_On_Conflict>;
};
/** on_conflict condition type for table "auth.accounts" */
export type Auth_Accounts_On_Conflict = {
    constraint: Auth_Accounts_Constraint;
    update_columns?: Array<Auth_Accounts_Update_Column>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.accounts". */
export type Auth_Accounts_Order_By = {
    account_providers_aggregate?: InputMaybe<Auth_Account_Providers_Aggregate_Order_By>;
    account_roles_aggregate?: InputMaybe<Auth_Account_Roles_Aggregate_Order_By>;
    active?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    custom_register_data?: InputMaybe<Order_By>;
    default_role?: InputMaybe<Order_By>;
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_anonymous?: InputMaybe<Order_By>;
    mfa_enabled?: InputMaybe<Order_By>;
    new_email?: InputMaybe<Order_By>;
    otp_secret?: InputMaybe<Order_By>;
    password_hash?: InputMaybe<Order_By>;
    refresh_tokens_aggregate?: InputMaybe<Auth_Refresh_Tokens_Aggregate_Order_By>;
    role?: InputMaybe<Auth_Roles_Order_By>;
    ticket?: InputMaybe<Order_By>;
    ticket_expires_at?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    user?: InputMaybe<Users_Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: auth.accounts */
export type Auth_Accounts_Pk_Columns_Input = {
    id: Scalars['uuid'];
};
/** prepend existing jsonb value of filtered columns with new jsonb value */
export type Auth_Accounts_Prepend_Input = {
    custom_register_data?: InputMaybe<Scalars['jsonb']>;
};
/** select columns of table "auth.accounts" */
export declare enum Auth_Accounts_Select_Column {
    /** column name */
    Active = "active",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CustomRegisterData = "custom_register_data",
    /** column name */
    DefaultRole = "default_role",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    IsAnonymous = "is_anonymous",
    /** column name */
    MfaEnabled = "mfa_enabled",
    /** column name */
    NewEmail = "new_email",
    /** column name */
    OtpSecret = "otp_secret",
    /** column name */
    PasswordHash = "password_hash",
    /** column name */
    Ticket = "ticket",
    /** column name */
    TicketExpiresAt = "ticket_expires_at",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    UserId = "user_id"
}
/** select "auth_accounts_aggregate_bool_exp_bool_and_arguments_columns" columns of table "auth.accounts" */
export declare enum Auth_Accounts_Select_Column_Auth_Accounts_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    Active = "active",
    /** column name */
    IsAnonymous = "is_anonymous",
    /** column name */
    MfaEnabled = "mfa_enabled"
}
/** select "auth_accounts_aggregate_bool_exp_bool_or_arguments_columns" columns of table "auth.accounts" */
export declare enum Auth_Accounts_Select_Column_Auth_Accounts_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    Active = "active",
    /** column name */
    IsAnonymous = "is_anonymous",
    /** column name */
    MfaEnabled = "mfa_enabled"
}
/** input type for updating data in table "auth.accounts" */
export type Auth_Accounts_Set_Input = {
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    custom_register_data?: InputMaybe<Scalars['jsonb']>;
    default_role?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['citext']>;
    id?: InputMaybe<Scalars['uuid']>;
    is_anonymous?: InputMaybe<Scalars['Boolean']>;
    mfa_enabled?: InputMaybe<Scalars['Boolean']>;
    new_email?: InputMaybe<Scalars['citext']>;
    otp_secret?: InputMaybe<Scalars['String']>;
    password_hash?: InputMaybe<Scalars['String']>;
    ticket?: InputMaybe<Scalars['uuid']>;
    ticket_expires_at?: InputMaybe<Scalars['timestamptz']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['uuid']>;
};
/** Streaming cursor of the table "auth_accounts" */
export type Auth_Accounts_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Accounts_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Accounts_Stream_Cursor_Value_Input = {
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    custom_register_data?: InputMaybe<Scalars['jsonb']>;
    default_role?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['citext']>;
    id?: InputMaybe<Scalars['uuid']>;
    is_anonymous?: InputMaybe<Scalars['Boolean']>;
    mfa_enabled?: InputMaybe<Scalars['Boolean']>;
    new_email?: InputMaybe<Scalars['citext']>;
    otp_secret?: InputMaybe<Scalars['String']>;
    password_hash?: InputMaybe<Scalars['String']>;
    ticket?: InputMaybe<Scalars['uuid']>;
    ticket_expires_at?: InputMaybe<Scalars['timestamptz']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['uuid']>;
};
/** update columns of table "auth.accounts" */
export declare enum Auth_Accounts_Update_Column {
    /** column name */
    Active = "active",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CustomRegisterData = "custom_register_data",
    /** column name */
    DefaultRole = "default_role",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    IsAnonymous = "is_anonymous",
    /** column name */
    MfaEnabled = "mfa_enabled",
    /** column name */
    NewEmail = "new_email",
    /** column name */
    OtpSecret = "otp_secret",
    /** column name */
    PasswordHash = "password_hash",
    /** column name */
    Ticket = "ticket",
    /** column name */
    TicketExpiresAt = "ticket_expires_at",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    UserId = "user_id"
}
export type Auth_Accounts_Updates = {
    /** append existing jsonb value of filtered columns with new jsonb value */
    _append?: InputMaybe<Auth_Accounts_Append_Input>;
    /** delete the field or element with specified path (for JSON arrays, negative integers count from the end) */
    _delete_at_path?: InputMaybe<Auth_Accounts_Delete_At_Path_Input>;
    /** delete the array element with specified index (negative integers count from the end). throws an error if top level container is not an array */
    _delete_elem?: InputMaybe<Auth_Accounts_Delete_Elem_Input>;
    /** delete key/value pair or string element. key/value pairs are matched based on their key value */
    _delete_key?: InputMaybe<Auth_Accounts_Delete_Key_Input>;
    /** prepend existing jsonb value of filtered columns with new jsonb value */
    _prepend?: InputMaybe<Auth_Accounts_Prepend_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Accounts_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Accounts_Bool_Exp;
};
/** columns and relationships of "auth.providers" */
export type Auth_Providers = {
    __typename?: 'auth_providers';
    /** An array relationship */
    account_providers: Array<Auth_Account_Providers>;
    /** An aggregate relationship */
    account_providers_aggregate: Auth_Account_Providers_Aggregate;
    provider: Scalars['String'];
};
/** columns and relationships of "auth.providers" */
export type Auth_ProvidersAccount_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
/** columns and relationships of "auth.providers" */
export type Auth_ProvidersAccount_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
/** aggregated selection of "auth.providers" */
export type Auth_Providers_Aggregate = {
    __typename?: 'auth_providers_aggregate';
    aggregate?: Maybe<Auth_Providers_Aggregate_Fields>;
    nodes: Array<Auth_Providers>;
};
/** aggregate fields of "auth.providers" */
export type Auth_Providers_Aggregate_Fields = {
    __typename?: 'auth_providers_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Providers_Max_Fields>;
    min?: Maybe<Auth_Providers_Min_Fields>;
};
/** aggregate fields of "auth.providers" */
export type Auth_Providers_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Providers_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** Boolean expression to filter rows from the table "auth.providers". All fields are combined with a logical 'AND'. */
export type Auth_Providers_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Providers_Bool_Exp>>;
    _not?: InputMaybe<Auth_Providers_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Providers_Bool_Exp>>;
    account_providers?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
    account_providers_aggregate?: InputMaybe<Auth_Account_Providers_Aggregate_Bool_Exp>;
    provider?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "auth.providers" */
export declare enum Auth_Providers_Constraint {
    /** unique or primary key constraint on columns "provider" */
    ProvidersPkey = "providers_pkey"
}
/** input type for inserting data into table "auth.providers" */
export type Auth_Providers_Insert_Input = {
    account_providers?: InputMaybe<Auth_Account_Providers_Arr_Rel_Insert_Input>;
    provider?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Auth_Providers_Max_Fields = {
    __typename?: 'auth_providers_max_fields';
    provider?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Auth_Providers_Min_Fields = {
    __typename?: 'auth_providers_min_fields';
    provider?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "auth.providers" */
export type Auth_Providers_Mutation_Response = {
    __typename?: 'auth_providers_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Providers>;
};
/** input type for inserting object relation for remote table "auth.providers" */
export type Auth_Providers_Obj_Rel_Insert_Input = {
    data: Auth_Providers_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Providers_On_Conflict>;
};
/** on_conflict condition type for table "auth.providers" */
export type Auth_Providers_On_Conflict = {
    constraint: Auth_Providers_Constraint;
    update_columns?: Array<Auth_Providers_Update_Column>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.providers". */
export type Auth_Providers_Order_By = {
    account_providers_aggregate?: InputMaybe<Auth_Account_Providers_Aggregate_Order_By>;
    provider?: InputMaybe<Order_By>;
};
/** primary key columns input for table: auth.providers */
export type Auth_Providers_Pk_Columns_Input = {
    provider: Scalars['String'];
};
/** select columns of table "auth.providers" */
export declare enum Auth_Providers_Select_Column {
    /** column name */
    Provider = "provider"
}
/** input type for updating data in table "auth.providers" */
export type Auth_Providers_Set_Input = {
    provider?: InputMaybe<Scalars['String']>;
};
/** Streaming cursor of the table "auth_providers" */
export type Auth_Providers_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Providers_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Providers_Stream_Cursor_Value_Input = {
    provider?: InputMaybe<Scalars['String']>;
};
/** update columns of table "auth.providers" */
export declare enum Auth_Providers_Update_Column {
    /** column name */
    Provider = "provider"
}
export type Auth_Providers_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Providers_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Providers_Bool_Exp;
};
/** columns and relationships of "auth.refresh_tokens" */
export type Auth_Refresh_Tokens = {
    __typename?: 'auth_refresh_tokens';
    /** An object relationship */
    account: Auth_Accounts;
    account_id: Scalars['uuid'];
    created_at: Scalars['timestamptz'];
    expires_at: Scalars['timestamptz'];
    refresh_token: Scalars['uuid'];
};
/** aggregated selection of "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Aggregate = {
    __typename?: 'auth_refresh_tokens_aggregate';
    aggregate?: Maybe<Auth_Refresh_Tokens_Aggregate_Fields>;
    nodes: Array<Auth_Refresh_Tokens>;
};
export type Auth_Refresh_Tokens_Aggregate_Bool_Exp = {
    count?: InputMaybe<Auth_Refresh_Tokens_Aggregate_Bool_Exp_Count>;
};
export type Auth_Refresh_Tokens_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Aggregate_Fields = {
    __typename?: 'auth_refresh_tokens_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Refresh_Tokens_Max_Fields>;
    min?: Maybe<Auth_Refresh_Tokens_Min_Fields>;
};
/** aggregate fields of "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Aggregate_Order_By = {
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Auth_Refresh_Tokens_Max_Order_By>;
    min?: InputMaybe<Auth_Refresh_Tokens_Min_Order_By>;
};
/** input type for inserting array relation for remote table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Arr_Rel_Insert_Input = {
    data: Array<Auth_Refresh_Tokens_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Refresh_Tokens_On_Conflict>;
};
/** Boolean expression to filter rows from the table "auth.refresh_tokens". All fields are combined with a logical 'AND'. */
export type Auth_Refresh_Tokens_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Refresh_Tokens_Bool_Exp>>;
    _not?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Refresh_Tokens_Bool_Exp>>;
    account?: InputMaybe<Auth_Accounts_Bool_Exp>;
    account_id?: InputMaybe<Uuid_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    expires_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    refresh_token?: InputMaybe<Uuid_Comparison_Exp>;
};
/** unique or primary key constraints on table "auth.refresh_tokens" */
export declare enum Auth_Refresh_Tokens_Constraint {
    /** unique or primary key constraint on columns "refresh_token" */
    RefreshTokensPkey = "refresh_tokens_pkey"
}
/** input type for inserting data into table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Insert_Input = {
    account?: InputMaybe<Auth_Accounts_Obj_Rel_Insert_Input>;
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    expires_at?: InputMaybe<Scalars['timestamptz']>;
    refresh_token?: InputMaybe<Scalars['uuid']>;
};
/** aggregate max on columns */
export type Auth_Refresh_Tokens_Max_Fields = {
    __typename?: 'auth_refresh_tokens_max_fields';
    account_id?: Maybe<Scalars['uuid']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    expires_at?: Maybe<Scalars['timestamptz']>;
    refresh_token?: Maybe<Scalars['uuid']>;
};
/** order by max() on columns of table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Max_Order_By = {
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    expires_at?: InputMaybe<Order_By>;
    refresh_token?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Auth_Refresh_Tokens_Min_Fields = {
    __typename?: 'auth_refresh_tokens_min_fields';
    account_id?: Maybe<Scalars['uuid']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    expires_at?: Maybe<Scalars['timestamptz']>;
    refresh_token?: Maybe<Scalars['uuid']>;
};
/** order by min() on columns of table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Min_Order_By = {
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    expires_at?: InputMaybe<Order_By>;
    refresh_token?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Mutation_Response = {
    __typename?: 'auth_refresh_tokens_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Refresh_Tokens>;
};
/** on_conflict condition type for table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_On_Conflict = {
    constraint: Auth_Refresh_Tokens_Constraint;
    update_columns?: Array<Auth_Refresh_Tokens_Update_Column>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.refresh_tokens". */
export type Auth_Refresh_Tokens_Order_By = {
    account?: InputMaybe<Auth_Accounts_Order_By>;
    account_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    expires_at?: InputMaybe<Order_By>;
    refresh_token?: InputMaybe<Order_By>;
};
/** primary key columns input for table: auth.refresh_tokens */
export type Auth_Refresh_Tokens_Pk_Columns_Input = {
    refresh_token: Scalars['uuid'];
};
/** select columns of table "auth.refresh_tokens" */
export declare enum Auth_Refresh_Tokens_Select_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    ExpiresAt = "expires_at",
    /** column name */
    RefreshToken = "refresh_token"
}
/** input type for updating data in table "auth.refresh_tokens" */
export type Auth_Refresh_Tokens_Set_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    expires_at?: InputMaybe<Scalars['timestamptz']>;
    refresh_token?: InputMaybe<Scalars['uuid']>;
};
/** Streaming cursor of the table "auth_refresh_tokens" */
export type Auth_Refresh_Tokens_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Refresh_Tokens_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Refresh_Tokens_Stream_Cursor_Value_Input = {
    account_id?: InputMaybe<Scalars['uuid']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    expires_at?: InputMaybe<Scalars['timestamptz']>;
    refresh_token?: InputMaybe<Scalars['uuid']>;
};
/** update columns of table "auth.refresh_tokens" */
export declare enum Auth_Refresh_Tokens_Update_Column {
    /** column name */
    AccountId = "account_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    ExpiresAt = "expires_at",
    /** column name */
    RefreshToken = "refresh_token"
}
export type Auth_Refresh_Tokens_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Refresh_Tokens_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Refresh_Tokens_Bool_Exp;
};
/** columns and relationships of "auth.roles" */
export type Auth_Roles = {
    __typename?: 'auth_roles';
    /** An array relationship */
    account_roles: Array<Auth_Account_Roles>;
    /** An aggregate relationship */
    account_roles_aggregate: Auth_Account_Roles_Aggregate;
    /** An array relationship */
    accounts: Array<Auth_Accounts>;
    /** An aggregate relationship */
    accounts_aggregate: Auth_Accounts_Aggregate;
    role: Scalars['String'];
};
/** columns and relationships of "auth.roles" */
export type Auth_RolesAccount_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
/** columns and relationships of "auth.roles" */
export type Auth_RolesAccount_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
/** columns and relationships of "auth.roles" */
export type Auth_RolesAccountsArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
/** columns and relationships of "auth.roles" */
export type Auth_RolesAccounts_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
/** aggregated selection of "auth.roles" */
export type Auth_Roles_Aggregate = {
    __typename?: 'auth_roles_aggregate';
    aggregate?: Maybe<Auth_Roles_Aggregate_Fields>;
    nodes: Array<Auth_Roles>;
};
/** aggregate fields of "auth.roles" */
export type Auth_Roles_Aggregate_Fields = {
    __typename?: 'auth_roles_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Auth_Roles_Max_Fields>;
    min?: Maybe<Auth_Roles_Min_Fields>;
};
/** aggregate fields of "auth.roles" */
export type Auth_Roles_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Auth_Roles_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** Boolean expression to filter rows from the table "auth.roles". All fields are combined with a logical 'AND'. */
export type Auth_Roles_Bool_Exp = {
    _and?: InputMaybe<Array<Auth_Roles_Bool_Exp>>;
    _not?: InputMaybe<Auth_Roles_Bool_Exp>;
    _or?: InputMaybe<Array<Auth_Roles_Bool_Exp>>;
    account_roles?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
    account_roles_aggregate?: InputMaybe<Auth_Account_Roles_Aggregate_Bool_Exp>;
    accounts?: InputMaybe<Auth_Accounts_Bool_Exp>;
    accounts_aggregate?: InputMaybe<Auth_Accounts_Aggregate_Bool_Exp>;
    role?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "auth.roles" */
export declare enum Auth_Roles_Constraint {
    /** unique or primary key constraint on columns "role" */
    RolesPkey = "roles_pkey"
}
/** input type for inserting data into table "auth.roles" */
export type Auth_Roles_Insert_Input = {
    account_roles?: InputMaybe<Auth_Account_Roles_Arr_Rel_Insert_Input>;
    accounts?: InputMaybe<Auth_Accounts_Arr_Rel_Insert_Input>;
    role?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Auth_Roles_Max_Fields = {
    __typename?: 'auth_roles_max_fields';
    role?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Auth_Roles_Min_Fields = {
    __typename?: 'auth_roles_min_fields';
    role?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "auth.roles" */
export type Auth_Roles_Mutation_Response = {
    __typename?: 'auth_roles_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Auth_Roles>;
};
/** input type for inserting object relation for remote table "auth.roles" */
export type Auth_Roles_Obj_Rel_Insert_Input = {
    data: Auth_Roles_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Auth_Roles_On_Conflict>;
};
/** on_conflict condition type for table "auth.roles" */
export type Auth_Roles_On_Conflict = {
    constraint: Auth_Roles_Constraint;
    update_columns?: Array<Auth_Roles_Update_Column>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
/** Ordering options when selecting data from "auth.roles". */
export type Auth_Roles_Order_By = {
    account_roles_aggregate?: InputMaybe<Auth_Account_Roles_Aggregate_Order_By>;
    accounts_aggregate?: InputMaybe<Auth_Accounts_Aggregate_Order_By>;
    role?: InputMaybe<Order_By>;
};
/** primary key columns input for table: auth.roles */
export type Auth_Roles_Pk_Columns_Input = {
    role: Scalars['String'];
};
/** select columns of table "auth.roles" */
export declare enum Auth_Roles_Select_Column {
    /** column name */
    Role = "role"
}
/** input type for updating data in table "auth.roles" */
export type Auth_Roles_Set_Input = {
    role?: InputMaybe<Scalars['String']>;
};
/** Streaming cursor of the table "auth_roles" */
export type Auth_Roles_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Auth_Roles_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Auth_Roles_Stream_Cursor_Value_Input = {
    role?: InputMaybe<Scalars['String']>;
};
/** update columns of table "auth.roles" */
export declare enum Auth_Roles_Update_Column {
    /** column name */
    Role = "role"
}
export type Auth_Roles_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Auth_Roles_Set_Input>;
    /** filter the rows which have to be updated */
    where: Auth_Roles_Bool_Exp;
};
/** columns and relationships of "badge" */
export type Badge = {
    __typename?: 'badge';
    /** An object relationship */
    badgeType: Badge_Type;
    badge_type_id: Scalars['Int'];
    id: Scalars['Int'];
    receiver_id: Scalars['Int'];
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregated selection of "badge" */
export type Badge_Aggregate = {
    __typename?: 'badge_aggregate';
    aggregate?: Maybe<Badge_Aggregate_Fields>;
    nodes: Array<Badge>;
};
/** aggregate fields of "badge" */
export type Badge_Aggregate_Fields = {
    __typename?: 'badge_aggregate_fields';
    avg?: Maybe<Badge_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Badge_Max_Fields>;
    min?: Maybe<Badge_Min_Fields>;
    stddev?: Maybe<Badge_Stddev_Fields>;
    stddev_pop?: Maybe<Badge_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Badge_Stddev_Samp_Fields>;
    sum?: Maybe<Badge_Sum_Fields>;
    var_pop?: Maybe<Badge_Var_Pop_Fields>;
    var_samp?: Maybe<Badge_Var_Samp_Fields>;
    variance?: Maybe<Badge_Variance_Fields>;
};
/** aggregate fields of "badge" */
export type Badge_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Badge_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Badge_Avg_Fields = {
    __typename?: 'badge_avg_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "badge". All fields are combined with a logical 'AND'. */
export type Badge_Bool_Exp = {
    _and?: InputMaybe<Array<Badge_Bool_Exp>>;
    _not?: InputMaybe<Badge_Bool_Exp>;
    _or?: InputMaybe<Array<Badge_Bool_Exp>>;
    badgeType?: InputMaybe<Badge_Type_Bool_Exp>;
    badge_type_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    receiver_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** columns and relationships of "badge_category" */
export type Badge_Category = {
    __typename?: 'badge_category';
    default_static_term_min?: Maybe<Scalars['Int']>;
    description: Scalars['String'];
    id: Scalars['Int'];
    is_checked_every_login: Scalars['Boolean'];
    is_checked_static_batch: Scalars['Boolean'];
    ready: Scalars['Boolean'];
    title: Scalars['String'];
};
/** aggregated selection of "badge_category" */
export type Badge_Category_Aggregate = {
    __typename?: 'badge_category_aggregate';
    aggregate?: Maybe<Badge_Category_Aggregate_Fields>;
    nodes: Array<Badge_Category>;
};
/** aggregate fields of "badge_category" */
export type Badge_Category_Aggregate_Fields = {
    __typename?: 'badge_category_aggregate_fields';
    avg?: Maybe<Badge_Category_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Badge_Category_Max_Fields>;
    min?: Maybe<Badge_Category_Min_Fields>;
    stddev?: Maybe<Badge_Category_Stddev_Fields>;
    stddev_pop?: Maybe<Badge_Category_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Badge_Category_Stddev_Samp_Fields>;
    sum?: Maybe<Badge_Category_Sum_Fields>;
    var_pop?: Maybe<Badge_Category_Var_Pop_Fields>;
    var_samp?: Maybe<Badge_Category_Var_Samp_Fields>;
    variance?: Maybe<Badge_Category_Variance_Fields>;
};
/** aggregate fields of "badge_category" */
export type Badge_Category_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Badge_Category_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Badge_Category_Avg_Fields = {
    __typename?: 'badge_category_avg_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "badge_category". All fields are combined with a logical 'AND'. */
export type Badge_Category_Bool_Exp = {
    _and?: InputMaybe<Array<Badge_Category_Bool_Exp>>;
    _not?: InputMaybe<Badge_Category_Bool_Exp>;
    _or?: InputMaybe<Array<Badge_Category_Bool_Exp>>;
    default_static_term_min?: InputMaybe<Int_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_checked_every_login?: InputMaybe<Boolean_Comparison_Exp>;
    is_checked_static_batch?: InputMaybe<Boolean_Comparison_Exp>;
    ready?: InputMaybe<Boolean_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "badge_category" */
export declare enum Badge_Category_Constraint {
    /** unique or primary key constraint on columns "id" */
    BadgeCategoryPkey = "badge_category_pkey",
    /** unique or primary key constraint on columns "title" */
    BadgeCategoryTitleKey = "badge_category_title_key"
}
/** input type for incrementing numeric columns in table "badge_category" */
export type Badge_Category_Inc_Input = {
    default_static_term_min?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "badge_category" */
export type Badge_Category_Insert_Input = {
    default_static_term_min?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    ready?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Badge_Category_Max_Fields = {
    __typename?: 'badge_category_max_fields';
    default_static_term_min?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Badge_Category_Min_Fields = {
    __typename?: 'badge_category_min_fields';
    default_static_term_min?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "badge_category" */
export type Badge_Category_Mutation_Response = {
    __typename?: 'badge_category_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Badge_Category>;
};
/** input type for inserting object relation for remote table "badge_category" */
export type Badge_Category_Obj_Rel_Insert_Input = {
    data: Badge_Category_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Badge_Category_On_Conflict>;
};
/** on_conflict condition type for table "badge_category" */
export type Badge_Category_On_Conflict = {
    constraint: Badge_Category_Constraint;
    update_columns?: Array<Badge_Category_Update_Column>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
/** Ordering options when selecting data from "badge_category". */
export type Badge_Category_Order_By = {
    default_static_term_min?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_checked_every_login?: InputMaybe<Order_By>;
    is_checked_static_batch?: InputMaybe<Order_By>;
    ready?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: badge_category */
export type Badge_Category_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "badge_category" */
export declare enum Badge_Category_Select_Column {
    /** column name */
    DefaultStaticTermMin = "default_static_term_min",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsCheckedEveryLogin = "is_checked_every_login",
    /** column name */
    IsCheckedStaticBatch = "is_checked_static_batch",
    /** column name */
    Ready = "ready",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "badge_category" */
export type Badge_Category_Set_Input = {
    default_static_term_min?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    ready?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Badge_Category_Stddev_Fields = {
    __typename?: 'badge_category_stddev_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Badge_Category_Stddev_Pop_Fields = {
    __typename?: 'badge_category_stddev_pop_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Badge_Category_Stddev_Samp_Fields = {
    __typename?: 'badge_category_stddev_samp_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "badge_category" */
export type Badge_Category_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Badge_Category_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Badge_Category_Stream_Cursor_Value_Input = {
    default_static_term_min?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    ready?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Badge_Category_Sum_Fields = {
    __typename?: 'badge_category_sum_fields';
    default_static_term_min?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "badge_category" */
export declare enum Badge_Category_Update_Column {
    /** column name */
    DefaultStaticTermMin = "default_static_term_min",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsCheckedEveryLogin = "is_checked_every_login",
    /** column name */
    IsCheckedStaticBatch = "is_checked_static_batch",
    /** column name */
    Ready = "ready",
    /** column name */
    Title = "title"
}
export type Badge_Category_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Badge_Category_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Badge_Category_Set_Input>;
    /** filter the rows which have to be updated */
    where: Badge_Category_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Badge_Category_Var_Pop_Fields = {
    __typename?: 'badge_category_var_pop_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Badge_Category_Var_Samp_Fields = {
    __typename?: 'badge_category_var_samp_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Badge_Category_Variance_Fields = {
    __typename?: 'badge_category_variance_fields';
    default_static_term_min?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** unique or primary key constraints on table "badge" */
export declare enum Badge_Constraint {
    /** unique or primary key constraint on columns "id" */
    BadgePkey = "badge_pkey",
    /** unique or primary key constraint on columns "receiver_id", "badge_type_id" */
    BadgeReceiverIdBadgeTypeIdKey = "badge_receiver_id_badge_type_id_key"
}
/** input type for incrementing numeric columns in table "badge" */
export type Badge_Inc_Input = {
    badge_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "badge" */
export type Badge_Insert_Input = {
    badgeType?: InputMaybe<Badge_Type_Obj_Rel_Insert_Input>;
    badge_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Badge_Max_Fields = {
    __typename?: 'badge_max_fields';
    badge_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Badge_Min_Fields = {
    __typename?: 'badge_min_fields';
    badge_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "badge" */
export type Badge_Mutation_Response = {
    __typename?: 'badge_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Badge>;
};
/** on_conflict condition type for table "badge" */
export type Badge_On_Conflict = {
    constraint: Badge_Constraint;
    update_columns?: Array<Badge_Update_Column>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
/** Ordering options when selecting data from "badge". */
export type Badge_Order_By = {
    badgeType?: InputMaybe<Badge_Type_Order_By>;
    badge_type_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    receiver_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: badge */
export type Badge_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "badge" */
export declare enum Badge_Select_Column {
    /** column name */
    BadgeTypeId = "badge_type_id",
    /** column name */
    Id = "id",
    /** column name */
    ReceiverId = "receiver_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "badge" */
export type Badge_Set_Input = {
    badge_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Badge_Stddev_Fields = {
    __typename?: 'badge_stddev_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Badge_Stddev_Pop_Fields = {
    __typename?: 'badge_stddev_pop_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Badge_Stddev_Samp_Fields = {
    __typename?: 'badge_stddev_samp_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "badge" */
export type Badge_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Badge_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Badge_Stream_Cursor_Value_Input = {
    badge_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Badge_Sum_Fields = {
    __typename?: 'badge_sum_fields';
    badge_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "badge_type" */
export type Badge_Type = {
    __typename?: 'badge_type';
    description: Scalars['String'];
    /** An object relationship */
    evaluator?: Maybe<Evaluator>;
    evaluator_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    height?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_about_game: Scalars['Boolean'];
    is_by_user: Scalars['Boolean'];
    is_checked_every_login: Scalars['Boolean'];
    is_checked_static_batch: Scalars['Boolean'];
    name: Scalars['String'];
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri: Scalars['String'];
    width?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "badge_type" */
export type Badge_Type_Aggregate = {
    __typename?: 'badge_type_aggregate';
    aggregate?: Maybe<Badge_Type_Aggregate_Fields>;
    nodes: Array<Badge_Type>;
};
/** aggregate fields of "badge_type" */
export type Badge_Type_Aggregate_Fields = {
    __typename?: 'badge_type_aggregate_fields';
    avg?: Maybe<Badge_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Badge_Type_Max_Fields>;
    min?: Maybe<Badge_Type_Min_Fields>;
    stddev?: Maybe<Badge_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Badge_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Badge_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Badge_Type_Sum_Fields>;
    var_pop?: Maybe<Badge_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Badge_Type_Var_Samp_Fields>;
    variance?: Maybe<Badge_Type_Variance_Fields>;
};
/** aggregate fields of "badge_type" */
export type Badge_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Badge_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Badge_Type_Avg_Fields = {
    __typename?: 'badge_type_avg_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "badge_type". All fields are combined with a logical 'AND'. */
export type Badge_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Badge_Type_Bool_Exp>>;
    _not?: InputMaybe<Badge_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Badge_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    evaluator?: InputMaybe<Evaluator_Bool_Exp>;
    evaluator_id?: InputMaybe<Int_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    height?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_about_game?: InputMaybe<Boolean_Comparison_Exp>;
    is_by_user?: InputMaybe<Boolean_Comparison_Exp>;
    is_checked_every_login?: InputMaybe<Boolean_Comparison_Exp>;
    is_checked_static_batch?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    uri?: InputMaybe<String_Comparison_Exp>;
    width?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "badge_type" */
export declare enum Badge_Type_Constraint {
    /** unique or primary key constraint on columns "name" */
    BadgeTypeNameKey = "badge_type_name_key",
    /** unique or primary key constraint on columns "id" */
    BadgeTypePkey = "badge_type_pkey"
}
/** input type for incrementing numeric columns in table "badge_type" */
export type Badge_Type_Inc_Input = {
    evaluator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    height?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    width?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "badge_type" */
export type Badge_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    evaluator?: InputMaybe<Evaluator_Obj_Rel_Insert_Input>;
    evaluator_id?: InputMaybe<Scalars['Int']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    height?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_game?: InputMaybe<Scalars['Boolean']>;
    is_by_user?: InputMaybe<Scalars['Boolean']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
    width?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Badge_Type_Max_Fields = {
    __typename?: 'badge_type_max_fields';
    description?: Maybe<Scalars['String']>;
    evaluator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    height?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri?: Maybe<Scalars['String']>;
    width?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Badge_Type_Min_Fields = {
    __typename?: 'badge_type_min_fields';
    description?: Maybe<Scalars['String']>;
    evaluator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    height?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri?: Maybe<Scalars['String']>;
    width?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "badge_type" */
export type Badge_Type_Mutation_Response = {
    __typename?: 'badge_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Badge_Type>;
};
/** input type for inserting object relation for remote table "badge_type" */
export type Badge_Type_Obj_Rel_Insert_Input = {
    data: Badge_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Badge_Type_On_Conflict>;
};
/** on_conflict condition type for table "badge_type" */
export type Badge_Type_On_Conflict = {
    constraint: Badge_Type_Constraint;
    update_columns?: Array<Badge_Type_Update_Column>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "badge_type". */
export type Badge_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    evaluator?: InputMaybe<Evaluator_Order_By>;
    evaluator_id?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    height?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_about_game?: InputMaybe<Order_By>;
    is_by_user?: InputMaybe<Order_By>;
    is_checked_every_login?: InputMaybe<Order_By>;
    is_checked_static_batch?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
    width?: InputMaybe<Order_By>;
};
/** primary key columns input for table: badge_type */
export type Badge_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "badge_type" */
export declare enum Badge_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    EvaluatorId = "evaluator_id",
    /** column name */
    GameId = "game_id",
    /** column name */
    Height = "height",
    /** column name */
    Id = "id",
    /** column name */
    IsAboutGame = "is_about_game",
    /** column name */
    IsByUser = "is_by_user",
    /** column name */
    IsCheckedEveryLogin = "is_checked_every_login",
    /** column name */
    IsCheckedStaticBatch = "is_checked_static_batch",
    /** column name */
    Name = "name",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Uri = "uri",
    /** column name */
    Width = "width"
}
/** input type for updating data in table "badge_type" */
export type Badge_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    evaluator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    height?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_game?: InputMaybe<Scalars['Boolean']>;
    is_by_user?: InputMaybe<Scalars['Boolean']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
    width?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Badge_Type_Stddev_Fields = {
    __typename?: 'badge_type_stddev_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Badge_Type_Stddev_Pop_Fields = {
    __typename?: 'badge_type_stddev_pop_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Badge_Type_Stddev_Samp_Fields = {
    __typename?: 'badge_type_stddev_samp_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "badge_type" */
export type Badge_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Badge_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Badge_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    evaluator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    height?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_game?: InputMaybe<Scalars['Boolean']>;
    is_by_user?: InputMaybe<Scalars['Boolean']>;
    is_checked_every_login?: InputMaybe<Scalars['Boolean']>;
    is_checked_static_batch?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
    width?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Badge_Type_Sum_Fields = {
    __typename?: 'badge_type_sum_fields';
    evaluator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    height?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    width?: Maybe<Scalars['Int']>;
};
/** update columns of table "badge_type" */
export declare enum Badge_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    EvaluatorId = "evaluator_id",
    /** column name */
    GameId = "game_id",
    /** column name */
    Height = "height",
    /** column name */
    Id = "id",
    /** column name */
    IsAboutGame = "is_about_game",
    /** column name */
    IsByUser = "is_by_user",
    /** column name */
    IsCheckedEveryLogin = "is_checked_every_login",
    /** column name */
    IsCheckedStaticBatch = "is_checked_static_batch",
    /** column name */
    Name = "name",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Uri = "uri",
    /** column name */
    Width = "width"
}
export type Badge_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Badge_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Badge_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Badge_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Badge_Type_Var_Pop_Fields = {
    __typename?: 'badge_type_var_pop_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Badge_Type_Var_Samp_Fields = {
    __typename?: 'badge_type_var_samp_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Badge_Type_Variance_Fields = {
    __typename?: 'badge_type_variance_fields';
    evaluator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    height?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    width?: Maybe<Scalars['Float']>;
};
/** update columns of table "badge" */
export declare enum Badge_Update_Column {
    /** column name */
    BadgeTypeId = "badge_type_id",
    /** column name */
    Id = "id",
    /** column name */
    ReceiverId = "receiver_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Badge_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Badge_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Badge_Set_Input>;
    /** filter the rows which have to be updated */
    where: Badge_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Badge_Var_Pop_Fields = {
    __typename?: 'badge_var_pop_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Badge_Var_Samp_Fields = {
    __typename?: 'badge_var_samp_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Badge_Variance_Fields = {
    __typename?: 'badge_variance_fields';
    badge_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "batch" */
export type Batch = {
    __typename?: 'batch';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_running: Scalars['Boolean'];
    is_static: Scalars['Boolean'];
    name: Scalars['String'];
    static_term_min?: Maybe<Scalars['Int']>;
    url: Scalars['String'];
};
/** aggregated selection of "batch" */
export type Batch_Aggregate = {
    __typename?: 'batch_aggregate';
    aggregate?: Maybe<Batch_Aggregate_Fields>;
    nodes: Array<Batch>;
};
/** aggregate fields of "batch" */
export type Batch_Aggregate_Fields = {
    __typename?: 'batch_aggregate_fields';
    avg?: Maybe<Batch_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Batch_Max_Fields>;
    min?: Maybe<Batch_Min_Fields>;
    stddev?: Maybe<Batch_Stddev_Fields>;
    stddev_pop?: Maybe<Batch_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Batch_Stddev_Samp_Fields>;
    sum?: Maybe<Batch_Sum_Fields>;
    var_pop?: Maybe<Batch_Var_Pop_Fields>;
    var_samp?: Maybe<Batch_Var_Samp_Fields>;
    variance?: Maybe<Batch_Variance_Fields>;
};
/** aggregate fields of "batch" */
export type Batch_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Batch_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Batch_Avg_Fields = {
    __typename?: 'batch_avg_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "batch". All fields are combined with a logical 'AND'. */
export type Batch_Bool_Exp = {
    _and?: InputMaybe<Array<Batch_Bool_Exp>>;
    _not?: InputMaybe<Batch_Bool_Exp>;
    _or?: InputMaybe<Array<Batch_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_running?: InputMaybe<Boolean_Comparison_Exp>;
    is_static?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    static_term_min?: InputMaybe<Int_Comparison_Exp>;
    url?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "batch" */
export declare enum Batch_Constraint {
    /** unique or primary key constraint on columns "id" */
    BatchPkey = "batch_pkey"
}
/** input type for incrementing numeric columns in table "batch" */
export type Batch_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    static_term_min?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "batch" */
export type Batch_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    static_term_min?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Batch_Max_Fields = {
    __typename?: 'batch_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    static_term_min?: Maybe<Scalars['Int']>;
    url?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Batch_Min_Fields = {
    __typename?: 'batch_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    static_term_min?: Maybe<Scalars['Int']>;
    url?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "batch" */
export type Batch_Mutation_Response = {
    __typename?: 'batch_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Batch>;
};
/** input type for inserting object relation for remote table "batch" */
export type Batch_Obj_Rel_Insert_Input = {
    data: Batch_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Batch_On_Conflict>;
};
/** on_conflict condition type for table "batch" */
export type Batch_On_Conflict = {
    constraint: Batch_Constraint;
    update_columns?: Array<Batch_Update_Column>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
/** Ordering options when selecting data from "batch". */
export type Batch_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_running?: InputMaybe<Order_By>;
    is_static?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    static_term_min?: InputMaybe<Order_By>;
    url?: InputMaybe<Order_By>;
};
/** primary key columns input for table: batch */
export type Batch_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "batch" */
export declare enum Batch_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsStatic = "is_static",
    /** column name */
    Name = "name",
    /** column name */
    StaticTermMin = "static_term_min",
    /** column name */
    Url = "url"
}
/** input type for updating data in table "batch" */
export type Batch_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    static_term_min?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Batch_Stddev_Fields = {
    __typename?: 'batch_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Batch_Stddev_Pop_Fields = {
    __typename?: 'batch_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Batch_Stddev_Samp_Fields = {
    __typename?: 'batch_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "batch" */
export type Batch_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Batch_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Batch_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    static_term_min?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Batch_Sum_Fields = {
    __typename?: 'batch_sum_fields';
    id?: Maybe<Scalars['Int']>;
    static_term_min?: Maybe<Scalars['Int']>;
};
/** update columns of table "batch" */
export declare enum Batch_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsStatic = "is_static",
    /** column name */
    Name = "name",
    /** column name */
    StaticTermMin = "static_term_min",
    /** column name */
    Url = "url"
}
export type Batch_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Batch_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Batch_Set_Input>;
    /** filter the rows which have to be updated */
    where: Batch_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Batch_Var_Pop_Fields = {
    __typename?: 'batch_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Batch_Var_Samp_Fields = {
    __typename?: 'batch_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Batch_Variance_Fields = {
    __typename?: 'batch_variance_fields';
    id?: Maybe<Scalars['Float']>;
    static_term_min?: Maybe<Scalars['Float']>;
};
/** Boolean expression to compare columns of type "bigint". All fields are combined with logical 'AND'. */
export type Bigint_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['bigint']>;
    _gt?: InputMaybe<Scalars['bigint']>;
    _gte?: InputMaybe<Scalars['bigint']>;
    _in?: InputMaybe<Array<Scalars['bigint']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['bigint']>;
    _lte?: InputMaybe<Scalars['bigint']>;
    _neq?: InputMaybe<Scalars['bigint']>;
    _nin?: InputMaybe<Array<Scalars['bigint']>>;
};
/** columns and relationships of "blueprint" */
export type Blueprint = {
    __typename?: 'blueprint';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    /** An object relationship */
    designerTreasureUser?: Maybe<Treasure_User>;
    id: Scalars['Int'];
    modified_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    quest?: Maybe<Quest>;
    quest_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    segment?: Maybe<Segment>;
    segment_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "blueprint" */
export type Blueprint_Aggregate = {
    __typename?: 'blueprint_aggregate';
    aggregate?: Maybe<Blueprint_Aggregate_Fields>;
    nodes: Array<Blueprint>;
};
/** aggregate fields of "blueprint" */
export type Blueprint_Aggregate_Fields = {
    __typename?: 'blueprint_aggregate_fields';
    avg?: Maybe<Blueprint_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Blueprint_Max_Fields>;
    min?: Maybe<Blueprint_Min_Fields>;
    stddev?: Maybe<Blueprint_Stddev_Fields>;
    stddev_pop?: Maybe<Blueprint_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Blueprint_Stddev_Samp_Fields>;
    sum?: Maybe<Blueprint_Sum_Fields>;
    var_pop?: Maybe<Blueprint_Var_Pop_Fields>;
    var_samp?: Maybe<Blueprint_Var_Samp_Fields>;
    variance?: Maybe<Blueprint_Variance_Fields>;
};
/** aggregate fields of "blueprint" */
export type Blueprint_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Blueprint_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Blueprint_Avg_Fields = {
    __typename?: 'blueprint_avg_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "blueprint". All fields are combined with a logical 'AND'. */
export type Blueprint_Bool_Exp = {
    _and?: InputMaybe<Array<Blueprint_Bool_Exp>>;
    _not?: InputMaybe<Blueprint_Bool_Exp>;
    _or?: InputMaybe<Array<Blueprint_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    designer?: InputMaybe<Int_Comparison_Exp>;
    designerTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    modified_at?: InputMaybe<Timestamp_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    quest_id?: InputMaybe<Int_Comparison_Exp>;
    segment?: InputMaybe<Segment_Bool_Exp>;
    segment_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "blueprint" */
export declare enum Blueprint_Constraint {
    /** unique or primary key constraint on columns "id" */
    BlueprintPkey = "blueprint_pkey"
}
/** input type for incrementing numeric columns in table "blueprint" */
export type Blueprint_Inc_Input = {
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "blueprint" */
export type Blueprint_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    designerTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment?: InputMaybe<Segment_Obj_Rel_Insert_Input>;
    segment_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Blueprint_Max_Fields = {
    __typename?: 'blueprint_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    modified_at?: Maybe<Scalars['timestamp']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Blueprint_Min_Fields = {
    __typename?: 'blueprint_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    modified_at?: Maybe<Scalars['timestamp']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "blueprint" */
export type Blueprint_Mutation_Response = {
    __typename?: 'blueprint_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Blueprint>;
};
/** input type for inserting object relation for remote table "blueprint" */
export type Blueprint_Obj_Rel_Insert_Input = {
    data: Blueprint_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Blueprint_On_Conflict>;
};
/** on_conflict condition type for table "blueprint" */
export type Blueprint_On_Conflict = {
    constraint: Blueprint_Constraint;
    update_columns?: Array<Blueprint_Update_Column>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
/** Ordering options when selecting data from "blueprint". */
export type Blueprint_Order_By = {
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    designer?: InputMaybe<Order_By>;
    designerTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    id?: InputMaybe<Order_By>;
    modified_at?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Segment_Order_By>;
    segment_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: blueprint */
export type Blueprint_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "blueprint" */
export declare enum Blueprint_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Designer = "designer",
    /** column name */
    Id = "id",
    /** column name */
    ModifiedAt = "modified_at",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "blueprint" */
export type Blueprint_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Blueprint_Stddev_Fields = {
    __typename?: 'blueprint_stddev_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Blueprint_Stddev_Pop_Fields = {
    __typename?: 'blueprint_stddev_pop_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Blueprint_Stddev_Samp_Fields = {
    __typename?: 'blueprint_stddev_samp_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "blueprint" */
export type Blueprint_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Blueprint_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Blueprint_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Blueprint_Sum_Fields = {
    __typename?: 'blueprint_sum_fields';
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "blueprint" */
export declare enum Blueprint_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Designer = "designer",
    /** column name */
    Id = "id",
    /** column name */
    ModifiedAt = "modified_at",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    Title = "title"
}
export type Blueprint_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Blueprint_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Blueprint_Set_Input>;
    /** filter the rows which have to be updated */
    where: Blueprint_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Blueprint_Var_Pop_Fields = {
    __typename?: 'blueprint_var_pop_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Blueprint_Var_Samp_Fields = {
    __typename?: 'blueprint_var_samp_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Blueprint_Variance_Fields = {
    __typename?: 'blueprint_variance_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "business_model_type" */
export type Business_Model_Type = {
    __typename?: 'business_model_type';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "business_model_type" */
export type Business_Model_Type_Aggregate = {
    __typename?: 'business_model_type_aggregate';
    aggregate?: Maybe<Business_Model_Type_Aggregate_Fields>;
    nodes: Array<Business_Model_Type>;
};
/** aggregate fields of "business_model_type" */
export type Business_Model_Type_Aggregate_Fields = {
    __typename?: 'business_model_type_aggregate_fields';
    avg?: Maybe<Business_Model_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Business_Model_Type_Max_Fields>;
    min?: Maybe<Business_Model_Type_Min_Fields>;
    stddev?: Maybe<Business_Model_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Business_Model_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Business_Model_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Business_Model_Type_Sum_Fields>;
    var_pop?: Maybe<Business_Model_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Business_Model_Type_Var_Samp_Fields>;
    variance?: Maybe<Business_Model_Type_Variance_Fields>;
};
/** aggregate fields of "business_model_type" */
export type Business_Model_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Business_Model_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Business_Model_Type_Avg_Fields = {
    __typename?: 'business_model_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "business_model_type". All fields are combined with a logical 'AND'. */
export type Business_Model_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Business_Model_Type_Bool_Exp>>;
    _not?: InputMaybe<Business_Model_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Business_Model_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "business_model_type" */
export declare enum Business_Model_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    BusinessModelTypePkey = "business_model_type_pkey"
}
/** input type for incrementing numeric columns in table "business_model_type" */
export type Business_Model_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "business_model_type" */
export type Business_Model_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Business_Model_Type_Max_Fields = {
    __typename?: 'business_model_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Business_Model_Type_Min_Fields = {
    __typename?: 'business_model_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "business_model_type" */
export type Business_Model_Type_Mutation_Response = {
    __typename?: 'business_model_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Business_Model_Type>;
};
/** input type for inserting object relation for remote table "business_model_type" */
export type Business_Model_Type_Obj_Rel_Insert_Input = {
    data: Business_Model_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Business_Model_Type_On_Conflict>;
};
/** on_conflict condition type for table "business_model_type" */
export type Business_Model_Type_On_Conflict = {
    constraint: Business_Model_Type_Constraint;
    update_columns?: Array<Business_Model_Type_Update_Column>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "business_model_type". */
export type Business_Model_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: business_model_type */
export type Business_Model_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "business_model_type" */
export declare enum Business_Model_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "business_model_type" */
export type Business_Model_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Business_Model_Type_Stddev_Fields = {
    __typename?: 'business_model_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Business_Model_Type_Stddev_Pop_Fields = {
    __typename?: 'business_model_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Business_Model_Type_Stddev_Samp_Fields = {
    __typename?: 'business_model_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "business_model_type" */
export type Business_Model_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Business_Model_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Business_Model_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Business_Model_Type_Sum_Fields = {
    __typename?: 'business_model_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "business_model_type" */
export declare enum Business_Model_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
export type Business_Model_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Business_Model_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Business_Model_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Business_Model_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Business_Model_Type_Var_Pop_Fields = {
    __typename?: 'business_model_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Business_Model_Type_Var_Samp_Fields = {
    __typename?: 'business_model_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Business_Model_Type_Variance_Fields = {
    __typename?: 'business_model_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "charge" */
export type Charge = {
    __typename?: 'charge';
    /** An object relationship */
    charger: Charger;
    charger_id: Scalars['Int'];
    created_at: Scalars['timestamptz'];
    event?: Maybe<Scalars['Boolean']>;
    fail?: Maybe<Scalars['Boolean']>;
    first?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    new_rp: Scalars['Int'];
    old_rp?: Maybe<Scalars['Int']>;
    sum_rp?: Maybe<Scalars['Int']>;
    /** An object relationship */
    tuser: Treasure_User;
    updated_at?: Maybe<Scalars['timestamptz']>;
    user_id: Scalars['Int'];
};
/** aggregated selection of "charge" */
export type Charge_Aggregate = {
    __typename?: 'charge_aggregate';
    aggregate?: Maybe<Charge_Aggregate_Fields>;
    nodes: Array<Charge>;
};
/** aggregate fields of "charge" */
export type Charge_Aggregate_Fields = {
    __typename?: 'charge_aggregate_fields';
    avg?: Maybe<Charge_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Charge_Max_Fields>;
    min?: Maybe<Charge_Min_Fields>;
    stddev?: Maybe<Charge_Stddev_Fields>;
    stddev_pop?: Maybe<Charge_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Charge_Stddev_Samp_Fields>;
    sum?: Maybe<Charge_Sum_Fields>;
    var_pop?: Maybe<Charge_Var_Pop_Fields>;
    var_samp?: Maybe<Charge_Var_Samp_Fields>;
    variance?: Maybe<Charge_Variance_Fields>;
};
/** aggregate fields of "charge" */
export type Charge_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Charge_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Charge_Avg_Fields = {
    __typename?: 'charge_avg_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "charge". All fields are combined with a logical 'AND'. */
export type Charge_Bool_Exp = {
    _and?: InputMaybe<Array<Charge_Bool_Exp>>;
    _not?: InputMaybe<Charge_Bool_Exp>;
    _or?: InputMaybe<Array<Charge_Bool_Exp>>;
    charger?: InputMaybe<Charger_Bool_Exp>;
    charger_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    event?: InputMaybe<Boolean_Comparison_Exp>;
    fail?: InputMaybe<Boolean_Comparison_Exp>;
    first?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    new_rp?: InputMaybe<Int_Comparison_Exp>;
    old_rp?: InputMaybe<Int_Comparison_Exp>;
    sum_rp?: InputMaybe<Int_Comparison_Exp>;
    tuser?: InputMaybe<Treasure_User_Bool_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "charge" */
export declare enum Charge_Constraint {
    /** unique or primary key constraint on columns "id" */
    ChargePkey = "charge_pkey"
}
/** input type for incrementing numeric columns in table "charge" */
export type Charge_Inc_Input = {
    charger_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    new_rp?: InputMaybe<Scalars['Int']>;
    old_rp?: InputMaybe<Scalars['Int']>;
    sum_rp?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "charge" */
export type Charge_Insert_Input = {
    charger?: InputMaybe<Charger_Obj_Rel_Insert_Input>;
    charger_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    event?: InputMaybe<Scalars['Boolean']>;
    fail?: InputMaybe<Scalars['Boolean']>;
    first?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    new_rp?: InputMaybe<Scalars['Int']>;
    old_rp?: InputMaybe<Scalars['Int']>;
    sum_rp?: InputMaybe<Scalars['Int']>;
    tuser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Charge_Max_Fields = {
    __typename?: 'charge_max_fields';
    charger_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    new_rp?: Maybe<Scalars['Int']>;
    old_rp?: Maybe<Scalars['Int']>;
    sum_rp?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Charge_Min_Fields = {
    __typename?: 'charge_min_fields';
    charger_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    new_rp?: Maybe<Scalars['Int']>;
    old_rp?: Maybe<Scalars['Int']>;
    sum_rp?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "charge" */
export type Charge_Mutation_Response = {
    __typename?: 'charge_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Charge>;
};
/** on_conflict condition type for table "charge" */
export type Charge_On_Conflict = {
    constraint: Charge_Constraint;
    update_columns?: Array<Charge_Update_Column>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
/** Ordering options when selecting data from "charge". */
export type Charge_Order_By = {
    charger?: InputMaybe<Charger_Order_By>;
    charger_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    event?: InputMaybe<Order_By>;
    fail?: InputMaybe<Order_By>;
    first?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    new_rp?: InputMaybe<Order_By>;
    old_rp?: InputMaybe<Order_By>;
    sum_rp?: InputMaybe<Order_By>;
    tuser?: InputMaybe<Treasure_User_Order_By>;
    updated_at?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: charge */
export type Charge_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "charge" */
export declare enum Charge_Select_Column {
    /** column name */
    ChargerId = "charger_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Event = "event",
    /** column name */
    Fail = "fail",
    /** column name */
    First = "first",
    /** column name */
    Id = "id",
    /** column name */
    NewRp = "new_rp",
    /** column name */
    OldRp = "old_rp",
    /** column name */
    SumRp = "sum_rp",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    UserId = "user_id"
}
/** input type for updating data in table "charge" */
export type Charge_Set_Input = {
    charger_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    event?: InputMaybe<Scalars['Boolean']>;
    fail?: InputMaybe<Scalars['Boolean']>;
    first?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    new_rp?: InputMaybe<Scalars['Int']>;
    old_rp?: InputMaybe<Scalars['Int']>;
    sum_rp?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Charge_Stddev_Fields = {
    __typename?: 'charge_stddev_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Charge_Stddev_Pop_Fields = {
    __typename?: 'charge_stddev_pop_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Charge_Stddev_Samp_Fields = {
    __typename?: 'charge_stddev_samp_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "charge" */
export type Charge_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Charge_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Charge_Stream_Cursor_Value_Input = {
    charger_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    event?: InputMaybe<Scalars['Boolean']>;
    fail?: InputMaybe<Scalars['Boolean']>;
    first?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    new_rp?: InputMaybe<Scalars['Int']>;
    old_rp?: InputMaybe<Scalars['Int']>;
    sum_rp?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Charge_Sum_Fields = {
    __typename?: 'charge_sum_fields';
    charger_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    new_rp?: Maybe<Scalars['Int']>;
    old_rp?: Maybe<Scalars['Int']>;
    sum_rp?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "charge" */
export declare enum Charge_Update_Column {
    /** column name */
    ChargerId = "charger_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Event = "event",
    /** column name */
    Fail = "fail",
    /** column name */
    First = "first",
    /** column name */
    Id = "id",
    /** column name */
    NewRp = "new_rp",
    /** column name */
    OldRp = "old_rp",
    /** column name */
    SumRp = "sum_rp",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    UserId = "user_id"
}
export type Charge_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Charge_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Charge_Set_Input>;
    /** filter the rows which have to be updated */
    where: Charge_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Charge_Var_Pop_Fields = {
    __typename?: 'charge_var_pop_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Charge_Var_Samp_Fields = {
    __typename?: 'charge_var_samp_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Charge_Variance_Fields = {
    __typename?: 'charge_variance_fields';
    charger_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    new_rp?: Maybe<Scalars['Float']>;
    old_rp?: Maybe<Scalars['Float']>;
    sum_rp?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "charger" */
export type Charger = {
    __typename?: 'charger';
    id: Scalars['Int'];
    name: Scalars['String'];
    running: Scalars['Boolean'];
};
/** aggregated selection of "charger" */
export type Charger_Aggregate = {
    __typename?: 'charger_aggregate';
    aggregate?: Maybe<Charger_Aggregate_Fields>;
    nodes: Array<Charger>;
};
/** aggregate fields of "charger" */
export type Charger_Aggregate_Fields = {
    __typename?: 'charger_aggregate_fields';
    avg?: Maybe<Charger_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Charger_Max_Fields>;
    min?: Maybe<Charger_Min_Fields>;
    stddev?: Maybe<Charger_Stddev_Fields>;
    stddev_pop?: Maybe<Charger_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Charger_Stddev_Samp_Fields>;
    sum?: Maybe<Charger_Sum_Fields>;
    var_pop?: Maybe<Charger_Var_Pop_Fields>;
    var_samp?: Maybe<Charger_Var_Samp_Fields>;
    variance?: Maybe<Charger_Variance_Fields>;
};
/** aggregate fields of "charger" */
export type Charger_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Charger_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Charger_Avg_Fields = {
    __typename?: 'charger_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "charger". All fields are combined with a logical 'AND'. */
export type Charger_Bool_Exp = {
    _and?: InputMaybe<Array<Charger_Bool_Exp>>;
    _not?: InputMaybe<Charger_Bool_Exp>;
    _or?: InputMaybe<Array<Charger_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    running?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "charger" */
export declare enum Charger_Constraint {
    /** unique or primary key constraint on columns "id" */
    ChargerPkey = "charger_pkey"
}
/** input type for incrementing numeric columns in table "charger" */
export type Charger_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "charger" */
export type Charger_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Charger_Max_Fields = {
    __typename?: 'charger_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Charger_Min_Fields = {
    __typename?: 'charger_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "charger" */
export type Charger_Mutation_Response = {
    __typename?: 'charger_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Charger>;
};
/** input type for inserting object relation for remote table "charger" */
export type Charger_Obj_Rel_Insert_Input = {
    data: Charger_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Charger_On_Conflict>;
};
/** on_conflict condition type for table "charger" */
export type Charger_On_Conflict = {
    constraint: Charger_Constraint;
    update_columns?: Array<Charger_Update_Column>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
/** Ordering options when selecting data from "charger". */
export type Charger_Order_By = {
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    running?: InputMaybe<Order_By>;
};
/** primary key columns input for table: charger */
export type Charger_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "charger" */
export declare enum Charger_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Running = "running"
}
/** input type for updating data in table "charger" */
export type Charger_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Charger_Stddev_Fields = {
    __typename?: 'charger_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Charger_Stddev_Pop_Fields = {
    __typename?: 'charger_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Charger_Stddev_Samp_Fields = {
    __typename?: 'charger_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "charger" */
export type Charger_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Charger_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Charger_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Charger_Sum_Fields = {
    __typename?: 'charger_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "charger" */
export declare enum Charger_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Running = "running"
}
export type Charger_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Charger_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Charger_Set_Input>;
    /** filter the rows which have to be updated */
    where: Charger_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Charger_Var_Pop_Fields = {
    __typename?: 'charger_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Charger_Var_Samp_Fields = {
    __typename?: 'charger_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Charger_Variance_Fields = {
    __typename?: 'charger_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to compare columns of type "citext". All fields are combined with logical 'AND'. */
export type Citext_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['citext']>;
    _gt?: InputMaybe<Scalars['citext']>;
    _gte?: InputMaybe<Scalars['citext']>;
    /** does the column match the given case-insensitive pattern */
    _ilike?: InputMaybe<Scalars['citext']>;
    _in?: InputMaybe<Array<Scalars['citext']>>;
    /** does the column match the given POSIX regular expression, case insensitive */
    _iregex?: InputMaybe<Scalars['citext']>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    /** does the column match the given pattern */
    _like?: InputMaybe<Scalars['citext']>;
    _lt?: InputMaybe<Scalars['citext']>;
    _lte?: InputMaybe<Scalars['citext']>;
    _neq?: InputMaybe<Scalars['citext']>;
    /** does the column NOT match the given case-insensitive pattern */
    _nilike?: InputMaybe<Scalars['citext']>;
    _nin?: InputMaybe<Array<Scalars['citext']>>;
    /** does the column NOT match the given POSIX regular expression, case insensitive */
    _niregex?: InputMaybe<Scalars['citext']>;
    /** does the column NOT match the given pattern */
    _nlike?: InputMaybe<Scalars['citext']>;
    /** does the column NOT match the given POSIX regular expression, case sensitive */
    _nregex?: InputMaybe<Scalars['citext']>;
    /** does the column NOT match the given SQL regular expression */
    _nsimilar?: InputMaybe<Scalars['citext']>;
    /** does the column match the given POSIX regular expression, case sensitive */
    _regex?: InputMaybe<Scalars['citext']>;
    /** does the column match the given SQL regular expression */
    _similar?: InputMaybe<Scalars['citext']>;
};
/** columns and relationships of "condition" */
export type Condition = {
    __typename?: 'condition';
    id: Scalars['Int'];
    /** An object relationship */
    type: Condition_Type;
    type_id: Scalars['Int'];
};
/** aggregated selection of "condition" */
export type Condition_Aggregate = {
    __typename?: 'condition_aggregate';
    aggregate?: Maybe<Condition_Aggregate_Fields>;
    nodes: Array<Condition>;
};
/** aggregate fields of "condition" */
export type Condition_Aggregate_Fields = {
    __typename?: 'condition_aggregate_fields';
    avg?: Maybe<Condition_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Condition_Max_Fields>;
    min?: Maybe<Condition_Min_Fields>;
    stddev?: Maybe<Condition_Stddev_Fields>;
    stddev_pop?: Maybe<Condition_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Condition_Stddev_Samp_Fields>;
    sum?: Maybe<Condition_Sum_Fields>;
    var_pop?: Maybe<Condition_Var_Pop_Fields>;
    var_samp?: Maybe<Condition_Var_Samp_Fields>;
    variance?: Maybe<Condition_Variance_Fields>;
};
/** aggregate fields of "condition" */
export type Condition_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Condition_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Condition_Avg_Fields = {
    __typename?: 'condition_avg_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "condition". All fields are combined with a logical 'AND'. */
export type Condition_Bool_Exp = {
    _and?: InputMaybe<Array<Condition_Bool_Exp>>;
    _not?: InputMaybe<Condition_Bool_Exp>;
    _or?: InputMaybe<Array<Condition_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    type?: InputMaybe<Condition_Type_Bool_Exp>;
    type_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "condition" */
export declare enum Condition_Constraint {
    /** unique or primary key constraint on columns "id" */
    ConditionPkey = "condition_pkey"
}
/** input type for incrementing numeric columns in table "condition" */
export type Condition_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "condition" */
export type Condition_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    type?: InputMaybe<Condition_Type_Obj_Rel_Insert_Input>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Condition_Max_Fields = {
    __typename?: 'condition_max_fields';
    id?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Condition_Min_Fields = {
    __typename?: 'condition_min_fields';
    id?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "condition" */
export type Condition_Mutation_Response = {
    __typename?: 'condition_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Condition>;
};
/** input type for inserting object relation for remote table "condition" */
export type Condition_Obj_Rel_Insert_Input = {
    data: Condition_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Condition_On_Conflict>;
};
/** on_conflict condition type for table "condition" */
export type Condition_On_Conflict = {
    constraint: Condition_Constraint;
    update_columns?: Array<Condition_Update_Column>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
/** Ordering options when selecting data from "condition". */
export type Condition_Order_By = {
    id?: InputMaybe<Order_By>;
    type?: InputMaybe<Condition_Type_Order_By>;
    type_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: condition */
export type Condition_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "condition" */
export declare enum Condition_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    TypeId = "type_id"
}
/** input type for updating data in table "condition" */
export type Condition_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Condition_Stddev_Fields = {
    __typename?: 'condition_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Condition_Stddev_Pop_Fields = {
    __typename?: 'condition_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Condition_Stddev_Samp_Fields = {
    __typename?: 'condition_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "condition" */
export type Condition_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Condition_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Condition_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Condition_Sum_Fields = {
    __typename?: 'condition_sum_fields';
    id?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "condition_type" */
export type Condition_Type = {
    __typename?: 'condition_type';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    name?: Maybe<Scalars['String']>;
};
/** aggregated selection of "condition_type" */
export type Condition_Type_Aggregate = {
    __typename?: 'condition_type_aggregate';
    aggregate?: Maybe<Condition_Type_Aggregate_Fields>;
    nodes: Array<Condition_Type>;
};
/** aggregate fields of "condition_type" */
export type Condition_Type_Aggregate_Fields = {
    __typename?: 'condition_type_aggregate_fields';
    avg?: Maybe<Condition_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Condition_Type_Max_Fields>;
    min?: Maybe<Condition_Type_Min_Fields>;
    stddev?: Maybe<Condition_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Condition_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Condition_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Condition_Type_Sum_Fields>;
    var_pop?: Maybe<Condition_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Condition_Type_Var_Samp_Fields>;
    variance?: Maybe<Condition_Type_Variance_Fields>;
};
/** aggregate fields of "condition_type" */
export type Condition_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Condition_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Condition_Type_Avg_Fields = {
    __typename?: 'condition_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "condition_type". All fields are combined with a logical 'AND'. */
export type Condition_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Condition_Type_Bool_Exp>>;
    _not?: InputMaybe<Condition_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Condition_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "condition_type" */
export declare enum Condition_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    ConditionTypePkey = "condition_type_pkey"
}
/** input type for incrementing numeric columns in table "condition_type" */
export type Condition_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "condition_type" */
export type Condition_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Condition_Type_Max_Fields = {
    __typename?: 'condition_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Condition_Type_Min_Fields = {
    __typename?: 'condition_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "condition_type" */
export type Condition_Type_Mutation_Response = {
    __typename?: 'condition_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Condition_Type>;
};
/** input type for inserting object relation for remote table "condition_type" */
export type Condition_Type_Obj_Rel_Insert_Input = {
    data: Condition_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Condition_Type_On_Conflict>;
};
/** on_conflict condition type for table "condition_type" */
export type Condition_Type_On_Conflict = {
    constraint: Condition_Type_Constraint;
    update_columns?: Array<Condition_Type_Update_Column>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "condition_type". */
export type Condition_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: condition_type */
export type Condition_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "condition_type" */
export declare enum Condition_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "condition_type" */
export type Condition_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Condition_Type_Stddev_Fields = {
    __typename?: 'condition_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Condition_Type_Stddev_Pop_Fields = {
    __typename?: 'condition_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Condition_Type_Stddev_Samp_Fields = {
    __typename?: 'condition_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "condition_type" */
export type Condition_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Condition_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Condition_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Condition_Type_Sum_Fields = {
    __typename?: 'condition_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "condition_type" */
export declare enum Condition_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
export type Condition_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Condition_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Condition_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Condition_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Condition_Type_Var_Pop_Fields = {
    __typename?: 'condition_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Condition_Type_Var_Samp_Fields = {
    __typename?: 'condition_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Condition_Type_Variance_Fields = {
    __typename?: 'condition_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "condition" */
export declare enum Condition_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    TypeId = "type_id"
}
export type Condition_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Condition_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Condition_Set_Input>;
    /** filter the rows which have to be updated */
    where: Condition_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Condition_Var_Pop_Fields = {
    __typename?: 'condition_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Condition_Var_Samp_Fields = {
    __typename?: 'condition_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Condition_Variance_Fields = {
    __typename?: 'condition_variance_fields';
    id?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "content" */
export type Content = {
    __typename?: 'content';
    created_at: Scalars['timestamptz'];
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
};
/** aggregated selection of "content" */
export type Content_Aggregate = {
    __typename?: 'content_aggregate';
    aggregate?: Maybe<Content_Aggregate_Fields>;
    nodes: Array<Content>;
};
/** aggregate fields of "content" */
export type Content_Aggregate_Fields = {
    __typename?: 'content_aggregate_fields';
    avg?: Maybe<Content_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Content_Max_Fields>;
    min?: Maybe<Content_Min_Fields>;
    stddev?: Maybe<Content_Stddev_Fields>;
    stddev_pop?: Maybe<Content_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Content_Stddev_Samp_Fields>;
    sum?: Maybe<Content_Sum_Fields>;
    var_pop?: Maybe<Content_Var_Pop_Fields>;
    var_samp?: Maybe<Content_Var_Samp_Fields>;
    variance?: Maybe<Content_Variance_Fields>;
};
/** aggregate fields of "content" */
export type Content_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Content_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Content_Avg_Fields = {
    __typename?: 'content_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "content". All fields are combined with a logical 'AND'. */
export type Content_Bool_Exp = {
    _and?: InputMaybe<Array<Content_Bool_Exp>>;
    _not?: InputMaybe<Content_Bool_Exp>;
    _or?: InputMaybe<Array<Content_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "content" */
export declare enum Content_Constraint {
    /** unique or primary key constraint on columns "id" */
    ContentPkey = "content_pkey"
}
/** input type for incrementing numeric columns in table "content" */
export type Content_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "content" */
export type Content_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Content_Max_Fields = {
    __typename?: 'content_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Content_Min_Fields = {
    __typename?: 'content_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "content" */
export type Content_Mutation_Response = {
    __typename?: 'content_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Content>;
};
/** input type for inserting object relation for remote table "content" */
export type Content_Obj_Rel_Insert_Input = {
    data: Content_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Content_On_Conflict>;
};
/** on_conflict condition type for table "content" */
export type Content_On_Conflict = {
    constraint: Content_Constraint;
    update_columns?: Array<Content_Update_Column>;
    where?: InputMaybe<Content_Bool_Exp>;
};
/** Ordering options when selecting data from "content". */
export type Content_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: content */
export type Content_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "content" */
export declare enum Content_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "content" */
export type Content_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Content_Stddev_Fields = {
    __typename?: 'content_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Content_Stddev_Pop_Fields = {
    __typename?: 'content_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Content_Stddev_Samp_Fields = {
    __typename?: 'content_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "content" */
export type Content_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Content_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Content_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Content_Sum_Fields = {
    __typename?: 'content_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "content" */
export declare enum Content_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id"
}
export type Content_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Content_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Content_Set_Input>;
    /** filter the rows which have to be updated */
    where: Content_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Content_Var_Pop_Fields = {
    __typename?: 'content_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Content_Var_Samp_Fields = {
    __typename?: 'content_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Content_Variance_Fields = {
    __typename?: 'content_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "contract" */
export type Contract = {
    __typename?: 'contract';
    consent: Scalars['Boolean'];
    /** An object relationship */
    contractType: Contract_Type;
    contract_type_id: Scalars['Int'];
    /** An object relationship */
    contractor?: Maybe<Treasure_User>;
    contractor_id?: Maybe<Scalars['Int']>;
    created_at: Scalars['timestamptz'];
    end_date: Scalars['date'];
    hash: Scalars['uuid'];
    id: Scalars['Int'];
    start_date: Scalars['date'];
    updated_at: Scalars['timestamptz'];
    valid: Scalars['Boolean'];
};
/** aggregated selection of "contract" */
export type Contract_Aggregate = {
    __typename?: 'contract_aggregate';
    aggregate?: Maybe<Contract_Aggregate_Fields>;
    nodes: Array<Contract>;
};
/** aggregate fields of "contract" */
export type Contract_Aggregate_Fields = {
    __typename?: 'contract_aggregate_fields';
    avg?: Maybe<Contract_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Contract_Max_Fields>;
    min?: Maybe<Contract_Min_Fields>;
    stddev?: Maybe<Contract_Stddev_Fields>;
    stddev_pop?: Maybe<Contract_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Contract_Stddev_Samp_Fields>;
    sum?: Maybe<Contract_Sum_Fields>;
    var_pop?: Maybe<Contract_Var_Pop_Fields>;
    var_samp?: Maybe<Contract_Var_Samp_Fields>;
    variance?: Maybe<Contract_Variance_Fields>;
};
/** aggregate fields of "contract" */
export type Contract_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Contract_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Contract_Avg_Fields = {
    __typename?: 'contract_avg_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "contract". All fields are combined with a logical 'AND'. */
export type Contract_Bool_Exp = {
    _and?: InputMaybe<Array<Contract_Bool_Exp>>;
    _not?: InputMaybe<Contract_Bool_Exp>;
    _or?: InputMaybe<Array<Contract_Bool_Exp>>;
    consent?: InputMaybe<Boolean_Comparison_Exp>;
    contractType?: InputMaybe<Contract_Type_Bool_Exp>;
    contract_type_id?: InputMaybe<Int_Comparison_Exp>;
    contractor?: InputMaybe<Treasure_User_Bool_Exp>;
    contractor_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    end_date?: InputMaybe<Date_Comparison_Exp>;
    hash?: InputMaybe<Uuid_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    start_date?: InputMaybe<Date_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    valid?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "contract" */
export declare enum Contract_Constraint {
    /** unique or primary key constraint on columns "id" */
    ContractPkey = "contract_pkey"
}
/** input type for incrementing numeric columns in table "contract" */
export type Contract_Inc_Input = {
    contract_type_id?: InputMaybe<Scalars['Int']>;
    contractor_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "contract" */
export type Contract_Insert_Input = {
    consent?: InputMaybe<Scalars['Boolean']>;
    contractType?: InputMaybe<Contract_Type_Obj_Rel_Insert_Input>;
    contract_type_id?: InputMaybe<Scalars['Int']>;
    contractor?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    contractor_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    valid?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Contract_Max_Fields = {
    __typename?: 'contract_max_fields';
    contract_type_id?: Maybe<Scalars['Int']>;
    contractor_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    end_date?: Maybe<Scalars['date']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    start_date?: Maybe<Scalars['date']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Contract_Min_Fields = {
    __typename?: 'contract_min_fields';
    contract_type_id?: Maybe<Scalars['Int']>;
    contractor_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    end_date?: Maybe<Scalars['date']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    start_date?: Maybe<Scalars['date']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "contract" */
export type Contract_Mutation_Response = {
    __typename?: 'contract_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Contract>;
};
/** on_conflict condition type for table "contract" */
export type Contract_On_Conflict = {
    constraint: Contract_Constraint;
    update_columns?: Array<Contract_Update_Column>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
/** Ordering options when selecting data from "contract". */
export type Contract_Order_By = {
    consent?: InputMaybe<Order_By>;
    contractType?: InputMaybe<Contract_Type_Order_By>;
    contract_type_id?: InputMaybe<Order_By>;
    contractor?: InputMaybe<Treasure_User_Order_By>;
    contractor_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    end_date?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    start_date?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    valid?: InputMaybe<Order_By>;
};
/** primary key columns input for table: contract */
export type Contract_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "contract" */
export declare enum Contract_Select_Column {
    /** column name */
    Consent = "consent",
    /** column name */
    ContractTypeId = "contract_type_id",
    /** column name */
    ContractorId = "contractor_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EndDate = "end_date",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    StartDate = "start_date",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Valid = "valid"
}
/** input type for updating data in table "contract" */
export type Contract_Set_Input = {
    consent?: InputMaybe<Scalars['Boolean']>;
    contract_type_id?: InputMaybe<Scalars['Int']>;
    contractor_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    valid?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Contract_Stddev_Fields = {
    __typename?: 'contract_stddev_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Contract_Stddev_Pop_Fields = {
    __typename?: 'contract_stddev_pop_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Contract_Stddev_Samp_Fields = {
    __typename?: 'contract_stddev_samp_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "contract" */
export type Contract_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Contract_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Contract_Stream_Cursor_Value_Input = {
    consent?: InputMaybe<Scalars['Boolean']>;
    contract_type_id?: InputMaybe<Scalars['Int']>;
    contractor_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    valid?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Contract_Sum_Fields = {
    __typename?: 'contract_sum_fields';
    contract_type_id?: Maybe<Scalars['Int']>;
    contractor_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "contract_type" */
export type Contract_Type = {
    __typename?: 'contract_type';
    by_service_provider?: Maybe<Scalars['Boolean']>;
    content?: Maybe<Scalars['String']>;
    content_type: Scalars['String'];
    created_at?: Maybe<Scalars['timestamptz']>;
    day_period?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    name: Scalars['String'];
    /** An object relationship */
    pieceType?: Maybe<Piece_Type>;
    piece_type_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri?: Maybe<Scalars['String']>;
};
/** aggregated selection of "contract_type" */
export type Contract_Type_Aggregate = {
    __typename?: 'contract_type_aggregate';
    aggregate?: Maybe<Contract_Type_Aggregate_Fields>;
    nodes: Array<Contract_Type>;
};
/** aggregate fields of "contract_type" */
export type Contract_Type_Aggregate_Fields = {
    __typename?: 'contract_type_aggregate_fields';
    avg?: Maybe<Contract_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Contract_Type_Max_Fields>;
    min?: Maybe<Contract_Type_Min_Fields>;
    stddev?: Maybe<Contract_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Contract_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Contract_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Contract_Type_Sum_Fields>;
    var_pop?: Maybe<Contract_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Contract_Type_Var_Samp_Fields>;
    variance?: Maybe<Contract_Type_Variance_Fields>;
};
/** aggregate fields of "contract_type" */
export type Contract_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Contract_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Contract_Type_Avg_Fields = {
    __typename?: 'contract_type_avg_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "contract_type". All fields are combined with a logical 'AND'. */
export type Contract_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Contract_Type_Bool_Exp>>;
    _not?: InputMaybe<Contract_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Contract_Type_Bool_Exp>>;
    by_service_provider?: InputMaybe<Boolean_Comparison_Exp>;
    content?: InputMaybe<String_Comparison_Exp>;
    content_type?: InputMaybe<String_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    day_period?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    pieceType?: InputMaybe<Piece_Type_Bool_Exp>;
    piece_type_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    uri?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "contract_type" */
export declare enum Contract_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    ContractTypePkey = "contract_type_pkey"
}
/** input type for incrementing numeric columns in table "contract_type" */
export type Contract_Type_Inc_Input = {
    day_period?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "contract_type" */
export type Contract_Type_Insert_Input = {
    by_service_provider?: InputMaybe<Scalars['Boolean']>;
    content?: InputMaybe<Scalars['String']>;
    content_type?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    day_period?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    pieceType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Contract_Type_Max_Fields = {
    __typename?: 'contract_type_max_fields';
    content?: Maybe<Scalars['String']>;
    content_type?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    day_period?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    piece_type_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Contract_Type_Min_Fields = {
    __typename?: 'contract_type_min_fields';
    content?: Maybe<Scalars['String']>;
    content_type?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    day_period?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    piece_type_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    uri?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "contract_type" */
export type Contract_Type_Mutation_Response = {
    __typename?: 'contract_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Contract_Type>;
};
/** input type for inserting object relation for remote table "contract_type" */
export type Contract_Type_Obj_Rel_Insert_Input = {
    data: Contract_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Contract_Type_On_Conflict>;
};
/** on_conflict condition type for table "contract_type" */
export type Contract_Type_On_Conflict = {
    constraint: Contract_Type_Constraint;
    update_columns?: Array<Contract_Type_Update_Column>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "contract_type". */
export type Contract_Type_Order_By = {
    by_service_provider?: InputMaybe<Order_By>;
    content?: InputMaybe<Order_By>;
    content_type?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    day_period?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    pieceType?: InputMaybe<Piece_Type_Order_By>;
    piece_type_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
};
/** primary key columns input for table: contract_type */
export type Contract_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "contract_type" */
export declare enum Contract_Type_Select_Column {
    /** column name */
    ByServiceProvider = "by_service_provider",
    /** column name */
    Content = "content",
    /** column name */
    ContentType = "content_type",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DayPeriod = "day_period",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    PieceTypeId = "piece_type_id",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Uri = "uri"
}
/** input type for updating data in table "contract_type" */
export type Contract_Type_Set_Input = {
    by_service_provider?: InputMaybe<Scalars['Boolean']>;
    content?: InputMaybe<Scalars['String']>;
    content_type?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    day_period?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Contract_Type_Stddev_Fields = {
    __typename?: 'contract_type_stddev_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Contract_Type_Stddev_Pop_Fields = {
    __typename?: 'contract_type_stddev_pop_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Contract_Type_Stddev_Samp_Fields = {
    __typename?: 'contract_type_stddev_samp_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "contract_type" */
export type Contract_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Contract_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Contract_Type_Stream_Cursor_Value_Input = {
    by_service_provider?: InputMaybe<Scalars['Boolean']>;
    content?: InputMaybe<Scalars['String']>;
    content_type?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    day_period?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Contract_Type_Sum_Fields = {
    __typename?: 'contract_type_sum_fields';
    day_period?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    piece_type_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "contract_type" */
export declare enum Contract_Type_Update_Column {
    /** column name */
    ByServiceProvider = "by_service_provider",
    /** column name */
    Content = "content",
    /** column name */
    ContentType = "content_type",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DayPeriod = "day_period",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    PieceTypeId = "piece_type_id",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Uri = "uri"
}
export type Contract_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Contract_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Contract_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Contract_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Contract_Type_Var_Pop_Fields = {
    __typename?: 'contract_type_var_pop_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Contract_Type_Var_Samp_Fields = {
    __typename?: 'contract_type_var_samp_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Contract_Type_Variance_Fields = {
    __typename?: 'contract_type_variance_fields';
    day_period?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
};
/** update columns of table "contract" */
export declare enum Contract_Update_Column {
    /** column name */
    Consent = "consent",
    /** column name */
    ContractTypeId = "contract_type_id",
    /** column name */
    ContractorId = "contractor_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EndDate = "end_date",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    StartDate = "start_date",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    Valid = "valid"
}
export type Contract_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Contract_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Contract_Set_Input>;
    /** filter the rows which have to be updated */
    where: Contract_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Contract_Var_Pop_Fields = {
    __typename?: 'contract_var_pop_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Contract_Var_Samp_Fields = {
    __typename?: 'contract_var_samp_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Contract_Variance_Fields = {
    __typename?: 'contract_variance_fields';
    contract_type_id?: Maybe<Scalars['Float']>;
    contractor_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "currency" */
export type Currency = {
    __typename?: 'currency';
    hash: Scalars['uuid'];
    mileage?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    /** An object relationship */
    owner: Treasure_User;
    owner_id: Scalars['Int'];
    rp: Scalars['Int'];
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "currency" */
export type Currency_Aggregate = {
    __typename?: 'currency_aggregate';
    aggregate?: Maybe<Currency_Aggregate_Fields>;
    nodes: Array<Currency>;
};
/** aggregate fields of "currency" */
export type Currency_Aggregate_Fields = {
    __typename?: 'currency_aggregate_fields';
    avg?: Maybe<Currency_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Currency_Max_Fields>;
    min?: Maybe<Currency_Min_Fields>;
    stddev?: Maybe<Currency_Stddev_Fields>;
    stddev_pop?: Maybe<Currency_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Currency_Stddev_Samp_Fields>;
    sum?: Maybe<Currency_Sum_Fields>;
    var_pop?: Maybe<Currency_Var_Pop_Fields>;
    var_samp?: Maybe<Currency_Var_Samp_Fields>;
    variance?: Maybe<Currency_Variance_Fields>;
};
/** aggregate fields of "currency" */
export type Currency_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Currency_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Currency_Avg_Fields = {
    __typename?: 'currency_avg_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "currency". All fields are combined with a logical 'AND'. */
export type Currency_Bool_Exp = {
    _and?: InputMaybe<Array<Currency_Bool_Exp>>;
    _not?: InputMaybe<Currency_Bool_Exp>;
    _or?: InputMaybe<Array<Currency_Bool_Exp>>;
    hash?: InputMaybe<Uuid_Comparison_Exp>;
    mileage?: InputMaybe<Int_Comparison_Exp>;
    money?: InputMaybe<Int_Comparison_Exp>;
    owner?: InputMaybe<Treasure_User_Bool_Exp>;
    owner_id?: InputMaybe<Int_Comparison_Exp>;
    rp?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "currency" */
export declare enum Currency_Constraint {
    /** unique or primary key constraint on columns "owner_id" */
    CurrencyOwnerIdKey = "currency_owner_id_key",
    /** unique or primary key constraint on columns "owner_id" */
    CurrencyPkey = "currency_pkey"
}
/** columns and relationships of "currency_exchange" */
export type Currency_Exchange = {
    __typename?: 'currency_exchange';
    created_at: Scalars['timestamptz'];
    /** An object relationship */
    from: Currency_Type;
    from_currency_id: Scalars['Int'];
    from_to_ratio: Scalars['numeric'];
    id: Scalars['Int'];
    is_static: Scalars['Boolean'];
    /** An object relationship */
    to: Currency_Type;
    to_currency_id: Scalars['Int'];
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "currency_exchange" */
export type Currency_Exchange_Aggregate = {
    __typename?: 'currency_exchange_aggregate';
    aggregate?: Maybe<Currency_Exchange_Aggregate_Fields>;
    nodes: Array<Currency_Exchange>;
};
/** aggregate fields of "currency_exchange" */
export type Currency_Exchange_Aggregate_Fields = {
    __typename?: 'currency_exchange_aggregate_fields';
    avg?: Maybe<Currency_Exchange_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Currency_Exchange_Max_Fields>;
    min?: Maybe<Currency_Exchange_Min_Fields>;
    stddev?: Maybe<Currency_Exchange_Stddev_Fields>;
    stddev_pop?: Maybe<Currency_Exchange_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Currency_Exchange_Stddev_Samp_Fields>;
    sum?: Maybe<Currency_Exchange_Sum_Fields>;
    var_pop?: Maybe<Currency_Exchange_Var_Pop_Fields>;
    var_samp?: Maybe<Currency_Exchange_Var_Samp_Fields>;
    variance?: Maybe<Currency_Exchange_Variance_Fields>;
};
/** aggregate fields of "currency_exchange" */
export type Currency_Exchange_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Currency_Exchange_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Currency_Exchange_Avg_Fields = {
    __typename?: 'currency_exchange_avg_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "currency_exchange". All fields are combined with a logical 'AND'. */
export type Currency_Exchange_Bool_Exp = {
    _and?: InputMaybe<Array<Currency_Exchange_Bool_Exp>>;
    _not?: InputMaybe<Currency_Exchange_Bool_Exp>;
    _or?: InputMaybe<Array<Currency_Exchange_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    from?: InputMaybe<Currency_Type_Bool_Exp>;
    from_currency_id?: InputMaybe<Int_Comparison_Exp>;
    from_to_ratio?: InputMaybe<Numeric_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_static?: InputMaybe<Boolean_Comparison_Exp>;
    to?: InputMaybe<Currency_Type_Bool_Exp>;
    to_currency_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "currency_exchange" */
export declare enum Currency_Exchange_Constraint {
    /** unique or primary key constraint on columns "from_currency_id", "is_static", "to_currency_id" */
    CurrencyExchangeFromCurrencyIdToCurrencyIdIsStaticKey = "currency_exchange_from_currency_id_to_currency_id_is_static_key",
    /** unique or primary key constraint on columns "id" */
    CurrencyExchangePkey = "currency_exchange_pkey"
}
/** input type for incrementing numeric columns in table "currency_exchange" */
export type Currency_Exchange_Inc_Input = {
    from_currency_id?: InputMaybe<Scalars['Int']>;
    from_to_ratio?: InputMaybe<Scalars['numeric']>;
    id?: InputMaybe<Scalars['Int']>;
    to_currency_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "currency_exchange" */
export type Currency_Exchange_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    from?: InputMaybe<Currency_Type_Obj_Rel_Insert_Input>;
    from_currency_id?: InputMaybe<Scalars['Int']>;
    from_to_ratio?: InputMaybe<Scalars['numeric']>;
    id?: InputMaybe<Scalars['Int']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    to?: InputMaybe<Currency_Type_Obj_Rel_Insert_Input>;
    to_currency_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Currency_Exchange_Max_Fields = {
    __typename?: 'currency_exchange_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    from_currency_id?: Maybe<Scalars['Int']>;
    from_to_ratio?: Maybe<Scalars['numeric']>;
    id?: Maybe<Scalars['Int']>;
    to_currency_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Currency_Exchange_Min_Fields = {
    __typename?: 'currency_exchange_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    from_currency_id?: Maybe<Scalars['Int']>;
    from_to_ratio?: Maybe<Scalars['numeric']>;
    id?: Maybe<Scalars['Int']>;
    to_currency_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "currency_exchange" */
export type Currency_Exchange_Mutation_Response = {
    __typename?: 'currency_exchange_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Currency_Exchange>;
};
/** on_conflict condition type for table "currency_exchange" */
export type Currency_Exchange_On_Conflict = {
    constraint: Currency_Exchange_Constraint;
    update_columns?: Array<Currency_Exchange_Update_Column>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
/** Ordering options when selecting data from "currency_exchange". */
export type Currency_Exchange_Order_By = {
    created_at?: InputMaybe<Order_By>;
    from?: InputMaybe<Currency_Type_Order_By>;
    from_currency_id?: InputMaybe<Order_By>;
    from_to_ratio?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_static?: InputMaybe<Order_By>;
    to?: InputMaybe<Currency_Type_Order_By>;
    to_currency_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: currency_exchange */
export type Currency_Exchange_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "currency_exchange" */
export declare enum Currency_Exchange_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    FromCurrencyId = "from_currency_id",
    /** column name */
    FromToRatio = "from_to_ratio",
    /** column name */
    Id = "id",
    /** column name */
    IsStatic = "is_static",
    /** column name */
    ToCurrencyId = "to_currency_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "currency_exchange" */
export type Currency_Exchange_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    from_currency_id?: InputMaybe<Scalars['Int']>;
    from_to_ratio?: InputMaybe<Scalars['numeric']>;
    id?: InputMaybe<Scalars['Int']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    to_currency_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Currency_Exchange_Stddev_Fields = {
    __typename?: 'currency_exchange_stddev_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Currency_Exchange_Stddev_Pop_Fields = {
    __typename?: 'currency_exchange_stddev_pop_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Currency_Exchange_Stddev_Samp_Fields = {
    __typename?: 'currency_exchange_stddev_samp_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "currency_exchange" */
export type Currency_Exchange_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Currency_Exchange_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Currency_Exchange_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    from_currency_id?: InputMaybe<Scalars['Int']>;
    from_to_ratio?: InputMaybe<Scalars['numeric']>;
    id?: InputMaybe<Scalars['Int']>;
    is_static?: InputMaybe<Scalars['Boolean']>;
    to_currency_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Currency_Exchange_Sum_Fields = {
    __typename?: 'currency_exchange_sum_fields';
    from_currency_id?: Maybe<Scalars['Int']>;
    from_to_ratio?: Maybe<Scalars['numeric']>;
    id?: Maybe<Scalars['Int']>;
    to_currency_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "currency_exchange" */
export declare enum Currency_Exchange_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    FromCurrencyId = "from_currency_id",
    /** column name */
    FromToRatio = "from_to_ratio",
    /** column name */
    Id = "id",
    /** column name */
    IsStatic = "is_static",
    /** column name */
    ToCurrencyId = "to_currency_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Currency_Exchange_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Currency_Exchange_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Currency_Exchange_Set_Input>;
    /** filter the rows which have to be updated */
    where: Currency_Exchange_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Currency_Exchange_Var_Pop_Fields = {
    __typename?: 'currency_exchange_var_pop_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Currency_Exchange_Var_Samp_Fields = {
    __typename?: 'currency_exchange_var_samp_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Currency_Exchange_Variance_Fields = {
    __typename?: 'currency_exchange_variance_fields';
    from_currency_id?: Maybe<Scalars['Float']>;
    from_to_ratio?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_currency_id?: Maybe<Scalars['Float']>;
};
/** input type for incrementing numeric columns in table "currency" */
export type Currency_Inc_Input = {
    mileage?: InputMaybe<Scalars['Int']>;
    money?: InputMaybe<Scalars['Int']>;
    owner_id?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "currency" */
export type Currency_Insert_Input = {
    hash?: InputMaybe<Scalars['uuid']>;
    mileage?: InputMaybe<Scalars['Int']>;
    money?: InputMaybe<Scalars['Int']>;
    owner?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    owner_id?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Currency_Max_Fields = {
    __typename?: 'currency_max_fields';
    hash?: Maybe<Scalars['uuid']>;
    mileage?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    owner_id?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Currency_Min_Fields = {
    __typename?: 'currency_min_fields';
    hash?: Maybe<Scalars['uuid']>;
    mileage?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    owner_id?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "currency" */
export type Currency_Mutation_Response = {
    __typename?: 'currency_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Currency>;
};
/** on_conflict condition type for table "currency" */
export type Currency_On_Conflict = {
    constraint: Currency_Constraint;
    update_columns?: Array<Currency_Update_Column>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
/** Ordering options when selecting data from "currency". */
export type Currency_Order_By = {
    hash?: InputMaybe<Order_By>;
    mileage?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    owner?: InputMaybe<Treasure_User_Order_By>;
    owner_id?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: currency */
export type Currency_Pk_Columns_Input = {
    owner_id: Scalars['Int'];
};
/** select columns of table "currency" */
export declare enum Currency_Select_Column {
    /** column name */
    Hash = "hash",
    /** column name */
    Mileage = "mileage",
    /** column name */
    Money = "money",
    /** column name */
    OwnerId = "owner_id",
    /** column name */
    Rp = "rp",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "currency" */
export type Currency_Set_Input = {
    hash?: InputMaybe<Scalars['uuid']>;
    mileage?: InputMaybe<Scalars['Int']>;
    money?: InputMaybe<Scalars['Int']>;
    owner_id?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Currency_Stddev_Fields = {
    __typename?: 'currency_stddev_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Currency_Stddev_Pop_Fields = {
    __typename?: 'currency_stddev_pop_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Currency_Stddev_Samp_Fields = {
    __typename?: 'currency_stddev_samp_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "currency" */
export type Currency_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Currency_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Currency_Stream_Cursor_Value_Input = {
    hash?: InputMaybe<Scalars['uuid']>;
    mileage?: InputMaybe<Scalars['Int']>;
    money?: InputMaybe<Scalars['Int']>;
    owner_id?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Currency_Sum_Fields = {
    __typename?: 'currency_sum_fields';
    mileage?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    owner_id?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "currency_type" */
export type Currency_Type = {
    __typename?: 'currency_type';
    description: Scalars['String'];
    id: Scalars['Int'];
    name: Scalars['String'];
    title: Scalars['String'];
};
/** aggregated selection of "currency_type" */
export type Currency_Type_Aggregate = {
    __typename?: 'currency_type_aggregate';
    aggregate?: Maybe<Currency_Type_Aggregate_Fields>;
    nodes: Array<Currency_Type>;
};
/** aggregate fields of "currency_type" */
export type Currency_Type_Aggregate_Fields = {
    __typename?: 'currency_type_aggregate_fields';
    avg?: Maybe<Currency_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Currency_Type_Max_Fields>;
    min?: Maybe<Currency_Type_Min_Fields>;
    stddev?: Maybe<Currency_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Currency_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Currency_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Currency_Type_Sum_Fields>;
    var_pop?: Maybe<Currency_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Currency_Type_Var_Samp_Fields>;
    variance?: Maybe<Currency_Type_Variance_Fields>;
};
/** aggregate fields of "currency_type" */
export type Currency_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Currency_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Currency_Type_Avg_Fields = {
    __typename?: 'currency_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "currency_type". All fields are combined with a logical 'AND'. */
export type Currency_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Currency_Type_Bool_Exp>>;
    _not?: InputMaybe<Currency_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Currency_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "currency_type" */
export declare enum Currency_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    CurrencyTypePkey = "currency_type_pkey"
}
/** input type for incrementing numeric columns in table "currency_type" */
export type Currency_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "currency_type" */
export type Currency_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Currency_Type_Max_Fields = {
    __typename?: 'currency_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Currency_Type_Min_Fields = {
    __typename?: 'currency_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "currency_type" */
export type Currency_Type_Mutation_Response = {
    __typename?: 'currency_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Currency_Type>;
};
/** input type for inserting object relation for remote table "currency_type" */
export type Currency_Type_Obj_Rel_Insert_Input = {
    data: Currency_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Currency_Type_On_Conflict>;
};
/** on_conflict condition type for table "currency_type" */
export type Currency_Type_On_Conflict = {
    constraint: Currency_Type_Constraint;
    update_columns?: Array<Currency_Type_Update_Column>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "currency_type". */
export type Currency_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: currency_type */
export type Currency_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "currency_type" */
export declare enum Currency_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "currency_type" */
export type Currency_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Currency_Type_Stddev_Fields = {
    __typename?: 'currency_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Currency_Type_Stddev_Pop_Fields = {
    __typename?: 'currency_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Currency_Type_Stddev_Samp_Fields = {
    __typename?: 'currency_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "currency_type" */
export type Currency_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Currency_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Currency_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Currency_Type_Sum_Fields = {
    __typename?: 'currency_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "currency_type" */
export declare enum Currency_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
export type Currency_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Currency_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Currency_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Currency_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Currency_Type_Var_Pop_Fields = {
    __typename?: 'currency_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Currency_Type_Var_Samp_Fields = {
    __typename?: 'currency_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Currency_Type_Variance_Fields = {
    __typename?: 'currency_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "currency" */
export declare enum Currency_Update_Column {
    /** column name */
    Hash = "hash",
    /** column name */
    Mileage = "mileage",
    /** column name */
    Money = "money",
    /** column name */
    OwnerId = "owner_id",
    /** column name */
    Rp = "rp",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Currency_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Currency_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Currency_Set_Input>;
    /** filter the rows which have to be updated */
    where: Currency_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Currency_Var_Pop_Fields = {
    __typename?: 'currency_var_pop_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Currency_Var_Samp_Fields = {
    __typename?: 'currency_var_samp_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Currency_Variance_Fields = {
    __typename?: 'currency_variance_fields';
    mileage?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    owner_id?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
};
/** ordering argument of a cursor */
export declare enum Cursor_Ordering {
    /** ascending ordering of the cursor */
    Asc = "ASC",
    /** descending ordering of the cursor */
    Desc = "DESC"
}
/** Boolean expression to compare columns of type "date". All fields are combined with logical 'AND'. */
export type Date_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['date']>;
    _gt?: InputMaybe<Scalars['date']>;
    _gte?: InputMaybe<Scalars['date']>;
    _in?: InputMaybe<Array<Scalars['date']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['date']>;
    _lte?: InputMaybe<Scalars['date']>;
    _neq?: InputMaybe<Scalars['date']>;
    _nin?: InputMaybe<Array<Scalars['date']>>;
};
/** columns and relationships of "desktop_type" */
export type Desktop_Type = {
    __typename?: 'desktop_type';
    id: Scalars['Int'];
};
/** aggregated selection of "desktop_type" */
export type Desktop_Type_Aggregate = {
    __typename?: 'desktop_type_aggregate';
    aggregate?: Maybe<Desktop_Type_Aggregate_Fields>;
    nodes: Array<Desktop_Type>;
};
/** aggregate fields of "desktop_type" */
export type Desktop_Type_Aggregate_Fields = {
    __typename?: 'desktop_type_aggregate_fields';
    avg?: Maybe<Desktop_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Desktop_Type_Max_Fields>;
    min?: Maybe<Desktop_Type_Min_Fields>;
    stddev?: Maybe<Desktop_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Desktop_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Desktop_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Desktop_Type_Sum_Fields>;
    var_pop?: Maybe<Desktop_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Desktop_Type_Var_Samp_Fields>;
    variance?: Maybe<Desktop_Type_Variance_Fields>;
};
/** aggregate fields of "desktop_type" */
export type Desktop_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Desktop_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Desktop_Type_Avg_Fields = {
    __typename?: 'desktop_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "desktop_type". All fields are combined with a logical 'AND'. */
export type Desktop_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Desktop_Type_Bool_Exp>>;
    _not?: InputMaybe<Desktop_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Desktop_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "desktop_type" */
export declare enum Desktop_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    DesktopTypePkey = "desktop_type_pkey"
}
/** input type for incrementing numeric columns in table "desktop_type" */
export type Desktop_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "desktop_type" */
export type Desktop_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Desktop_Type_Max_Fields = {
    __typename?: 'desktop_type_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Desktop_Type_Min_Fields = {
    __typename?: 'desktop_type_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "desktop_type" */
export type Desktop_Type_Mutation_Response = {
    __typename?: 'desktop_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Desktop_Type>;
};
/** on_conflict condition type for table "desktop_type" */
export type Desktop_Type_On_Conflict = {
    constraint: Desktop_Type_Constraint;
    update_columns?: Array<Desktop_Type_Update_Column>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "desktop_type". */
export type Desktop_Type_Order_By = {
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: desktop_type */
export type Desktop_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "desktop_type" */
export declare enum Desktop_Type_Select_Column {
    /** column name */
    Id = "id"
}
/** input type for updating data in table "desktop_type" */
export type Desktop_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Desktop_Type_Stddev_Fields = {
    __typename?: 'desktop_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Desktop_Type_Stddev_Pop_Fields = {
    __typename?: 'desktop_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Desktop_Type_Stddev_Samp_Fields = {
    __typename?: 'desktop_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "desktop_type" */
export type Desktop_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Desktop_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Desktop_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Desktop_Type_Sum_Fields = {
    __typename?: 'desktop_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "desktop_type" */
export declare enum Desktop_Type_Update_Column {
    /** column name */
    Id = "id"
}
export type Desktop_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Desktop_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Desktop_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Desktop_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Desktop_Type_Var_Pop_Fields = {
    __typename?: 'desktop_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Desktop_Type_Var_Samp_Fields = {
    __typename?: 'desktop_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Desktop_Type_Variance_Fields = {
    __typename?: 'desktop_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "entrypoint" */
export type Entrypoint = {
    __typename?: 'entrypoint';
    id: Scalars['Int'];
    url?: Maybe<Scalars['String']>;
};
/** aggregated selection of "entrypoint" */
export type Entrypoint_Aggregate = {
    __typename?: 'entrypoint_aggregate';
    aggregate?: Maybe<Entrypoint_Aggregate_Fields>;
    nodes: Array<Entrypoint>;
};
/** aggregate fields of "entrypoint" */
export type Entrypoint_Aggregate_Fields = {
    __typename?: 'entrypoint_aggregate_fields';
    avg?: Maybe<Entrypoint_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Entrypoint_Max_Fields>;
    min?: Maybe<Entrypoint_Min_Fields>;
    stddev?: Maybe<Entrypoint_Stddev_Fields>;
    stddev_pop?: Maybe<Entrypoint_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Entrypoint_Stddev_Samp_Fields>;
    sum?: Maybe<Entrypoint_Sum_Fields>;
    var_pop?: Maybe<Entrypoint_Var_Pop_Fields>;
    var_samp?: Maybe<Entrypoint_Var_Samp_Fields>;
    variance?: Maybe<Entrypoint_Variance_Fields>;
};
/** aggregate fields of "entrypoint" */
export type Entrypoint_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Entrypoint_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Entrypoint_Avg_Fields = {
    __typename?: 'entrypoint_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "entrypoint". All fields are combined with a logical 'AND'. */
export type Entrypoint_Bool_Exp = {
    _and?: InputMaybe<Array<Entrypoint_Bool_Exp>>;
    _not?: InputMaybe<Entrypoint_Bool_Exp>;
    _or?: InputMaybe<Array<Entrypoint_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    url?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "entrypoint" */
export declare enum Entrypoint_Constraint {
    /** unique or primary key constraint on columns "id" */
    EntrypointPkey = "entrypoint_pkey"
}
/** input type for incrementing numeric columns in table "entrypoint" */
export type Entrypoint_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "entrypoint" */
export type Entrypoint_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Entrypoint_Max_Fields = {
    __typename?: 'entrypoint_max_fields';
    id?: Maybe<Scalars['Int']>;
    url?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Entrypoint_Min_Fields = {
    __typename?: 'entrypoint_min_fields';
    id?: Maybe<Scalars['Int']>;
    url?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "entrypoint" */
export type Entrypoint_Mutation_Response = {
    __typename?: 'entrypoint_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Entrypoint>;
};
/** input type for inserting object relation for remote table "entrypoint" */
export type Entrypoint_Obj_Rel_Insert_Input = {
    data: Entrypoint_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Entrypoint_On_Conflict>;
};
/** on_conflict condition type for table "entrypoint" */
export type Entrypoint_On_Conflict = {
    constraint: Entrypoint_Constraint;
    update_columns?: Array<Entrypoint_Update_Column>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
/** Ordering options when selecting data from "entrypoint". */
export type Entrypoint_Order_By = {
    id?: InputMaybe<Order_By>;
    url?: InputMaybe<Order_By>;
};
/** primary key columns input for table: entrypoint */
export type Entrypoint_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "entrypoint" */
export declare enum Entrypoint_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Url = "url"
}
/** input type for updating data in table "entrypoint" */
export type Entrypoint_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Entrypoint_Stddev_Fields = {
    __typename?: 'entrypoint_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Entrypoint_Stddev_Pop_Fields = {
    __typename?: 'entrypoint_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Entrypoint_Stddev_Samp_Fields = {
    __typename?: 'entrypoint_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "entrypoint" */
export type Entrypoint_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Entrypoint_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Entrypoint_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    url?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Entrypoint_Sum_Fields = {
    __typename?: 'entrypoint_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "entrypoint" */
export declare enum Entrypoint_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Url = "url"
}
export type Entrypoint_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Entrypoint_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Entrypoint_Set_Input>;
    /** filter the rows which have to be updated */
    where: Entrypoint_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Entrypoint_Var_Pop_Fields = {
    __typename?: 'entrypoint_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Entrypoint_Var_Samp_Fields = {
    __typename?: 'entrypoint_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Entrypoint_Variance_Fields = {
    __typename?: 'entrypoint_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "evaluator" */
export type Evaluator = {
    __typename?: 'evaluator';
    /** An object relationship */
    badgeCategory?: Maybe<Badge_Category>;
    badge_category_title?: Maybe<Scalars['String']>;
    /** An object relationship */
    batch?: Maybe<Batch>;
    batch_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    name?: Maybe<Scalars['String']>;
    stringified_variables?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregated selection of "evaluator" */
export type Evaluator_Aggregate = {
    __typename?: 'evaluator_aggregate';
    aggregate?: Maybe<Evaluator_Aggregate_Fields>;
    nodes: Array<Evaluator>;
};
/** aggregate fields of "evaluator" */
export type Evaluator_Aggregate_Fields = {
    __typename?: 'evaluator_aggregate_fields';
    avg?: Maybe<Evaluator_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Evaluator_Max_Fields>;
    min?: Maybe<Evaluator_Min_Fields>;
    stddev?: Maybe<Evaluator_Stddev_Fields>;
    stddev_pop?: Maybe<Evaluator_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Evaluator_Stddev_Samp_Fields>;
    sum?: Maybe<Evaluator_Sum_Fields>;
    var_pop?: Maybe<Evaluator_Var_Pop_Fields>;
    var_samp?: Maybe<Evaluator_Var_Samp_Fields>;
    variance?: Maybe<Evaluator_Variance_Fields>;
};
/** aggregate fields of "evaluator" */
export type Evaluator_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Evaluator_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Evaluator_Avg_Fields = {
    __typename?: 'evaluator_avg_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "evaluator". All fields are combined with a logical 'AND'. */
export type Evaluator_Bool_Exp = {
    _and?: InputMaybe<Array<Evaluator_Bool_Exp>>;
    _not?: InputMaybe<Evaluator_Bool_Exp>;
    _or?: InputMaybe<Array<Evaluator_Bool_Exp>>;
    badgeCategory?: InputMaybe<Badge_Category_Bool_Exp>;
    badge_category_title?: InputMaybe<String_Comparison_Exp>;
    batch?: InputMaybe<Batch_Bool_Exp>;
    batch_id?: InputMaybe<Int_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    stringified_variables?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "evaluator" */
export declare enum Evaluator_Constraint {
    /** unique or primary key constraint on columns "id" */
    EvaluatorPkey = "Evaluator_pkey",
    /** unique or primary key constraint on columns "name" */
    EvaluatorNameKey = "evaluator_name_key"
}
/** input type for incrementing numeric columns in table "evaluator" */
export type Evaluator_Inc_Input = {
    batch_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "evaluator" */
export type Evaluator_Insert_Input = {
    badgeCategory?: InputMaybe<Badge_Category_Obj_Rel_Insert_Input>;
    badge_category_title?: InputMaybe<Scalars['String']>;
    batch?: InputMaybe<Batch_Obj_Rel_Insert_Input>;
    batch_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    stringified_variables?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Evaluator_Max_Fields = {
    __typename?: 'evaluator_max_fields';
    badge_category_title?: Maybe<Scalars['String']>;
    batch_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    stringified_variables?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Evaluator_Min_Fields = {
    __typename?: 'evaluator_min_fields';
    badge_category_title?: Maybe<Scalars['String']>;
    batch_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    stringified_variables?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "evaluator" */
export type Evaluator_Mutation_Response = {
    __typename?: 'evaluator_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Evaluator>;
};
/** input type for inserting object relation for remote table "evaluator" */
export type Evaluator_Obj_Rel_Insert_Input = {
    data: Evaluator_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Evaluator_On_Conflict>;
};
/** on_conflict condition type for table "evaluator" */
export type Evaluator_On_Conflict = {
    constraint: Evaluator_Constraint;
    update_columns?: Array<Evaluator_Update_Column>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
/** Ordering options when selecting data from "evaluator". */
export type Evaluator_Order_By = {
    badgeCategory?: InputMaybe<Badge_Category_Order_By>;
    badge_category_title?: InputMaybe<Order_By>;
    batch?: InputMaybe<Batch_Order_By>;
    batch_id?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    stringified_variables?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: evaluator */
export type Evaluator_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "evaluator" */
export declare enum Evaluator_Select_Column {
    /** column name */
    BadgeCategoryTitle = "badge_category_title",
    /** column name */
    BatchId = "batch_id",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    StringifiedVariables = "stringified_variables",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "evaluator" */
export type Evaluator_Set_Input = {
    badge_category_title?: InputMaybe<Scalars['String']>;
    batch_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    stringified_variables?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Evaluator_Stddev_Fields = {
    __typename?: 'evaluator_stddev_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Evaluator_Stddev_Pop_Fields = {
    __typename?: 'evaluator_stddev_pop_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Evaluator_Stddev_Samp_Fields = {
    __typename?: 'evaluator_stddev_samp_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "evaluator" */
export type Evaluator_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Evaluator_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Evaluator_Stream_Cursor_Value_Input = {
    badge_category_title?: InputMaybe<Scalars['String']>;
    batch_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    stringified_variables?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Evaluator_Sum_Fields = {
    __typename?: 'evaluator_sum_fields';
    batch_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "evaluator" */
export declare enum Evaluator_Update_Column {
    /** column name */
    BadgeCategoryTitle = "badge_category_title",
    /** column name */
    BatchId = "batch_id",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    StringifiedVariables = "stringified_variables",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Evaluator_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Evaluator_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Evaluator_Set_Input>;
    /** filter the rows which have to be updated */
    where: Evaluator_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Evaluator_Var_Pop_Fields = {
    __typename?: 'evaluator_var_pop_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Evaluator_Var_Samp_Fields = {
    __typename?: 'evaluator_var_samp_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Evaluator_Variance_Fields = {
    __typename?: 'evaluator_variance_fields';
    batch_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "example" */
export type Example = {
    __typename?: 'example';
    code: Scalars['String'];
    id: Scalars['Int'];
    size: Scalars['Int'];
    /** An object relationship */
    type: Example_Type;
    type_id: Scalars['Int'];
};
/** aggregated selection of "example" */
export type Example_Aggregate = {
    __typename?: 'example_aggregate';
    aggregate?: Maybe<Example_Aggregate_Fields>;
    nodes: Array<Example>;
};
/** aggregate fields of "example" */
export type Example_Aggregate_Fields = {
    __typename?: 'example_aggregate_fields';
    avg?: Maybe<Example_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Example_Max_Fields>;
    min?: Maybe<Example_Min_Fields>;
    stddev?: Maybe<Example_Stddev_Fields>;
    stddev_pop?: Maybe<Example_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Example_Stddev_Samp_Fields>;
    sum?: Maybe<Example_Sum_Fields>;
    var_pop?: Maybe<Example_Var_Pop_Fields>;
    var_samp?: Maybe<Example_Var_Samp_Fields>;
    variance?: Maybe<Example_Variance_Fields>;
};
/** aggregate fields of "example" */
export type Example_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Example_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Example_Avg_Fields = {
    __typename?: 'example_avg_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "example". All fields are combined with a logical 'AND'. */
export type Example_Bool_Exp = {
    _and?: InputMaybe<Array<Example_Bool_Exp>>;
    _not?: InputMaybe<Example_Bool_Exp>;
    _or?: InputMaybe<Array<Example_Bool_Exp>>;
    code?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    size?: InputMaybe<Int_Comparison_Exp>;
    type?: InputMaybe<Example_Type_Bool_Exp>;
    type_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "example" */
export declare enum Example_Constraint {
    /** unique or primary key constraint on columns "id" */
    ExamplePkey = "example_pkey"
}
/** input type for incrementing numeric columns in table "example" */
export type Example_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    size?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "example" */
export type Example_Insert_Input = {
    code?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    size?: InputMaybe<Scalars['Int']>;
    type?: InputMaybe<Example_Type_Obj_Rel_Insert_Input>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Example_Max_Fields = {
    __typename?: 'example_max_fields';
    code?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    size?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Example_Min_Fields = {
    __typename?: 'example_min_fields';
    code?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    size?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "example" */
export type Example_Mutation_Response = {
    __typename?: 'example_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Example>;
};
/** input type for inserting object relation for remote table "example" */
export type Example_Obj_Rel_Insert_Input = {
    data: Example_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Example_On_Conflict>;
};
/** on_conflict condition type for table "example" */
export type Example_On_Conflict = {
    constraint: Example_Constraint;
    update_columns?: Array<Example_Update_Column>;
    where?: InputMaybe<Example_Bool_Exp>;
};
/** Ordering options when selecting data from "example". */
export type Example_Order_By = {
    code?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    size?: InputMaybe<Order_By>;
    type?: InputMaybe<Example_Type_Order_By>;
    type_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: example */
export type Example_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "example" */
export declare enum Example_Select_Column {
    /** column name */
    Code = "code",
    /** column name */
    Id = "id",
    /** column name */
    Size = "size",
    /** column name */
    TypeId = "type_id"
}
/** input type for updating data in table "example" */
export type Example_Set_Input = {
    code?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    size?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Example_Stddev_Fields = {
    __typename?: 'example_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Example_Stddev_Pop_Fields = {
    __typename?: 'example_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Example_Stddev_Samp_Fields = {
    __typename?: 'example_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "example" */
export type Example_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Example_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Example_Stream_Cursor_Value_Input = {
    code?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    size?: InputMaybe<Scalars['Int']>;
    type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Example_Sum_Fields = {
    __typename?: 'example_sum_fields';
    id?: Maybe<Scalars['Int']>;
    size?: Maybe<Scalars['Int']>;
    type_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "example_type" */
export type Example_Type = {
    __typename?: 'example_type';
    id: Scalars['Int'];
    is_json?: Maybe<Scalars['Boolean']>;
    name: Scalars['String'];
    separator?: Maybe<Scalars['String']>;
};
/** aggregated selection of "example_type" */
export type Example_Type_Aggregate = {
    __typename?: 'example_type_aggregate';
    aggregate?: Maybe<Example_Type_Aggregate_Fields>;
    nodes: Array<Example_Type>;
};
/** aggregate fields of "example_type" */
export type Example_Type_Aggregate_Fields = {
    __typename?: 'example_type_aggregate_fields';
    avg?: Maybe<Example_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Example_Type_Max_Fields>;
    min?: Maybe<Example_Type_Min_Fields>;
    stddev?: Maybe<Example_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Example_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Example_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Example_Type_Sum_Fields>;
    var_pop?: Maybe<Example_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Example_Type_Var_Samp_Fields>;
    variance?: Maybe<Example_Type_Variance_Fields>;
};
/** aggregate fields of "example_type" */
export type Example_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Example_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Example_Type_Avg_Fields = {
    __typename?: 'example_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "example_type". All fields are combined with a logical 'AND'. */
export type Example_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Example_Type_Bool_Exp>>;
    _not?: InputMaybe<Example_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Example_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_json?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    separator?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "example_type" */
export declare enum Example_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    ExampleTypePkey = "example_type_pkey"
}
/** input type for incrementing numeric columns in table "example_type" */
export type Example_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "example_type" */
export type Example_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_json?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Example_Type_Max_Fields = {
    __typename?: 'example_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    separator?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Example_Type_Min_Fields = {
    __typename?: 'example_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    separator?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "example_type" */
export type Example_Type_Mutation_Response = {
    __typename?: 'example_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Example_Type>;
};
/** input type for inserting object relation for remote table "example_type" */
export type Example_Type_Obj_Rel_Insert_Input = {
    data: Example_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Example_Type_On_Conflict>;
};
/** on_conflict condition type for table "example_type" */
export type Example_Type_On_Conflict = {
    constraint: Example_Type_Constraint;
    update_columns?: Array<Example_Type_Update_Column>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "example_type". */
export type Example_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_json?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    separator?: InputMaybe<Order_By>;
};
/** primary key columns input for table: example_type */
export type Example_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "example_type" */
export declare enum Example_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsJson = "is_json",
    /** column name */
    Name = "name",
    /** column name */
    Separator = "separator"
}
/** input type for updating data in table "example_type" */
export type Example_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_json?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Example_Type_Stddev_Fields = {
    __typename?: 'example_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Example_Type_Stddev_Pop_Fields = {
    __typename?: 'example_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Example_Type_Stddev_Samp_Fields = {
    __typename?: 'example_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "example_type" */
export type Example_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Example_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Example_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_json?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    separator?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Example_Type_Sum_Fields = {
    __typename?: 'example_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "example_type" */
export declare enum Example_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsJson = "is_json",
    /** column name */
    Name = "name",
    /** column name */
    Separator = "separator"
}
export type Example_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Example_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Example_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Example_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Example_Type_Var_Pop_Fields = {
    __typename?: 'example_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Example_Type_Var_Samp_Fields = {
    __typename?: 'example_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Example_Type_Variance_Fields = {
    __typename?: 'example_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "example" */
export declare enum Example_Update_Column {
    /** column name */
    Code = "code",
    /** column name */
    Id = "id",
    /** column name */
    Size = "size",
    /** column name */
    TypeId = "type_id"
}
export type Example_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Example_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Example_Set_Input>;
    /** filter the rows which have to be updated */
    where: Example_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Example_Var_Pop_Fields = {
    __typename?: 'example_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Example_Var_Samp_Fields = {
    __typename?: 'example_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Example_Variance_Fields = {
    __typename?: 'example_variance_fields';
    id?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    type_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "exhibition_determinant" */
export type Exhibition_Determinant = {
    __typename?: 'exhibition_determinant';
    id: Scalars['Int'];
    /** An object relationship */
    quest?: Maybe<Quest>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "exhibition_determinant" */
export type Exhibition_Determinant_Aggregate = {
    __typename?: 'exhibition_determinant_aggregate';
    aggregate?: Maybe<Exhibition_Determinant_Aggregate_Fields>;
    nodes: Array<Exhibition_Determinant>;
};
/** aggregate fields of "exhibition_determinant" */
export type Exhibition_Determinant_Aggregate_Fields = {
    __typename?: 'exhibition_determinant_aggregate_fields';
    avg?: Maybe<Exhibition_Determinant_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Exhibition_Determinant_Max_Fields>;
    min?: Maybe<Exhibition_Determinant_Min_Fields>;
    stddev?: Maybe<Exhibition_Determinant_Stddev_Fields>;
    stddev_pop?: Maybe<Exhibition_Determinant_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Exhibition_Determinant_Stddev_Samp_Fields>;
    sum?: Maybe<Exhibition_Determinant_Sum_Fields>;
    var_pop?: Maybe<Exhibition_Determinant_Var_Pop_Fields>;
    var_samp?: Maybe<Exhibition_Determinant_Var_Samp_Fields>;
    variance?: Maybe<Exhibition_Determinant_Variance_Fields>;
};
/** aggregate fields of "exhibition_determinant" */
export type Exhibition_Determinant_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Exhibition_Determinant_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Exhibition_Determinant_Avg_Fields = {
    __typename?: 'exhibition_determinant_avg_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "exhibition_determinant". All fields are combined with a logical 'AND'. */
export type Exhibition_Determinant_Bool_Exp = {
    _and?: InputMaybe<Array<Exhibition_Determinant_Bool_Exp>>;
    _not?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
    _or?: InputMaybe<Array<Exhibition_Determinant_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    quest_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "exhibition_determinant" */
export declare enum Exhibition_Determinant_Constraint {
    /** unique or primary key constraint on columns "id" */
    ExhibitionDeterminantPkey = "exhibition_determinant_pkey"
}
/** input type for incrementing numeric columns in table "exhibition_determinant" */
export type Exhibition_Determinant_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "exhibition_determinant" */
export type Exhibition_Determinant_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Exhibition_Determinant_Max_Fields = {
    __typename?: 'exhibition_determinant_max_fields';
    id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Exhibition_Determinant_Min_Fields = {
    __typename?: 'exhibition_determinant_min_fields';
    id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "exhibition_determinant" */
export type Exhibition_Determinant_Mutation_Response = {
    __typename?: 'exhibition_determinant_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Exhibition_Determinant>;
};
/** input type for inserting object relation for remote table "exhibition_determinant" */
export type Exhibition_Determinant_Obj_Rel_Insert_Input = {
    data: Exhibition_Determinant_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Exhibition_Determinant_On_Conflict>;
};
/** on_conflict condition type for table "exhibition_determinant" */
export type Exhibition_Determinant_On_Conflict = {
    constraint: Exhibition_Determinant_Constraint;
    update_columns?: Array<Exhibition_Determinant_Update_Column>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
/** Ordering options when selecting data from "exhibition_determinant". */
export type Exhibition_Determinant_Order_By = {
    id?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    quest_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: exhibition_determinant */
export type Exhibition_Determinant_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "exhibition_determinant" */
export declare enum Exhibition_Determinant_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    QuestId = "quest_id"
}
/** input type for updating data in table "exhibition_determinant" */
export type Exhibition_Determinant_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Exhibition_Determinant_Stddev_Fields = {
    __typename?: 'exhibition_determinant_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Exhibition_Determinant_Stddev_Pop_Fields = {
    __typename?: 'exhibition_determinant_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Exhibition_Determinant_Stddev_Samp_Fields = {
    __typename?: 'exhibition_determinant_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "exhibition_determinant" */
export type Exhibition_Determinant_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Exhibition_Determinant_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Exhibition_Determinant_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Exhibition_Determinant_Sum_Fields = {
    __typename?: 'exhibition_determinant_sum_fields';
    id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "exhibition_determinant" */
export declare enum Exhibition_Determinant_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    QuestId = "quest_id"
}
export type Exhibition_Determinant_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Exhibition_Determinant_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Exhibition_Determinant_Set_Input>;
    /** filter the rows which have to be updated */
    where: Exhibition_Determinant_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Exhibition_Determinant_Var_Pop_Fields = {
    __typename?: 'exhibition_determinant_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Exhibition_Determinant_Var_Samp_Fields = {
    __typename?: 'exhibition_determinant_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Exhibition_Determinant_Variance_Fields = {
    __typename?: 'exhibition_determinant_variance_fields';
    id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "flag" */
export type Flag = {
    __typename?: 'flag';
    /** An object relationship */
    fireEventConditionType?: Maybe<Map_Condition_Type>;
    fire_event_condition_type_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    locus?: Maybe<Locus>;
    locus_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    map?: Maybe<Map>;
    map_id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "flag" */
export type Flag_Aggregate = {
    __typename?: 'flag_aggregate';
    aggregate?: Maybe<Flag_Aggregate_Fields>;
    nodes: Array<Flag>;
};
/** aggregate fields of "flag" */
export type Flag_Aggregate_Fields = {
    __typename?: 'flag_aggregate_fields';
    avg?: Maybe<Flag_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Flag_Max_Fields>;
    min?: Maybe<Flag_Min_Fields>;
    stddev?: Maybe<Flag_Stddev_Fields>;
    stddev_pop?: Maybe<Flag_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Flag_Stddev_Samp_Fields>;
    sum?: Maybe<Flag_Sum_Fields>;
    var_pop?: Maybe<Flag_Var_Pop_Fields>;
    var_samp?: Maybe<Flag_Var_Samp_Fields>;
    variance?: Maybe<Flag_Variance_Fields>;
};
/** aggregate fields of "flag" */
export type Flag_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Flag_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Flag_Avg_Fields = {
    __typename?: 'flag_avg_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "flag". All fields are combined with a logical 'AND'. */
export type Flag_Bool_Exp = {
    _and?: InputMaybe<Array<Flag_Bool_Exp>>;
    _not?: InputMaybe<Flag_Bool_Exp>;
    _or?: InputMaybe<Array<Flag_Bool_Exp>>;
    fireEventConditionType?: InputMaybe<Map_Condition_Type_Bool_Exp>;
    fire_event_condition_type_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    map?: InputMaybe<Map_Bool_Exp>;
    map_id?: InputMaybe<Int_Comparison_Exp>;
    map_item_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "flag" */
export declare enum Flag_Constraint {
    /** unique or primary key constraint on columns "id" */
    FlagPkey = "flag_pkey"
}
/** input type for incrementing numeric columns in table "flag" */
export type Flag_Inc_Input = {
    fire_event_condition_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "flag" */
export type Flag_Insert_Input = {
    fireEventConditionType?: InputMaybe<Map_Condition_Type_Obj_Rel_Insert_Input>;
    fire_event_condition_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    map?: InputMaybe<Map_Obj_Rel_Insert_Input>;
    map_id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Flag_Max_Fields = {
    __typename?: 'flag_max_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Flag_Min_Fields = {
    __typename?: 'flag_min_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "flag" */
export type Flag_Mutation_Response = {
    __typename?: 'flag_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Flag>;
};
/** input type for inserting object relation for remote table "flag" */
export type Flag_Obj_Rel_Insert_Input = {
    data: Flag_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Flag_On_Conflict>;
};
/** on_conflict condition type for table "flag" */
export type Flag_On_Conflict = {
    constraint: Flag_Constraint;
    update_columns?: Array<Flag_Update_Column>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
/** Ordering options when selecting data from "flag". */
export type Flag_Order_By = {
    fireEventConditionType?: InputMaybe<Map_Condition_Type_Order_By>;
    fire_event_condition_type_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    map?: InputMaybe<Map_Order_By>;
    map_id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: flag */
export type Flag_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "flag" */
export declare enum Flag_Select_Column {
    /** column name */
    FireEventConditionTypeId = "fire_event_condition_type_id",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    MapId = "map_id",
    /** column name */
    MapItemId = "map_item_id"
}
/** input type for updating data in table "flag" */
export type Flag_Set_Input = {
    fire_event_condition_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Flag_Stddev_Fields = {
    __typename?: 'flag_stddev_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Flag_Stddev_Pop_Fields = {
    __typename?: 'flag_stddev_pop_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Flag_Stddev_Samp_Fields = {
    __typename?: 'flag_stddev_samp_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "flag" */
export type Flag_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Flag_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Flag_Stream_Cursor_Value_Input = {
    fire_event_condition_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Flag_Sum_Fields = {
    __typename?: 'flag_sum_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "flag_type" */
export type Flag_Type = {
    __typename?: 'flag_type';
    id: Scalars['Int'];
    is_fired_by_click?: Maybe<Scalars['Boolean']>;
    is_fired_by_drag?: Maybe<Scalars['Boolean']>;
    is_system_ui?: Maybe<Scalars['Boolean']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregated selection of "flag_type" */
export type Flag_Type_Aggregate = {
    __typename?: 'flag_type_aggregate';
    aggregate?: Maybe<Flag_Type_Aggregate_Fields>;
    nodes: Array<Flag_Type>;
};
/** aggregate fields of "flag_type" */
export type Flag_Type_Aggregate_Fields = {
    __typename?: 'flag_type_aggregate_fields';
    avg?: Maybe<Flag_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Flag_Type_Max_Fields>;
    min?: Maybe<Flag_Type_Min_Fields>;
    stddev?: Maybe<Flag_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Flag_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Flag_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Flag_Type_Sum_Fields>;
    var_pop?: Maybe<Flag_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Flag_Type_Var_Samp_Fields>;
    variance?: Maybe<Flag_Type_Variance_Fields>;
};
/** aggregate fields of "flag_type" */
export type Flag_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Flag_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Flag_Type_Avg_Fields = {
    __typename?: 'flag_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "flag_type". All fields are combined with a logical 'AND'. */
export type Flag_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Flag_Type_Bool_Exp>>;
    _not?: InputMaybe<Flag_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Flag_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_fired_by_click?: InputMaybe<Boolean_Comparison_Exp>;
    is_fired_by_drag?: InputMaybe<Boolean_Comparison_Exp>;
    is_system_ui?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "flag_type" */
export declare enum Flag_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    FlagTypePkey = "flag_type_pkey"
}
/** input type for incrementing numeric columns in table "flag_type" */
export type Flag_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "flag_type" */
export type Flag_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_fired_by_click?: InputMaybe<Scalars['Boolean']>;
    is_fired_by_drag?: InputMaybe<Scalars['Boolean']>;
    is_system_ui?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Flag_Type_Max_Fields = {
    __typename?: 'flag_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Flag_Type_Min_Fields = {
    __typename?: 'flag_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "flag_type" */
export type Flag_Type_Mutation_Response = {
    __typename?: 'flag_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Flag_Type>;
};
/** on_conflict condition type for table "flag_type" */
export type Flag_Type_On_Conflict = {
    constraint: Flag_Type_Constraint;
    update_columns?: Array<Flag_Type_Update_Column>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "flag_type". */
export type Flag_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_fired_by_click?: InputMaybe<Order_By>;
    is_fired_by_drag?: InputMaybe<Order_By>;
    is_system_ui?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: flag_type */
export type Flag_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "flag_type" */
export declare enum Flag_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsFiredByClick = "is_fired_by_click",
    /** column name */
    IsFiredByDrag = "is_fired_by_drag",
    /** column name */
    IsSystemUi = "is_system_ui",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "flag_type" */
export type Flag_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_fired_by_click?: InputMaybe<Scalars['Boolean']>;
    is_fired_by_drag?: InputMaybe<Scalars['Boolean']>;
    is_system_ui?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Flag_Type_Stddev_Fields = {
    __typename?: 'flag_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Flag_Type_Stddev_Pop_Fields = {
    __typename?: 'flag_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Flag_Type_Stddev_Samp_Fields = {
    __typename?: 'flag_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "flag_type" */
export type Flag_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Flag_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Flag_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_fired_by_click?: InputMaybe<Scalars['Boolean']>;
    is_fired_by_drag?: InputMaybe<Scalars['Boolean']>;
    is_system_ui?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Flag_Type_Sum_Fields = {
    __typename?: 'flag_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "flag_type" */
export declare enum Flag_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsFiredByClick = "is_fired_by_click",
    /** column name */
    IsFiredByDrag = "is_fired_by_drag",
    /** column name */
    IsSystemUi = "is_system_ui",
    /** column name */
    Name = "name"
}
export type Flag_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Flag_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Flag_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Flag_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Flag_Type_Var_Pop_Fields = {
    __typename?: 'flag_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Flag_Type_Var_Samp_Fields = {
    __typename?: 'flag_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Flag_Type_Variance_Fields = {
    __typename?: 'flag_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "flag" */
export declare enum Flag_Update_Column {
    /** column name */
    FireEventConditionTypeId = "fire_event_condition_type_id",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    MapId = "map_id",
    /** column name */
    MapItemId = "map_item_id"
}
export type Flag_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Flag_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Flag_Set_Input>;
    /** filter the rows which have to be updated */
    where: Flag_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Flag_Var_Pop_Fields = {
    __typename?: 'flag_var_pop_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Flag_Var_Samp_Fields = {
    __typename?: 'flag_var_samp_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Flag_Variance_Fields = {
    __typename?: 'flag_variance_fields';
    fire_event_condition_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "game" */
export type Game = {
    __typename?: 'game';
    area_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    contentType?: Maybe<Piece_Type>;
    content_type?: Maybe<Scalars['Int']>;
    content_uri?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    creatorTreasureUser?: Maybe<Treasure_User>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    /** An array relationship */
    gameAndLocus: Array<Games_Locus>;
    /** An aggregate relationship */
    gameAndLocus_aggregate: Games_Locus_Aggregate;
    /** An object relationship */
    gameAreaById?: Maybe<Area>;
    /** An object relationship */
    gameManagement?: Maybe<Game_Management>;
    /** An object relationship */
    gameStateType?: Maybe<Game_State_Type>;
    game_state_type?: Maybe<Scalars['Int']>;
    /** An object relationship */
    group?: Maybe<Game_Group>;
    group_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    /** An array relationship */
    hunters: Array<Game_Hunter>;
    /** An aggregate relationship */
    hunters_aggregate: Game_Hunter_Aggregate;
    id: Scalars['Int'];
    in_group_label?: Maybe<Scalars['String']>;
    in_group_number?: Maybe<Scalars['Int']>;
    is_journey?: Maybe<Scalars['Boolean']>;
    key?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    location?: Maybe<Location>;
    location_id?: Maybe<Scalars['Int']>;
    management_info?: Maybe<Scalars['Int']>;
    /** An object relationship */
    map?: Maybe<Map>;
    map_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    product?: Maybe<Product>;
    product_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    quests: Array<Quest>;
    /** An aggregate relationship */
    quests_aggregate: Quest_Aggregate;
    /** An object relationship */
    requirement?: Maybe<Game_Requirement>;
    requirement_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    sponsorships: Array<Sponsorship_Game_State>;
    /** An aggregate relationship */
    sponsorships_aggregate: Sponsorship_Game_State_Aggregate;
    /** An object relationship */
    theme?: Maybe<Theme>;
    theme_id?: Maybe<Scalars['Int']>;
    thumbnail_uri?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** columns and relationships of "game" */
export type GameGameAndLocusArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameGameAndLocus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameHuntersArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameHunters_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameQuestsArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameQuests_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameSponsorshipsArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
/** columns and relationships of "game" */
export type GameSponsorships_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
/** columns and relationships of "game_action" */
export type Game_Action = {
    __typename?: 'game_action';
    description?: Maybe<Scalars['String']>;
    from_state_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    title?: Maybe<Scalars['String']>;
    to_state_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "game_action" */
export type Game_Action_Aggregate = {
    __typename?: 'game_action_aggregate';
    aggregate?: Maybe<Game_Action_Aggregate_Fields>;
    nodes: Array<Game_Action>;
};
/** aggregate fields of "game_action" */
export type Game_Action_Aggregate_Fields = {
    __typename?: 'game_action_aggregate_fields';
    avg?: Maybe<Game_Action_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Action_Max_Fields>;
    min?: Maybe<Game_Action_Min_Fields>;
    stddev?: Maybe<Game_Action_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Action_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Action_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Action_Sum_Fields>;
    var_pop?: Maybe<Game_Action_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Action_Var_Samp_Fields>;
    variance?: Maybe<Game_Action_Variance_Fields>;
};
/** aggregate fields of "game_action" */
export type Game_Action_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Action_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Action_Avg_Fields = {
    __typename?: 'game_action_avg_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_action". All fields are combined with a logical 'AND'. */
export type Game_Action_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Action_Bool_Exp>>;
    _not?: InputMaybe<Game_Action_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Action_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    from_state_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    to_state_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_action" */
export declare enum Game_Action_Constraint {
    /** unique or primary key constraint on columns "id" */
    GamePolicyPkey = "game_policy_pkey"
}
/** input type for incrementing numeric columns in table "game_action" */
export type Game_Action_Inc_Input = {
    from_state_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    to_state_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_action" */
export type Game_Action_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    from_state_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    to_state_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Game_Action_Max_Fields = {
    __typename?: 'game_action_max_fields';
    description?: Maybe<Scalars['String']>;
    from_state_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    to_state_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_Action_Min_Fields = {
    __typename?: 'game_action_min_fields';
    description?: Maybe<Scalars['String']>;
    from_state_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    to_state_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_action" */
export type Game_Action_Mutation_Response = {
    __typename?: 'game_action_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Action>;
};
/** input type for inserting object relation for remote table "game_action" */
export type Game_Action_Obj_Rel_Insert_Input = {
    data: Game_Action_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_Action_On_Conflict>;
};
/** on_conflict condition type for table "game_action" */
export type Game_Action_On_Conflict = {
    constraint: Game_Action_Constraint;
    update_columns?: Array<Game_Action_Update_Column>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
/** Ordering options when selecting data from "game_action". */
export type Game_Action_Order_By = {
    description?: InputMaybe<Order_By>;
    from_state_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    to_state_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_action */
export type Game_Action_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_action" */
export declare enum Game_Action_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    FromStateId = "from_state_id",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title",
    /** column name */
    ToStateId = "to_state_id"
}
/** input type for updating data in table "game_action" */
export type Game_Action_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    from_state_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    to_state_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Game_Action_Stddev_Fields = {
    __typename?: 'game_action_stddev_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Action_Stddev_Pop_Fields = {
    __typename?: 'game_action_stddev_pop_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Action_Stddev_Samp_Fields = {
    __typename?: 'game_action_stddev_samp_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_action" */
export type Game_Action_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Action_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Action_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    from_state_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    to_state_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Game_Action_Sum_Fields = {
    __typename?: 'game_action_sum_fields';
    from_state_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    to_state_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_action" */
export declare enum Game_Action_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    FromStateId = "from_state_id",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title",
    /** column name */
    ToStateId = "to_state_id"
}
export type Game_Action_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Action_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Action_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Action_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Action_Var_Pop_Fields = {
    __typename?: 'game_action_var_pop_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Action_Var_Samp_Fields = {
    __typename?: 'game_action_var_samp_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Action_Variance_Fields = {
    __typename?: 'game_action_variance_fields';
    from_state_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    to_state_id?: Maybe<Scalars['Float']>;
};
/** aggregated selection of "game" */
export type Game_Aggregate = {
    __typename?: 'game_aggregate';
    aggregate?: Maybe<Game_Aggregate_Fields>;
    nodes: Array<Game>;
};
/** aggregate fields of "game" */
export type Game_Aggregate_Fields = {
    __typename?: 'game_aggregate_fields';
    avg?: Maybe<Game_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Max_Fields>;
    min?: Maybe<Game_Min_Fields>;
    stddev?: Maybe<Game_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Sum_Fields>;
    var_pop?: Maybe<Game_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Var_Samp_Fields>;
    variance?: Maybe<Game_Variance_Fields>;
};
/** aggregate fields of "game" */
export type Game_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Avg_Fields = {
    __typename?: 'game_avg_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game". All fields are combined with a logical 'AND'. */
export type Game_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Bool_Exp>>;
    _not?: InputMaybe<Game_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Bool_Exp>>;
    area_id?: InputMaybe<Int_Comparison_Exp>;
    contentType?: InputMaybe<Piece_Type_Bool_Exp>;
    content_type?: InputMaybe<Int_Comparison_Exp>;
    content_uri?: InputMaybe<String_Comparison_Exp>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    creator_id?: InputMaybe<Int_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    gameAndLocus?: InputMaybe<Games_Locus_Bool_Exp>;
    gameAndLocus_aggregate?: InputMaybe<Games_Locus_Aggregate_Bool_Exp>;
    gameAreaById?: InputMaybe<Area_Bool_Exp>;
    gameManagement?: InputMaybe<Game_Management_Bool_Exp>;
    gameStateType?: InputMaybe<Game_State_Type_Bool_Exp>;
    game_state_type?: InputMaybe<Int_Comparison_Exp>;
    group?: InputMaybe<Game_Group_Bool_Exp>;
    group_id?: InputMaybe<Int_Comparison_Exp>;
    hash?: InputMaybe<String_Comparison_Exp>;
    hunters?: InputMaybe<Game_Hunter_Bool_Exp>;
    hunters_aggregate?: InputMaybe<Game_Hunter_Aggregate_Bool_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    in_group_label?: InputMaybe<String_Comparison_Exp>;
    in_group_number?: InputMaybe<Int_Comparison_Exp>;
    is_journey?: InputMaybe<Boolean_Comparison_Exp>;
    key?: InputMaybe<Int_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    location?: InputMaybe<Location_Bool_Exp>;
    location_id?: InputMaybe<Int_Comparison_Exp>;
    management_info?: InputMaybe<Int_Comparison_Exp>;
    map?: InputMaybe<Map_Bool_Exp>;
    map_id?: InputMaybe<Int_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
    quests?: InputMaybe<Quest_Bool_Exp>;
    quests_aggregate?: InputMaybe<Quest_Aggregate_Bool_Exp>;
    requirement?: InputMaybe<Game_Requirement_Bool_Exp>;
    requirement_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorships?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
    sponsorships_aggregate?: InputMaybe<Sponsorship_Game_State_Aggregate_Bool_Exp>;
    theme?: InputMaybe<Theme_Bool_Exp>;
    theme_id?: InputMaybe<Int_Comparison_Exp>;
    thumbnail_uri?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "game" */
export declare enum Game_Constraint {
    /** unique or primary key constraint on columns "hash" */
    GameHashKey = "game_hash_key",
    /** unique or primary key constraint on columns "id" */
    GamePkey = "game_pkey",
    /** unique or primary key constraint on columns "hash", "title", "creator_id" */
    GameTitleCreatorIdHashKey = "game_title_creator_id_hash_key"
}
/** columns and relationships of "game_design" */
export type Game_Design = {
    __typename?: 'game_design';
    created_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    designer?: Maybe<Treasure_User>;
    designer_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_hash?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    stringified_design?: Maybe<Scalars['String']>;
    stringified_graph?: Maybe<Scalars['String']>;
    stringified_segments?: Maybe<Scalars['String']>;
    stringified_sponsorship_game_states?: Maybe<Scalars['String']>;
};
/** aggregated selection of "game_design" */
export type Game_Design_Aggregate = {
    __typename?: 'game_design_aggregate';
    aggregate?: Maybe<Game_Design_Aggregate_Fields>;
    nodes: Array<Game_Design>;
};
/** aggregate fields of "game_design" */
export type Game_Design_Aggregate_Fields = {
    __typename?: 'game_design_aggregate_fields';
    avg?: Maybe<Game_Design_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Design_Max_Fields>;
    min?: Maybe<Game_Design_Min_Fields>;
    stddev?: Maybe<Game_Design_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Design_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Design_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Design_Sum_Fields>;
    var_pop?: Maybe<Game_Design_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Design_Var_Samp_Fields>;
    variance?: Maybe<Game_Design_Variance_Fields>;
};
/** aggregate fields of "game_design" */
export type Game_Design_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Design_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Design_Avg_Fields = {
    __typename?: 'game_design_avg_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_design". All fields are combined with a logical 'AND'. */
export type Game_Design_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Design_Bool_Exp>>;
    _not?: InputMaybe<Game_Design_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Design_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    designer?: InputMaybe<Treasure_User_Bool_Exp>;
    designer_id?: InputMaybe<Int_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_hash?: InputMaybe<String_Comparison_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    stringified_design?: InputMaybe<String_Comparison_Exp>;
    stringified_graph?: InputMaybe<String_Comparison_Exp>;
    stringified_segments?: InputMaybe<String_Comparison_Exp>;
    stringified_sponsorship_game_states?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_design" */
export declare enum Game_Design_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameDesignPkey = "game_design_pkey"
}
/** input type for incrementing numeric columns in table "game_design" */
export type Game_Design_Inc_Input = {
    designer_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_design" */
export type Game_Design_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    designer?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    designer_id?: InputMaybe<Scalars['Int']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_hash?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    stringified_design?: InputMaybe<Scalars['String']>;
    stringified_graph?: InputMaybe<Scalars['String']>;
    stringified_segments?: InputMaybe<Scalars['String']>;
    stringified_sponsorship_game_states?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Game_Design_Max_Fields = {
    __typename?: 'game_design_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    designer_id?: Maybe<Scalars['Int']>;
    game_hash?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    stringified_design?: Maybe<Scalars['String']>;
    stringified_graph?: Maybe<Scalars['String']>;
    stringified_segments?: Maybe<Scalars['String']>;
    stringified_sponsorship_game_states?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Game_Design_Min_Fields = {
    __typename?: 'game_design_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    designer_id?: Maybe<Scalars['Int']>;
    game_hash?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    stringified_design?: Maybe<Scalars['String']>;
    stringified_graph?: Maybe<Scalars['String']>;
    stringified_segments?: Maybe<Scalars['String']>;
    stringified_sponsorship_game_states?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "game_design" */
export type Game_Design_Mutation_Response = {
    __typename?: 'game_design_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Design>;
};
/** on_conflict condition type for table "game_design" */
export type Game_Design_On_Conflict = {
    constraint: Game_Design_Constraint;
    update_columns?: Array<Game_Design_Update_Column>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
/** Ordering options when selecting data from "game_design". */
export type Game_Design_Order_By = {
    created_at?: InputMaybe<Order_By>;
    designer?: InputMaybe<Treasure_User_Order_By>;
    designer_id?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_hash?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    stringified_design?: InputMaybe<Order_By>;
    stringified_graph?: InputMaybe<Order_By>;
    stringified_segments?: InputMaybe<Order_By>;
    stringified_sponsorship_game_states?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_design */
export type Game_Design_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_design" */
export declare enum Game_Design_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DesignerId = "designer_id",
    /** column name */
    GameHash = "game_hash",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    StringifiedDesign = "stringified_design",
    /** column name */
    StringifiedGraph = "stringified_graph",
    /** column name */
    StringifiedSegments = "stringified_segments",
    /** column name */
    StringifiedSponsorshipGameStates = "stringified_sponsorship_game_states"
}
/** input type for updating data in table "game_design" */
export type Game_Design_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    designer_id?: InputMaybe<Scalars['Int']>;
    game_hash?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    stringified_design?: InputMaybe<Scalars['String']>;
    stringified_graph?: InputMaybe<Scalars['String']>;
    stringified_segments?: InputMaybe<Scalars['String']>;
    stringified_sponsorship_game_states?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Game_Design_Stddev_Fields = {
    __typename?: 'game_design_stddev_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Design_Stddev_Pop_Fields = {
    __typename?: 'game_design_stddev_pop_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Design_Stddev_Samp_Fields = {
    __typename?: 'game_design_stddev_samp_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_design" */
export type Game_Design_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Design_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Design_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    designer_id?: InputMaybe<Scalars['Int']>;
    game_hash?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    stringified_design?: InputMaybe<Scalars['String']>;
    stringified_graph?: InputMaybe<Scalars['String']>;
    stringified_segments?: InputMaybe<Scalars['String']>;
    stringified_sponsorship_game_states?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Game_Design_Sum_Fields = {
    __typename?: 'game_design_sum_fields';
    designer_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_design" */
export declare enum Game_Design_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DesignerId = "designer_id",
    /** column name */
    GameHash = "game_hash",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    StringifiedDesign = "stringified_design",
    /** column name */
    StringifiedGraph = "stringified_graph",
    /** column name */
    StringifiedSegments = "stringified_segments",
    /** column name */
    StringifiedSponsorshipGameStates = "stringified_sponsorship_game_states"
}
export type Game_Design_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Design_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Design_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Design_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Design_Var_Pop_Fields = {
    __typename?: 'game_design_var_pop_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Design_Var_Samp_Fields = {
    __typename?: 'game_design_var_samp_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Design_Variance_Fields = {
    __typename?: 'game_design_variance_fields';
    designer_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "game_group" */
export type Game_Group = {
    __typename?: 'game_group';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    label?: Maybe<Scalars['String']>;
    /** An object relationship */
    manager?: Maybe<Treasure_User>;
    manager_id?: Maybe<Scalars['Int']>;
    title: Scalars['String'];
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "game_group" */
export type Game_Group_Aggregate = {
    __typename?: 'game_group_aggregate';
    aggregate?: Maybe<Game_Group_Aggregate_Fields>;
    nodes: Array<Game_Group>;
};
/** aggregate fields of "game_group" */
export type Game_Group_Aggregate_Fields = {
    __typename?: 'game_group_aggregate_fields';
    avg?: Maybe<Game_Group_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Group_Max_Fields>;
    min?: Maybe<Game_Group_Min_Fields>;
    stddev?: Maybe<Game_Group_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Group_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Group_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Group_Sum_Fields>;
    var_pop?: Maybe<Game_Group_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Group_Var_Samp_Fields>;
    variance?: Maybe<Game_Group_Variance_Fields>;
};
/** aggregate fields of "game_group" */
export type Game_Group_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Group_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Group_Avg_Fields = {
    __typename?: 'game_group_avg_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_group". All fields are combined with a logical 'AND'. */
export type Game_Group_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Group_Bool_Exp>>;
    _not?: InputMaybe<Game_Group_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Group_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    label?: InputMaybe<String_Comparison_Exp>;
    manager?: InputMaybe<Treasure_User_Bool_Exp>;
    manager_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_group" */
export declare enum Game_Group_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameGroupPkey = "game_group_pkey"
}
/** input type for incrementing numeric columns in table "game_group" */
export type Game_Group_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    manager_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_group" */
export type Game_Group_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    label?: InputMaybe<Scalars['String']>;
    manager?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    manager_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Game_Group_Max_Fields = {
    __typename?: 'game_group_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    label?: Maybe<Scalars['String']>;
    manager_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Game_Group_Min_Fields = {
    __typename?: 'game_group_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    label?: Maybe<Scalars['String']>;
    manager_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "game_group" */
export type Game_Group_Mutation_Response = {
    __typename?: 'game_group_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Group>;
};
/** input type for inserting object relation for remote table "game_group" */
export type Game_Group_Obj_Rel_Insert_Input = {
    data: Game_Group_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_Group_On_Conflict>;
};
/** on_conflict condition type for table "game_group" */
export type Game_Group_On_Conflict = {
    constraint: Game_Group_Constraint;
    update_columns?: Array<Game_Group_Update_Column>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
/** Ordering options when selecting data from "game_group". */
export type Game_Group_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    label?: InputMaybe<Order_By>;
    manager?: InputMaybe<Treasure_User_Order_By>;
    manager_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_group */
export type Game_Group_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_group" */
export declare enum Game_Group_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Label = "label",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    Title = "title",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "game_group" */
export type Game_Group_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    label?: InputMaybe<Scalars['String']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Game_Group_Stddev_Fields = {
    __typename?: 'game_group_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Group_Stddev_Pop_Fields = {
    __typename?: 'game_group_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Group_Stddev_Samp_Fields = {
    __typename?: 'game_group_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_group" */
export type Game_Group_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Group_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Group_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    label?: InputMaybe<Scalars['String']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Game_Group_Sum_Fields = {
    __typename?: 'game_group_sum_fields';
    id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_group" */
export declare enum Game_Group_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Label = "label",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    Title = "title",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Game_Group_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Group_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Group_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Group_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Group_Var_Pop_Fields = {
    __typename?: 'game_group_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Group_Var_Samp_Fields = {
    __typename?: 'game_group_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Group_Variance_Fields = {
    __typename?: 'game_group_variance_fields';
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "game_hunter" */
export type Game_Hunter = {
    __typename?: 'game_hunter';
    created_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    game: Game;
    game_id: Scalars['Int'];
    /** An object relationship */
    hunter: Treasure_User;
    hunter_id: Scalars['Int'];
    id: Scalars['Int'];
};
/** aggregated selection of "game_hunter" */
export type Game_Hunter_Aggregate = {
    __typename?: 'game_hunter_aggregate';
    aggregate?: Maybe<Game_Hunter_Aggregate_Fields>;
    nodes: Array<Game_Hunter>;
};
export type Game_Hunter_Aggregate_Bool_Exp = {
    count?: InputMaybe<Game_Hunter_Aggregate_Bool_Exp_Count>;
};
export type Game_Hunter_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Game_Hunter_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "game_hunter" */
export type Game_Hunter_Aggregate_Fields = {
    __typename?: 'game_hunter_aggregate_fields';
    avg?: Maybe<Game_Hunter_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Hunter_Max_Fields>;
    min?: Maybe<Game_Hunter_Min_Fields>;
    stddev?: Maybe<Game_Hunter_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Hunter_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Hunter_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Hunter_Sum_Fields>;
    var_pop?: Maybe<Game_Hunter_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Hunter_Var_Samp_Fields>;
    variance?: Maybe<Game_Hunter_Variance_Fields>;
};
/** aggregate fields of "game_hunter" */
export type Game_Hunter_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "game_hunter" */
export type Game_Hunter_Aggregate_Order_By = {
    avg?: InputMaybe<Game_Hunter_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Game_Hunter_Max_Order_By>;
    min?: InputMaybe<Game_Hunter_Min_Order_By>;
    stddev?: InputMaybe<Game_Hunter_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Game_Hunter_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Game_Hunter_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Game_Hunter_Sum_Order_By>;
    var_pop?: InputMaybe<Game_Hunter_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Game_Hunter_Var_Samp_Order_By>;
    variance?: InputMaybe<Game_Hunter_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "game_hunter" */
export type Game_Hunter_Arr_Rel_Insert_Input = {
    data: Array<Game_Hunter_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_Hunter_On_Conflict>;
};
/** aggregate avg on columns */
export type Game_Hunter_Avg_Fields = {
    __typename?: 'game_hunter_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "game_hunter" */
export type Game_Hunter_Avg_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "game_hunter". All fields are combined with a logical 'AND'. */
export type Game_Hunter_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Hunter_Bool_Exp>>;
    _not?: InputMaybe<Game_Hunter_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Hunter_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    hunter?: InputMaybe<Treasure_User_Bool_Exp>;
    hunter_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_hunter" */
export declare enum Game_Hunter_Constraint {
    /** unique or primary key constraint on columns "game_id", "hunter_id" */
    GameHunterHunterIdGameIdKey = "game_hunter_hunter_id_game_id_key",
    /** unique or primary key constraint on columns "id" */
    GameHuntersPkey = "game_hunters_pkey"
}
/** input type for incrementing numeric columns in table "game_hunter" */
export type Game_Hunter_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    hunter_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_hunter" */
export type Game_Hunter_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    hunter?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    hunter_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Game_Hunter_Max_Fields = {
    __typename?: 'game_hunter_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    hunter_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "game_hunter" */
export type Game_Hunter_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Game_Hunter_Min_Fields = {
    __typename?: 'game_hunter_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    hunter_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "game_hunter" */
export type Game_Hunter_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "game_hunter" */
export type Game_Hunter_Mutation_Response = {
    __typename?: 'game_hunter_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Hunter>;
};
/** on_conflict condition type for table "game_hunter" */
export type Game_Hunter_On_Conflict = {
    constraint: Game_Hunter_Constraint;
    update_columns?: Array<Game_Hunter_Update_Column>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
/** Ordering options when selecting data from "game_hunter". */
export type Game_Hunter_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    hunter?: InputMaybe<Treasure_User_Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_hunter */
export type Game_Hunter_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_hunter" */
export declare enum Game_Hunter_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    HunterId = "hunter_id",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "game_hunter" */
export type Game_Hunter_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hunter_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Game_Hunter_Stddev_Fields = {
    __typename?: 'game_hunter_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "game_hunter" */
export type Game_Hunter_Stddev_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Game_Hunter_Stddev_Pop_Fields = {
    __typename?: 'game_hunter_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "game_hunter" */
export type Game_Hunter_Stddev_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Game_Hunter_Stddev_Samp_Fields = {
    __typename?: 'game_hunter_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "game_hunter" */
export type Game_Hunter_Stddev_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "game_hunter" */
export type Game_Hunter_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Hunter_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Hunter_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hunter_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Game_Hunter_Sum_Fields = {
    __typename?: 'game_hunter_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    hunter_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "game_hunter" */
export type Game_Hunter_Sum_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** update columns of table "game_hunter" */
export declare enum Game_Hunter_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    HunterId = "hunter_id",
    /** column name */
    Id = "id"
}
export type Game_Hunter_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Hunter_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Hunter_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Hunter_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Hunter_Var_Pop_Fields = {
    __typename?: 'game_hunter_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "game_hunter" */
export type Game_Hunter_Var_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Game_Hunter_Var_Samp_Fields = {
    __typename?: 'game_hunter_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "game_hunter" */
export type Game_Hunter_Var_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Game_Hunter_Variance_Fields = {
    __typename?: 'game_hunter_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    hunter_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "game_hunter" */
export type Game_Hunter_Variance_Order_By = {
    game_id?: InputMaybe<Order_By>;
    hunter_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** input type for incrementing numeric columns in table "game" */
export type Game_Inc_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    content_type?: InputMaybe<Scalars['Int']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    game_state_type?: InputMaybe<Scalars['Int']>;
    group_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    in_group_number?: InputMaybe<Scalars['Int']>;
    location_id?: InputMaybe<Scalars['Int']>;
    management_info?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    requirement_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game" */
export type Game_Insert_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    contentType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    content_type?: InputMaybe<Scalars['Int']>;
    content_uri?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    gameAndLocus?: InputMaybe<Games_Locus_Arr_Rel_Insert_Input>;
    gameAreaById?: InputMaybe<Area_Obj_Rel_Insert_Input>;
    gameManagement?: InputMaybe<Game_Management_Obj_Rel_Insert_Input>;
    gameStateType?: InputMaybe<Game_State_Type_Obj_Rel_Insert_Input>;
    game_state_type?: InputMaybe<Scalars['Int']>;
    group?: InputMaybe<Game_Group_Obj_Rel_Insert_Input>;
    group_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    hunters?: InputMaybe<Game_Hunter_Arr_Rel_Insert_Input>;
    id?: InputMaybe<Scalars['Int']>;
    in_group_label?: InputMaybe<Scalars['String']>;
    in_group_number?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location?: InputMaybe<Location_Obj_Rel_Insert_Input>;
    location_id?: InputMaybe<Scalars['Int']>;
    management_info?: InputMaybe<Scalars['Int']>;
    map?: InputMaybe<Map_Obj_Rel_Insert_Input>;
    map_id?: InputMaybe<Scalars['Int']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
    quests?: InputMaybe<Quest_Arr_Rel_Insert_Input>;
    requirement?: InputMaybe<Game_Requirement_Obj_Rel_Insert_Input>;
    requirement_id?: InputMaybe<Scalars['Int']>;
    sponsorships?: InputMaybe<Sponsorship_Game_State_Arr_Rel_Insert_Input>;
    theme?: InputMaybe<Theme_Obj_Rel_Insert_Input>;
    theme_id?: InputMaybe<Scalars['Int']>;
    thumbnail_uri?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "game_management" */
export type Game_Management = {
    __typename?: 'game_management';
    /** An object relationship */
    businessModelType?: Maybe<Business_Model_Type>;
    business_model_type?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_journey?: Maybe<Scalars['Boolean']>;
    is_postponed?: Maybe<Scalars['Boolean']>;
    is_requested_deletion?: Maybe<Scalars['Boolean']>;
    is_scheduled?: Maybe<Scalars['Boolean']>;
    is_started?: Maybe<Scalars['Boolean']>;
    is_voyage?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    managerTreasureUser?: Maybe<Treasure_User>;
    manager_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    product?: Maybe<Product>;
    product_id?: Maybe<Scalars['Int']>;
    scheduled_date?: Maybe<Scalars['date']>;
    scheduled_time?: Maybe<Scalars['timetz']>;
};
/** aggregated selection of "game_management" */
export type Game_Management_Aggregate = {
    __typename?: 'game_management_aggregate';
    aggregate?: Maybe<Game_Management_Aggregate_Fields>;
    nodes: Array<Game_Management>;
};
/** aggregate fields of "game_management" */
export type Game_Management_Aggregate_Fields = {
    __typename?: 'game_management_aggregate_fields';
    avg?: Maybe<Game_Management_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Management_Max_Fields>;
    min?: Maybe<Game_Management_Min_Fields>;
    stddev?: Maybe<Game_Management_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Management_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Management_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Management_Sum_Fields>;
    var_pop?: Maybe<Game_Management_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Management_Var_Samp_Fields>;
    variance?: Maybe<Game_Management_Variance_Fields>;
};
/** aggregate fields of "game_management" */
export type Game_Management_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Management_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Management_Avg_Fields = {
    __typename?: 'game_management_avg_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_management". All fields are combined with a logical 'AND'. */
export type Game_Management_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Management_Bool_Exp>>;
    _not?: InputMaybe<Game_Management_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Management_Bool_Exp>>;
    businessModelType?: InputMaybe<Business_Model_Type_Bool_Exp>;
    business_model_type?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_journey?: InputMaybe<Boolean_Comparison_Exp>;
    is_postponed?: InputMaybe<Boolean_Comparison_Exp>;
    is_requested_deletion?: InputMaybe<Boolean_Comparison_Exp>;
    is_scheduled?: InputMaybe<Boolean_Comparison_Exp>;
    is_started?: InputMaybe<Boolean_Comparison_Exp>;
    is_voyage?: InputMaybe<Boolean_Comparison_Exp>;
    managerTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    manager_id?: InputMaybe<Int_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
    scheduled_date?: InputMaybe<Date_Comparison_Exp>;
    scheduled_time?: InputMaybe<Timetz_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_management" */
export declare enum Game_Management_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameManagementPkey = "game_management_pkey"
}
/** input type for incrementing numeric columns in table "game_management" */
export type Game_Management_Inc_Input = {
    business_model_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_management" */
export type Game_Management_Insert_Input = {
    businessModelType?: InputMaybe<Business_Model_Type_Obj_Rel_Insert_Input>;
    business_model_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    is_postponed?: InputMaybe<Scalars['Boolean']>;
    is_requested_deletion?: InputMaybe<Scalars['Boolean']>;
    is_scheduled?: InputMaybe<Scalars['Boolean']>;
    is_started?: InputMaybe<Scalars['Boolean']>;
    is_voyage?: InputMaybe<Scalars['Boolean']>;
    managerTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    manager_id?: InputMaybe<Scalars['Int']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
    scheduled_date?: InputMaybe<Scalars['date']>;
    scheduled_time?: InputMaybe<Scalars['timetz']>;
};
/** aggregate max on columns */
export type Game_Management_Max_Fields = {
    __typename?: 'game_management_max_fields';
    business_model_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    scheduled_date?: Maybe<Scalars['date']>;
    scheduled_time?: Maybe<Scalars['timetz']>;
};
/** aggregate min on columns */
export type Game_Management_Min_Fields = {
    __typename?: 'game_management_min_fields';
    business_model_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    scheduled_date?: Maybe<Scalars['date']>;
    scheduled_time?: Maybe<Scalars['timetz']>;
};
/** response of any mutation on the table "game_management" */
export type Game_Management_Mutation_Response = {
    __typename?: 'game_management_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Management>;
};
/** input type for inserting object relation for remote table "game_management" */
export type Game_Management_Obj_Rel_Insert_Input = {
    data: Game_Management_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_Management_On_Conflict>;
};
/** on_conflict condition type for table "game_management" */
export type Game_Management_On_Conflict = {
    constraint: Game_Management_Constraint;
    update_columns?: Array<Game_Management_Update_Column>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
/** Ordering options when selecting data from "game_management". */
export type Game_Management_Order_By = {
    businessModelType?: InputMaybe<Business_Model_Type_Order_By>;
    business_model_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_journey?: InputMaybe<Order_By>;
    is_postponed?: InputMaybe<Order_By>;
    is_requested_deletion?: InputMaybe<Order_By>;
    is_scheduled?: InputMaybe<Order_By>;
    is_started?: InputMaybe<Order_By>;
    is_voyage?: InputMaybe<Order_By>;
    managerTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    manager_id?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
    scheduled_date?: InputMaybe<Order_By>;
    scheduled_time?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_management */
export type Game_Management_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_management" */
export declare enum Game_Management_Select_Column {
    /** column name */
    BusinessModelType = "business_model_type",
    /** column name */
    Id = "id",
    /** column name */
    IsJourney = "is_journey",
    /** column name */
    IsPostponed = "is_postponed",
    /** column name */
    IsRequestedDeletion = "is_requested_deletion",
    /** column name */
    IsScheduled = "is_scheduled",
    /** column name */
    IsStarted = "is_started",
    /** column name */
    IsVoyage = "is_voyage",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    ScheduledDate = "scheduled_date",
    /** column name */
    ScheduledTime = "scheduled_time"
}
/** input type for updating data in table "game_management" */
export type Game_Management_Set_Input = {
    business_model_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    is_postponed?: InputMaybe<Scalars['Boolean']>;
    is_requested_deletion?: InputMaybe<Scalars['Boolean']>;
    is_scheduled?: InputMaybe<Scalars['Boolean']>;
    is_started?: InputMaybe<Scalars['Boolean']>;
    is_voyage?: InputMaybe<Scalars['Boolean']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    scheduled_date?: InputMaybe<Scalars['date']>;
    scheduled_time?: InputMaybe<Scalars['timetz']>;
};
/** aggregate stddev on columns */
export type Game_Management_Stddev_Fields = {
    __typename?: 'game_management_stddev_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Management_Stddev_Pop_Fields = {
    __typename?: 'game_management_stddev_pop_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Management_Stddev_Samp_Fields = {
    __typename?: 'game_management_stddev_samp_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_management" */
export type Game_Management_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Management_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Management_Stream_Cursor_Value_Input = {
    business_model_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    is_postponed?: InputMaybe<Scalars['Boolean']>;
    is_requested_deletion?: InputMaybe<Scalars['Boolean']>;
    is_scheduled?: InputMaybe<Scalars['Boolean']>;
    is_started?: InputMaybe<Scalars['Boolean']>;
    is_voyage?: InputMaybe<Scalars['Boolean']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    scheduled_date?: InputMaybe<Scalars['date']>;
    scheduled_time?: InputMaybe<Scalars['timetz']>;
};
/** aggregate sum on columns */
export type Game_Management_Sum_Fields = {
    __typename?: 'game_management_sum_fields';
    business_model_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_management" */
export declare enum Game_Management_Update_Column {
    /** column name */
    BusinessModelType = "business_model_type",
    /** column name */
    Id = "id",
    /** column name */
    IsJourney = "is_journey",
    /** column name */
    IsPostponed = "is_postponed",
    /** column name */
    IsRequestedDeletion = "is_requested_deletion",
    /** column name */
    IsScheduled = "is_scheduled",
    /** column name */
    IsStarted = "is_started",
    /** column name */
    IsVoyage = "is_voyage",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    ScheduledDate = "scheduled_date",
    /** column name */
    ScheduledTime = "scheduled_time"
}
export type Game_Management_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Management_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Management_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Management_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Management_Var_Pop_Fields = {
    __typename?: 'game_management_var_pop_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Management_Var_Samp_Fields = {
    __typename?: 'game_management_var_samp_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Management_Variance_Fields = {
    __typename?: 'game_management_variance_fields';
    business_model_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate max on columns */
export type Game_Max_Fields = {
    __typename?: 'game_max_fields';
    area_id?: Maybe<Scalars['Int']>;
    content_type?: Maybe<Scalars['Int']>;
    content_uri?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    game_state_type?: Maybe<Scalars['Int']>;
    group_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    in_group_label?: Maybe<Scalars['String']>;
    in_group_number?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    location_id?: Maybe<Scalars['Int']>;
    management_info?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    requirement_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
    thumbnail_uri?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Game_Min_Fields = {
    __typename?: 'game_min_fields';
    area_id?: Maybe<Scalars['Int']>;
    content_type?: Maybe<Scalars['Int']>;
    content_uri?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    game_state_type?: Maybe<Scalars['Int']>;
    group_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    in_group_label?: Maybe<Scalars['String']>;
    in_group_number?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    location_id?: Maybe<Scalars['Int']>;
    management_info?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    requirement_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
    thumbnail_uri?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "game" */
export type Game_Mutation_Response = {
    __typename?: 'game_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game>;
};
/** input type for inserting object relation for remote table "game" */
export type Game_Obj_Rel_Insert_Input = {
    data: Game_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_On_Conflict>;
};
/** on_conflict condition type for table "game" */
export type Game_On_Conflict = {
    constraint: Game_Constraint;
    update_columns?: Array<Game_Update_Column>;
    where?: InputMaybe<Game_Bool_Exp>;
};
/** columns and relationships of "game_operators" */
export type Game_Operators = {
    __typename?: 'game_operators';
    /** An object relationship */
    game: Game;
    game_id: Scalars['Int'];
    id: Scalars['Int'];
    /** An object relationship */
    operatorTreasureUser: Treasure_User;
    operator_id: Scalars['Int'];
    /** An object relationship */
    quest?: Maybe<Quest>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "game_operators" */
export type Game_Operators_Aggregate = {
    __typename?: 'game_operators_aggregate';
    aggregate?: Maybe<Game_Operators_Aggregate_Fields>;
    nodes: Array<Game_Operators>;
};
/** aggregate fields of "game_operators" */
export type Game_Operators_Aggregate_Fields = {
    __typename?: 'game_operators_aggregate_fields';
    avg?: Maybe<Game_Operators_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Operators_Max_Fields>;
    min?: Maybe<Game_Operators_Min_Fields>;
    stddev?: Maybe<Game_Operators_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Operators_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Operators_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Operators_Sum_Fields>;
    var_pop?: Maybe<Game_Operators_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Operators_Var_Samp_Fields>;
    variance?: Maybe<Game_Operators_Variance_Fields>;
};
/** aggregate fields of "game_operators" */
export type Game_Operators_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Operators_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Operators_Avg_Fields = {
    __typename?: 'game_operators_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_operators". All fields are combined with a logical 'AND'. */
export type Game_Operators_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Operators_Bool_Exp>>;
    _not?: InputMaybe<Game_Operators_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Operators_Bool_Exp>>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    operatorTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    operator_id?: InputMaybe<Int_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    quest_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_operators" */
export declare enum Game_Operators_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameOperatorsPkey = "game_operators_pkey"
}
/** input type for incrementing numeric columns in table "game_operators" */
export type Game_Operators_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_operators" */
export type Game_Operators_Insert_Input = {
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    operatorTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    operator_id?: InputMaybe<Scalars['Int']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Game_Operators_Max_Fields = {
    __typename?: 'game_operators_max_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_Operators_Min_Fields = {
    __typename?: 'game_operators_min_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_operators" */
export type Game_Operators_Mutation_Response = {
    __typename?: 'game_operators_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Operators>;
};
/** on_conflict condition type for table "game_operators" */
export type Game_Operators_On_Conflict = {
    constraint: Game_Operators_Constraint;
    update_columns?: Array<Game_Operators_Update_Column>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
/** Ordering options when selecting data from "game_operators". */
export type Game_Operators_Order_By = {
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operatorTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    operator_id?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    quest_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_operators */
export type Game_Operators_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_operators" */
export declare enum Game_Operators_Select_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    OperatorId = "operator_id",
    /** column name */
    QuestId = "quest_id"
}
/** input type for updating data in table "game_operators" */
export type Game_Operators_Set_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Game_Operators_Stddev_Fields = {
    __typename?: 'game_operators_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Operators_Stddev_Pop_Fields = {
    __typename?: 'game_operators_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Operators_Stddev_Samp_Fields = {
    __typename?: 'game_operators_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_operators" */
export type Game_Operators_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Operators_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Operators_Stream_Cursor_Value_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Game_Operators_Sum_Fields = {
    __typename?: 'game_operators_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_operators" */
export declare enum Game_Operators_Update_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    OperatorId = "operator_id",
    /** column name */
    QuestId = "quest_id"
}
export type Game_Operators_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Operators_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Operators_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Operators_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Operators_Var_Pop_Fields = {
    __typename?: 'game_operators_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Operators_Var_Samp_Fields = {
    __typename?: 'game_operators_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Operators_Variance_Fields = {
    __typename?: 'game_operators_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
};
/** Ordering options when selecting data from "game". */
export type Game_Order_By = {
    area_id?: InputMaybe<Order_By>;
    contentType?: InputMaybe<Piece_Type_Order_By>;
    content_type?: InputMaybe<Order_By>;
    content_uri?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    creator_id?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    gameAndLocus_aggregate?: InputMaybe<Games_Locus_Aggregate_Order_By>;
    gameAreaById?: InputMaybe<Area_Order_By>;
    gameManagement?: InputMaybe<Game_Management_Order_By>;
    gameStateType?: InputMaybe<Game_State_Type_Order_By>;
    game_state_type?: InputMaybe<Order_By>;
    group?: InputMaybe<Game_Group_Order_By>;
    group_id?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    hunters_aggregate?: InputMaybe<Game_Hunter_Aggregate_Order_By>;
    id?: InputMaybe<Order_By>;
    in_group_label?: InputMaybe<Order_By>;
    in_group_number?: InputMaybe<Order_By>;
    is_journey?: InputMaybe<Order_By>;
    key?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    location?: InputMaybe<Location_Order_By>;
    location_id?: InputMaybe<Order_By>;
    management_info?: InputMaybe<Order_By>;
    map?: InputMaybe<Map_Order_By>;
    map_id?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
    quests_aggregate?: InputMaybe<Quest_Aggregate_Order_By>;
    requirement?: InputMaybe<Game_Requirement_Order_By>;
    requirement_id?: InputMaybe<Order_By>;
    sponsorships_aggregate?: InputMaybe<Sponsorship_Game_State_Aggregate_Order_By>;
    theme?: InputMaybe<Theme_Order_By>;
    theme_id?: InputMaybe<Order_By>;
    thumbnail_uri?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game */
export type Game_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "game_record" */
export type Game_Record = {
    __typename?: 'game_record';
    count_solved?: Maybe<Scalars['bigint']>;
    finished_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    game: Game;
    game_id: Scalars['Int'];
    id: Scalars['Int'];
    number?: Maybe<Scalars['Int']>;
    started_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    user: Treasure_User;
    user_id: Scalars['Int'];
};
/** aggregated selection of "game_record" */
export type Game_Record_Aggregate = {
    __typename?: 'game_record_aggregate';
    aggregate?: Maybe<Game_Record_Aggregate_Fields>;
    nodes: Array<Game_Record>;
};
/** aggregate fields of "game_record" */
export type Game_Record_Aggregate_Fields = {
    __typename?: 'game_record_aggregate_fields';
    avg?: Maybe<Game_Record_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Record_Max_Fields>;
    min?: Maybe<Game_Record_Min_Fields>;
    stddev?: Maybe<Game_Record_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Record_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Record_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Record_Sum_Fields>;
    var_pop?: Maybe<Game_Record_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Record_Var_Samp_Fields>;
    variance?: Maybe<Game_Record_Variance_Fields>;
};
/** aggregate fields of "game_record" */
export type Game_Record_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Record_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Record_Avg_Fields = {
    __typename?: 'game_record_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_record". All fields are combined with a logical 'AND'. */
export type Game_Record_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Record_Bool_Exp>>;
    _not?: InputMaybe<Game_Record_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Record_Bool_Exp>>;
    count_solved?: InputMaybe<Bigint_Comparison_Exp>;
    finished_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    number?: InputMaybe<Int_Comparison_Exp>;
    started_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    user?: InputMaybe<Treasure_User_Bool_Exp>;
    user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_record" */
export declare enum Game_Record_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameRecordPkey = "game_record_pkey"
}
/** input type for incrementing numeric columns in table "game_record" */
export type Game_Record_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    number?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_record" */
export type Game_Record_Insert_Input = {
    finished_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    number?: InputMaybe<Scalars['Int']>;
    started_at?: InputMaybe<Scalars['timestamptz']>;
    user?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Game_Record_Max_Fields = {
    __typename?: 'game_record_max_fields';
    finished_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    number?: Maybe<Scalars['Int']>;
    started_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_Record_Min_Fields = {
    __typename?: 'game_record_min_fields';
    finished_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    number?: Maybe<Scalars['Int']>;
    started_at?: Maybe<Scalars['timestamptz']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_record" */
export type Game_Record_Mutation_Response = {
    __typename?: 'game_record_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Record>;
};
/** on_conflict condition type for table "game_record" */
export type Game_Record_On_Conflict = {
    constraint: Game_Record_Constraint;
    update_columns?: Array<Game_Record_Update_Column>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
/** Ordering options when selecting data from "game_record". */
export type Game_Record_Order_By = {
    count_solved?: InputMaybe<Order_By>;
    finished_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    number?: InputMaybe<Order_By>;
    started_at?: InputMaybe<Order_By>;
    user?: InputMaybe<Treasure_User_Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_record */
export type Game_Record_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_record" */
export declare enum Game_Record_Select_Column {
    /** column name */
    FinishedAt = "finished_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    Number = "number",
    /** column name */
    StartedAt = "started_at",
    /** column name */
    UserId = "user_id"
}
/** input type for updating data in table "game_record" */
export type Game_Record_Set_Input = {
    finished_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    number?: InputMaybe<Scalars['Int']>;
    started_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Game_Record_Stddev_Fields = {
    __typename?: 'game_record_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Record_Stddev_Pop_Fields = {
    __typename?: 'game_record_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Record_Stddev_Samp_Fields = {
    __typename?: 'game_record_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_record" */
export type Game_Record_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Record_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Record_Stream_Cursor_Value_Input = {
    finished_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    number?: InputMaybe<Scalars['Int']>;
    started_at?: InputMaybe<Scalars['timestamptz']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Game_Record_Sum_Fields = {
    __typename?: 'game_record_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    number?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_record" */
export declare enum Game_Record_Update_Column {
    /** column name */
    FinishedAt = "finished_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    Number = "number",
    /** column name */
    StartedAt = "started_at",
    /** column name */
    UserId = "user_id"
}
export type Game_Record_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Record_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Record_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Record_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Record_Var_Pop_Fields = {
    __typename?: 'game_record_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Record_Var_Samp_Fields = {
    __typename?: 'game_record_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Record_Variance_Fields = {
    __typename?: 'game_record_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    number?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "game_requirement" */
export type Game_Requirement = {
    __typename?: 'game_requirement';
    id: Scalars['Int'];
    is_navigator_camera_needed_when_web?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "game_requirement" */
export type Game_Requirement_Aggregate = {
    __typename?: 'game_requirement_aggregate';
    aggregate?: Maybe<Game_Requirement_Aggregate_Fields>;
    nodes: Array<Game_Requirement>;
};
/** aggregate fields of "game_requirement" */
export type Game_Requirement_Aggregate_Fields = {
    __typename?: 'game_requirement_aggregate_fields';
    avg?: Maybe<Game_Requirement_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Requirement_Max_Fields>;
    min?: Maybe<Game_Requirement_Min_Fields>;
    stddev?: Maybe<Game_Requirement_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Requirement_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Requirement_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Requirement_Sum_Fields>;
    var_pop?: Maybe<Game_Requirement_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Requirement_Var_Samp_Fields>;
    variance?: Maybe<Game_Requirement_Variance_Fields>;
};
/** aggregate fields of "game_requirement" */
export type Game_Requirement_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Requirement_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Requirement_Avg_Fields = {
    __typename?: 'game_requirement_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_requirement". All fields are combined with a logical 'AND'. */
export type Game_Requirement_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Requirement_Bool_Exp>>;
    _not?: InputMaybe<Game_Requirement_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Requirement_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_navigator_camera_needed_when_web?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_requirement" */
export declare enum Game_Requirement_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameRequirementPkey = "game_requirement_pkey"
}
/** input type for incrementing numeric columns in table "game_requirement" */
export type Game_Requirement_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_requirement" */
export type Game_Requirement_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_navigator_camera_needed_when_web?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Game_Requirement_Max_Fields = {
    __typename?: 'game_requirement_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_Requirement_Min_Fields = {
    __typename?: 'game_requirement_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_requirement" */
export type Game_Requirement_Mutation_Response = {
    __typename?: 'game_requirement_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Requirement>;
};
/** input type for inserting object relation for remote table "game_requirement" */
export type Game_Requirement_Obj_Rel_Insert_Input = {
    data: Game_Requirement_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_Requirement_On_Conflict>;
};
/** on_conflict condition type for table "game_requirement" */
export type Game_Requirement_On_Conflict = {
    constraint: Game_Requirement_Constraint;
    update_columns?: Array<Game_Requirement_Update_Column>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
/** Ordering options when selecting data from "game_requirement". */
export type Game_Requirement_Order_By = {
    id?: InputMaybe<Order_By>;
    is_navigator_camera_needed_when_web?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_requirement */
export type Game_Requirement_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_requirement" */
export declare enum Game_Requirement_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsNavigatorCameraNeededWhenWeb = "is_navigator_camera_needed_when_web"
}
/** input type for updating data in table "game_requirement" */
export type Game_Requirement_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_navigator_camera_needed_when_web?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Game_Requirement_Stddev_Fields = {
    __typename?: 'game_requirement_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Requirement_Stddev_Pop_Fields = {
    __typename?: 'game_requirement_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Requirement_Stddev_Samp_Fields = {
    __typename?: 'game_requirement_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_requirement" */
export type Game_Requirement_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Requirement_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Requirement_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_navigator_camera_needed_when_web?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Game_Requirement_Sum_Fields = {
    __typename?: 'game_requirement_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_requirement" */
export declare enum Game_Requirement_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsNavigatorCameraNeededWhenWeb = "is_navigator_camera_needed_when_web"
}
export type Game_Requirement_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Requirement_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Requirement_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Requirement_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Requirement_Var_Pop_Fields = {
    __typename?: 'game_requirement_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Requirement_Var_Samp_Fields = {
    __typename?: 'game_requirement_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Requirement_Variance_Fields = {
    __typename?: 'game_requirement_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** select columns of table "game" */
export declare enum Game_Select_Column {
    /** column name */
    AreaId = "area_id",
    /** column name */
    ContentType = "content_type",
    /** column name */
    ContentUri = "content_uri",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    Description = "description",
    /** column name */
    GameStateType = "game_state_type",
    /** column name */
    GroupId = "group_id",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    InGroupLabel = "in_group_label",
    /** column name */
    InGroupNumber = "in_group_number",
    /** column name */
    IsJourney = "is_journey",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocationId = "location_id",
    /** column name */
    ManagementInfo = "management_info",
    /** column name */
    MapId = "map_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    RequirementId = "requirement_id",
    /** column name */
    ThemeId = "theme_id",
    /** column name */
    ThumbnailUri = "thumbnail_uri",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "game" */
export type Game_Set_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    content_type?: InputMaybe<Scalars['Int']>;
    content_uri?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    game_state_type?: InputMaybe<Scalars['Int']>;
    group_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    in_group_label?: InputMaybe<Scalars['String']>;
    in_group_number?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location_id?: InputMaybe<Scalars['Int']>;
    management_info?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    requirement_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
    thumbnail_uri?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "game_state_type" */
export type Game_State_Type = {
    __typename?: 'game_state_type';
    game_state_type_title?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_designing?: Maybe<Scalars['Boolean']>;
    is_done?: Maybe<Scalars['Boolean']>;
    is_freeze?: Maybe<Scalars['Boolean']>;
    is_running?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "game_state_type" */
export type Game_State_Type_Aggregate = {
    __typename?: 'game_state_type_aggregate';
    aggregate?: Maybe<Game_State_Type_Aggregate_Fields>;
    nodes: Array<Game_State_Type>;
};
/** aggregate fields of "game_state_type" */
export type Game_State_Type_Aggregate_Fields = {
    __typename?: 'game_state_type_aggregate_fields';
    avg?: Maybe<Game_State_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_State_Type_Max_Fields>;
    min?: Maybe<Game_State_Type_Min_Fields>;
    stddev?: Maybe<Game_State_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Game_State_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_State_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Game_State_Type_Sum_Fields>;
    var_pop?: Maybe<Game_State_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Game_State_Type_Var_Samp_Fields>;
    variance?: Maybe<Game_State_Type_Variance_Fields>;
};
/** aggregate fields of "game_state_type" */
export type Game_State_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_State_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_State_Type_Avg_Fields = {
    __typename?: 'game_state_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_state_type". All fields are combined with a logical 'AND'. */
export type Game_State_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Game_State_Type_Bool_Exp>>;
    _not?: InputMaybe<Game_State_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Game_State_Type_Bool_Exp>>;
    game_state_type_title?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_designing?: InputMaybe<Boolean_Comparison_Exp>;
    is_done?: InputMaybe<Boolean_Comparison_Exp>;
    is_freeze?: InputMaybe<Boolean_Comparison_Exp>;
    is_running?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_state_type" */
export declare enum Game_State_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameStateTypePkey = "game_state_type_pkey"
}
/** input type for incrementing numeric columns in table "game_state_type" */
export type Game_State_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_state_type" */
export type Game_State_Type_Insert_Input = {
    game_state_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_designing?: InputMaybe<Scalars['Boolean']>;
    is_done?: InputMaybe<Scalars['Boolean']>;
    is_freeze?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Game_State_Type_Max_Fields = {
    __typename?: 'game_state_type_max_fields';
    game_state_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_State_Type_Min_Fields = {
    __typename?: 'game_state_type_min_fields';
    game_state_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_state_type" */
export type Game_State_Type_Mutation_Response = {
    __typename?: 'game_state_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_State_Type>;
};
/** input type for inserting object relation for remote table "game_state_type" */
export type Game_State_Type_Obj_Rel_Insert_Input = {
    data: Game_State_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Game_State_Type_On_Conflict>;
};
/** on_conflict condition type for table "game_state_type" */
export type Game_State_Type_On_Conflict = {
    constraint: Game_State_Type_Constraint;
    update_columns?: Array<Game_State_Type_Update_Column>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "game_state_type". */
export type Game_State_Type_Order_By = {
    game_state_type_title?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_designing?: InputMaybe<Order_By>;
    is_done?: InputMaybe<Order_By>;
    is_freeze?: InputMaybe<Order_By>;
    is_running?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_state_type */
export type Game_State_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_state_type" */
export declare enum Game_State_Type_Select_Column {
    /** column name */
    GameStateTypeTitle = "game_state_type_title",
    /** column name */
    Id = "id",
    /** column name */
    IsDesigning = "is_designing",
    /** column name */
    IsDone = "is_done",
    /** column name */
    IsFreeze = "is_freeze",
    /** column name */
    IsRunning = "is_running"
}
/** input type for updating data in table "game_state_type" */
export type Game_State_Type_Set_Input = {
    game_state_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_designing?: InputMaybe<Scalars['Boolean']>;
    is_done?: InputMaybe<Scalars['Boolean']>;
    is_freeze?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Game_State_Type_Stddev_Fields = {
    __typename?: 'game_state_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_State_Type_Stddev_Pop_Fields = {
    __typename?: 'game_state_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_State_Type_Stddev_Samp_Fields = {
    __typename?: 'game_state_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_state_type" */
export type Game_State_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_State_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_State_Type_Stream_Cursor_Value_Input = {
    game_state_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_designing?: InputMaybe<Scalars['Boolean']>;
    is_done?: InputMaybe<Scalars['Boolean']>;
    is_freeze?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Game_State_Type_Sum_Fields = {
    __typename?: 'game_state_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_state_type" */
export declare enum Game_State_Type_Update_Column {
    /** column name */
    GameStateTypeTitle = "game_state_type_title",
    /** column name */
    Id = "id",
    /** column name */
    IsDesigning = "is_designing",
    /** column name */
    IsDone = "is_done",
    /** column name */
    IsFreeze = "is_freeze",
    /** column name */
    IsRunning = "is_running"
}
export type Game_State_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_State_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_State_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_State_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_State_Type_Var_Pop_Fields = {
    __typename?: 'game_state_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_State_Type_Var_Samp_Fields = {
    __typename?: 'game_state_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_State_Type_Variance_Fields = {
    __typename?: 'game_state_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev on columns */
export type Game_Stddev_Fields = {
    __typename?: 'game_stddev_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Stddev_Pop_Fields = {
    __typename?: 'game_stddev_pop_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Stddev_Samp_Fields = {
    __typename?: 'game_stddev_samp_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game" */
export type Game_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Stream_Cursor_Value_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    content_type?: InputMaybe<Scalars['Int']>;
    content_uri?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    game_state_type?: InputMaybe<Scalars['Int']>;
    group_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    in_group_label?: InputMaybe<Scalars['String']>;
    in_group_number?: InputMaybe<Scalars['Int']>;
    is_journey?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location_id?: InputMaybe<Scalars['Int']>;
    management_info?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    requirement_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
    thumbnail_uri?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Game_Sum_Fields = {
    __typename?: 'game_sum_fields';
    area_id?: Maybe<Scalars['Int']>;
    content_type?: Maybe<Scalars['Int']>;
    creator_id?: Maybe<Scalars['Int']>;
    game_state_type?: Maybe<Scalars['Int']>;
    group_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    in_group_number?: Maybe<Scalars['Int']>;
    location_id?: Maybe<Scalars['Int']>;
    management_info?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    requirement_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game" */
export declare enum Game_Update_Column {
    /** column name */
    AreaId = "area_id",
    /** column name */
    ContentType = "content_type",
    /** column name */
    ContentUri = "content_uri",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    Description = "description",
    /** column name */
    GameStateType = "game_state_type",
    /** column name */
    GroupId = "group_id",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    InGroupLabel = "in_group_label",
    /** column name */
    InGroupNumber = "in_group_number",
    /** column name */
    IsJourney = "is_journey",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocationId = "location_id",
    /** column name */
    ManagementInfo = "management_info",
    /** column name */
    MapId = "map_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    RequirementId = "requirement_id",
    /** column name */
    ThemeId = "theme_id",
    /** column name */
    ThumbnailUri = "thumbnail_uri",
    /** column name */
    Title = "title"
}
export type Game_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Var_Pop_Fields = {
    __typename?: 'game_var_pop_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Var_Samp_Fields = {
    __typename?: 'game_var_samp_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Variance_Fields = {
    __typename?: 'game_variance_fields';
    area_id?: Maybe<Scalars['Float']>;
    content_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_state_type?: Maybe<Scalars['Float']>;
    group_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    in_group_number?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    management_info?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    requirement_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "game_winner" */
export type Game_Winner = {
    __typename?: 'game_winner';
    created_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    game: Game;
    game_id: Scalars['Int'];
    id: Scalars['Int'];
    is_rewarded: Scalars['Boolean'];
    is_submitted: Scalars['Boolean'];
    is_winner: Scalars['Boolean'];
    /** An object relationship */
    quest?: Maybe<Quest>;
    terminal_quest_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    treasureUser: Treasure_User;
    treasure_user_id: Scalars['Int'];
};
/** aggregated selection of "game_winner" */
export type Game_Winner_Aggregate = {
    __typename?: 'game_winner_aggregate';
    aggregate?: Maybe<Game_Winner_Aggregate_Fields>;
    nodes: Array<Game_Winner>;
};
/** aggregate fields of "game_winner" */
export type Game_Winner_Aggregate_Fields = {
    __typename?: 'game_winner_aggregate_fields';
    avg?: Maybe<Game_Winner_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Game_Winner_Max_Fields>;
    min?: Maybe<Game_Winner_Min_Fields>;
    stddev?: Maybe<Game_Winner_Stddev_Fields>;
    stddev_pop?: Maybe<Game_Winner_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Game_Winner_Stddev_Samp_Fields>;
    sum?: Maybe<Game_Winner_Sum_Fields>;
    var_pop?: Maybe<Game_Winner_Var_Pop_Fields>;
    var_samp?: Maybe<Game_Winner_Var_Samp_Fields>;
    variance?: Maybe<Game_Winner_Variance_Fields>;
};
/** aggregate fields of "game_winner" */
export type Game_Winner_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Game_Winner_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Game_Winner_Avg_Fields = {
    __typename?: 'game_winner_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "game_winner". All fields are combined with a logical 'AND'. */
export type Game_Winner_Bool_Exp = {
    _and?: InputMaybe<Array<Game_Winner_Bool_Exp>>;
    _not?: InputMaybe<Game_Winner_Bool_Exp>;
    _or?: InputMaybe<Array<Game_Winner_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_rewarded?: InputMaybe<Boolean_Comparison_Exp>;
    is_submitted?: InputMaybe<Boolean_Comparison_Exp>;
    is_winner?: InputMaybe<Boolean_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    terminal_quest_id?: InputMaybe<Int_Comparison_Exp>;
    treasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    treasure_user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "game_winner" */
export declare enum Game_Winner_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameWinnerPkey = "game_winner_pkey"
}
/** input type for incrementing numeric columns in table "game_winner" */
export type Game_Winner_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    terminal_quest_id?: InputMaybe<Scalars['Int']>;
    treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "game_winner" */
export type Game_Winner_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_rewarded?: InputMaybe<Scalars['Boolean']>;
    is_submitted?: InputMaybe<Scalars['Boolean']>;
    is_winner?: InputMaybe<Scalars['Boolean']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    terminal_quest_id?: InputMaybe<Scalars['Int']>;
    treasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Game_Winner_Max_Fields = {
    __typename?: 'game_winner_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    terminal_quest_id?: Maybe<Scalars['Int']>;
    treasure_user_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Game_Winner_Min_Fields = {
    __typename?: 'game_winner_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    terminal_quest_id?: Maybe<Scalars['Int']>;
    treasure_user_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "game_winner" */
export type Game_Winner_Mutation_Response = {
    __typename?: 'game_winner_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Game_Winner>;
};
/** on_conflict condition type for table "game_winner" */
export type Game_Winner_On_Conflict = {
    constraint: Game_Winner_Constraint;
    update_columns?: Array<Game_Winner_Update_Column>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
/** Ordering options when selecting data from "game_winner". */
export type Game_Winner_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_rewarded?: InputMaybe<Order_By>;
    is_submitted?: InputMaybe<Order_By>;
    is_winner?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    terminal_quest_id?: InputMaybe<Order_By>;
    treasureUser?: InputMaybe<Treasure_User_Order_By>;
    treasure_user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: game_winner */
export type Game_Winner_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "game_winner" */
export declare enum Game_Winner_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsRewarded = "is_rewarded",
    /** column name */
    IsSubmitted = "is_submitted",
    /** column name */
    IsWinner = "is_winner",
    /** column name */
    TerminalQuestId = "terminal_quest_id",
    /** column name */
    TreasureUserId = "treasure_user_id"
}
/** input type for updating data in table "game_winner" */
export type Game_Winner_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_rewarded?: InputMaybe<Scalars['Boolean']>;
    is_submitted?: InputMaybe<Scalars['Boolean']>;
    is_winner?: InputMaybe<Scalars['Boolean']>;
    terminal_quest_id?: InputMaybe<Scalars['Int']>;
    treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Game_Winner_Stddev_Fields = {
    __typename?: 'game_winner_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Game_Winner_Stddev_Pop_Fields = {
    __typename?: 'game_winner_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Game_Winner_Stddev_Samp_Fields = {
    __typename?: 'game_winner_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "game_winner" */
export type Game_Winner_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Game_Winner_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Game_Winner_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_rewarded?: InputMaybe<Scalars['Boolean']>;
    is_submitted?: InputMaybe<Scalars['Boolean']>;
    is_winner?: InputMaybe<Scalars['Boolean']>;
    terminal_quest_id?: InputMaybe<Scalars['Int']>;
    treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Game_Winner_Sum_Fields = {
    __typename?: 'game_winner_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    terminal_quest_id?: Maybe<Scalars['Int']>;
    treasure_user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "game_winner" */
export declare enum Game_Winner_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsRewarded = "is_rewarded",
    /** column name */
    IsSubmitted = "is_submitted",
    /** column name */
    IsWinner = "is_winner",
    /** column name */
    TerminalQuestId = "terminal_quest_id",
    /** column name */
    TreasureUserId = "treasure_user_id"
}
export type Game_Winner_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Game_Winner_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Game_Winner_Set_Input>;
    /** filter the rows which have to be updated */
    where: Game_Winner_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Game_Winner_Var_Pop_Fields = {
    __typename?: 'game_winner_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Game_Winner_Var_Samp_Fields = {
    __typename?: 'game_winner_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Game_Winner_Variance_Fields = {
    __typename?: 'game_winner_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    terminal_quest_id?: Maybe<Scalars['Float']>;
    treasure_user_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "games_locus" */
export type Games_Locus = {
    __typename?: 'games_locus';
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_confirmed?: Maybe<Scalars['Boolean']>;
    is_denied?: Maybe<Scalars['Boolean']>;
    is_operation_settled?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    locus?: Maybe<Locus_Imitate>;
    locus_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    nextLocus?: Maybe<Locus_Imitate>;
    next_locus_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "games_locus" */
export type Games_Locus_Aggregate = {
    __typename?: 'games_locus_aggregate';
    aggregate?: Maybe<Games_Locus_Aggregate_Fields>;
    nodes: Array<Games_Locus>;
};
export type Games_Locus_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Games_Locus_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Games_Locus_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Games_Locus_Aggregate_Bool_Exp_Count>;
};
export type Games_Locus_Aggregate_Bool_Exp_Bool_And = {
    arguments: Games_Locus_Select_Column_Games_Locus_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Games_Locus_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Games_Locus_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Games_Locus_Select_Column_Games_Locus_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Games_Locus_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Games_Locus_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Games_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Games_Locus_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "games_locus" */
export type Games_Locus_Aggregate_Fields = {
    __typename?: 'games_locus_aggregate_fields';
    avg?: Maybe<Games_Locus_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Games_Locus_Max_Fields>;
    min?: Maybe<Games_Locus_Min_Fields>;
    stddev?: Maybe<Games_Locus_Stddev_Fields>;
    stddev_pop?: Maybe<Games_Locus_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Games_Locus_Stddev_Samp_Fields>;
    sum?: Maybe<Games_Locus_Sum_Fields>;
    var_pop?: Maybe<Games_Locus_Var_Pop_Fields>;
    var_samp?: Maybe<Games_Locus_Var_Samp_Fields>;
    variance?: Maybe<Games_Locus_Variance_Fields>;
};
/** aggregate fields of "games_locus" */
export type Games_Locus_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Games_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "games_locus" */
export type Games_Locus_Aggregate_Order_By = {
    avg?: InputMaybe<Games_Locus_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Games_Locus_Max_Order_By>;
    min?: InputMaybe<Games_Locus_Min_Order_By>;
    stddev?: InputMaybe<Games_Locus_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Games_Locus_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Games_Locus_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Games_Locus_Sum_Order_By>;
    var_pop?: InputMaybe<Games_Locus_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Games_Locus_Var_Samp_Order_By>;
    variance?: InputMaybe<Games_Locus_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "games_locus" */
export type Games_Locus_Arr_Rel_Insert_Input = {
    data: Array<Games_Locus_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Games_Locus_On_Conflict>;
};
/** aggregate avg on columns */
export type Games_Locus_Avg_Fields = {
    __typename?: 'games_locus_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "games_locus" */
export type Games_Locus_Avg_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "games_locus". All fields are combined with a logical 'AND'. */
export type Games_Locus_Bool_Exp = {
    _and?: InputMaybe<Array<Games_Locus_Bool_Exp>>;
    _not?: InputMaybe<Games_Locus_Bool_Exp>;
    _or?: InputMaybe<Array<Games_Locus_Bool_Exp>>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_confirmed?: InputMaybe<Boolean_Comparison_Exp>;
    is_denied?: InputMaybe<Boolean_Comparison_Exp>;
    is_operation_settled?: InputMaybe<Boolean_Comparison_Exp>;
    locus?: InputMaybe<Locus_Imitate_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    nextLocus?: InputMaybe<Locus_Imitate_Bool_Exp>;
    next_locus_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "games_locus" */
export declare enum Games_Locus_Constraint {
    /** unique or primary key constraint on columns "id" */
    GamesLocusPkey = "games_locus_pkey"
}
/** input type for incrementing numeric columns in table "games_locus" */
export type Games_Locus_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    next_locus_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "games_locus" */
export type Games_Locus_Insert_Input = {
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_denied?: InputMaybe<Scalars['Boolean']>;
    is_operation_settled?: InputMaybe<Scalars['Boolean']>;
    locus?: InputMaybe<Locus_Imitate_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    nextLocus?: InputMaybe<Locus_Imitate_Obj_Rel_Insert_Input>;
    next_locus_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Games_Locus_Max_Fields = {
    __typename?: 'games_locus_max_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    next_locus_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "games_locus" */
export type Games_Locus_Max_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Games_Locus_Min_Fields = {
    __typename?: 'games_locus_min_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    next_locus_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "games_locus" */
export type Games_Locus_Min_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "games_locus" */
export type Games_Locus_Mutation_Response = {
    __typename?: 'games_locus_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Games_Locus>;
};
/** on_conflict condition type for table "games_locus" */
export type Games_Locus_On_Conflict = {
    constraint: Games_Locus_Constraint;
    update_columns?: Array<Games_Locus_Update_Column>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
/** Ordering options when selecting data from "games_locus". */
export type Games_Locus_Order_By = {
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_confirmed?: InputMaybe<Order_By>;
    is_denied?: InputMaybe<Order_By>;
    is_operation_settled?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Imitate_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    nextLocus?: InputMaybe<Locus_Imitate_Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: games_locus */
export type Games_Locus_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "games_locus" */
export declare enum Games_Locus_Select_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsDenied = "is_denied",
    /** column name */
    IsOperationSettled = "is_operation_settled",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    NextLocusId = "next_locus_id"
}
/** select "games_locus_aggregate_bool_exp_bool_and_arguments_columns" columns of table "games_locus" */
export declare enum Games_Locus_Select_Column_Games_Locus_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsDenied = "is_denied",
    /** column name */
    IsOperationSettled = "is_operation_settled"
}
/** select "games_locus_aggregate_bool_exp_bool_or_arguments_columns" columns of table "games_locus" */
export declare enum Games_Locus_Select_Column_Games_Locus_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsDenied = "is_denied",
    /** column name */
    IsOperationSettled = "is_operation_settled"
}
/** input type for updating data in table "games_locus" */
export type Games_Locus_Set_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_denied?: InputMaybe<Scalars['Boolean']>;
    is_operation_settled?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    next_locus_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Games_Locus_Stddev_Fields = {
    __typename?: 'games_locus_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "games_locus" */
export type Games_Locus_Stddev_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Games_Locus_Stddev_Pop_Fields = {
    __typename?: 'games_locus_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "games_locus" */
export type Games_Locus_Stddev_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Games_Locus_Stddev_Samp_Fields = {
    __typename?: 'games_locus_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "games_locus" */
export type Games_Locus_Stddev_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "games_locus" */
export type Games_Locus_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Games_Locus_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Games_Locus_Stream_Cursor_Value_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_denied?: InputMaybe<Scalars['Boolean']>;
    is_operation_settled?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    next_locus_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Games_Locus_Sum_Fields = {
    __typename?: 'games_locus_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    next_locus_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "games_locus" */
export type Games_Locus_Sum_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** update columns of table "games_locus" */
export declare enum Games_Locus_Update_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsDenied = "is_denied",
    /** column name */
    IsOperationSettled = "is_operation_settled",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    NextLocusId = "next_locus_id"
}
export type Games_Locus_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Games_Locus_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Games_Locus_Set_Input>;
    /** filter the rows which have to be updated */
    where: Games_Locus_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Games_Locus_Var_Pop_Fields = {
    __typename?: 'games_locus_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "games_locus" */
export type Games_Locus_Var_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Games_Locus_Var_Samp_Fields = {
    __typename?: 'games_locus_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "games_locus" */
export type Games_Locus_Var_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Games_Locus_Variance_Fields = {
    __typename?: 'games_locus_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    next_locus_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "games_locus" */
export type Games_Locus_Variance_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    next_locus_id?: InputMaybe<Order_By>;
};
export type Geography_Cast_Exp = {
    geometry?: InputMaybe<Geometry_Comparison_Exp>;
};
/** Boolean expression to compare columns of type "geography". All fields are combined with logical 'AND'. */
export type Geography_Comparison_Exp = {
    _cast?: InputMaybe<Geography_Cast_Exp>;
    _eq?: InputMaybe<Scalars['geography']>;
    _gt?: InputMaybe<Scalars['geography']>;
    _gte?: InputMaybe<Scalars['geography']>;
    _in?: InputMaybe<Array<Scalars['geography']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['geography']>;
    _lte?: InputMaybe<Scalars['geography']>;
    _neq?: InputMaybe<Scalars['geography']>;
    _nin?: InputMaybe<Array<Scalars['geography']>>;
    /** is the column within a given distance from the given geography value */
    _st_d_within?: InputMaybe<St_D_Within_Geography_Input>;
    /** does the column spatially intersect the given geography value */
    _st_intersects?: InputMaybe<Scalars['geography']>;
};
export type Geometry_Cast_Exp = {
    geography?: InputMaybe<Geography_Comparison_Exp>;
};
/** Boolean expression to compare columns of type "geometry". All fields are combined with logical 'AND'. */
export type Geometry_Comparison_Exp = {
    _cast?: InputMaybe<Geometry_Cast_Exp>;
    _eq?: InputMaybe<Scalars['geometry']>;
    _gt?: InputMaybe<Scalars['geometry']>;
    _gte?: InputMaybe<Scalars['geometry']>;
    _in?: InputMaybe<Array<Scalars['geometry']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['geometry']>;
    _lte?: InputMaybe<Scalars['geometry']>;
    _neq?: InputMaybe<Scalars['geometry']>;
    _nin?: InputMaybe<Array<Scalars['geometry']>>;
    /** is the column within a given 3D distance from the given geometry value */
    _st_3d_d_within?: InputMaybe<St_D_Within_Input>;
    /** does the column spatially intersect the given geometry value in 3D */
    _st_3d_intersects?: InputMaybe<Scalars['geometry']>;
    /** does the column contain the given geometry value */
    _st_contains?: InputMaybe<Scalars['geometry']>;
    /** does the column cross the given geometry value */
    _st_crosses?: InputMaybe<Scalars['geometry']>;
    /** is the column within a given distance from the given geometry value */
    _st_d_within?: InputMaybe<St_D_Within_Input>;
    /** is the column equal to given geometry value (directionality is ignored) */
    _st_equals?: InputMaybe<Scalars['geometry']>;
    /** does the column spatially intersect the given geometry value */
    _st_intersects?: InputMaybe<Scalars['geometry']>;
    /** does the column 'spatially overlap' (intersect but not completely contain) the given geometry value */
    _st_overlaps?: InputMaybe<Scalars['geometry']>;
    /** does the column have atleast one point in common with the given geometry value */
    _st_touches?: InputMaybe<Scalars['geometry']>;
    /** is the column contained in the given geometry value */
    _st_within?: InputMaybe<Scalars['geometry']>;
};
/** columns and relationships of "gift" */
export type Gift = {
    __typename?: 'gift';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    locusId?: Maybe<Scalars['Int']>;
    title: Scalars['String'];
};
/** aggregated selection of "gift" */
export type Gift_Aggregate = {
    __typename?: 'gift_aggregate';
    aggregate?: Maybe<Gift_Aggregate_Fields>;
    nodes: Array<Gift>;
};
export type Gift_Aggregate_Bool_Exp = {
    count?: InputMaybe<Gift_Aggregate_Bool_Exp_Count>;
};
export type Gift_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Gift_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Gift_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "gift" */
export type Gift_Aggregate_Fields = {
    __typename?: 'gift_aggregate_fields';
    avg?: Maybe<Gift_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Gift_Max_Fields>;
    min?: Maybe<Gift_Min_Fields>;
    stddev?: Maybe<Gift_Stddev_Fields>;
    stddev_pop?: Maybe<Gift_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Gift_Stddev_Samp_Fields>;
    sum?: Maybe<Gift_Sum_Fields>;
    var_pop?: Maybe<Gift_Var_Pop_Fields>;
    var_samp?: Maybe<Gift_Var_Samp_Fields>;
    variance?: Maybe<Gift_Variance_Fields>;
};
/** aggregate fields of "gift" */
export type Gift_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Gift_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "gift" */
export type Gift_Aggregate_Order_By = {
    avg?: InputMaybe<Gift_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Gift_Max_Order_By>;
    min?: InputMaybe<Gift_Min_Order_By>;
    stddev?: InputMaybe<Gift_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Gift_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Gift_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Gift_Sum_Order_By>;
    var_pop?: InputMaybe<Gift_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Gift_Var_Samp_Order_By>;
    variance?: InputMaybe<Gift_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "gift" */
export type Gift_Arr_Rel_Insert_Input = {
    data: Array<Gift_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Gift_On_Conflict>;
};
/** aggregate avg on columns */
export type Gift_Avg_Fields = {
    __typename?: 'gift_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "gift" */
export type Gift_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "gift". All fields are combined with a logical 'AND'. */
export type Gift_Bool_Exp = {
    _and?: InputMaybe<Array<Gift_Bool_Exp>>;
    _not?: InputMaybe<Gift_Bool_Exp>;
    _or?: InputMaybe<Array<Gift_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    locusId?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "gift" */
export declare enum Gift_Constraint {
    /** unique or primary key constraint on columns "id" */
    GiftPkey = "gift_pkey"
}
/** input type for incrementing numeric columns in table "gift" */
export type Gift_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locusId?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "gift" */
export type Gift_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    locusId?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Gift_Max_Fields = {
    __typename?: 'gift_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    locusId?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "gift" */
export type Gift_Max_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Gift_Min_Fields = {
    __typename?: 'gift_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    locusId?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "gift" */
export type Gift_Min_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "gift" */
export type Gift_Mutation_Response = {
    __typename?: 'gift_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Gift>;
};
/** on_conflict condition type for table "gift" */
export type Gift_On_Conflict = {
    constraint: Gift_Constraint;
    update_columns?: Array<Gift_Update_Column>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
/** Ordering options when selecting data from "gift". */
export type Gift_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: gift */
export type Gift_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "gift" */
export declare enum Gift_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locusId",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "gift" */
export type Gift_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    locusId?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Gift_Stddev_Fields = {
    __typename?: 'gift_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "gift" */
export type Gift_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Gift_Stddev_Pop_Fields = {
    __typename?: 'gift_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "gift" */
export type Gift_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Gift_Stddev_Samp_Fields = {
    __typename?: 'gift_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "gift" */
export type Gift_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "gift" */
export type Gift_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Gift_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Gift_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    locusId?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Gift_Sum_Fields = {
    __typename?: 'gift_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locusId?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "gift" */
export type Gift_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** update columns of table "gift" */
export declare enum Gift_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locusId",
    /** column name */
    Title = "title"
}
export type Gift_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Gift_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Gift_Set_Input>;
    /** filter the rows which have to be updated */
    where: Gift_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Gift_Var_Pop_Fields = {
    __typename?: 'gift_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "gift" */
export type Gift_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Gift_Var_Samp_Fields = {
    __typename?: 'gift_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "gift" */
export type Gift_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Gift_Variance_Fields = {
    __typename?: 'gift_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "gift" */
export type Gift_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    locusId?: InputMaybe<Order_By>;
};
/** goods for general (specific items for games) */
export type Goods = {
    __typename?: 'goods';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    name: Scalars['String'];
    /** An object relationship */
    product?: Maybe<Product>;
    product_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "goods" */
export type Goods_Aggregate = {
    __typename?: 'goods_aggregate';
    aggregate?: Maybe<Goods_Aggregate_Fields>;
    nodes: Array<Goods>;
};
/** aggregate fields of "goods" */
export type Goods_Aggregate_Fields = {
    __typename?: 'goods_aggregate_fields';
    avg?: Maybe<Goods_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Goods_Max_Fields>;
    min?: Maybe<Goods_Min_Fields>;
    stddev?: Maybe<Goods_Stddev_Fields>;
    stddev_pop?: Maybe<Goods_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Goods_Stddev_Samp_Fields>;
    sum?: Maybe<Goods_Sum_Fields>;
    var_pop?: Maybe<Goods_Var_Pop_Fields>;
    var_samp?: Maybe<Goods_Var_Samp_Fields>;
    variance?: Maybe<Goods_Variance_Fields>;
};
/** aggregate fields of "goods" */
export type Goods_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Goods_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Goods_Avg_Fields = {
    __typename?: 'goods_avg_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "goods". All fields are combined with a logical 'AND'. */
export type Goods_Bool_Exp = {
    _and?: InputMaybe<Array<Goods_Bool_Exp>>;
    _not?: InputMaybe<Goods_Bool_Exp>;
    _or?: InputMaybe<Array<Goods_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "goods" */
export declare enum Goods_Constraint {
    /** unique or primary key constraint on columns "id" */
    GoodsPkey = "goods_pkey"
}
/** input type for incrementing numeric columns in table "goods" */
export type Goods_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "goods" */
export type Goods_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Goods_Max_Fields = {
    __typename?: 'goods_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    product_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Goods_Min_Fields = {
    __typename?: 'goods_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    product_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "goods" */
export type Goods_Mutation_Response = {
    __typename?: 'goods_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Goods>;
};
/** on_conflict condition type for table "goods" */
export type Goods_On_Conflict = {
    constraint: Goods_Constraint;
    update_columns?: Array<Goods_Update_Column>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
/** Ordering options when selecting data from "goods". */
export type Goods_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: goods */
export type Goods_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "goods" */
export declare enum Goods_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    ProductId = "product_id"
}
/** input type for updating data in table "goods" */
export type Goods_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    product_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Goods_Stddev_Fields = {
    __typename?: 'goods_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Goods_Stddev_Pop_Fields = {
    __typename?: 'goods_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Goods_Stddev_Samp_Fields = {
    __typename?: 'goods_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "goods" */
export type Goods_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Goods_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Goods_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    product_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Goods_Sum_Fields = {
    __typename?: 'goods_sum_fields';
    id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "goods" */
export declare enum Goods_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    ProductId = "product_id"
}
export type Goods_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Goods_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Goods_Set_Input>;
    /** filter the rows which have to be updated */
    where: Goods_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Goods_Var_Pop_Fields = {
    __typename?: 'goods_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Goods_Var_Samp_Fields = {
    __typename?: 'goods_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Goods_Variance_Fields = {
    __typename?: 'goods_variance_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "hier_type" */
export type Hier_Type = {
    __typename?: 'hier_type';
    hier_type_title?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
};
/** aggregated selection of "hier_type" */
export type Hier_Type_Aggregate = {
    __typename?: 'hier_type_aggregate';
    aggregate?: Maybe<Hier_Type_Aggregate_Fields>;
    nodes: Array<Hier_Type>;
};
/** aggregate fields of "hier_type" */
export type Hier_Type_Aggregate_Fields = {
    __typename?: 'hier_type_aggregate_fields';
    avg?: Maybe<Hier_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Hier_Type_Max_Fields>;
    min?: Maybe<Hier_Type_Min_Fields>;
    stddev?: Maybe<Hier_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Hier_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Hier_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Hier_Type_Sum_Fields>;
    var_pop?: Maybe<Hier_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Hier_Type_Var_Samp_Fields>;
    variance?: Maybe<Hier_Type_Variance_Fields>;
};
/** aggregate fields of "hier_type" */
export type Hier_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Hier_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Hier_Type_Avg_Fields = {
    __typename?: 'hier_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "hier_type". All fields are combined with a logical 'AND'. */
export type Hier_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Hier_Type_Bool_Exp>>;
    _not?: InputMaybe<Hier_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Hier_Type_Bool_Exp>>;
    hier_type_title?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "hier_type" */
export declare enum Hier_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    HierTypePkey = "hier_type_pkey"
}
/** input type for incrementing numeric columns in table "hier_type" */
export type Hier_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "hier_type" */
export type Hier_Type_Insert_Input = {
    hier_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Hier_Type_Max_Fields = {
    __typename?: 'hier_type_max_fields';
    hier_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Hier_Type_Min_Fields = {
    __typename?: 'hier_type_min_fields';
    hier_type_title?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "hier_type" */
export type Hier_Type_Mutation_Response = {
    __typename?: 'hier_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Hier_Type>;
};
/** input type for inserting object relation for remote table "hier_type" */
export type Hier_Type_Obj_Rel_Insert_Input = {
    data: Hier_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Hier_Type_On_Conflict>;
};
/** on_conflict condition type for table "hier_type" */
export type Hier_Type_On_Conflict = {
    constraint: Hier_Type_Constraint;
    update_columns?: Array<Hier_Type_Update_Column>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "hier_type". */
export type Hier_Type_Order_By = {
    hier_type_title?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: hier_type */
export type Hier_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "hier_type" */
export declare enum Hier_Type_Select_Column {
    /** column name */
    HierTypeTitle = "hier_type_title",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "hier_type" */
export type Hier_Type_Set_Input = {
    hier_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Hier_Type_Stddev_Fields = {
    __typename?: 'hier_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Hier_Type_Stddev_Pop_Fields = {
    __typename?: 'hier_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Hier_Type_Stddev_Samp_Fields = {
    __typename?: 'hier_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "hier_type" */
export type Hier_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Hier_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Hier_Type_Stream_Cursor_Value_Input = {
    hier_type_title?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Hier_Type_Sum_Fields = {
    __typename?: 'hier_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "hier_type" */
export declare enum Hier_Type_Update_Column {
    /** column name */
    HierTypeTitle = "hier_type_title",
    /** column name */
    Id = "id"
}
export type Hier_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Hier_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Hier_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Hier_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Hier_Type_Var_Pop_Fields = {
    __typename?: 'hier_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Hier_Type_Var_Samp_Fields = {
    __typename?: 'hier_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Hier_Type_Variance_Fields = {
    __typename?: 'hier_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "incognito" */
export type Incognito = {
    __typename?: 'incognito';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    name: Scalars['String'];
    password: Scalars['String'];
};
/** aggregated selection of "incognito" */
export type Incognito_Aggregate = {
    __typename?: 'incognito_aggregate';
    aggregate?: Maybe<Incognito_Aggregate_Fields>;
    nodes: Array<Incognito>;
};
/** aggregate fields of "incognito" */
export type Incognito_Aggregate_Fields = {
    __typename?: 'incognito_aggregate_fields';
    avg?: Maybe<Incognito_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Incognito_Max_Fields>;
    min?: Maybe<Incognito_Min_Fields>;
    stddev?: Maybe<Incognito_Stddev_Fields>;
    stddev_pop?: Maybe<Incognito_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Incognito_Stddev_Samp_Fields>;
    sum?: Maybe<Incognito_Sum_Fields>;
    var_pop?: Maybe<Incognito_Var_Pop_Fields>;
    var_samp?: Maybe<Incognito_Var_Samp_Fields>;
    variance?: Maybe<Incognito_Variance_Fields>;
};
/** aggregate fields of "incognito" */
export type Incognito_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Incognito_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Incognito_Avg_Fields = {
    __typename?: 'incognito_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "incognito". All fields are combined with a logical 'AND'. */
export type Incognito_Bool_Exp = {
    _and?: InputMaybe<Array<Incognito_Bool_Exp>>;
    _not?: InputMaybe<Incognito_Bool_Exp>;
    _or?: InputMaybe<Array<Incognito_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    password?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "incognito" */
export declare enum Incognito_Constraint {
    /** unique or primary key constraint on columns "id" */
    IncognitoPkey = "incognito_pkey"
}
/** input type for incrementing numeric columns in table "incognito" */
export type Incognito_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "incognito" */
export type Incognito_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    password?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Incognito_Max_Fields = {
    __typename?: 'incognito_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    password?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Incognito_Min_Fields = {
    __typename?: 'incognito_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    password?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "incognito" */
export type Incognito_Mutation_Response = {
    __typename?: 'incognito_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Incognito>;
};
/** input type for inserting object relation for remote table "incognito" */
export type Incognito_Obj_Rel_Insert_Input = {
    data: Incognito_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Incognito_On_Conflict>;
};
/** on_conflict condition type for table "incognito" */
export type Incognito_On_Conflict = {
    constraint: Incognito_Constraint;
    update_columns?: Array<Incognito_Update_Column>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
/** Ordering options when selecting data from "incognito". */
export type Incognito_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    password?: InputMaybe<Order_By>;
};
/** primary key columns input for table: incognito */
export type Incognito_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "incognito" */
export declare enum Incognito_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Password = "password"
}
/** input type for updating data in table "incognito" */
export type Incognito_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    password?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Incognito_Stddev_Fields = {
    __typename?: 'incognito_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Incognito_Stddev_Pop_Fields = {
    __typename?: 'incognito_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Incognito_Stddev_Samp_Fields = {
    __typename?: 'incognito_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "incognito" */
export type Incognito_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Incognito_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Incognito_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    password?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Incognito_Sum_Fields = {
    __typename?: 'incognito_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "incognito" */
export declare enum Incognito_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Password = "password"
}
export type Incognito_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Incognito_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Incognito_Set_Input>;
    /** filter the rows which have to be updated */
    where: Incognito_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Incognito_Var_Pop_Fields = {
    __typename?: 'incognito_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Incognito_Var_Samp_Fields = {
    __typename?: 'incognito_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Incognito_Variance_Fields = {
    __typename?: 'incognito_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "inscription" */
export type Inscription = {
    __typename?: 'inscription';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    /** An object relationship */
    incognito?: Maybe<Incognito>;
    incognito_id?: Maybe<Scalars['Int']>;
    is_incognito: Scalars['Boolean'];
    material: Scalars['String'];
    /** An object relationship */
    pieceType: Piece_Type;
    piece_type_id: Scalars['Int'];
    updated_at: Scalars['timestamptz'];
    /** An object relationship */
    writer?: Maybe<Treasure_User>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "inscription" */
export type Inscription_Aggregate = {
    __typename?: 'inscription_aggregate';
    aggregate?: Maybe<Inscription_Aggregate_Fields>;
    nodes: Array<Inscription>;
};
/** aggregate fields of "inscription" */
export type Inscription_Aggregate_Fields = {
    __typename?: 'inscription_aggregate_fields';
    avg?: Maybe<Inscription_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Inscription_Max_Fields>;
    min?: Maybe<Inscription_Min_Fields>;
    stddev?: Maybe<Inscription_Stddev_Fields>;
    stddev_pop?: Maybe<Inscription_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Inscription_Stddev_Samp_Fields>;
    sum?: Maybe<Inscription_Sum_Fields>;
    var_pop?: Maybe<Inscription_Var_Pop_Fields>;
    var_samp?: Maybe<Inscription_Var_Samp_Fields>;
    variance?: Maybe<Inscription_Variance_Fields>;
};
/** aggregate fields of "inscription" */
export type Inscription_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Inscription_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Inscription_Avg_Fields = {
    __typename?: 'inscription_avg_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "inscription". All fields are combined with a logical 'AND'. */
export type Inscription_Bool_Exp = {
    _and?: InputMaybe<Array<Inscription_Bool_Exp>>;
    _not?: InputMaybe<Inscription_Bool_Exp>;
    _or?: InputMaybe<Array<Inscription_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    incognito?: InputMaybe<Incognito_Bool_Exp>;
    incognito_id?: InputMaybe<Int_Comparison_Exp>;
    is_incognito?: InputMaybe<Boolean_Comparison_Exp>;
    material?: InputMaybe<String_Comparison_Exp>;
    pieceType?: InputMaybe<Piece_Type_Bool_Exp>;
    piece_type_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    writer?: InputMaybe<Treasure_User_Bool_Exp>;
    writer_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "inscription" */
export declare enum Inscription_Constraint {
    /** unique or primary key constraint on columns "id" */
    InscriptionPkey = "inscription_pkey"
}
/** input type for incrementing numeric columns in table "inscription" */
export type Inscription_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    incognito_id?: InputMaybe<Scalars['Int']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "inscription" */
export type Inscription_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    incognito?: InputMaybe<Incognito_Obj_Rel_Insert_Input>;
    incognito_id?: InputMaybe<Scalars['Int']>;
    is_incognito?: InputMaybe<Scalars['Boolean']>;
    material?: InputMaybe<Scalars['String']>;
    pieceType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writer?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Inscription_Max_Fields = {
    __typename?: 'inscription_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    incognito_id?: Maybe<Scalars['Int']>;
    material?: Maybe<Scalars['String']>;
    piece_type_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Inscription_Min_Fields = {
    __typename?: 'inscription_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    incognito_id?: Maybe<Scalars['Int']>;
    material?: Maybe<Scalars['String']>;
    piece_type_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "inscription" */
export type Inscription_Mutation_Response = {
    __typename?: 'inscription_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Inscription>;
};
/** on_conflict condition type for table "inscription" */
export type Inscription_On_Conflict = {
    constraint: Inscription_Constraint;
    update_columns?: Array<Inscription_Update_Column>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
/** Ordering options when selecting data from "inscription". */
export type Inscription_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    incognito?: InputMaybe<Incognito_Order_By>;
    incognito_id?: InputMaybe<Order_By>;
    is_incognito?: InputMaybe<Order_By>;
    material?: InputMaybe<Order_By>;
    pieceType?: InputMaybe<Piece_Type_Order_By>;
    piece_type_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    writer?: InputMaybe<Treasure_User_Order_By>;
    writer_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: inscription */
export type Inscription_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "inscription" */
export declare enum Inscription_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    IncognitoId = "incognito_id",
    /** column name */
    IsIncognito = "is_incognito",
    /** column name */
    Material = "material",
    /** column name */
    PieceTypeId = "piece_type_id",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    WriterId = "writer_id"
}
/** input type for updating data in table "inscription" */
export type Inscription_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    incognito_id?: InputMaybe<Scalars['Int']>;
    is_incognito?: InputMaybe<Scalars['Boolean']>;
    material?: InputMaybe<Scalars['String']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Inscription_Stddev_Fields = {
    __typename?: 'inscription_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Inscription_Stddev_Pop_Fields = {
    __typename?: 'inscription_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Inscription_Stddev_Samp_Fields = {
    __typename?: 'inscription_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "inscription" */
export type Inscription_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Inscription_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Inscription_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    incognito_id?: InputMaybe<Scalars['Int']>;
    is_incognito?: InputMaybe<Scalars['Boolean']>;
    material?: InputMaybe<Scalars['String']>;
    piece_type_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writer_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Inscription_Sum_Fields = {
    __typename?: 'inscription_sum_fields';
    id?: Maybe<Scalars['Int']>;
    incognito_id?: Maybe<Scalars['Int']>;
    piece_type_id?: Maybe<Scalars['Int']>;
    writer_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "inscription" */
export declare enum Inscription_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    IncognitoId = "incognito_id",
    /** column name */
    IsIncognito = "is_incognito",
    /** column name */
    Material = "material",
    /** column name */
    PieceTypeId = "piece_type_id",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    WriterId = "writer_id"
}
export type Inscription_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Inscription_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Inscription_Set_Input>;
    /** filter the rows which have to be updated */
    where: Inscription_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Inscription_Var_Pop_Fields = {
    __typename?: 'inscription_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Inscription_Var_Samp_Fields = {
    __typename?: 'inscription_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Inscription_Variance_Fields = {
    __typename?: 'inscription_variance_fields';
    id?: Maybe<Scalars['Float']>;
    incognito_id?: Maybe<Scalars['Float']>;
    piece_type_id?: Maybe<Scalars['Float']>;
    writer_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "interface_type" */
export type Interface_Type = {
    __typename?: 'interface_type';
    id: Scalars['Int'];
    interface_type_title?: Maybe<Scalars['String']>;
    is_about_map?: Maybe<Scalars['Boolean']>;
    is_free_map?: Maybe<Scalars['Boolean']>;
    is_inmap?: Maybe<Scalars['Boolean']>;
    is_outmap?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "interface_type" */
export type Interface_Type_Aggregate = {
    __typename?: 'interface_type_aggregate';
    aggregate?: Maybe<Interface_Type_Aggregate_Fields>;
    nodes: Array<Interface_Type>;
};
/** aggregate fields of "interface_type" */
export type Interface_Type_Aggregate_Fields = {
    __typename?: 'interface_type_aggregate_fields';
    avg?: Maybe<Interface_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Interface_Type_Max_Fields>;
    min?: Maybe<Interface_Type_Min_Fields>;
    stddev?: Maybe<Interface_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Interface_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Interface_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Interface_Type_Sum_Fields>;
    var_pop?: Maybe<Interface_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Interface_Type_Var_Samp_Fields>;
    variance?: Maybe<Interface_Type_Variance_Fields>;
};
/** aggregate fields of "interface_type" */
export type Interface_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Interface_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Interface_Type_Avg_Fields = {
    __typename?: 'interface_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "interface_type". All fields are combined with a logical 'AND'. */
export type Interface_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Interface_Type_Bool_Exp>>;
    _not?: InputMaybe<Interface_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Interface_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    interface_type_title?: InputMaybe<String_Comparison_Exp>;
    is_about_map?: InputMaybe<Boolean_Comparison_Exp>;
    is_free_map?: InputMaybe<Boolean_Comparison_Exp>;
    is_inmap?: InputMaybe<Boolean_Comparison_Exp>;
    is_outmap?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "interface_type" */
export declare enum Interface_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    InterfaceTypePkey = "interface_type_pkey"
}
/** input type for incrementing numeric columns in table "interface_type" */
export type Interface_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "interface_type" */
export type Interface_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    interface_type_title?: InputMaybe<Scalars['String']>;
    is_about_map?: InputMaybe<Scalars['Boolean']>;
    is_free_map?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Interface_Type_Max_Fields = {
    __typename?: 'interface_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    interface_type_title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Interface_Type_Min_Fields = {
    __typename?: 'interface_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    interface_type_title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "interface_type" */
export type Interface_Type_Mutation_Response = {
    __typename?: 'interface_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Interface_Type>;
};
/** input type for inserting object relation for remote table "interface_type" */
export type Interface_Type_Obj_Rel_Insert_Input = {
    data: Interface_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Interface_Type_On_Conflict>;
};
/** on_conflict condition type for table "interface_type" */
export type Interface_Type_On_Conflict = {
    constraint: Interface_Type_Constraint;
    update_columns?: Array<Interface_Type_Update_Column>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "interface_type". */
export type Interface_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    interface_type_title?: InputMaybe<Order_By>;
    is_about_map?: InputMaybe<Order_By>;
    is_free_map?: InputMaybe<Order_By>;
    is_inmap?: InputMaybe<Order_By>;
    is_outmap?: InputMaybe<Order_By>;
};
/** primary key columns input for table: interface_type */
export type Interface_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "interface_type" */
export declare enum Interface_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    InterfaceTypeTitle = "interface_type_title",
    /** column name */
    IsAboutMap = "is_about_map",
    /** column name */
    IsFreeMap = "is_free_map",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsOutmap = "is_outmap"
}
/** input type for updating data in table "interface_type" */
export type Interface_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    interface_type_title?: InputMaybe<Scalars['String']>;
    is_about_map?: InputMaybe<Scalars['Boolean']>;
    is_free_map?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Interface_Type_Stddev_Fields = {
    __typename?: 'interface_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Interface_Type_Stddev_Pop_Fields = {
    __typename?: 'interface_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Interface_Type_Stddev_Samp_Fields = {
    __typename?: 'interface_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "interface_type" */
export type Interface_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Interface_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Interface_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    interface_type_title?: InputMaybe<Scalars['String']>;
    is_about_map?: InputMaybe<Scalars['Boolean']>;
    is_free_map?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Interface_Type_Sum_Fields = {
    __typename?: 'interface_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "interface_type" */
export declare enum Interface_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    InterfaceTypeTitle = "interface_type_title",
    /** column name */
    IsAboutMap = "is_about_map",
    /** column name */
    IsFreeMap = "is_free_map",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsOutmap = "is_outmap"
}
export type Interface_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Interface_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Interface_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Interface_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Interface_Type_Var_Pop_Fields = {
    __typename?: 'interface_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Interface_Type_Var_Samp_Fields = {
    __typename?: 'interface_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Interface_Type_Variance_Fields = {
    __typename?: 'interface_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
export type Jsonb_Cast_Exp = {
    String?: InputMaybe<String_Comparison_Exp>;
};
/** Boolean expression to compare columns of type "jsonb". All fields are combined with logical 'AND'. */
export type Jsonb_Comparison_Exp = {
    _cast?: InputMaybe<Jsonb_Cast_Exp>;
    /** is the column contained in the given json value */
    _contained_in?: InputMaybe<Scalars['jsonb']>;
    /** does the column contain the given json value at the top level */
    _contains?: InputMaybe<Scalars['jsonb']>;
    _eq?: InputMaybe<Scalars['jsonb']>;
    _gt?: InputMaybe<Scalars['jsonb']>;
    _gte?: InputMaybe<Scalars['jsonb']>;
    /** does the string exist as a top-level key in the column */
    _has_key?: InputMaybe<Scalars['String']>;
    /** do all of these strings exist as top-level keys in the column */
    _has_keys_all?: InputMaybe<Array<Scalars['String']>>;
    /** do any of these strings exist as top-level keys in the column */
    _has_keys_any?: InputMaybe<Array<Scalars['String']>>;
    _in?: InputMaybe<Array<Scalars['jsonb']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['jsonb']>;
    _lte?: InputMaybe<Scalars['jsonb']>;
    _neq?: InputMaybe<Scalars['jsonb']>;
    _nin?: InputMaybe<Array<Scalars['jsonb']>>;
};
/** columns and relationships of "judge" */
export type Judge = {
    __typename?: 'judge';
    answer?: Maybe<Scalars['Int']>;
    /** An object relationship */
    answerById?: Maybe<Answer>;
    /** An object relationship */
    answerType?: Maybe<Answer_Type>;
    answer_type?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    creator_id?: Maybe<Scalars['Int']>;
    delay_ms?: Maybe<Scalars['Int']>;
    /** An object relationship */
    displayType?: Maybe<Judge_Display_Type>;
    display_type_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    example?: Maybe<Example>;
    example_id?: Maybe<Scalars['Int']>;
    failure_response_text?: Maybe<Scalars['String']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_dedicated?: Maybe<Scalars['Boolean']>;
    is_machine?: Maybe<Scalars['Boolean']>;
    is_person?: Maybe<Scalars['Boolean']>;
    is_running?: Maybe<Scalars['Boolean']>;
    is_user?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    judgeEntry?: Maybe<Judge_Entry>;
    /** An object relationship */
    judgeTreasureUser?: Maybe<Treasure_User>;
    judge_entry?: Maybe<Scalars['Int']>;
    judge_user?: Maybe<Scalars['Int']>;
    limit_ms?: Maybe<Scalars['Int']>;
    /** An array relationship */
    questsOne: Array<Quest>;
    /** An aggregate relationship */
    questsOne_aggregate: Quest_Aggregate;
    /** An object relationship */
    responseType?: Maybe<Piece_Type>;
    response_text?: Maybe<Scalars['String']>;
    response_type?: Maybe<Scalars['Int']>;
    response_uri?: Maybe<Scalars['String']>;
    /** An object relationship */
    roleType?: Maybe<Judge_Role_Type>;
    role_type_id?: Maybe<Scalars['Int']>;
    success_response_text?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** columns and relationships of "judge" */
export type JudgeQuestsOneArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
/** columns and relationships of "judge" */
export type JudgeQuestsOne_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
/** aggregated selection of "judge" */
export type Judge_Aggregate = {
    __typename?: 'judge_aggregate';
    aggregate?: Maybe<Judge_Aggregate_Fields>;
    nodes: Array<Judge>;
};
export type Judge_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Judge_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Judge_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Judge_Aggregate_Bool_Exp_Count>;
};
export type Judge_Aggregate_Bool_Exp_Bool_And = {
    arguments: Judge_Select_Column_Judge_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Judge_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Judge_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Judge_Select_Column_Judge_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Judge_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Judge_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Judge_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Judge_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "judge" */
export type Judge_Aggregate_Fields = {
    __typename?: 'judge_aggregate_fields';
    avg?: Maybe<Judge_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Judge_Max_Fields>;
    min?: Maybe<Judge_Min_Fields>;
    stddev?: Maybe<Judge_Stddev_Fields>;
    stddev_pop?: Maybe<Judge_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Judge_Stddev_Samp_Fields>;
    sum?: Maybe<Judge_Sum_Fields>;
    var_pop?: Maybe<Judge_Var_Pop_Fields>;
    var_samp?: Maybe<Judge_Var_Samp_Fields>;
    variance?: Maybe<Judge_Variance_Fields>;
};
/** aggregate fields of "judge" */
export type Judge_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Judge_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "judge" */
export type Judge_Aggregate_Order_By = {
    avg?: InputMaybe<Judge_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Judge_Max_Order_By>;
    min?: InputMaybe<Judge_Min_Order_By>;
    stddev?: InputMaybe<Judge_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Judge_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Judge_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Judge_Sum_Order_By>;
    var_pop?: InputMaybe<Judge_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Judge_Var_Samp_Order_By>;
    variance?: InputMaybe<Judge_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "judge" */
export type Judge_Arr_Rel_Insert_Input = {
    data: Array<Judge_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Judge_On_Conflict>;
};
/** aggregate avg on columns */
export type Judge_Avg_Fields = {
    __typename?: 'judge_avg_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "judge" */
export type Judge_Avg_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "judge". All fields are combined with a logical 'AND'. */
export type Judge_Bool_Exp = {
    _and?: InputMaybe<Array<Judge_Bool_Exp>>;
    _not?: InputMaybe<Judge_Bool_Exp>;
    _or?: InputMaybe<Array<Judge_Bool_Exp>>;
    answer?: InputMaybe<Int_Comparison_Exp>;
    answerById?: InputMaybe<Answer_Bool_Exp>;
    answerType?: InputMaybe<Answer_Type_Bool_Exp>;
    answer_type?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    creator_id?: InputMaybe<Int_Comparison_Exp>;
    delay_ms?: InputMaybe<Int_Comparison_Exp>;
    displayType?: InputMaybe<Judge_Display_Type_Bool_Exp>;
    display_type_id?: InputMaybe<Int_Comparison_Exp>;
    example?: InputMaybe<Example_Bool_Exp>;
    example_id?: InputMaybe<Int_Comparison_Exp>;
    failure_response_text?: InputMaybe<String_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_dedicated?: InputMaybe<Boolean_Comparison_Exp>;
    is_machine?: InputMaybe<Boolean_Comparison_Exp>;
    is_person?: InputMaybe<Boolean_Comparison_Exp>;
    is_running?: InputMaybe<Boolean_Comparison_Exp>;
    is_user?: InputMaybe<Boolean_Comparison_Exp>;
    judgeEntry?: InputMaybe<Judge_Entry_Bool_Exp>;
    judgeTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    judge_entry?: InputMaybe<Int_Comparison_Exp>;
    judge_user?: InputMaybe<Int_Comparison_Exp>;
    limit_ms?: InputMaybe<Int_Comparison_Exp>;
    questsOne?: InputMaybe<Quest_Bool_Exp>;
    questsOne_aggregate?: InputMaybe<Quest_Aggregate_Bool_Exp>;
    responseType?: InputMaybe<Piece_Type_Bool_Exp>;
    response_text?: InputMaybe<String_Comparison_Exp>;
    response_type?: InputMaybe<Int_Comparison_Exp>;
    response_uri?: InputMaybe<String_Comparison_Exp>;
    roleType?: InputMaybe<Judge_Role_Type_Bool_Exp>;
    role_type_id?: InputMaybe<Int_Comparison_Exp>;
    success_response_text?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "judge" */
export declare enum Judge_Constraint {
    /** unique or primary key constraint on columns "game_id", "title", "creator_id" */
    JudgeCreatorIdGameIdTitleKey = "judge_creator_id_game_id_title_key",
    /** unique or primary key constraint on columns "id" */
    JudgePkey = "judge_pkey"
}
/** columns and relationships of "judge_display_type" */
export type Judge_Display_Type = {
    __typename?: 'judge_display_type';
    id: Scalars['Int'];
    lexical_version?: Maybe<Scalars['String']>;
    name: Scalars['String'];
    rendered_in_lexical: Scalars['Boolean'];
    rendered_in_rn: Scalars['Boolean'];
};
/** aggregated selection of "judge_display_type" */
export type Judge_Display_Type_Aggregate = {
    __typename?: 'judge_display_type_aggregate';
    aggregate?: Maybe<Judge_Display_Type_Aggregate_Fields>;
    nodes: Array<Judge_Display_Type>;
};
/** aggregate fields of "judge_display_type" */
export type Judge_Display_Type_Aggregate_Fields = {
    __typename?: 'judge_display_type_aggregate_fields';
    avg?: Maybe<Judge_Display_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Judge_Display_Type_Max_Fields>;
    min?: Maybe<Judge_Display_Type_Min_Fields>;
    stddev?: Maybe<Judge_Display_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Judge_Display_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Judge_Display_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Judge_Display_Type_Sum_Fields>;
    var_pop?: Maybe<Judge_Display_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Judge_Display_Type_Var_Samp_Fields>;
    variance?: Maybe<Judge_Display_Type_Variance_Fields>;
};
/** aggregate fields of "judge_display_type" */
export type Judge_Display_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Judge_Display_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Judge_Display_Type_Avg_Fields = {
    __typename?: 'judge_display_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "judge_display_type". All fields are combined with a logical 'AND'. */
export type Judge_Display_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Judge_Display_Type_Bool_Exp>>;
    _not?: InputMaybe<Judge_Display_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Judge_Display_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    lexical_version?: InputMaybe<String_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    rendered_in_lexical?: InputMaybe<Boolean_Comparison_Exp>;
    rendered_in_rn?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "judge_display_type" */
export declare enum Judge_Display_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    JudgeDisplayTypePkey = "judge_display_type_pkey"
}
/** input type for incrementing numeric columns in table "judge_display_type" */
export type Judge_Display_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "judge_display_type" */
export type Judge_Display_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    lexical_version?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    rendered_in_lexical?: InputMaybe<Scalars['Boolean']>;
    rendered_in_rn?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Judge_Display_Type_Max_Fields = {
    __typename?: 'judge_display_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    lexical_version?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Judge_Display_Type_Min_Fields = {
    __typename?: 'judge_display_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    lexical_version?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "judge_display_type" */
export type Judge_Display_Type_Mutation_Response = {
    __typename?: 'judge_display_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Judge_Display_Type>;
};
/** input type for inserting object relation for remote table "judge_display_type" */
export type Judge_Display_Type_Obj_Rel_Insert_Input = {
    data: Judge_Display_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Judge_Display_Type_On_Conflict>;
};
/** on_conflict condition type for table "judge_display_type" */
export type Judge_Display_Type_On_Conflict = {
    constraint: Judge_Display_Type_Constraint;
    update_columns?: Array<Judge_Display_Type_Update_Column>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "judge_display_type". */
export type Judge_Display_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    lexical_version?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    rendered_in_lexical?: InputMaybe<Order_By>;
    rendered_in_rn?: InputMaybe<Order_By>;
};
/** primary key columns input for table: judge_display_type */
export type Judge_Display_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "judge_display_type" */
export declare enum Judge_Display_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    LexicalVersion = "lexical_version",
    /** column name */
    Name = "name",
    /** column name */
    RenderedInLexical = "rendered_in_lexical",
    /** column name */
    RenderedInRn = "rendered_in_rn"
}
/** input type for updating data in table "judge_display_type" */
export type Judge_Display_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    lexical_version?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    rendered_in_lexical?: InputMaybe<Scalars['Boolean']>;
    rendered_in_rn?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Judge_Display_Type_Stddev_Fields = {
    __typename?: 'judge_display_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Judge_Display_Type_Stddev_Pop_Fields = {
    __typename?: 'judge_display_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Judge_Display_Type_Stddev_Samp_Fields = {
    __typename?: 'judge_display_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "judge_display_type" */
export type Judge_Display_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Judge_Display_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Judge_Display_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    lexical_version?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    rendered_in_lexical?: InputMaybe<Scalars['Boolean']>;
    rendered_in_rn?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Judge_Display_Type_Sum_Fields = {
    __typename?: 'judge_display_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "judge_display_type" */
export declare enum Judge_Display_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    LexicalVersion = "lexical_version",
    /** column name */
    Name = "name",
    /** column name */
    RenderedInLexical = "rendered_in_lexical",
    /** column name */
    RenderedInRn = "rendered_in_rn"
}
export type Judge_Display_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Judge_Display_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Judge_Display_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Judge_Display_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Judge_Display_Type_Var_Pop_Fields = {
    __typename?: 'judge_display_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Judge_Display_Type_Var_Samp_Fields = {
    __typename?: 'judge_display_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Judge_Display_Type_Variance_Fields = {
    __typename?: 'judge_display_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "judge_entry" */
export type Judge_Entry = {
    __typename?: 'judge_entry';
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    uri?: Maybe<Scalars['String']>;
};
/** aggregated selection of "judge_entry" */
export type Judge_Entry_Aggregate = {
    __typename?: 'judge_entry_aggregate';
    aggregate?: Maybe<Judge_Entry_Aggregate_Fields>;
    nodes: Array<Judge_Entry>;
};
/** aggregate fields of "judge_entry" */
export type Judge_Entry_Aggregate_Fields = {
    __typename?: 'judge_entry_aggregate_fields';
    avg?: Maybe<Judge_Entry_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Judge_Entry_Max_Fields>;
    min?: Maybe<Judge_Entry_Min_Fields>;
    stddev?: Maybe<Judge_Entry_Stddev_Fields>;
    stddev_pop?: Maybe<Judge_Entry_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Judge_Entry_Stddev_Samp_Fields>;
    sum?: Maybe<Judge_Entry_Sum_Fields>;
    var_pop?: Maybe<Judge_Entry_Var_Pop_Fields>;
    var_samp?: Maybe<Judge_Entry_Var_Samp_Fields>;
    variance?: Maybe<Judge_Entry_Variance_Fields>;
};
/** aggregate fields of "judge_entry" */
export type Judge_Entry_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Judge_Entry_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Judge_Entry_Avg_Fields = {
    __typename?: 'judge_entry_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "judge_entry". All fields are combined with a logical 'AND'. */
export type Judge_Entry_Bool_Exp = {
    _and?: InputMaybe<Array<Judge_Entry_Bool_Exp>>;
    _not?: InputMaybe<Judge_Entry_Bool_Exp>;
    _or?: InputMaybe<Array<Judge_Entry_Bool_Exp>>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    uri?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "judge_entry" */
export declare enum Judge_Entry_Constraint {
    /** unique or primary key constraint on columns "id" */
    JudgeEntryPkey = "judge_entry_pkey"
}
/** input type for incrementing numeric columns in table "judge_entry" */
export type Judge_Entry_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "judge_entry" */
export type Judge_Entry_Insert_Input = {
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Judge_Entry_Max_Fields = {
    __typename?: 'judge_entry_max_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    uri?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Judge_Entry_Min_Fields = {
    __typename?: 'judge_entry_min_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    uri?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "judge_entry" */
export type Judge_Entry_Mutation_Response = {
    __typename?: 'judge_entry_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Judge_Entry>;
};
/** input type for inserting object relation for remote table "judge_entry" */
export type Judge_Entry_Obj_Rel_Insert_Input = {
    data: Judge_Entry_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Judge_Entry_On_Conflict>;
};
/** on_conflict condition type for table "judge_entry" */
export type Judge_Entry_On_Conflict = {
    constraint: Judge_Entry_Constraint;
    update_columns?: Array<Judge_Entry_Update_Column>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
/** Ordering options when selecting data from "judge_entry". */
export type Judge_Entry_Order_By = {
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
};
/** primary key columns input for table: judge_entry */
export type Judge_Entry_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "judge_entry" */
export declare enum Judge_Entry_Select_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    Uri = "uri"
}
/** input type for updating data in table "judge_entry" */
export type Judge_Entry_Set_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Judge_Entry_Stddev_Fields = {
    __typename?: 'judge_entry_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Judge_Entry_Stddev_Pop_Fields = {
    __typename?: 'judge_entry_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Judge_Entry_Stddev_Samp_Fields = {
    __typename?: 'judge_entry_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "judge_entry" */
export type Judge_Entry_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Judge_Entry_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Judge_Entry_Stream_Cursor_Value_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Judge_Entry_Sum_Fields = {
    __typename?: 'judge_entry_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "judge_entry" */
export declare enum Judge_Entry_Update_Column {
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    Uri = "uri"
}
export type Judge_Entry_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Judge_Entry_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Judge_Entry_Set_Input>;
    /** filter the rows which have to be updated */
    where: Judge_Entry_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Judge_Entry_Var_Pop_Fields = {
    __typename?: 'judge_entry_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Judge_Entry_Var_Samp_Fields = {
    __typename?: 'judge_entry_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Judge_Entry_Variance_Fields = {
    __typename?: 'judge_entry_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** input type for incrementing numeric columns in table "judge" */
export type Judge_Inc_Input = {
    answer?: InputMaybe<Scalars['Int']>;
    answer_type?: InputMaybe<Scalars['Int']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    delay_ms?: InputMaybe<Scalars['Int']>;
    display_type_id?: InputMaybe<Scalars['Int']>;
    example_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    judge_entry?: InputMaybe<Scalars['Int']>;
    judge_user?: InputMaybe<Scalars['Int']>;
    limit_ms?: InputMaybe<Scalars['Int']>;
    response_type?: InputMaybe<Scalars['Int']>;
    role_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "judge" */
export type Judge_Insert_Input = {
    answer?: InputMaybe<Scalars['Int']>;
    answerById?: InputMaybe<Answer_Obj_Rel_Insert_Input>;
    answerType?: InputMaybe<Answer_Type_Obj_Rel_Insert_Input>;
    answer_type?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    delay_ms?: InputMaybe<Scalars['Int']>;
    displayType?: InputMaybe<Judge_Display_Type_Obj_Rel_Insert_Input>;
    display_type_id?: InputMaybe<Scalars['Int']>;
    example?: InputMaybe<Example_Obj_Rel_Insert_Input>;
    example_id?: InputMaybe<Scalars['Int']>;
    failure_response_text?: InputMaybe<Scalars['String']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_dedicated?: InputMaybe<Scalars['Boolean']>;
    is_machine?: InputMaybe<Scalars['Boolean']>;
    is_person?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_user?: InputMaybe<Scalars['Boolean']>;
    judgeEntry?: InputMaybe<Judge_Entry_Obj_Rel_Insert_Input>;
    judgeTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    judge_entry?: InputMaybe<Scalars['Int']>;
    judge_user?: InputMaybe<Scalars['Int']>;
    limit_ms?: InputMaybe<Scalars['Int']>;
    questsOne?: InputMaybe<Quest_Arr_Rel_Insert_Input>;
    responseType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    response_text?: InputMaybe<Scalars['String']>;
    response_type?: InputMaybe<Scalars['Int']>;
    response_uri?: InputMaybe<Scalars['String']>;
    roleType?: InputMaybe<Judge_Role_Type_Obj_Rel_Insert_Input>;
    role_type_id?: InputMaybe<Scalars['Int']>;
    success_response_text?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Judge_Max_Fields = {
    __typename?: 'judge_max_fields';
    answer?: Maybe<Scalars['Int']>;
    answer_type?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    creator_id?: Maybe<Scalars['Int']>;
    delay_ms?: Maybe<Scalars['Int']>;
    display_type_id?: Maybe<Scalars['Int']>;
    example_id?: Maybe<Scalars['Int']>;
    failure_response_text?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    judge_entry?: Maybe<Scalars['Int']>;
    judge_user?: Maybe<Scalars['Int']>;
    limit_ms?: Maybe<Scalars['Int']>;
    response_text?: Maybe<Scalars['String']>;
    response_type?: Maybe<Scalars['Int']>;
    response_uri?: Maybe<Scalars['String']>;
    role_type_id?: Maybe<Scalars['Int']>;
    success_response_text?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "judge" */
export type Judge_Max_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    failure_response_text?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_text?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    response_uri?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
    success_response_text?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Judge_Min_Fields = {
    __typename?: 'judge_min_fields';
    answer?: Maybe<Scalars['Int']>;
    answer_type?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    creator_id?: Maybe<Scalars['Int']>;
    delay_ms?: Maybe<Scalars['Int']>;
    display_type_id?: Maybe<Scalars['Int']>;
    example_id?: Maybe<Scalars['Int']>;
    failure_response_text?: Maybe<Scalars['String']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    judge_entry?: Maybe<Scalars['Int']>;
    judge_user?: Maybe<Scalars['Int']>;
    limit_ms?: Maybe<Scalars['Int']>;
    response_text?: Maybe<Scalars['String']>;
    response_type?: Maybe<Scalars['Int']>;
    response_uri?: Maybe<Scalars['String']>;
    role_type_id?: Maybe<Scalars['Int']>;
    success_response_text?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "judge" */
export type Judge_Min_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    failure_response_text?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_text?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    response_uri?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
    success_response_text?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "judge" */
export type Judge_Mutation_Response = {
    __typename?: 'judge_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Judge>;
};
/** input type for inserting object relation for remote table "judge" */
export type Judge_Obj_Rel_Insert_Input = {
    data: Judge_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Judge_On_Conflict>;
};
/** on_conflict condition type for table "judge" */
export type Judge_On_Conflict = {
    constraint: Judge_Constraint;
    update_columns?: Array<Judge_Update_Column>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
/** Ordering options when selecting data from "judge". */
export type Judge_Order_By = {
    answer?: InputMaybe<Order_By>;
    answerById?: InputMaybe<Answer_Order_By>;
    answerType?: InputMaybe<Answer_Type_Order_By>;
    answer_type?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    displayType?: InputMaybe<Judge_Display_Type_Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example?: InputMaybe<Example_Order_By>;
    example_id?: InputMaybe<Order_By>;
    failure_response_text?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_dedicated?: InputMaybe<Order_By>;
    is_machine?: InputMaybe<Order_By>;
    is_person?: InputMaybe<Order_By>;
    is_running?: InputMaybe<Order_By>;
    is_user?: InputMaybe<Order_By>;
    judgeEntry?: InputMaybe<Judge_Entry_Order_By>;
    judgeTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    questsOne_aggregate?: InputMaybe<Quest_Aggregate_Order_By>;
    responseType?: InputMaybe<Piece_Type_Order_By>;
    response_text?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    response_uri?: InputMaybe<Order_By>;
    roleType?: InputMaybe<Judge_Role_Type_Order_By>;
    role_type_id?: InputMaybe<Order_By>;
    success_response_text?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: judge */
export type Judge_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "judge_role_type" */
export type Judge_Role_Type = {
    __typename?: 'judge_role_type';
    have_quest_state_effect: Scalars['Boolean'];
    id: Scalars['Int'];
    name: Scalars['String'];
};
/** aggregated selection of "judge_role_type" */
export type Judge_Role_Type_Aggregate = {
    __typename?: 'judge_role_type_aggregate';
    aggregate?: Maybe<Judge_Role_Type_Aggregate_Fields>;
    nodes: Array<Judge_Role_Type>;
};
/** aggregate fields of "judge_role_type" */
export type Judge_Role_Type_Aggregate_Fields = {
    __typename?: 'judge_role_type_aggregate_fields';
    avg?: Maybe<Judge_Role_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Judge_Role_Type_Max_Fields>;
    min?: Maybe<Judge_Role_Type_Min_Fields>;
    stddev?: Maybe<Judge_Role_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Judge_Role_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Judge_Role_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Judge_Role_Type_Sum_Fields>;
    var_pop?: Maybe<Judge_Role_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Judge_Role_Type_Var_Samp_Fields>;
    variance?: Maybe<Judge_Role_Type_Variance_Fields>;
};
/** aggregate fields of "judge_role_type" */
export type Judge_Role_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Judge_Role_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Judge_Role_Type_Avg_Fields = {
    __typename?: 'judge_role_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "judge_role_type". All fields are combined with a logical 'AND'. */
export type Judge_Role_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Judge_Role_Type_Bool_Exp>>;
    _not?: InputMaybe<Judge_Role_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Judge_Role_Type_Bool_Exp>>;
    have_quest_state_effect?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "judge_role_type" */
export declare enum Judge_Role_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    JudgeRoleTypePkey = "judge_role_type_pkey"
}
/** input type for incrementing numeric columns in table "judge_role_type" */
export type Judge_Role_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "judge_role_type" */
export type Judge_Role_Type_Insert_Input = {
    have_quest_state_effect?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Judge_Role_Type_Max_Fields = {
    __typename?: 'judge_role_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Judge_Role_Type_Min_Fields = {
    __typename?: 'judge_role_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "judge_role_type" */
export type Judge_Role_Type_Mutation_Response = {
    __typename?: 'judge_role_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Judge_Role_Type>;
};
/** input type for inserting object relation for remote table "judge_role_type" */
export type Judge_Role_Type_Obj_Rel_Insert_Input = {
    data: Judge_Role_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Judge_Role_Type_On_Conflict>;
};
/** on_conflict condition type for table "judge_role_type" */
export type Judge_Role_Type_On_Conflict = {
    constraint: Judge_Role_Type_Constraint;
    update_columns?: Array<Judge_Role_Type_Update_Column>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "judge_role_type". */
export type Judge_Role_Type_Order_By = {
    have_quest_state_effect?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: judge_role_type */
export type Judge_Role_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "judge_role_type" */
export declare enum Judge_Role_Type_Select_Column {
    /** column name */
    HaveQuestStateEffect = "have_quest_state_effect",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "judge_role_type" */
export type Judge_Role_Type_Set_Input = {
    have_quest_state_effect?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Judge_Role_Type_Stddev_Fields = {
    __typename?: 'judge_role_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Judge_Role_Type_Stddev_Pop_Fields = {
    __typename?: 'judge_role_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Judge_Role_Type_Stddev_Samp_Fields = {
    __typename?: 'judge_role_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "judge_role_type" */
export type Judge_Role_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Judge_Role_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Judge_Role_Type_Stream_Cursor_Value_Input = {
    have_quest_state_effect?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Judge_Role_Type_Sum_Fields = {
    __typename?: 'judge_role_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "judge_role_type" */
export declare enum Judge_Role_Type_Update_Column {
    /** column name */
    HaveQuestStateEffect = "have_quest_state_effect",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
export type Judge_Role_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Judge_Role_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Judge_Role_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Judge_Role_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Judge_Role_Type_Var_Pop_Fields = {
    __typename?: 'judge_role_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Judge_Role_Type_Var_Samp_Fields = {
    __typename?: 'judge_role_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Judge_Role_Type_Variance_Fields = {
    __typename?: 'judge_role_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** select columns of table "judge" */
export declare enum Judge_Select_Column {
    /** column name */
    Answer = "answer",
    /** column name */
    AnswerType = "answer_type",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    DelayMs = "delay_ms",
    /** column name */
    DisplayTypeId = "display_type_id",
    /** column name */
    ExampleId = "example_id",
    /** column name */
    FailureResponseText = "failure_response_text",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsDedicated = "is_dedicated",
    /** column name */
    IsMachine = "is_machine",
    /** column name */
    IsPerson = "is_person",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsUser = "is_user",
    /** column name */
    JudgeEntry = "judge_entry",
    /** column name */
    JudgeUser = "judge_user",
    /** column name */
    LimitMs = "limit_ms",
    /** column name */
    ResponseText = "response_text",
    /** column name */
    ResponseType = "response_type",
    /** column name */
    ResponseUri = "response_uri",
    /** column name */
    RoleTypeId = "role_type_id",
    /** column name */
    SuccessResponseText = "success_response_text",
    /** column name */
    Title = "title"
}
/** select "judge_aggregate_bool_exp_bool_and_arguments_columns" columns of table "judge" */
export declare enum Judge_Select_Column_Judge_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsDedicated = "is_dedicated",
    /** column name */
    IsMachine = "is_machine",
    /** column name */
    IsPerson = "is_person",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsUser = "is_user"
}
/** select "judge_aggregate_bool_exp_bool_or_arguments_columns" columns of table "judge" */
export declare enum Judge_Select_Column_Judge_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsDedicated = "is_dedicated",
    /** column name */
    IsMachine = "is_machine",
    /** column name */
    IsPerson = "is_person",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsUser = "is_user"
}
/** input type for updating data in table "judge" */
export type Judge_Set_Input = {
    answer?: InputMaybe<Scalars['Int']>;
    answer_type?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    delay_ms?: InputMaybe<Scalars['Int']>;
    display_type_id?: InputMaybe<Scalars['Int']>;
    example_id?: InputMaybe<Scalars['Int']>;
    failure_response_text?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_dedicated?: InputMaybe<Scalars['Boolean']>;
    is_machine?: InputMaybe<Scalars['Boolean']>;
    is_person?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_user?: InputMaybe<Scalars['Boolean']>;
    judge_entry?: InputMaybe<Scalars['Int']>;
    judge_user?: InputMaybe<Scalars['Int']>;
    limit_ms?: InputMaybe<Scalars['Int']>;
    response_text?: InputMaybe<Scalars['String']>;
    response_type?: InputMaybe<Scalars['Int']>;
    response_uri?: InputMaybe<Scalars['String']>;
    role_type_id?: InputMaybe<Scalars['Int']>;
    success_response_text?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Judge_Stddev_Fields = {
    __typename?: 'judge_stddev_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "judge" */
export type Judge_Stddev_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Judge_Stddev_Pop_Fields = {
    __typename?: 'judge_stddev_pop_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "judge" */
export type Judge_Stddev_Pop_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Judge_Stddev_Samp_Fields = {
    __typename?: 'judge_stddev_samp_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "judge" */
export type Judge_Stddev_Samp_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "judge" */
export type Judge_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Judge_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Judge_Stream_Cursor_Value_Input = {
    answer?: InputMaybe<Scalars['Int']>;
    answer_type?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    delay_ms?: InputMaybe<Scalars['Int']>;
    display_type_id?: InputMaybe<Scalars['Int']>;
    example_id?: InputMaybe<Scalars['Int']>;
    failure_response_text?: InputMaybe<Scalars['String']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_dedicated?: InputMaybe<Scalars['Boolean']>;
    is_machine?: InputMaybe<Scalars['Boolean']>;
    is_person?: InputMaybe<Scalars['Boolean']>;
    is_running?: InputMaybe<Scalars['Boolean']>;
    is_user?: InputMaybe<Scalars['Boolean']>;
    judge_entry?: InputMaybe<Scalars['Int']>;
    judge_user?: InputMaybe<Scalars['Int']>;
    limit_ms?: InputMaybe<Scalars['Int']>;
    response_text?: InputMaybe<Scalars['String']>;
    response_type?: InputMaybe<Scalars['Int']>;
    response_uri?: InputMaybe<Scalars['String']>;
    role_type_id?: InputMaybe<Scalars['Int']>;
    success_response_text?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Judge_Sum_Fields = {
    __typename?: 'judge_sum_fields';
    answer?: Maybe<Scalars['Int']>;
    answer_type?: Maybe<Scalars['Int']>;
    creator_id?: Maybe<Scalars['Int']>;
    delay_ms?: Maybe<Scalars['Int']>;
    display_type_id?: Maybe<Scalars['Int']>;
    example_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    judge_entry?: Maybe<Scalars['Int']>;
    judge_user?: Maybe<Scalars['Int']>;
    limit_ms?: Maybe<Scalars['Int']>;
    response_type?: Maybe<Scalars['Int']>;
    role_type_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "judge" */
export type Judge_Sum_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** update columns of table "judge" */
export declare enum Judge_Update_Column {
    /** column name */
    Answer = "answer",
    /** column name */
    AnswerType = "answer_type",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    DelayMs = "delay_ms",
    /** column name */
    DisplayTypeId = "display_type_id",
    /** column name */
    ExampleId = "example_id",
    /** column name */
    FailureResponseText = "failure_response_text",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsDedicated = "is_dedicated",
    /** column name */
    IsMachine = "is_machine",
    /** column name */
    IsPerson = "is_person",
    /** column name */
    IsRunning = "is_running",
    /** column name */
    IsUser = "is_user",
    /** column name */
    JudgeEntry = "judge_entry",
    /** column name */
    JudgeUser = "judge_user",
    /** column name */
    LimitMs = "limit_ms",
    /** column name */
    ResponseText = "response_text",
    /** column name */
    ResponseType = "response_type",
    /** column name */
    ResponseUri = "response_uri",
    /** column name */
    RoleTypeId = "role_type_id",
    /** column name */
    SuccessResponseText = "success_response_text",
    /** column name */
    Title = "title"
}
export type Judge_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Judge_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Judge_Set_Input>;
    /** filter the rows which have to be updated */
    where: Judge_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Judge_Var_Pop_Fields = {
    __typename?: 'judge_var_pop_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "judge" */
export type Judge_Var_Pop_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Judge_Var_Samp_Fields = {
    __typename?: 'judge_var_samp_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "judge" */
export type Judge_Var_Samp_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Judge_Variance_Fields = {
    __typename?: 'judge_variance_fields';
    answer?: Maybe<Scalars['Float']>;
    answer_type?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    delay_ms?: Maybe<Scalars['Float']>;
    display_type_id?: Maybe<Scalars['Float']>;
    example_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_entry?: Maybe<Scalars['Float']>;
    judge_user?: Maybe<Scalars['Float']>;
    limit_ms?: Maybe<Scalars['Float']>;
    response_type?: Maybe<Scalars['Float']>;
    role_type_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "judge" */
export type Judge_Variance_Order_By = {
    answer?: InputMaybe<Order_By>;
    answer_type?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    delay_ms?: InputMaybe<Order_By>;
    display_type_id?: InputMaybe<Order_By>;
    example_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge_entry?: InputMaybe<Order_By>;
    judge_user?: InputMaybe<Order_By>;
    limit_ms?: InputMaybe<Order_By>;
    response_type?: InputMaybe<Order_By>;
    role_type_id?: InputMaybe<Order_By>;
};
/** columns and relationships of "kairos" */
export type Kairos = {
    __typename?: 'kairos';
    close_time?: Maybe<Scalars['time']>;
    id: Scalars['Int'];
    is_daily?: Maybe<Scalars['Boolean']>;
    is_fixed?: Maybe<Scalars['Boolean']>;
    is_on_everyday?: Maybe<Scalars['Boolean']>;
    is_weekly?: Maybe<Scalars['Boolean']>;
    open_time?: Maybe<Scalars['time']>;
    term_days?: Maybe<Scalars['Int']>;
    weekday_code_type?: Maybe<Scalars['String']>;
    weekdays_code?: Maybe<Scalars['String']>;
};
/** aggregated selection of "kairos" */
export type Kairos_Aggregate = {
    __typename?: 'kairos_aggregate';
    aggregate?: Maybe<Kairos_Aggregate_Fields>;
    nodes: Array<Kairos>;
};
/** aggregate fields of "kairos" */
export type Kairos_Aggregate_Fields = {
    __typename?: 'kairos_aggregate_fields';
    avg?: Maybe<Kairos_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Kairos_Max_Fields>;
    min?: Maybe<Kairos_Min_Fields>;
    stddev?: Maybe<Kairos_Stddev_Fields>;
    stddev_pop?: Maybe<Kairos_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Kairos_Stddev_Samp_Fields>;
    sum?: Maybe<Kairos_Sum_Fields>;
    var_pop?: Maybe<Kairos_Var_Pop_Fields>;
    var_samp?: Maybe<Kairos_Var_Samp_Fields>;
    variance?: Maybe<Kairos_Variance_Fields>;
};
/** aggregate fields of "kairos" */
export type Kairos_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Kairos_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Kairos_Avg_Fields = {
    __typename?: 'kairos_avg_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "kairos". All fields are combined with a logical 'AND'. */
export type Kairos_Bool_Exp = {
    _and?: InputMaybe<Array<Kairos_Bool_Exp>>;
    _not?: InputMaybe<Kairos_Bool_Exp>;
    _or?: InputMaybe<Array<Kairos_Bool_Exp>>;
    close_time?: InputMaybe<Time_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_daily?: InputMaybe<Boolean_Comparison_Exp>;
    is_fixed?: InputMaybe<Boolean_Comparison_Exp>;
    is_on_everyday?: InputMaybe<Boolean_Comparison_Exp>;
    is_weekly?: InputMaybe<Boolean_Comparison_Exp>;
    open_time?: InputMaybe<Time_Comparison_Exp>;
    term_days?: InputMaybe<Int_Comparison_Exp>;
    weekday_code_type?: InputMaybe<String_Comparison_Exp>;
    weekdays_code?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "kairos" */
export declare enum Kairos_Constraint {
    /** unique or primary key constraint on columns "id" */
    KairosPkey = "kairos_pkey"
}
/** input type for incrementing numeric columns in table "kairos" */
export type Kairos_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    term_days?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "kairos" */
export type Kairos_Insert_Input = {
    close_time?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_daily?: InputMaybe<Scalars['Boolean']>;
    is_fixed?: InputMaybe<Scalars['Boolean']>;
    is_on_everyday?: InputMaybe<Scalars['Boolean']>;
    is_weekly?: InputMaybe<Scalars['Boolean']>;
    open_time?: InputMaybe<Scalars['time']>;
    term_days?: InputMaybe<Scalars['Int']>;
    weekday_code_type?: InputMaybe<Scalars['String']>;
    weekdays_code?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Kairos_Max_Fields = {
    __typename?: 'kairos_max_fields';
    id?: Maybe<Scalars['Int']>;
    term_days?: Maybe<Scalars['Int']>;
    weekday_code_type?: Maybe<Scalars['String']>;
    weekdays_code?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Kairos_Min_Fields = {
    __typename?: 'kairos_min_fields';
    id?: Maybe<Scalars['Int']>;
    term_days?: Maybe<Scalars['Int']>;
    weekday_code_type?: Maybe<Scalars['String']>;
    weekdays_code?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "kairos" */
export type Kairos_Mutation_Response = {
    __typename?: 'kairos_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Kairos>;
};
/** input type for inserting object relation for remote table "kairos" */
export type Kairos_Obj_Rel_Insert_Input = {
    data: Kairos_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Kairos_On_Conflict>;
};
/** on_conflict condition type for table "kairos" */
export type Kairos_On_Conflict = {
    constraint: Kairos_Constraint;
    update_columns?: Array<Kairos_Update_Column>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
/** Ordering options when selecting data from "kairos". */
export type Kairos_Order_By = {
    close_time?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_daily?: InputMaybe<Order_By>;
    is_fixed?: InputMaybe<Order_By>;
    is_on_everyday?: InputMaybe<Order_By>;
    is_weekly?: InputMaybe<Order_By>;
    open_time?: InputMaybe<Order_By>;
    term_days?: InputMaybe<Order_By>;
    weekday_code_type?: InputMaybe<Order_By>;
    weekdays_code?: InputMaybe<Order_By>;
};
/** primary key columns input for table: kairos */
export type Kairos_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "kairos" */
export declare enum Kairos_Select_Column {
    /** column name */
    CloseTime = "close_time",
    /** column name */
    Id = "id",
    /** column name */
    IsDaily = "is_daily",
    /** column name */
    IsFixed = "is_fixed",
    /** column name */
    IsOnEveryday = "is_on_everyday",
    /** column name */
    IsWeekly = "is_weekly",
    /** column name */
    OpenTime = "open_time",
    /** column name */
    TermDays = "term_days",
    /** column name */
    WeekdayCodeType = "weekday_code_type",
    /** column name */
    WeekdaysCode = "weekdays_code"
}
/** input type for updating data in table "kairos" */
export type Kairos_Set_Input = {
    close_time?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_daily?: InputMaybe<Scalars['Boolean']>;
    is_fixed?: InputMaybe<Scalars['Boolean']>;
    is_on_everyday?: InputMaybe<Scalars['Boolean']>;
    is_weekly?: InputMaybe<Scalars['Boolean']>;
    open_time?: InputMaybe<Scalars['time']>;
    term_days?: InputMaybe<Scalars['Int']>;
    weekday_code_type?: InputMaybe<Scalars['String']>;
    weekdays_code?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Kairos_Stddev_Fields = {
    __typename?: 'kairos_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Kairos_Stddev_Pop_Fields = {
    __typename?: 'kairos_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Kairos_Stddev_Samp_Fields = {
    __typename?: 'kairos_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "kairos" */
export type Kairos_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Kairos_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Kairos_Stream_Cursor_Value_Input = {
    close_time?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_daily?: InputMaybe<Scalars['Boolean']>;
    is_fixed?: InputMaybe<Scalars['Boolean']>;
    is_on_everyday?: InputMaybe<Scalars['Boolean']>;
    is_weekly?: InputMaybe<Scalars['Boolean']>;
    open_time?: InputMaybe<Scalars['time']>;
    term_days?: InputMaybe<Scalars['Int']>;
    weekday_code_type?: InputMaybe<Scalars['String']>;
    weekdays_code?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Kairos_Sum_Fields = {
    __typename?: 'kairos_sum_fields';
    id?: Maybe<Scalars['Int']>;
    term_days?: Maybe<Scalars['Int']>;
};
/** update columns of table "kairos" */
export declare enum Kairos_Update_Column {
    /** column name */
    CloseTime = "close_time",
    /** column name */
    Id = "id",
    /** column name */
    IsDaily = "is_daily",
    /** column name */
    IsFixed = "is_fixed",
    /** column name */
    IsOnEveryday = "is_on_everyday",
    /** column name */
    IsWeekly = "is_weekly",
    /** column name */
    OpenTime = "open_time",
    /** column name */
    TermDays = "term_days",
    /** column name */
    WeekdayCodeType = "weekday_code_type",
    /** column name */
    WeekdaysCode = "weekdays_code"
}
export type Kairos_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Kairos_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Kairos_Set_Input>;
    /** filter the rows which have to be updated */
    where: Kairos_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Kairos_Var_Pop_Fields = {
    __typename?: 'kairos_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Kairos_Var_Samp_Fields = {
    __typename?: 'kairos_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Kairos_Variance_Fields = {
    __typename?: 'kairos_variance_fields';
    id?: Maybe<Scalars['Float']>;
    term_days?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "keyword_description" */
export type Keyword_Description = {
    __typename?: 'keyword_description';
    description: Scalars['String'];
    id: Scalars['Int'];
    keyword: Scalars['String'];
};
/** aggregated selection of "keyword_description" */
export type Keyword_Description_Aggregate = {
    __typename?: 'keyword_description_aggregate';
    aggregate?: Maybe<Keyword_Description_Aggregate_Fields>;
    nodes: Array<Keyword_Description>;
};
/** aggregate fields of "keyword_description" */
export type Keyword_Description_Aggregate_Fields = {
    __typename?: 'keyword_description_aggregate_fields';
    avg?: Maybe<Keyword_Description_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Keyword_Description_Max_Fields>;
    min?: Maybe<Keyword_Description_Min_Fields>;
    stddev?: Maybe<Keyword_Description_Stddev_Fields>;
    stddev_pop?: Maybe<Keyword_Description_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Keyword_Description_Stddev_Samp_Fields>;
    sum?: Maybe<Keyword_Description_Sum_Fields>;
    var_pop?: Maybe<Keyword_Description_Var_Pop_Fields>;
    var_samp?: Maybe<Keyword_Description_Var_Samp_Fields>;
    variance?: Maybe<Keyword_Description_Variance_Fields>;
};
/** aggregate fields of "keyword_description" */
export type Keyword_Description_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Keyword_Description_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Keyword_Description_Avg_Fields = {
    __typename?: 'keyword_description_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "keyword_description". All fields are combined with a logical 'AND'. */
export type Keyword_Description_Bool_Exp = {
    _and?: InputMaybe<Array<Keyword_Description_Bool_Exp>>;
    _not?: InputMaybe<Keyword_Description_Bool_Exp>;
    _or?: InputMaybe<Array<Keyword_Description_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    keyword?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "keyword_description" */
export declare enum Keyword_Description_Constraint {
    /** unique or primary key constraint on columns "id" */
    KeywordDescriptionPkey = "keyword_description_pkey"
}
/** input type for incrementing numeric columns in table "keyword_description" */
export type Keyword_Description_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "keyword_description" */
export type Keyword_Description_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    keyword?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Keyword_Description_Max_Fields = {
    __typename?: 'keyword_description_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    keyword?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Keyword_Description_Min_Fields = {
    __typename?: 'keyword_description_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    keyword?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "keyword_description" */
export type Keyword_Description_Mutation_Response = {
    __typename?: 'keyword_description_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Keyword_Description>;
};
/** on_conflict condition type for table "keyword_description" */
export type Keyword_Description_On_Conflict = {
    constraint: Keyword_Description_Constraint;
    update_columns?: Array<Keyword_Description_Update_Column>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
/** Ordering options when selecting data from "keyword_description". */
export type Keyword_Description_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    keyword?: InputMaybe<Order_By>;
};
/** primary key columns input for table: keyword_description */
export type Keyword_Description_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "keyword_description" */
export declare enum Keyword_Description_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Keyword = "keyword"
}
/** input type for updating data in table "keyword_description" */
export type Keyword_Description_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    keyword?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Keyword_Description_Stddev_Fields = {
    __typename?: 'keyword_description_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Keyword_Description_Stddev_Pop_Fields = {
    __typename?: 'keyword_description_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Keyword_Description_Stddev_Samp_Fields = {
    __typename?: 'keyword_description_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "keyword_description" */
export type Keyword_Description_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Keyword_Description_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Keyword_Description_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    keyword?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Keyword_Description_Sum_Fields = {
    __typename?: 'keyword_description_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "keyword_description" */
export declare enum Keyword_Description_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Keyword = "keyword"
}
export type Keyword_Description_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Keyword_Description_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Keyword_Description_Set_Input>;
    /** filter the rows which have to be updated */
    where: Keyword_Description_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Keyword_Description_Var_Pop_Fields = {
    __typename?: 'keyword_description_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Keyword_Description_Var_Samp_Fields = {
    __typename?: 'keyword_description_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Keyword_Description_Variance_Fields = {
    __typename?: 'keyword_description_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "language" */
export type Language = {
    __typename?: 'language';
    currency: Scalars['String'];
    date_format: Scalars['String'];
    language_code: Scalars['String'];
    name: Scalars['String'];
    name_in_native_language: Scalars['String'];
};
/** aggregated selection of "language" */
export type Language_Aggregate = {
    __typename?: 'language_aggregate';
    aggregate?: Maybe<Language_Aggregate_Fields>;
    nodes: Array<Language>;
};
/** aggregate fields of "language" */
export type Language_Aggregate_Fields = {
    __typename?: 'language_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Language_Max_Fields>;
    min?: Maybe<Language_Min_Fields>;
};
/** aggregate fields of "language" */
export type Language_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Language_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** Boolean expression to filter rows from the table "language". All fields are combined with a logical 'AND'. */
export type Language_Bool_Exp = {
    _and?: InputMaybe<Array<Language_Bool_Exp>>;
    _not?: InputMaybe<Language_Bool_Exp>;
    _or?: InputMaybe<Array<Language_Bool_Exp>>;
    currency?: InputMaybe<String_Comparison_Exp>;
    date_format?: InputMaybe<String_Comparison_Exp>;
    language_code?: InputMaybe<String_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    name_in_native_language?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "language" */
export declare enum Language_Constraint {
    /** unique or primary key constraint on columns "language_code" */
    LanguagePkey = "language_pkey"
}
/** input type for inserting data into table "language" */
export type Language_Insert_Input = {
    currency?: InputMaybe<Scalars['String']>;
    date_format?: InputMaybe<Scalars['String']>;
    language_code?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    name_in_native_language?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Language_Max_Fields = {
    __typename?: 'language_max_fields';
    currency?: Maybe<Scalars['String']>;
    date_format?: Maybe<Scalars['String']>;
    language_code?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
    name_in_native_language?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Language_Min_Fields = {
    __typename?: 'language_min_fields';
    currency?: Maybe<Scalars['String']>;
    date_format?: Maybe<Scalars['String']>;
    language_code?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
    name_in_native_language?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "language" */
export type Language_Mutation_Response = {
    __typename?: 'language_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Language>;
};
/** on_conflict condition type for table "language" */
export type Language_On_Conflict = {
    constraint: Language_Constraint;
    update_columns?: Array<Language_Update_Column>;
    where?: InputMaybe<Language_Bool_Exp>;
};
/** Ordering options when selecting data from "language". */
export type Language_Order_By = {
    currency?: InputMaybe<Order_By>;
    date_format?: InputMaybe<Order_By>;
    language_code?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    name_in_native_language?: InputMaybe<Order_By>;
};
/** primary key columns input for table: language */
export type Language_Pk_Columns_Input = {
    language_code: Scalars['String'];
};
/** select columns of table "language" */
export declare enum Language_Select_Column {
    /** column name */
    Currency = "currency",
    /** column name */
    DateFormat = "date_format",
    /** column name */
    LanguageCode = "language_code",
    /** column name */
    Name = "name",
    /** column name */
    NameInNativeLanguage = "name_in_native_language"
}
/** input type for updating data in table "language" */
export type Language_Set_Input = {
    currency?: InputMaybe<Scalars['String']>;
    date_format?: InputMaybe<Scalars['String']>;
    language_code?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    name_in_native_language?: InputMaybe<Scalars['String']>;
};
/** Streaming cursor of the table "language" */
export type Language_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Language_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Language_Stream_Cursor_Value_Input = {
    currency?: InputMaybe<Scalars['String']>;
    date_format?: InputMaybe<Scalars['String']>;
    language_code?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    name_in_native_language?: InputMaybe<Scalars['String']>;
};
/** update columns of table "language" */
export declare enum Language_Update_Column {
    /** column name */
    Currency = "currency",
    /** column name */
    DateFormat = "date_format",
    /** column name */
    LanguageCode = "language_code",
    /** column name */
    Name = "name",
    /** column name */
    NameInNativeLanguage = "name_in_native_language"
}
export type Language_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Language_Set_Input>;
    /** filter the rows which have to be updated */
    where: Language_Bool_Exp;
};
/** columns and relationships of "location" */
export type Location = {
    __typename?: 'location';
    /** An object relationship */
    area?: Maybe<Area>;
    area_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    detailed_address?: Maybe<Scalars['String']>;
    eng_address?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_of_area?: Maybe<Scalars['Int']>;
    is_of_locus?: Maybe<Scalars['Boolean']>;
    jibun_address?: Maybe<Scalars['String']>;
    last_seen?: Maybe<Scalars['timestamptz']>;
    lat?: Maybe<Scalars['String']>;
    long?: Maybe<Scalars['String']>;
    /** An object relationship */
    registrator?: Maybe<Treasure_User>;
    registrator_id?: Maybe<Scalars['Int']>;
    road_address?: Maybe<Scalars['String']>;
};
/** aggregated selection of "location" */
export type Location_Aggregate = {
    __typename?: 'location_aggregate';
    aggregate?: Maybe<Location_Aggregate_Fields>;
    nodes: Array<Location>;
};
/** aggregate fields of "location" */
export type Location_Aggregate_Fields = {
    __typename?: 'location_aggregate_fields';
    avg?: Maybe<Location_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Location_Max_Fields>;
    min?: Maybe<Location_Min_Fields>;
    stddev?: Maybe<Location_Stddev_Fields>;
    stddev_pop?: Maybe<Location_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Location_Stddev_Samp_Fields>;
    sum?: Maybe<Location_Sum_Fields>;
    var_pop?: Maybe<Location_Var_Pop_Fields>;
    var_samp?: Maybe<Location_Var_Samp_Fields>;
    variance?: Maybe<Location_Variance_Fields>;
};
/** aggregate fields of "location" */
export type Location_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Location_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Location_Avg_Fields = {
    __typename?: 'location_avg_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "location". All fields are combined with a logical 'AND'. */
export type Location_Bool_Exp = {
    _and?: InputMaybe<Array<Location_Bool_Exp>>;
    _not?: InputMaybe<Location_Bool_Exp>;
    _or?: InputMaybe<Array<Location_Bool_Exp>>;
    area?: InputMaybe<Area_Bool_Exp>;
    area_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    detailed_address?: InputMaybe<String_Comparison_Exp>;
    eng_address?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_of_area?: InputMaybe<Int_Comparison_Exp>;
    is_of_locus?: InputMaybe<Boolean_Comparison_Exp>;
    jibun_address?: InputMaybe<String_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamptz_Comparison_Exp>;
    lat?: InputMaybe<String_Comparison_Exp>;
    long?: InputMaybe<String_Comparison_Exp>;
    registrator?: InputMaybe<Treasure_User_Bool_Exp>;
    registrator_id?: InputMaybe<Int_Comparison_Exp>;
    road_address?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "location" */
export declare enum Location_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocationPkey = "location_pkey"
}
/** input type for incrementing numeric columns in table "location" */
export type Location_Inc_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_of_area?: InputMaybe<Scalars['Int']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "location" */
export type Location_Insert_Input = {
    area?: InputMaybe<Area_Obj_Rel_Insert_Input>;
    area_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    detailed_address?: InputMaybe<Scalars['String']>;
    eng_address?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_of_area?: InputMaybe<Scalars['Int']>;
    is_of_locus?: InputMaybe<Scalars['Boolean']>;
    jibun_address?: InputMaybe<Scalars['String']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    lat?: InputMaybe<Scalars['String']>;
    long?: InputMaybe<Scalars['String']>;
    registrator?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    road_address?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Location_Max_Fields = {
    __typename?: 'location_max_fields';
    area_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    detailed_address?: Maybe<Scalars['String']>;
    eng_address?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    is_of_area?: Maybe<Scalars['Int']>;
    jibun_address?: Maybe<Scalars['String']>;
    last_seen?: Maybe<Scalars['timestamptz']>;
    lat?: Maybe<Scalars['String']>;
    long?: Maybe<Scalars['String']>;
    registrator_id?: Maybe<Scalars['Int']>;
    road_address?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Location_Min_Fields = {
    __typename?: 'location_min_fields';
    area_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    detailed_address?: Maybe<Scalars['String']>;
    eng_address?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    is_of_area?: Maybe<Scalars['Int']>;
    jibun_address?: Maybe<Scalars['String']>;
    last_seen?: Maybe<Scalars['timestamptz']>;
    lat?: Maybe<Scalars['String']>;
    long?: Maybe<Scalars['String']>;
    registrator_id?: Maybe<Scalars['Int']>;
    road_address?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "location" */
export type Location_Mutation_Response = {
    __typename?: 'location_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Location>;
};
/** input type for inserting object relation for remote table "location" */
export type Location_Obj_Rel_Insert_Input = {
    data: Location_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Location_On_Conflict>;
};
/** on_conflict condition type for table "location" */
export type Location_On_Conflict = {
    constraint: Location_Constraint;
    update_columns?: Array<Location_Update_Column>;
    where?: InputMaybe<Location_Bool_Exp>;
};
/** Ordering options when selecting data from "location". */
export type Location_Order_By = {
    area?: InputMaybe<Area_Order_By>;
    area_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    detailed_address?: InputMaybe<Order_By>;
    eng_address?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_of_area?: InputMaybe<Order_By>;
    is_of_locus?: InputMaybe<Order_By>;
    jibun_address?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    lat?: InputMaybe<Order_By>;
    long?: InputMaybe<Order_By>;
    registrator?: InputMaybe<Treasure_User_Order_By>;
    registrator_id?: InputMaybe<Order_By>;
    road_address?: InputMaybe<Order_By>;
};
/** primary key columns input for table: location */
export type Location_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "location" */
export declare enum Location_Select_Column {
    /** column name */
    AreaId = "area_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DetailedAddress = "detailed_address",
    /** column name */
    EngAddress = "eng_address",
    /** column name */
    Id = "id",
    /** column name */
    IsOfArea = "is_of_area",
    /** column name */
    IsOfLocus = "is_of_locus",
    /** column name */
    JibunAddress = "jibun_address",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Lat = "lat",
    /** column name */
    Long = "long",
    /** column name */
    RegistratorId = "registrator_id",
    /** column name */
    RoadAddress = "road_address"
}
/** input type for updating data in table "location" */
export type Location_Set_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    detailed_address?: InputMaybe<Scalars['String']>;
    eng_address?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_of_area?: InputMaybe<Scalars['Int']>;
    is_of_locus?: InputMaybe<Scalars['Boolean']>;
    jibun_address?: InputMaybe<Scalars['String']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    lat?: InputMaybe<Scalars['String']>;
    long?: InputMaybe<Scalars['String']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    road_address?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Location_Stddev_Fields = {
    __typename?: 'location_stddev_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Location_Stddev_Pop_Fields = {
    __typename?: 'location_stddev_pop_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Location_Stddev_Samp_Fields = {
    __typename?: 'location_stddev_samp_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "location" */
export type Location_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Location_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Location_Stream_Cursor_Value_Input = {
    area_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    detailed_address?: InputMaybe<Scalars['String']>;
    eng_address?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_of_area?: InputMaybe<Scalars['Int']>;
    is_of_locus?: InputMaybe<Scalars['Boolean']>;
    jibun_address?: InputMaybe<Scalars['String']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    lat?: InputMaybe<Scalars['String']>;
    long?: InputMaybe<Scalars['String']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    road_address?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Location_Sum_Fields = {
    __typename?: 'location_sum_fields';
    area_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    is_of_area?: Maybe<Scalars['Int']>;
    registrator_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "location" */
export declare enum Location_Update_Column {
    /** column name */
    AreaId = "area_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DetailedAddress = "detailed_address",
    /** column name */
    EngAddress = "eng_address",
    /** column name */
    Id = "id",
    /** column name */
    IsOfArea = "is_of_area",
    /** column name */
    IsOfLocus = "is_of_locus",
    /** column name */
    JibunAddress = "jibun_address",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Lat = "lat",
    /** column name */
    Long = "long",
    /** column name */
    RegistratorId = "registrator_id",
    /** column name */
    RoadAddress = "road_address"
}
export type Location_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Location_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Location_Set_Input>;
    /** filter the rows which have to be updated */
    where: Location_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Location_Var_Pop_Fields = {
    __typename?: 'location_var_pop_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Location_Var_Samp_Fields = {
    __typename?: 'location_var_samp_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Location_Variance_Fields = {
    __typename?: 'location_variance_fields';
    area_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    is_of_area?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "locus" */
export type Locus = {
    __typename?: 'locus';
    /** An object relationship */
    baseLocus?: Maybe<Locus>;
    base_locus_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    /** An array relationship */
    gifts: Array<Gift>;
    /** An aggregate relationship */
    gifts_aggregate: Gift_Aggregate;
    hash?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_base?: Maybe<Scalars['Boolean']>;
    is_instant?: Maybe<Scalars['Boolean']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    location?: Maybe<Location>;
    location_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    locusType?: Maybe<Locus_Type>;
    locus_type_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    manager?: Maybe<Treasure_User>;
    manager_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    members: Array<Locus_Member>;
    /** An aggregate relationship */
    members_aggregate: Locus_Member_Aggregate;
    /** An array relationship */
    operationTypes: Array<Locus_Operation_Type>;
    /** An aggregate relationship */
    operationTypes_aggregate: Locus_Operation_Type_Aggregate;
    /** An array relationship */
    pieceAndLocus: Array<Piece_Locus>;
    /** An aggregate relationship */
    pieceAndLocus_aggregate: Piece_Locus_Aggregate;
    questHash?: Maybe<Scalars['String']>;
    /** An object relationship */
    registrator?: Maybe<Treasure_User>;
    registrator_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    sponsorshipsAndlocuses: Array<Sponsorship_Locus>;
    /** An aggregate relationship */
    sponsorshipsAndlocuses_aggregate: Sponsorship_Locus_Aggregate;
    /** An object relationship */
    state?: Maybe<Locus_State>;
    state_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    tsvec_description?: Maybe<Scalars['tsvector']>;
    tsvec_title?: Maybe<Scalars['tsvector']>;
    /** An object relationship */
    workingKairos?: Maybe<Kairos>;
    working_kairos_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "locus" */
export type LocusGiftsArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusGifts_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusMembersArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusMembers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusOperationTypesArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusOperationTypes_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusPieceAndLocusArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusPieceAndLocus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusSponsorshipsAndlocusesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
/** columns and relationships of "locus" */
export type LocusSponsorshipsAndlocuses_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
/** aggregated selection of "locus" */
export type Locus_Aggregate = {
    __typename?: 'locus_aggregate';
    aggregate?: Maybe<Locus_Aggregate_Fields>;
    nodes: Array<Locus>;
};
/** aggregate fields of "locus" */
export type Locus_Aggregate_Fields = {
    __typename?: 'locus_aggregate_fields';
    avg?: Maybe<Locus_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Max_Fields>;
    min?: Maybe<Locus_Min_Fields>;
    stddev?: Maybe<Locus_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Sum_Fields>;
    var_pop?: Maybe<Locus_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Var_Samp_Fields>;
    variance?: Maybe<Locus_Variance_Fields>;
};
/** aggregate fields of "locus" */
export type Locus_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Locus_Avg_Fields = {
    __typename?: 'locus_avg_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "locus". All fields are combined with a logical 'AND'. */
export type Locus_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Bool_Exp>>;
    _not?: InputMaybe<Locus_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Bool_Exp>>;
    baseLocus?: InputMaybe<Locus_Bool_Exp>;
    base_locus_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    gifts?: InputMaybe<Gift_Bool_Exp>;
    gifts_aggregate?: InputMaybe<Gift_Aggregate_Bool_Exp>;
    hash?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_base?: InputMaybe<Boolean_Comparison_Exp>;
    is_instant?: InputMaybe<Boolean_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    location?: InputMaybe<Location_Bool_Exp>;
    location_id?: InputMaybe<Int_Comparison_Exp>;
    locusType?: InputMaybe<Locus_Type_Bool_Exp>;
    locus_type_id?: InputMaybe<Int_Comparison_Exp>;
    manager?: InputMaybe<Treasure_User_Bool_Exp>;
    manager_id?: InputMaybe<Int_Comparison_Exp>;
    members?: InputMaybe<Locus_Member_Bool_Exp>;
    members_aggregate?: InputMaybe<Locus_Member_Aggregate_Bool_Exp>;
    operationTypes?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
    operationTypes_aggregate?: InputMaybe<Locus_Operation_Type_Aggregate_Bool_Exp>;
    pieceAndLocus?: InputMaybe<Piece_Locus_Bool_Exp>;
    pieceAndLocus_aggregate?: InputMaybe<Piece_Locus_Aggregate_Bool_Exp>;
    questHash?: InputMaybe<String_Comparison_Exp>;
    registrator?: InputMaybe<Treasure_User_Bool_Exp>;
    registrator_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorshipsAndlocuses?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
    sponsorshipsAndlocuses_aggregate?: InputMaybe<Sponsorship_Locus_Aggregate_Bool_Exp>;
    state?: InputMaybe<Locus_State_Bool_Exp>;
    state_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    tsvec_description?: InputMaybe<Tsvector_Comparison_Exp>;
    tsvec_title?: InputMaybe<Tsvector_Comparison_Exp>;
    workingKairos?: InputMaybe<Kairos_Bool_Exp>;
    working_kairos_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus" */
export declare enum Locus_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusPkey = "locus_pkey",
    /** unique or primary key constraint on columns "title", "location_id" */
    LocusTitleLocationIdKey = "locus_title_location_id_key"
}
/** columns and relationships of "locus_imitate" */
export type Locus_Imitate = {
    __typename?: 'locus_imitate';
    /** An object relationship */
    baseLocus: Locus;
    base_locus_id: Scalars['Int'];
    created_at: Scalars['timestamptz'];
    hash?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_completed?: Maybe<Scalars['Boolean']>;
    is_instant?: Maybe<Scalars['Boolean']>;
    last_seen: Scalars['timestamptz'];
    /** An object relationship */
    operation?: Maybe<Operation>;
    operation_id?: Maybe<Scalars['Int']>;
    questHash?: Maybe<Scalars['String']>;
};
/** aggregated selection of "locus_imitate" */
export type Locus_Imitate_Aggregate = {
    __typename?: 'locus_imitate_aggregate';
    aggregate?: Maybe<Locus_Imitate_Aggregate_Fields>;
    nodes: Array<Locus_Imitate>;
};
export type Locus_Imitate_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Locus_Imitate_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Locus_Imitate_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Locus_Imitate_Aggregate_Bool_Exp_Count>;
};
export type Locus_Imitate_Aggregate_Bool_Exp_Bool_And = {
    arguments: Locus_Imitate_Select_Column_Locus_Imitate_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Imitate_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Locus_Imitate_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Locus_Imitate_Select_Column_Locus_Imitate_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Imitate_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Locus_Imitate_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Imitate_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "locus_imitate" */
export type Locus_Imitate_Aggregate_Fields = {
    __typename?: 'locus_imitate_aggregate_fields';
    avg?: Maybe<Locus_Imitate_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Imitate_Max_Fields>;
    min?: Maybe<Locus_Imitate_Min_Fields>;
    stddev?: Maybe<Locus_Imitate_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Imitate_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Imitate_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Imitate_Sum_Fields>;
    var_pop?: Maybe<Locus_Imitate_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Imitate_Var_Samp_Fields>;
    variance?: Maybe<Locus_Imitate_Variance_Fields>;
};
/** aggregate fields of "locus_imitate" */
export type Locus_Imitate_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "locus_imitate" */
export type Locus_Imitate_Aggregate_Order_By = {
    avg?: InputMaybe<Locus_Imitate_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Locus_Imitate_Max_Order_By>;
    min?: InputMaybe<Locus_Imitate_Min_Order_By>;
    stddev?: InputMaybe<Locus_Imitate_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Locus_Imitate_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Locus_Imitate_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Locus_Imitate_Sum_Order_By>;
    var_pop?: InputMaybe<Locus_Imitate_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Locus_Imitate_Var_Samp_Order_By>;
    variance?: InputMaybe<Locus_Imitate_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "locus_imitate" */
export type Locus_Imitate_Arr_Rel_Insert_Input = {
    data: Array<Locus_Imitate_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_Imitate_On_Conflict>;
};
/** aggregate avg on columns */
export type Locus_Imitate_Avg_Fields = {
    __typename?: 'locus_imitate_avg_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "locus_imitate" */
export type Locus_Imitate_Avg_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "locus_imitate". All fields are combined with a logical 'AND'. */
export type Locus_Imitate_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Imitate_Bool_Exp>>;
    _not?: InputMaybe<Locus_Imitate_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Imitate_Bool_Exp>>;
    baseLocus?: InputMaybe<Locus_Bool_Exp>;
    base_locus_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    hash?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_completed?: InputMaybe<Boolean_Comparison_Exp>;
    is_instant?: InputMaybe<Boolean_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamptz_Comparison_Exp>;
    operation?: InputMaybe<Operation_Bool_Exp>;
    operation_id?: InputMaybe<Int_Comparison_Exp>;
    questHash?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_imitate" */
export declare enum Locus_Imitate_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusImitatePkey = "locus_imitate_pkey"
}
/** input type for incrementing numeric columns in table "locus_imitate" */
export type Locus_Imitate_Inc_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    operation_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_imitate" */
export type Locus_Imitate_Insert_Input = {
    baseLocus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    operation?: InputMaybe<Operation_Obj_Rel_Insert_Input>;
    operation_id?: InputMaybe<Scalars['Int']>;
    questHash?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Locus_Imitate_Max_Fields = {
    __typename?: 'locus_imitate_max_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamptz']>;
    operation_id?: Maybe<Scalars['Int']>;
    questHash?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "locus_imitate" */
export type Locus_Imitate_Max_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    questHash?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Locus_Imitate_Min_Fields = {
    __typename?: 'locus_imitate_min_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamptz']>;
    operation_id?: Maybe<Scalars['Int']>;
    questHash?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "locus_imitate" */
export type Locus_Imitate_Min_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    questHash?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "locus_imitate" */
export type Locus_Imitate_Mutation_Response = {
    __typename?: 'locus_imitate_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Imitate>;
};
/** input type for inserting object relation for remote table "locus_imitate" */
export type Locus_Imitate_Obj_Rel_Insert_Input = {
    data: Locus_Imitate_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_Imitate_On_Conflict>;
};
/** on_conflict condition type for table "locus_imitate" */
export type Locus_Imitate_On_Conflict = {
    constraint: Locus_Imitate_Constraint;
    update_columns?: Array<Locus_Imitate_Update_Column>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_imitate". */
export type Locus_Imitate_Order_By = {
    baseLocus?: InputMaybe<Locus_Order_By>;
    base_locus_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_completed?: InputMaybe<Order_By>;
    is_instant?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    operation?: InputMaybe<Operation_Order_By>;
    operation_id?: InputMaybe<Order_By>;
    questHash?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_imitate */
export type Locus_Imitate_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_imitate" */
export declare enum Locus_Imitate_Select_Column {
    /** column name */
    BaseLocusId = "base_locus_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    OperationId = "operation_id",
    /** column name */
    QuestHash = "questHash"
}
/** select "locus_imitate_aggregate_bool_exp_bool_and_arguments_columns" columns of table "locus_imitate" */
export declare enum Locus_Imitate_Select_Column_Locus_Imitate_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    IsInstant = "is_instant"
}
/** select "locus_imitate_aggregate_bool_exp_bool_or_arguments_columns" columns of table "locus_imitate" */
export declare enum Locus_Imitate_Select_Column_Locus_Imitate_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    IsInstant = "is_instant"
}
/** input type for updating data in table "locus_imitate" */
export type Locus_Imitate_Set_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    operation_id?: InputMaybe<Scalars['Int']>;
    questHash?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Locus_Imitate_Stddev_Fields = {
    __typename?: 'locus_imitate_stddev_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "locus_imitate" */
export type Locus_Imitate_Stddev_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Locus_Imitate_Stddev_Pop_Fields = {
    __typename?: 'locus_imitate_stddev_pop_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "locus_imitate" */
export type Locus_Imitate_Stddev_Pop_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Locus_Imitate_Stddev_Samp_Fields = {
    __typename?: 'locus_imitate_stddev_samp_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "locus_imitate" */
export type Locus_Imitate_Stddev_Samp_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "locus_imitate" */
export type Locus_Imitate_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Imitate_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Imitate_Stream_Cursor_Value_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamptz']>;
    operation_id?: InputMaybe<Scalars['Int']>;
    questHash?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Locus_Imitate_Sum_Fields = {
    __typename?: 'locus_imitate_sum_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    operation_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "locus_imitate" */
export type Locus_Imitate_Sum_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** update columns of table "locus_imitate" */
export declare enum Locus_Imitate_Update_Column {
    /** column name */
    BaseLocusId = "base_locus_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    OperationId = "operation_id",
    /** column name */
    QuestHash = "questHash"
}
export type Locus_Imitate_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Imitate_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Imitate_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Imitate_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Imitate_Var_Pop_Fields = {
    __typename?: 'locus_imitate_var_pop_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "locus_imitate" */
export type Locus_Imitate_Var_Pop_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Locus_Imitate_Var_Samp_Fields = {
    __typename?: 'locus_imitate_var_samp_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "locus_imitate" */
export type Locus_Imitate_Var_Samp_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Locus_Imitate_Variance_Fields = {
    __typename?: 'locus_imitate_variance_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "locus_imitate" */
export type Locus_Imitate_Variance_Order_By = {
    base_locus_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
};
/** input type for incrementing numeric columns in table "locus" */
export type Locus_Inc_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_id?: InputMaybe<Scalars['Int']>;
    locus_type_id?: InputMaybe<Scalars['Int']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
    working_kairos_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus" */
export type Locus_Insert_Input = {
    baseLocus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    gifts?: InputMaybe<Gift_Arr_Rel_Insert_Input>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location?: InputMaybe<Location_Obj_Rel_Insert_Input>;
    location_id?: InputMaybe<Scalars['Int']>;
    locusType?: InputMaybe<Locus_Type_Obj_Rel_Insert_Input>;
    locus_type_id?: InputMaybe<Scalars['Int']>;
    manager?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    manager_id?: InputMaybe<Scalars['Int']>;
    members?: InputMaybe<Locus_Member_Arr_Rel_Insert_Input>;
    operationTypes?: InputMaybe<Locus_Operation_Type_Arr_Rel_Insert_Input>;
    pieceAndLocus?: InputMaybe<Piece_Locus_Arr_Rel_Insert_Input>;
    questHash?: InputMaybe<Scalars['String']>;
    registrator?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    sponsorshipsAndlocuses?: InputMaybe<Sponsorship_Locus_Arr_Rel_Insert_Input>;
    state?: InputMaybe<Locus_State_Obj_Rel_Insert_Input>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    workingKairos?: InputMaybe<Kairos_Obj_Rel_Insert_Input>;
    working_kairos_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Max_Fields = {
    __typename?: 'locus_max_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    location_id?: Maybe<Scalars['Int']>;
    locus_type_id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    questHash?: Maybe<Scalars['String']>;
    registrator_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    working_kairos_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "locus_member" */
export type Locus_Member = {
    __typename?: 'locus_member';
    email?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_confirmed?: Maybe<Scalars['Boolean']>;
    is_sended?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    locus?: Maybe<Locus>;
    locus_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    member?: Maybe<Treasure_User>;
    member_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "locus_member" */
export type Locus_Member_Aggregate = {
    __typename?: 'locus_member_aggregate';
    aggregate?: Maybe<Locus_Member_Aggregate_Fields>;
    nodes: Array<Locus_Member>;
};
export type Locus_Member_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Locus_Member_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Locus_Member_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Locus_Member_Aggregate_Bool_Exp_Count>;
};
export type Locus_Member_Aggregate_Bool_Exp_Bool_And = {
    arguments: Locus_Member_Select_Column_Locus_Member_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Member_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Locus_Member_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Locus_Member_Select_Column_Locus_Member_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Member_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Locus_Member_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Locus_Member_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Member_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "locus_member" */
export type Locus_Member_Aggregate_Fields = {
    __typename?: 'locus_member_aggregate_fields';
    avg?: Maybe<Locus_Member_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Member_Max_Fields>;
    min?: Maybe<Locus_Member_Min_Fields>;
    stddev?: Maybe<Locus_Member_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Member_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Member_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Member_Sum_Fields>;
    var_pop?: Maybe<Locus_Member_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Member_Var_Samp_Fields>;
    variance?: Maybe<Locus_Member_Variance_Fields>;
};
/** aggregate fields of "locus_member" */
export type Locus_Member_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Member_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "locus_member" */
export type Locus_Member_Aggregate_Order_By = {
    avg?: InputMaybe<Locus_Member_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Locus_Member_Max_Order_By>;
    min?: InputMaybe<Locus_Member_Min_Order_By>;
    stddev?: InputMaybe<Locus_Member_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Locus_Member_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Locus_Member_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Locus_Member_Sum_Order_By>;
    var_pop?: InputMaybe<Locus_Member_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Locus_Member_Var_Samp_Order_By>;
    variance?: InputMaybe<Locus_Member_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "locus_member" */
export type Locus_Member_Arr_Rel_Insert_Input = {
    data: Array<Locus_Member_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_Member_On_Conflict>;
};
/** aggregate avg on columns */
export type Locus_Member_Avg_Fields = {
    __typename?: 'locus_member_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "locus_member" */
export type Locus_Member_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "locus_member". All fields are combined with a logical 'AND'. */
export type Locus_Member_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Member_Bool_Exp>>;
    _not?: InputMaybe<Locus_Member_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Member_Bool_Exp>>;
    email?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_confirmed?: InputMaybe<Boolean_Comparison_Exp>;
    is_sended?: InputMaybe<Boolean_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    member?: InputMaybe<Treasure_User_Bool_Exp>;
    member_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_member" */
export declare enum Locus_Member_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusMemberPkey = "locus_member_pkey"
}
/** input type for incrementing numeric columns in table "locus_member" */
export type Locus_Member_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_member" */
export type Locus_Member_Insert_Input = {
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_sended?: InputMaybe<Scalars['Boolean']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    member?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    member_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Member_Max_Fields = {
    __typename?: 'locus_member_max_fields';
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "locus_member" */
export type Locus_Member_Max_Order_By = {
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Locus_Member_Min_Fields = {
    __typename?: 'locus_member_min_fields';
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "locus_member" */
export type Locus_Member_Min_Order_By = {
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "locus_member" */
export type Locus_Member_Mutation_Response = {
    __typename?: 'locus_member_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Member>;
};
/** on_conflict condition type for table "locus_member" */
export type Locus_Member_On_Conflict = {
    constraint: Locus_Member_Constraint;
    update_columns?: Array<Locus_Member_Update_Column>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_member". */
export type Locus_Member_Order_By = {
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_confirmed?: InputMaybe<Order_By>;
    is_sended?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member?: InputMaybe<Treasure_User_Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_member */
export type Locus_Member_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_member" */
export declare enum Locus_Member_Select_Column {
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsSended = "is_sended",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    MemberId = "member_id"
}
/** select "locus_member_aggregate_bool_exp_bool_and_arguments_columns" columns of table "locus_member" */
export declare enum Locus_Member_Select_Column_Locus_Member_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsSended = "is_sended"
}
/** select "locus_member_aggregate_bool_exp_bool_or_arguments_columns" columns of table "locus_member" */
export declare enum Locus_Member_Select_Column_Locus_Member_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsSended = "is_sended"
}
/** input type for updating data in table "locus_member" */
export type Locus_Member_Set_Input = {
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_sended?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Locus_Member_Stddev_Fields = {
    __typename?: 'locus_member_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "locus_member" */
export type Locus_Member_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Locus_Member_Stddev_Pop_Fields = {
    __typename?: 'locus_member_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "locus_member" */
export type Locus_Member_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Locus_Member_Stddev_Samp_Fields = {
    __typename?: 'locus_member_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "locus_member" */
export type Locus_Member_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "locus_member" */
export type Locus_Member_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Member_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Member_Stream_Cursor_Value_Input = {
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_sended?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Member_Sum_Fields = {
    __typename?: 'locus_member_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "locus_member" */
export type Locus_Member_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** update columns of table "locus_member" */
export declare enum Locus_Member_Update_Column {
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsSended = "is_sended",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    MemberId = "member_id"
}
export type Locus_Member_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Member_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Member_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Member_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Member_Var_Pop_Fields = {
    __typename?: 'locus_member_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "locus_member" */
export type Locus_Member_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Locus_Member_Var_Samp_Fields = {
    __typename?: 'locus_member_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "locus_member" */
export type Locus_Member_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Locus_Member_Variance_Fields = {
    __typename?: 'locus_member_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "locus_member" */
export type Locus_Member_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    member_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Locus_Min_Fields = {
    __typename?: 'locus_min_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    location_id?: Maybe<Scalars['Int']>;
    locus_type_id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    questHash?: Maybe<Scalars['String']>;
    registrator_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    working_kairos_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "locus" */
export type Locus_Mutation_Response = {
    __typename?: 'locus_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus>;
};
/** input type for inserting object relation for remote table "locus" */
export type Locus_Obj_Rel_Insert_Input = {
    data: Locus_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_On_Conflict>;
};
/** on_conflict condition type for table "locus" */
export type Locus_On_Conflict = {
    constraint: Locus_Constraint;
    update_columns?: Array<Locus_Update_Column>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
/** columns and relationships of "locus_operation_type" */
export type Locus_Operation_Type = {
    __typename?: 'locus_operation_type';
    id: Scalars['Int'];
    /** An object relationship */
    locus: Locus;
    locus_id: Scalars['Int'];
    /** An object relationship */
    operationType: Operation_Type;
    operation_type_id: Scalars['Int'];
};
/** aggregated selection of "locus_operation_type" */
export type Locus_Operation_Type_Aggregate = {
    __typename?: 'locus_operation_type_aggregate';
    aggregate?: Maybe<Locus_Operation_Type_Aggregate_Fields>;
    nodes: Array<Locus_Operation_Type>;
};
export type Locus_Operation_Type_Aggregate_Bool_Exp = {
    count?: InputMaybe<Locus_Operation_Type_Aggregate_Bool_Exp_Count>;
};
export type Locus_Operation_Type_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "locus_operation_type" */
export type Locus_Operation_Type_Aggregate_Fields = {
    __typename?: 'locus_operation_type_aggregate_fields';
    avg?: Maybe<Locus_Operation_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Operation_Type_Max_Fields>;
    min?: Maybe<Locus_Operation_Type_Min_Fields>;
    stddev?: Maybe<Locus_Operation_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Operation_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Operation_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Operation_Type_Sum_Fields>;
    var_pop?: Maybe<Locus_Operation_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Operation_Type_Var_Samp_Fields>;
    variance?: Maybe<Locus_Operation_Type_Variance_Fields>;
};
/** aggregate fields of "locus_operation_type" */
export type Locus_Operation_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "locus_operation_type" */
export type Locus_Operation_Type_Aggregate_Order_By = {
    avg?: InputMaybe<Locus_Operation_Type_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Locus_Operation_Type_Max_Order_By>;
    min?: InputMaybe<Locus_Operation_Type_Min_Order_By>;
    stddev?: InputMaybe<Locus_Operation_Type_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Locus_Operation_Type_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Locus_Operation_Type_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Locus_Operation_Type_Sum_Order_By>;
    var_pop?: InputMaybe<Locus_Operation_Type_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Locus_Operation_Type_Var_Samp_Order_By>;
    variance?: InputMaybe<Locus_Operation_Type_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "locus_operation_type" */
export type Locus_Operation_Type_Arr_Rel_Insert_Input = {
    data: Array<Locus_Operation_Type_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_Operation_Type_On_Conflict>;
};
/** aggregate avg on columns */
export type Locus_Operation_Type_Avg_Fields = {
    __typename?: 'locus_operation_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "locus_operation_type". All fields are combined with a logical 'AND'. */
export type Locus_Operation_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Operation_Type_Bool_Exp>>;
    _not?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Operation_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    operationType?: InputMaybe<Operation_Type_Bool_Exp>;
    operation_type_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_operation_type" */
export declare enum Locus_Operation_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusOperationTypePkey = "locus_operation_type_pkey"
}
/** input type for incrementing numeric columns in table "locus_operation_type" */
export type Locus_Operation_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_operation_type" */
export type Locus_Operation_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    operationType?: InputMaybe<Operation_Type_Obj_Rel_Insert_Input>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Operation_Type_Max_Fields = {
    __typename?: 'locus_operation_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Max_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Locus_Operation_Type_Min_Fields = {
    __typename?: 'locus_operation_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Min_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "locus_operation_type" */
export type Locus_Operation_Type_Mutation_Response = {
    __typename?: 'locus_operation_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Operation_Type>;
};
/** on_conflict condition type for table "locus_operation_type" */
export type Locus_Operation_Type_On_Conflict = {
    constraint: Locus_Operation_Type_Constraint;
    update_columns?: Array<Locus_Operation_Type_Update_Column>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_operation_type". */
export type Locus_Operation_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operationType?: InputMaybe<Operation_Type_Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_operation_type */
export type Locus_Operation_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_operation_type" */
export declare enum Locus_Operation_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    OperationTypeId = "operation_type_id"
}
/** input type for updating data in table "locus_operation_type" */
export type Locus_Operation_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Locus_Operation_Type_Stddev_Fields = {
    __typename?: 'locus_operation_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Locus_Operation_Type_Stddev_Pop_Fields = {
    __typename?: 'locus_operation_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Locus_Operation_Type_Stddev_Samp_Fields = {
    __typename?: 'locus_operation_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "locus_operation_type" */
export type Locus_Operation_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Operation_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Operation_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Operation_Type_Sum_Fields = {
    __typename?: 'locus_operation_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** update columns of table "locus_operation_type" */
export declare enum Locus_Operation_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    OperationTypeId = "operation_type_id"
}
export type Locus_Operation_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Operation_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Operation_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Operation_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Operation_Type_Var_Pop_Fields = {
    __typename?: 'locus_operation_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Locus_Operation_Type_Var_Samp_Fields = {
    __typename?: 'locus_operation_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Locus_Operation_Type_Variance_Fields = {
    __typename?: 'locus_operation_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "locus_operation_type" */
export type Locus_Operation_Type_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
};
/** Ordering options when selecting data from "locus". */
export type Locus_Order_By = {
    baseLocus?: InputMaybe<Locus_Order_By>;
    base_locus_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    gifts_aggregate?: InputMaybe<Gift_Aggregate_Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_base?: InputMaybe<Order_By>;
    is_instant?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    location?: InputMaybe<Location_Order_By>;
    location_id?: InputMaybe<Order_By>;
    locusType?: InputMaybe<Locus_Type_Order_By>;
    locus_type_id?: InputMaybe<Order_By>;
    manager?: InputMaybe<Treasure_User_Order_By>;
    manager_id?: InputMaybe<Order_By>;
    members_aggregate?: InputMaybe<Locus_Member_Aggregate_Order_By>;
    operationTypes_aggregate?: InputMaybe<Locus_Operation_Type_Aggregate_Order_By>;
    pieceAndLocus_aggregate?: InputMaybe<Piece_Locus_Aggregate_Order_By>;
    questHash?: InputMaybe<Order_By>;
    registrator?: InputMaybe<Treasure_User_Order_By>;
    registrator_id?: InputMaybe<Order_By>;
    sponsorshipsAndlocuses_aggregate?: InputMaybe<Sponsorship_Locus_Aggregate_Order_By>;
    state?: InputMaybe<Locus_State_Order_By>;
    state_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    tsvec_description?: InputMaybe<Order_By>;
    tsvec_title?: InputMaybe<Order_By>;
    workingKairos?: InputMaybe<Kairos_Order_By>;
    working_kairos_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus */
export type Locus_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "locus_policy" */
export type Locus_Policy = {
    __typename?: 'locus_policy';
    description: Scalars['String'];
    id: Scalars['Int'];
    title: Scalars['String'];
    toStateId: Scalars['Int'];
};
/** aggregated selection of "locus_policy" */
export type Locus_Policy_Aggregate = {
    __typename?: 'locus_policy_aggregate';
    aggregate?: Maybe<Locus_Policy_Aggregate_Fields>;
    nodes: Array<Locus_Policy>;
};
/** aggregate fields of "locus_policy" */
export type Locus_Policy_Aggregate_Fields = {
    __typename?: 'locus_policy_aggregate_fields';
    avg?: Maybe<Locus_Policy_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Policy_Max_Fields>;
    min?: Maybe<Locus_Policy_Min_Fields>;
    stddev?: Maybe<Locus_Policy_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Policy_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Policy_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Policy_Sum_Fields>;
    var_pop?: Maybe<Locus_Policy_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Policy_Var_Samp_Fields>;
    variance?: Maybe<Locus_Policy_Variance_Fields>;
};
/** aggregate fields of "locus_policy" */
export type Locus_Policy_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Policy_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Locus_Policy_Avg_Fields = {
    __typename?: 'locus_policy_avg_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "locus_policy". All fields are combined with a logical 'AND'. */
export type Locus_Policy_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Policy_Bool_Exp>>;
    _not?: InputMaybe<Locus_Policy_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Policy_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    toStateId?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_policy" */
export declare enum Locus_Policy_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusPolicyPkey = "locus_policy_pkey"
}
/** input type for incrementing numeric columns in table "locus_policy" */
export type Locus_Policy_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    toStateId?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_policy" */
export type Locus_Policy_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    toStateId?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Policy_Max_Fields = {
    __typename?: 'locus_policy_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    toStateId?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Locus_Policy_Min_Fields = {
    __typename?: 'locus_policy_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    toStateId?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "locus_policy" */
export type Locus_Policy_Mutation_Response = {
    __typename?: 'locus_policy_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Policy>;
};
/** on_conflict condition type for table "locus_policy" */
export type Locus_Policy_On_Conflict = {
    constraint: Locus_Policy_Constraint;
    update_columns?: Array<Locus_Policy_Update_Column>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_policy". */
export type Locus_Policy_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    toStateId?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_policy */
export type Locus_Policy_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_policy" */
export declare enum Locus_Policy_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title",
    /** column name */
    ToStateId = "toStateId"
}
/** input type for updating data in table "locus_policy" */
export type Locus_Policy_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    toStateId?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Locus_Policy_Stddev_Fields = {
    __typename?: 'locus_policy_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Locus_Policy_Stddev_Pop_Fields = {
    __typename?: 'locus_policy_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Locus_Policy_Stddev_Samp_Fields = {
    __typename?: 'locus_policy_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "locus_policy" */
export type Locus_Policy_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Policy_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Policy_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    toStateId?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Policy_Sum_Fields = {
    __typename?: 'locus_policy_sum_fields';
    id?: Maybe<Scalars['Int']>;
    toStateId?: Maybe<Scalars['Int']>;
};
/** update columns of table "locus_policy" */
export declare enum Locus_Policy_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title",
    /** column name */
    ToStateId = "toStateId"
}
export type Locus_Policy_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Policy_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Policy_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Policy_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Policy_Var_Pop_Fields = {
    __typename?: 'locus_policy_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Locus_Policy_Var_Samp_Fields = {
    __typename?: 'locus_policy_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Locus_Policy_Variance_Fields = {
    __typename?: 'locus_policy_variance_fields';
    id?: Maybe<Scalars['Float']>;
    toStateId?: Maybe<Scalars['Float']>;
};
/** select columns of table "locus" */
export declare enum Locus_Select_Column {
    /** column name */
    BaseLocusId = "base_locus_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsBase = "is_base",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocationId = "location_id",
    /** column name */
    LocusTypeId = "locus_type_id",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    QuestHash = "questHash",
    /** column name */
    RegistratorId = "registrator_id",
    /** column name */
    StateId = "state_id",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title",
    /** column name */
    WorkingKairosId = "working_kairos_id"
}
/** input type for updating data in table "locus" */
export type Locus_Set_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location_id?: InputMaybe<Scalars['Int']>;
    locus_type_id?: InputMaybe<Scalars['Int']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    questHash?: InputMaybe<Scalars['String']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    working_kairos_id?: InputMaybe<Scalars['Int']>;
};
/** columns and relationships of "locus_state" */
export type Locus_State = {
    __typename?: 'locus_state';
    completion_message?: Maybe<Scalars['String']>;
    description: Scalars['String'];
    error_message?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_arranged?: Maybe<Scalars['Boolean']>;
    is_certificated?: Maybe<Scalars['Boolean']>;
    is_registered?: Maybe<Scalars['Boolean']>;
    name?: Maybe<Scalars['String']>;
    requiring_days_limit?: Maybe<Scalars['Int']>;
    state_message?: Maybe<Scalars['String']>;
    title: Scalars['String'];
    waiting_message?: Maybe<Scalars['String']>;
};
/** aggregated selection of "locus_state" */
export type Locus_State_Aggregate = {
    __typename?: 'locus_state_aggregate';
    aggregate?: Maybe<Locus_State_Aggregate_Fields>;
    nodes: Array<Locus_State>;
};
/** aggregate fields of "locus_state" */
export type Locus_State_Aggregate_Fields = {
    __typename?: 'locus_state_aggregate_fields';
    avg?: Maybe<Locus_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_State_Max_Fields>;
    min?: Maybe<Locus_State_Min_Fields>;
    stddev?: Maybe<Locus_State_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_State_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_State_Sum_Fields>;
    var_pop?: Maybe<Locus_State_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_State_Var_Samp_Fields>;
    variance?: Maybe<Locus_State_Variance_Fields>;
};
/** aggregate fields of "locus_state" */
export type Locus_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Locus_State_Avg_Fields = {
    __typename?: 'locus_state_avg_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "locus_state". All fields are combined with a logical 'AND'. */
export type Locus_State_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_State_Bool_Exp>>;
    _not?: InputMaybe<Locus_State_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_State_Bool_Exp>>;
    completion_message?: InputMaybe<String_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    error_message?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_arranged?: InputMaybe<Boolean_Comparison_Exp>;
    is_certificated?: InputMaybe<Boolean_Comparison_Exp>;
    is_registered?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    requiring_days_limit?: InputMaybe<Int_Comparison_Exp>;
    state_message?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    waiting_message?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_state" */
export declare enum Locus_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusStatePkey = "locus_state_pkey"
}
/** input type for incrementing numeric columns in table "locus_state" */
export type Locus_State_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    requiring_days_limit?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_state" */
export type Locus_State_Insert_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arranged?: InputMaybe<Scalars['Boolean']>;
    is_certificated?: InputMaybe<Scalars['Boolean']>;
    is_registered?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    requiring_days_limit?: InputMaybe<Scalars['Int']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Locus_State_Max_Fields = {
    __typename?: 'locus_state_max_fields';
    completion_message?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    error_message?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    requiring_days_limit?: Maybe<Scalars['Int']>;
    state_message?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
    waiting_message?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Locus_State_Min_Fields = {
    __typename?: 'locus_state_min_fields';
    completion_message?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    error_message?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    requiring_days_limit?: Maybe<Scalars['Int']>;
    state_message?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
    waiting_message?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "locus_state" */
export type Locus_State_Mutation_Response = {
    __typename?: 'locus_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_State>;
};
/** input type for inserting object relation for remote table "locus_state" */
export type Locus_State_Obj_Rel_Insert_Input = {
    data: Locus_State_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_State_On_Conflict>;
};
/** on_conflict condition type for table "locus_state" */
export type Locus_State_On_Conflict = {
    constraint: Locus_State_Constraint;
    update_columns?: Array<Locus_State_Update_Column>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_state". */
export type Locus_State_Order_By = {
    completion_message?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    error_message?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_arranged?: InputMaybe<Order_By>;
    is_certificated?: InputMaybe<Order_By>;
    is_registered?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    requiring_days_limit?: InputMaybe<Order_By>;
    state_message?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    waiting_message?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_state */
export type Locus_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_state" */
export declare enum Locus_State_Select_Column {
    /** column name */
    CompletionMessage = "completion_message",
    /** column name */
    Description = "description",
    /** column name */
    ErrorMessage = "error_message",
    /** column name */
    Id = "id",
    /** column name */
    IsArranged = "is_arranged",
    /** column name */
    IsCertificated = "is_certificated",
    /** column name */
    IsRegistered = "is_registered",
    /** column name */
    Name = "name",
    /** column name */
    RequiringDaysLimit = "requiring_days_limit",
    /** column name */
    StateMessage = "state_message",
    /** column name */
    Title = "title",
    /** column name */
    WaitingMessage = "waiting_message"
}
/** input type for updating data in table "locus_state" */
export type Locus_State_Set_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arranged?: InputMaybe<Scalars['Boolean']>;
    is_certificated?: InputMaybe<Scalars['Boolean']>;
    is_registered?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    requiring_days_limit?: InputMaybe<Scalars['Int']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Locus_State_Stddev_Fields = {
    __typename?: 'locus_state_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Locus_State_Stddev_Pop_Fields = {
    __typename?: 'locus_state_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Locus_State_Stddev_Samp_Fields = {
    __typename?: 'locus_state_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "locus_state" */
export type Locus_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_State_Stream_Cursor_Value_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arranged?: InputMaybe<Scalars['Boolean']>;
    is_certificated?: InputMaybe<Scalars['Boolean']>;
    is_registered?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    requiring_days_limit?: InputMaybe<Scalars['Int']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Locus_State_Sum_Fields = {
    __typename?: 'locus_state_sum_fields';
    id?: Maybe<Scalars['Int']>;
    requiring_days_limit?: Maybe<Scalars['Int']>;
};
/** update columns of table "locus_state" */
export declare enum Locus_State_Update_Column {
    /** column name */
    CompletionMessage = "completion_message",
    /** column name */
    Description = "description",
    /** column name */
    ErrorMessage = "error_message",
    /** column name */
    Id = "id",
    /** column name */
    IsArranged = "is_arranged",
    /** column name */
    IsCertificated = "is_certificated",
    /** column name */
    IsRegistered = "is_registered",
    /** column name */
    Name = "name",
    /** column name */
    RequiringDaysLimit = "requiring_days_limit",
    /** column name */
    StateMessage = "state_message",
    /** column name */
    Title = "title",
    /** column name */
    WaitingMessage = "waiting_message"
}
export type Locus_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_State_Var_Pop_Fields = {
    __typename?: 'locus_state_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Locus_State_Var_Samp_Fields = {
    __typename?: 'locus_state_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Locus_State_Variance_Fields = {
    __typename?: 'locus_state_variance_fields';
    id?: Maybe<Scalars['Float']>;
    requiring_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev on columns */
export type Locus_Stddev_Fields = {
    __typename?: 'locus_stddev_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Locus_Stddev_Pop_Fields = {
    __typename?: 'locus_stddev_pop_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Locus_Stddev_Samp_Fields = {
    __typename?: 'locus_stddev_samp_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "locus" */
export type Locus_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Stream_Cursor_Value_Input = {
    base_locus_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    location_id?: InputMaybe<Scalars['Int']>;
    locus_type_id?: InputMaybe<Scalars['Int']>;
    manager_id?: InputMaybe<Scalars['Int']>;
    questHash?: InputMaybe<Scalars['String']>;
    registrator_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    working_kairos_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Sum_Fields = {
    __typename?: 'locus_sum_fields';
    base_locus_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_id?: Maybe<Scalars['Int']>;
    locus_type_id?: Maybe<Scalars['Int']>;
    manager_id?: Maybe<Scalars['Int']>;
    registrator_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
    working_kairos_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "locus_theme" */
export type Locus_Theme = {
    __typename?: 'locus_theme';
    id: Scalars['Int'];
    /** An object relationship */
    locus: Locus;
    locus_id: Scalars['Int'];
    /** An object relationship */
    theme: Theme;
    theme_id: Scalars['Int'];
};
/** aggregated selection of "locus_theme" */
export type Locus_Theme_Aggregate = {
    __typename?: 'locus_theme_aggregate';
    aggregate?: Maybe<Locus_Theme_Aggregate_Fields>;
    nodes: Array<Locus_Theme>;
};
/** aggregate fields of "locus_theme" */
export type Locus_Theme_Aggregate_Fields = {
    __typename?: 'locus_theme_aggregate_fields';
    avg?: Maybe<Locus_Theme_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Theme_Max_Fields>;
    min?: Maybe<Locus_Theme_Min_Fields>;
    stddev?: Maybe<Locus_Theme_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Theme_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Theme_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Theme_Sum_Fields>;
    var_pop?: Maybe<Locus_Theme_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Theme_Var_Samp_Fields>;
    variance?: Maybe<Locus_Theme_Variance_Fields>;
};
/** aggregate fields of "locus_theme" */
export type Locus_Theme_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Theme_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Locus_Theme_Avg_Fields = {
    __typename?: 'locus_theme_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "locus_theme". All fields are combined with a logical 'AND'. */
export type Locus_Theme_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Theme_Bool_Exp>>;
    _not?: InputMaybe<Locus_Theme_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Theme_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    theme?: InputMaybe<Theme_Bool_Exp>;
    theme_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_theme" */
export declare enum Locus_Theme_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusThemePkey = "locus_theme_pkey"
}
/** input type for incrementing numeric columns in table "locus_theme" */
export type Locus_Theme_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_theme" */
export type Locus_Theme_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    theme?: InputMaybe<Theme_Obj_Rel_Insert_Input>;
    theme_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Theme_Max_Fields = {
    __typename?: 'locus_theme_max_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Locus_Theme_Min_Fields = {
    __typename?: 'locus_theme_min_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "locus_theme" */
export type Locus_Theme_Mutation_Response = {
    __typename?: 'locus_theme_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Theme>;
};
/** on_conflict condition type for table "locus_theme" */
export type Locus_Theme_On_Conflict = {
    constraint: Locus_Theme_Constraint;
    update_columns?: Array<Locus_Theme_Update_Column>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_theme". */
export type Locus_Theme_Order_By = {
    id?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    theme?: InputMaybe<Theme_Order_By>;
    theme_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_theme */
export type Locus_Theme_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_theme" */
export declare enum Locus_Theme_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    ThemeId = "theme_id"
}
/** input type for updating data in table "locus_theme" */
export type Locus_Theme_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Locus_Theme_Stddev_Fields = {
    __typename?: 'locus_theme_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Locus_Theme_Stddev_Pop_Fields = {
    __typename?: 'locus_theme_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Locus_Theme_Stddev_Samp_Fields = {
    __typename?: 'locus_theme_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "locus_theme" */
export type Locus_Theme_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Theme_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Theme_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    theme_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Theme_Sum_Fields = {
    __typename?: 'locus_theme_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    theme_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "locus_theme" */
export declare enum Locus_Theme_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    ThemeId = "theme_id"
}
export type Locus_Theme_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Theme_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Theme_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Theme_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Theme_Var_Pop_Fields = {
    __typename?: 'locus_theme_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Locus_Theme_Var_Samp_Fields = {
    __typename?: 'locus_theme_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Locus_Theme_Variance_Fields = {
    __typename?: 'locus_theme_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    theme_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "locus_type" */
export type Locus_Type = {
    __typename?: 'locus_type';
    id: Scalars['Int'];
};
/** aggregated selection of "locus_type" */
export type Locus_Type_Aggregate = {
    __typename?: 'locus_type_aggregate';
    aggregate?: Maybe<Locus_Type_Aggregate_Fields>;
    nodes: Array<Locus_Type>;
};
/** aggregate fields of "locus_type" */
export type Locus_Type_Aggregate_Fields = {
    __typename?: 'locus_type_aggregate_fields';
    avg?: Maybe<Locus_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Locus_Type_Max_Fields>;
    min?: Maybe<Locus_Type_Min_Fields>;
    stddev?: Maybe<Locus_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Locus_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Locus_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Locus_Type_Sum_Fields>;
    var_pop?: Maybe<Locus_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Locus_Type_Var_Samp_Fields>;
    variance?: Maybe<Locus_Type_Variance_Fields>;
};
/** aggregate fields of "locus_type" */
export type Locus_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Locus_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Locus_Type_Avg_Fields = {
    __typename?: 'locus_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "locus_type". All fields are combined with a logical 'AND'. */
export type Locus_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Locus_Type_Bool_Exp>>;
    _not?: InputMaybe<Locus_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Locus_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "locus_type" */
export declare enum Locus_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    LocusTypePkey = "locus_type_pkey"
}
/** input type for incrementing numeric columns in table "locus_type" */
export type Locus_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "locus_type" */
export type Locus_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Locus_Type_Max_Fields = {
    __typename?: 'locus_type_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Locus_Type_Min_Fields = {
    __typename?: 'locus_type_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "locus_type" */
export type Locus_Type_Mutation_Response = {
    __typename?: 'locus_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Locus_Type>;
};
/** input type for inserting object relation for remote table "locus_type" */
export type Locus_Type_Obj_Rel_Insert_Input = {
    data: Locus_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Locus_Type_On_Conflict>;
};
/** on_conflict condition type for table "locus_type" */
export type Locus_Type_On_Conflict = {
    constraint: Locus_Type_Constraint;
    update_columns?: Array<Locus_Type_Update_Column>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "locus_type". */
export type Locus_Type_Order_By = {
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: locus_type */
export type Locus_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "locus_type" */
export declare enum Locus_Type_Select_Column {
    /** column name */
    Id = "id"
}
/** input type for updating data in table "locus_type" */
export type Locus_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Locus_Type_Stddev_Fields = {
    __typename?: 'locus_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Locus_Type_Stddev_Pop_Fields = {
    __typename?: 'locus_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Locus_Type_Stddev_Samp_Fields = {
    __typename?: 'locus_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "locus_type" */
export type Locus_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Locus_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Locus_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Locus_Type_Sum_Fields = {
    __typename?: 'locus_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "locus_type" */
export declare enum Locus_Type_Update_Column {
    /** column name */
    Id = "id"
}
export type Locus_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Type_Var_Pop_Fields = {
    __typename?: 'locus_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Locus_Type_Var_Samp_Fields = {
    __typename?: 'locus_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Locus_Type_Variance_Fields = {
    __typename?: 'locus_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "locus" */
export declare enum Locus_Update_Column {
    /** column name */
    BaseLocusId = "base_locus_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsBase = "is_base",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocationId = "location_id",
    /** column name */
    LocusTypeId = "locus_type_id",
    /** column name */
    ManagerId = "manager_id",
    /** column name */
    QuestHash = "questHash",
    /** column name */
    RegistratorId = "registrator_id",
    /** column name */
    StateId = "state_id",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title",
    /** column name */
    WorkingKairosId = "working_kairos_id"
}
export type Locus_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Locus_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Locus_Set_Input>;
    /** filter the rows which have to be updated */
    where: Locus_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Locus_Var_Pop_Fields = {
    __typename?: 'locus_var_pop_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Locus_Var_Samp_Fields = {
    __typename?: 'locus_var_samp_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Locus_Variance_Fields = {
    __typename?: 'locus_variance_fields';
    base_locus_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    locus_type_id?: Maybe<Scalars['Float']>;
    manager_id?: Maybe<Scalars['Float']>;
    registrator_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
    working_kairos_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "map" */
export type Map = {
    __typename?: 'map';
    default_interface_type_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    interfaceType?: Maybe<Interface_Type>;
    /** An array relationship */
    mapItems: Array<Map_Item>;
    /** An aggregate relationship */
    mapItems_aggregate: Map_Item_Aggregate;
    /** An object relationship */
    universe?: Maybe<Universe>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "map" */
export type MapMapItemsArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
/** columns and relationships of "map" */
export type MapMapItems_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
/** aggregated selection of "map" */
export type Map_Aggregate = {
    __typename?: 'map_aggregate';
    aggregate?: Maybe<Map_Aggregate_Fields>;
    nodes: Array<Map>;
};
/** aggregate fields of "map" */
export type Map_Aggregate_Fields = {
    __typename?: 'map_aggregate_fields';
    avg?: Maybe<Map_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Max_Fields>;
    min?: Maybe<Map_Min_Fields>;
    stddev?: Maybe<Map_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Sum_Fields>;
    var_pop?: Maybe<Map_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Var_Samp_Fields>;
    variance?: Maybe<Map_Variance_Fields>;
};
/** aggregate fields of "map" */
export type Map_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Map_Avg_Fields = {
    __typename?: 'map_avg_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "map". All fields are combined with a logical 'AND'. */
export type Map_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Bool_Exp>>;
    _not?: InputMaybe<Map_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Bool_Exp>>;
    default_interface_type_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    interfaceType?: InputMaybe<Interface_Type_Bool_Exp>;
    mapItems?: InputMaybe<Map_Item_Bool_Exp>;
    mapItems_aggregate?: InputMaybe<Map_Item_Aggregate_Bool_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
};
/** columns and relationships of "map_condition_type" */
export type Map_Condition_Type = {
    __typename?: 'map_condition_type';
    has_interval?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    interval_sec?: Maybe<Scalars['Int']>;
    is_required_map_showing_locus_relationship?: Maybe<Scalars['Boolean']>;
    is_required_map_showing_next_locus?: Maybe<Scalars['Boolean']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregated selection of "map_condition_type" */
export type Map_Condition_Type_Aggregate = {
    __typename?: 'map_condition_type_aggregate';
    aggregate?: Maybe<Map_Condition_Type_Aggregate_Fields>;
    nodes: Array<Map_Condition_Type>;
};
/** aggregate fields of "map_condition_type" */
export type Map_Condition_Type_Aggregate_Fields = {
    __typename?: 'map_condition_type_aggregate_fields';
    avg?: Maybe<Map_Condition_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Condition_Type_Max_Fields>;
    min?: Maybe<Map_Condition_Type_Min_Fields>;
    stddev?: Maybe<Map_Condition_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Condition_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Condition_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Condition_Type_Sum_Fields>;
    var_pop?: Maybe<Map_Condition_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Condition_Type_Var_Samp_Fields>;
    variance?: Maybe<Map_Condition_Type_Variance_Fields>;
};
/** aggregate fields of "map_condition_type" */
export type Map_Condition_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Condition_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Map_Condition_Type_Avg_Fields = {
    __typename?: 'map_condition_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "map_condition_type". All fields are combined with a logical 'AND'. */
export type Map_Condition_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Condition_Type_Bool_Exp>>;
    _not?: InputMaybe<Map_Condition_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Condition_Type_Bool_Exp>>;
    has_interval?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    interval_sec?: InputMaybe<Int_Comparison_Exp>;
    is_required_map_showing_locus_relationship?: InputMaybe<Boolean_Comparison_Exp>;
    is_required_map_showing_next_locus?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "map_condition_type" */
export declare enum Map_Condition_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    EffectConditionTypePkey = "effect_condition_type_pkey"
}
/** input type for incrementing numeric columns in table "map_condition_type" */
export type Map_Condition_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    interval_sec?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_condition_type" */
export type Map_Condition_Type_Insert_Input = {
    has_interval?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    interval_sec?: InputMaybe<Scalars['Int']>;
    is_required_map_showing_locus_relationship?: InputMaybe<Scalars['Boolean']>;
    is_required_map_showing_next_locus?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Map_Condition_Type_Max_Fields = {
    __typename?: 'map_condition_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    interval_sec?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Map_Condition_Type_Min_Fields = {
    __typename?: 'map_condition_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    interval_sec?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "map_condition_type" */
export type Map_Condition_Type_Mutation_Response = {
    __typename?: 'map_condition_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Condition_Type>;
};
/** input type for inserting object relation for remote table "map_condition_type" */
export type Map_Condition_Type_Obj_Rel_Insert_Input = {
    data: Map_Condition_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Condition_Type_On_Conflict>;
};
/** on_conflict condition type for table "map_condition_type" */
export type Map_Condition_Type_On_Conflict = {
    constraint: Map_Condition_Type_Constraint;
    update_columns?: Array<Map_Condition_Type_Update_Column>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "map_condition_type". */
export type Map_Condition_Type_Order_By = {
    has_interval?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    interval_sec?: InputMaybe<Order_By>;
    is_required_map_showing_locus_relationship?: InputMaybe<Order_By>;
    is_required_map_showing_next_locus?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map_condition_type */
export type Map_Condition_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_condition_type" */
export declare enum Map_Condition_Type_Select_Column {
    /** column name */
    HasInterval = "has_interval",
    /** column name */
    Id = "id",
    /** column name */
    IntervalSec = "interval_sec",
    /** column name */
    IsRequiredMapShowingLocusRelationship = "is_required_map_showing_locus_relationship",
    /** column name */
    IsRequiredMapShowingNextLocus = "is_required_map_showing_next_locus",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "map_condition_type" */
export type Map_Condition_Type_Set_Input = {
    has_interval?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    interval_sec?: InputMaybe<Scalars['Int']>;
    is_required_map_showing_locus_relationship?: InputMaybe<Scalars['Boolean']>;
    is_required_map_showing_next_locus?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Map_Condition_Type_Stddev_Fields = {
    __typename?: 'map_condition_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Map_Condition_Type_Stddev_Pop_Fields = {
    __typename?: 'map_condition_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Map_Condition_Type_Stddev_Samp_Fields = {
    __typename?: 'map_condition_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "map_condition_type" */
export type Map_Condition_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Condition_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Condition_Type_Stream_Cursor_Value_Input = {
    has_interval?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    interval_sec?: InputMaybe<Scalars['Int']>;
    is_required_map_showing_locus_relationship?: InputMaybe<Scalars['Boolean']>;
    is_required_map_showing_next_locus?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Map_Condition_Type_Sum_Fields = {
    __typename?: 'map_condition_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
    interval_sec?: Maybe<Scalars['Int']>;
};
/** update columns of table "map_condition_type" */
export declare enum Map_Condition_Type_Update_Column {
    /** column name */
    HasInterval = "has_interval",
    /** column name */
    Id = "id",
    /** column name */
    IntervalSec = "interval_sec",
    /** column name */
    IsRequiredMapShowingLocusRelationship = "is_required_map_showing_locus_relationship",
    /** column name */
    IsRequiredMapShowingNextLocus = "is_required_map_showing_next_locus",
    /** column name */
    Name = "name"
}
export type Map_Condition_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Condition_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Condition_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Condition_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Condition_Type_Var_Pop_Fields = {
    __typename?: 'map_condition_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Map_Condition_Type_Var_Samp_Fields = {
    __typename?: 'map_condition_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Map_Condition_Type_Variance_Fields = {
    __typename?: 'map_condition_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
    interval_sec?: Maybe<Scalars['Float']>;
};
/** unique or primary key constraints on table "map" */
export declare enum Map_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapPresetPkey = "map_preset_pkey"
}
/** columns and relationships of "map_effect" */
export type Map_Effect = {
    __typename?: 'map_effect';
    /** An object relationship */
    conditionType?: Maybe<Map_Condition_Type>;
    condition_type_id?: Maybe<Scalars['Int']>;
    finishing_map_item_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    mapEffectType?: Maybe<Map_Effect_Type>;
    map_effect_type_id?: Maybe<Scalars['Int']>;
    starting_map_item_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "map_effect" */
export type Map_Effect_Aggregate = {
    __typename?: 'map_effect_aggregate';
    aggregate?: Maybe<Map_Effect_Aggregate_Fields>;
    nodes: Array<Map_Effect>;
};
/** aggregate fields of "map_effect" */
export type Map_Effect_Aggregate_Fields = {
    __typename?: 'map_effect_aggregate_fields';
    avg?: Maybe<Map_Effect_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Effect_Max_Fields>;
    min?: Maybe<Map_Effect_Min_Fields>;
    stddev?: Maybe<Map_Effect_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Effect_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Effect_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Effect_Sum_Fields>;
    var_pop?: Maybe<Map_Effect_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Effect_Var_Samp_Fields>;
    variance?: Maybe<Map_Effect_Variance_Fields>;
};
/** aggregate fields of "map_effect" */
export type Map_Effect_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Effect_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Map_Effect_Avg_Fields = {
    __typename?: 'map_effect_avg_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "map_effect". All fields are combined with a logical 'AND'. */
export type Map_Effect_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Effect_Bool_Exp>>;
    _not?: InputMaybe<Map_Effect_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Effect_Bool_Exp>>;
    conditionType?: InputMaybe<Map_Condition_Type_Bool_Exp>;
    condition_type_id?: InputMaybe<Int_Comparison_Exp>;
    finishing_map_item_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    mapEffectType?: InputMaybe<Map_Effect_Type_Bool_Exp>;
    map_effect_type_id?: InputMaybe<Int_Comparison_Exp>;
    starting_map_item_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "map_effect" */
export declare enum Map_Effect_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapEffectPkey = "map_effect_pkey"
}
/** input type for incrementing numeric columns in table "map_effect" */
export type Map_Effect_Inc_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    finishing_map_item_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    map_effect_type_id?: InputMaybe<Scalars['Int']>;
    starting_map_item_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_effect" */
export type Map_Effect_Insert_Input = {
    conditionType?: InputMaybe<Map_Condition_Type_Obj_Rel_Insert_Input>;
    condition_type_id?: InputMaybe<Scalars['Int']>;
    finishing_map_item_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    mapEffectType?: InputMaybe<Map_Effect_Type_Obj_Rel_Insert_Input>;
    map_effect_type_id?: InputMaybe<Scalars['Int']>;
    starting_map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Map_Effect_Max_Fields = {
    __typename?: 'map_effect_max_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    finishing_map_item_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_effect_type_id?: Maybe<Scalars['Int']>;
    starting_map_item_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Map_Effect_Min_Fields = {
    __typename?: 'map_effect_min_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    finishing_map_item_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_effect_type_id?: Maybe<Scalars['Int']>;
    starting_map_item_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "map_effect" */
export type Map_Effect_Mutation_Response = {
    __typename?: 'map_effect_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Effect>;
};
/** input type for inserting object relation for remote table "map_effect" */
export type Map_Effect_Obj_Rel_Insert_Input = {
    data: Map_Effect_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Effect_On_Conflict>;
};
/** on_conflict condition type for table "map_effect" */
export type Map_Effect_On_Conflict = {
    constraint: Map_Effect_Constraint;
    update_columns?: Array<Map_Effect_Update_Column>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
/** Ordering options when selecting data from "map_effect". */
export type Map_Effect_Order_By = {
    conditionType?: InputMaybe<Map_Condition_Type_Order_By>;
    condition_type_id?: InputMaybe<Order_By>;
    finishing_map_item_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mapEffectType?: InputMaybe<Map_Effect_Type_Order_By>;
    map_effect_type_id?: InputMaybe<Order_By>;
    starting_map_item_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map_effect */
export type Map_Effect_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_effect" */
export declare enum Map_Effect_Select_Column {
    /** column name */
    ConditionTypeId = "condition_type_id",
    /** column name */
    FinishingMapItemId = "finishing_map_item_id",
    /** column name */
    Id = "id",
    /** column name */
    MapEffectTypeId = "map_effect_type_id",
    /** column name */
    StartingMapItemId = "starting_map_item_id"
}
/** input type for updating data in table "map_effect" */
export type Map_Effect_Set_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    finishing_map_item_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    map_effect_type_id?: InputMaybe<Scalars['Int']>;
    starting_map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Map_Effect_Stddev_Fields = {
    __typename?: 'map_effect_stddev_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Map_Effect_Stddev_Pop_Fields = {
    __typename?: 'map_effect_stddev_pop_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Map_Effect_Stddev_Samp_Fields = {
    __typename?: 'map_effect_stddev_samp_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "map_effect" */
export type Map_Effect_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Effect_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Effect_Stream_Cursor_Value_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    finishing_map_item_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    map_effect_type_id?: InputMaybe<Scalars['Int']>;
    starting_map_item_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Map_Effect_Sum_Fields = {
    __typename?: 'map_effect_sum_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    finishing_map_item_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_effect_type_id?: Maybe<Scalars['Int']>;
    starting_map_item_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "map_effect_type" */
export type Map_Effect_Type = {
    __typename?: 'map_effect_type';
    id: Scalars['Int'];
    is_on_entire_map?: Maybe<Scalars['Boolean']>;
    is_on_line?: Maybe<Scalars['Boolean']>;
    is_on_point?: Maybe<Scalars['Boolean']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregated selection of "map_effect_type" */
export type Map_Effect_Type_Aggregate = {
    __typename?: 'map_effect_type_aggregate';
    aggregate?: Maybe<Map_Effect_Type_Aggregate_Fields>;
    nodes: Array<Map_Effect_Type>;
};
/** aggregate fields of "map_effect_type" */
export type Map_Effect_Type_Aggregate_Fields = {
    __typename?: 'map_effect_type_aggregate_fields';
    avg?: Maybe<Map_Effect_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Effect_Type_Max_Fields>;
    min?: Maybe<Map_Effect_Type_Min_Fields>;
    stddev?: Maybe<Map_Effect_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Effect_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Effect_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Effect_Type_Sum_Fields>;
    var_pop?: Maybe<Map_Effect_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Effect_Type_Var_Samp_Fields>;
    variance?: Maybe<Map_Effect_Type_Variance_Fields>;
};
/** aggregate fields of "map_effect_type" */
export type Map_Effect_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Effect_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Map_Effect_Type_Avg_Fields = {
    __typename?: 'map_effect_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "map_effect_type". All fields are combined with a logical 'AND'. */
export type Map_Effect_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Effect_Type_Bool_Exp>>;
    _not?: InputMaybe<Map_Effect_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Effect_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_on_entire_map?: InputMaybe<Boolean_Comparison_Exp>;
    is_on_line?: InputMaybe<Boolean_Comparison_Exp>;
    is_on_point?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "map_effect_type" */
export declare enum Map_Effect_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapEffectTypePkey = "map_effect_type_pkey"
}
/** input type for incrementing numeric columns in table "map_effect_type" */
export type Map_Effect_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_effect_type" */
export type Map_Effect_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_on_entire_map?: InputMaybe<Scalars['Boolean']>;
    is_on_line?: InputMaybe<Scalars['Boolean']>;
    is_on_point?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Map_Effect_Type_Max_Fields = {
    __typename?: 'map_effect_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Map_Effect_Type_Min_Fields = {
    __typename?: 'map_effect_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "map_effect_type" */
export type Map_Effect_Type_Mutation_Response = {
    __typename?: 'map_effect_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Effect_Type>;
};
/** input type for inserting object relation for remote table "map_effect_type" */
export type Map_Effect_Type_Obj_Rel_Insert_Input = {
    data: Map_Effect_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Effect_Type_On_Conflict>;
};
/** on_conflict condition type for table "map_effect_type" */
export type Map_Effect_Type_On_Conflict = {
    constraint: Map_Effect_Type_Constraint;
    update_columns?: Array<Map_Effect_Type_Update_Column>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "map_effect_type". */
export type Map_Effect_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_on_entire_map?: InputMaybe<Order_By>;
    is_on_line?: InputMaybe<Order_By>;
    is_on_point?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map_effect_type */
export type Map_Effect_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_effect_type" */
export declare enum Map_Effect_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsOnEntireMap = "is_on_entire_map",
    /** column name */
    IsOnLine = "is_on_line",
    /** column name */
    IsOnPoint = "is_on_point",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "map_effect_type" */
export type Map_Effect_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_on_entire_map?: InputMaybe<Scalars['Boolean']>;
    is_on_line?: InputMaybe<Scalars['Boolean']>;
    is_on_point?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Map_Effect_Type_Stddev_Fields = {
    __typename?: 'map_effect_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Map_Effect_Type_Stddev_Pop_Fields = {
    __typename?: 'map_effect_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Map_Effect_Type_Stddev_Samp_Fields = {
    __typename?: 'map_effect_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "map_effect_type" */
export type Map_Effect_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Effect_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Effect_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_on_entire_map?: InputMaybe<Scalars['Boolean']>;
    is_on_line?: InputMaybe<Scalars['Boolean']>;
    is_on_point?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Map_Effect_Type_Sum_Fields = {
    __typename?: 'map_effect_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "map_effect_type" */
export declare enum Map_Effect_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsOnEntireMap = "is_on_entire_map",
    /** column name */
    IsOnLine = "is_on_line",
    /** column name */
    IsOnPoint = "is_on_point",
    /** column name */
    Name = "name"
}
export type Map_Effect_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Effect_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Effect_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Effect_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Effect_Type_Var_Pop_Fields = {
    __typename?: 'map_effect_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Map_Effect_Type_Var_Samp_Fields = {
    __typename?: 'map_effect_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Map_Effect_Type_Variance_Fields = {
    __typename?: 'map_effect_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "map_effect" */
export declare enum Map_Effect_Update_Column {
    /** column name */
    ConditionTypeId = "condition_type_id",
    /** column name */
    FinishingMapItemId = "finishing_map_item_id",
    /** column name */
    Id = "id",
    /** column name */
    MapEffectTypeId = "map_effect_type_id",
    /** column name */
    StartingMapItemId = "starting_map_item_id"
}
export type Map_Effect_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Effect_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Effect_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Effect_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Effect_Var_Pop_Fields = {
    __typename?: 'map_effect_var_pop_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Map_Effect_Var_Samp_Fields = {
    __typename?: 'map_effect_var_samp_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Map_Effect_Variance_Fields = {
    __typename?: 'map_effect_variance_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    finishing_map_item_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_effect_type_id?: Maybe<Scalars['Float']>;
    starting_map_item_id?: Maybe<Scalars['Float']>;
};
/** input type for incrementing numeric columns in table "map" */
export type Map_Inc_Input = {
    default_interface_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map" */
export type Map_Insert_Input = {
    default_interface_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    interfaceType?: InputMaybe<Interface_Type_Obj_Rel_Insert_Input>;
    mapItems?: InputMaybe<Map_Item_Arr_Rel_Insert_Input>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** columns and relationships of "map_item" */
export type Map_Item = {
    __typename?: 'map_item';
    /** An array relationship */
    animations: Array<Map_Item_Animation>;
    /** An aggregate relationship */
    animations_aggregate: Map_Item_Animation_Aggregate;
    asset_name?: Maybe<Scalars['String']>;
    control_point?: Maybe<Scalars['String']>;
    depth?: Maybe<Scalars['Int']>;
    /** An object relationship */
    effect?: Maybe<Map_Effect>;
    effect_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    flag?: Maybe<Flag>;
    flag_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    gis: Rooadmap_Gis_Map_Item;
    gis_id: Scalars['Int'];
    has_single_content?: Maybe<Scalars['Boolean']>;
    has_single_type?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    is_asset?: Maybe<Scalars['Boolean']>;
    is_background?: Maybe<Scalars['Boolean']>;
    is_bitmap?: Maybe<Scalars['Boolean']>;
    is_complex?: Maybe<Scalars['Boolean']>;
    is_effect_item?: Maybe<Scalars['Boolean']>;
    is_public?: Maybe<Scalars['Boolean']>;
    is_svg?: Maybe<Scalars['Boolean']>;
    is_text?: Maybe<Scalars['Boolean']>;
    is_youtube?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    map?: Maybe<Map>;
    map_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    piece?: Maybe<Piece>;
    piece_id?: Maybe<Scalars['Int']>;
    relative_height?: Maybe<Scalars['numeric']>;
    relative_width?: Maybe<Scalars['numeric']>;
    relative_x?: Maybe<Scalars['numeric']>;
    relative_y?: Maybe<Scalars['numeric']>;
    resource_url?: Maybe<Scalars['String']>;
    /** An object relationship */
    segment?: Maybe<Segment>;
    segment_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    spot?: Maybe<Spot>;
    spot_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    states: Array<Map_Item_State>;
    /** An aggregate relationship */
    states_aggregate: Map_Item_State_Aggregate;
    text?: Maybe<Scalars['String']>;
    /** An object relationship */
    universe?: Maybe<Universe>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "map_item" */
export type Map_ItemAnimationsArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
/** columns and relationships of "map_item" */
export type Map_ItemAnimations_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
/** columns and relationships of "map_item" */
export type Map_ItemStatesArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
/** columns and relationships of "map_item" */
export type Map_ItemStates_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
/** aggregated selection of "map_item" */
export type Map_Item_Aggregate = {
    __typename?: 'map_item_aggregate';
    aggregate?: Maybe<Map_Item_Aggregate_Fields>;
    nodes: Array<Map_Item>;
};
export type Map_Item_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Map_Item_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Map_Item_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Map_Item_Aggregate_Bool_Exp_Count>;
};
export type Map_Item_Aggregate_Bool_Exp_Bool_And = {
    arguments: Map_Item_Select_Column_Map_Item_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Map_Item_Select_Column_Map_Item_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Map_Item_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "map_item" */
export type Map_Item_Aggregate_Fields = {
    __typename?: 'map_item_aggregate_fields';
    avg?: Maybe<Map_Item_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Item_Max_Fields>;
    min?: Maybe<Map_Item_Min_Fields>;
    stddev?: Maybe<Map_Item_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Item_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Item_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Item_Sum_Fields>;
    var_pop?: Maybe<Map_Item_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Item_Var_Samp_Fields>;
    variance?: Maybe<Map_Item_Variance_Fields>;
};
/** aggregate fields of "map_item" */
export type Map_Item_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Item_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "map_item" */
export type Map_Item_Aggregate_Order_By = {
    avg?: InputMaybe<Map_Item_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Map_Item_Max_Order_By>;
    min?: InputMaybe<Map_Item_Min_Order_By>;
    stddev?: InputMaybe<Map_Item_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Map_Item_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Map_Item_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Map_Item_Sum_Order_By>;
    var_pop?: InputMaybe<Map_Item_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Map_Item_Var_Samp_Order_By>;
    variance?: InputMaybe<Map_Item_Variance_Order_By>;
};
/** columns and relationships of "map_item_animation" */
export type Map_Item_Animation = {
    __typename?: 'map_item_animation';
    animation_stage_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_free: Scalars['Boolean'];
    /** An object relationship */
    mapItem: Map_Item;
    map_item_id: Scalars['Int'];
    name: Scalars['String'];
    /** An object relationship */
    stage?: Maybe<Animation_Stage>;
};
/** aggregated selection of "map_item_animation" */
export type Map_Item_Animation_Aggregate = {
    __typename?: 'map_item_animation_aggregate';
    aggregate?: Maybe<Map_Item_Animation_Aggregate_Fields>;
    nodes: Array<Map_Item_Animation>;
};
export type Map_Item_Animation_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Map_Item_Animation_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Map_Item_Animation_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Map_Item_Animation_Aggregate_Bool_Exp_Count>;
};
export type Map_Item_Animation_Aggregate_Bool_Exp_Bool_And = {
    arguments: Map_Item_Animation_Select_Column_Map_Item_Animation_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Animation_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_Animation_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Map_Item_Animation_Select_Column_Map_Item_Animation_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Animation_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_Animation_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_Animation_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "map_item_animation" */
export type Map_Item_Animation_Aggregate_Fields = {
    __typename?: 'map_item_animation_aggregate_fields';
    avg?: Maybe<Map_Item_Animation_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Item_Animation_Max_Fields>;
    min?: Maybe<Map_Item_Animation_Min_Fields>;
    stddev?: Maybe<Map_Item_Animation_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Item_Animation_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Item_Animation_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Item_Animation_Sum_Fields>;
    var_pop?: Maybe<Map_Item_Animation_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Item_Animation_Var_Samp_Fields>;
    variance?: Maybe<Map_Item_Animation_Variance_Fields>;
};
/** aggregate fields of "map_item_animation" */
export type Map_Item_Animation_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "map_item_animation" */
export type Map_Item_Animation_Aggregate_Order_By = {
    avg?: InputMaybe<Map_Item_Animation_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Map_Item_Animation_Max_Order_By>;
    min?: InputMaybe<Map_Item_Animation_Min_Order_By>;
    stddev?: InputMaybe<Map_Item_Animation_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Map_Item_Animation_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Map_Item_Animation_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Map_Item_Animation_Sum_Order_By>;
    var_pop?: InputMaybe<Map_Item_Animation_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Map_Item_Animation_Var_Samp_Order_By>;
    variance?: InputMaybe<Map_Item_Animation_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "map_item_animation" */
export type Map_Item_Animation_Arr_Rel_Insert_Input = {
    data: Array<Map_Item_Animation_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Item_Animation_On_Conflict>;
};
/** aggregate avg on columns */
export type Map_Item_Animation_Avg_Fields = {
    __typename?: 'map_item_animation_avg_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "map_item_animation" */
export type Map_Item_Animation_Avg_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "map_item_animation". All fields are combined with a logical 'AND'. */
export type Map_Item_Animation_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Item_Animation_Bool_Exp>>;
    _not?: InputMaybe<Map_Item_Animation_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Item_Animation_Bool_Exp>>;
    animation_stage_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_free?: InputMaybe<Boolean_Comparison_Exp>;
    mapItem?: InputMaybe<Map_Item_Bool_Exp>;
    map_item_id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    stage?: InputMaybe<Animation_Stage_Bool_Exp>;
};
/** unique or primary key constraints on table "map_item_animation" */
export declare enum Map_Item_Animation_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapItemAnimationPkey = "map_item_animation_pkey"
}
/** input type for incrementing numeric columns in table "map_item_animation" */
export type Map_Item_Animation_Inc_Input = {
    animation_stage_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_item_animation" */
export type Map_Item_Animation_Insert_Input = {
    animation_stage_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    mapItem?: InputMaybe<Map_Item_Obj_Rel_Insert_Input>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    stage?: InputMaybe<Animation_Stage_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Map_Item_Animation_Max_Fields = {
    __typename?: 'map_item_animation_max_fields';
    animation_stage_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "map_item_animation" */
export type Map_Item_Animation_Max_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Map_Item_Animation_Min_Fields = {
    __typename?: 'map_item_animation_min_fields';
    animation_stage_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "map_item_animation" */
export type Map_Item_Animation_Min_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "map_item_animation" */
export type Map_Item_Animation_Mutation_Response = {
    __typename?: 'map_item_animation_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Item_Animation>;
};
/** on_conflict condition type for table "map_item_animation" */
export type Map_Item_Animation_On_Conflict = {
    constraint: Map_Item_Animation_Constraint;
    update_columns?: Array<Map_Item_Animation_Update_Column>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
/** Ordering options when selecting data from "map_item_animation". */
export type Map_Item_Animation_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_free?: InputMaybe<Order_By>;
    mapItem?: InputMaybe<Map_Item_Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    stage?: InputMaybe<Animation_Stage_Order_By>;
};
/** primary key columns input for table: map_item_animation */
export type Map_Item_Animation_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_item_animation" */
export declare enum Map_Item_Animation_Select_Column {
    /** column name */
    AnimationStageId = "animation_stage_id",
    /** column name */
    Id = "id",
    /** column name */
    IsFree = "is_free",
    /** column name */
    MapItemId = "map_item_id",
    /** column name */
    Name = "name"
}
/** select "map_item_animation_aggregate_bool_exp_bool_and_arguments_columns" columns of table "map_item_animation" */
export declare enum Map_Item_Animation_Select_Column_Map_Item_Animation_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsFree = "is_free"
}
/** select "map_item_animation_aggregate_bool_exp_bool_or_arguments_columns" columns of table "map_item_animation" */
export declare enum Map_Item_Animation_Select_Column_Map_Item_Animation_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsFree = "is_free"
}
/** input type for updating data in table "map_item_animation" */
export type Map_Item_Animation_Set_Input = {
    animation_stage_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Map_Item_Animation_Stddev_Fields = {
    __typename?: 'map_item_animation_stddev_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "map_item_animation" */
export type Map_Item_Animation_Stddev_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Map_Item_Animation_Stddev_Pop_Fields = {
    __typename?: 'map_item_animation_stddev_pop_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "map_item_animation" */
export type Map_Item_Animation_Stddev_Pop_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Map_Item_Animation_Stddev_Samp_Fields = {
    __typename?: 'map_item_animation_stddev_samp_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "map_item_animation" */
export type Map_Item_Animation_Stddev_Samp_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "map_item_animation" */
export type Map_Item_Animation_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Item_Animation_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Item_Animation_Stream_Cursor_Value_Input = {
    animation_stage_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Map_Item_Animation_Sum_Fields = {
    __typename?: 'map_item_animation_sum_fields';
    animation_stage_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "map_item_animation" */
export type Map_Item_Animation_Sum_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** update columns of table "map_item_animation" */
export declare enum Map_Item_Animation_Update_Column {
    /** column name */
    AnimationStageId = "animation_stage_id",
    /** column name */
    Id = "id",
    /** column name */
    IsFree = "is_free",
    /** column name */
    MapItemId = "map_item_id",
    /** column name */
    Name = "name"
}
export type Map_Item_Animation_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Item_Animation_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Item_Animation_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Item_Animation_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Item_Animation_Var_Pop_Fields = {
    __typename?: 'map_item_animation_var_pop_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "map_item_animation" */
export type Map_Item_Animation_Var_Pop_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Map_Item_Animation_Var_Samp_Fields = {
    __typename?: 'map_item_animation_var_samp_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "map_item_animation" */
export type Map_Item_Animation_Var_Samp_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Map_Item_Animation_Variance_Fields = {
    __typename?: 'map_item_animation_variance_fields';
    animation_stage_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "map_item_animation" */
export type Map_Item_Animation_Variance_Order_By = {
    animation_stage_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
};
/** input type for inserting array relation for remote table "map_item" */
export type Map_Item_Arr_Rel_Insert_Input = {
    data: Array<Map_Item_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Item_On_Conflict>;
};
/** aggregate avg on columns */
export type Map_Item_Avg_Fields = {
    __typename?: 'map_item_avg_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "map_item" */
export type Map_Item_Avg_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "map_item". All fields are combined with a logical 'AND'. */
export type Map_Item_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Item_Bool_Exp>>;
    _not?: InputMaybe<Map_Item_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Item_Bool_Exp>>;
    animations?: InputMaybe<Map_Item_Animation_Bool_Exp>;
    animations_aggregate?: InputMaybe<Map_Item_Animation_Aggregate_Bool_Exp>;
    asset_name?: InputMaybe<String_Comparison_Exp>;
    control_point?: InputMaybe<String_Comparison_Exp>;
    depth?: InputMaybe<Int_Comparison_Exp>;
    effect?: InputMaybe<Map_Effect_Bool_Exp>;
    effect_id?: InputMaybe<Int_Comparison_Exp>;
    flag?: InputMaybe<Flag_Bool_Exp>;
    flag_id?: InputMaybe<Int_Comparison_Exp>;
    gis?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
    gis_id?: InputMaybe<Int_Comparison_Exp>;
    has_single_content?: InputMaybe<Boolean_Comparison_Exp>;
    has_single_type?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_asset?: InputMaybe<Boolean_Comparison_Exp>;
    is_background?: InputMaybe<Boolean_Comparison_Exp>;
    is_bitmap?: InputMaybe<Boolean_Comparison_Exp>;
    is_complex?: InputMaybe<Boolean_Comparison_Exp>;
    is_effect_item?: InputMaybe<Boolean_Comparison_Exp>;
    is_public?: InputMaybe<Boolean_Comparison_Exp>;
    is_svg?: InputMaybe<Boolean_Comparison_Exp>;
    is_text?: InputMaybe<Boolean_Comparison_Exp>;
    is_youtube?: InputMaybe<Boolean_Comparison_Exp>;
    map?: InputMaybe<Map_Bool_Exp>;
    map_id?: InputMaybe<Int_Comparison_Exp>;
    piece?: InputMaybe<Piece_Bool_Exp>;
    piece_id?: InputMaybe<Int_Comparison_Exp>;
    relative_height?: InputMaybe<Numeric_Comparison_Exp>;
    relative_width?: InputMaybe<Numeric_Comparison_Exp>;
    relative_x?: InputMaybe<Numeric_Comparison_Exp>;
    relative_y?: InputMaybe<Numeric_Comparison_Exp>;
    resource_url?: InputMaybe<String_Comparison_Exp>;
    segment?: InputMaybe<Segment_Bool_Exp>;
    segment_id?: InputMaybe<Int_Comparison_Exp>;
    spot?: InputMaybe<Spot_Bool_Exp>;
    spot_id?: InputMaybe<Int_Comparison_Exp>;
    states?: InputMaybe<Map_Item_State_Bool_Exp>;
    states_aggregate?: InputMaybe<Map_Item_State_Aggregate_Bool_Exp>;
    text?: InputMaybe<String_Comparison_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "map_item" */
export declare enum Map_Item_Constraint {
    /** unique or primary key constraint on columns "gis_id" */
    MapItemGisIdKey = "map_item_gis_id_key",
    /** unique or primary key constraint on columns "piece_id" */
    MapItemPieceIdKey = "map_item_piece_id_key",
    /** unique or primary key constraint on columns "id" */
    MapItemPkey = "map_item_pkey"
}
/** input type for incrementing numeric columns in table "map_item" */
export type Map_Item_Inc_Input = {
    depth?: InputMaybe<Scalars['Int']>;
    effect_id?: InputMaybe<Scalars['Int']>;
    flag_id?: InputMaybe<Scalars['Int']>;
    gis_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    map_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
    relative_height?: InputMaybe<Scalars['numeric']>;
    relative_width?: InputMaybe<Scalars['numeric']>;
    relative_x?: InputMaybe<Scalars['numeric']>;
    relative_y?: InputMaybe<Scalars['numeric']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_item" */
export type Map_Item_Insert_Input = {
    animations?: InputMaybe<Map_Item_Animation_Arr_Rel_Insert_Input>;
    asset_name?: InputMaybe<Scalars['String']>;
    control_point?: InputMaybe<Scalars['String']>;
    depth?: InputMaybe<Scalars['Int']>;
    effect?: InputMaybe<Map_Effect_Obj_Rel_Insert_Input>;
    effect_id?: InputMaybe<Scalars['Int']>;
    flag?: InputMaybe<Flag_Obj_Rel_Insert_Input>;
    flag_id?: InputMaybe<Scalars['Int']>;
    gis?: InputMaybe<Rooadmap_Gis_Map_Item_Obj_Rel_Insert_Input>;
    gis_id?: InputMaybe<Scalars['Int']>;
    has_single_content?: InputMaybe<Scalars['Boolean']>;
    has_single_type?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_asset?: InputMaybe<Scalars['Boolean']>;
    is_background?: InputMaybe<Scalars['Boolean']>;
    is_bitmap?: InputMaybe<Scalars['Boolean']>;
    is_complex?: InputMaybe<Scalars['Boolean']>;
    is_effect_item?: InputMaybe<Scalars['Boolean']>;
    is_public?: InputMaybe<Scalars['Boolean']>;
    is_svg?: InputMaybe<Scalars['Boolean']>;
    is_text?: InputMaybe<Scalars['Boolean']>;
    is_youtube?: InputMaybe<Scalars['Boolean']>;
    map?: InputMaybe<Map_Obj_Rel_Insert_Input>;
    map_id?: InputMaybe<Scalars['Int']>;
    piece?: InputMaybe<Piece_Obj_Rel_Insert_Input>;
    piece_id?: InputMaybe<Scalars['Int']>;
    relative_height?: InputMaybe<Scalars['numeric']>;
    relative_width?: InputMaybe<Scalars['numeric']>;
    relative_x?: InputMaybe<Scalars['numeric']>;
    relative_y?: InputMaybe<Scalars['numeric']>;
    resource_url?: InputMaybe<Scalars['String']>;
    segment?: InputMaybe<Segment_Obj_Rel_Insert_Input>;
    segment_id?: InputMaybe<Scalars['Int']>;
    spot?: InputMaybe<Spot_Obj_Rel_Insert_Input>;
    spot_id?: InputMaybe<Scalars['Int']>;
    states?: InputMaybe<Map_Item_State_Arr_Rel_Insert_Input>;
    text?: InputMaybe<Scalars['String']>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Map_Item_Max_Fields = {
    __typename?: 'map_item_max_fields';
    asset_name?: Maybe<Scalars['String']>;
    control_point?: Maybe<Scalars['String']>;
    depth?: Maybe<Scalars['Int']>;
    effect_id?: Maybe<Scalars['Int']>;
    flag_id?: Maybe<Scalars['Int']>;
    gis_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
    relative_height?: Maybe<Scalars['numeric']>;
    relative_width?: Maybe<Scalars['numeric']>;
    relative_x?: Maybe<Scalars['numeric']>;
    relative_y?: Maybe<Scalars['numeric']>;
    resource_url?: Maybe<Scalars['String']>;
    segment_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "map_item" */
export type Map_Item_Max_Order_By = {
    asset_name?: InputMaybe<Order_By>;
    control_point?: InputMaybe<Order_By>;
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    resource_url?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    text?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Map_Item_Min_Fields = {
    __typename?: 'map_item_min_fields';
    asset_name?: Maybe<Scalars['String']>;
    control_point?: Maybe<Scalars['String']>;
    depth?: Maybe<Scalars['Int']>;
    effect_id?: Maybe<Scalars['Int']>;
    flag_id?: Maybe<Scalars['Int']>;
    gis_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
    relative_height?: Maybe<Scalars['numeric']>;
    relative_width?: Maybe<Scalars['numeric']>;
    relative_x?: Maybe<Scalars['numeric']>;
    relative_y?: Maybe<Scalars['numeric']>;
    resource_url?: Maybe<Scalars['String']>;
    segment_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "map_item" */
export type Map_Item_Min_Order_By = {
    asset_name?: InputMaybe<Order_By>;
    control_point?: InputMaybe<Order_By>;
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    resource_url?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    text?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "map_item" */
export type Map_Item_Mutation_Response = {
    __typename?: 'map_item_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Item>;
};
/** input type for inserting object relation for remote table "map_item" */
export type Map_Item_Obj_Rel_Insert_Input = {
    data: Map_Item_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Item_On_Conflict>;
};
/** on_conflict condition type for table "map_item" */
export type Map_Item_On_Conflict = {
    constraint: Map_Item_Constraint;
    update_columns?: Array<Map_Item_Update_Column>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
/** Ordering options when selecting data from "map_item". */
export type Map_Item_Order_By = {
    animations_aggregate?: InputMaybe<Map_Item_Animation_Aggregate_Order_By>;
    asset_name?: InputMaybe<Order_By>;
    control_point?: InputMaybe<Order_By>;
    depth?: InputMaybe<Order_By>;
    effect?: InputMaybe<Map_Effect_Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag?: InputMaybe<Flag_Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis?: InputMaybe<Rooadmap_Gis_Map_Item_Order_By>;
    gis_id?: InputMaybe<Order_By>;
    has_single_content?: InputMaybe<Order_By>;
    has_single_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_asset?: InputMaybe<Order_By>;
    is_background?: InputMaybe<Order_By>;
    is_bitmap?: InputMaybe<Order_By>;
    is_complex?: InputMaybe<Order_By>;
    is_effect_item?: InputMaybe<Order_By>;
    is_public?: InputMaybe<Order_By>;
    is_svg?: InputMaybe<Order_By>;
    is_text?: InputMaybe<Order_By>;
    is_youtube?: InputMaybe<Order_By>;
    map?: InputMaybe<Map_Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece?: InputMaybe<Piece_Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    resource_url?: InputMaybe<Order_By>;
    segment?: InputMaybe<Segment_Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot?: InputMaybe<Spot_Order_By>;
    spot_id?: InputMaybe<Order_By>;
    states_aggregate?: InputMaybe<Map_Item_State_Aggregate_Order_By>;
    text?: InputMaybe<Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map_item */
export type Map_Item_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_item" */
export declare enum Map_Item_Select_Column {
    /** column name */
    AssetName = "asset_name",
    /** column name */
    ControlPoint = "control_point",
    /** column name */
    Depth = "depth",
    /** column name */
    EffectId = "effect_id",
    /** column name */
    FlagId = "flag_id",
    /** column name */
    GisId = "gis_id",
    /** column name */
    HasSingleContent = "has_single_content",
    /** column name */
    HasSingleType = "has_single_type",
    /** column name */
    Id = "id",
    /** column name */
    IsAsset = "is_asset",
    /** column name */
    IsBackground = "is_background",
    /** column name */
    IsBitmap = "is_bitmap",
    /** column name */
    IsComplex = "is_complex",
    /** column name */
    IsEffectItem = "is_effect_item",
    /** column name */
    IsPublic = "is_public",
    /** column name */
    IsSvg = "is_svg",
    /** column name */
    IsText = "is_text",
    /** column name */
    IsYoutube = "is_youtube",
    /** column name */
    MapId = "map_id",
    /** column name */
    PieceId = "piece_id",
    /** column name */
    RelativeHeight = "relative_height",
    /** column name */
    RelativeWidth = "relative_width",
    /** column name */
    RelativeX = "relative_x",
    /** column name */
    RelativeY = "relative_y",
    /** column name */
    ResourceUrl = "resource_url",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    SpotId = "spot_id",
    /** column name */
    Text = "text",
    /** column name */
    UniverseId = "universe_id"
}
/** select "map_item_aggregate_bool_exp_bool_and_arguments_columns" columns of table "map_item" */
export declare enum Map_Item_Select_Column_Map_Item_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    HasSingleContent = "has_single_content",
    /** column name */
    HasSingleType = "has_single_type",
    /** column name */
    IsAsset = "is_asset",
    /** column name */
    IsBackground = "is_background",
    /** column name */
    IsBitmap = "is_bitmap",
    /** column name */
    IsComplex = "is_complex",
    /** column name */
    IsEffectItem = "is_effect_item",
    /** column name */
    IsPublic = "is_public",
    /** column name */
    IsSvg = "is_svg",
    /** column name */
    IsText = "is_text",
    /** column name */
    IsYoutube = "is_youtube"
}
/** select "map_item_aggregate_bool_exp_bool_or_arguments_columns" columns of table "map_item" */
export declare enum Map_Item_Select_Column_Map_Item_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    HasSingleContent = "has_single_content",
    /** column name */
    HasSingleType = "has_single_type",
    /** column name */
    IsAsset = "is_asset",
    /** column name */
    IsBackground = "is_background",
    /** column name */
    IsBitmap = "is_bitmap",
    /** column name */
    IsComplex = "is_complex",
    /** column name */
    IsEffectItem = "is_effect_item",
    /** column name */
    IsPublic = "is_public",
    /** column name */
    IsSvg = "is_svg",
    /** column name */
    IsText = "is_text",
    /** column name */
    IsYoutube = "is_youtube"
}
/** input type for updating data in table "map_item" */
export type Map_Item_Set_Input = {
    asset_name?: InputMaybe<Scalars['String']>;
    control_point?: InputMaybe<Scalars['String']>;
    depth?: InputMaybe<Scalars['Int']>;
    effect_id?: InputMaybe<Scalars['Int']>;
    flag_id?: InputMaybe<Scalars['Int']>;
    gis_id?: InputMaybe<Scalars['Int']>;
    has_single_content?: InputMaybe<Scalars['Boolean']>;
    has_single_type?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_asset?: InputMaybe<Scalars['Boolean']>;
    is_background?: InputMaybe<Scalars['Boolean']>;
    is_bitmap?: InputMaybe<Scalars['Boolean']>;
    is_complex?: InputMaybe<Scalars['Boolean']>;
    is_effect_item?: InputMaybe<Scalars['Boolean']>;
    is_public?: InputMaybe<Scalars['Boolean']>;
    is_svg?: InputMaybe<Scalars['Boolean']>;
    is_text?: InputMaybe<Scalars['Boolean']>;
    is_youtube?: InputMaybe<Scalars['Boolean']>;
    map_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
    relative_height?: InputMaybe<Scalars['numeric']>;
    relative_width?: InputMaybe<Scalars['numeric']>;
    relative_x?: InputMaybe<Scalars['numeric']>;
    relative_y?: InputMaybe<Scalars['numeric']>;
    resource_url?: InputMaybe<Scalars['String']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** columns and relationships of "map_item_state" */
export type Map_Item_State = {
    __typename?: 'map_item_state';
    id: Scalars['Int'];
    map_item_id: Scalars['Int'];
    user_id: Scalars['Int'];
    visibility: Scalars['Boolean'];
};
/** aggregated selection of "map_item_state" */
export type Map_Item_State_Aggregate = {
    __typename?: 'map_item_state_aggregate';
    aggregate?: Maybe<Map_Item_State_Aggregate_Fields>;
    nodes: Array<Map_Item_State>;
};
export type Map_Item_State_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Map_Item_State_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Map_Item_State_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Map_Item_State_Aggregate_Bool_Exp_Count>;
};
export type Map_Item_State_Aggregate_Bool_Exp_Bool_And = {
    arguments: Map_Item_State_Select_Column_Map_Item_State_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_State_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_State_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Map_Item_State_Select_Column_Map_Item_State_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_State_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Map_Item_State_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Map_Item_State_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "map_item_state" */
export type Map_Item_State_Aggregate_Fields = {
    __typename?: 'map_item_state_aggregate_fields';
    avg?: Maybe<Map_Item_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Map_Item_State_Max_Fields>;
    min?: Maybe<Map_Item_State_Min_Fields>;
    stddev?: Maybe<Map_Item_State_Stddev_Fields>;
    stddev_pop?: Maybe<Map_Item_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Map_Item_State_Stddev_Samp_Fields>;
    sum?: Maybe<Map_Item_State_Sum_Fields>;
    var_pop?: Maybe<Map_Item_State_Var_Pop_Fields>;
    var_samp?: Maybe<Map_Item_State_Var_Samp_Fields>;
    variance?: Maybe<Map_Item_State_Variance_Fields>;
};
/** aggregate fields of "map_item_state" */
export type Map_Item_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "map_item_state" */
export type Map_Item_State_Aggregate_Order_By = {
    avg?: InputMaybe<Map_Item_State_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Map_Item_State_Max_Order_By>;
    min?: InputMaybe<Map_Item_State_Min_Order_By>;
    stddev?: InputMaybe<Map_Item_State_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Map_Item_State_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Map_Item_State_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Map_Item_State_Sum_Order_By>;
    var_pop?: InputMaybe<Map_Item_State_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Map_Item_State_Var_Samp_Order_By>;
    variance?: InputMaybe<Map_Item_State_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "map_item_state" */
export type Map_Item_State_Arr_Rel_Insert_Input = {
    data: Array<Map_Item_State_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_Item_State_On_Conflict>;
};
/** aggregate avg on columns */
export type Map_Item_State_Avg_Fields = {
    __typename?: 'map_item_state_avg_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "map_item_state" */
export type Map_Item_State_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "map_item_state". All fields are combined with a logical 'AND'. */
export type Map_Item_State_Bool_Exp = {
    _and?: InputMaybe<Array<Map_Item_State_Bool_Exp>>;
    _not?: InputMaybe<Map_Item_State_Bool_Exp>;
    _or?: InputMaybe<Array<Map_Item_State_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    map_item_id?: InputMaybe<Int_Comparison_Exp>;
    user_id?: InputMaybe<Int_Comparison_Exp>;
    visibility?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "map_item_state" */
export declare enum Map_Item_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapItemStatePkey = "map_item_state_pkey"
}
/** input type for incrementing numeric columns in table "map_item_state" */
export type Map_Item_State_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "map_item_state" */
export type Map_Item_State_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
    visibility?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Map_Item_State_Max_Fields = {
    __typename?: 'map_item_state_max_fields';
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "map_item_state" */
export type Map_Item_State_Max_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Map_Item_State_Min_Fields = {
    __typename?: 'map_item_state_min_fields';
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "map_item_state" */
export type Map_Item_State_Min_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "map_item_state" */
export type Map_Item_State_Mutation_Response = {
    __typename?: 'map_item_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map_Item_State>;
};
/** on_conflict condition type for table "map_item_state" */
export type Map_Item_State_On_Conflict = {
    constraint: Map_Item_State_Constraint;
    update_columns?: Array<Map_Item_State_Update_Column>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
/** Ordering options when selecting data from "map_item_state". */
export type Map_Item_State_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
    visibility?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map_item_state */
export type Map_Item_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map_item_state" */
export declare enum Map_Item_State_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    MapItemId = "map_item_id",
    /** column name */
    UserId = "user_id",
    /** column name */
    Visibility = "visibility"
}
/** select "map_item_state_aggregate_bool_exp_bool_and_arguments_columns" columns of table "map_item_state" */
export declare enum Map_Item_State_Select_Column_Map_Item_State_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    Visibility = "visibility"
}
/** select "map_item_state_aggregate_bool_exp_bool_or_arguments_columns" columns of table "map_item_state" */
export declare enum Map_Item_State_Select_Column_Map_Item_State_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    Visibility = "visibility"
}
/** input type for updating data in table "map_item_state" */
export type Map_Item_State_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
    visibility?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Map_Item_State_Stddev_Fields = {
    __typename?: 'map_item_state_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "map_item_state" */
export type Map_Item_State_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Map_Item_State_Stddev_Pop_Fields = {
    __typename?: 'map_item_state_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "map_item_state" */
export type Map_Item_State_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Map_Item_State_Stddev_Samp_Fields = {
    __typename?: 'map_item_state_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "map_item_state" */
export type Map_Item_State_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "map_item_state" */
export type Map_Item_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Item_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Item_State_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    map_item_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
    visibility?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Map_Item_State_Sum_Fields = {
    __typename?: 'map_item_state_sum_fields';
    id?: Maybe<Scalars['Int']>;
    map_item_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "map_item_state" */
export type Map_Item_State_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** update columns of table "map_item_state" */
export declare enum Map_Item_State_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    MapItemId = "map_item_id",
    /** column name */
    UserId = "user_id",
    /** column name */
    Visibility = "visibility"
}
export type Map_Item_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Item_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Item_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Item_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Item_State_Var_Pop_Fields = {
    __typename?: 'map_item_state_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "map_item_state" */
export type Map_Item_State_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Map_Item_State_Var_Samp_Fields = {
    __typename?: 'map_item_state_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "map_item_state" */
export type Map_Item_State_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Map_Item_State_Variance_Fields = {
    __typename?: 'map_item_state_variance_fields';
    id?: Maybe<Scalars['Float']>;
    map_item_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "map_item_state" */
export type Map_Item_State_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    map_item_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev on columns */
export type Map_Item_Stddev_Fields = {
    __typename?: 'map_item_stddev_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "map_item" */
export type Map_Item_Stddev_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Map_Item_Stddev_Pop_Fields = {
    __typename?: 'map_item_stddev_pop_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "map_item" */
export type Map_Item_Stddev_Pop_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Map_Item_Stddev_Samp_Fields = {
    __typename?: 'map_item_stddev_samp_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "map_item" */
export type Map_Item_Stddev_Samp_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "map_item" */
export type Map_Item_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Item_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Item_Stream_Cursor_Value_Input = {
    asset_name?: InputMaybe<Scalars['String']>;
    control_point?: InputMaybe<Scalars['String']>;
    depth?: InputMaybe<Scalars['Int']>;
    effect_id?: InputMaybe<Scalars['Int']>;
    flag_id?: InputMaybe<Scalars['Int']>;
    gis_id?: InputMaybe<Scalars['Int']>;
    has_single_content?: InputMaybe<Scalars['Boolean']>;
    has_single_type?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_asset?: InputMaybe<Scalars['Boolean']>;
    is_background?: InputMaybe<Scalars['Boolean']>;
    is_bitmap?: InputMaybe<Scalars['Boolean']>;
    is_complex?: InputMaybe<Scalars['Boolean']>;
    is_effect_item?: InputMaybe<Scalars['Boolean']>;
    is_public?: InputMaybe<Scalars['Boolean']>;
    is_svg?: InputMaybe<Scalars['Boolean']>;
    is_text?: InputMaybe<Scalars['Boolean']>;
    is_youtube?: InputMaybe<Scalars['Boolean']>;
    map_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
    relative_height?: InputMaybe<Scalars['numeric']>;
    relative_width?: InputMaybe<Scalars['numeric']>;
    relative_x?: InputMaybe<Scalars['numeric']>;
    relative_y?: InputMaybe<Scalars['numeric']>;
    resource_url?: InputMaybe<Scalars['String']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Map_Item_Sum_Fields = {
    __typename?: 'map_item_sum_fields';
    depth?: Maybe<Scalars['Int']>;
    effect_id?: Maybe<Scalars['Int']>;
    flag_id?: Maybe<Scalars['Int']>;
    gis_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    map_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
    relative_height?: Maybe<Scalars['numeric']>;
    relative_width?: Maybe<Scalars['numeric']>;
    relative_x?: Maybe<Scalars['numeric']>;
    relative_y?: Maybe<Scalars['numeric']>;
    segment_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "map_item" */
export type Map_Item_Sum_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** update columns of table "map_item" */
export declare enum Map_Item_Update_Column {
    /** column name */
    AssetName = "asset_name",
    /** column name */
    ControlPoint = "control_point",
    /** column name */
    Depth = "depth",
    /** column name */
    EffectId = "effect_id",
    /** column name */
    FlagId = "flag_id",
    /** column name */
    GisId = "gis_id",
    /** column name */
    HasSingleContent = "has_single_content",
    /** column name */
    HasSingleType = "has_single_type",
    /** column name */
    Id = "id",
    /** column name */
    IsAsset = "is_asset",
    /** column name */
    IsBackground = "is_background",
    /** column name */
    IsBitmap = "is_bitmap",
    /** column name */
    IsComplex = "is_complex",
    /** column name */
    IsEffectItem = "is_effect_item",
    /** column name */
    IsPublic = "is_public",
    /** column name */
    IsSvg = "is_svg",
    /** column name */
    IsText = "is_text",
    /** column name */
    IsYoutube = "is_youtube",
    /** column name */
    MapId = "map_id",
    /** column name */
    PieceId = "piece_id",
    /** column name */
    RelativeHeight = "relative_height",
    /** column name */
    RelativeWidth = "relative_width",
    /** column name */
    RelativeX = "relative_x",
    /** column name */
    RelativeY = "relative_y",
    /** column name */
    ResourceUrl = "resource_url",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    SpotId = "spot_id",
    /** column name */
    Text = "text",
    /** column name */
    UniverseId = "universe_id"
}
export type Map_Item_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Item_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Item_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Item_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Item_Var_Pop_Fields = {
    __typename?: 'map_item_var_pop_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "map_item" */
export type Map_Item_Var_Pop_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Map_Item_Var_Samp_Fields = {
    __typename?: 'map_item_var_samp_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "map_item" */
export type Map_Item_Var_Samp_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Map_Item_Variance_Fields = {
    __typename?: 'map_item_variance_fields';
    depth?: Maybe<Scalars['Float']>;
    effect_id?: Maybe<Scalars['Float']>;
    flag_id?: Maybe<Scalars['Float']>;
    gis_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    map_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
    relative_height?: Maybe<Scalars['Float']>;
    relative_width?: Maybe<Scalars['Float']>;
    relative_x?: Maybe<Scalars['Float']>;
    relative_y?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "map_item" */
export type Map_Item_Variance_Order_By = {
    depth?: InputMaybe<Order_By>;
    effect_id?: InputMaybe<Order_By>;
    flag_id?: InputMaybe<Order_By>;
    gis_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    map_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
    relative_height?: InputMaybe<Order_By>;
    relative_width?: InputMaybe<Order_By>;
    relative_x?: InputMaybe<Order_By>;
    relative_y?: InputMaybe<Order_By>;
    segment_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** aggregate max on columns */
export type Map_Max_Fields = {
    __typename?: 'map_max_fields';
    default_interface_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Map_Min_Fields = {
    __typename?: 'map_min_fields';
    default_interface_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "map" */
export type Map_Mutation_Response = {
    __typename?: 'map_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Map>;
};
/** input type for inserting object relation for remote table "map" */
export type Map_Obj_Rel_Insert_Input = {
    data: Map_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Map_On_Conflict>;
};
/** on_conflict condition type for table "map" */
export type Map_On_Conflict = {
    constraint: Map_Constraint;
    update_columns?: Array<Map_Update_Column>;
    where?: InputMaybe<Map_Bool_Exp>;
};
/** Ordering options when selecting data from "map". */
export type Map_Order_By = {
    default_interface_type_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    interfaceType?: InputMaybe<Interface_Type_Order_By>;
    mapItems_aggregate?: InputMaybe<Map_Item_Aggregate_Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: map */
export type Map_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "map" */
export declare enum Map_Select_Column {
    /** column name */
    DefaultInterfaceTypeId = "default_interface_type_id",
    /** column name */
    Id = "id",
    /** column name */
    UniverseId = "universe_id"
}
/** input type for updating data in table "map" */
export type Map_Set_Input = {
    default_interface_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Map_Stddev_Fields = {
    __typename?: 'map_stddev_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Map_Stddev_Pop_Fields = {
    __typename?: 'map_stddev_pop_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Map_Stddev_Samp_Fields = {
    __typename?: 'map_stddev_samp_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "map" */
export type Map_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Map_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Map_Stream_Cursor_Value_Input = {
    default_interface_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Map_Sum_Fields = {
    __typename?: 'map_sum_fields';
    default_interface_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "map" */
export declare enum Map_Update_Column {
    /** column name */
    DefaultInterfaceTypeId = "default_interface_type_id",
    /** column name */
    Id = "id",
    /** column name */
    UniverseId = "universe_id"
}
export type Map_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Map_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Map_Set_Input>;
    /** filter the rows which have to be updated */
    where: Map_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Map_Var_Pop_Fields = {
    __typename?: 'map_var_pop_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Map_Var_Samp_Fields = {
    __typename?: 'map_var_samp_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Map_Variance_Fields = {
    __typename?: 'map_variance_fields';
    default_interface_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "medium_type" */
export type Medium_Type = {
    __typename?: 'medium_type';
    id: Scalars['Int'];
    is_inmap?: Maybe<Scalars['Boolean']>;
    is_outmap?: Maybe<Scalars['Boolean']>;
    medium_type_title?: Maybe<Scalars['String']>;
    require_fo?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "medium_type" */
export type Medium_Type_Aggregate = {
    __typename?: 'medium_type_aggregate';
    aggregate?: Maybe<Medium_Type_Aggregate_Fields>;
    nodes: Array<Medium_Type>;
};
/** aggregate fields of "medium_type" */
export type Medium_Type_Aggregate_Fields = {
    __typename?: 'medium_type_aggregate_fields';
    avg?: Maybe<Medium_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Medium_Type_Max_Fields>;
    min?: Maybe<Medium_Type_Min_Fields>;
    stddev?: Maybe<Medium_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Medium_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Medium_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Medium_Type_Sum_Fields>;
    var_pop?: Maybe<Medium_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Medium_Type_Var_Samp_Fields>;
    variance?: Maybe<Medium_Type_Variance_Fields>;
};
/** aggregate fields of "medium_type" */
export type Medium_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Medium_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Medium_Type_Avg_Fields = {
    __typename?: 'medium_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "medium_type". All fields are combined with a logical 'AND'. */
export type Medium_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Medium_Type_Bool_Exp>>;
    _not?: InputMaybe<Medium_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Medium_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_inmap?: InputMaybe<Boolean_Comparison_Exp>;
    is_outmap?: InputMaybe<Boolean_Comparison_Exp>;
    medium_type_title?: InputMaybe<String_Comparison_Exp>;
    require_fo?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "medium_type" */
export declare enum Medium_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    MediumTypePkey = "medium_type_pkey"
}
/** input type for incrementing numeric columns in table "medium_type" */
export type Medium_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "medium_type" */
export type Medium_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    medium_type_title?: InputMaybe<Scalars['String']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Medium_Type_Max_Fields = {
    __typename?: 'medium_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    medium_type_title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Medium_Type_Min_Fields = {
    __typename?: 'medium_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    medium_type_title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "medium_type" */
export type Medium_Type_Mutation_Response = {
    __typename?: 'medium_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Medium_Type>;
};
/** on_conflict condition type for table "medium_type" */
export type Medium_Type_On_Conflict = {
    constraint: Medium_Type_Constraint;
    update_columns?: Array<Medium_Type_Update_Column>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "medium_type". */
export type Medium_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_inmap?: InputMaybe<Order_By>;
    is_outmap?: InputMaybe<Order_By>;
    medium_type_title?: InputMaybe<Order_By>;
    require_fo?: InputMaybe<Order_By>;
};
/** primary key columns input for table: medium_type */
export type Medium_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "medium_type" */
export declare enum Medium_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsOutmap = "is_outmap",
    /** column name */
    MediumTypeTitle = "medium_type_title",
    /** column name */
    RequireFo = "require_fo"
}
/** input type for updating data in table "medium_type" */
export type Medium_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    medium_type_title?: InputMaybe<Scalars['String']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Medium_Type_Stddev_Fields = {
    __typename?: 'medium_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Medium_Type_Stddev_Pop_Fields = {
    __typename?: 'medium_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Medium_Type_Stddev_Samp_Fields = {
    __typename?: 'medium_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "medium_type" */
export type Medium_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Medium_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Medium_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    medium_type_title?: InputMaybe<Scalars['String']>;
    require_fo?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Medium_Type_Sum_Fields = {
    __typename?: 'medium_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "medium_type" */
export declare enum Medium_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsOutmap = "is_outmap",
    /** column name */
    MediumTypeTitle = "medium_type_title",
    /** column name */
    RequireFo = "require_fo"
}
export type Medium_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Medium_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Medium_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Medium_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Medium_Type_Var_Pop_Fields = {
    __typename?: 'medium_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Medium_Type_Var_Samp_Fields = {
    __typename?: 'medium_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Medium_Type_Variance_Fields = {
    __typename?: 'medium_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "megaphone" */
export type Megaphone = {
    __typename?: 'megaphone';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    text?: Maybe<Scalars['String']>;
    /** An object relationship */
    writer?: Maybe<Treasure_User>;
    writer_treasure_user_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "megaphone" */
export type Megaphone_Aggregate = {
    __typename?: 'megaphone_aggregate';
    aggregate?: Maybe<Megaphone_Aggregate_Fields>;
    nodes: Array<Megaphone>;
};
/** aggregate fields of "megaphone" */
export type Megaphone_Aggregate_Fields = {
    __typename?: 'megaphone_aggregate_fields';
    avg?: Maybe<Megaphone_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Megaphone_Max_Fields>;
    min?: Maybe<Megaphone_Min_Fields>;
    stddev?: Maybe<Megaphone_Stddev_Fields>;
    stddev_pop?: Maybe<Megaphone_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Megaphone_Stddev_Samp_Fields>;
    sum?: Maybe<Megaphone_Sum_Fields>;
    var_pop?: Maybe<Megaphone_Var_Pop_Fields>;
    var_samp?: Maybe<Megaphone_Var_Samp_Fields>;
    variance?: Maybe<Megaphone_Variance_Fields>;
};
/** aggregate fields of "megaphone" */
export type Megaphone_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Megaphone_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Megaphone_Avg_Fields = {
    __typename?: 'megaphone_avg_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "megaphone". All fields are combined with a logical 'AND'. */
export type Megaphone_Bool_Exp = {
    _and?: InputMaybe<Array<Megaphone_Bool_Exp>>;
    _not?: InputMaybe<Megaphone_Bool_Exp>;
    _or?: InputMaybe<Array<Megaphone_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    text?: InputMaybe<String_Comparison_Exp>;
    writer?: InputMaybe<Treasure_User_Bool_Exp>;
    writer_treasure_user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "megaphone" */
export declare enum Megaphone_Constraint {
    /** unique or primary key constraint on columns "id" */
    MegaphonePkey = "megaphone_pkey"
}
/** input type for incrementing numeric columns in table "megaphone" */
export type Megaphone_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    writer_treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "megaphone" */
export type Megaphone_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    writer_treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Megaphone_Max_Fields = {
    __typename?: 'megaphone_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    writer_treasure_user_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Megaphone_Min_Fields = {
    __typename?: 'megaphone_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    writer_treasure_user_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "megaphone" */
export type Megaphone_Mutation_Response = {
    __typename?: 'megaphone_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Megaphone>;
};
/** on_conflict condition type for table "megaphone" */
export type Megaphone_On_Conflict = {
    constraint: Megaphone_Constraint;
    update_columns?: Array<Megaphone_Update_Column>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
/** Ordering options when selecting data from "megaphone". */
export type Megaphone_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    text?: InputMaybe<Order_By>;
    writer?: InputMaybe<Treasure_User_Order_By>;
    writer_treasure_user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: megaphone */
export type Megaphone_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "megaphone" */
export declare enum Megaphone_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Text = "text",
    /** column name */
    WriterTreasureUserId = "writer_treasure_user_id"
}
/** input type for updating data in table "megaphone" */
export type Megaphone_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer_treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Megaphone_Stddev_Fields = {
    __typename?: 'megaphone_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Megaphone_Stddev_Pop_Fields = {
    __typename?: 'megaphone_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Megaphone_Stddev_Samp_Fields = {
    __typename?: 'megaphone_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "megaphone" */
export type Megaphone_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Megaphone_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Megaphone_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    writer_treasure_user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Megaphone_Sum_Fields = {
    __typename?: 'megaphone_sum_fields';
    id?: Maybe<Scalars['Int']>;
    writer_treasure_user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "megaphone" */
export declare enum Megaphone_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    Text = "text",
    /** column name */
    WriterTreasureUserId = "writer_treasure_user_id"
}
export type Megaphone_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Megaphone_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Megaphone_Set_Input>;
    /** filter the rows which have to be updated */
    where: Megaphone_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Megaphone_Var_Pop_Fields = {
    __typename?: 'megaphone_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Megaphone_Var_Samp_Fields = {
    __typename?: 'megaphone_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Megaphone_Variance_Fields = {
    __typename?: 'megaphone_variance_fields';
    id?: Maybe<Scalars['Float']>;
    writer_treasure_user_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "message" */
export type Message = {
    __typename?: 'message';
    created_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_completed: Scalars['Boolean'];
    /** An object relationship */
    receiver?: Maybe<Treasure_User>;
    receiver_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    sender: Treasure_User;
    sender_id: Scalars['Int'];
    text: Scalars['String'];
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregated selection of "message" */
export type Message_Aggregate = {
    __typename?: 'message_aggregate';
    aggregate?: Maybe<Message_Aggregate_Fields>;
    nodes: Array<Message>;
};
/** aggregate fields of "message" */
export type Message_Aggregate_Fields = {
    __typename?: 'message_aggregate_fields';
    avg?: Maybe<Message_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Message_Max_Fields>;
    min?: Maybe<Message_Min_Fields>;
    stddev?: Maybe<Message_Stddev_Fields>;
    stddev_pop?: Maybe<Message_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Message_Stddev_Samp_Fields>;
    sum?: Maybe<Message_Sum_Fields>;
    var_pop?: Maybe<Message_Var_Pop_Fields>;
    var_samp?: Maybe<Message_Var_Samp_Fields>;
    variance?: Maybe<Message_Variance_Fields>;
};
/** aggregate fields of "message" */
export type Message_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Message_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Message_Avg_Fields = {
    __typename?: 'message_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "message". All fields are combined with a logical 'AND'. */
export type Message_Bool_Exp = {
    _and?: InputMaybe<Array<Message_Bool_Exp>>;
    _not?: InputMaybe<Message_Bool_Exp>;
    _or?: InputMaybe<Array<Message_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_completed?: InputMaybe<Boolean_Comparison_Exp>;
    receiver?: InputMaybe<Treasure_User_Bool_Exp>;
    receiver_id?: InputMaybe<Int_Comparison_Exp>;
    sender?: InputMaybe<Treasure_User_Bool_Exp>;
    sender_id?: InputMaybe<Int_Comparison_Exp>;
    text?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "message" */
export declare enum Message_Constraint {
    /** unique or primary key constraint on columns "id" */
    GameMessagesPkey = "game_messages_pkey"
}
/** input type for incrementing numeric columns in table "message" */
export type Message_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    sender_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "message" */
export type Message_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    receiver?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    sender?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    sender_id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Message_Max_Fields = {
    __typename?: 'message_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
    sender_id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Message_Min_Fields = {
    __typename?: 'message_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
    sender_id?: Maybe<Scalars['Int']>;
    text?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "message" */
export type Message_Mutation_Response = {
    __typename?: 'message_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Message>;
};
/** on_conflict condition type for table "message" */
export type Message_On_Conflict = {
    constraint: Message_Constraint;
    update_columns?: Array<Message_Update_Column>;
    where?: InputMaybe<Message_Bool_Exp>;
};
/** Ordering options when selecting data from "message". */
export type Message_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_completed?: InputMaybe<Order_By>;
    receiver?: InputMaybe<Treasure_User_Order_By>;
    receiver_id?: InputMaybe<Order_By>;
    sender?: InputMaybe<Treasure_User_Order_By>;
    sender_id?: InputMaybe<Order_By>;
    text?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: message */
export type Message_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "message" */
export declare enum Message_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    ReceiverId = "receiver_id",
    /** column name */
    SenderId = "sender_id",
    /** column name */
    Text = "text",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "message" */
export type Message_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    sender_id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Message_Stddev_Fields = {
    __typename?: 'message_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Message_Stddev_Pop_Fields = {
    __typename?: 'message_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Message_Stddev_Samp_Fields = {
    __typename?: 'message_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "message" */
export type Message_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Message_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Message_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_completed?: InputMaybe<Scalars['Boolean']>;
    receiver_id?: InputMaybe<Scalars['Int']>;
    sender_id?: InputMaybe<Scalars['Int']>;
    text?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Message_Sum_Fields = {
    __typename?: 'message_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    receiver_id?: Maybe<Scalars['Int']>;
    sender_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "message" */
export declare enum Message_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsCompleted = "is_completed",
    /** column name */
    ReceiverId = "receiver_id",
    /** column name */
    SenderId = "sender_id",
    /** column name */
    Text = "text",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Message_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Message_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Message_Set_Input>;
    /** filter the rows which have to be updated */
    where: Message_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Message_Var_Pop_Fields = {
    __typename?: 'message_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Message_Var_Samp_Fields = {
    __typename?: 'message_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Message_Variance_Fields = {
    __typename?: 'message_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    receiver_id?: Maybe<Scalars['Float']>;
    sender_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "mold" */
export type Mold = {
    __typename?: 'mold';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    /** An object relationship */
    designerTreasureUser?: Maybe<Treasure_User>;
    id: Scalars['Int'];
    modified_at?: Maybe<Scalars['timestamp']>;
    /** An array relationship */
    questAncestries: Array<Quest_Ancestry>;
    /** An aggregate relationship */
    questAncestries_aggregate: Quest_Ancestry_Aggregate;
    title?: Maybe<Scalars['String']>;
};
/** columns and relationships of "mold" */
export type MoldQuestAncestriesArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
/** columns and relationships of "mold" */
export type MoldQuestAncestries_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
/** aggregated selection of "mold" */
export type Mold_Aggregate = {
    __typename?: 'mold_aggregate';
    aggregate?: Maybe<Mold_Aggregate_Fields>;
    nodes: Array<Mold>;
};
/** aggregate fields of "mold" */
export type Mold_Aggregate_Fields = {
    __typename?: 'mold_aggregate_fields';
    avg?: Maybe<Mold_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Mold_Max_Fields>;
    min?: Maybe<Mold_Min_Fields>;
    stddev?: Maybe<Mold_Stddev_Fields>;
    stddev_pop?: Maybe<Mold_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Mold_Stddev_Samp_Fields>;
    sum?: Maybe<Mold_Sum_Fields>;
    var_pop?: Maybe<Mold_Var_Pop_Fields>;
    var_samp?: Maybe<Mold_Var_Samp_Fields>;
    variance?: Maybe<Mold_Variance_Fields>;
};
/** aggregate fields of "mold" */
export type Mold_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Mold_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Mold_Avg_Fields = {
    __typename?: 'mold_avg_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "mold_blueprint" */
export type Mold_Blueprint = {
    __typename?: 'mold_blueprint';
    blueprint?: Maybe<Scalars['Int']>;
    /** An object relationship */
    blueprintById?: Maybe<Blueprint>;
    id: Scalars['Int'];
    mold?: Maybe<Scalars['Int']>;
    /** An object relationship */
    moldById?: Maybe<Mold>;
};
/** aggregated selection of "mold_blueprint" */
export type Mold_Blueprint_Aggregate = {
    __typename?: 'mold_blueprint_aggregate';
    aggregate?: Maybe<Mold_Blueprint_Aggregate_Fields>;
    nodes: Array<Mold_Blueprint>;
};
/** aggregate fields of "mold_blueprint" */
export type Mold_Blueprint_Aggregate_Fields = {
    __typename?: 'mold_blueprint_aggregate_fields';
    avg?: Maybe<Mold_Blueprint_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Mold_Blueprint_Max_Fields>;
    min?: Maybe<Mold_Blueprint_Min_Fields>;
    stddev?: Maybe<Mold_Blueprint_Stddev_Fields>;
    stddev_pop?: Maybe<Mold_Blueprint_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Mold_Blueprint_Stddev_Samp_Fields>;
    sum?: Maybe<Mold_Blueprint_Sum_Fields>;
    var_pop?: Maybe<Mold_Blueprint_Var_Pop_Fields>;
    var_samp?: Maybe<Mold_Blueprint_Var_Samp_Fields>;
    variance?: Maybe<Mold_Blueprint_Variance_Fields>;
};
/** aggregate fields of "mold_blueprint" */
export type Mold_Blueprint_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Mold_Blueprint_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Mold_Blueprint_Avg_Fields = {
    __typename?: 'mold_blueprint_avg_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "mold_blueprint". All fields are combined with a logical 'AND'. */
export type Mold_Blueprint_Bool_Exp = {
    _and?: InputMaybe<Array<Mold_Blueprint_Bool_Exp>>;
    _not?: InputMaybe<Mold_Blueprint_Bool_Exp>;
    _or?: InputMaybe<Array<Mold_Blueprint_Bool_Exp>>;
    blueprint?: InputMaybe<Int_Comparison_Exp>;
    blueprintById?: InputMaybe<Blueprint_Bool_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    mold?: InputMaybe<Int_Comparison_Exp>;
    moldById?: InputMaybe<Mold_Bool_Exp>;
};
/** unique or primary key constraints on table "mold_blueprint" */
export declare enum Mold_Blueprint_Constraint {
    /** unique or primary key constraint on columns "id" */
    MoldBlueprintPkey = "mold_blueprint_pkey"
}
/** input type for incrementing numeric columns in table "mold_blueprint" */
export type Mold_Blueprint_Inc_Input = {
    blueprint?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    mold?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "mold_blueprint" */
export type Mold_Blueprint_Insert_Input = {
    blueprint?: InputMaybe<Scalars['Int']>;
    blueprintById?: InputMaybe<Blueprint_Obj_Rel_Insert_Input>;
    id?: InputMaybe<Scalars['Int']>;
    mold?: InputMaybe<Scalars['Int']>;
    moldById?: InputMaybe<Mold_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Mold_Blueprint_Max_Fields = {
    __typename?: 'mold_blueprint_max_fields';
    blueprint?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    mold?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Mold_Blueprint_Min_Fields = {
    __typename?: 'mold_blueprint_min_fields';
    blueprint?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    mold?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "mold_blueprint" */
export type Mold_Blueprint_Mutation_Response = {
    __typename?: 'mold_blueprint_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Mold_Blueprint>;
};
/** on_conflict condition type for table "mold_blueprint" */
export type Mold_Blueprint_On_Conflict = {
    constraint: Mold_Blueprint_Constraint;
    update_columns?: Array<Mold_Blueprint_Update_Column>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
/** Ordering options when selecting data from "mold_blueprint". */
export type Mold_Blueprint_Order_By = {
    blueprint?: InputMaybe<Order_By>;
    blueprintById?: InputMaybe<Blueprint_Order_By>;
    id?: InputMaybe<Order_By>;
    mold?: InputMaybe<Order_By>;
    moldById?: InputMaybe<Mold_Order_By>;
};
/** primary key columns input for table: mold_blueprint */
export type Mold_Blueprint_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "mold_blueprint" */
export declare enum Mold_Blueprint_Select_Column {
    /** column name */
    Blueprint = "blueprint",
    /** column name */
    Id = "id",
    /** column name */
    Mold = "mold"
}
/** input type for updating data in table "mold_blueprint" */
export type Mold_Blueprint_Set_Input = {
    blueprint?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    mold?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Mold_Blueprint_Stddev_Fields = {
    __typename?: 'mold_blueprint_stddev_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Mold_Blueprint_Stddev_Pop_Fields = {
    __typename?: 'mold_blueprint_stddev_pop_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Mold_Blueprint_Stddev_Samp_Fields = {
    __typename?: 'mold_blueprint_stddev_samp_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "mold_blueprint" */
export type Mold_Blueprint_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Mold_Blueprint_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Mold_Blueprint_Stream_Cursor_Value_Input = {
    blueprint?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    mold?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Mold_Blueprint_Sum_Fields = {
    __typename?: 'mold_blueprint_sum_fields';
    blueprint?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    mold?: Maybe<Scalars['Int']>;
};
/** update columns of table "mold_blueprint" */
export declare enum Mold_Blueprint_Update_Column {
    /** column name */
    Blueprint = "blueprint",
    /** column name */
    Id = "id",
    /** column name */
    Mold = "mold"
}
export type Mold_Blueprint_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Mold_Blueprint_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Mold_Blueprint_Set_Input>;
    /** filter the rows which have to be updated */
    where: Mold_Blueprint_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Mold_Blueprint_Var_Pop_Fields = {
    __typename?: 'mold_blueprint_var_pop_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Mold_Blueprint_Var_Samp_Fields = {
    __typename?: 'mold_blueprint_var_samp_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Mold_Blueprint_Variance_Fields = {
    __typename?: 'mold_blueprint_variance_fields';
    blueprint?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "mold". All fields are combined with a logical 'AND'. */
export type Mold_Bool_Exp = {
    _and?: InputMaybe<Array<Mold_Bool_Exp>>;
    _not?: InputMaybe<Mold_Bool_Exp>;
    _or?: InputMaybe<Array<Mold_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    designer?: InputMaybe<Int_Comparison_Exp>;
    designerTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    modified_at?: InputMaybe<Timestamp_Comparison_Exp>;
    questAncestries?: InputMaybe<Quest_Ancestry_Bool_Exp>;
    questAncestries_aggregate?: InputMaybe<Quest_Ancestry_Aggregate_Bool_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "mold" */
export declare enum Mold_Constraint {
    /** unique or primary key constraint on columns "id" */
    MoldPkey = "mold_pkey"
}
/** input type for incrementing numeric columns in table "mold" */
export type Mold_Inc_Input = {
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "mold" */
export type Mold_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    designerTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    questAncestries?: InputMaybe<Quest_Ancestry_Arr_Rel_Insert_Input>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Mold_Max_Fields = {
    __typename?: 'mold_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    modified_at?: Maybe<Scalars['timestamp']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Mold_Min_Fields = {
    __typename?: 'mold_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    description?: Maybe<Scalars['String']>;
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    modified_at?: Maybe<Scalars['timestamp']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "mold" */
export type Mold_Mutation_Response = {
    __typename?: 'mold_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Mold>;
};
/** input type for inserting object relation for remote table "mold" */
export type Mold_Obj_Rel_Insert_Input = {
    data: Mold_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Mold_On_Conflict>;
};
/** on_conflict condition type for table "mold" */
export type Mold_On_Conflict = {
    constraint: Mold_Constraint;
    update_columns?: Array<Mold_Update_Column>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
/** Ordering options when selecting data from "mold". */
export type Mold_Order_By = {
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    designer?: InputMaybe<Order_By>;
    designerTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    id?: InputMaybe<Order_By>;
    modified_at?: InputMaybe<Order_By>;
    questAncestries_aggregate?: InputMaybe<Quest_Ancestry_Aggregate_Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: mold */
export type Mold_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "mold" */
export declare enum Mold_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Designer = "designer",
    /** column name */
    Id = "id",
    /** column name */
    ModifiedAt = "modified_at",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "mold" */
export type Mold_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Mold_Stddev_Fields = {
    __typename?: 'mold_stddev_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Mold_Stddev_Pop_Fields = {
    __typename?: 'mold_stddev_pop_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Mold_Stddev_Samp_Fields = {
    __typename?: 'mold_stddev_samp_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "mold" */
export type Mold_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Mold_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Mold_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    description?: InputMaybe<Scalars['String']>;
    designer?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    modified_at?: InputMaybe<Scalars['timestamp']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Mold_Sum_Fields = {
    __typename?: 'mold_sum_fields';
    designer?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "mold" */
export declare enum Mold_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Designer = "designer",
    /** column name */
    Id = "id",
    /** column name */
    ModifiedAt = "modified_at",
    /** column name */
    Title = "title"
}
export type Mold_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Mold_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Mold_Set_Input>;
    /** filter the rows which have to be updated */
    where: Mold_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Mold_Var_Pop_Fields = {
    __typename?: 'mold_var_pop_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Mold_Var_Samp_Fields = {
    __typename?: 'mold_var_samp_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Mold_Variance_Fields = {
    __typename?: 'mold_variance_fields';
    designer?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "morsel_type" */
export type Morsel_Type = {
    __typename?: 'morsel_type';
    id: Scalars['Int'];
    name: Scalars['String'];
};
/** aggregated selection of "morsel_type" */
export type Morsel_Type_Aggregate = {
    __typename?: 'morsel_type_aggregate';
    aggregate?: Maybe<Morsel_Type_Aggregate_Fields>;
    nodes: Array<Morsel_Type>;
};
/** aggregate fields of "morsel_type" */
export type Morsel_Type_Aggregate_Fields = {
    __typename?: 'morsel_type_aggregate_fields';
    avg?: Maybe<Morsel_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Morsel_Type_Max_Fields>;
    min?: Maybe<Morsel_Type_Min_Fields>;
    stddev?: Maybe<Morsel_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Morsel_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Morsel_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Morsel_Type_Sum_Fields>;
    var_pop?: Maybe<Morsel_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Morsel_Type_Var_Samp_Fields>;
    variance?: Maybe<Morsel_Type_Variance_Fields>;
};
/** aggregate fields of "morsel_type" */
export type Morsel_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Morsel_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Morsel_Type_Avg_Fields = {
    __typename?: 'morsel_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "morsel_type". All fields are combined with a logical 'AND'. */
export type Morsel_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Morsel_Type_Bool_Exp>>;
    _not?: InputMaybe<Morsel_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Morsel_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "morsel_type" */
export declare enum Morsel_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    MorselTypePkey = "morsel_type_pkey"
}
/** input type for incrementing numeric columns in table "morsel_type" */
export type Morsel_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "morsel_type" */
export type Morsel_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Morsel_Type_Max_Fields = {
    __typename?: 'morsel_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Morsel_Type_Min_Fields = {
    __typename?: 'morsel_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "morsel_type" */
export type Morsel_Type_Mutation_Response = {
    __typename?: 'morsel_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Morsel_Type>;
};
/** input type for inserting object relation for remote table "morsel_type" */
export type Morsel_Type_Obj_Rel_Insert_Input = {
    data: Morsel_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Morsel_Type_On_Conflict>;
};
/** on_conflict condition type for table "morsel_type" */
export type Morsel_Type_On_Conflict = {
    constraint: Morsel_Type_Constraint;
    update_columns?: Array<Morsel_Type_Update_Column>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "morsel_type". */
export type Morsel_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: morsel_type */
export type Morsel_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "morsel_type" */
export declare enum Morsel_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "morsel_type" */
export type Morsel_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Morsel_Type_Stddev_Fields = {
    __typename?: 'morsel_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Morsel_Type_Stddev_Pop_Fields = {
    __typename?: 'morsel_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Morsel_Type_Stddev_Samp_Fields = {
    __typename?: 'morsel_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "morsel_type" */
export type Morsel_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Morsel_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Morsel_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Morsel_Type_Sum_Fields = {
    __typename?: 'morsel_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "morsel_type" */
export declare enum Morsel_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
export type Morsel_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Morsel_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Morsel_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Morsel_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Morsel_Type_Var_Pop_Fields = {
    __typename?: 'morsel_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Morsel_Type_Var_Samp_Fields = {
    __typename?: 'morsel_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Morsel_Type_Variance_Fields = {
    __typename?: 'morsel_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** mutation root */
export type Mutation_Root = {
    __typename?: 'mutation_root';
    add_game?: Maybe<AddGameOutput>;
    apply_sell?: Maybe<SellApplicationResult>;
    check_history?: Maybe<HistoryCheckOutput>;
    check_image_npc_judge?: Maybe<ImageNpcJudgeOutput>;
    check_jigsaw_judge?: Maybe<JigsawJudgeOutput>;
    check_multi_word_judge?: Maybe<WordJudgeOutput>;
    check_qr_judge?: Maybe<QrJudgeOutput>;
    check_word_judge?: Maybe<WordJudgeOutput>;
    check_word_sequence_judge?: Maybe<WordSequenceJudgeOutput>;
    check_words_judge?: Maybe<WordsJudgeOutput>;
    confirm_games_locus?: Maybe<ConfirmGamesLocusOutput>;
    confirm_sponsorship_games?: Maybe<ConfirmSponsorshipGamesOutput>;
    create_badge_type?: Maybe<CreateBadgeTypeOutput>;
    create_game?: Maybe<CreateGameOutput>;
    /** delete data from the table: "alarm" */
    delete_alarm?: Maybe<Alarm_Mutation_Response>;
    /** delete single row from the table: "alarm" */
    delete_alarm_by_pk?: Maybe<Alarm>;
    /** delete data from the table: "animation_stage" */
    delete_animation_stage?: Maybe<Animation_Stage_Mutation_Response>;
    /** delete single row from the table: "animation_stage" */
    delete_animation_stage_by_pk?: Maybe<Animation_Stage>;
    /** delete data from the table: "answer" */
    delete_answer?: Maybe<Answer_Mutation_Response>;
    /** delete single row from the table: "answer" */
    delete_answer_by_pk?: Maybe<Answer>;
    /** delete data from the table: "answer_type" */
    delete_answer_type?: Maybe<Answer_Type_Mutation_Response>;
    /** delete single row from the table: "answer_type" */
    delete_answer_type_by_pk?: Maybe<Answer_Type>;
    /** delete data from the table: "area" */
    delete_area?: Maybe<Area_Mutation_Response>;
    /** delete single row from the table: "area" */
    delete_area_by_pk?: Maybe<Area>;
    /** delete data from the table: "auth.account_providers" */
    delete_auth_account_providers?: Maybe<Auth_Account_Providers_Mutation_Response>;
    /** delete single row from the table: "auth.account_providers" */
    delete_auth_account_providers_by_pk?: Maybe<Auth_Account_Providers>;
    /** delete data from the table: "auth.account_roles" */
    delete_auth_account_roles?: Maybe<Auth_Account_Roles_Mutation_Response>;
    /** delete single row from the table: "auth.account_roles" */
    delete_auth_account_roles_by_pk?: Maybe<Auth_Account_Roles>;
    /** delete data from the table: "auth.accounts" */
    delete_auth_accounts?: Maybe<Auth_Accounts_Mutation_Response>;
    /** delete single row from the table: "auth.accounts" */
    delete_auth_accounts_by_pk?: Maybe<Auth_Accounts>;
    /** delete data from the table: "auth.providers" */
    delete_auth_providers?: Maybe<Auth_Providers_Mutation_Response>;
    /** delete single row from the table: "auth.providers" */
    delete_auth_providers_by_pk?: Maybe<Auth_Providers>;
    /** delete data from the table: "auth.refresh_tokens" */
    delete_auth_refresh_tokens?: Maybe<Auth_Refresh_Tokens_Mutation_Response>;
    /** delete single row from the table: "auth.refresh_tokens" */
    delete_auth_refresh_tokens_by_pk?: Maybe<Auth_Refresh_Tokens>;
    /** delete data from the table: "auth.roles" */
    delete_auth_roles?: Maybe<Auth_Roles_Mutation_Response>;
    /** delete single row from the table: "auth.roles" */
    delete_auth_roles_by_pk?: Maybe<Auth_Roles>;
    /** delete data from the table: "badge" */
    delete_badge?: Maybe<Badge_Mutation_Response>;
    /** delete single row from the table: "badge" */
    delete_badge_by_pk?: Maybe<Badge>;
    /** delete data from the table: "badge_category" */
    delete_badge_category?: Maybe<Badge_Category_Mutation_Response>;
    /** delete single row from the table: "badge_category" */
    delete_badge_category_by_pk?: Maybe<Badge_Category>;
    /** delete data from the table: "badge_type" */
    delete_badge_type?: Maybe<Badge_Type_Mutation_Response>;
    /** delete single row from the table: "badge_type" */
    delete_badge_type_by_pk?: Maybe<Badge_Type>;
    /** delete data from the table: "batch" */
    delete_batch?: Maybe<Batch_Mutation_Response>;
    /** delete single row from the table: "batch" */
    delete_batch_by_pk?: Maybe<Batch>;
    /** delete data from the table: "blueprint" */
    delete_blueprint?: Maybe<Blueprint_Mutation_Response>;
    /** delete single row from the table: "blueprint" */
    delete_blueprint_by_pk?: Maybe<Blueprint>;
    /** delete data from the table: "business_model_type" */
    delete_business_model_type?: Maybe<Business_Model_Type_Mutation_Response>;
    /** delete single row from the table: "business_model_type" */
    delete_business_model_type_by_pk?: Maybe<Business_Model_Type>;
    /** delete data from the table: "charge" */
    delete_charge?: Maybe<Charge_Mutation_Response>;
    /** delete single row from the table: "charge" */
    delete_charge_by_pk?: Maybe<Charge>;
    /** delete data from the table: "charger" */
    delete_charger?: Maybe<Charger_Mutation_Response>;
    /** delete single row from the table: "charger" */
    delete_charger_by_pk?: Maybe<Charger>;
    /** delete data from the table: "condition" */
    delete_condition?: Maybe<Condition_Mutation_Response>;
    /** delete single row from the table: "condition" */
    delete_condition_by_pk?: Maybe<Condition>;
    /** delete data from the table: "condition_type" */
    delete_condition_type?: Maybe<Condition_Type_Mutation_Response>;
    /** delete single row from the table: "condition_type" */
    delete_condition_type_by_pk?: Maybe<Condition_Type>;
    /** delete data from the table: "content" */
    delete_content?: Maybe<Content_Mutation_Response>;
    /** delete single row from the table: "content" */
    delete_content_by_pk?: Maybe<Content>;
    /** delete data from the table: "contract" */
    delete_contract?: Maybe<Contract_Mutation_Response>;
    /** delete single row from the table: "contract" */
    delete_contract_by_pk?: Maybe<Contract>;
    /** delete data from the table: "contract_type" */
    delete_contract_type?: Maybe<Contract_Type_Mutation_Response>;
    /** delete single row from the table: "contract_type" */
    delete_contract_type_by_pk?: Maybe<Contract_Type>;
    /** delete data from the table: "currency" */
    delete_currency?: Maybe<Currency_Mutation_Response>;
    /** delete single row from the table: "currency" */
    delete_currency_by_pk?: Maybe<Currency>;
    /** delete data from the table: "currency_exchange" */
    delete_currency_exchange?: Maybe<Currency_Exchange_Mutation_Response>;
    /** delete single row from the table: "currency_exchange" */
    delete_currency_exchange_by_pk?: Maybe<Currency_Exchange>;
    /** delete data from the table: "currency_type" */
    delete_currency_type?: Maybe<Currency_Type_Mutation_Response>;
    /** delete single row from the table: "currency_type" */
    delete_currency_type_by_pk?: Maybe<Currency_Type>;
    /** delete data from the table: "desktop_type" */
    delete_desktop_type?: Maybe<Desktop_Type_Mutation_Response>;
    /** delete single row from the table: "desktop_type" */
    delete_desktop_type_by_pk?: Maybe<Desktop_Type>;
    /** delete data from the table: "entrypoint" */
    delete_entrypoint?: Maybe<Entrypoint_Mutation_Response>;
    /** delete single row from the table: "entrypoint" */
    delete_entrypoint_by_pk?: Maybe<Entrypoint>;
    /** delete data from the table: "evaluator" */
    delete_evaluator?: Maybe<Evaluator_Mutation_Response>;
    /** delete single row from the table: "evaluator" */
    delete_evaluator_by_pk?: Maybe<Evaluator>;
    /** delete data from the table: "example" */
    delete_example?: Maybe<Example_Mutation_Response>;
    /** delete single row from the table: "example" */
    delete_example_by_pk?: Maybe<Example>;
    /** delete data from the table: "example_type" */
    delete_example_type?: Maybe<Example_Type_Mutation_Response>;
    /** delete single row from the table: "example_type" */
    delete_example_type_by_pk?: Maybe<Example_Type>;
    /** delete data from the table: "exhibition_determinant" */
    delete_exhibition_determinant?: Maybe<Exhibition_Determinant_Mutation_Response>;
    /** delete single row from the table: "exhibition_determinant" */
    delete_exhibition_determinant_by_pk?: Maybe<Exhibition_Determinant>;
    /** delete data from the table: "flag" */
    delete_flag?: Maybe<Flag_Mutation_Response>;
    /** delete single row from the table: "flag" */
    delete_flag_by_pk?: Maybe<Flag>;
    /** delete data from the table: "flag_type" */
    delete_flag_type?: Maybe<Flag_Type_Mutation_Response>;
    /** delete single row from the table: "flag_type" */
    delete_flag_type_by_pk?: Maybe<Flag_Type>;
    /** delete data from the table: "game" */
    delete_game?: Maybe<Game_Mutation_Response>;
    /** delete data from the table: "game_action" */
    delete_game_action?: Maybe<Game_Action_Mutation_Response>;
    /** delete single row from the table: "game_action" */
    delete_game_action_by_pk?: Maybe<Game_Action>;
    /** delete single row from the table: "game" */
    delete_game_by_pk?: Maybe<Game>;
    /** delete data from the table: "game_design" */
    delete_game_design?: Maybe<Game_Design_Mutation_Response>;
    /** delete single row from the table: "game_design" */
    delete_game_design_by_pk?: Maybe<Game_Design>;
    /** delete data from the table: "game_group" */
    delete_game_group?: Maybe<Game_Group_Mutation_Response>;
    /** delete single row from the table: "game_group" */
    delete_game_group_by_pk?: Maybe<Game_Group>;
    /** delete data from the table: "game_hunter" */
    delete_game_hunter?: Maybe<Game_Hunter_Mutation_Response>;
    /** delete single row from the table: "game_hunter" */
    delete_game_hunter_by_pk?: Maybe<Game_Hunter>;
    /** delete data from the table: "game_management" */
    delete_game_management?: Maybe<Game_Management_Mutation_Response>;
    /** delete single row from the table: "game_management" */
    delete_game_management_by_pk?: Maybe<Game_Management>;
    /** delete data from the table: "game_operators" */
    delete_game_operators?: Maybe<Game_Operators_Mutation_Response>;
    /** delete single row from the table: "game_operators" */
    delete_game_operators_by_pk?: Maybe<Game_Operators>;
    /** delete data from the table: "game_record" */
    delete_game_record?: Maybe<Game_Record_Mutation_Response>;
    /** delete single row from the table: "game_record" */
    delete_game_record_by_pk?: Maybe<Game_Record>;
    /** delete data from the table: "game_requirement" */
    delete_game_requirement?: Maybe<Game_Requirement_Mutation_Response>;
    /** delete single row from the table: "game_requirement" */
    delete_game_requirement_by_pk?: Maybe<Game_Requirement>;
    /** delete data from the table: "game_state_type" */
    delete_game_state_type?: Maybe<Game_State_Type_Mutation_Response>;
    /** delete single row from the table: "game_state_type" */
    delete_game_state_type_by_pk?: Maybe<Game_State_Type>;
    /** delete data from the table: "game_winner" */
    delete_game_winner?: Maybe<Game_Winner_Mutation_Response>;
    /** delete single row from the table: "game_winner" */
    delete_game_winner_by_pk?: Maybe<Game_Winner>;
    /** delete data from the table: "games_locus" */
    delete_games_locus?: Maybe<Games_Locus_Mutation_Response>;
    /** delete single row from the table: "games_locus" */
    delete_games_locus_by_pk?: Maybe<Games_Locus>;
    /** delete data from the table: "gift" */
    delete_gift?: Maybe<Gift_Mutation_Response>;
    /** delete single row from the table: "gift" */
    delete_gift_by_pk?: Maybe<Gift>;
    /** delete data from the table: "goods" */
    delete_goods?: Maybe<Goods_Mutation_Response>;
    /** delete single row from the table: "goods" */
    delete_goods_by_pk?: Maybe<Goods>;
    /** delete data from the table: "hier_type" */
    delete_hier_type?: Maybe<Hier_Type_Mutation_Response>;
    /** delete single row from the table: "hier_type" */
    delete_hier_type_by_pk?: Maybe<Hier_Type>;
    /** delete data from the table: "incognito" */
    delete_incognito?: Maybe<Incognito_Mutation_Response>;
    /** delete single row from the table: "incognito" */
    delete_incognito_by_pk?: Maybe<Incognito>;
    /** delete data from the table: "inscription" */
    delete_inscription?: Maybe<Inscription_Mutation_Response>;
    /** delete single row from the table: "inscription" */
    delete_inscription_by_pk?: Maybe<Inscription>;
    /** delete data from the table: "interface_type" */
    delete_interface_type?: Maybe<Interface_Type_Mutation_Response>;
    /** delete single row from the table: "interface_type" */
    delete_interface_type_by_pk?: Maybe<Interface_Type>;
    /** delete data from the table: "judge" */
    delete_judge?: Maybe<Judge_Mutation_Response>;
    /** delete single row from the table: "judge" */
    delete_judge_by_pk?: Maybe<Judge>;
    /** delete data from the table: "judge_display_type" */
    delete_judge_display_type?: Maybe<Judge_Display_Type_Mutation_Response>;
    /** delete single row from the table: "judge_display_type" */
    delete_judge_display_type_by_pk?: Maybe<Judge_Display_Type>;
    /** delete data from the table: "judge_entry" */
    delete_judge_entry?: Maybe<Judge_Entry_Mutation_Response>;
    /** delete single row from the table: "judge_entry" */
    delete_judge_entry_by_pk?: Maybe<Judge_Entry>;
    /** delete data from the table: "judge_role_type" */
    delete_judge_role_type?: Maybe<Judge_Role_Type_Mutation_Response>;
    /** delete single row from the table: "judge_role_type" */
    delete_judge_role_type_by_pk?: Maybe<Judge_Role_Type>;
    /** delete data from the table: "kairos" */
    delete_kairos?: Maybe<Kairos_Mutation_Response>;
    /** delete single row from the table: "kairos" */
    delete_kairos_by_pk?: Maybe<Kairos>;
    /** delete data from the table: "keyword_description" */
    delete_keyword_description?: Maybe<Keyword_Description_Mutation_Response>;
    /** delete single row from the table: "keyword_description" */
    delete_keyword_description_by_pk?: Maybe<Keyword_Description>;
    /** delete data from the table: "language" */
    delete_language?: Maybe<Language_Mutation_Response>;
    /** delete single row from the table: "language" */
    delete_language_by_pk?: Maybe<Language>;
    /** delete data from the table: "location" */
    delete_location?: Maybe<Location_Mutation_Response>;
    /** delete single row from the table: "location" */
    delete_location_by_pk?: Maybe<Location>;
    /** delete data from the table: "locus" */
    delete_locus?: Maybe<Locus_Mutation_Response>;
    /** delete single row from the table: "locus" */
    delete_locus_by_pk?: Maybe<Locus>;
    /** delete data from the table: "locus_imitate" */
    delete_locus_imitate?: Maybe<Locus_Imitate_Mutation_Response>;
    /** delete single row from the table: "locus_imitate" */
    delete_locus_imitate_by_pk?: Maybe<Locus_Imitate>;
    /** delete data from the table: "locus_member" */
    delete_locus_member?: Maybe<Locus_Member_Mutation_Response>;
    /** delete single row from the table: "locus_member" */
    delete_locus_member_by_pk?: Maybe<Locus_Member>;
    /** delete data from the table: "locus_operation_type" */
    delete_locus_operation_type?: Maybe<Locus_Operation_Type_Mutation_Response>;
    /** delete single row from the table: "locus_operation_type" */
    delete_locus_operation_type_by_pk?: Maybe<Locus_Operation_Type>;
    /** delete data from the table: "locus_policy" */
    delete_locus_policy?: Maybe<Locus_Policy_Mutation_Response>;
    /** delete single row from the table: "locus_policy" */
    delete_locus_policy_by_pk?: Maybe<Locus_Policy>;
    /** delete data from the table: "locus_state" */
    delete_locus_state?: Maybe<Locus_State_Mutation_Response>;
    /** delete single row from the table: "locus_state" */
    delete_locus_state_by_pk?: Maybe<Locus_State>;
    /** delete data from the table: "locus_theme" */
    delete_locus_theme?: Maybe<Locus_Theme_Mutation_Response>;
    /** delete single row from the table: "locus_theme" */
    delete_locus_theme_by_pk?: Maybe<Locus_Theme>;
    /** delete data from the table: "locus_type" */
    delete_locus_type?: Maybe<Locus_Type_Mutation_Response>;
    /** delete single row from the table: "locus_type" */
    delete_locus_type_by_pk?: Maybe<Locus_Type>;
    /** delete data from the table: "map" */
    delete_map?: Maybe<Map_Mutation_Response>;
    /** delete single row from the table: "map" */
    delete_map_by_pk?: Maybe<Map>;
    /** delete data from the table: "map_condition_type" */
    delete_map_condition_type?: Maybe<Map_Condition_Type_Mutation_Response>;
    /** delete single row from the table: "map_condition_type" */
    delete_map_condition_type_by_pk?: Maybe<Map_Condition_Type>;
    /** delete data from the table: "map_effect" */
    delete_map_effect?: Maybe<Map_Effect_Mutation_Response>;
    /** delete single row from the table: "map_effect" */
    delete_map_effect_by_pk?: Maybe<Map_Effect>;
    /** delete data from the table: "map_effect_type" */
    delete_map_effect_type?: Maybe<Map_Effect_Type_Mutation_Response>;
    /** delete single row from the table: "map_effect_type" */
    delete_map_effect_type_by_pk?: Maybe<Map_Effect_Type>;
    /** delete data from the table: "map_item" */
    delete_map_item?: Maybe<Map_Item_Mutation_Response>;
    /** delete data from the table: "map_item_animation" */
    delete_map_item_animation?: Maybe<Map_Item_Animation_Mutation_Response>;
    /** delete single row from the table: "map_item_animation" */
    delete_map_item_animation_by_pk?: Maybe<Map_Item_Animation>;
    /** delete single row from the table: "map_item" */
    delete_map_item_by_pk?: Maybe<Map_Item>;
    /** delete data from the table: "map_item_state" */
    delete_map_item_state?: Maybe<Map_Item_State_Mutation_Response>;
    /** delete single row from the table: "map_item_state" */
    delete_map_item_state_by_pk?: Maybe<Map_Item_State>;
    /** delete data from the table: "medium_type" */
    delete_medium_type?: Maybe<Medium_Type_Mutation_Response>;
    /** delete single row from the table: "medium_type" */
    delete_medium_type_by_pk?: Maybe<Medium_Type>;
    /** delete data from the table: "megaphone" */
    delete_megaphone?: Maybe<Megaphone_Mutation_Response>;
    /** delete single row from the table: "megaphone" */
    delete_megaphone_by_pk?: Maybe<Megaphone>;
    /** delete data from the table: "message" */
    delete_message?: Maybe<Message_Mutation_Response>;
    /** delete single row from the table: "message" */
    delete_message_by_pk?: Maybe<Message>;
    /** delete data from the table: "mold" */
    delete_mold?: Maybe<Mold_Mutation_Response>;
    /** delete data from the table: "mold_blueprint" */
    delete_mold_blueprint?: Maybe<Mold_Blueprint_Mutation_Response>;
    /** delete single row from the table: "mold_blueprint" */
    delete_mold_blueprint_by_pk?: Maybe<Mold_Blueprint>;
    /** delete single row from the table: "mold" */
    delete_mold_by_pk?: Maybe<Mold>;
    /** delete data from the table: "morsel_type" */
    delete_morsel_type?: Maybe<Morsel_Type_Mutation_Response>;
    /** delete single row from the table: "morsel_type" */
    delete_morsel_type_by_pk?: Maybe<Morsel_Type>;
    /** delete data from the table: "operation" */
    delete_operation?: Maybe<Operation_Mutation_Response>;
    /** delete single row from the table: "operation" */
    delete_operation_by_pk?: Maybe<Operation>;
    /** delete data from the table: "operation_maintain_type" */
    delete_operation_maintain_type?: Maybe<Operation_Maintain_Type_Mutation_Response>;
    /** delete single row from the table: "operation_maintain_type" */
    delete_operation_maintain_type_by_pk?: Maybe<Operation_Maintain_Type>;
    /** delete data from the table: "operation_operator" */
    delete_operation_operator?: Maybe<Operation_Operator_Mutation_Response>;
    /** delete single row from the table: "operation_operator" */
    delete_operation_operator_by_pk?: Maybe<Operation_Operator>;
    /** delete data from the table: "operation_setting_type" */
    delete_operation_setting_type?: Maybe<Operation_Setting_Type_Mutation_Response>;
    /** delete single row from the table: "operation_setting_type" */
    delete_operation_setting_type_by_pk?: Maybe<Operation_Setting_Type>;
    /** delete data from the table: "operation_state" */
    delete_operation_state?: Maybe<Operation_State_Mutation_Response>;
    /** delete single row from the table: "operation_state" */
    delete_operation_state_by_pk?: Maybe<Operation_State>;
    /** delete data from the table: "operation_type" */
    delete_operation_type?: Maybe<Operation_Type_Mutation_Response>;
    /** delete single row from the table: "operation_type" */
    delete_operation_type_by_pk?: Maybe<Operation_Type>;
    /** delete data from the table: "operator_state_type" */
    delete_operator_state_type?: Maybe<Operator_State_Type_Mutation_Response>;
    /** delete single row from the table: "operator_state_type" */
    delete_operator_state_type_by_pk?: Maybe<Operator_State_Type>;
    /** delete data from the table: "piece" */
    delete_piece?: Maybe<Piece_Mutation_Response>;
    /** delete single row from the table: "piece" */
    delete_piece_by_pk?: Maybe<Piece>;
    /** delete data from the table: "piece_locus" */
    delete_piece_locus?: Maybe<Piece_Locus_Mutation_Response>;
    /** delete single row from the table: "piece_locus" */
    delete_piece_locus_by_pk?: Maybe<Piece_Locus>;
    /** delete data from the table: "piece_type" */
    delete_piece_type?: Maybe<Piece_Type_Mutation_Response>;
    /** delete single row from the table: "piece_type" */
    delete_piece_type_by_pk?: Maybe<Piece_Type>;
    /** delete data from the table: "post" */
    delete_post?: Maybe<Post_Mutation_Response>;
    /** delete single row from the table: "post" */
    delete_post_by_pk?: Maybe<Post>;
    /** delete data from the table: "post_evaluation" */
    delete_post_evaluation?: Maybe<Post_Evaluation_Mutation_Response>;
    /** delete single row from the table: "post_evaluation" */
    delete_post_evaluation_by_pk?: Maybe<Post_Evaluation>;
    /** delete data from the table: "preference" */
    delete_preference?: Maybe<Preference_Mutation_Response>;
    /** delete data from the table: "product" */
    delete_product?: Maybe<Product_Mutation_Response>;
    /** delete single row from the table: "product" */
    delete_product_by_pk?: Maybe<Product>;
    /** delete data from the table: "profile" */
    delete_profile?: Maybe<Profile_Mutation_Response>;
    /** delete data from the table: "purchase" */
    delete_purchase?: Maybe<Purchase_Mutation_Response>;
    /** delete single row from the table: "purchase" */
    delete_purchase_by_pk?: Maybe<Purchase>;
    /** delete data from the table: "quest" */
    delete_quest?: Maybe<Quest_Mutation_Response>;
    /** delete data from the table: "quest_ancestry" */
    delete_quest_ancestry?: Maybe<Quest_Ancestry_Mutation_Response>;
    /** delete single row from the table: "quest_ancestry" */
    delete_quest_ancestry_by_pk?: Maybe<Quest_Ancestry>;
    /** delete single row from the table: "quest" */
    delete_quest_by_pk?: Maybe<Quest>;
    /** delete data from the table: "quest_state" */
    delete_quest_state?: Maybe<Quest_State_Mutation_Response>;
    /** delete single row from the table: "quest_state" */
    delete_quest_state_by_pk?: Maybe<Quest_State>;
    /** delete data from the table: "quest_type" */
    delete_quest_type?: Maybe<Quest_Type_Mutation_Response>;
    /** delete single row from the table: "quest_type" */
    delete_quest_type_by_pk?: Maybe<Quest_Type>;
    /** delete data from the table: "resource_policy" */
    delete_resource_policy?: Maybe<Resource_Policy_Mutation_Response>;
    /** delete single row from the table: "resource_policy" */
    delete_resource_policy_by_pk?: Maybe<Resource_Policy>;
    /** delete data from the table: "resource_privacy" */
    delete_resource_privacy?: Maybe<Resource_Privacy_Mutation_Response>;
    /** delete single row from the table: "resource_privacy" */
    delete_resource_privacy_by_pk?: Maybe<Resource_Privacy>;
    /** delete data from the table: "rooadmap_gis.cord_2d" */
    delete_rooadmap_gis_cord_2d?: Maybe<Rooadmap_Gis_Cord_2d_Mutation_Response>;
    /** delete single row from the table: "rooadmap_gis.cord_2d" */
    delete_rooadmap_gis_cord_2d_by_pk?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** delete data from the table: "rooadmap_gis.cord_3d" */
    delete_rooadmap_gis_cord_3d?: Maybe<Rooadmap_Gis_Cord_3d_Mutation_Response>;
    /** delete single row from the table: "rooadmap_gis.cord_3d" */
    delete_rooadmap_gis_cord_3d_by_pk?: Maybe<Rooadmap_Gis_Cord_3d>;
    /** delete data from the table: "rooadmap_gis.location_2d" */
    delete_rooadmap_gis_location_2d?: Maybe<Rooadmap_Gis_Location_2d_Mutation_Response>;
    /** delete single row from the table: "rooadmap_gis.location_2d" */
    delete_rooadmap_gis_location_2d_by_pk?: Maybe<Rooadmap_Gis_Location_2d>;
    /** delete data from the table: "rooadmap_gis.location_3d" */
    delete_rooadmap_gis_location_3d?: Maybe<Rooadmap_Gis_Location_3d_Mutation_Response>;
    /** delete single row from the table: "rooadmap_gis.location_3d" */
    delete_rooadmap_gis_location_3d_by_pk?: Maybe<Rooadmap_Gis_Location_3d>;
    /** delete data from the table: "rooadmap_gis.map_item" */
    delete_rooadmap_gis_map_item?: Maybe<Rooadmap_Gis_Map_Item_Mutation_Response>;
    /** delete single row from the table: "rooadmap_gis.map_item" */
    delete_rooadmap_gis_map_item_by_pk?: Maybe<Rooadmap_Gis_Map_Item>;
    /** delete data from the table: "segment" */
    delete_segment?: Maybe<Segment_Mutation_Response>;
    /** delete single row from the table: "segment" */
    delete_segment_by_pk?: Maybe<Segment>;
    /** delete data from the table: "segment_exhibition" */
    delete_segment_exhibition?: Maybe<Segment_Exhibition_Mutation_Response>;
    /** delete single row from the table: "segment_exhibition" */
    delete_segment_exhibition_by_pk?: Maybe<Segment_Exhibition>;
    /** delete data from the table: "sell" */
    delete_sell?: Maybe<Sell_Mutation_Response>;
    /** delete single row from the table: "sell" */
    delete_sell_by_pk?: Maybe<Sell>;
    /** delete data from the table: "sell_management" */
    delete_sell_management?: Maybe<Sell_Management_Mutation_Response>;
    /** delete single row from the table: "sell_management" */
    delete_sell_management_by_pk?: Maybe<Sell_Management>;
    /** delete data from the table: "sponsorship" */
    delete_sponsorship?: Maybe<Sponsorship_Mutation_Response>;
    /** delete single row from the table: "sponsorship" */
    delete_sponsorship_by_pk?: Maybe<Sponsorship>;
    /** delete data from the table: "sponsorship_condition" */
    delete_sponsorship_condition?: Maybe<Sponsorship_Condition_Mutation_Response>;
    /** delete single row from the table: "sponsorship_condition" */
    delete_sponsorship_condition_by_pk?: Maybe<Sponsorship_Condition>;
    /** delete data from the table: "sponsorship_game_state" */
    delete_sponsorship_game_state?: Maybe<Sponsorship_Game_State_Mutation_Response>;
    /** delete single row from the table: "sponsorship_game_state" */
    delete_sponsorship_game_state_by_pk?: Maybe<Sponsorship_Game_State>;
    /** delete data from the table: "sponsorship_game_state_type" */
    delete_sponsorship_game_state_type?: Maybe<Sponsorship_Game_State_Type_Mutation_Response>;
    /** delete single row from the table: "sponsorship_game_state_type" */
    delete_sponsorship_game_state_type_by_pk?: Maybe<Sponsorship_Game_State_Type>;
    /** delete data from the table: "sponsorship_images" */
    delete_sponsorship_images?: Maybe<Sponsorship_Images_Mutation_Response>;
    /** delete single row from the table: "sponsorship_images" */
    delete_sponsorship_images_by_pk?: Maybe<Sponsorship_Images>;
    /** delete data from the table: "sponsorship_imitate" */
    delete_sponsorship_imitate?: Maybe<Sponsorship_Imitate_Mutation_Response>;
    /** delete single row from the table: "sponsorship_imitate" */
    delete_sponsorship_imitate_by_pk?: Maybe<Sponsorship_Imitate>;
    /** delete data from the table: "sponsorship_locus" */
    delete_sponsorship_locus?: Maybe<Sponsorship_Locus_Mutation_Response>;
    /** delete single row from the table: "sponsorship_locus" */
    delete_sponsorship_locus_by_pk?: Maybe<Sponsorship_Locus>;
    /** delete data from the table: "sponsorship_requirement" */
    delete_sponsorship_requirement?: Maybe<Sponsorship_Requirement_Mutation_Response>;
    /** delete single row from the table: "sponsorship_requirement" */
    delete_sponsorship_requirement_by_pk?: Maybe<Sponsorship_Requirement>;
    /** delete data from the table: "sponsorship_requirement_type" */
    delete_sponsorship_requirement_type?: Maybe<Sponsorship_Requirement_Type_Mutation_Response>;
    /** delete single row from the table: "sponsorship_requirement_type" */
    delete_sponsorship_requirement_type_by_pk?: Maybe<Sponsorship_Requirement_Type>;
    /** delete data from the table: "sponsorship_settlement_state_type" */
    delete_sponsorship_settlement_state_type?: Maybe<Sponsorship_Settlement_State_Type_Mutation_Response>;
    /** delete single row from the table: "sponsorship_settlement_state_type" */
    delete_sponsorship_settlement_state_type_by_pk?: Maybe<Sponsorship_Settlement_State_Type>;
    /** delete data from the table: "sponsorship_state" */
    delete_sponsorship_state?: Maybe<Sponsorship_State_Mutation_Response>;
    /** delete single row from the table: "sponsorship_state" */
    delete_sponsorship_state_by_pk?: Maybe<Sponsorship_State>;
    /** delete data from the table: "sponsorship_type" */
    delete_sponsorship_type?: Maybe<Sponsorship_Type_Mutation_Response>;
    /** delete single row from the table: "sponsorship_type" */
    delete_sponsorship_type_by_pk?: Maybe<Sponsorship_Type>;
    /** delete data from the table: "spot" */
    delete_spot?: Maybe<Spot_Mutation_Response>;
    /** delete single row from the table: "spot" */
    delete_spot_by_pk?: Maybe<Spot>;
    /** delete data from the table: "spot_inscription" */
    delete_spot_inscription?: Maybe<Spot_Inscription_Mutation_Response>;
    /** delete single row from the table: "spot_inscription" */
    delete_spot_inscription_by_pk?: Maybe<Spot_Inscription>;
    /** delete data from the table: "spot_policy" */
    delete_spot_policy?: Maybe<Spot_Policy_Mutation_Response>;
    /** delete single row from the table: "spot_policy" */
    delete_spot_policy_by_pk?: Maybe<Spot_Policy>;
    /** delete data from the table: "spot_type" */
    delete_spot_type?: Maybe<Spot_Type_Mutation_Response>;
    /** delete single row from the table: "spot_type" */
    delete_spot_type_by_pk?: Maybe<Spot_Type>;
    /** delete data from the table: "spot_user" */
    delete_spot_user?: Maybe<Spot_User_Mutation_Response>;
    /** delete single row from the table: "spot_user" */
    delete_spot_user_by_pk?: Maybe<Spot_User>;
    /** delete data from the table: "target_view_type" */
    delete_target_view_type?: Maybe<Target_View_Type_Mutation_Response>;
    /** delete single row from the table: "target_view_type" */
    delete_target_view_type_by_pk?: Maybe<Target_View_Type>;
    /** delete data from the table: "task" */
    delete_task?: Maybe<Task_Mutation_Response>;
    /** delete single row from the table: "task" */
    delete_task_by_pk?: Maybe<Task>;
    /** delete data from the table: "theme" */
    delete_theme?: Maybe<Theme_Mutation_Response>;
    /** delete single row from the table: "theme" */
    delete_theme_by_pk?: Maybe<Theme>;
    /** delete data from the table: "treasure_user" */
    delete_treasure_user?: Maybe<Treasure_User_Mutation_Response>;
    /** delete single row from the table: "treasure_user" */
    delete_treasure_user_by_pk?: Maybe<Treasure_User>;
    /** delete data from the table: "universe" */
    delete_universe?: Maybe<Universe_Mutation_Response>;
    /** delete single row from the table: "universe" */
    delete_universe_by_pk?: Maybe<Universe>;
    /** delete data from the table: "universe_member" */
    delete_universe_member?: Maybe<Universe_Member_Mutation_Response>;
    /** delete single row from the table: "universe_member" */
    delete_universe_member_by_pk?: Maybe<Universe_Member>;
    /** delete data from the table: "universe_policy" */
    delete_universe_policy?: Maybe<Universe_Policy_Mutation_Response>;
    /** delete single row from the table: "universe_policy" */
    delete_universe_policy_by_pk?: Maybe<Universe_Policy>;
    /** delete data from the table: "universe_resource" */
    delete_universe_resource?: Maybe<Universe_Resource_Mutation_Response>;
    /** delete single row from the table: "universe_resource" */
    delete_universe_resource_by_pk?: Maybe<Universe_Resource>;
    /** delete data from the table: "universe_state" */
    delete_universe_state?: Maybe<Universe_State_Mutation_Response>;
    /** delete single row from the table: "universe_state" */
    delete_universe_state_by_pk?: Maybe<Universe_State>;
    /** delete data from the table: "users" */
    delete_users?: Maybe<Users_Mutation_Response>;
    /** delete single row from the table: "users" */
    delete_users_by_pk?: Maybe<Users>;
    deny_games_locus?: Maybe<DenyGamesLocusOutput>;
    deny_sponsorship_games?: Maybe<DenySponsorshipGamesOutput>;
    evaluate_total?: Maybe<EvaluateTotalOutput>;
    get_otp?: Maybe<OtpResult>;
    /** insert data into the table: "alarm" */
    insert_alarm?: Maybe<Alarm_Mutation_Response>;
    /** insert a single row into the table: "alarm" */
    insert_alarm_one?: Maybe<Alarm>;
    /** insert data into the table: "animation_stage" */
    insert_animation_stage?: Maybe<Animation_Stage_Mutation_Response>;
    /** insert a single row into the table: "animation_stage" */
    insert_animation_stage_one?: Maybe<Animation_Stage>;
    /** insert data into the table: "answer" */
    insert_answer?: Maybe<Answer_Mutation_Response>;
    /** insert a single row into the table: "answer" */
    insert_answer_one?: Maybe<Answer>;
    /** insert data into the table: "answer_type" */
    insert_answer_type?: Maybe<Answer_Type_Mutation_Response>;
    /** insert a single row into the table: "answer_type" */
    insert_answer_type_one?: Maybe<Answer_Type>;
    /** insert data into the table: "area" */
    insert_area?: Maybe<Area_Mutation_Response>;
    /** insert a single row into the table: "area" */
    insert_area_one?: Maybe<Area>;
    /** insert data into the table: "auth.account_providers" */
    insert_auth_account_providers?: Maybe<Auth_Account_Providers_Mutation_Response>;
    /** insert a single row into the table: "auth.account_providers" */
    insert_auth_account_providers_one?: Maybe<Auth_Account_Providers>;
    /** insert data into the table: "auth.account_roles" */
    insert_auth_account_roles?: Maybe<Auth_Account_Roles_Mutation_Response>;
    /** insert a single row into the table: "auth.account_roles" */
    insert_auth_account_roles_one?: Maybe<Auth_Account_Roles>;
    /** insert data into the table: "auth.accounts" */
    insert_auth_accounts?: Maybe<Auth_Accounts_Mutation_Response>;
    /** insert a single row into the table: "auth.accounts" */
    insert_auth_accounts_one?: Maybe<Auth_Accounts>;
    /** insert data into the table: "auth.providers" */
    insert_auth_providers?: Maybe<Auth_Providers_Mutation_Response>;
    /** insert a single row into the table: "auth.providers" */
    insert_auth_providers_one?: Maybe<Auth_Providers>;
    /** insert data into the table: "auth.refresh_tokens" */
    insert_auth_refresh_tokens?: Maybe<Auth_Refresh_Tokens_Mutation_Response>;
    /** insert a single row into the table: "auth.refresh_tokens" */
    insert_auth_refresh_tokens_one?: Maybe<Auth_Refresh_Tokens>;
    /** insert data into the table: "auth.roles" */
    insert_auth_roles?: Maybe<Auth_Roles_Mutation_Response>;
    /** insert a single row into the table: "auth.roles" */
    insert_auth_roles_one?: Maybe<Auth_Roles>;
    /** insert data into the table: "badge" */
    insert_badge?: Maybe<Badge_Mutation_Response>;
    /** insert data into the table: "badge_category" */
    insert_badge_category?: Maybe<Badge_Category_Mutation_Response>;
    /** insert a single row into the table: "badge_category" */
    insert_badge_category_one?: Maybe<Badge_Category>;
    /** insert a single row into the table: "badge" */
    insert_badge_one?: Maybe<Badge>;
    /** insert data into the table: "badge_type" */
    insert_badge_type?: Maybe<Badge_Type_Mutation_Response>;
    /** insert a single row into the table: "badge_type" */
    insert_badge_type_one?: Maybe<Badge_Type>;
    /** insert data into the table: "batch" */
    insert_batch?: Maybe<Batch_Mutation_Response>;
    /** insert a single row into the table: "batch" */
    insert_batch_one?: Maybe<Batch>;
    /** insert data into the table: "blueprint" */
    insert_blueprint?: Maybe<Blueprint_Mutation_Response>;
    /** insert a single row into the table: "blueprint" */
    insert_blueprint_one?: Maybe<Blueprint>;
    /** insert data into the table: "business_model_type" */
    insert_business_model_type?: Maybe<Business_Model_Type_Mutation_Response>;
    /** insert a single row into the table: "business_model_type" */
    insert_business_model_type_one?: Maybe<Business_Model_Type>;
    /** insert data into the table: "charge" */
    insert_charge?: Maybe<Charge_Mutation_Response>;
    /** insert a single row into the table: "charge" */
    insert_charge_one?: Maybe<Charge>;
    /** insert data into the table: "charger" */
    insert_charger?: Maybe<Charger_Mutation_Response>;
    /** insert a single row into the table: "charger" */
    insert_charger_one?: Maybe<Charger>;
    /** insert data into the table: "condition" */
    insert_condition?: Maybe<Condition_Mutation_Response>;
    /** insert a single row into the table: "condition" */
    insert_condition_one?: Maybe<Condition>;
    /** insert data into the table: "condition_type" */
    insert_condition_type?: Maybe<Condition_Type_Mutation_Response>;
    /** insert a single row into the table: "condition_type" */
    insert_condition_type_one?: Maybe<Condition_Type>;
    /** insert data into the table: "content" */
    insert_content?: Maybe<Content_Mutation_Response>;
    /** insert a single row into the table: "content" */
    insert_content_one?: Maybe<Content>;
    /** insert data into the table: "contract" */
    insert_contract?: Maybe<Contract_Mutation_Response>;
    /** insert a single row into the table: "contract" */
    insert_contract_one?: Maybe<Contract>;
    /** insert data into the table: "contract_type" */
    insert_contract_type?: Maybe<Contract_Type_Mutation_Response>;
    /** insert a single row into the table: "contract_type" */
    insert_contract_type_one?: Maybe<Contract_Type>;
    /** insert data into the table: "currency" */
    insert_currency?: Maybe<Currency_Mutation_Response>;
    /** insert data into the table: "currency_exchange" */
    insert_currency_exchange?: Maybe<Currency_Exchange_Mutation_Response>;
    /** insert a single row into the table: "currency_exchange" */
    insert_currency_exchange_one?: Maybe<Currency_Exchange>;
    /** insert a single row into the table: "currency" */
    insert_currency_one?: Maybe<Currency>;
    /** insert data into the table: "currency_type" */
    insert_currency_type?: Maybe<Currency_Type_Mutation_Response>;
    /** insert a single row into the table: "currency_type" */
    insert_currency_type_one?: Maybe<Currency_Type>;
    /** insert data into the table: "desktop_type" */
    insert_desktop_type?: Maybe<Desktop_Type_Mutation_Response>;
    /** insert a single row into the table: "desktop_type" */
    insert_desktop_type_one?: Maybe<Desktop_Type>;
    /** insert data into the table: "entrypoint" */
    insert_entrypoint?: Maybe<Entrypoint_Mutation_Response>;
    /** insert a single row into the table: "entrypoint" */
    insert_entrypoint_one?: Maybe<Entrypoint>;
    /** insert data into the table: "evaluator" */
    insert_evaluator?: Maybe<Evaluator_Mutation_Response>;
    /** insert a single row into the table: "evaluator" */
    insert_evaluator_one?: Maybe<Evaluator>;
    /** insert data into the table: "example" */
    insert_example?: Maybe<Example_Mutation_Response>;
    /** insert a single row into the table: "example" */
    insert_example_one?: Maybe<Example>;
    /** insert data into the table: "example_type" */
    insert_example_type?: Maybe<Example_Type_Mutation_Response>;
    /** insert a single row into the table: "example_type" */
    insert_example_type_one?: Maybe<Example_Type>;
    /** insert data into the table: "exhibition_determinant" */
    insert_exhibition_determinant?: Maybe<Exhibition_Determinant_Mutation_Response>;
    /** insert a single row into the table: "exhibition_determinant" */
    insert_exhibition_determinant_one?: Maybe<Exhibition_Determinant>;
    /** insert data into the table: "flag" */
    insert_flag?: Maybe<Flag_Mutation_Response>;
    /** insert a single row into the table: "flag" */
    insert_flag_one?: Maybe<Flag>;
    /** insert data into the table: "flag_type" */
    insert_flag_type?: Maybe<Flag_Type_Mutation_Response>;
    /** insert a single row into the table: "flag_type" */
    insert_flag_type_one?: Maybe<Flag_Type>;
    /** insert data into the table: "game" */
    insert_game?: Maybe<Game_Mutation_Response>;
    /** insert data into the table: "game_action" */
    insert_game_action?: Maybe<Game_Action_Mutation_Response>;
    /** insert a single row into the table: "game_action" */
    insert_game_action_one?: Maybe<Game_Action>;
    /** insert data into the table: "game_design" */
    insert_game_design?: Maybe<Game_Design_Mutation_Response>;
    /** insert a single row into the table: "game_design" */
    insert_game_design_one?: Maybe<Game_Design>;
    /** insert data into the table: "game_group" */
    insert_game_group?: Maybe<Game_Group_Mutation_Response>;
    /** insert a single row into the table: "game_group" */
    insert_game_group_one?: Maybe<Game_Group>;
    /** insert data into the table: "game_hunter" */
    insert_game_hunter?: Maybe<Game_Hunter_Mutation_Response>;
    /** insert a single row into the table: "game_hunter" */
    insert_game_hunter_one?: Maybe<Game_Hunter>;
    /** insert data into the table: "game_management" */
    insert_game_management?: Maybe<Game_Management_Mutation_Response>;
    /** insert a single row into the table: "game_management" */
    insert_game_management_one?: Maybe<Game_Management>;
    /** insert a single row into the table: "game" */
    insert_game_one?: Maybe<Game>;
    /** insert data into the table: "game_operators" */
    insert_game_operators?: Maybe<Game_Operators_Mutation_Response>;
    /** insert a single row into the table: "game_operators" */
    insert_game_operators_one?: Maybe<Game_Operators>;
    /** insert data into the table: "game_record" */
    insert_game_record?: Maybe<Game_Record_Mutation_Response>;
    /** insert a single row into the table: "game_record" */
    insert_game_record_one?: Maybe<Game_Record>;
    /** insert data into the table: "game_requirement" */
    insert_game_requirement?: Maybe<Game_Requirement_Mutation_Response>;
    /** insert a single row into the table: "game_requirement" */
    insert_game_requirement_one?: Maybe<Game_Requirement>;
    /** insert data into the table: "game_state_type" */
    insert_game_state_type?: Maybe<Game_State_Type_Mutation_Response>;
    /** insert a single row into the table: "game_state_type" */
    insert_game_state_type_one?: Maybe<Game_State_Type>;
    /** insert data into the table: "game_winner" */
    insert_game_winner?: Maybe<Game_Winner_Mutation_Response>;
    /** insert a single row into the table: "game_winner" */
    insert_game_winner_one?: Maybe<Game_Winner>;
    /** insert data into the table: "games_locus" */
    insert_games_locus?: Maybe<Games_Locus_Mutation_Response>;
    /** insert a single row into the table: "games_locus" */
    insert_games_locus_one?: Maybe<Games_Locus>;
    /** insert data into the table: "gift" */
    insert_gift?: Maybe<Gift_Mutation_Response>;
    /** insert a single row into the table: "gift" */
    insert_gift_one?: Maybe<Gift>;
    /** insert data into the table: "goods" */
    insert_goods?: Maybe<Goods_Mutation_Response>;
    /** insert a single row into the table: "goods" */
    insert_goods_one?: Maybe<Goods>;
    /** insert data into the table: "hier_type" */
    insert_hier_type?: Maybe<Hier_Type_Mutation_Response>;
    /** insert a single row into the table: "hier_type" */
    insert_hier_type_one?: Maybe<Hier_Type>;
    /** insert data into the table: "incognito" */
    insert_incognito?: Maybe<Incognito_Mutation_Response>;
    /** insert a single row into the table: "incognito" */
    insert_incognito_one?: Maybe<Incognito>;
    /** insert data into the table: "inscription" */
    insert_inscription?: Maybe<Inscription_Mutation_Response>;
    /** insert a single row into the table: "inscription" */
    insert_inscription_one?: Maybe<Inscription>;
    /** insert data into the table: "interface_type" */
    insert_interface_type?: Maybe<Interface_Type_Mutation_Response>;
    /** insert a single row into the table: "interface_type" */
    insert_interface_type_one?: Maybe<Interface_Type>;
    /** insert data into the table: "judge" */
    insert_judge?: Maybe<Judge_Mutation_Response>;
    /** insert data into the table: "judge_display_type" */
    insert_judge_display_type?: Maybe<Judge_Display_Type_Mutation_Response>;
    /** insert a single row into the table: "judge_display_type" */
    insert_judge_display_type_one?: Maybe<Judge_Display_Type>;
    /** insert data into the table: "judge_entry" */
    insert_judge_entry?: Maybe<Judge_Entry_Mutation_Response>;
    /** insert a single row into the table: "judge_entry" */
    insert_judge_entry_one?: Maybe<Judge_Entry>;
    /** insert a single row into the table: "judge" */
    insert_judge_one?: Maybe<Judge>;
    /** insert data into the table: "judge_role_type" */
    insert_judge_role_type?: Maybe<Judge_Role_Type_Mutation_Response>;
    /** insert a single row into the table: "judge_role_type" */
    insert_judge_role_type_one?: Maybe<Judge_Role_Type>;
    /** insert data into the table: "kairos" */
    insert_kairos?: Maybe<Kairos_Mutation_Response>;
    /** insert a single row into the table: "kairos" */
    insert_kairos_one?: Maybe<Kairos>;
    /** insert data into the table: "keyword_description" */
    insert_keyword_description?: Maybe<Keyword_Description_Mutation_Response>;
    /** insert a single row into the table: "keyword_description" */
    insert_keyword_description_one?: Maybe<Keyword_Description>;
    /** insert data into the table: "language" */
    insert_language?: Maybe<Language_Mutation_Response>;
    /** insert a single row into the table: "language" */
    insert_language_one?: Maybe<Language>;
    /** insert data into the table: "location" */
    insert_location?: Maybe<Location_Mutation_Response>;
    /** insert a single row into the table: "location" */
    insert_location_one?: Maybe<Location>;
    /** insert data into the table: "locus" */
    insert_locus?: Maybe<Locus_Mutation_Response>;
    /** insert data into the table: "locus_imitate" */
    insert_locus_imitate?: Maybe<Locus_Imitate_Mutation_Response>;
    /** insert a single row into the table: "locus_imitate" */
    insert_locus_imitate_one?: Maybe<Locus_Imitate>;
    /** insert data into the table: "locus_member" */
    insert_locus_member?: Maybe<Locus_Member_Mutation_Response>;
    /** insert a single row into the table: "locus_member" */
    insert_locus_member_one?: Maybe<Locus_Member>;
    /** insert a single row into the table: "locus" */
    insert_locus_one?: Maybe<Locus>;
    /** insert data into the table: "locus_operation_type" */
    insert_locus_operation_type?: Maybe<Locus_Operation_Type_Mutation_Response>;
    /** insert a single row into the table: "locus_operation_type" */
    insert_locus_operation_type_one?: Maybe<Locus_Operation_Type>;
    /** insert data into the table: "locus_policy" */
    insert_locus_policy?: Maybe<Locus_Policy_Mutation_Response>;
    /** insert a single row into the table: "locus_policy" */
    insert_locus_policy_one?: Maybe<Locus_Policy>;
    /** insert data into the table: "locus_state" */
    insert_locus_state?: Maybe<Locus_State_Mutation_Response>;
    /** insert a single row into the table: "locus_state" */
    insert_locus_state_one?: Maybe<Locus_State>;
    /** insert data into the table: "locus_theme" */
    insert_locus_theme?: Maybe<Locus_Theme_Mutation_Response>;
    /** insert a single row into the table: "locus_theme" */
    insert_locus_theme_one?: Maybe<Locus_Theme>;
    /** insert data into the table: "locus_type" */
    insert_locus_type?: Maybe<Locus_Type_Mutation_Response>;
    /** insert a single row into the table: "locus_type" */
    insert_locus_type_one?: Maybe<Locus_Type>;
    /** insert data into the table: "map" */
    insert_map?: Maybe<Map_Mutation_Response>;
    /** insert data into the table: "map_condition_type" */
    insert_map_condition_type?: Maybe<Map_Condition_Type_Mutation_Response>;
    /** insert a single row into the table: "map_condition_type" */
    insert_map_condition_type_one?: Maybe<Map_Condition_Type>;
    /** insert data into the table: "map_effect" */
    insert_map_effect?: Maybe<Map_Effect_Mutation_Response>;
    /** insert a single row into the table: "map_effect" */
    insert_map_effect_one?: Maybe<Map_Effect>;
    /** insert data into the table: "map_effect_type" */
    insert_map_effect_type?: Maybe<Map_Effect_Type_Mutation_Response>;
    /** insert a single row into the table: "map_effect_type" */
    insert_map_effect_type_one?: Maybe<Map_Effect_Type>;
    /** insert data into the table: "map_item" */
    insert_map_item?: Maybe<Map_Item_Mutation_Response>;
    /** insert data into the table: "map_item_animation" */
    insert_map_item_animation?: Maybe<Map_Item_Animation_Mutation_Response>;
    /** insert a single row into the table: "map_item_animation" */
    insert_map_item_animation_one?: Maybe<Map_Item_Animation>;
    /** insert a single row into the table: "map_item" */
    insert_map_item_one?: Maybe<Map_Item>;
    /** insert data into the table: "map_item_state" */
    insert_map_item_state?: Maybe<Map_Item_State_Mutation_Response>;
    /** insert a single row into the table: "map_item_state" */
    insert_map_item_state_one?: Maybe<Map_Item_State>;
    /** insert a single row into the table: "map" */
    insert_map_one?: Maybe<Map>;
    /** insert data into the table: "medium_type" */
    insert_medium_type?: Maybe<Medium_Type_Mutation_Response>;
    /** insert a single row into the table: "medium_type" */
    insert_medium_type_one?: Maybe<Medium_Type>;
    /** insert data into the table: "megaphone" */
    insert_megaphone?: Maybe<Megaphone_Mutation_Response>;
    /** insert a single row into the table: "megaphone" */
    insert_megaphone_one?: Maybe<Megaphone>;
    /** insert data into the table: "message" */
    insert_message?: Maybe<Message_Mutation_Response>;
    /** insert a single row into the table: "message" */
    insert_message_one?: Maybe<Message>;
    /** insert data into the table: "mold" */
    insert_mold?: Maybe<Mold_Mutation_Response>;
    /** insert data into the table: "mold_blueprint" */
    insert_mold_blueprint?: Maybe<Mold_Blueprint_Mutation_Response>;
    /** insert a single row into the table: "mold_blueprint" */
    insert_mold_blueprint_one?: Maybe<Mold_Blueprint>;
    /** insert a single row into the table: "mold" */
    insert_mold_one?: Maybe<Mold>;
    /** insert data into the table: "morsel_type" */
    insert_morsel_type?: Maybe<Morsel_Type_Mutation_Response>;
    /** insert a single row into the table: "morsel_type" */
    insert_morsel_type_one?: Maybe<Morsel_Type>;
    /** insert data into the table: "operation" */
    insert_operation?: Maybe<Operation_Mutation_Response>;
    /** insert data into the table: "operation_maintain_type" */
    insert_operation_maintain_type?: Maybe<Operation_Maintain_Type_Mutation_Response>;
    /** insert a single row into the table: "operation_maintain_type" */
    insert_operation_maintain_type_one?: Maybe<Operation_Maintain_Type>;
    /** insert a single row into the table: "operation" */
    insert_operation_one?: Maybe<Operation>;
    /** insert data into the table: "operation_operator" */
    insert_operation_operator?: Maybe<Operation_Operator_Mutation_Response>;
    /** insert a single row into the table: "operation_operator" */
    insert_operation_operator_one?: Maybe<Operation_Operator>;
    /** insert data into the table: "operation_setting_type" */
    insert_operation_setting_type?: Maybe<Operation_Setting_Type_Mutation_Response>;
    /** insert a single row into the table: "operation_setting_type" */
    insert_operation_setting_type_one?: Maybe<Operation_Setting_Type>;
    /** insert data into the table: "operation_state" */
    insert_operation_state?: Maybe<Operation_State_Mutation_Response>;
    /** insert a single row into the table: "operation_state" */
    insert_operation_state_one?: Maybe<Operation_State>;
    /** insert data into the table: "operation_type" */
    insert_operation_type?: Maybe<Operation_Type_Mutation_Response>;
    /** insert a single row into the table: "operation_type" */
    insert_operation_type_one?: Maybe<Operation_Type>;
    /** insert data into the table: "operator_state_type" */
    insert_operator_state_type?: Maybe<Operator_State_Type_Mutation_Response>;
    /** insert a single row into the table: "operator_state_type" */
    insert_operator_state_type_one?: Maybe<Operator_State_Type>;
    /** insert data into the table: "piece" */
    insert_piece?: Maybe<Piece_Mutation_Response>;
    /** insert data into the table: "piece_locus" */
    insert_piece_locus?: Maybe<Piece_Locus_Mutation_Response>;
    /** insert a single row into the table: "piece_locus" */
    insert_piece_locus_one?: Maybe<Piece_Locus>;
    /** insert a single row into the table: "piece" */
    insert_piece_one?: Maybe<Piece>;
    /** insert data into the table: "piece_type" */
    insert_piece_type?: Maybe<Piece_Type_Mutation_Response>;
    /** insert a single row into the table: "piece_type" */
    insert_piece_type_one?: Maybe<Piece_Type>;
    /** insert data into the table: "post" */
    insert_post?: Maybe<Post_Mutation_Response>;
    /** insert data into the table: "post_evaluation" */
    insert_post_evaluation?: Maybe<Post_Evaluation_Mutation_Response>;
    /** insert a single row into the table: "post_evaluation" */
    insert_post_evaluation_one?: Maybe<Post_Evaluation>;
    /** insert a single row into the table: "post" */
    insert_post_one?: Maybe<Post>;
    /** insert data into the table: "preference" */
    insert_preference?: Maybe<Preference_Mutation_Response>;
    /** insert a single row into the table: "preference" */
    insert_preference_one?: Maybe<Preference>;
    /** insert data into the table: "product" */
    insert_product?: Maybe<Product_Mutation_Response>;
    /** insert a single row into the table: "product" */
    insert_product_one?: Maybe<Product>;
    /** insert data into the table: "profile" */
    insert_profile?: Maybe<Profile_Mutation_Response>;
    /** insert a single row into the table: "profile" */
    insert_profile_one?: Maybe<Profile>;
    /** insert data into the table: "purchase" */
    insert_purchase?: Maybe<Purchase_Mutation_Response>;
    /** insert a single row into the table: "purchase" */
    insert_purchase_one?: Maybe<Purchase>;
    /** insert data into the table: "quest" */
    insert_quest?: Maybe<Quest_Mutation_Response>;
    /** insert data into the table: "quest_ancestry" */
    insert_quest_ancestry?: Maybe<Quest_Ancestry_Mutation_Response>;
    /** insert a single row into the table: "quest_ancestry" */
    insert_quest_ancestry_one?: Maybe<Quest_Ancestry>;
    /** insert a single row into the table: "quest" */
    insert_quest_one?: Maybe<Quest>;
    /** insert data into the table: "quest_state" */
    insert_quest_state?: Maybe<Quest_State_Mutation_Response>;
    /** insert a single row into the table: "quest_state" */
    insert_quest_state_one?: Maybe<Quest_State>;
    /** insert data into the table: "quest_type" */
    insert_quest_type?: Maybe<Quest_Type_Mutation_Response>;
    /** insert a single row into the table: "quest_type" */
    insert_quest_type_one?: Maybe<Quest_Type>;
    /** insert data into the table: "resource_policy" */
    insert_resource_policy?: Maybe<Resource_Policy_Mutation_Response>;
    /** insert a single row into the table: "resource_policy" */
    insert_resource_policy_one?: Maybe<Resource_Policy>;
    /** insert data into the table: "resource_privacy" */
    insert_resource_privacy?: Maybe<Resource_Privacy_Mutation_Response>;
    /** insert a single row into the table: "resource_privacy" */
    insert_resource_privacy_one?: Maybe<Resource_Privacy>;
    /** insert data into the table: "rooadmap_gis.cord_2d" */
    insert_rooadmap_gis_cord_2d?: Maybe<Rooadmap_Gis_Cord_2d_Mutation_Response>;
    /** insert a single row into the table: "rooadmap_gis.cord_2d" */
    insert_rooadmap_gis_cord_2d_one?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** insert data into the table: "rooadmap_gis.cord_3d" */
    insert_rooadmap_gis_cord_3d?: Maybe<Rooadmap_Gis_Cord_3d_Mutation_Response>;
    /** insert a single row into the table: "rooadmap_gis.cord_3d" */
    insert_rooadmap_gis_cord_3d_one?: Maybe<Rooadmap_Gis_Cord_3d>;
    /** insert data into the table: "rooadmap_gis.location_2d" */
    insert_rooadmap_gis_location_2d?: Maybe<Rooadmap_Gis_Location_2d_Mutation_Response>;
    /** insert a single row into the table: "rooadmap_gis.location_2d" */
    insert_rooadmap_gis_location_2d_one?: Maybe<Rooadmap_Gis_Location_2d>;
    /** insert data into the table: "rooadmap_gis.location_3d" */
    insert_rooadmap_gis_location_3d?: Maybe<Rooadmap_Gis_Location_3d_Mutation_Response>;
    /** insert a single row into the table: "rooadmap_gis.location_3d" */
    insert_rooadmap_gis_location_3d_one?: Maybe<Rooadmap_Gis_Location_3d>;
    /** insert data into the table: "rooadmap_gis.map_item" */
    insert_rooadmap_gis_map_item?: Maybe<Rooadmap_Gis_Map_Item_Mutation_Response>;
    /** insert a single row into the table: "rooadmap_gis.map_item" */
    insert_rooadmap_gis_map_item_one?: Maybe<Rooadmap_Gis_Map_Item>;
    /** insert data into the table: "segment" */
    insert_segment?: Maybe<Segment_Mutation_Response>;
    /** insert data into the table: "segment_exhibition" */
    insert_segment_exhibition?: Maybe<Segment_Exhibition_Mutation_Response>;
    /** insert a single row into the table: "segment_exhibition" */
    insert_segment_exhibition_one?: Maybe<Segment_Exhibition>;
    /** insert a single row into the table: "segment" */
    insert_segment_one?: Maybe<Segment>;
    /** insert data into the table: "sell" */
    insert_sell?: Maybe<Sell_Mutation_Response>;
    /** insert data into the table: "sell_management" */
    insert_sell_management?: Maybe<Sell_Management_Mutation_Response>;
    /** insert a single row into the table: "sell_management" */
    insert_sell_management_one?: Maybe<Sell_Management>;
    /** insert a single row into the table: "sell" */
    insert_sell_one?: Maybe<Sell>;
    /** insert data into the table: "sponsorship" */
    insert_sponsorship?: Maybe<Sponsorship_Mutation_Response>;
    /** insert data into the table: "sponsorship_condition" */
    insert_sponsorship_condition?: Maybe<Sponsorship_Condition_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_condition" */
    insert_sponsorship_condition_one?: Maybe<Sponsorship_Condition>;
    /** insert data into the table: "sponsorship_game_state" */
    insert_sponsorship_game_state?: Maybe<Sponsorship_Game_State_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_game_state" */
    insert_sponsorship_game_state_one?: Maybe<Sponsorship_Game_State>;
    /** insert data into the table: "sponsorship_game_state_type" */
    insert_sponsorship_game_state_type?: Maybe<Sponsorship_Game_State_Type_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_game_state_type" */
    insert_sponsorship_game_state_type_one?: Maybe<Sponsorship_Game_State_Type>;
    /** insert data into the table: "sponsorship_images" */
    insert_sponsorship_images?: Maybe<Sponsorship_Images_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_images" */
    insert_sponsorship_images_one?: Maybe<Sponsorship_Images>;
    /** insert data into the table: "sponsorship_imitate" */
    insert_sponsorship_imitate?: Maybe<Sponsorship_Imitate_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_imitate" */
    insert_sponsorship_imitate_one?: Maybe<Sponsorship_Imitate>;
    /** insert data into the table: "sponsorship_locus" */
    insert_sponsorship_locus?: Maybe<Sponsorship_Locus_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_locus" */
    insert_sponsorship_locus_one?: Maybe<Sponsorship_Locus>;
    /** insert a single row into the table: "sponsorship" */
    insert_sponsorship_one?: Maybe<Sponsorship>;
    /** insert data into the table: "sponsorship_requirement" */
    insert_sponsorship_requirement?: Maybe<Sponsorship_Requirement_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_requirement" */
    insert_sponsorship_requirement_one?: Maybe<Sponsorship_Requirement>;
    /** insert data into the table: "sponsorship_requirement_type" */
    insert_sponsorship_requirement_type?: Maybe<Sponsorship_Requirement_Type_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_requirement_type" */
    insert_sponsorship_requirement_type_one?: Maybe<Sponsorship_Requirement_Type>;
    /** insert data into the table: "sponsorship_settlement_state_type" */
    insert_sponsorship_settlement_state_type?: Maybe<Sponsorship_Settlement_State_Type_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_settlement_state_type" */
    insert_sponsorship_settlement_state_type_one?: Maybe<Sponsorship_Settlement_State_Type>;
    /** insert data into the table: "sponsorship_state" */
    insert_sponsorship_state?: Maybe<Sponsorship_State_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_state" */
    insert_sponsorship_state_one?: Maybe<Sponsorship_State>;
    /** insert data into the table: "sponsorship_type" */
    insert_sponsorship_type?: Maybe<Sponsorship_Type_Mutation_Response>;
    /** insert a single row into the table: "sponsorship_type" */
    insert_sponsorship_type_one?: Maybe<Sponsorship_Type>;
    /** insert data into the table: "spot" */
    insert_spot?: Maybe<Spot_Mutation_Response>;
    /** insert data into the table: "spot_inscription" */
    insert_spot_inscription?: Maybe<Spot_Inscription_Mutation_Response>;
    /** insert a single row into the table: "spot_inscription" */
    insert_spot_inscription_one?: Maybe<Spot_Inscription>;
    /** insert a single row into the table: "spot" */
    insert_spot_one?: Maybe<Spot>;
    /** insert data into the table: "spot_policy" */
    insert_spot_policy?: Maybe<Spot_Policy_Mutation_Response>;
    /** insert a single row into the table: "spot_policy" */
    insert_spot_policy_one?: Maybe<Spot_Policy>;
    /** insert data into the table: "spot_type" */
    insert_spot_type?: Maybe<Spot_Type_Mutation_Response>;
    /** insert a single row into the table: "spot_type" */
    insert_spot_type_one?: Maybe<Spot_Type>;
    /** insert data into the table: "spot_user" */
    insert_spot_user?: Maybe<Spot_User_Mutation_Response>;
    /** insert a single row into the table: "spot_user" */
    insert_spot_user_one?: Maybe<Spot_User>;
    /** insert data into the table: "target_view_type" */
    insert_target_view_type?: Maybe<Target_View_Type_Mutation_Response>;
    /** insert a single row into the table: "target_view_type" */
    insert_target_view_type_one?: Maybe<Target_View_Type>;
    /** insert data into the table: "task" */
    insert_task?: Maybe<Task_Mutation_Response>;
    /** insert a single row into the table: "task" */
    insert_task_one?: Maybe<Task>;
    /** insert data into the table: "theme" */
    insert_theme?: Maybe<Theme_Mutation_Response>;
    /** insert a single row into the table: "theme" */
    insert_theme_one?: Maybe<Theme>;
    /** insert data into the table: "treasure_user" */
    insert_treasure_user?: Maybe<Treasure_User_Mutation_Response>;
    /** insert a single row into the table: "treasure_user" */
    insert_treasure_user_one?: Maybe<Treasure_User>;
    /** insert data into the table: "universe" */
    insert_universe?: Maybe<Universe_Mutation_Response>;
    /** insert data into the table: "universe_member" */
    insert_universe_member?: Maybe<Universe_Member_Mutation_Response>;
    /** insert a single row into the table: "universe_member" */
    insert_universe_member_one?: Maybe<Universe_Member>;
    /** insert a single row into the table: "universe" */
    insert_universe_one?: Maybe<Universe>;
    /** insert data into the table: "universe_policy" */
    insert_universe_policy?: Maybe<Universe_Policy_Mutation_Response>;
    /** insert a single row into the table: "universe_policy" */
    insert_universe_policy_one?: Maybe<Universe_Policy>;
    /** insert data into the table: "universe_resource" */
    insert_universe_resource?: Maybe<Universe_Resource_Mutation_Response>;
    /** insert a single row into the table: "universe_resource" */
    insert_universe_resource_one?: Maybe<Universe_Resource>;
    /** insert data into the table: "universe_state" */
    insert_universe_state?: Maybe<Universe_State_Mutation_Response>;
    /** insert a single row into the table: "universe_state" */
    insert_universe_state_one?: Maybe<Universe_State>;
    /** insert data into the table: "users" */
    insert_users?: Maybe<Users_Mutation_Response>;
    /** insert a single row into the table: "users" */
    insert_users_one?: Maybe<Users>;
    operate_image_npc_judge?: Maybe<ImageNpcOperationOutput>;
    purchase_game_by_rp?: Maybe<PurchaseGameByRpResult>;
    purchase_sponsorship_by_rp?: Maybe<PurchaseSponsorshipByRpResult>;
    restart_game_play?: Maybe<RestartGamePlayOutput>;
    set_game_state_on_ready?: Maybe<SetGameStateOnReadyOutput>;
    settle_operation_games_locus?: Maybe<SettleOperationGamesLocusOutput>;
    start_game?: Maybe<StartGameOutput>;
    taste_jigsaw_judge?: Maybe<TasteJigsawJudgeOutput>;
    taste_multi_word_judge?: Maybe<TasteWordJudgeOutput>;
    taste_word_judge?: Maybe<TasteWordJudgeOutput>;
    taste_word_sequence_judge?: Maybe<TasteWordSequenceJudgeOutput>;
    taste_words_judge?: Maybe<TasteWordsJudgeOutput>;
    /** update data of the table: "alarm" */
    update_alarm?: Maybe<Alarm_Mutation_Response>;
    /** update single row of the table: "alarm" */
    update_alarm_by_pk?: Maybe<Alarm>;
    /** update multiples rows of table: "alarm" */
    update_alarm_many?: Maybe<Array<Maybe<Alarm_Mutation_Response>>>;
    /** update data of the table: "animation_stage" */
    update_animation_stage?: Maybe<Animation_Stage_Mutation_Response>;
    /** update single row of the table: "animation_stage" */
    update_animation_stage_by_pk?: Maybe<Animation_Stage>;
    /** update multiples rows of table: "animation_stage" */
    update_animation_stage_many?: Maybe<Array<Maybe<Animation_Stage_Mutation_Response>>>;
    /** update data of the table: "answer" */
    update_answer?: Maybe<Answer_Mutation_Response>;
    /** update single row of the table: "answer" */
    update_answer_by_pk?: Maybe<Answer>;
    /** update multiples rows of table: "answer" */
    update_answer_many?: Maybe<Array<Maybe<Answer_Mutation_Response>>>;
    /** update data of the table: "answer_type" */
    update_answer_type?: Maybe<Answer_Type_Mutation_Response>;
    /** update single row of the table: "answer_type" */
    update_answer_type_by_pk?: Maybe<Answer_Type>;
    /** update multiples rows of table: "answer_type" */
    update_answer_type_many?: Maybe<Array<Maybe<Answer_Type_Mutation_Response>>>;
    /** update data of the table: "area" */
    update_area?: Maybe<Area_Mutation_Response>;
    /** update single row of the table: "area" */
    update_area_by_pk?: Maybe<Area>;
    /** update multiples rows of table: "area" */
    update_area_many?: Maybe<Array<Maybe<Area_Mutation_Response>>>;
    /** update data of the table: "auth.account_providers" */
    update_auth_account_providers?: Maybe<Auth_Account_Providers_Mutation_Response>;
    /** update single row of the table: "auth.account_providers" */
    update_auth_account_providers_by_pk?: Maybe<Auth_Account_Providers>;
    /** update multiples rows of table: "auth.account_providers" */
    update_auth_account_providers_many?: Maybe<Array<Maybe<Auth_Account_Providers_Mutation_Response>>>;
    /** update data of the table: "auth.account_roles" */
    update_auth_account_roles?: Maybe<Auth_Account_Roles_Mutation_Response>;
    /** update single row of the table: "auth.account_roles" */
    update_auth_account_roles_by_pk?: Maybe<Auth_Account_Roles>;
    /** update multiples rows of table: "auth.account_roles" */
    update_auth_account_roles_many?: Maybe<Array<Maybe<Auth_Account_Roles_Mutation_Response>>>;
    /** update data of the table: "auth.accounts" */
    update_auth_accounts?: Maybe<Auth_Accounts_Mutation_Response>;
    /** update single row of the table: "auth.accounts" */
    update_auth_accounts_by_pk?: Maybe<Auth_Accounts>;
    /** update multiples rows of table: "auth.accounts" */
    update_auth_accounts_many?: Maybe<Array<Maybe<Auth_Accounts_Mutation_Response>>>;
    /** update data of the table: "auth.providers" */
    update_auth_providers?: Maybe<Auth_Providers_Mutation_Response>;
    /** update single row of the table: "auth.providers" */
    update_auth_providers_by_pk?: Maybe<Auth_Providers>;
    /** update multiples rows of table: "auth.providers" */
    update_auth_providers_many?: Maybe<Array<Maybe<Auth_Providers_Mutation_Response>>>;
    /** update data of the table: "auth.refresh_tokens" */
    update_auth_refresh_tokens?: Maybe<Auth_Refresh_Tokens_Mutation_Response>;
    /** update single row of the table: "auth.refresh_tokens" */
    update_auth_refresh_tokens_by_pk?: Maybe<Auth_Refresh_Tokens>;
    /** update multiples rows of table: "auth.refresh_tokens" */
    update_auth_refresh_tokens_many?: Maybe<Array<Maybe<Auth_Refresh_Tokens_Mutation_Response>>>;
    /** update data of the table: "auth.roles" */
    update_auth_roles?: Maybe<Auth_Roles_Mutation_Response>;
    /** update single row of the table: "auth.roles" */
    update_auth_roles_by_pk?: Maybe<Auth_Roles>;
    /** update multiples rows of table: "auth.roles" */
    update_auth_roles_many?: Maybe<Array<Maybe<Auth_Roles_Mutation_Response>>>;
    /** update data of the table: "badge" */
    update_badge?: Maybe<Badge_Mutation_Response>;
    /** update single row of the table: "badge" */
    update_badge_by_pk?: Maybe<Badge>;
    /** update data of the table: "badge_category" */
    update_badge_category?: Maybe<Badge_Category_Mutation_Response>;
    /** update single row of the table: "badge_category" */
    update_badge_category_by_pk?: Maybe<Badge_Category>;
    /** update multiples rows of table: "badge_category" */
    update_badge_category_many?: Maybe<Array<Maybe<Badge_Category_Mutation_Response>>>;
    /** update multiples rows of table: "badge" */
    update_badge_many?: Maybe<Array<Maybe<Badge_Mutation_Response>>>;
    /** update data of the table: "badge_type" */
    update_badge_type?: Maybe<Badge_Type_Mutation_Response>;
    /** update single row of the table: "badge_type" */
    update_badge_type_by_pk?: Maybe<Badge_Type>;
    /** update multiples rows of table: "badge_type" */
    update_badge_type_many?: Maybe<Array<Maybe<Badge_Type_Mutation_Response>>>;
    /** update data of the table: "batch" */
    update_batch?: Maybe<Batch_Mutation_Response>;
    /** update single row of the table: "batch" */
    update_batch_by_pk?: Maybe<Batch>;
    /** update multiples rows of table: "batch" */
    update_batch_many?: Maybe<Array<Maybe<Batch_Mutation_Response>>>;
    /** update data of the table: "blueprint" */
    update_blueprint?: Maybe<Blueprint_Mutation_Response>;
    /** update single row of the table: "blueprint" */
    update_blueprint_by_pk?: Maybe<Blueprint>;
    /** update multiples rows of table: "blueprint" */
    update_blueprint_many?: Maybe<Array<Maybe<Blueprint_Mutation_Response>>>;
    /** update data of the table: "business_model_type" */
    update_business_model_type?: Maybe<Business_Model_Type_Mutation_Response>;
    /** update single row of the table: "business_model_type" */
    update_business_model_type_by_pk?: Maybe<Business_Model_Type>;
    /** update multiples rows of table: "business_model_type" */
    update_business_model_type_many?: Maybe<Array<Maybe<Business_Model_Type_Mutation_Response>>>;
    /** update data of the table: "charge" */
    update_charge?: Maybe<Charge_Mutation_Response>;
    /** update single row of the table: "charge" */
    update_charge_by_pk?: Maybe<Charge>;
    /** update multiples rows of table: "charge" */
    update_charge_many?: Maybe<Array<Maybe<Charge_Mutation_Response>>>;
    /** update data of the table: "charger" */
    update_charger?: Maybe<Charger_Mutation_Response>;
    /** update single row of the table: "charger" */
    update_charger_by_pk?: Maybe<Charger>;
    /** update multiples rows of table: "charger" */
    update_charger_many?: Maybe<Array<Maybe<Charger_Mutation_Response>>>;
    /** update data of the table: "condition" */
    update_condition?: Maybe<Condition_Mutation_Response>;
    /** update single row of the table: "condition" */
    update_condition_by_pk?: Maybe<Condition>;
    /** update multiples rows of table: "condition" */
    update_condition_many?: Maybe<Array<Maybe<Condition_Mutation_Response>>>;
    /** update data of the table: "condition_type" */
    update_condition_type?: Maybe<Condition_Type_Mutation_Response>;
    /** update single row of the table: "condition_type" */
    update_condition_type_by_pk?: Maybe<Condition_Type>;
    /** update multiples rows of table: "condition_type" */
    update_condition_type_many?: Maybe<Array<Maybe<Condition_Type_Mutation_Response>>>;
    /** update data of the table: "content" */
    update_content?: Maybe<Content_Mutation_Response>;
    /** update single row of the table: "content" */
    update_content_by_pk?: Maybe<Content>;
    /** update multiples rows of table: "content" */
    update_content_many?: Maybe<Array<Maybe<Content_Mutation_Response>>>;
    /** update data of the table: "contract" */
    update_contract?: Maybe<Contract_Mutation_Response>;
    /** update single row of the table: "contract" */
    update_contract_by_pk?: Maybe<Contract>;
    /** update multiples rows of table: "contract" */
    update_contract_many?: Maybe<Array<Maybe<Contract_Mutation_Response>>>;
    /** update data of the table: "contract_type" */
    update_contract_type?: Maybe<Contract_Type_Mutation_Response>;
    /** update single row of the table: "contract_type" */
    update_contract_type_by_pk?: Maybe<Contract_Type>;
    /** update multiples rows of table: "contract_type" */
    update_contract_type_many?: Maybe<Array<Maybe<Contract_Type_Mutation_Response>>>;
    /** update data of the table: "currency" */
    update_currency?: Maybe<Currency_Mutation_Response>;
    /** update single row of the table: "currency" */
    update_currency_by_pk?: Maybe<Currency>;
    /** update data of the table: "currency_exchange" */
    update_currency_exchange?: Maybe<Currency_Exchange_Mutation_Response>;
    /** update single row of the table: "currency_exchange" */
    update_currency_exchange_by_pk?: Maybe<Currency_Exchange>;
    /** update multiples rows of table: "currency_exchange" */
    update_currency_exchange_many?: Maybe<Array<Maybe<Currency_Exchange_Mutation_Response>>>;
    /** update multiples rows of table: "currency" */
    update_currency_many?: Maybe<Array<Maybe<Currency_Mutation_Response>>>;
    /** update data of the table: "currency_type" */
    update_currency_type?: Maybe<Currency_Type_Mutation_Response>;
    /** update single row of the table: "currency_type" */
    update_currency_type_by_pk?: Maybe<Currency_Type>;
    /** update multiples rows of table: "currency_type" */
    update_currency_type_many?: Maybe<Array<Maybe<Currency_Type_Mutation_Response>>>;
    /** update data of the table: "desktop_type" */
    update_desktop_type?: Maybe<Desktop_Type_Mutation_Response>;
    /** update single row of the table: "desktop_type" */
    update_desktop_type_by_pk?: Maybe<Desktop_Type>;
    /** update multiples rows of table: "desktop_type" */
    update_desktop_type_many?: Maybe<Array<Maybe<Desktop_Type_Mutation_Response>>>;
    /** update data of the table: "entrypoint" */
    update_entrypoint?: Maybe<Entrypoint_Mutation_Response>;
    /** update single row of the table: "entrypoint" */
    update_entrypoint_by_pk?: Maybe<Entrypoint>;
    /** update multiples rows of table: "entrypoint" */
    update_entrypoint_many?: Maybe<Array<Maybe<Entrypoint_Mutation_Response>>>;
    /** update data of the table: "evaluator" */
    update_evaluator?: Maybe<Evaluator_Mutation_Response>;
    /** update single row of the table: "evaluator" */
    update_evaluator_by_pk?: Maybe<Evaluator>;
    /** update multiples rows of table: "evaluator" */
    update_evaluator_many?: Maybe<Array<Maybe<Evaluator_Mutation_Response>>>;
    /** update data of the table: "example" */
    update_example?: Maybe<Example_Mutation_Response>;
    /** update single row of the table: "example" */
    update_example_by_pk?: Maybe<Example>;
    /** update multiples rows of table: "example" */
    update_example_many?: Maybe<Array<Maybe<Example_Mutation_Response>>>;
    /** update data of the table: "example_type" */
    update_example_type?: Maybe<Example_Type_Mutation_Response>;
    /** update single row of the table: "example_type" */
    update_example_type_by_pk?: Maybe<Example_Type>;
    /** update multiples rows of table: "example_type" */
    update_example_type_many?: Maybe<Array<Maybe<Example_Type_Mutation_Response>>>;
    /** update data of the table: "exhibition_determinant" */
    update_exhibition_determinant?: Maybe<Exhibition_Determinant_Mutation_Response>;
    /** update single row of the table: "exhibition_determinant" */
    update_exhibition_determinant_by_pk?: Maybe<Exhibition_Determinant>;
    /** update multiples rows of table: "exhibition_determinant" */
    update_exhibition_determinant_many?: Maybe<Array<Maybe<Exhibition_Determinant_Mutation_Response>>>;
    /** update data of the table: "flag" */
    update_flag?: Maybe<Flag_Mutation_Response>;
    /** update single row of the table: "flag" */
    update_flag_by_pk?: Maybe<Flag>;
    /** update multiples rows of table: "flag" */
    update_flag_many?: Maybe<Array<Maybe<Flag_Mutation_Response>>>;
    /** update data of the table: "flag_type" */
    update_flag_type?: Maybe<Flag_Type_Mutation_Response>;
    /** update single row of the table: "flag_type" */
    update_flag_type_by_pk?: Maybe<Flag_Type>;
    /** update multiples rows of table: "flag_type" */
    update_flag_type_many?: Maybe<Array<Maybe<Flag_Type_Mutation_Response>>>;
    /** update data of the table: "game" */
    update_game?: Maybe<Game_Mutation_Response>;
    /** update data of the table: "game_action" */
    update_game_action?: Maybe<Game_Action_Mutation_Response>;
    /** update single row of the table: "game_action" */
    update_game_action_by_pk?: Maybe<Game_Action>;
    /** update multiples rows of table: "game_action" */
    update_game_action_many?: Maybe<Array<Maybe<Game_Action_Mutation_Response>>>;
    /** update single row of the table: "game" */
    update_game_by_pk?: Maybe<Game>;
    /** update data of the table: "game_design" */
    update_game_design?: Maybe<Game_Design_Mutation_Response>;
    /** update single row of the table: "game_design" */
    update_game_design_by_pk?: Maybe<Game_Design>;
    /** update multiples rows of table: "game_design" */
    update_game_design_many?: Maybe<Array<Maybe<Game_Design_Mutation_Response>>>;
    /** update data of the table: "game_group" */
    update_game_group?: Maybe<Game_Group_Mutation_Response>;
    /** update single row of the table: "game_group" */
    update_game_group_by_pk?: Maybe<Game_Group>;
    /** update multiples rows of table: "game_group" */
    update_game_group_many?: Maybe<Array<Maybe<Game_Group_Mutation_Response>>>;
    /** update data of the table: "game_hunter" */
    update_game_hunter?: Maybe<Game_Hunter_Mutation_Response>;
    /** update single row of the table: "game_hunter" */
    update_game_hunter_by_pk?: Maybe<Game_Hunter>;
    /** update multiples rows of table: "game_hunter" */
    update_game_hunter_many?: Maybe<Array<Maybe<Game_Hunter_Mutation_Response>>>;
    /** update data of the table: "game_management" */
    update_game_management?: Maybe<Game_Management_Mutation_Response>;
    /** update single row of the table: "game_management" */
    update_game_management_by_pk?: Maybe<Game_Management>;
    /** update multiples rows of table: "game_management" */
    update_game_management_many?: Maybe<Array<Maybe<Game_Management_Mutation_Response>>>;
    /** update multiples rows of table: "game" */
    update_game_many?: Maybe<Array<Maybe<Game_Mutation_Response>>>;
    /** update data of the table: "game_operators" */
    update_game_operators?: Maybe<Game_Operators_Mutation_Response>;
    /** update single row of the table: "game_operators" */
    update_game_operators_by_pk?: Maybe<Game_Operators>;
    /** update multiples rows of table: "game_operators" */
    update_game_operators_many?: Maybe<Array<Maybe<Game_Operators_Mutation_Response>>>;
    /** update data of the table: "game_record" */
    update_game_record?: Maybe<Game_Record_Mutation_Response>;
    /** update single row of the table: "game_record" */
    update_game_record_by_pk?: Maybe<Game_Record>;
    /** update multiples rows of table: "game_record" */
    update_game_record_many?: Maybe<Array<Maybe<Game_Record_Mutation_Response>>>;
    /** update data of the table: "game_requirement" */
    update_game_requirement?: Maybe<Game_Requirement_Mutation_Response>;
    /** update single row of the table: "game_requirement" */
    update_game_requirement_by_pk?: Maybe<Game_Requirement>;
    /** update multiples rows of table: "game_requirement" */
    update_game_requirement_many?: Maybe<Array<Maybe<Game_Requirement_Mutation_Response>>>;
    /** update data of the table: "game_state_type" */
    update_game_state_type?: Maybe<Game_State_Type_Mutation_Response>;
    /** update single row of the table: "game_state_type" */
    update_game_state_type_by_pk?: Maybe<Game_State_Type>;
    /** update multiples rows of table: "game_state_type" */
    update_game_state_type_many?: Maybe<Array<Maybe<Game_State_Type_Mutation_Response>>>;
    /** update data of the table: "game_winner" */
    update_game_winner?: Maybe<Game_Winner_Mutation_Response>;
    /** update single row of the table: "game_winner" */
    update_game_winner_by_pk?: Maybe<Game_Winner>;
    /** update multiples rows of table: "game_winner" */
    update_game_winner_many?: Maybe<Array<Maybe<Game_Winner_Mutation_Response>>>;
    /** update data of the table: "games_locus" */
    update_games_locus?: Maybe<Games_Locus_Mutation_Response>;
    /** update single row of the table: "games_locus" */
    update_games_locus_by_pk?: Maybe<Games_Locus>;
    /** update multiples rows of table: "games_locus" */
    update_games_locus_many?: Maybe<Array<Maybe<Games_Locus_Mutation_Response>>>;
    /** update data of the table: "gift" */
    update_gift?: Maybe<Gift_Mutation_Response>;
    /** update single row of the table: "gift" */
    update_gift_by_pk?: Maybe<Gift>;
    /** update multiples rows of table: "gift" */
    update_gift_many?: Maybe<Array<Maybe<Gift_Mutation_Response>>>;
    /** update data of the table: "goods" */
    update_goods?: Maybe<Goods_Mutation_Response>;
    /** update single row of the table: "goods" */
    update_goods_by_pk?: Maybe<Goods>;
    /** update multiples rows of table: "goods" */
    update_goods_many?: Maybe<Array<Maybe<Goods_Mutation_Response>>>;
    /** update data of the table: "hier_type" */
    update_hier_type?: Maybe<Hier_Type_Mutation_Response>;
    /** update single row of the table: "hier_type" */
    update_hier_type_by_pk?: Maybe<Hier_Type>;
    /** update multiples rows of table: "hier_type" */
    update_hier_type_many?: Maybe<Array<Maybe<Hier_Type_Mutation_Response>>>;
    /** update data of the table: "incognito" */
    update_incognito?: Maybe<Incognito_Mutation_Response>;
    /** update single row of the table: "incognito" */
    update_incognito_by_pk?: Maybe<Incognito>;
    /** update multiples rows of table: "incognito" */
    update_incognito_many?: Maybe<Array<Maybe<Incognito_Mutation_Response>>>;
    /** update data of the table: "inscription" */
    update_inscription?: Maybe<Inscription_Mutation_Response>;
    /** update single row of the table: "inscription" */
    update_inscription_by_pk?: Maybe<Inscription>;
    /** update multiples rows of table: "inscription" */
    update_inscription_many?: Maybe<Array<Maybe<Inscription_Mutation_Response>>>;
    /** update data of the table: "interface_type" */
    update_interface_type?: Maybe<Interface_Type_Mutation_Response>;
    /** update single row of the table: "interface_type" */
    update_interface_type_by_pk?: Maybe<Interface_Type>;
    /** update multiples rows of table: "interface_type" */
    update_interface_type_many?: Maybe<Array<Maybe<Interface_Type_Mutation_Response>>>;
    /** update data of the table: "judge" */
    update_judge?: Maybe<Judge_Mutation_Response>;
    /** update single row of the table: "judge" */
    update_judge_by_pk?: Maybe<Judge>;
    /** update data of the table: "judge_display_type" */
    update_judge_display_type?: Maybe<Judge_Display_Type_Mutation_Response>;
    /** update single row of the table: "judge_display_type" */
    update_judge_display_type_by_pk?: Maybe<Judge_Display_Type>;
    /** update multiples rows of table: "judge_display_type" */
    update_judge_display_type_many?: Maybe<Array<Maybe<Judge_Display_Type_Mutation_Response>>>;
    /** update data of the table: "judge_entry" */
    update_judge_entry?: Maybe<Judge_Entry_Mutation_Response>;
    /** update single row of the table: "judge_entry" */
    update_judge_entry_by_pk?: Maybe<Judge_Entry>;
    /** update multiples rows of table: "judge_entry" */
    update_judge_entry_many?: Maybe<Array<Maybe<Judge_Entry_Mutation_Response>>>;
    /** update multiples rows of table: "judge" */
    update_judge_many?: Maybe<Array<Maybe<Judge_Mutation_Response>>>;
    /** update data of the table: "judge_role_type" */
    update_judge_role_type?: Maybe<Judge_Role_Type_Mutation_Response>;
    /** update single row of the table: "judge_role_type" */
    update_judge_role_type_by_pk?: Maybe<Judge_Role_Type>;
    /** update multiples rows of table: "judge_role_type" */
    update_judge_role_type_many?: Maybe<Array<Maybe<Judge_Role_Type_Mutation_Response>>>;
    /** update data of the table: "kairos" */
    update_kairos?: Maybe<Kairos_Mutation_Response>;
    /** update single row of the table: "kairos" */
    update_kairos_by_pk?: Maybe<Kairos>;
    /** update multiples rows of table: "kairos" */
    update_kairos_many?: Maybe<Array<Maybe<Kairos_Mutation_Response>>>;
    /** update data of the table: "keyword_description" */
    update_keyword_description?: Maybe<Keyword_Description_Mutation_Response>;
    /** update single row of the table: "keyword_description" */
    update_keyword_description_by_pk?: Maybe<Keyword_Description>;
    /** update multiples rows of table: "keyword_description" */
    update_keyword_description_many?: Maybe<Array<Maybe<Keyword_Description_Mutation_Response>>>;
    /** update data of the table: "language" */
    update_language?: Maybe<Language_Mutation_Response>;
    /** update single row of the table: "language" */
    update_language_by_pk?: Maybe<Language>;
    /** update multiples rows of table: "language" */
    update_language_many?: Maybe<Array<Maybe<Language_Mutation_Response>>>;
    /** update data of the table: "location" */
    update_location?: Maybe<Location_Mutation_Response>;
    /** update single row of the table: "location" */
    update_location_by_pk?: Maybe<Location>;
    /** update multiples rows of table: "location" */
    update_location_many?: Maybe<Array<Maybe<Location_Mutation_Response>>>;
    /** update data of the table: "locus" */
    update_locus?: Maybe<Locus_Mutation_Response>;
    /** update single row of the table: "locus" */
    update_locus_by_pk?: Maybe<Locus>;
    /** update data of the table: "locus_imitate" */
    update_locus_imitate?: Maybe<Locus_Imitate_Mutation_Response>;
    /** update single row of the table: "locus_imitate" */
    update_locus_imitate_by_pk?: Maybe<Locus_Imitate>;
    /** update multiples rows of table: "locus_imitate" */
    update_locus_imitate_many?: Maybe<Array<Maybe<Locus_Imitate_Mutation_Response>>>;
    /** update multiples rows of table: "locus" */
    update_locus_many?: Maybe<Array<Maybe<Locus_Mutation_Response>>>;
    /** update data of the table: "locus_member" */
    update_locus_member?: Maybe<Locus_Member_Mutation_Response>;
    /** update single row of the table: "locus_member" */
    update_locus_member_by_pk?: Maybe<Locus_Member>;
    /** update multiples rows of table: "locus_member" */
    update_locus_member_many?: Maybe<Array<Maybe<Locus_Member_Mutation_Response>>>;
    /** update data of the table: "locus_operation_type" */
    update_locus_operation_type?: Maybe<Locus_Operation_Type_Mutation_Response>;
    /** update single row of the table: "locus_operation_type" */
    update_locus_operation_type_by_pk?: Maybe<Locus_Operation_Type>;
    /** update multiples rows of table: "locus_operation_type" */
    update_locus_operation_type_many?: Maybe<Array<Maybe<Locus_Operation_Type_Mutation_Response>>>;
    /** update data of the table: "locus_policy" */
    update_locus_policy?: Maybe<Locus_Policy_Mutation_Response>;
    /** update single row of the table: "locus_policy" */
    update_locus_policy_by_pk?: Maybe<Locus_Policy>;
    /** update multiples rows of table: "locus_policy" */
    update_locus_policy_many?: Maybe<Array<Maybe<Locus_Policy_Mutation_Response>>>;
    /** update data of the table: "locus_state" */
    update_locus_state?: Maybe<Locus_State_Mutation_Response>;
    /** update single row of the table: "locus_state" */
    update_locus_state_by_pk?: Maybe<Locus_State>;
    /** update multiples rows of table: "locus_state" */
    update_locus_state_many?: Maybe<Array<Maybe<Locus_State_Mutation_Response>>>;
    /** update data of the table: "locus_theme" */
    update_locus_theme?: Maybe<Locus_Theme_Mutation_Response>;
    /** update single row of the table: "locus_theme" */
    update_locus_theme_by_pk?: Maybe<Locus_Theme>;
    /** update multiples rows of table: "locus_theme" */
    update_locus_theme_many?: Maybe<Array<Maybe<Locus_Theme_Mutation_Response>>>;
    /** update data of the table: "locus_type" */
    update_locus_type?: Maybe<Locus_Type_Mutation_Response>;
    /** update single row of the table: "locus_type" */
    update_locus_type_by_pk?: Maybe<Locus_Type>;
    /** update multiples rows of table: "locus_type" */
    update_locus_type_many?: Maybe<Array<Maybe<Locus_Type_Mutation_Response>>>;
    /** update data of the table: "map" */
    update_map?: Maybe<Map_Mutation_Response>;
    /** update single row of the table: "map" */
    update_map_by_pk?: Maybe<Map>;
    /** update data of the table: "map_condition_type" */
    update_map_condition_type?: Maybe<Map_Condition_Type_Mutation_Response>;
    /** update single row of the table: "map_condition_type" */
    update_map_condition_type_by_pk?: Maybe<Map_Condition_Type>;
    /** update multiples rows of table: "map_condition_type" */
    update_map_condition_type_many?: Maybe<Array<Maybe<Map_Condition_Type_Mutation_Response>>>;
    /** update data of the table: "map_effect" */
    update_map_effect?: Maybe<Map_Effect_Mutation_Response>;
    /** update single row of the table: "map_effect" */
    update_map_effect_by_pk?: Maybe<Map_Effect>;
    /** update multiples rows of table: "map_effect" */
    update_map_effect_many?: Maybe<Array<Maybe<Map_Effect_Mutation_Response>>>;
    /** update data of the table: "map_effect_type" */
    update_map_effect_type?: Maybe<Map_Effect_Type_Mutation_Response>;
    /** update single row of the table: "map_effect_type" */
    update_map_effect_type_by_pk?: Maybe<Map_Effect_Type>;
    /** update multiples rows of table: "map_effect_type" */
    update_map_effect_type_many?: Maybe<Array<Maybe<Map_Effect_Type_Mutation_Response>>>;
    /** update data of the table: "map_item" */
    update_map_item?: Maybe<Map_Item_Mutation_Response>;
    /** update data of the table: "map_item_animation" */
    update_map_item_animation?: Maybe<Map_Item_Animation_Mutation_Response>;
    /** update single row of the table: "map_item_animation" */
    update_map_item_animation_by_pk?: Maybe<Map_Item_Animation>;
    /** update multiples rows of table: "map_item_animation" */
    update_map_item_animation_many?: Maybe<Array<Maybe<Map_Item_Animation_Mutation_Response>>>;
    /** update single row of the table: "map_item" */
    update_map_item_by_pk?: Maybe<Map_Item>;
    /** update multiples rows of table: "map_item" */
    update_map_item_many?: Maybe<Array<Maybe<Map_Item_Mutation_Response>>>;
    /** update data of the table: "map_item_state" */
    update_map_item_state?: Maybe<Map_Item_State_Mutation_Response>;
    /** update single row of the table: "map_item_state" */
    update_map_item_state_by_pk?: Maybe<Map_Item_State>;
    /** update multiples rows of table: "map_item_state" */
    update_map_item_state_many?: Maybe<Array<Maybe<Map_Item_State_Mutation_Response>>>;
    /** update multiples rows of table: "map" */
    update_map_many?: Maybe<Array<Maybe<Map_Mutation_Response>>>;
    /** update data of the table: "medium_type" */
    update_medium_type?: Maybe<Medium_Type_Mutation_Response>;
    /** update single row of the table: "medium_type" */
    update_medium_type_by_pk?: Maybe<Medium_Type>;
    /** update multiples rows of table: "medium_type" */
    update_medium_type_many?: Maybe<Array<Maybe<Medium_Type_Mutation_Response>>>;
    /** update data of the table: "megaphone" */
    update_megaphone?: Maybe<Megaphone_Mutation_Response>;
    /** update single row of the table: "megaphone" */
    update_megaphone_by_pk?: Maybe<Megaphone>;
    /** update multiples rows of table: "megaphone" */
    update_megaphone_many?: Maybe<Array<Maybe<Megaphone_Mutation_Response>>>;
    /** update data of the table: "message" */
    update_message?: Maybe<Message_Mutation_Response>;
    /** update single row of the table: "message" */
    update_message_by_pk?: Maybe<Message>;
    /** update multiples rows of table: "message" */
    update_message_many?: Maybe<Array<Maybe<Message_Mutation_Response>>>;
    /** update data of the table: "mold" */
    update_mold?: Maybe<Mold_Mutation_Response>;
    /** update data of the table: "mold_blueprint" */
    update_mold_blueprint?: Maybe<Mold_Blueprint_Mutation_Response>;
    /** update single row of the table: "mold_blueprint" */
    update_mold_blueprint_by_pk?: Maybe<Mold_Blueprint>;
    /** update multiples rows of table: "mold_blueprint" */
    update_mold_blueprint_many?: Maybe<Array<Maybe<Mold_Blueprint_Mutation_Response>>>;
    /** update single row of the table: "mold" */
    update_mold_by_pk?: Maybe<Mold>;
    /** update multiples rows of table: "mold" */
    update_mold_many?: Maybe<Array<Maybe<Mold_Mutation_Response>>>;
    /** update data of the table: "morsel_type" */
    update_morsel_type?: Maybe<Morsel_Type_Mutation_Response>;
    /** update single row of the table: "morsel_type" */
    update_morsel_type_by_pk?: Maybe<Morsel_Type>;
    /** update multiples rows of table: "morsel_type" */
    update_morsel_type_many?: Maybe<Array<Maybe<Morsel_Type_Mutation_Response>>>;
    /** update data of the table: "operation" */
    update_operation?: Maybe<Operation_Mutation_Response>;
    /** update single row of the table: "operation" */
    update_operation_by_pk?: Maybe<Operation>;
    /** update data of the table: "operation_maintain_type" */
    update_operation_maintain_type?: Maybe<Operation_Maintain_Type_Mutation_Response>;
    /** update single row of the table: "operation_maintain_type" */
    update_operation_maintain_type_by_pk?: Maybe<Operation_Maintain_Type>;
    /** update multiples rows of table: "operation_maintain_type" */
    update_operation_maintain_type_many?: Maybe<Array<Maybe<Operation_Maintain_Type_Mutation_Response>>>;
    /** update multiples rows of table: "operation" */
    update_operation_many?: Maybe<Array<Maybe<Operation_Mutation_Response>>>;
    /** update data of the table: "operation_operator" */
    update_operation_operator?: Maybe<Operation_Operator_Mutation_Response>;
    /** update single row of the table: "operation_operator" */
    update_operation_operator_by_pk?: Maybe<Operation_Operator>;
    /** update multiples rows of table: "operation_operator" */
    update_operation_operator_many?: Maybe<Array<Maybe<Operation_Operator_Mutation_Response>>>;
    /** update data of the table: "operation_setting_type" */
    update_operation_setting_type?: Maybe<Operation_Setting_Type_Mutation_Response>;
    /** update single row of the table: "operation_setting_type" */
    update_operation_setting_type_by_pk?: Maybe<Operation_Setting_Type>;
    /** update multiples rows of table: "operation_setting_type" */
    update_operation_setting_type_many?: Maybe<Array<Maybe<Operation_Setting_Type_Mutation_Response>>>;
    /** update data of the table: "operation_state" */
    update_operation_state?: Maybe<Operation_State_Mutation_Response>;
    /** update single row of the table: "operation_state" */
    update_operation_state_by_pk?: Maybe<Operation_State>;
    /** update multiples rows of table: "operation_state" */
    update_operation_state_many?: Maybe<Array<Maybe<Operation_State_Mutation_Response>>>;
    /** update data of the table: "operation_type" */
    update_operation_type?: Maybe<Operation_Type_Mutation_Response>;
    /** update single row of the table: "operation_type" */
    update_operation_type_by_pk?: Maybe<Operation_Type>;
    /** update multiples rows of table: "operation_type" */
    update_operation_type_many?: Maybe<Array<Maybe<Operation_Type_Mutation_Response>>>;
    /** update data of the table: "operator_state_type" */
    update_operator_state_type?: Maybe<Operator_State_Type_Mutation_Response>;
    /** update single row of the table: "operator_state_type" */
    update_operator_state_type_by_pk?: Maybe<Operator_State_Type>;
    /** update multiples rows of table: "operator_state_type" */
    update_operator_state_type_many?: Maybe<Array<Maybe<Operator_State_Type_Mutation_Response>>>;
    /** update data of the table: "piece" */
    update_piece?: Maybe<Piece_Mutation_Response>;
    /** update single row of the table: "piece" */
    update_piece_by_pk?: Maybe<Piece>;
    /** update data of the table: "piece_locus" */
    update_piece_locus?: Maybe<Piece_Locus_Mutation_Response>;
    /** update single row of the table: "piece_locus" */
    update_piece_locus_by_pk?: Maybe<Piece_Locus>;
    /** update multiples rows of table: "piece_locus" */
    update_piece_locus_many?: Maybe<Array<Maybe<Piece_Locus_Mutation_Response>>>;
    /** update multiples rows of table: "piece" */
    update_piece_many?: Maybe<Array<Maybe<Piece_Mutation_Response>>>;
    /** update data of the table: "piece_type" */
    update_piece_type?: Maybe<Piece_Type_Mutation_Response>;
    /** update single row of the table: "piece_type" */
    update_piece_type_by_pk?: Maybe<Piece_Type>;
    /** update multiples rows of table: "piece_type" */
    update_piece_type_many?: Maybe<Array<Maybe<Piece_Type_Mutation_Response>>>;
    /** update data of the table: "post" */
    update_post?: Maybe<Post_Mutation_Response>;
    /** update single row of the table: "post" */
    update_post_by_pk?: Maybe<Post>;
    /** update data of the table: "post_evaluation" */
    update_post_evaluation?: Maybe<Post_Evaluation_Mutation_Response>;
    /** update single row of the table: "post_evaluation" */
    update_post_evaluation_by_pk?: Maybe<Post_Evaluation>;
    /** update multiples rows of table: "post_evaluation" */
    update_post_evaluation_many?: Maybe<Array<Maybe<Post_Evaluation_Mutation_Response>>>;
    /** update multiples rows of table: "post" */
    update_post_many?: Maybe<Array<Maybe<Post_Mutation_Response>>>;
    /** update data of the table: "preference" */
    update_preference?: Maybe<Preference_Mutation_Response>;
    /** update multiples rows of table: "preference" */
    update_preference_many?: Maybe<Array<Maybe<Preference_Mutation_Response>>>;
    /** update data of the table: "product" */
    update_product?: Maybe<Product_Mutation_Response>;
    /** update single row of the table: "product" */
    update_product_by_pk?: Maybe<Product>;
    /** update multiples rows of table: "product" */
    update_product_many?: Maybe<Array<Maybe<Product_Mutation_Response>>>;
    /** update data of the table: "profile" */
    update_profile?: Maybe<Profile_Mutation_Response>;
    /** update multiples rows of table: "profile" */
    update_profile_many?: Maybe<Array<Maybe<Profile_Mutation_Response>>>;
    /** update data of the table: "purchase" */
    update_purchase?: Maybe<Purchase_Mutation_Response>;
    /** update single row of the table: "purchase" */
    update_purchase_by_pk?: Maybe<Purchase>;
    /** update multiples rows of table: "purchase" */
    update_purchase_many?: Maybe<Array<Maybe<Purchase_Mutation_Response>>>;
    /** update data of the table: "quest" */
    update_quest?: Maybe<Quest_Mutation_Response>;
    /** update data of the table: "quest_ancestry" */
    update_quest_ancestry?: Maybe<Quest_Ancestry_Mutation_Response>;
    /** update single row of the table: "quest_ancestry" */
    update_quest_ancestry_by_pk?: Maybe<Quest_Ancestry>;
    /** update multiples rows of table: "quest_ancestry" */
    update_quest_ancestry_many?: Maybe<Array<Maybe<Quest_Ancestry_Mutation_Response>>>;
    /** update single row of the table: "quest" */
    update_quest_by_pk?: Maybe<Quest>;
    /** update multiples rows of table: "quest" */
    update_quest_many?: Maybe<Array<Maybe<Quest_Mutation_Response>>>;
    /** update data of the table: "quest_state" */
    update_quest_state?: Maybe<Quest_State_Mutation_Response>;
    /** update single row of the table: "quest_state" */
    update_quest_state_by_pk?: Maybe<Quest_State>;
    /** update multiples rows of table: "quest_state" */
    update_quest_state_many?: Maybe<Array<Maybe<Quest_State_Mutation_Response>>>;
    /** update data of the table: "quest_type" */
    update_quest_type?: Maybe<Quest_Type_Mutation_Response>;
    /** update single row of the table: "quest_type" */
    update_quest_type_by_pk?: Maybe<Quest_Type>;
    /** update multiples rows of table: "quest_type" */
    update_quest_type_many?: Maybe<Array<Maybe<Quest_Type_Mutation_Response>>>;
    /** update data of the table: "resource_policy" */
    update_resource_policy?: Maybe<Resource_Policy_Mutation_Response>;
    /** update single row of the table: "resource_policy" */
    update_resource_policy_by_pk?: Maybe<Resource_Policy>;
    /** update multiples rows of table: "resource_policy" */
    update_resource_policy_many?: Maybe<Array<Maybe<Resource_Policy_Mutation_Response>>>;
    /** update data of the table: "resource_privacy" */
    update_resource_privacy?: Maybe<Resource_Privacy_Mutation_Response>;
    /** update single row of the table: "resource_privacy" */
    update_resource_privacy_by_pk?: Maybe<Resource_Privacy>;
    /** update multiples rows of table: "resource_privacy" */
    update_resource_privacy_many?: Maybe<Array<Maybe<Resource_Privacy_Mutation_Response>>>;
    /** update data of the table: "rooadmap_gis.cord_2d" */
    update_rooadmap_gis_cord_2d?: Maybe<Rooadmap_Gis_Cord_2d_Mutation_Response>;
    /** update single row of the table: "rooadmap_gis.cord_2d" */
    update_rooadmap_gis_cord_2d_by_pk?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** update multiples rows of table: "rooadmap_gis.cord_2d" */
    update_rooadmap_gis_cord_2d_many?: Maybe<Array<Maybe<Rooadmap_Gis_Cord_2d_Mutation_Response>>>;
    /** update data of the table: "rooadmap_gis.cord_3d" */
    update_rooadmap_gis_cord_3d?: Maybe<Rooadmap_Gis_Cord_3d_Mutation_Response>;
    /** update single row of the table: "rooadmap_gis.cord_3d" */
    update_rooadmap_gis_cord_3d_by_pk?: Maybe<Rooadmap_Gis_Cord_3d>;
    /** update multiples rows of table: "rooadmap_gis.cord_3d" */
    update_rooadmap_gis_cord_3d_many?: Maybe<Array<Maybe<Rooadmap_Gis_Cord_3d_Mutation_Response>>>;
    /** update data of the table: "rooadmap_gis.location_2d" */
    update_rooadmap_gis_location_2d?: Maybe<Rooadmap_Gis_Location_2d_Mutation_Response>;
    /** update single row of the table: "rooadmap_gis.location_2d" */
    update_rooadmap_gis_location_2d_by_pk?: Maybe<Rooadmap_Gis_Location_2d>;
    /** update multiples rows of table: "rooadmap_gis.location_2d" */
    update_rooadmap_gis_location_2d_many?: Maybe<Array<Maybe<Rooadmap_Gis_Location_2d_Mutation_Response>>>;
    /** update data of the table: "rooadmap_gis.location_3d" */
    update_rooadmap_gis_location_3d?: Maybe<Rooadmap_Gis_Location_3d_Mutation_Response>;
    /** update single row of the table: "rooadmap_gis.location_3d" */
    update_rooadmap_gis_location_3d_by_pk?: Maybe<Rooadmap_Gis_Location_3d>;
    /** update multiples rows of table: "rooadmap_gis.location_3d" */
    update_rooadmap_gis_location_3d_many?: Maybe<Array<Maybe<Rooadmap_Gis_Location_3d_Mutation_Response>>>;
    /** update data of the table: "rooadmap_gis.map_item" */
    update_rooadmap_gis_map_item?: Maybe<Rooadmap_Gis_Map_Item_Mutation_Response>;
    /** update single row of the table: "rooadmap_gis.map_item" */
    update_rooadmap_gis_map_item_by_pk?: Maybe<Rooadmap_Gis_Map_Item>;
    /** update multiples rows of table: "rooadmap_gis.map_item" */
    update_rooadmap_gis_map_item_many?: Maybe<Array<Maybe<Rooadmap_Gis_Map_Item_Mutation_Response>>>;
    /** update data of the table: "segment" */
    update_segment?: Maybe<Segment_Mutation_Response>;
    /** update single row of the table: "segment" */
    update_segment_by_pk?: Maybe<Segment>;
    /** update data of the table: "segment_exhibition" */
    update_segment_exhibition?: Maybe<Segment_Exhibition_Mutation_Response>;
    /** update single row of the table: "segment_exhibition" */
    update_segment_exhibition_by_pk?: Maybe<Segment_Exhibition>;
    /** update multiples rows of table: "segment_exhibition" */
    update_segment_exhibition_many?: Maybe<Array<Maybe<Segment_Exhibition_Mutation_Response>>>;
    /** update multiples rows of table: "segment" */
    update_segment_many?: Maybe<Array<Maybe<Segment_Mutation_Response>>>;
    /** update data of the table: "sell" */
    update_sell?: Maybe<Sell_Mutation_Response>;
    /** update single row of the table: "sell" */
    update_sell_by_pk?: Maybe<Sell>;
    /** update data of the table: "sell_management" */
    update_sell_management?: Maybe<Sell_Management_Mutation_Response>;
    /** update single row of the table: "sell_management" */
    update_sell_management_by_pk?: Maybe<Sell_Management>;
    /** update multiples rows of table: "sell_management" */
    update_sell_management_many?: Maybe<Array<Maybe<Sell_Management_Mutation_Response>>>;
    /** update multiples rows of table: "sell" */
    update_sell_many?: Maybe<Array<Maybe<Sell_Mutation_Response>>>;
    /** update data of the table: "sponsorship" */
    update_sponsorship?: Maybe<Sponsorship_Mutation_Response>;
    /** update single row of the table: "sponsorship" */
    update_sponsorship_by_pk?: Maybe<Sponsorship>;
    /** update data of the table: "sponsorship_condition" */
    update_sponsorship_condition?: Maybe<Sponsorship_Condition_Mutation_Response>;
    /** update single row of the table: "sponsorship_condition" */
    update_sponsorship_condition_by_pk?: Maybe<Sponsorship_Condition>;
    /** update multiples rows of table: "sponsorship_condition" */
    update_sponsorship_condition_many?: Maybe<Array<Maybe<Sponsorship_Condition_Mutation_Response>>>;
    /** update data of the table: "sponsorship_game_state" */
    update_sponsorship_game_state?: Maybe<Sponsorship_Game_State_Mutation_Response>;
    /** update single row of the table: "sponsorship_game_state" */
    update_sponsorship_game_state_by_pk?: Maybe<Sponsorship_Game_State>;
    /** update multiples rows of table: "sponsorship_game_state" */
    update_sponsorship_game_state_many?: Maybe<Array<Maybe<Sponsorship_Game_State_Mutation_Response>>>;
    /** update data of the table: "sponsorship_game_state_type" */
    update_sponsorship_game_state_type?: Maybe<Sponsorship_Game_State_Type_Mutation_Response>;
    /** update single row of the table: "sponsorship_game_state_type" */
    update_sponsorship_game_state_type_by_pk?: Maybe<Sponsorship_Game_State_Type>;
    /** update multiples rows of table: "sponsorship_game_state_type" */
    update_sponsorship_game_state_type_many?: Maybe<Array<Maybe<Sponsorship_Game_State_Type_Mutation_Response>>>;
    /** update data of the table: "sponsorship_images" */
    update_sponsorship_images?: Maybe<Sponsorship_Images_Mutation_Response>;
    /** update single row of the table: "sponsorship_images" */
    update_sponsorship_images_by_pk?: Maybe<Sponsorship_Images>;
    /** update multiples rows of table: "sponsorship_images" */
    update_sponsorship_images_many?: Maybe<Array<Maybe<Sponsorship_Images_Mutation_Response>>>;
    /** update data of the table: "sponsorship_imitate" */
    update_sponsorship_imitate?: Maybe<Sponsorship_Imitate_Mutation_Response>;
    /** update single row of the table: "sponsorship_imitate" */
    update_sponsorship_imitate_by_pk?: Maybe<Sponsorship_Imitate>;
    /** update multiples rows of table: "sponsorship_imitate" */
    update_sponsorship_imitate_many?: Maybe<Array<Maybe<Sponsorship_Imitate_Mutation_Response>>>;
    /** update data of the table: "sponsorship_locus" */
    update_sponsorship_locus?: Maybe<Sponsorship_Locus_Mutation_Response>;
    /** update single row of the table: "sponsorship_locus" */
    update_sponsorship_locus_by_pk?: Maybe<Sponsorship_Locus>;
    /** update multiples rows of table: "sponsorship_locus" */
    update_sponsorship_locus_many?: Maybe<Array<Maybe<Sponsorship_Locus_Mutation_Response>>>;
    /** update multiples rows of table: "sponsorship" */
    update_sponsorship_many?: Maybe<Array<Maybe<Sponsorship_Mutation_Response>>>;
    /** update data of the table: "sponsorship_requirement" */
    update_sponsorship_requirement?: Maybe<Sponsorship_Requirement_Mutation_Response>;
    /** update single row of the table: "sponsorship_requirement" */
    update_sponsorship_requirement_by_pk?: Maybe<Sponsorship_Requirement>;
    /** update multiples rows of table: "sponsorship_requirement" */
    update_sponsorship_requirement_many?: Maybe<Array<Maybe<Sponsorship_Requirement_Mutation_Response>>>;
    /** update data of the table: "sponsorship_requirement_type" */
    update_sponsorship_requirement_type?: Maybe<Sponsorship_Requirement_Type_Mutation_Response>;
    /** update single row of the table: "sponsorship_requirement_type" */
    update_sponsorship_requirement_type_by_pk?: Maybe<Sponsorship_Requirement_Type>;
    /** update multiples rows of table: "sponsorship_requirement_type" */
    update_sponsorship_requirement_type_many?: Maybe<Array<Maybe<Sponsorship_Requirement_Type_Mutation_Response>>>;
    /** update data of the table: "sponsorship_settlement_state_type" */
    update_sponsorship_settlement_state_type?: Maybe<Sponsorship_Settlement_State_Type_Mutation_Response>;
    /** update single row of the table: "sponsorship_settlement_state_type" */
    update_sponsorship_settlement_state_type_by_pk?: Maybe<Sponsorship_Settlement_State_Type>;
    /** update multiples rows of table: "sponsorship_settlement_state_type" */
    update_sponsorship_settlement_state_type_many?: Maybe<Array<Maybe<Sponsorship_Settlement_State_Type_Mutation_Response>>>;
    /** update data of the table: "sponsorship_state" */
    update_sponsorship_state?: Maybe<Sponsorship_State_Mutation_Response>;
    /** update single row of the table: "sponsorship_state" */
    update_sponsorship_state_by_pk?: Maybe<Sponsorship_State>;
    /** update multiples rows of table: "sponsorship_state" */
    update_sponsorship_state_many?: Maybe<Array<Maybe<Sponsorship_State_Mutation_Response>>>;
    /** update data of the table: "sponsorship_type" */
    update_sponsorship_type?: Maybe<Sponsorship_Type_Mutation_Response>;
    /** update single row of the table: "sponsorship_type" */
    update_sponsorship_type_by_pk?: Maybe<Sponsorship_Type>;
    /** update multiples rows of table: "sponsorship_type" */
    update_sponsorship_type_many?: Maybe<Array<Maybe<Sponsorship_Type_Mutation_Response>>>;
    /** update data of the table: "spot" */
    update_spot?: Maybe<Spot_Mutation_Response>;
    /** update single row of the table: "spot" */
    update_spot_by_pk?: Maybe<Spot>;
    /** update data of the table: "spot_inscription" */
    update_spot_inscription?: Maybe<Spot_Inscription_Mutation_Response>;
    /** update single row of the table: "spot_inscription" */
    update_spot_inscription_by_pk?: Maybe<Spot_Inscription>;
    /** update multiples rows of table: "spot_inscription" */
    update_spot_inscription_many?: Maybe<Array<Maybe<Spot_Inscription_Mutation_Response>>>;
    /** update multiples rows of table: "spot" */
    update_spot_many?: Maybe<Array<Maybe<Spot_Mutation_Response>>>;
    /** update data of the table: "spot_policy" */
    update_spot_policy?: Maybe<Spot_Policy_Mutation_Response>;
    /** update single row of the table: "spot_policy" */
    update_spot_policy_by_pk?: Maybe<Spot_Policy>;
    /** update multiples rows of table: "spot_policy" */
    update_spot_policy_many?: Maybe<Array<Maybe<Spot_Policy_Mutation_Response>>>;
    /** update data of the table: "spot_type" */
    update_spot_type?: Maybe<Spot_Type_Mutation_Response>;
    /** update single row of the table: "spot_type" */
    update_spot_type_by_pk?: Maybe<Spot_Type>;
    /** update multiples rows of table: "spot_type" */
    update_spot_type_many?: Maybe<Array<Maybe<Spot_Type_Mutation_Response>>>;
    /** update data of the table: "spot_user" */
    update_spot_user?: Maybe<Spot_User_Mutation_Response>;
    /** update single row of the table: "spot_user" */
    update_spot_user_by_pk?: Maybe<Spot_User>;
    /** update multiples rows of table: "spot_user" */
    update_spot_user_many?: Maybe<Array<Maybe<Spot_User_Mutation_Response>>>;
    /** update data of the table: "target_view_type" */
    update_target_view_type?: Maybe<Target_View_Type_Mutation_Response>;
    /** update single row of the table: "target_view_type" */
    update_target_view_type_by_pk?: Maybe<Target_View_Type>;
    /** update multiples rows of table: "target_view_type" */
    update_target_view_type_many?: Maybe<Array<Maybe<Target_View_Type_Mutation_Response>>>;
    /** update data of the table: "task" */
    update_task?: Maybe<Task_Mutation_Response>;
    /** update single row of the table: "task" */
    update_task_by_pk?: Maybe<Task>;
    /** update multiples rows of table: "task" */
    update_task_many?: Maybe<Array<Maybe<Task_Mutation_Response>>>;
    /** update data of the table: "theme" */
    update_theme?: Maybe<Theme_Mutation_Response>;
    /** update single row of the table: "theme" */
    update_theme_by_pk?: Maybe<Theme>;
    /** update multiples rows of table: "theme" */
    update_theme_many?: Maybe<Array<Maybe<Theme_Mutation_Response>>>;
    /** update data of the table: "treasure_user" */
    update_treasure_user?: Maybe<Treasure_User_Mutation_Response>;
    /** update single row of the table: "treasure_user" */
    update_treasure_user_by_pk?: Maybe<Treasure_User>;
    /** update multiples rows of table: "treasure_user" */
    update_treasure_user_many?: Maybe<Array<Maybe<Treasure_User_Mutation_Response>>>;
    /** update data of the table: "universe" */
    update_universe?: Maybe<Universe_Mutation_Response>;
    /** update single row of the table: "universe" */
    update_universe_by_pk?: Maybe<Universe>;
    /** update multiples rows of table: "universe" */
    update_universe_many?: Maybe<Array<Maybe<Universe_Mutation_Response>>>;
    /** update data of the table: "universe_member" */
    update_universe_member?: Maybe<Universe_Member_Mutation_Response>;
    /** update single row of the table: "universe_member" */
    update_universe_member_by_pk?: Maybe<Universe_Member>;
    /** update multiples rows of table: "universe_member" */
    update_universe_member_many?: Maybe<Array<Maybe<Universe_Member_Mutation_Response>>>;
    /** update data of the table: "universe_policy" */
    update_universe_policy?: Maybe<Universe_Policy_Mutation_Response>;
    /** update single row of the table: "universe_policy" */
    update_universe_policy_by_pk?: Maybe<Universe_Policy>;
    /** update multiples rows of table: "universe_policy" */
    update_universe_policy_many?: Maybe<Array<Maybe<Universe_Policy_Mutation_Response>>>;
    /** update data of the table: "universe_resource" */
    update_universe_resource?: Maybe<Universe_Resource_Mutation_Response>;
    /** update single row of the table: "universe_resource" */
    update_universe_resource_by_pk?: Maybe<Universe_Resource>;
    /** update multiples rows of table: "universe_resource" */
    update_universe_resource_many?: Maybe<Array<Maybe<Universe_Resource_Mutation_Response>>>;
    /** update data of the table: "universe_state" */
    update_universe_state?: Maybe<Universe_State_Mutation_Response>;
    /** update single row of the table: "universe_state" */
    update_universe_state_by_pk?: Maybe<Universe_State>;
    /** update multiples rows of table: "universe_state" */
    update_universe_state_many?: Maybe<Array<Maybe<Universe_State_Mutation_Response>>>;
    /** update data of the table: "users" */
    update_users?: Maybe<Users_Mutation_Response>;
    /** update single row of the table: "users" */
    update_users_by_pk?: Maybe<Users>;
    /** update multiples rows of table: "users" */
    update_users_many?: Maybe<Array<Maybe<Users_Mutation_Response>>>;
};
/** mutation root */
export type Mutation_RootAdd_GameArgs = {
    gameData: Scalars['json'];
    sellData: Scalars['json'];
};
/** mutation root */
export type Mutation_RootApply_SellArgs = {
    always: Scalars['Boolean'];
    endDate: Scalars['String'];
    endTime?: InputMaybe<Scalars['String']>;
    priceMoney?: InputMaybe<Scalars['Int']>;
    priceRP: Scalars['Int'];
    productId: Scalars['Int'];
    purchasableByMoney?: InputMaybe<Scalars['Boolean']>;
    refundableByMoney?: InputMaybe<Scalars['Boolean']>;
    refundableEndDate?: InputMaybe<Scalars['String']>;
    refundableEndTime?: InputMaybe<Scalars['String']>;
    refundableStartDate?: InputMaybe<Scalars['String']>;
    refundableStartTime?: InputMaybe<Scalars['String']>;
    sellerId: Scalars['Int'];
    startDate: Scalars['String'];
    startTime?: InputMaybe<Scalars['String']>;
};
/** mutation root */
export type Mutation_RootCheck_HistoryArgs = {
    quest_id: Scalars['Int'];
    user_id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootCheck_Image_Npc_JudgeArgs = {
    image_npc_judge_input: ImageNpcJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Jigsaw_JudgeArgs = {
    jigsaw_judge_input: JigsawJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Multi_Word_JudgeArgs = {
    word_judge_input: WordJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Qr_JudgeArgs = {
    qr_judge_input: QrJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Word_JudgeArgs = {
    word_judge_input: WordJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Word_Sequence_JudgeArgs = {
    word_sequence_judge_input: WordSequenceJudgeInput;
};
/** mutation root */
export type Mutation_RootCheck_Words_JudgeArgs = {
    words_judge_input: WordsJudgeInput;
};
/** mutation root */
export type Mutation_RootConfirm_Games_LocusArgs = {
    arg1: ConfirmGamesLocusInput;
};
/** mutation root */
export type Mutation_RootConfirm_Sponsorship_GamesArgs = {
    arg1: ConfirmSponsorshipGamesInput;
};
/** mutation root */
export type Mutation_RootCreate_Badge_TypeArgs = {
    badgeType: Scalars['json'];
};
/** mutation root */
export type Mutation_RootCreate_GameArgs = {
    gameData: Scalars['json'];
    graphData: Scalars['json'];
    sellData?: InputMaybe<Scalars['json']>;
    sponsorshipGameStatesData?: InputMaybe<Scalars['json']>;
};
/** mutation root */
export type Mutation_RootDelete_AlarmArgs = {
    where: Alarm_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Alarm_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Animation_StageArgs = {
    where: Animation_Stage_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Animation_Stage_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_AnswerArgs = {
    where: Answer_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Answer_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Answer_TypeArgs = {
    where: Answer_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Answer_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_AreaArgs = {
    where: Area_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Area_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_Account_ProvidersArgs = {
    where: Auth_Account_Providers_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Account_Providers_By_PkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_Account_RolesArgs = {
    where: Auth_Account_Roles_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Account_Roles_By_PkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_AccountsArgs = {
    where: Auth_Accounts_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Accounts_By_PkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_ProvidersArgs = {
    where: Auth_Providers_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Providers_By_PkArgs = {
    provider: Scalars['String'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_Refresh_TokensArgs = {
    where: Auth_Refresh_Tokens_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Refresh_Tokens_By_PkArgs = {
    refresh_token: Scalars['uuid'];
};
/** mutation root */
export type Mutation_RootDelete_Auth_RolesArgs = {
    where: Auth_Roles_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Auth_Roles_By_PkArgs = {
    role: Scalars['String'];
};
/** mutation root */
export type Mutation_RootDelete_BadgeArgs = {
    where: Badge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Badge_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Badge_CategoryArgs = {
    where: Badge_Category_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Badge_Category_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Badge_TypeArgs = {
    where: Badge_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Badge_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_BatchArgs = {
    where: Batch_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Batch_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_BlueprintArgs = {
    where: Blueprint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Blueprint_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Business_Model_TypeArgs = {
    where: Business_Model_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Business_Model_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ChargeArgs = {
    where: Charge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Charge_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ChargerArgs = {
    where: Charger_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Charger_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ConditionArgs = {
    where: Condition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Condition_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Condition_TypeArgs = {
    where: Condition_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Condition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ContentArgs = {
    where: Content_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Content_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ContractArgs = {
    where: Contract_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Contract_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Contract_TypeArgs = {
    where: Contract_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Contract_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_CurrencyArgs = {
    where: Currency_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Currency_By_PkArgs = {
    owner_id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Currency_ExchangeArgs = {
    where: Currency_Exchange_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Currency_Exchange_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Currency_TypeArgs = {
    where: Currency_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Currency_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Desktop_TypeArgs = {
    where: Desktop_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Desktop_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_EntrypointArgs = {
    where: Entrypoint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Entrypoint_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_EvaluatorArgs = {
    where: Evaluator_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Evaluator_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ExampleArgs = {
    where: Example_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Example_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Example_TypeArgs = {
    where: Example_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Example_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Exhibition_DeterminantArgs = {
    where: Exhibition_Determinant_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Exhibition_Determinant_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_FlagArgs = {
    where: Flag_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Flag_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Flag_TypeArgs = {
    where: Flag_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Flag_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_GameArgs = {
    where: Game_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_ActionArgs = {
    where: Game_Action_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Action_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_DesignArgs = {
    where: Game_Design_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Design_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_GroupArgs = {
    where: Game_Group_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Group_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_HunterArgs = {
    where: Game_Hunter_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Hunter_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_ManagementArgs = {
    where: Game_Management_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Management_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_OperatorsArgs = {
    where: Game_Operators_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Operators_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_RecordArgs = {
    where: Game_Record_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Record_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_RequirementArgs = {
    where: Game_Requirement_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_State_TypeArgs = {
    where: Game_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Game_WinnerArgs = {
    where: Game_Winner_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Game_Winner_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Games_LocusArgs = {
    where: Games_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Games_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_GiftArgs = {
    where: Gift_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Gift_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_GoodsArgs = {
    where: Goods_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Goods_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Hier_TypeArgs = {
    where: Hier_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Hier_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_IncognitoArgs = {
    where: Incognito_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Incognito_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_InscriptionArgs = {
    where: Inscription_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Inscription_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Interface_TypeArgs = {
    where: Interface_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Interface_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_JudgeArgs = {
    where: Judge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Judge_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Judge_Display_TypeArgs = {
    where: Judge_Display_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Judge_Display_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Judge_EntryArgs = {
    where: Judge_Entry_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Judge_Entry_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Judge_Role_TypeArgs = {
    where: Judge_Role_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Judge_Role_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_KairosArgs = {
    where: Kairos_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Kairos_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Keyword_DescriptionArgs = {
    where: Keyword_Description_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Keyword_Description_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_LanguageArgs = {
    where: Language_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Language_By_PkArgs = {
    language_code: Scalars['String'];
};
/** mutation root */
export type Mutation_RootDelete_LocationArgs = {
    where: Location_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Location_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_LocusArgs = {
    where: Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_ImitateArgs = {
    where: Locus_Imitate_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_MemberArgs = {
    where: Locus_Member_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Member_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_Operation_TypeArgs = {
    where: Locus_Operation_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Operation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_PolicyArgs = {
    where: Locus_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_StateArgs = {
    where: Locus_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_ThemeArgs = {
    where: Locus_Theme_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Theme_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Locus_TypeArgs = {
    where: Locus_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Locus_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_MapArgs = {
    where: Map_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_Condition_TypeArgs = {
    where: Map_Condition_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Condition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_EffectArgs = {
    where: Map_Effect_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Effect_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_Effect_TypeArgs = {
    where: Map_Effect_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Effect_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_ItemArgs = {
    where: Map_Item_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Item_AnimationArgs = {
    where: Map_Item_Animation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Item_Animation_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_Item_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Map_Item_StateArgs = {
    where: Map_Item_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Map_Item_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Medium_TypeArgs = {
    where: Medium_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Medium_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_MegaphoneArgs = {
    where: Megaphone_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Megaphone_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_MessageArgs = {
    where: Message_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Message_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_MoldArgs = {
    where: Mold_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Mold_BlueprintArgs = {
    where: Mold_Blueprint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Mold_Blueprint_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Mold_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Morsel_TypeArgs = {
    where: Morsel_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Morsel_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_OperationArgs = {
    where: Operation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operation_Maintain_TypeArgs = {
    where: Operation_Maintain_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_Maintain_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operation_OperatorArgs = {
    where: Operation_Operator_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_Operator_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operation_Setting_TypeArgs = {
    where: Operation_Setting_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_Setting_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operation_StateArgs = {
    where: Operation_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operation_TypeArgs = {
    where: Operation_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Operator_State_TypeArgs = {
    where: Operator_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Operator_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_PieceArgs = {
    where: Piece_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Piece_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Piece_LocusArgs = {
    where: Piece_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Piece_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Piece_TypeArgs = {
    where: Piece_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Piece_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_PostArgs = {
    where: Post_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Post_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Post_EvaluationArgs = {
    where: Post_Evaluation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Post_Evaluation_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_PreferenceArgs = {
    where: Preference_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_ProductArgs = {
    where: Product_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Product_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ProfileArgs = {
    where: Profile_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_PurchaseArgs = {
    where: Purchase_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Purchase_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_QuestArgs = {
    where: Quest_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Quest_AncestryArgs = {
    where: Quest_Ancestry_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Quest_Ancestry_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Quest_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Quest_StateArgs = {
    where: Quest_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Quest_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Quest_TypeArgs = {
    where: Quest_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Quest_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Resource_PolicyArgs = {
    where: Resource_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Resource_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Resource_PrivacyArgs = {
    where: Resource_Privacy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Resource_Privacy_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Cord_2dArgs = {
    where: Rooadmap_Gis_Cord_2d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Cord_2d_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Cord_3dArgs = {
    where: Rooadmap_Gis_Cord_3d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Cord_3d_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Location_2dArgs = {
    where: Rooadmap_Gis_Location_2d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Location_2d_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Location_3dArgs = {
    where: Rooadmap_Gis_Location_3d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Location_3d_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Map_ItemArgs = {
    where: Rooadmap_Gis_Map_Item_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Rooadmap_Gis_Map_Item_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_SegmentArgs = {
    where: Segment_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Segment_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Segment_ExhibitionArgs = {
    where: Segment_Exhibition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Segment_Exhibition_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_SellArgs = {
    where: Sell_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sell_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sell_ManagementArgs = {
    where: Sell_Management_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sell_Management_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_SponsorshipArgs = {
    where: Sponsorship_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_ConditionArgs = {
    where: Sponsorship_Condition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Condition_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Game_StateArgs = {
    where: Sponsorship_Game_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Game_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Game_State_TypeArgs = {
    where: Sponsorship_Game_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Game_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_ImagesArgs = {
    where: Sponsorship_Images_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Images_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_ImitateArgs = {
    where: Sponsorship_Imitate_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_LocusArgs = {
    where: Sponsorship_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_RequirementArgs = {
    where: Sponsorship_Requirement_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Requirement_TypeArgs = {
    where: Sponsorship_Requirement_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Requirement_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Settlement_State_TypeArgs = {
    where: Sponsorship_Settlement_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Settlement_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_StateArgs = {
    where: Sponsorship_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_TypeArgs = {
    where: Sponsorship_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Sponsorship_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_SpotArgs = {
    where: Spot_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Spot_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Spot_InscriptionArgs = {
    where: Spot_Inscription_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Spot_Inscription_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Spot_PolicyArgs = {
    where: Spot_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Spot_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Spot_TypeArgs = {
    where: Spot_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Spot_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Spot_UserArgs = {
    where: Spot_User_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Spot_User_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Target_View_TypeArgs = {
    where: Target_View_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Target_View_Type_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_TaskArgs = {
    where: Task_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Task_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_ThemeArgs = {
    where: Theme_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Theme_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Treasure_UserArgs = {
    where: Treasure_User_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Treasure_User_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_UniverseArgs = {
    where: Universe_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Universe_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Universe_MemberArgs = {
    where: Universe_Member_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Universe_Member_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Universe_PolicyArgs = {
    where: Universe_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Universe_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Universe_ResourceArgs = {
    where: Universe_Resource_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Universe_Resource_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_Universe_StateArgs = {
    where: Universe_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Universe_State_By_PkArgs = {
    id: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootDelete_UsersArgs = {
    where: Users_Bool_Exp;
};
/** mutation root */
export type Mutation_RootDelete_Users_By_PkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export type Mutation_RootDeny_Games_LocusArgs = {
    arg1: DenyGamesLocusInput;
};
/** mutation root */
export type Mutation_RootDeny_Sponsorship_GamesArgs = {
    arg1: DenySponsorshipGamesInput;
};
/** mutation root */
export type Mutation_RootEvaluate_TotalArgs = {
    TUId: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootGet_OtpArgs = {
    name: Scalars['String'];
    phoneNumber: Scalars['String'];
};
/** mutation root */
export type Mutation_RootInsert_AlarmArgs = {
    objects: Array<Alarm_Insert_Input>;
    on_conflict?: InputMaybe<Alarm_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Alarm_OneArgs = {
    object: Alarm_Insert_Input;
    on_conflict?: InputMaybe<Alarm_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Animation_StageArgs = {
    objects: Array<Animation_Stage_Insert_Input>;
    on_conflict?: InputMaybe<Animation_Stage_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Animation_Stage_OneArgs = {
    object: Animation_Stage_Insert_Input;
    on_conflict?: InputMaybe<Animation_Stage_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_AnswerArgs = {
    objects: Array<Answer_Insert_Input>;
    on_conflict?: InputMaybe<Answer_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Answer_OneArgs = {
    object: Answer_Insert_Input;
    on_conflict?: InputMaybe<Answer_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Answer_TypeArgs = {
    objects: Array<Answer_Type_Insert_Input>;
    on_conflict?: InputMaybe<Answer_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Answer_Type_OneArgs = {
    object: Answer_Type_Insert_Input;
    on_conflict?: InputMaybe<Answer_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_AreaArgs = {
    objects: Array<Area_Insert_Input>;
    on_conflict?: InputMaybe<Area_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Area_OneArgs = {
    object: Area_Insert_Input;
    on_conflict?: InputMaybe<Area_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Account_ProvidersArgs = {
    objects: Array<Auth_Account_Providers_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Account_Providers_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Account_Providers_OneArgs = {
    object: Auth_Account_Providers_Insert_Input;
    on_conflict?: InputMaybe<Auth_Account_Providers_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Account_RolesArgs = {
    objects: Array<Auth_Account_Roles_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Account_Roles_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Account_Roles_OneArgs = {
    object: Auth_Account_Roles_Insert_Input;
    on_conflict?: InputMaybe<Auth_Account_Roles_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_AccountsArgs = {
    objects: Array<Auth_Accounts_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Accounts_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Accounts_OneArgs = {
    object: Auth_Accounts_Insert_Input;
    on_conflict?: InputMaybe<Auth_Accounts_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_ProvidersArgs = {
    objects: Array<Auth_Providers_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Providers_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Providers_OneArgs = {
    object: Auth_Providers_Insert_Input;
    on_conflict?: InputMaybe<Auth_Providers_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Refresh_TokensArgs = {
    objects: Array<Auth_Refresh_Tokens_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Refresh_Tokens_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Refresh_Tokens_OneArgs = {
    object: Auth_Refresh_Tokens_Insert_Input;
    on_conflict?: InputMaybe<Auth_Refresh_Tokens_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_RolesArgs = {
    objects: Array<Auth_Roles_Insert_Input>;
    on_conflict?: InputMaybe<Auth_Roles_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Auth_Roles_OneArgs = {
    object: Auth_Roles_Insert_Input;
    on_conflict?: InputMaybe<Auth_Roles_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_BadgeArgs = {
    objects: Array<Badge_Insert_Input>;
    on_conflict?: InputMaybe<Badge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Badge_CategoryArgs = {
    objects: Array<Badge_Category_Insert_Input>;
    on_conflict?: InputMaybe<Badge_Category_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Badge_Category_OneArgs = {
    object: Badge_Category_Insert_Input;
    on_conflict?: InputMaybe<Badge_Category_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Badge_OneArgs = {
    object: Badge_Insert_Input;
    on_conflict?: InputMaybe<Badge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Badge_TypeArgs = {
    objects: Array<Badge_Type_Insert_Input>;
    on_conflict?: InputMaybe<Badge_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Badge_Type_OneArgs = {
    object: Badge_Type_Insert_Input;
    on_conflict?: InputMaybe<Badge_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_BatchArgs = {
    objects: Array<Batch_Insert_Input>;
    on_conflict?: InputMaybe<Batch_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Batch_OneArgs = {
    object: Batch_Insert_Input;
    on_conflict?: InputMaybe<Batch_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_BlueprintArgs = {
    objects: Array<Blueprint_Insert_Input>;
    on_conflict?: InputMaybe<Blueprint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Blueprint_OneArgs = {
    object: Blueprint_Insert_Input;
    on_conflict?: InputMaybe<Blueprint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Business_Model_TypeArgs = {
    objects: Array<Business_Model_Type_Insert_Input>;
    on_conflict?: InputMaybe<Business_Model_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Business_Model_Type_OneArgs = {
    object: Business_Model_Type_Insert_Input;
    on_conflict?: InputMaybe<Business_Model_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ChargeArgs = {
    objects: Array<Charge_Insert_Input>;
    on_conflict?: InputMaybe<Charge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Charge_OneArgs = {
    object: Charge_Insert_Input;
    on_conflict?: InputMaybe<Charge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ChargerArgs = {
    objects: Array<Charger_Insert_Input>;
    on_conflict?: InputMaybe<Charger_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Charger_OneArgs = {
    object: Charger_Insert_Input;
    on_conflict?: InputMaybe<Charger_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ConditionArgs = {
    objects: Array<Condition_Insert_Input>;
    on_conflict?: InputMaybe<Condition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Condition_OneArgs = {
    object: Condition_Insert_Input;
    on_conflict?: InputMaybe<Condition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Condition_TypeArgs = {
    objects: Array<Condition_Type_Insert_Input>;
    on_conflict?: InputMaybe<Condition_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Condition_Type_OneArgs = {
    object: Condition_Type_Insert_Input;
    on_conflict?: InputMaybe<Condition_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ContentArgs = {
    objects: Array<Content_Insert_Input>;
    on_conflict?: InputMaybe<Content_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Content_OneArgs = {
    object: Content_Insert_Input;
    on_conflict?: InputMaybe<Content_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ContractArgs = {
    objects: Array<Contract_Insert_Input>;
    on_conflict?: InputMaybe<Contract_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Contract_OneArgs = {
    object: Contract_Insert_Input;
    on_conflict?: InputMaybe<Contract_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Contract_TypeArgs = {
    objects: Array<Contract_Type_Insert_Input>;
    on_conflict?: InputMaybe<Contract_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Contract_Type_OneArgs = {
    object: Contract_Type_Insert_Input;
    on_conflict?: InputMaybe<Contract_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_CurrencyArgs = {
    objects: Array<Currency_Insert_Input>;
    on_conflict?: InputMaybe<Currency_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Currency_ExchangeArgs = {
    objects: Array<Currency_Exchange_Insert_Input>;
    on_conflict?: InputMaybe<Currency_Exchange_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Currency_Exchange_OneArgs = {
    object: Currency_Exchange_Insert_Input;
    on_conflict?: InputMaybe<Currency_Exchange_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Currency_OneArgs = {
    object: Currency_Insert_Input;
    on_conflict?: InputMaybe<Currency_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Currency_TypeArgs = {
    objects: Array<Currency_Type_Insert_Input>;
    on_conflict?: InputMaybe<Currency_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Currency_Type_OneArgs = {
    object: Currency_Type_Insert_Input;
    on_conflict?: InputMaybe<Currency_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Desktop_TypeArgs = {
    objects: Array<Desktop_Type_Insert_Input>;
    on_conflict?: InputMaybe<Desktop_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Desktop_Type_OneArgs = {
    object: Desktop_Type_Insert_Input;
    on_conflict?: InputMaybe<Desktop_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_EntrypointArgs = {
    objects: Array<Entrypoint_Insert_Input>;
    on_conflict?: InputMaybe<Entrypoint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Entrypoint_OneArgs = {
    object: Entrypoint_Insert_Input;
    on_conflict?: InputMaybe<Entrypoint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_EvaluatorArgs = {
    objects: Array<Evaluator_Insert_Input>;
    on_conflict?: InputMaybe<Evaluator_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Evaluator_OneArgs = {
    object: Evaluator_Insert_Input;
    on_conflict?: InputMaybe<Evaluator_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ExampleArgs = {
    objects: Array<Example_Insert_Input>;
    on_conflict?: InputMaybe<Example_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Example_OneArgs = {
    object: Example_Insert_Input;
    on_conflict?: InputMaybe<Example_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Example_TypeArgs = {
    objects: Array<Example_Type_Insert_Input>;
    on_conflict?: InputMaybe<Example_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Example_Type_OneArgs = {
    object: Example_Type_Insert_Input;
    on_conflict?: InputMaybe<Example_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Exhibition_DeterminantArgs = {
    objects: Array<Exhibition_Determinant_Insert_Input>;
    on_conflict?: InputMaybe<Exhibition_Determinant_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Exhibition_Determinant_OneArgs = {
    object: Exhibition_Determinant_Insert_Input;
    on_conflict?: InputMaybe<Exhibition_Determinant_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_FlagArgs = {
    objects: Array<Flag_Insert_Input>;
    on_conflict?: InputMaybe<Flag_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Flag_OneArgs = {
    object: Flag_Insert_Input;
    on_conflict?: InputMaybe<Flag_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Flag_TypeArgs = {
    objects: Array<Flag_Type_Insert_Input>;
    on_conflict?: InputMaybe<Flag_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Flag_Type_OneArgs = {
    object: Flag_Type_Insert_Input;
    on_conflict?: InputMaybe<Flag_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_GameArgs = {
    objects: Array<Game_Insert_Input>;
    on_conflict?: InputMaybe<Game_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_ActionArgs = {
    objects: Array<Game_Action_Insert_Input>;
    on_conflict?: InputMaybe<Game_Action_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Action_OneArgs = {
    object: Game_Action_Insert_Input;
    on_conflict?: InputMaybe<Game_Action_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_DesignArgs = {
    objects: Array<Game_Design_Insert_Input>;
    on_conflict?: InputMaybe<Game_Design_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Design_OneArgs = {
    object: Game_Design_Insert_Input;
    on_conflict?: InputMaybe<Game_Design_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_GroupArgs = {
    objects: Array<Game_Group_Insert_Input>;
    on_conflict?: InputMaybe<Game_Group_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Group_OneArgs = {
    object: Game_Group_Insert_Input;
    on_conflict?: InputMaybe<Game_Group_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_HunterArgs = {
    objects: Array<Game_Hunter_Insert_Input>;
    on_conflict?: InputMaybe<Game_Hunter_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Hunter_OneArgs = {
    object: Game_Hunter_Insert_Input;
    on_conflict?: InputMaybe<Game_Hunter_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_ManagementArgs = {
    objects: Array<Game_Management_Insert_Input>;
    on_conflict?: InputMaybe<Game_Management_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Management_OneArgs = {
    object: Game_Management_Insert_Input;
    on_conflict?: InputMaybe<Game_Management_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_OneArgs = {
    object: Game_Insert_Input;
    on_conflict?: InputMaybe<Game_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_OperatorsArgs = {
    objects: Array<Game_Operators_Insert_Input>;
    on_conflict?: InputMaybe<Game_Operators_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Operators_OneArgs = {
    object: Game_Operators_Insert_Input;
    on_conflict?: InputMaybe<Game_Operators_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_RecordArgs = {
    objects: Array<Game_Record_Insert_Input>;
    on_conflict?: InputMaybe<Game_Record_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Record_OneArgs = {
    object: Game_Record_Insert_Input;
    on_conflict?: InputMaybe<Game_Record_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_RequirementArgs = {
    objects: Array<Game_Requirement_Insert_Input>;
    on_conflict?: InputMaybe<Game_Requirement_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Requirement_OneArgs = {
    object: Game_Requirement_Insert_Input;
    on_conflict?: InputMaybe<Game_Requirement_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_State_TypeArgs = {
    objects: Array<Game_State_Type_Insert_Input>;
    on_conflict?: InputMaybe<Game_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_State_Type_OneArgs = {
    object: Game_State_Type_Insert_Input;
    on_conflict?: InputMaybe<Game_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_WinnerArgs = {
    objects: Array<Game_Winner_Insert_Input>;
    on_conflict?: InputMaybe<Game_Winner_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Game_Winner_OneArgs = {
    object: Game_Winner_Insert_Input;
    on_conflict?: InputMaybe<Game_Winner_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Games_LocusArgs = {
    objects: Array<Games_Locus_Insert_Input>;
    on_conflict?: InputMaybe<Games_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Games_Locus_OneArgs = {
    object: Games_Locus_Insert_Input;
    on_conflict?: InputMaybe<Games_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_GiftArgs = {
    objects: Array<Gift_Insert_Input>;
    on_conflict?: InputMaybe<Gift_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Gift_OneArgs = {
    object: Gift_Insert_Input;
    on_conflict?: InputMaybe<Gift_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_GoodsArgs = {
    objects: Array<Goods_Insert_Input>;
    on_conflict?: InputMaybe<Goods_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Goods_OneArgs = {
    object: Goods_Insert_Input;
    on_conflict?: InputMaybe<Goods_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Hier_TypeArgs = {
    objects: Array<Hier_Type_Insert_Input>;
    on_conflict?: InputMaybe<Hier_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Hier_Type_OneArgs = {
    object: Hier_Type_Insert_Input;
    on_conflict?: InputMaybe<Hier_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_IncognitoArgs = {
    objects: Array<Incognito_Insert_Input>;
    on_conflict?: InputMaybe<Incognito_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Incognito_OneArgs = {
    object: Incognito_Insert_Input;
    on_conflict?: InputMaybe<Incognito_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_InscriptionArgs = {
    objects: Array<Inscription_Insert_Input>;
    on_conflict?: InputMaybe<Inscription_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Inscription_OneArgs = {
    object: Inscription_Insert_Input;
    on_conflict?: InputMaybe<Inscription_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Interface_TypeArgs = {
    objects: Array<Interface_Type_Insert_Input>;
    on_conflict?: InputMaybe<Interface_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Interface_Type_OneArgs = {
    object: Interface_Type_Insert_Input;
    on_conflict?: InputMaybe<Interface_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_JudgeArgs = {
    objects: Array<Judge_Insert_Input>;
    on_conflict?: InputMaybe<Judge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_Display_TypeArgs = {
    objects: Array<Judge_Display_Type_Insert_Input>;
    on_conflict?: InputMaybe<Judge_Display_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_Display_Type_OneArgs = {
    object: Judge_Display_Type_Insert_Input;
    on_conflict?: InputMaybe<Judge_Display_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_EntryArgs = {
    objects: Array<Judge_Entry_Insert_Input>;
    on_conflict?: InputMaybe<Judge_Entry_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_Entry_OneArgs = {
    object: Judge_Entry_Insert_Input;
    on_conflict?: InputMaybe<Judge_Entry_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_OneArgs = {
    object: Judge_Insert_Input;
    on_conflict?: InputMaybe<Judge_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_Role_TypeArgs = {
    objects: Array<Judge_Role_Type_Insert_Input>;
    on_conflict?: InputMaybe<Judge_Role_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Judge_Role_Type_OneArgs = {
    object: Judge_Role_Type_Insert_Input;
    on_conflict?: InputMaybe<Judge_Role_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_KairosArgs = {
    objects: Array<Kairos_Insert_Input>;
    on_conflict?: InputMaybe<Kairos_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Kairos_OneArgs = {
    object: Kairos_Insert_Input;
    on_conflict?: InputMaybe<Kairos_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Keyword_DescriptionArgs = {
    objects: Array<Keyword_Description_Insert_Input>;
    on_conflict?: InputMaybe<Keyword_Description_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Keyword_Description_OneArgs = {
    object: Keyword_Description_Insert_Input;
    on_conflict?: InputMaybe<Keyword_Description_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_LanguageArgs = {
    objects: Array<Language_Insert_Input>;
    on_conflict?: InputMaybe<Language_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Language_OneArgs = {
    object: Language_Insert_Input;
    on_conflict?: InputMaybe<Language_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_LocationArgs = {
    objects: Array<Location_Insert_Input>;
    on_conflict?: InputMaybe<Location_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Location_OneArgs = {
    object: Location_Insert_Input;
    on_conflict?: InputMaybe<Location_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_LocusArgs = {
    objects: Array<Locus_Insert_Input>;
    on_conflict?: InputMaybe<Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_ImitateArgs = {
    objects: Array<Locus_Imitate_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Imitate_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Imitate_OneArgs = {
    object: Locus_Imitate_Insert_Input;
    on_conflict?: InputMaybe<Locus_Imitate_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_MemberArgs = {
    objects: Array<Locus_Member_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Member_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Member_OneArgs = {
    object: Locus_Member_Insert_Input;
    on_conflict?: InputMaybe<Locus_Member_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_OneArgs = {
    object: Locus_Insert_Input;
    on_conflict?: InputMaybe<Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Operation_TypeArgs = {
    objects: Array<Locus_Operation_Type_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Operation_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Operation_Type_OneArgs = {
    object: Locus_Operation_Type_Insert_Input;
    on_conflict?: InputMaybe<Locus_Operation_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_PolicyArgs = {
    objects: Array<Locus_Policy_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Policy_OneArgs = {
    object: Locus_Policy_Insert_Input;
    on_conflict?: InputMaybe<Locus_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_StateArgs = {
    objects: Array<Locus_State_Insert_Input>;
    on_conflict?: InputMaybe<Locus_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_State_OneArgs = {
    object: Locus_State_Insert_Input;
    on_conflict?: InputMaybe<Locus_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_ThemeArgs = {
    objects: Array<Locus_Theme_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Theme_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Theme_OneArgs = {
    object: Locus_Theme_Insert_Input;
    on_conflict?: InputMaybe<Locus_Theme_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_TypeArgs = {
    objects: Array<Locus_Type_Insert_Input>;
    on_conflict?: InputMaybe<Locus_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Locus_Type_OneArgs = {
    object: Locus_Type_Insert_Input;
    on_conflict?: InputMaybe<Locus_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_MapArgs = {
    objects: Array<Map_Insert_Input>;
    on_conflict?: InputMaybe<Map_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Condition_TypeArgs = {
    objects: Array<Map_Condition_Type_Insert_Input>;
    on_conflict?: InputMaybe<Map_Condition_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Condition_Type_OneArgs = {
    object: Map_Condition_Type_Insert_Input;
    on_conflict?: InputMaybe<Map_Condition_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_EffectArgs = {
    objects: Array<Map_Effect_Insert_Input>;
    on_conflict?: InputMaybe<Map_Effect_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Effect_OneArgs = {
    object: Map_Effect_Insert_Input;
    on_conflict?: InputMaybe<Map_Effect_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Effect_TypeArgs = {
    objects: Array<Map_Effect_Type_Insert_Input>;
    on_conflict?: InputMaybe<Map_Effect_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Effect_Type_OneArgs = {
    object: Map_Effect_Type_Insert_Input;
    on_conflict?: InputMaybe<Map_Effect_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_ItemArgs = {
    objects: Array<Map_Item_Insert_Input>;
    on_conflict?: InputMaybe<Map_Item_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Item_AnimationArgs = {
    objects: Array<Map_Item_Animation_Insert_Input>;
    on_conflict?: InputMaybe<Map_Item_Animation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Item_Animation_OneArgs = {
    object: Map_Item_Animation_Insert_Input;
    on_conflict?: InputMaybe<Map_Item_Animation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Item_OneArgs = {
    object: Map_Item_Insert_Input;
    on_conflict?: InputMaybe<Map_Item_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Item_StateArgs = {
    objects: Array<Map_Item_State_Insert_Input>;
    on_conflict?: InputMaybe<Map_Item_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_Item_State_OneArgs = {
    object: Map_Item_State_Insert_Input;
    on_conflict?: InputMaybe<Map_Item_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Map_OneArgs = {
    object: Map_Insert_Input;
    on_conflict?: InputMaybe<Map_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Medium_TypeArgs = {
    objects: Array<Medium_Type_Insert_Input>;
    on_conflict?: InputMaybe<Medium_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Medium_Type_OneArgs = {
    object: Medium_Type_Insert_Input;
    on_conflict?: InputMaybe<Medium_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_MegaphoneArgs = {
    objects: Array<Megaphone_Insert_Input>;
    on_conflict?: InputMaybe<Megaphone_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Megaphone_OneArgs = {
    object: Megaphone_Insert_Input;
    on_conflict?: InputMaybe<Megaphone_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_MessageArgs = {
    objects: Array<Message_Insert_Input>;
    on_conflict?: InputMaybe<Message_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Message_OneArgs = {
    object: Message_Insert_Input;
    on_conflict?: InputMaybe<Message_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_MoldArgs = {
    objects: Array<Mold_Insert_Input>;
    on_conflict?: InputMaybe<Mold_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Mold_BlueprintArgs = {
    objects: Array<Mold_Blueprint_Insert_Input>;
    on_conflict?: InputMaybe<Mold_Blueprint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Mold_Blueprint_OneArgs = {
    object: Mold_Blueprint_Insert_Input;
    on_conflict?: InputMaybe<Mold_Blueprint_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Mold_OneArgs = {
    object: Mold_Insert_Input;
    on_conflict?: InputMaybe<Mold_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Morsel_TypeArgs = {
    objects: Array<Morsel_Type_Insert_Input>;
    on_conflict?: InputMaybe<Morsel_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Morsel_Type_OneArgs = {
    object: Morsel_Type_Insert_Input;
    on_conflict?: InputMaybe<Morsel_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_OperationArgs = {
    objects: Array<Operation_Insert_Input>;
    on_conflict?: InputMaybe<Operation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Maintain_TypeArgs = {
    objects: Array<Operation_Maintain_Type_Insert_Input>;
    on_conflict?: InputMaybe<Operation_Maintain_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Maintain_Type_OneArgs = {
    object: Operation_Maintain_Type_Insert_Input;
    on_conflict?: InputMaybe<Operation_Maintain_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_OneArgs = {
    object: Operation_Insert_Input;
    on_conflict?: InputMaybe<Operation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_OperatorArgs = {
    objects: Array<Operation_Operator_Insert_Input>;
    on_conflict?: InputMaybe<Operation_Operator_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Operator_OneArgs = {
    object: Operation_Operator_Insert_Input;
    on_conflict?: InputMaybe<Operation_Operator_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Setting_TypeArgs = {
    objects: Array<Operation_Setting_Type_Insert_Input>;
    on_conflict?: InputMaybe<Operation_Setting_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Setting_Type_OneArgs = {
    object: Operation_Setting_Type_Insert_Input;
    on_conflict?: InputMaybe<Operation_Setting_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_StateArgs = {
    objects: Array<Operation_State_Insert_Input>;
    on_conflict?: InputMaybe<Operation_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_State_OneArgs = {
    object: Operation_State_Insert_Input;
    on_conflict?: InputMaybe<Operation_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_TypeArgs = {
    objects: Array<Operation_Type_Insert_Input>;
    on_conflict?: InputMaybe<Operation_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operation_Type_OneArgs = {
    object: Operation_Type_Insert_Input;
    on_conflict?: InputMaybe<Operation_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operator_State_TypeArgs = {
    objects: Array<Operator_State_Type_Insert_Input>;
    on_conflict?: InputMaybe<Operator_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Operator_State_Type_OneArgs = {
    object: Operator_State_Type_Insert_Input;
    on_conflict?: InputMaybe<Operator_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_PieceArgs = {
    objects: Array<Piece_Insert_Input>;
    on_conflict?: InputMaybe<Piece_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Piece_LocusArgs = {
    objects: Array<Piece_Locus_Insert_Input>;
    on_conflict?: InputMaybe<Piece_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Piece_Locus_OneArgs = {
    object: Piece_Locus_Insert_Input;
    on_conflict?: InputMaybe<Piece_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Piece_OneArgs = {
    object: Piece_Insert_Input;
    on_conflict?: InputMaybe<Piece_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Piece_TypeArgs = {
    objects: Array<Piece_Type_Insert_Input>;
    on_conflict?: InputMaybe<Piece_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Piece_Type_OneArgs = {
    object: Piece_Type_Insert_Input;
    on_conflict?: InputMaybe<Piece_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_PostArgs = {
    objects: Array<Post_Insert_Input>;
    on_conflict?: InputMaybe<Post_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Post_EvaluationArgs = {
    objects: Array<Post_Evaluation_Insert_Input>;
    on_conflict?: InputMaybe<Post_Evaluation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Post_Evaluation_OneArgs = {
    object: Post_Evaluation_Insert_Input;
    on_conflict?: InputMaybe<Post_Evaluation_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Post_OneArgs = {
    object: Post_Insert_Input;
    on_conflict?: InputMaybe<Post_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_PreferenceArgs = {
    objects: Array<Preference_Insert_Input>;
};
/** mutation root */
export type Mutation_RootInsert_Preference_OneArgs = {
    object: Preference_Insert_Input;
};
/** mutation root */
export type Mutation_RootInsert_ProductArgs = {
    objects: Array<Product_Insert_Input>;
    on_conflict?: InputMaybe<Product_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Product_OneArgs = {
    object: Product_Insert_Input;
    on_conflict?: InputMaybe<Product_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ProfileArgs = {
    objects: Array<Profile_Insert_Input>;
};
/** mutation root */
export type Mutation_RootInsert_Profile_OneArgs = {
    object: Profile_Insert_Input;
};
/** mutation root */
export type Mutation_RootInsert_PurchaseArgs = {
    objects: Array<Purchase_Insert_Input>;
    on_conflict?: InputMaybe<Purchase_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Purchase_OneArgs = {
    object: Purchase_Insert_Input;
    on_conflict?: InputMaybe<Purchase_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_QuestArgs = {
    objects: Array<Quest_Insert_Input>;
    on_conflict?: InputMaybe<Quest_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_AncestryArgs = {
    objects: Array<Quest_Ancestry_Insert_Input>;
    on_conflict?: InputMaybe<Quest_Ancestry_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_Ancestry_OneArgs = {
    object: Quest_Ancestry_Insert_Input;
    on_conflict?: InputMaybe<Quest_Ancestry_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_OneArgs = {
    object: Quest_Insert_Input;
    on_conflict?: InputMaybe<Quest_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_StateArgs = {
    objects: Array<Quest_State_Insert_Input>;
    on_conflict?: InputMaybe<Quest_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_State_OneArgs = {
    object: Quest_State_Insert_Input;
    on_conflict?: InputMaybe<Quest_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_TypeArgs = {
    objects: Array<Quest_Type_Insert_Input>;
    on_conflict?: InputMaybe<Quest_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Quest_Type_OneArgs = {
    object: Quest_Type_Insert_Input;
    on_conflict?: InputMaybe<Quest_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Resource_PolicyArgs = {
    objects: Array<Resource_Policy_Insert_Input>;
    on_conflict?: InputMaybe<Resource_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Resource_Policy_OneArgs = {
    object: Resource_Policy_Insert_Input;
    on_conflict?: InputMaybe<Resource_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Resource_PrivacyArgs = {
    objects: Array<Resource_Privacy_Insert_Input>;
    on_conflict?: InputMaybe<Resource_Privacy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Resource_Privacy_OneArgs = {
    object: Resource_Privacy_Insert_Input;
    on_conflict?: InputMaybe<Resource_Privacy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Cord_2dArgs = {
    objects: Array<Rooadmap_Gis_Cord_2d_Insert_Input>;
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_2d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Cord_2d_OneArgs = {
    object: Rooadmap_Gis_Cord_2d_Insert_Input;
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_2d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Cord_3dArgs = {
    objects: Array<Rooadmap_Gis_Cord_3d_Insert_Input>;
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_3d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Cord_3d_OneArgs = {
    object: Rooadmap_Gis_Cord_3d_Insert_Input;
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_3d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Location_2dArgs = {
    objects: Array<Rooadmap_Gis_Location_2d_Insert_Input>;
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_2d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Location_2d_OneArgs = {
    object: Rooadmap_Gis_Location_2d_Insert_Input;
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_2d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Location_3dArgs = {
    objects: Array<Rooadmap_Gis_Location_3d_Insert_Input>;
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_3d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Location_3d_OneArgs = {
    object: Rooadmap_Gis_Location_3d_Insert_Input;
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_3d_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Map_ItemArgs = {
    objects: Array<Rooadmap_Gis_Map_Item_Insert_Input>;
    on_conflict?: InputMaybe<Rooadmap_Gis_Map_Item_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Rooadmap_Gis_Map_Item_OneArgs = {
    object: Rooadmap_Gis_Map_Item_Insert_Input;
    on_conflict?: InputMaybe<Rooadmap_Gis_Map_Item_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_SegmentArgs = {
    objects: Array<Segment_Insert_Input>;
    on_conflict?: InputMaybe<Segment_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Segment_ExhibitionArgs = {
    objects: Array<Segment_Exhibition_Insert_Input>;
    on_conflict?: InputMaybe<Segment_Exhibition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Segment_Exhibition_OneArgs = {
    object: Segment_Exhibition_Insert_Input;
    on_conflict?: InputMaybe<Segment_Exhibition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Segment_OneArgs = {
    object: Segment_Insert_Input;
    on_conflict?: InputMaybe<Segment_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_SellArgs = {
    objects: Array<Sell_Insert_Input>;
    on_conflict?: InputMaybe<Sell_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sell_ManagementArgs = {
    objects: Array<Sell_Management_Insert_Input>;
    on_conflict?: InputMaybe<Sell_Management_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sell_Management_OneArgs = {
    object: Sell_Management_Insert_Input;
    on_conflict?: InputMaybe<Sell_Management_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sell_OneArgs = {
    object: Sell_Insert_Input;
    on_conflict?: InputMaybe<Sell_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_SponsorshipArgs = {
    objects: Array<Sponsorship_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_ConditionArgs = {
    objects: Array<Sponsorship_Condition_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Condition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Condition_OneArgs = {
    object: Sponsorship_Condition_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Condition_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Game_StateArgs = {
    objects: Array<Sponsorship_Game_State_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Game_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Game_State_OneArgs = {
    object: Sponsorship_Game_State_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Game_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Game_State_TypeArgs = {
    objects: Array<Sponsorship_Game_State_Type_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Game_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Game_State_Type_OneArgs = {
    object: Sponsorship_Game_State_Type_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Game_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_ImagesArgs = {
    objects: Array<Sponsorship_Images_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Images_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Images_OneArgs = {
    object: Sponsorship_Images_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Images_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_ImitateArgs = {
    objects: Array<Sponsorship_Imitate_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Imitate_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Imitate_OneArgs = {
    object: Sponsorship_Imitate_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Imitate_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_LocusArgs = {
    objects: Array<Sponsorship_Locus_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Locus_OneArgs = {
    object: Sponsorship_Locus_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Locus_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_OneArgs = {
    object: Sponsorship_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_RequirementArgs = {
    objects: Array<Sponsorship_Requirement_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Requirement_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Requirement_OneArgs = {
    object: Sponsorship_Requirement_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Requirement_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Requirement_TypeArgs = {
    objects: Array<Sponsorship_Requirement_Type_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Requirement_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Requirement_Type_OneArgs = {
    object: Sponsorship_Requirement_Type_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Requirement_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Settlement_State_TypeArgs = {
    objects: Array<Sponsorship_Settlement_State_Type_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Settlement_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Settlement_State_Type_OneArgs = {
    object: Sponsorship_Settlement_State_Type_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Settlement_State_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_StateArgs = {
    objects: Array<Sponsorship_State_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_State_OneArgs = {
    object: Sponsorship_State_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_TypeArgs = {
    objects: Array<Sponsorship_Type_Insert_Input>;
    on_conflict?: InputMaybe<Sponsorship_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Sponsorship_Type_OneArgs = {
    object: Sponsorship_Type_Insert_Input;
    on_conflict?: InputMaybe<Sponsorship_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_SpotArgs = {
    objects: Array<Spot_Insert_Input>;
    on_conflict?: InputMaybe<Spot_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_InscriptionArgs = {
    objects: Array<Spot_Inscription_Insert_Input>;
    on_conflict?: InputMaybe<Spot_Inscription_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_Inscription_OneArgs = {
    object: Spot_Inscription_Insert_Input;
    on_conflict?: InputMaybe<Spot_Inscription_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_OneArgs = {
    object: Spot_Insert_Input;
    on_conflict?: InputMaybe<Spot_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_PolicyArgs = {
    objects: Array<Spot_Policy_Insert_Input>;
    on_conflict?: InputMaybe<Spot_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_Policy_OneArgs = {
    object: Spot_Policy_Insert_Input;
    on_conflict?: InputMaybe<Spot_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_TypeArgs = {
    objects: Array<Spot_Type_Insert_Input>;
    on_conflict?: InputMaybe<Spot_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_Type_OneArgs = {
    object: Spot_Type_Insert_Input;
    on_conflict?: InputMaybe<Spot_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_UserArgs = {
    objects: Array<Spot_User_Insert_Input>;
    on_conflict?: InputMaybe<Spot_User_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Spot_User_OneArgs = {
    object: Spot_User_Insert_Input;
    on_conflict?: InputMaybe<Spot_User_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Target_View_TypeArgs = {
    objects: Array<Target_View_Type_Insert_Input>;
    on_conflict?: InputMaybe<Target_View_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Target_View_Type_OneArgs = {
    object: Target_View_Type_Insert_Input;
    on_conflict?: InputMaybe<Target_View_Type_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_TaskArgs = {
    objects: Array<Task_Insert_Input>;
    on_conflict?: InputMaybe<Task_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Task_OneArgs = {
    object: Task_Insert_Input;
    on_conflict?: InputMaybe<Task_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_ThemeArgs = {
    objects: Array<Theme_Insert_Input>;
    on_conflict?: InputMaybe<Theme_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Theme_OneArgs = {
    object: Theme_Insert_Input;
    on_conflict?: InputMaybe<Theme_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Treasure_UserArgs = {
    objects: Array<Treasure_User_Insert_Input>;
    on_conflict?: InputMaybe<Treasure_User_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Treasure_User_OneArgs = {
    object: Treasure_User_Insert_Input;
    on_conflict?: InputMaybe<Treasure_User_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_UniverseArgs = {
    objects: Array<Universe_Insert_Input>;
    on_conflict?: InputMaybe<Universe_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_MemberArgs = {
    objects: Array<Universe_Member_Insert_Input>;
    on_conflict?: InputMaybe<Universe_Member_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_Member_OneArgs = {
    object: Universe_Member_Insert_Input;
    on_conflict?: InputMaybe<Universe_Member_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_OneArgs = {
    object: Universe_Insert_Input;
    on_conflict?: InputMaybe<Universe_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_PolicyArgs = {
    objects: Array<Universe_Policy_Insert_Input>;
    on_conflict?: InputMaybe<Universe_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_Policy_OneArgs = {
    object: Universe_Policy_Insert_Input;
    on_conflict?: InputMaybe<Universe_Policy_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_ResourceArgs = {
    objects: Array<Universe_Resource_Insert_Input>;
    on_conflict?: InputMaybe<Universe_Resource_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_Resource_OneArgs = {
    object: Universe_Resource_Insert_Input;
    on_conflict?: InputMaybe<Universe_Resource_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_StateArgs = {
    objects: Array<Universe_State_Insert_Input>;
    on_conflict?: InputMaybe<Universe_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Universe_State_OneArgs = {
    object: Universe_State_Insert_Input;
    on_conflict?: InputMaybe<Universe_State_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_UsersArgs = {
    objects: Array<Users_Insert_Input>;
    on_conflict?: InputMaybe<Users_On_Conflict>;
};
/** mutation root */
export type Mutation_RootInsert_Users_OneArgs = {
    object: Users_Insert_Input;
    on_conflict?: InputMaybe<Users_On_Conflict>;
};
/** mutation root */
export type Mutation_RootOperate_Image_Npc_JudgeArgs = {
    image_npc_judge_input: ImageNpcOperationInput;
};
/** mutation root */
export type Mutation_RootPurchase_Game_By_RpArgs = {
    buyerId: Scalars['Int'];
    productId: Scalars['Int'];
    sellId: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootPurchase_Sponsorship_By_RpArgs = {
    buyerId: Scalars['Int'];
    productId: Scalars['Int'];
    sellId: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootRestart_Game_PlayArgs = {
    TUId: Scalars['Int'];
    gameId: Scalars['Int'];
};
/** mutation root */
export type Mutation_RootSet_Game_State_On_ReadyArgs = {
    arg1: SetGameStateOnReadyInput;
};
/** mutation root */
export type Mutation_RootSettle_Operation_Games_LocusArgs = {
    arg1: SettleOperationGamesLocusInput;
};
/** mutation root */
export type Mutation_RootStart_GameArgs = {
    arg1: StartGameInput;
};
/** mutation root */
export type Mutation_RootTaste_Jigsaw_JudgeArgs = {
    taste_jigsaw_judge_input: TasteJigsawJudgeInput;
};
/** mutation root */
export type Mutation_RootTaste_Multi_Word_JudgeArgs = {
    taste_word_judge_input: TasteWordJudgeInput;
};
/** mutation root */
export type Mutation_RootTaste_Word_JudgeArgs = {
    taste_word_judge_input: TasteWordJudgeInput;
};
/** mutation root */
export type Mutation_RootTaste_Word_Sequence_JudgeArgs = {
    taste_word_sequence_judge_input: TasteWordSequenceJudgeInput;
};
/** mutation root */
export type Mutation_RootTaste_Words_JudgeArgs = {
    taste_words_judge_input: TasteWordsJudgeInput;
};
/** mutation root */
export type Mutation_RootUpdate_AlarmArgs = {
    _inc?: InputMaybe<Alarm_Inc_Input>;
    _set?: InputMaybe<Alarm_Set_Input>;
    where: Alarm_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Alarm_By_PkArgs = {
    _inc?: InputMaybe<Alarm_Inc_Input>;
    _set?: InputMaybe<Alarm_Set_Input>;
    pk_columns: Alarm_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Alarm_ManyArgs = {
    updates: Array<Alarm_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Animation_StageArgs = {
    _inc?: InputMaybe<Animation_Stage_Inc_Input>;
    _set?: InputMaybe<Animation_Stage_Set_Input>;
    where: Animation_Stage_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Animation_Stage_By_PkArgs = {
    _inc?: InputMaybe<Animation_Stage_Inc_Input>;
    _set?: InputMaybe<Animation_Stage_Set_Input>;
    pk_columns: Animation_Stage_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Animation_Stage_ManyArgs = {
    updates: Array<Animation_Stage_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_AnswerArgs = {
    _inc?: InputMaybe<Answer_Inc_Input>;
    _set?: InputMaybe<Answer_Set_Input>;
    where: Answer_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Answer_By_PkArgs = {
    _inc?: InputMaybe<Answer_Inc_Input>;
    _set?: InputMaybe<Answer_Set_Input>;
    pk_columns: Answer_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Answer_ManyArgs = {
    updates: Array<Answer_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Answer_TypeArgs = {
    _inc?: InputMaybe<Answer_Type_Inc_Input>;
    _set?: InputMaybe<Answer_Type_Set_Input>;
    where: Answer_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Answer_Type_By_PkArgs = {
    _inc?: InputMaybe<Answer_Type_Inc_Input>;
    _set?: InputMaybe<Answer_Type_Set_Input>;
    pk_columns: Answer_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Answer_Type_ManyArgs = {
    updates: Array<Answer_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_AreaArgs = {
    _inc?: InputMaybe<Area_Inc_Input>;
    _set?: InputMaybe<Area_Set_Input>;
    where: Area_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Area_By_PkArgs = {
    _inc?: InputMaybe<Area_Inc_Input>;
    _set?: InputMaybe<Area_Set_Input>;
    pk_columns: Area_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Area_ManyArgs = {
    updates: Array<Area_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_ProvidersArgs = {
    _set?: InputMaybe<Auth_Account_Providers_Set_Input>;
    where: Auth_Account_Providers_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_Providers_By_PkArgs = {
    _set?: InputMaybe<Auth_Account_Providers_Set_Input>;
    pk_columns: Auth_Account_Providers_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_Providers_ManyArgs = {
    updates: Array<Auth_Account_Providers_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_RolesArgs = {
    _set?: InputMaybe<Auth_Account_Roles_Set_Input>;
    where: Auth_Account_Roles_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_Roles_By_PkArgs = {
    _set?: InputMaybe<Auth_Account_Roles_Set_Input>;
    pk_columns: Auth_Account_Roles_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Account_Roles_ManyArgs = {
    updates: Array<Auth_Account_Roles_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_AccountsArgs = {
    _append?: InputMaybe<Auth_Accounts_Append_Input>;
    _delete_at_path?: InputMaybe<Auth_Accounts_Delete_At_Path_Input>;
    _delete_elem?: InputMaybe<Auth_Accounts_Delete_Elem_Input>;
    _delete_key?: InputMaybe<Auth_Accounts_Delete_Key_Input>;
    _prepend?: InputMaybe<Auth_Accounts_Prepend_Input>;
    _set?: InputMaybe<Auth_Accounts_Set_Input>;
    where: Auth_Accounts_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Accounts_By_PkArgs = {
    _append?: InputMaybe<Auth_Accounts_Append_Input>;
    _delete_at_path?: InputMaybe<Auth_Accounts_Delete_At_Path_Input>;
    _delete_elem?: InputMaybe<Auth_Accounts_Delete_Elem_Input>;
    _delete_key?: InputMaybe<Auth_Accounts_Delete_Key_Input>;
    _prepend?: InputMaybe<Auth_Accounts_Prepend_Input>;
    _set?: InputMaybe<Auth_Accounts_Set_Input>;
    pk_columns: Auth_Accounts_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Accounts_ManyArgs = {
    updates: Array<Auth_Accounts_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_ProvidersArgs = {
    _set?: InputMaybe<Auth_Providers_Set_Input>;
    where: Auth_Providers_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Providers_By_PkArgs = {
    _set?: InputMaybe<Auth_Providers_Set_Input>;
    pk_columns: Auth_Providers_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Providers_ManyArgs = {
    updates: Array<Auth_Providers_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Refresh_TokensArgs = {
    _set?: InputMaybe<Auth_Refresh_Tokens_Set_Input>;
    where: Auth_Refresh_Tokens_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Refresh_Tokens_By_PkArgs = {
    _set?: InputMaybe<Auth_Refresh_Tokens_Set_Input>;
    pk_columns: Auth_Refresh_Tokens_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Refresh_Tokens_ManyArgs = {
    updates: Array<Auth_Refresh_Tokens_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_RolesArgs = {
    _set?: InputMaybe<Auth_Roles_Set_Input>;
    where: Auth_Roles_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Roles_By_PkArgs = {
    _set?: InputMaybe<Auth_Roles_Set_Input>;
    pk_columns: Auth_Roles_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Auth_Roles_ManyArgs = {
    updates: Array<Auth_Roles_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_BadgeArgs = {
    _inc?: InputMaybe<Badge_Inc_Input>;
    _set?: InputMaybe<Badge_Set_Input>;
    where: Badge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_By_PkArgs = {
    _inc?: InputMaybe<Badge_Inc_Input>;
    _set?: InputMaybe<Badge_Set_Input>;
    pk_columns: Badge_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_CategoryArgs = {
    _inc?: InputMaybe<Badge_Category_Inc_Input>;
    _set?: InputMaybe<Badge_Category_Set_Input>;
    where: Badge_Category_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_Category_By_PkArgs = {
    _inc?: InputMaybe<Badge_Category_Inc_Input>;
    _set?: InputMaybe<Badge_Category_Set_Input>;
    pk_columns: Badge_Category_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_Category_ManyArgs = {
    updates: Array<Badge_Category_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_ManyArgs = {
    updates: Array<Badge_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_TypeArgs = {
    _inc?: InputMaybe<Badge_Type_Inc_Input>;
    _set?: InputMaybe<Badge_Type_Set_Input>;
    where: Badge_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_Type_By_PkArgs = {
    _inc?: InputMaybe<Badge_Type_Inc_Input>;
    _set?: InputMaybe<Badge_Type_Set_Input>;
    pk_columns: Badge_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Badge_Type_ManyArgs = {
    updates: Array<Badge_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_BatchArgs = {
    _inc?: InputMaybe<Batch_Inc_Input>;
    _set?: InputMaybe<Batch_Set_Input>;
    where: Batch_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Batch_By_PkArgs = {
    _inc?: InputMaybe<Batch_Inc_Input>;
    _set?: InputMaybe<Batch_Set_Input>;
    pk_columns: Batch_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Batch_ManyArgs = {
    updates: Array<Batch_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_BlueprintArgs = {
    _inc?: InputMaybe<Blueprint_Inc_Input>;
    _set?: InputMaybe<Blueprint_Set_Input>;
    where: Blueprint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Blueprint_By_PkArgs = {
    _inc?: InputMaybe<Blueprint_Inc_Input>;
    _set?: InputMaybe<Blueprint_Set_Input>;
    pk_columns: Blueprint_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Blueprint_ManyArgs = {
    updates: Array<Blueprint_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Business_Model_TypeArgs = {
    _inc?: InputMaybe<Business_Model_Type_Inc_Input>;
    _set?: InputMaybe<Business_Model_Type_Set_Input>;
    where: Business_Model_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Business_Model_Type_By_PkArgs = {
    _inc?: InputMaybe<Business_Model_Type_Inc_Input>;
    _set?: InputMaybe<Business_Model_Type_Set_Input>;
    pk_columns: Business_Model_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Business_Model_Type_ManyArgs = {
    updates: Array<Business_Model_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ChargeArgs = {
    _inc?: InputMaybe<Charge_Inc_Input>;
    _set?: InputMaybe<Charge_Set_Input>;
    where: Charge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Charge_By_PkArgs = {
    _inc?: InputMaybe<Charge_Inc_Input>;
    _set?: InputMaybe<Charge_Set_Input>;
    pk_columns: Charge_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Charge_ManyArgs = {
    updates: Array<Charge_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ChargerArgs = {
    _inc?: InputMaybe<Charger_Inc_Input>;
    _set?: InputMaybe<Charger_Set_Input>;
    where: Charger_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Charger_By_PkArgs = {
    _inc?: InputMaybe<Charger_Inc_Input>;
    _set?: InputMaybe<Charger_Set_Input>;
    pk_columns: Charger_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Charger_ManyArgs = {
    updates: Array<Charger_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ConditionArgs = {
    _inc?: InputMaybe<Condition_Inc_Input>;
    _set?: InputMaybe<Condition_Set_Input>;
    where: Condition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Condition_By_PkArgs = {
    _inc?: InputMaybe<Condition_Inc_Input>;
    _set?: InputMaybe<Condition_Set_Input>;
    pk_columns: Condition_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Condition_ManyArgs = {
    updates: Array<Condition_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Condition_TypeArgs = {
    _inc?: InputMaybe<Condition_Type_Inc_Input>;
    _set?: InputMaybe<Condition_Type_Set_Input>;
    where: Condition_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Condition_Type_By_PkArgs = {
    _inc?: InputMaybe<Condition_Type_Inc_Input>;
    _set?: InputMaybe<Condition_Type_Set_Input>;
    pk_columns: Condition_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Condition_Type_ManyArgs = {
    updates: Array<Condition_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ContentArgs = {
    _inc?: InputMaybe<Content_Inc_Input>;
    _set?: InputMaybe<Content_Set_Input>;
    where: Content_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Content_By_PkArgs = {
    _inc?: InputMaybe<Content_Inc_Input>;
    _set?: InputMaybe<Content_Set_Input>;
    pk_columns: Content_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Content_ManyArgs = {
    updates: Array<Content_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ContractArgs = {
    _inc?: InputMaybe<Contract_Inc_Input>;
    _set?: InputMaybe<Contract_Set_Input>;
    where: Contract_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Contract_By_PkArgs = {
    _inc?: InputMaybe<Contract_Inc_Input>;
    _set?: InputMaybe<Contract_Set_Input>;
    pk_columns: Contract_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Contract_ManyArgs = {
    updates: Array<Contract_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Contract_TypeArgs = {
    _inc?: InputMaybe<Contract_Type_Inc_Input>;
    _set?: InputMaybe<Contract_Type_Set_Input>;
    where: Contract_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Contract_Type_By_PkArgs = {
    _inc?: InputMaybe<Contract_Type_Inc_Input>;
    _set?: InputMaybe<Contract_Type_Set_Input>;
    pk_columns: Contract_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Contract_Type_ManyArgs = {
    updates: Array<Contract_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_CurrencyArgs = {
    _inc?: InputMaybe<Currency_Inc_Input>;
    _set?: InputMaybe<Currency_Set_Input>;
    where: Currency_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_By_PkArgs = {
    _inc?: InputMaybe<Currency_Inc_Input>;
    _set?: InputMaybe<Currency_Set_Input>;
    pk_columns: Currency_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_ExchangeArgs = {
    _inc?: InputMaybe<Currency_Exchange_Inc_Input>;
    _set?: InputMaybe<Currency_Exchange_Set_Input>;
    where: Currency_Exchange_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_Exchange_By_PkArgs = {
    _inc?: InputMaybe<Currency_Exchange_Inc_Input>;
    _set?: InputMaybe<Currency_Exchange_Set_Input>;
    pk_columns: Currency_Exchange_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_Exchange_ManyArgs = {
    updates: Array<Currency_Exchange_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_ManyArgs = {
    updates: Array<Currency_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_TypeArgs = {
    _inc?: InputMaybe<Currency_Type_Inc_Input>;
    _set?: InputMaybe<Currency_Type_Set_Input>;
    where: Currency_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_Type_By_PkArgs = {
    _inc?: InputMaybe<Currency_Type_Inc_Input>;
    _set?: InputMaybe<Currency_Type_Set_Input>;
    pk_columns: Currency_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Currency_Type_ManyArgs = {
    updates: Array<Currency_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Desktop_TypeArgs = {
    _inc?: InputMaybe<Desktop_Type_Inc_Input>;
    _set?: InputMaybe<Desktop_Type_Set_Input>;
    where: Desktop_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Desktop_Type_By_PkArgs = {
    _inc?: InputMaybe<Desktop_Type_Inc_Input>;
    _set?: InputMaybe<Desktop_Type_Set_Input>;
    pk_columns: Desktop_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Desktop_Type_ManyArgs = {
    updates: Array<Desktop_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_EntrypointArgs = {
    _inc?: InputMaybe<Entrypoint_Inc_Input>;
    _set?: InputMaybe<Entrypoint_Set_Input>;
    where: Entrypoint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Entrypoint_By_PkArgs = {
    _inc?: InputMaybe<Entrypoint_Inc_Input>;
    _set?: InputMaybe<Entrypoint_Set_Input>;
    pk_columns: Entrypoint_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Entrypoint_ManyArgs = {
    updates: Array<Entrypoint_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_EvaluatorArgs = {
    _inc?: InputMaybe<Evaluator_Inc_Input>;
    _set?: InputMaybe<Evaluator_Set_Input>;
    where: Evaluator_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Evaluator_By_PkArgs = {
    _inc?: InputMaybe<Evaluator_Inc_Input>;
    _set?: InputMaybe<Evaluator_Set_Input>;
    pk_columns: Evaluator_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Evaluator_ManyArgs = {
    updates: Array<Evaluator_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ExampleArgs = {
    _inc?: InputMaybe<Example_Inc_Input>;
    _set?: InputMaybe<Example_Set_Input>;
    where: Example_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Example_By_PkArgs = {
    _inc?: InputMaybe<Example_Inc_Input>;
    _set?: InputMaybe<Example_Set_Input>;
    pk_columns: Example_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Example_ManyArgs = {
    updates: Array<Example_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Example_TypeArgs = {
    _inc?: InputMaybe<Example_Type_Inc_Input>;
    _set?: InputMaybe<Example_Type_Set_Input>;
    where: Example_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Example_Type_By_PkArgs = {
    _inc?: InputMaybe<Example_Type_Inc_Input>;
    _set?: InputMaybe<Example_Type_Set_Input>;
    pk_columns: Example_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Example_Type_ManyArgs = {
    updates: Array<Example_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Exhibition_DeterminantArgs = {
    _inc?: InputMaybe<Exhibition_Determinant_Inc_Input>;
    _set?: InputMaybe<Exhibition_Determinant_Set_Input>;
    where: Exhibition_Determinant_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Exhibition_Determinant_By_PkArgs = {
    _inc?: InputMaybe<Exhibition_Determinant_Inc_Input>;
    _set?: InputMaybe<Exhibition_Determinant_Set_Input>;
    pk_columns: Exhibition_Determinant_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Exhibition_Determinant_ManyArgs = {
    updates: Array<Exhibition_Determinant_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_FlagArgs = {
    _inc?: InputMaybe<Flag_Inc_Input>;
    _set?: InputMaybe<Flag_Set_Input>;
    where: Flag_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Flag_By_PkArgs = {
    _inc?: InputMaybe<Flag_Inc_Input>;
    _set?: InputMaybe<Flag_Set_Input>;
    pk_columns: Flag_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Flag_ManyArgs = {
    updates: Array<Flag_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Flag_TypeArgs = {
    _inc?: InputMaybe<Flag_Type_Inc_Input>;
    _set?: InputMaybe<Flag_Type_Set_Input>;
    where: Flag_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Flag_Type_By_PkArgs = {
    _inc?: InputMaybe<Flag_Type_Inc_Input>;
    _set?: InputMaybe<Flag_Type_Set_Input>;
    pk_columns: Flag_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Flag_Type_ManyArgs = {
    updates: Array<Flag_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_GameArgs = {
    _inc?: InputMaybe<Game_Inc_Input>;
    _set?: InputMaybe<Game_Set_Input>;
    where: Game_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_ActionArgs = {
    _inc?: InputMaybe<Game_Action_Inc_Input>;
    _set?: InputMaybe<Game_Action_Set_Input>;
    where: Game_Action_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Action_By_PkArgs = {
    _inc?: InputMaybe<Game_Action_Inc_Input>;
    _set?: InputMaybe<Game_Action_Set_Input>;
    pk_columns: Game_Action_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Action_ManyArgs = {
    updates: Array<Game_Action_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_By_PkArgs = {
    _inc?: InputMaybe<Game_Inc_Input>;
    _set?: InputMaybe<Game_Set_Input>;
    pk_columns: Game_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_DesignArgs = {
    _inc?: InputMaybe<Game_Design_Inc_Input>;
    _set?: InputMaybe<Game_Design_Set_Input>;
    where: Game_Design_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Design_By_PkArgs = {
    _inc?: InputMaybe<Game_Design_Inc_Input>;
    _set?: InputMaybe<Game_Design_Set_Input>;
    pk_columns: Game_Design_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Design_ManyArgs = {
    updates: Array<Game_Design_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_GroupArgs = {
    _inc?: InputMaybe<Game_Group_Inc_Input>;
    _set?: InputMaybe<Game_Group_Set_Input>;
    where: Game_Group_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Group_By_PkArgs = {
    _inc?: InputMaybe<Game_Group_Inc_Input>;
    _set?: InputMaybe<Game_Group_Set_Input>;
    pk_columns: Game_Group_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Group_ManyArgs = {
    updates: Array<Game_Group_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_HunterArgs = {
    _inc?: InputMaybe<Game_Hunter_Inc_Input>;
    _set?: InputMaybe<Game_Hunter_Set_Input>;
    where: Game_Hunter_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Hunter_By_PkArgs = {
    _inc?: InputMaybe<Game_Hunter_Inc_Input>;
    _set?: InputMaybe<Game_Hunter_Set_Input>;
    pk_columns: Game_Hunter_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Hunter_ManyArgs = {
    updates: Array<Game_Hunter_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_ManagementArgs = {
    _inc?: InputMaybe<Game_Management_Inc_Input>;
    _set?: InputMaybe<Game_Management_Set_Input>;
    where: Game_Management_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Management_By_PkArgs = {
    _inc?: InputMaybe<Game_Management_Inc_Input>;
    _set?: InputMaybe<Game_Management_Set_Input>;
    pk_columns: Game_Management_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Management_ManyArgs = {
    updates: Array<Game_Management_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_ManyArgs = {
    updates: Array<Game_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_OperatorsArgs = {
    _inc?: InputMaybe<Game_Operators_Inc_Input>;
    _set?: InputMaybe<Game_Operators_Set_Input>;
    where: Game_Operators_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Operators_By_PkArgs = {
    _inc?: InputMaybe<Game_Operators_Inc_Input>;
    _set?: InputMaybe<Game_Operators_Set_Input>;
    pk_columns: Game_Operators_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Operators_ManyArgs = {
    updates: Array<Game_Operators_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_RecordArgs = {
    _inc?: InputMaybe<Game_Record_Inc_Input>;
    _set?: InputMaybe<Game_Record_Set_Input>;
    where: Game_Record_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Record_By_PkArgs = {
    _inc?: InputMaybe<Game_Record_Inc_Input>;
    _set?: InputMaybe<Game_Record_Set_Input>;
    pk_columns: Game_Record_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Record_ManyArgs = {
    updates: Array<Game_Record_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_RequirementArgs = {
    _inc?: InputMaybe<Game_Requirement_Inc_Input>;
    _set?: InputMaybe<Game_Requirement_Set_Input>;
    where: Game_Requirement_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Requirement_By_PkArgs = {
    _inc?: InputMaybe<Game_Requirement_Inc_Input>;
    _set?: InputMaybe<Game_Requirement_Set_Input>;
    pk_columns: Game_Requirement_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Requirement_ManyArgs = {
    updates: Array<Game_Requirement_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_State_TypeArgs = {
    _inc?: InputMaybe<Game_State_Type_Inc_Input>;
    _set?: InputMaybe<Game_State_Type_Set_Input>;
    where: Game_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_State_Type_By_PkArgs = {
    _inc?: InputMaybe<Game_State_Type_Inc_Input>;
    _set?: InputMaybe<Game_State_Type_Set_Input>;
    pk_columns: Game_State_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_State_Type_ManyArgs = {
    updates: Array<Game_State_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Game_WinnerArgs = {
    _inc?: InputMaybe<Game_Winner_Inc_Input>;
    _set?: InputMaybe<Game_Winner_Set_Input>;
    where: Game_Winner_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Winner_By_PkArgs = {
    _inc?: InputMaybe<Game_Winner_Inc_Input>;
    _set?: InputMaybe<Game_Winner_Set_Input>;
    pk_columns: Game_Winner_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Game_Winner_ManyArgs = {
    updates: Array<Game_Winner_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Games_LocusArgs = {
    _inc?: InputMaybe<Games_Locus_Inc_Input>;
    _set?: InputMaybe<Games_Locus_Set_Input>;
    where: Games_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Games_Locus_By_PkArgs = {
    _inc?: InputMaybe<Games_Locus_Inc_Input>;
    _set?: InputMaybe<Games_Locus_Set_Input>;
    pk_columns: Games_Locus_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Games_Locus_ManyArgs = {
    updates: Array<Games_Locus_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_GiftArgs = {
    _inc?: InputMaybe<Gift_Inc_Input>;
    _set?: InputMaybe<Gift_Set_Input>;
    where: Gift_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Gift_By_PkArgs = {
    _inc?: InputMaybe<Gift_Inc_Input>;
    _set?: InputMaybe<Gift_Set_Input>;
    pk_columns: Gift_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Gift_ManyArgs = {
    updates: Array<Gift_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_GoodsArgs = {
    _inc?: InputMaybe<Goods_Inc_Input>;
    _set?: InputMaybe<Goods_Set_Input>;
    where: Goods_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Goods_By_PkArgs = {
    _inc?: InputMaybe<Goods_Inc_Input>;
    _set?: InputMaybe<Goods_Set_Input>;
    pk_columns: Goods_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Goods_ManyArgs = {
    updates: Array<Goods_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Hier_TypeArgs = {
    _inc?: InputMaybe<Hier_Type_Inc_Input>;
    _set?: InputMaybe<Hier_Type_Set_Input>;
    where: Hier_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Hier_Type_By_PkArgs = {
    _inc?: InputMaybe<Hier_Type_Inc_Input>;
    _set?: InputMaybe<Hier_Type_Set_Input>;
    pk_columns: Hier_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Hier_Type_ManyArgs = {
    updates: Array<Hier_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_IncognitoArgs = {
    _inc?: InputMaybe<Incognito_Inc_Input>;
    _set?: InputMaybe<Incognito_Set_Input>;
    where: Incognito_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Incognito_By_PkArgs = {
    _inc?: InputMaybe<Incognito_Inc_Input>;
    _set?: InputMaybe<Incognito_Set_Input>;
    pk_columns: Incognito_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Incognito_ManyArgs = {
    updates: Array<Incognito_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_InscriptionArgs = {
    _inc?: InputMaybe<Inscription_Inc_Input>;
    _set?: InputMaybe<Inscription_Set_Input>;
    where: Inscription_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Inscription_By_PkArgs = {
    _inc?: InputMaybe<Inscription_Inc_Input>;
    _set?: InputMaybe<Inscription_Set_Input>;
    pk_columns: Inscription_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Inscription_ManyArgs = {
    updates: Array<Inscription_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Interface_TypeArgs = {
    _inc?: InputMaybe<Interface_Type_Inc_Input>;
    _set?: InputMaybe<Interface_Type_Set_Input>;
    where: Interface_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Interface_Type_By_PkArgs = {
    _inc?: InputMaybe<Interface_Type_Inc_Input>;
    _set?: InputMaybe<Interface_Type_Set_Input>;
    pk_columns: Interface_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Interface_Type_ManyArgs = {
    updates: Array<Interface_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_JudgeArgs = {
    _inc?: InputMaybe<Judge_Inc_Input>;
    _set?: InputMaybe<Judge_Set_Input>;
    where: Judge_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_By_PkArgs = {
    _inc?: InputMaybe<Judge_Inc_Input>;
    _set?: InputMaybe<Judge_Set_Input>;
    pk_columns: Judge_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Display_TypeArgs = {
    _inc?: InputMaybe<Judge_Display_Type_Inc_Input>;
    _set?: InputMaybe<Judge_Display_Type_Set_Input>;
    where: Judge_Display_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Display_Type_By_PkArgs = {
    _inc?: InputMaybe<Judge_Display_Type_Inc_Input>;
    _set?: InputMaybe<Judge_Display_Type_Set_Input>;
    pk_columns: Judge_Display_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Display_Type_ManyArgs = {
    updates: Array<Judge_Display_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_EntryArgs = {
    _inc?: InputMaybe<Judge_Entry_Inc_Input>;
    _set?: InputMaybe<Judge_Entry_Set_Input>;
    where: Judge_Entry_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Entry_By_PkArgs = {
    _inc?: InputMaybe<Judge_Entry_Inc_Input>;
    _set?: InputMaybe<Judge_Entry_Set_Input>;
    pk_columns: Judge_Entry_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Entry_ManyArgs = {
    updates: Array<Judge_Entry_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_ManyArgs = {
    updates: Array<Judge_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Role_TypeArgs = {
    _inc?: InputMaybe<Judge_Role_Type_Inc_Input>;
    _set?: InputMaybe<Judge_Role_Type_Set_Input>;
    where: Judge_Role_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Role_Type_By_PkArgs = {
    _inc?: InputMaybe<Judge_Role_Type_Inc_Input>;
    _set?: InputMaybe<Judge_Role_Type_Set_Input>;
    pk_columns: Judge_Role_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Judge_Role_Type_ManyArgs = {
    updates: Array<Judge_Role_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_KairosArgs = {
    _inc?: InputMaybe<Kairos_Inc_Input>;
    _set?: InputMaybe<Kairos_Set_Input>;
    where: Kairos_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Kairos_By_PkArgs = {
    _inc?: InputMaybe<Kairos_Inc_Input>;
    _set?: InputMaybe<Kairos_Set_Input>;
    pk_columns: Kairos_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Kairos_ManyArgs = {
    updates: Array<Kairos_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Keyword_DescriptionArgs = {
    _inc?: InputMaybe<Keyword_Description_Inc_Input>;
    _set?: InputMaybe<Keyword_Description_Set_Input>;
    where: Keyword_Description_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Keyword_Description_By_PkArgs = {
    _inc?: InputMaybe<Keyword_Description_Inc_Input>;
    _set?: InputMaybe<Keyword_Description_Set_Input>;
    pk_columns: Keyword_Description_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Keyword_Description_ManyArgs = {
    updates: Array<Keyword_Description_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_LanguageArgs = {
    _set?: InputMaybe<Language_Set_Input>;
    where: Language_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Language_By_PkArgs = {
    _set?: InputMaybe<Language_Set_Input>;
    pk_columns: Language_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Language_ManyArgs = {
    updates: Array<Language_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_LocationArgs = {
    _inc?: InputMaybe<Location_Inc_Input>;
    _set?: InputMaybe<Location_Set_Input>;
    where: Location_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Location_By_PkArgs = {
    _inc?: InputMaybe<Location_Inc_Input>;
    _set?: InputMaybe<Location_Set_Input>;
    pk_columns: Location_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Location_ManyArgs = {
    updates: Array<Location_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_LocusArgs = {
    _inc?: InputMaybe<Locus_Inc_Input>;
    _set?: InputMaybe<Locus_Set_Input>;
    where: Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_By_PkArgs = {
    _inc?: InputMaybe<Locus_Inc_Input>;
    _set?: InputMaybe<Locus_Set_Input>;
    pk_columns: Locus_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_ImitateArgs = {
    _inc?: InputMaybe<Locus_Imitate_Inc_Input>;
    _set?: InputMaybe<Locus_Imitate_Set_Input>;
    where: Locus_Imitate_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Imitate_By_PkArgs = {
    _inc?: InputMaybe<Locus_Imitate_Inc_Input>;
    _set?: InputMaybe<Locus_Imitate_Set_Input>;
    pk_columns: Locus_Imitate_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Imitate_ManyArgs = {
    updates: Array<Locus_Imitate_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_ManyArgs = {
    updates: Array<Locus_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_MemberArgs = {
    _inc?: InputMaybe<Locus_Member_Inc_Input>;
    _set?: InputMaybe<Locus_Member_Set_Input>;
    where: Locus_Member_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Member_By_PkArgs = {
    _inc?: InputMaybe<Locus_Member_Inc_Input>;
    _set?: InputMaybe<Locus_Member_Set_Input>;
    pk_columns: Locus_Member_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Member_ManyArgs = {
    updates: Array<Locus_Member_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Operation_TypeArgs = {
    _inc?: InputMaybe<Locus_Operation_Type_Inc_Input>;
    _set?: InputMaybe<Locus_Operation_Type_Set_Input>;
    where: Locus_Operation_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Operation_Type_By_PkArgs = {
    _inc?: InputMaybe<Locus_Operation_Type_Inc_Input>;
    _set?: InputMaybe<Locus_Operation_Type_Set_Input>;
    pk_columns: Locus_Operation_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Operation_Type_ManyArgs = {
    updates: Array<Locus_Operation_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_PolicyArgs = {
    _inc?: InputMaybe<Locus_Policy_Inc_Input>;
    _set?: InputMaybe<Locus_Policy_Set_Input>;
    where: Locus_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Policy_By_PkArgs = {
    _inc?: InputMaybe<Locus_Policy_Inc_Input>;
    _set?: InputMaybe<Locus_Policy_Set_Input>;
    pk_columns: Locus_Policy_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Policy_ManyArgs = {
    updates: Array<Locus_Policy_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_StateArgs = {
    _inc?: InputMaybe<Locus_State_Inc_Input>;
    _set?: InputMaybe<Locus_State_Set_Input>;
    where: Locus_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_State_By_PkArgs = {
    _inc?: InputMaybe<Locus_State_Inc_Input>;
    _set?: InputMaybe<Locus_State_Set_Input>;
    pk_columns: Locus_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_State_ManyArgs = {
    updates: Array<Locus_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_ThemeArgs = {
    _inc?: InputMaybe<Locus_Theme_Inc_Input>;
    _set?: InputMaybe<Locus_Theme_Set_Input>;
    where: Locus_Theme_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Theme_By_PkArgs = {
    _inc?: InputMaybe<Locus_Theme_Inc_Input>;
    _set?: InputMaybe<Locus_Theme_Set_Input>;
    pk_columns: Locus_Theme_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Theme_ManyArgs = {
    updates: Array<Locus_Theme_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_TypeArgs = {
    _inc?: InputMaybe<Locus_Type_Inc_Input>;
    _set?: InputMaybe<Locus_Type_Set_Input>;
    where: Locus_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Type_By_PkArgs = {
    _inc?: InputMaybe<Locus_Type_Inc_Input>;
    _set?: InputMaybe<Locus_Type_Set_Input>;
    pk_columns: Locus_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Locus_Type_ManyArgs = {
    updates: Array<Locus_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_MapArgs = {
    _inc?: InputMaybe<Map_Inc_Input>;
    _set?: InputMaybe<Map_Set_Input>;
    where: Map_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_By_PkArgs = {
    _inc?: InputMaybe<Map_Inc_Input>;
    _set?: InputMaybe<Map_Set_Input>;
    pk_columns: Map_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Condition_TypeArgs = {
    _inc?: InputMaybe<Map_Condition_Type_Inc_Input>;
    _set?: InputMaybe<Map_Condition_Type_Set_Input>;
    where: Map_Condition_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Condition_Type_By_PkArgs = {
    _inc?: InputMaybe<Map_Condition_Type_Inc_Input>;
    _set?: InputMaybe<Map_Condition_Type_Set_Input>;
    pk_columns: Map_Condition_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Condition_Type_ManyArgs = {
    updates: Array<Map_Condition_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_EffectArgs = {
    _inc?: InputMaybe<Map_Effect_Inc_Input>;
    _set?: InputMaybe<Map_Effect_Set_Input>;
    where: Map_Effect_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Effect_By_PkArgs = {
    _inc?: InputMaybe<Map_Effect_Inc_Input>;
    _set?: InputMaybe<Map_Effect_Set_Input>;
    pk_columns: Map_Effect_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Effect_ManyArgs = {
    updates: Array<Map_Effect_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Effect_TypeArgs = {
    _inc?: InputMaybe<Map_Effect_Type_Inc_Input>;
    _set?: InputMaybe<Map_Effect_Type_Set_Input>;
    where: Map_Effect_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Effect_Type_By_PkArgs = {
    _inc?: InputMaybe<Map_Effect_Type_Inc_Input>;
    _set?: InputMaybe<Map_Effect_Type_Set_Input>;
    pk_columns: Map_Effect_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Effect_Type_ManyArgs = {
    updates: Array<Map_Effect_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_ItemArgs = {
    _inc?: InputMaybe<Map_Item_Inc_Input>;
    _set?: InputMaybe<Map_Item_Set_Input>;
    where: Map_Item_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_AnimationArgs = {
    _inc?: InputMaybe<Map_Item_Animation_Inc_Input>;
    _set?: InputMaybe<Map_Item_Animation_Set_Input>;
    where: Map_Item_Animation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_Animation_By_PkArgs = {
    _inc?: InputMaybe<Map_Item_Animation_Inc_Input>;
    _set?: InputMaybe<Map_Item_Animation_Set_Input>;
    pk_columns: Map_Item_Animation_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_Animation_ManyArgs = {
    updates: Array<Map_Item_Animation_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_By_PkArgs = {
    _inc?: InputMaybe<Map_Item_Inc_Input>;
    _set?: InputMaybe<Map_Item_Set_Input>;
    pk_columns: Map_Item_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_ManyArgs = {
    updates: Array<Map_Item_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_StateArgs = {
    _inc?: InputMaybe<Map_Item_State_Inc_Input>;
    _set?: InputMaybe<Map_Item_State_Set_Input>;
    where: Map_Item_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_State_By_PkArgs = {
    _inc?: InputMaybe<Map_Item_State_Inc_Input>;
    _set?: InputMaybe<Map_Item_State_Set_Input>;
    pk_columns: Map_Item_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Map_Item_State_ManyArgs = {
    updates: Array<Map_Item_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Map_ManyArgs = {
    updates: Array<Map_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Medium_TypeArgs = {
    _inc?: InputMaybe<Medium_Type_Inc_Input>;
    _set?: InputMaybe<Medium_Type_Set_Input>;
    where: Medium_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Medium_Type_By_PkArgs = {
    _inc?: InputMaybe<Medium_Type_Inc_Input>;
    _set?: InputMaybe<Medium_Type_Set_Input>;
    pk_columns: Medium_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Medium_Type_ManyArgs = {
    updates: Array<Medium_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_MegaphoneArgs = {
    _inc?: InputMaybe<Megaphone_Inc_Input>;
    _set?: InputMaybe<Megaphone_Set_Input>;
    where: Megaphone_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Megaphone_By_PkArgs = {
    _inc?: InputMaybe<Megaphone_Inc_Input>;
    _set?: InputMaybe<Megaphone_Set_Input>;
    pk_columns: Megaphone_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Megaphone_ManyArgs = {
    updates: Array<Megaphone_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_MessageArgs = {
    _inc?: InputMaybe<Message_Inc_Input>;
    _set?: InputMaybe<Message_Set_Input>;
    where: Message_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Message_By_PkArgs = {
    _inc?: InputMaybe<Message_Inc_Input>;
    _set?: InputMaybe<Message_Set_Input>;
    pk_columns: Message_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Message_ManyArgs = {
    updates: Array<Message_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_MoldArgs = {
    _inc?: InputMaybe<Mold_Inc_Input>;
    _set?: InputMaybe<Mold_Set_Input>;
    where: Mold_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Mold_BlueprintArgs = {
    _inc?: InputMaybe<Mold_Blueprint_Inc_Input>;
    _set?: InputMaybe<Mold_Blueprint_Set_Input>;
    where: Mold_Blueprint_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Mold_Blueprint_By_PkArgs = {
    _inc?: InputMaybe<Mold_Blueprint_Inc_Input>;
    _set?: InputMaybe<Mold_Blueprint_Set_Input>;
    pk_columns: Mold_Blueprint_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Mold_Blueprint_ManyArgs = {
    updates: Array<Mold_Blueprint_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Mold_By_PkArgs = {
    _inc?: InputMaybe<Mold_Inc_Input>;
    _set?: InputMaybe<Mold_Set_Input>;
    pk_columns: Mold_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Mold_ManyArgs = {
    updates: Array<Mold_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Morsel_TypeArgs = {
    _inc?: InputMaybe<Morsel_Type_Inc_Input>;
    _set?: InputMaybe<Morsel_Type_Set_Input>;
    where: Morsel_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Morsel_Type_By_PkArgs = {
    _inc?: InputMaybe<Morsel_Type_Inc_Input>;
    _set?: InputMaybe<Morsel_Type_Set_Input>;
    pk_columns: Morsel_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Morsel_Type_ManyArgs = {
    updates: Array<Morsel_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_OperationArgs = {
    _inc?: InputMaybe<Operation_Inc_Input>;
    _set?: InputMaybe<Operation_Set_Input>;
    where: Operation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_By_PkArgs = {
    _inc?: InputMaybe<Operation_Inc_Input>;
    _set?: InputMaybe<Operation_Set_Input>;
    pk_columns: Operation_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Maintain_TypeArgs = {
    _inc?: InputMaybe<Operation_Maintain_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Maintain_Type_Set_Input>;
    where: Operation_Maintain_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Maintain_Type_By_PkArgs = {
    _inc?: InputMaybe<Operation_Maintain_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Maintain_Type_Set_Input>;
    pk_columns: Operation_Maintain_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Maintain_Type_ManyArgs = {
    updates: Array<Operation_Maintain_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_ManyArgs = {
    updates: Array<Operation_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_OperatorArgs = {
    _inc?: InputMaybe<Operation_Operator_Inc_Input>;
    _set?: InputMaybe<Operation_Operator_Set_Input>;
    where: Operation_Operator_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Operator_By_PkArgs = {
    _inc?: InputMaybe<Operation_Operator_Inc_Input>;
    _set?: InputMaybe<Operation_Operator_Set_Input>;
    pk_columns: Operation_Operator_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Operator_ManyArgs = {
    updates: Array<Operation_Operator_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Setting_TypeArgs = {
    _inc?: InputMaybe<Operation_Setting_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Setting_Type_Set_Input>;
    where: Operation_Setting_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Setting_Type_By_PkArgs = {
    _inc?: InputMaybe<Operation_Setting_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Setting_Type_Set_Input>;
    pk_columns: Operation_Setting_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Setting_Type_ManyArgs = {
    updates: Array<Operation_Setting_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_StateArgs = {
    _inc?: InputMaybe<Operation_State_Inc_Input>;
    _set?: InputMaybe<Operation_State_Set_Input>;
    where: Operation_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_State_By_PkArgs = {
    _inc?: InputMaybe<Operation_State_Inc_Input>;
    _set?: InputMaybe<Operation_State_Set_Input>;
    pk_columns: Operation_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_State_ManyArgs = {
    updates: Array<Operation_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_TypeArgs = {
    _inc?: InputMaybe<Operation_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Type_Set_Input>;
    where: Operation_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Type_By_PkArgs = {
    _inc?: InputMaybe<Operation_Type_Inc_Input>;
    _set?: InputMaybe<Operation_Type_Set_Input>;
    pk_columns: Operation_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operation_Type_ManyArgs = {
    updates: Array<Operation_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Operator_State_TypeArgs = {
    _inc?: InputMaybe<Operator_State_Type_Inc_Input>;
    _set?: InputMaybe<Operator_State_Type_Set_Input>;
    where: Operator_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Operator_State_Type_By_PkArgs = {
    _inc?: InputMaybe<Operator_State_Type_Inc_Input>;
    _set?: InputMaybe<Operator_State_Type_Set_Input>;
    pk_columns: Operator_State_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Operator_State_Type_ManyArgs = {
    updates: Array<Operator_State_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_PieceArgs = {
    _inc?: InputMaybe<Piece_Inc_Input>;
    _set?: InputMaybe<Piece_Set_Input>;
    where: Piece_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_By_PkArgs = {
    _inc?: InputMaybe<Piece_Inc_Input>;
    _set?: InputMaybe<Piece_Set_Input>;
    pk_columns: Piece_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_LocusArgs = {
    _inc?: InputMaybe<Piece_Locus_Inc_Input>;
    _set?: InputMaybe<Piece_Locus_Set_Input>;
    where: Piece_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_Locus_By_PkArgs = {
    _inc?: InputMaybe<Piece_Locus_Inc_Input>;
    _set?: InputMaybe<Piece_Locus_Set_Input>;
    pk_columns: Piece_Locus_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_Locus_ManyArgs = {
    updates: Array<Piece_Locus_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_ManyArgs = {
    updates: Array<Piece_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_TypeArgs = {
    _inc?: InputMaybe<Piece_Type_Inc_Input>;
    _set?: InputMaybe<Piece_Type_Set_Input>;
    where: Piece_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_Type_By_PkArgs = {
    _inc?: InputMaybe<Piece_Type_Inc_Input>;
    _set?: InputMaybe<Piece_Type_Set_Input>;
    pk_columns: Piece_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Piece_Type_ManyArgs = {
    updates: Array<Piece_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_PostArgs = {
    _inc?: InputMaybe<Post_Inc_Input>;
    _set?: InputMaybe<Post_Set_Input>;
    where: Post_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Post_By_PkArgs = {
    _inc?: InputMaybe<Post_Inc_Input>;
    _set?: InputMaybe<Post_Set_Input>;
    pk_columns: Post_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Post_EvaluationArgs = {
    _inc?: InputMaybe<Post_Evaluation_Inc_Input>;
    _set?: InputMaybe<Post_Evaluation_Set_Input>;
    where: Post_Evaluation_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Post_Evaluation_By_PkArgs = {
    _inc?: InputMaybe<Post_Evaluation_Inc_Input>;
    _set?: InputMaybe<Post_Evaluation_Set_Input>;
    pk_columns: Post_Evaluation_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Post_Evaluation_ManyArgs = {
    updates: Array<Post_Evaluation_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Post_ManyArgs = {
    updates: Array<Post_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_PreferenceArgs = {
    _inc?: InputMaybe<Preference_Inc_Input>;
    _set?: InputMaybe<Preference_Set_Input>;
    where: Preference_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Preference_ManyArgs = {
    updates: Array<Preference_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ProductArgs = {
    _inc?: InputMaybe<Product_Inc_Input>;
    _set?: InputMaybe<Product_Set_Input>;
    where: Product_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Product_By_PkArgs = {
    _inc?: InputMaybe<Product_Inc_Input>;
    _set?: InputMaybe<Product_Set_Input>;
    pk_columns: Product_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Product_ManyArgs = {
    updates: Array<Product_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ProfileArgs = {
    _inc?: InputMaybe<Profile_Inc_Input>;
    _set?: InputMaybe<Profile_Set_Input>;
    where: Profile_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Profile_ManyArgs = {
    updates: Array<Profile_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_PurchaseArgs = {
    _inc?: InputMaybe<Purchase_Inc_Input>;
    _set?: InputMaybe<Purchase_Set_Input>;
    where: Purchase_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Purchase_By_PkArgs = {
    _inc?: InputMaybe<Purchase_Inc_Input>;
    _set?: InputMaybe<Purchase_Set_Input>;
    pk_columns: Purchase_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Purchase_ManyArgs = {
    updates: Array<Purchase_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_QuestArgs = {
    _inc?: InputMaybe<Quest_Inc_Input>;
    _set?: InputMaybe<Quest_Set_Input>;
    where: Quest_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_AncestryArgs = {
    _inc?: InputMaybe<Quest_Ancestry_Inc_Input>;
    _set?: InputMaybe<Quest_Ancestry_Set_Input>;
    where: Quest_Ancestry_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_Ancestry_By_PkArgs = {
    _inc?: InputMaybe<Quest_Ancestry_Inc_Input>;
    _set?: InputMaybe<Quest_Ancestry_Set_Input>;
    pk_columns: Quest_Ancestry_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_Ancestry_ManyArgs = {
    updates: Array<Quest_Ancestry_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_By_PkArgs = {
    _inc?: InputMaybe<Quest_Inc_Input>;
    _set?: InputMaybe<Quest_Set_Input>;
    pk_columns: Quest_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_ManyArgs = {
    updates: Array<Quest_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_StateArgs = {
    _inc?: InputMaybe<Quest_State_Inc_Input>;
    _set?: InputMaybe<Quest_State_Set_Input>;
    where: Quest_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_State_By_PkArgs = {
    _inc?: InputMaybe<Quest_State_Inc_Input>;
    _set?: InputMaybe<Quest_State_Set_Input>;
    pk_columns: Quest_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_State_ManyArgs = {
    updates: Array<Quest_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_TypeArgs = {
    _inc?: InputMaybe<Quest_Type_Inc_Input>;
    _set?: InputMaybe<Quest_Type_Set_Input>;
    where: Quest_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_Type_By_PkArgs = {
    _inc?: InputMaybe<Quest_Type_Inc_Input>;
    _set?: InputMaybe<Quest_Type_Set_Input>;
    pk_columns: Quest_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Quest_Type_ManyArgs = {
    updates: Array<Quest_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_PolicyArgs = {
    _inc?: InputMaybe<Resource_Policy_Inc_Input>;
    _set?: InputMaybe<Resource_Policy_Set_Input>;
    where: Resource_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_Policy_By_PkArgs = {
    _inc?: InputMaybe<Resource_Policy_Inc_Input>;
    _set?: InputMaybe<Resource_Policy_Set_Input>;
    pk_columns: Resource_Policy_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_Policy_ManyArgs = {
    updates: Array<Resource_Policy_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_PrivacyArgs = {
    _inc?: InputMaybe<Resource_Privacy_Inc_Input>;
    _set?: InputMaybe<Resource_Privacy_Set_Input>;
    where: Resource_Privacy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_Privacy_By_PkArgs = {
    _inc?: InputMaybe<Resource_Privacy_Inc_Input>;
    _set?: InputMaybe<Resource_Privacy_Set_Input>;
    pk_columns: Resource_Privacy_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Resource_Privacy_ManyArgs = {
    updates: Array<Resource_Privacy_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_2dArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Cord_2d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Cord_2d_Set_Input>;
    where: Rooadmap_Gis_Cord_2d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_2d_By_PkArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Cord_2d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Cord_2d_Set_Input>;
    pk_columns: Rooadmap_Gis_Cord_2d_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_2d_ManyArgs = {
    updates: Array<Rooadmap_Gis_Cord_2d_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_3dArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Cord_3d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Cord_3d_Set_Input>;
    where: Rooadmap_Gis_Cord_3d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_3d_By_PkArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Cord_3d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Cord_3d_Set_Input>;
    pk_columns: Rooadmap_Gis_Cord_3d_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Cord_3d_ManyArgs = {
    updates: Array<Rooadmap_Gis_Cord_3d_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_2dArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Location_2d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Location_2d_Set_Input>;
    where: Rooadmap_Gis_Location_2d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_2d_By_PkArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Location_2d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Location_2d_Set_Input>;
    pk_columns: Rooadmap_Gis_Location_2d_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_2d_ManyArgs = {
    updates: Array<Rooadmap_Gis_Location_2d_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_3dArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Location_3d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Location_3d_Set_Input>;
    where: Rooadmap_Gis_Location_3d_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_3d_By_PkArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Location_3d_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Location_3d_Set_Input>;
    pk_columns: Rooadmap_Gis_Location_3d_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Location_3d_ManyArgs = {
    updates: Array<Rooadmap_Gis_Location_3d_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Map_ItemArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Map_Item_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Map_Item_Set_Input>;
    where: Rooadmap_Gis_Map_Item_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Map_Item_By_PkArgs = {
    _inc?: InputMaybe<Rooadmap_Gis_Map_Item_Inc_Input>;
    _set?: InputMaybe<Rooadmap_Gis_Map_Item_Set_Input>;
    pk_columns: Rooadmap_Gis_Map_Item_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Rooadmap_Gis_Map_Item_ManyArgs = {
    updates: Array<Rooadmap_Gis_Map_Item_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_SegmentArgs = {
    _inc?: InputMaybe<Segment_Inc_Input>;
    _set?: InputMaybe<Segment_Set_Input>;
    where: Segment_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Segment_By_PkArgs = {
    _inc?: InputMaybe<Segment_Inc_Input>;
    _set?: InputMaybe<Segment_Set_Input>;
    pk_columns: Segment_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Segment_ExhibitionArgs = {
    _inc?: InputMaybe<Segment_Exhibition_Inc_Input>;
    _set?: InputMaybe<Segment_Exhibition_Set_Input>;
    where: Segment_Exhibition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Segment_Exhibition_By_PkArgs = {
    _inc?: InputMaybe<Segment_Exhibition_Inc_Input>;
    _set?: InputMaybe<Segment_Exhibition_Set_Input>;
    pk_columns: Segment_Exhibition_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Segment_Exhibition_ManyArgs = {
    updates: Array<Segment_Exhibition_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Segment_ManyArgs = {
    updates: Array<Segment_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_SellArgs = {
    _inc?: InputMaybe<Sell_Inc_Input>;
    _set?: InputMaybe<Sell_Set_Input>;
    where: Sell_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sell_By_PkArgs = {
    _inc?: InputMaybe<Sell_Inc_Input>;
    _set?: InputMaybe<Sell_Set_Input>;
    pk_columns: Sell_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sell_ManagementArgs = {
    _inc?: InputMaybe<Sell_Management_Inc_Input>;
    _set?: InputMaybe<Sell_Management_Set_Input>;
    where: Sell_Management_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sell_Management_By_PkArgs = {
    _inc?: InputMaybe<Sell_Management_Inc_Input>;
    _set?: InputMaybe<Sell_Management_Set_Input>;
    pk_columns: Sell_Management_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sell_Management_ManyArgs = {
    updates: Array<Sell_Management_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sell_ManyArgs = {
    updates: Array<Sell_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_SponsorshipArgs = {
    _inc?: InputMaybe<Sponsorship_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Set_Input>;
    where: Sponsorship_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Set_Input>;
    pk_columns: Sponsorship_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_ConditionArgs = {
    _inc?: InputMaybe<Sponsorship_Condition_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Condition_Set_Input>;
    where: Sponsorship_Condition_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Condition_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Condition_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Condition_Set_Input>;
    pk_columns: Sponsorship_Condition_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Condition_ManyArgs = {
    updates: Array<Sponsorship_Condition_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_StateArgs = {
    _inc?: InputMaybe<Sponsorship_Game_State_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Game_State_Set_Input>;
    where: Sponsorship_Game_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_State_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Game_State_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Game_State_Set_Input>;
    pk_columns: Sponsorship_Game_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_State_ManyArgs = {
    updates: Array<Sponsorship_Game_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_State_TypeArgs = {
    _inc?: InputMaybe<Sponsorship_Game_State_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Game_State_Type_Set_Input>;
    where: Sponsorship_Game_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_State_Type_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Game_State_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Game_State_Type_Set_Input>;
    pk_columns: Sponsorship_Game_State_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Game_State_Type_ManyArgs = {
    updates: Array<Sponsorship_Game_State_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_ImagesArgs = {
    _inc?: InputMaybe<Sponsorship_Images_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Images_Set_Input>;
    where: Sponsorship_Images_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Images_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Images_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Images_Set_Input>;
    pk_columns: Sponsorship_Images_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Images_ManyArgs = {
    updates: Array<Sponsorship_Images_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_ImitateArgs = {
    _inc?: InputMaybe<Sponsorship_Imitate_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Imitate_Set_Input>;
    where: Sponsorship_Imitate_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Imitate_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Imitate_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Imitate_Set_Input>;
    pk_columns: Sponsorship_Imitate_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Imitate_ManyArgs = {
    updates: Array<Sponsorship_Imitate_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_LocusArgs = {
    _inc?: InputMaybe<Sponsorship_Locus_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Locus_Set_Input>;
    where: Sponsorship_Locus_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Locus_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Locus_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Locus_Set_Input>;
    pk_columns: Sponsorship_Locus_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Locus_ManyArgs = {
    updates: Array<Sponsorship_Locus_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_ManyArgs = {
    updates: Array<Sponsorship_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_RequirementArgs = {
    _inc?: InputMaybe<Sponsorship_Requirement_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Requirement_Set_Input>;
    where: Sponsorship_Requirement_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Requirement_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Requirement_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Requirement_Set_Input>;
    pk_columns: Sponsorship_Requirement_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Requirement_ManyArgs = {
    updates: Array<Sponsorship_Requirement_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Requirement_TypeArgs = {
    _inc?: InputMaybe<Sponsorship_Requirement_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Requirement_Type_Set_Input>;
    where: Sponsorship_Requirement_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Requirement_Type_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Requirement_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Requirement_Type_Set_Input>;
    pk_columns: Sponsorship_Requirement_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Requirement_Type_ManyArgs = {
    updates: Array<Sponsorship_Requirement_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Settlement_State_TypeArgs = {
    _inc?: InputMaybe<Sponsorship_Settlement_State_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Settlement_State_Type_Set_Input>;
    where: Sponsorship_Settlement_State_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Settlement_State_Type_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Settlement_State_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Settlement_State_Type_Set_Input>;
    pk_columns: Sponsorship_Settlement_State_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Settlement_State_Type_ManyArgs = {
    updates: Array<Sponsorship_Settlement_State_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_StateArgs = {
    _inc?: InputMaybe<Sponsorship_State_Inc_Input>;
    _set?: InputMaybe<Sponsorship_State_Set_Input>;
    where: Sponsorship_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_State_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_State_Inc_Input>;
    _set?: InputMaybe<Sponsorship_State_Set_Input>;
    pk_columns: Sponsorship_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_State_ManyArgs = {
    updates: Array<Sponsorship_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_TypeArgs = {
    _inc?: InputMaybe<Sponsorship_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Type_Set_Input>;
    where: Sponsorship_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Type_By_PkArgs = {
    _inc?: InputMaybe<Sponsorship_Type_Inc_Input>;
    _set?: InputMaybe<Sponsorship_Type_Set_Input>;
    pk_columns: Sponsorship_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Sponsorship_Type_ManyArgs = {
    updates: Array<Sponsorship_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_SpotArgs = {
    _inc?: InputMaybe<Spot_Inc_Input>;
    _set?: InputMaybe<Spot_Set_Input>;
    where: Spot_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_By_PkArgs = {
    _inc?: InputMaybe<Spot_Inc_Input>;
    _set?: InputMaybe<Spot_Set_Input>;
    pk_columns: Spot_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_InscriptionArgs = {
    _inc?: InputMaybe<Spot_Inscription_Inc_Input>;
    _set?: InputMaybe<Spot_Inscription_Set_Input>;
    where: Spot_Inscription_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Inscription_By_PkArgs = {
    _inc?: InputMaybe<Spot_Inscription_Inc_Input>;
    _set?: InputMaybe<Spot_Inscription_Set_Input>;
    pk_columns: Spot_Inscription_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Inscription_ManyArgs = {
    updates: Array<Spot_Inscription_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_ManyArgs = {
    updates: Array<Spot_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_PolicyArgs = {
    _inc?: InputMaybe<Spot_Policy_Inc_Input>;
    _set?: InputMaybe<Spot_Policy_Set_Input>;
    where: Spot_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Policy_By_PkArgs = {
    _inc?: InputMaybe<Spot_Policy_Inc_Input>;
    _set?: InputMaybe<Spot_Policy_Set_Input>;
    pk_columns: Spot_Policy_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Policy_ManyArgs = {
    updates: Array<Spot_Policy_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_TypeArgs = {
    _inc?: InputMaybe<Spot_Type_Inc_Input>;
    _set?: InputMaybe<Spot_Type_Set_Input>;
    where: Spot_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Type_By_PkArgs = {
    _inc?: InputMaybe<Spot_Type_Inc_Input>;
    _set?: InputMaybe<Spot_Type_Set_Input>;
    pk_columns: Spot_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_Type_ManyArgs = {
    updates: Array<Spot_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_UserArgs = {
    _inc?: InputMaybe<Spot_User_Inc_Input>;
    _set?: InputMaybe<Spot_User_Set_Input>;
    where: Spot_User_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_User_By_PkArgs = {
    _inc?: InputMaybe<Spot_User_Inc_Input>;
    _set?: InputMaybe<Spot_User_Set_Input>;
    pk_columns: Spot_User_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Spot_User_ManyArgs = {
    updates: Array<Spot_User_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Target_View_TypeArgs = {
    _inc?: InputMaybe<Target_View_Type_Inc_Input>;
    _set?: InputMaybe<Target_View_Type_Set_Input>;
    where: Target_View_Type_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Target_View_Type_By_PkArgs = {
    _inc?: InputMaybe<Target_View_Type_Inc_Input>;
    _set?: InputMaybe<Target_View_Type_Set_Input>;
    pk_columns: Target_View_Type_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Target_View_Type_ManyArgs = {
    updates: Array<Target_View_Type_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_TaskArgs = {
    _inc?: InputMaybe<Task_Inc_Input>;
    _set?: InputMaybe<Task_Set_Input>;
    where: Task_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Task_By_PkArgs = {
    _inc?: InputMaybe<Task_Inc_Input>;
    _set?: InputMaybe<Task_Set_Input>;
    pk_columns: Task_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Task_ManyArgs = {
    updates: Array<Task_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_ThemeArgs = {
    _inc?: InputMaybe<Theme_Inc_Input>;
    _set?: InputMaybe<Theme_Set_Input>;
    where: Theme_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Theme_By_PkArgs = {
    _inc?: InputMaybe<Theme_Inc_Input>;
    _set?: InputMaybe<Theme_Set_Input>;
    pk_columns: Theme_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Theme_ManyArgs = {
    updates: Array<Theme_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Treasure_UserArgs = {
    _inc?: InputMaybe<Treasure_User_Inc_Input>;
    _set?: InputMaybe<Treasure_User_Set_Input>;
    where: Treasure_User_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Treasure_User_By_PkArgs = {
    _inc?: InputMaybe<Treasure_User_Inc_Input>;
    _set?: InputMaybe<Treasure_User_Set_Input>;
    pk_columns: Treasure_User_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Treasure_User_ManyArgs = {
    updates: Array<Treasure_User_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_UniverseArgs = {
    _inc?: InputMaybe<Universe_Inc_Input>;
    _set?: InputMaybe<Universe_Set_Input>;
    where: Universe_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_By_PkArgs = {
    _inc?: InputMaybe<Universe_Inc_Input>;
    _set?: InputMaybe<Universe_Set_Input>;
    pk_columns: Universe_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_ManyArgs = {
    updates: Array<Universe_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_MemberArgs = {
    _inc?: InputMaybe<Universe_Member_Inc_Input>;
    _set?: InputMaybe<Universe_Member_Set_Input>;
    where: Universe_Member_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Member_By_PkArgs = {
    _inc?: InputMaybe<Universe_Member_Inc_Input>;
    _set?: InputMaybe<Universe_Member_Set_Input>;
    pk_columns: Universe_Member_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Member_ManyArgs = {
    updates: Array<Universe_Member_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_PolicyArgs = {
    _inc?: InputMaybe<Universe_Policy_Inc_Input>;
    _set?: InputMaybe<Universe_Policy_Set_Input>;
    where: Universe_Policy_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Policy_By_PkArgs = {
    _inc?: InputMaybe<Universe_Policy_Inc_Input>;
    _set?: InputMaybe<Universe_Policy_Set_Input>;
    pk_columns: Universe_Policy_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Policy_ManyArgs = {
    updates: Array<Universe_Policy_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_ResourceArgs = {
    _inc?: InputMaybe<Universe_Resource_Inc_Input>;
    _set?: InputMaybe<Universe_Resource_Set_Input>;
    where: Universe_Resource_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Resource_By_PkArgs = {
    _inc?: InputMaybe<Universe_Resource_Inc_Input>;
    _set?: InputMaybe<Universe_Resource_Set_Input>;
    pk_columns: Universe_Resource_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_Resource_ManyArgs = {
    updates: Array<Universe_Resource_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_StateArgs = {
    _inc?: InputMaybe<Universe_State_Inc_Input>;
    _set?: InputMaybe<Universe_State_Set_Input>;
    where: Universe_State_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_State_By_PkArgs = {
    _inc?: InputMaybe<Universe_State_Inc_Input>;
    _set?: InputMaybe<Universe_State_Set_Input>;
    pk_columns: Universe_State_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Universe_State_ManyArgs = {
    updates: Array<Universe_State_Updates>;
};
/** mutation root */
export type Mutation_RootUpdate_UsersArgs = {
    _set?: InputMaybe<Users_Set_Input>;
    where: Users_Bool_Exp;
};
/** mutation root */
export type Mutation_RootUpdate_Users_By_PkArgs = {
    _set?: InputMaybe<Users_Set_Input>;
    pk_columns: Users_Pk_Columns_Input;
};
/** mutation root */
export type Mutation_RootUpdate_Users_ManyArgs = {
    updates: Array<Users_Updates>;
};
/** Boolean expression to compare columns of type "numeric". All fields are combined with logical 'AND'. */
export type Numeric_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['numeric']>;
    _gt?: InputMaybe<Scalars['numeric']>;
    _gte?: InputMaybe<Scalars['numeric']>;
    _in?: InputMaybe<Array<Scalars['numeric']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['numeric']>;
    _lte?: InputMaybe<Scalars['numeric']>;
    _neq?: InputMaybe<Scalars['numeric']>;
    _nin?: InputMaybe<Array<Scalars['numeric']>>;
};
/** columns and relationships of "operation" */
export type Operation = {
    __typename?: 'operation';
    answer?: Maybe<Scalars['String']>;
    condition?: Maybe<Scalars['String']>;
    explanation?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_instant?: Maybe<Scalars['Boolean']>;
    /** An array relationship */
    locusImitates: Array<Locus_Imitate>;
    /** An aggregate relationship */
    locusImitates_aggregate: Locus_Imitate_Aggregate;
    /** An object relationship */
    operationType?: Maybe<Operation_Type>;
    operation_state_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    operators: Array<Operation_Operator>;
    /** An aggregate relationship */
    operators_aggregate: Operation_Operator_Aggregate;
    /** An object relationship */
    relatedPiece?: Maybe<Piece>;
    related_piece_hash?: Maybe<Scalars['String']>;
    /** An object relationship */
    state?: Maybe<Operation_State>;
};
/** columns and relationships of "operation" */
export type OperationLocusImitatesArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
/** columns and relationships of "operation" */
export type OperationLocusImitates_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
/** columns and relationships of "operation" */
export type OperationOperatorsArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
/** columns and relationships of "operation" */
export type OperationOperators_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
/** aggregated selection of "operation" */
export type Operation_Aggregate = {
    __typename?: 'operation_aggregate';
    aggregate?: Maybe<Operation_Aggregate_Fields>;
    nodes: Array<Operation>;
};
/** aggregate fields of "operation" */
export type Operation_Aggregate_Fields = {
    __typename?: 'operation_aggregate_fields';
    avg?: Maybe<Operation_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_Max_Fields>;
    min?: Maybe<Operation_Min_Fields>;
    stddev?: Maybe<Operation_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_Sum_Fields>;
    var_pop?: Maybe<Operation_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_Var_Samp_Fields>;
    variance?: Maybe<Operation_Variance_Fields>;
};
/** aggregate fields of "operation" */
export type Operation_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operation_Avg_Fields = {
    __typename?: 'operation_avg_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operation". All fields are combined with a logical 'AND'. */
export type Operation_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_Bool_Exp>>;
    _not?: InputMaybe<Operation_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_Bool_Exp>>;
    answer?: InputMaybe<String_Comparison_Exp>;
    condition?: InputMaybe<String_Comparison_Exp>;
    explanation?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_instant?: InputMaybe<Boolean_Comparison_Exp>;
    locusImitates?: InputMaybe<Locus_Imitate_Bool_Exp>;
    locusImitates_aggregate?: InputMaybe<Locus_Imitate_Aggregate_Bool_Exp>;
    operationType?: InputMaybe<Operation_Type_Bool_Exp>;
    operation_state_id?: InputMaybe<Int_Comparison_Exp>;
    operation_type_id?: InputMaybe<Int_Comparison_Exp>;
    operators?: InputMaybe<Operation_Operator_Bool_Exp>;
    operators_aggregate?: InputMaybe<Operation_Operator_Aggregate_Bool_Exp>;
    relatedPiece?: InputMaybe<Piece_Bool_Exp>;
    related_piece_hash?: InputMaybe<String_Comparison_Exp>;
    state?: InputMaybe<Operation_State_Bool_Exp>;
};
/** unique or primary key constraints on table "operation" */
export declare enum Operation_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperationPkey = "operation_pkey"
}
/** input type for incrementing numeric columns in table "operation" */
export type Operation_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    operation_state_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation" */
export type Operation_Insert_Input = {
    answer?: InputMaybe<Scalars['String']>;
    condition?: InputMaybe<Scalars['String']>;
    explanation?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    locusImitates?: InputMaybe<Locus_Imitate_Arr_Rel_Insert_Input>;
    operationType?: InputMaybe<Operation_Type_Obj_Rel_Insert_Input>;
    operation_state_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
    operators?: InputMaybe<Operation_Operator_Arr_Rel_Insert_Input>;
    relatedPiece?: InputMaybe<Piece_Obj_Rel_Insert_Input>;
    related_piece_hash?: InputMaybe<Scalars['String']>;
    state?: InputMaybe<Operation_State_Obj_Rel_Insert_Input>;
};
/** columns and relationships of "operation_maintain_type" */
export type Operation_Maintain_Type = {
    __typename?: 'operation_maintain_type';
    /** An object relationship */
    actionOnDestroyed?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnHoldFromIdle?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnHoldFromInspecting?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnHoldFromRecovering?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnIdleFromHold?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnIdleFromInspecting?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnIdleFromRecovering?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnInspectingFromHold?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnInspectingFromIdle?: Maybe<Game_Action>;
    /** An object relationship */
    actionOnRecovering?: Maybe<Game_Action>;
    estimated_recover_hours?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    inspectionTerm?: Maybe<Kairos>;
    inspection_term_id?: Maybe<Scalars['Int']>;
    is_need_to_alarm_inspect?: Maybe<Scalars['Boolean']>;
    is_need_to_inspect?: Maybe<Scalars['Boolean']>;
    on_destroyed_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_recovering_game_action?: Maybe<Scalars['Int']>;
    required_operators_number?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "operation_maintain_type" */
export type Operation_Maintain_Type_Aggregate = {
    __typename?: 'operation_maintain_type_aggregate';
    aggregate?: Maybe<Operation_Maintain_Type_Aggregate_Fields>;
    nodes: Array<Operation_Maintain_Type>;
};
/** aggregate fields of "operation_maintain_type" */
export type Operation_Maintain_Type_Aggregate_Fields = {
    __typename?: 'operation_maintain_type_aggregate_fields';
    avg?: Maybe<Operation_Maintain_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_Maintain_Type_Max_Fields>;
    min?: Maybe<Operation_Maintain_Type_Min_Fields>;
    stddev?: Maybe<Operation_Maintain_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_Maintain_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_Maintain_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_Maintain_Type_Sum_Fields>;
    var_pop?: Maybe<Operation_Maintain_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_Maintain_Type_Var_Samp_Fields>;
    variance?: Maybe<Operation_Maintain_Type_Variance_Fields>;
};
/** aggregate fields of "operation_maintain_type" */
export type Operation_Maintain_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_Maintain_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operation_Maintain_Type_Avg_Fields = {
    __typename?: 'operation_maintain_type_avg_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operation_maintain_type". All fields are combined with a logical 'AND'. */
export type Operation_Maintain_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_Maintain_Type_Bool_Exp>>;
    _not?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_Maintain_Type_Bool_Exp>>;
    actionOnDestroyed?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnHoldFromIdle?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnHoldFromInspecting?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnHoldFromRecovering?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnIdleFromHold?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnIdleFromInspecting?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnIdleFromRecovering?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnInspectingFromHold?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnInspectingFromIdle?: InputMaybe<Game_Action_Bool_Exp>;
    actionOnRecovering?: InputMaybe<Game_Action_Bool_Exp>;
    estimated_recover_hours?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    inspectionTerm?: InputMaybe<Kairos_Bool_Exp>;
    inspection_term_id?: InputMaybe<Int_Comparison_Exp>;
    is_need_to_alarm_inspect?: InputMaybe<Boolean_Comparison_Exp>;
    is_need_to_inspect?: InputMaybe<Boolean_Comparison_Exp>;
    on_destroyed_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_hold_from_idle_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_hold_from_inpecting_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_hold_from_recovering_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_idle_from_hold_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_idle_from_inspecting_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_idle_from_recovering_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_inspecting_from_hold_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_inspecting_from_idle_game_action?: InputMaybe<Int_Comparison_Exp>;
    on_recovering_game_action?: InputMaybe<Int_Comparison_Exp>;
    required_operators_number?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "operation_maintain_type" */
export declare enum Operation_Maintain_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperationMaintainTypePkey = "operation_maintain_type_pkey"
}
/** input type for incrementing numeric columns in table "operation_maintain_type" */
export type Operation_Maintain_Type_Inc_Input = {
    estimated_recover_hours?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    inspection_term_id?: InputMaybe<Scalars['Int']>;
    on_destroyed_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_recovering_game_action?: InputMaybe<Scalars['Int']>;
    required_operators_number?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation_maintain_type" */
export type Operation_Maintain_Type_Insert_Input = {
    actionOnDestroyed?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnHoldFromIdle?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnHoldFromInspecting?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnHoldFromRecovering?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnIdleFromHold?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnIdleFromInspecting?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnIdleFromRecovering?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnInspectingFromHold?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnInspectingFromIdle?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    actionOnRecovering?: InputMaybe<Game_Action_Obj_Rel_Insert_Input>;
    estimated_recover_hours?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    inspectionTerm?: InputMaybe<Kairos_Obj_Rel_Insert_Input>;
    inspection_term_id?: InputMaybe<Scalars['Int']>;
    is_need_to_alarm_inspect?: InputMaybe<Scalars['Boolean']>;
    is_need_to_inspect?: InputMaybe<Scalars['Boolean']>;
    on_destroyed_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_recovering_game_action?: InputMaybe<Scalars['Int']>;
    required_operators_number?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Operation_Maintain_Type_Max_Fields = {
    __typename?: 'operation_maintain_type_max_fields';
    estimated_recover_hours?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    inspection_term_id?: Maybe<Scalars['Int']>;
    on_destroyed_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_recovering_game_action?: Maybe<Scalars['Int']>;
    required_operators_number?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Operation_Maintain_Type_Min_Fields = {
    __typename?: 'operation_maintain_type_min_fields';
    estimated_recover_hours?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    inspection_term_id?: Maybe<Scalars['Int']>;
    on_destroyed_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_recovering_game_action?: Maybe<Scalars['Int']>;
    required_operators_number?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "operation_maintain_type" */
export type Operation_Maintain_Type_Mutation_Response = {
    __typename?: 'operation_maintain_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation_Maintain_Type>;
};
/** input type for inserting object relation for remote table "operation_maintain_type" */
export type Operation_Maintain_Type_Obj_Rel_Insert_Input = {
    data: Operation_Maintain_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_Maintain_Type_On_Conflict>;
};
/** on_conflict condition type for table "operation_maintain_type" */
export type Operation_Maintain_Type_On_Conflict = {
    constraint: Operation_Maintain_Type_Constraint;
    update_columns?: Array<Operation_Maintain_Type_Update_Column>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "operation_maintain_type". */
export type Operation_Maintain_Type_Order_By = {
    actionOnDestroyed?: InputMaybe<Game_Action_Order_By>;
    actionOnHoldFromIdle?: InputMaybe<Game_Action_Order_By>;
    actionOnHoldFromInspecting?: InputMaybe<Game_Action_Order_By>;
    actionOnHoldFromRecovering?: InputMaybe<Game_Action_Order_By>;
    actionOnIdleFromHold?: InputMaybe<Game_Action_Order_By>;
    actionOnIdleFromInspecting?: InputMaybe<Game_Action_Order_By>;
    actionOnIdleFromRecovering?: InputMaybe<Game_Action_Order_By>;
    actionOnInspectingFromHold?: InputMaybe<Game_Action_Order_By>;
    actionOnInspectingFromIdle?: InputMaybe<Game_Action_Order_By>;
    actionOnRecovering?: InputMaybe<Game_Action_Order_By>;
    estimated_recover_hours?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    inspectionTerm?: InputMaybe<Kairos_Order_By>;
    inspection_term_id?: InputMaybe<Order_By>;
    is_need_to_alarm_inspect?: InputMaybe<Order_By>;
    is_need_to_inspect?: InputMaybe<Order_By>;
    on_destroyed_game_action?: InputMaybe<Order_By>;
    on_hold_from_idle_game_action?: InputMaybe<Order_By>;
    on_hold_from_inpecting_game_action?: InputMaybe<Order_By>;
    on_hold_from_recovering_game_action?: InputMaybe<Order_By>;
    on_idle_from_hold_game_action?: InputMaybe<Order_By>;
    on_idle_from_inspecting_game_action?: InputMaybe<Order_By>;
    on_idle_from_recovering_game_action?: InputMaybe<Order_By>;
    on_inspecting_from_hold_game_action?: InputMaybe<Order_By>;
    on_inspecting_from_idle_game_action?: InputMaybe<Order_By>;
    on_recovering_game_action?: InputMaybe<Order_By>;
    required_operators_number?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operation_maintain_type */
export type Operation_Maintain_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation_maintain_type" */
export declare enum Operation_Maintain_Type_Select_Column {
    /** column name */
    EstimatedRecoverHours = "estimated_recover_hours",
    /** column name */
    Id = "id",
    /** column name */
    InspectionTermId = "inspection_term_id",
    /** column name */
    IsNeedToAlarmInspect = "is_need_to_alarm_inspect",
    /** column name */
    IsNeedToInspect = "is_need_to_inspect",
    /** column name */
    OnDestroyedGameAction = "on_destroyed_game_action",
    /** column name */
    OnHoldFromIdleGameAction = "on_hold_from_idle_game_action",
    /** column name */
    OnHoldFromInpectingGameAction = "on_hold_from_inpecting_game_action",
    /** column name */
    OnHoldFromRecoveringGameAction = "on_hold_from_recovering_game_action",
    /** column name */
    OnIdleFromHoldGameAction = "on_idle_from_hold_game_action",
    /** column name */
    OnIdleFromInspectingGameAction = "on_idle_from_inspecting_game_action",
    /** column name */
    OnIdleFromRecoveringGameAction = "on_idle_from_recovering_game_action",
    /** column name */
    OnInspectingFromHoldGameAction = "on_inspecting_from_hold_game_action",
    /** column name */
    OnInspectingFromIdleGameAction = "on_inspecting_from_idle_game_action",
    /** column name */
    OnRecoveringGameAction = "on_recovering_game_action",
    /** column name */
    RequiredOperatorsNumber = "required_operators_number"
}
/** input type for updating data in table "operation_maintain_type" */
export type Operation_Maintain_Type_Set_Input = {
    estimated_recover_hours?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    inspection_term_id?: InputMaybe<Scalars['Int']>;
    is_need_to_alarm_inspect?: InputMaybe<Scalars['Boolean']>;
    is_need_to_inspect?: InputMaybe<Scalars['Boolean']>;
    on_destroyed_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_recovering_game_action?: InputMaybe<Scalars['Int']>;
    required_operators_number?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Operation_Maintain_Type_Stddev_Fields = {
    __typename?: 'operation_maintain_type_stddev_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operation_Maintain_Type_Stddev_Pop_Fields = {
    __typename?: 'operation_maintain_type_stddev_pop_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operation_Maintain_Type_Stddev_Samp_Fields = {
    __typename?: 'operation_maintain_type_stddev_samp_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operation_maintain_type" */
export type Operation_Maintain_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_Maintain_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_Maintain_Type_Stream_Cursor_Value_Input = {
    estimated_recover_hours?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    inspection_term_id?: InputMaybe<Scalars['Int']>;
    is_need_to_alarm_inspect?: InputMaybe<Scalars['Boolean']>;
    is_need_to_inspect?: InputMaybe<Scalars['Boolean']>;
    on_destroyed_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: InputMaybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: InputMaybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: InputMaybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: InputMaybe<Scalars['Int']>;
    on_recovering_game_action?: InputMaybe<Scalars['Int']>;
    required_operators_number?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Operation_Maintain_Type_Sum_Fields = {
    __typename?: 'operation_maintain_type_sum_fields';
    estimated_recover_hours?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    inspection_term_id?: Maybe<Scalars['Int']>;
    on_destroyed_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Int']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Int']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Int']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Int']>;
    on_recovering_game_action?: Maybe<Scalars['Int']>;
    required_operators_number?: Maybe<Scalars['Int']>;
};
/** update columns of table "operation_maintain_type" */
export declare enum Operation_Maintain_Type_Update_Column {
    /** column name */
    EstimatedRecoverHours = "estimated_recover_hours",
    /** column name */
    Id = "id",
    /** column name */
    InspectionTermId = "inspection_term_id",
    /** column name */
    IsNeedToAlarmInspect = "is_need_to_alarm_inspect",
    /** column name */
    IsNeedToInspect = "is_need_to_inspect",
    /** column name */
    OnDestroyedGameAction = "on_destroyed_game_action",
    /** column name */
    OnHoldFromIdleGameAction = "on_hold_from_idle_game_action",
    /** column name */
    OnHoldFromInpectingGameAction = "on_hold_from_inpecting_game_action",
    /** column name */
    OnHoldFromRecoveringGameAction = "on_hold_from_recovering_game_action",
    /** column name */
    OnIdleFromHoldGameAction = "on_idle_from_hold_game_action",
    /** column name */
    OnIdleFromInspectingGameAction = "on_idle_from_inspecting_game_action",
    /** column name */
    OnIdleFromRecoveringGameAction = "on_idle_from_recovering_game_action",
    /** column name */
    OnInspectingFromHoldGameAction = "on_inspecting_from_hold_game_action",
    /** column name */
    OnInspectingFromIdleGameAction = "on_inspecting_from_idle_game_action",
    /** column name */
    OnRecoveringGameAction = "on_recovering_game_action",
    /** column name */
    RequiredOperatorsNumber = "required_operators_number"
}
export type Operation_Maintain_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_Maintain_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_Maintain_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_Maintain_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_Maintain_Type_Var_Pop_Fields = {
    __typename?: 'operation_maintain_type_var_pop_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operation_Maintain_Type_Var_Samp_Fields = {
    __typename?: 'operation_maintain_type_var_samp_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operation_Maintain_Type_Variance_Fields = {
    __typename?: 'operation_maintain_type_variance_fields';
    estimated_recover_hours?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    inspection_term_id?: Maybe<Scalars['Float']>;
    on_destroyed_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_inpecting_game_action?: Maybe<Scalars['Float']>;
    on_hold_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_inspecting_game_action?: Maybe<Scalars['Float']>;
    on_idle_from_recovering_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_hold_game_action?: Maybe<Scalars['Float']>;
    on_inspecting_from_idle_game_action?: Maybe<Scalars['Float']>;
    on_recovering_game_action?: Maybe<Scalars['Float']>;
    required_operators_number?: Maybe<Scalars['Float']>;
};
/** aggregate max on columns */
export type Operation_Max_Fields = {
    __typename?: 'operation_max_fields';
    answer?: Maybe<Scalars['String']>;
    condition?: Maybe<Scalars['String']>;
    explanation?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    operation_state_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
    related_piece_hash?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Operation_Min_Fields = {
    __typename?: 'operation_min_fields';
    answer?: Maybe<Scalars['String']>;
    condition?: Maybe<Scalars['String']>;
    explanation?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    operation_state_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
    related_piece_hash?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "operation" */
export type Operation_Mutation_Response = {
    __typename?: 'operation_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation>;
};
/** input type for inserting object relation for remote table "operation" */
export type Operation_Obj_Rel_Insert_Input = {
    data: Operation_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_On_Conflict>;
};
/** on_conflict condition type for table "operation" */
export type Operation_On_Conflict = {
    constraint: Operation_Constraint;
    update_columns?: Array<Operation_Update_Column>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
/** columns and relationships of "operation_operator" */
export type Operation_Operator = {
    __typename?: 'operation_operator';
    id: Scalars['Int'];
    /** An object relationship */
    operation: Operation;
    operation_id: Scalars['Int'];
    /** An object relationship */
    operator: Treasure_User;
    operator_id: Scalars['Int'];
    operator_state_type_id?: Maybe<Scalars['Int']>;
    total_count?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "operation_operator" */
export type Operation_Operator_Aggregate = {
    __typename?: 'operation_operator_aggregate';
    aggregate?: Maybe<Operation_Operator_Aggregate_Fields>;
    nodes: Array<Operation_Operator>;
};
export type Operation_Operator_Aggregate_Bool_Exp = {
    count?: InputMaybe<Operation_Operator_Aggregate_Bool_Exp_Count>;
};
export type Operation_Operator_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Operation_Operator_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "operation_operator" */
export type Operation_Operator_Aggregate_Fields = {
    __typename?: 'operation_operator_aggregate_fields';
    avg?: Maybe<Operation_Operator_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_Operator_Max_Fields>;
    min?: Maybe<Operation_Operator_Min_Fields>;
    stddev?: Maybe<Operation_Operator_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_Operator_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_Operator_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_Operator_Sum_Fields>;
    var_pop?: Maybe<Operation_Operator_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_Operator_Var_Samp_Fields>;
    variance?: Maybe<Operation_Operator_Variance_Fields>;
};
/** aggregate fields of "operation_operator" */
export type Operation_Operator_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "operation_operator" */
export type Operation_Operator_Aggregate_Order_By = {
    avg?: InputMaybe<Operation_Operator_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Operation_Operator_Max_Order_By>;
    min?: InputMaybe<Operation_Operator_Min_Order_By>;
    stddev?: InputMaybe<Operation_Operator_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Operation_Operator_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Operation_Operator_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Operation_Operator_Sum_Order_By>;
    var_pop?: InputMaybe<Operation_Operator_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Operation_Operator_Var_Samp_Order_By>;
    variance?: InputMaybe<Operation_Operator_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "operation_operator" */
export type Operation_Operator_Arr_Rel_Insert_Input = {
    data: Array<Operation_Operator_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_Operator_On_Conflict>;
};
/** aggregate avg on columns */
export type Operation_Operator_Avg_Fields = {
    __typename?: 'operation_operator_avg_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "operation_operator" */
export type Operation_Operator_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "operation_operator". All fields are combined with a logical 'AND'. */
export type Operation_Operator_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_Operator_Bool_Exp>>;
    _not?: InputMaybe<Operation_Operator_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_Operator_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    operation?: InputMaybe<Operation_Bool_Exp>;
    operation_id?: InputMaybe<Int_Comparison_Exp>;
    operator?: InputMaybe<Treasure_User_Bool_Exp>;
    operator_id?: InputMaybe<Int_Comparison_Exp>;
    operator_state_type_id?: InputMaybe<Int_Comparison_Exp>;
    total_count?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "operation_operator" */
export declare enum Operation_Operator_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperataionOperatorsPkey = "operataion_operators_pkey"
}
/** input type for incrementing numeric columns in table "operation_operator" */
export type Operation_Operator_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    operation_id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    operator_state_type_id?: InputMaybe<Scalars['Int']>;
    total_count?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation_operator" */
export type Operation_Operator_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    operation?: InputMaybe<Operation_Obj_Rel_Insert_Input>;
    operation_id?: InputMaybe<Scalars['Int']>;
    operator?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    operator_id?: InputMaybe<Scalars['Int']>;
    operator_state_type_id?: InputMaybe<Scalars['Int']>;
    total_count?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Operation_Operator_Max_Fields = {
    __typename?: 'operation_operator_max_fields';
    id?: Maybe<Scalars['Int']>;
    operation_id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    operator_state_type_id?: Maybe<Scalars['Int']>;
    total_count?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "operation_operator" */
export type Operation_Operator_Max_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Operation_Operator_Min_Fields = {
    __typename?: 'operation_operator_min_fields';
    id?: Maybe<Scalars['Int']>;
    operation_id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    operator_state_type_id?: Maybe<Scalars['Int']>;
    total_count?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "operation_operator" */
export type Operation_Operator_Min_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "operation_operator" */
export type Operation_Operator_Mutation_Response = {
    __typename?: 'operation_operator_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation_Operator>;
};
/** on_conflict condition type for table "operation_operator" */
export type Operation_Operator_On_Conflict = {
    constraint: Operation_Operator_Constraint;
    update_columns?: Array<Operation_Operator_Update_Column>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
/** Ordering options when selecting data from "operation_operator". */
export type Operation_Operator_Order_By = {
    id?: InputMaybe<Order_By>;
    operation?: InputMaybe<Operation_Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator?: InputMaybe<Treasure_User_Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operation_operator */
export type Operation_Operator_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation_operator" */
export declare enum Operation_Operator_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    OperationId = "operation_id",
    /** column name */
    OperatorId = "operator_id",
    /** column name */
    OperatorStateTypeId = "operator_state_type_id",
    /** column name */
    TotalCount = "total_count"
}
/** input type for updating data in table "operation_operator" */
export type Operation_Operator_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    operation_id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    operator_state_type_id?: InputMaybe<Scalars['Int']>;
    total_count?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Operation_Operator_Stddev_Fields = {
    __typename?: 'operation_operator_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "operation_operator" */
export type Operation_Operator_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Operation_Operator_Stddev_Pop_Fields = {
    __typename?: 'operation_operator_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "operation_operator" */
export type Operation_Operator_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Operation_Operator_Stddev_Samp_Fields = {
    __typename?: 'operation_operator_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "operation_operator" */
export type Operation_Operator_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "operation_operator" */
export type Operation_Operator_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_Operator_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_Operator_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    operation_id?: InputMaybe<Scalars['Int']>;
    operator_id?: InputMaybe<Scalars['Int']>;
    operator_state_type_id?: InputMaybe<Scalars['Int']>;
    total_count?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Operation_Operator_Sum_Fields = {
    __typename?: 'operation_operator_sum_fields';
    id?: Maybe<Scalars['Int']>;
    operation_id?: Maybe<Scalars['Int']>;
    operator_id?: Maybe<Scalars['Int']>;
    operator_state_type_id?: Maybe<Scalars['Int']>;
    total_count?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "operation_operator" */
export type Operation_Operator_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** update columns of table "operation_operator" */
export declare enum Operation_Operator_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    OperationId = "operation_id",
    /** column name */
    OperatorId = "operator_id",
    /** column name */
    OperatorStateTypeId = "operator_state_type_id",
    /** column name */
    TotalCount = "total_count"
}
export type Operation_Operator_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_Operator_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_Operator_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_Operator_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_Operator_Var_Pop_Fields = {
    __typename?: 'operation_operator_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "operation_operator" */
export type Operation_Operator_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Operation_Operator_Var_Samp_Fields = {
    __typename?: 'operation_operator_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "operation_operator" */
export type Operation_Operator_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Operation_Operator_Variance_Fields = {
    __typename?: 'operation_operator_variance_fields';
    id?: Maybe<Scalars['Float']>;
    operation_id?: Maybe<Scalars['Float']>;
    operator_id?: Maybe<Scalars['Float']>;
    operator_state_type_id?: Maybe<Scalars['Float']>;
    total_count?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "operation_operator" */
export type Operation_Operator_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    operation_id?: InputMaybe<Order_By>;
    operator_id?: InputMaybe<Order_By>;
    operator_state_type_id?: InputMaybe<Order_By>;
    total_count?: InputMaybe<Order_By>;
};
/** Ordering options when selecting data from "operation". */
export type Operation_Order_By = {
    answer?: InputMaybe<Order_By>;
    condition?: InputMaybe<Order_By>;
    explanation?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_instant?: InputMaybe<Order_By>;
    locusImitates_aggregate?: InputMaybe<Locus_Imitate_Aggregate_Order_By>;
    operationType?: InputMaybe<Operation_Type_Order_By>;
    operation_state_id?: InputMaybe<Order_By>;
    operation_type_id?: InputMaybe<Order_By>;
    operators_aggregate?: InputMaybe<Operation_Operator_Aggregate_Order_By>;
    relatedPiece?: InputMaybe<Piece_Order_By>;
    related_piece_hash?: InputMaybe<Order_By>;
    state?: InputMaybe<Operation_State_Order_By>;
};
/** primary key columns input for table: operation */
export type Operation_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation" */
export declare enum Operation_Select_Column {
    /** column name */
    Answer = "answer",
    /** column name */
    Condition = "condition",
    /** column name */
    Explanation = "explanation",
    /** column name */
    Id = "id",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    OperationStateId = "operation_state_id",
    /** column name */
    OperationTypeId = "operation_type_id",
    /** column name */
    RelatedPieceHash = "related_piece_hash"
}
/** input type for updating data in table "operation" */
export type Operation_Set_Input = {
    answer?: InputMaybe<Scalars['String']>;
    condition?: InputMaybe<Scalars['String']>;
    explanation?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    operation_state_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
    related_piece_hash?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "operation_setting_type" */
export type Operation_Setting_Type = {
    __typename?: 'operation_setting_type';
    id: Scalars['Int'];
    is_attatch_to_wall_possible?: Maybe<Scalars['Boolean']>;
    is_bw_print_possible?: Maybe<Scalars['Boolean']>;
    is_color_print_possible?: Maybe<Scalars['Boolean']>;
    is_install_possible?: Maybe<Scalars['Boolean']>;
    is_person_response_possible?: Maybe<Scalars['Boolean']>;
    is_person_transmit_stuff_possible?: Maybe<Scalars['Boolean']>;
    is_play_media_possible?: Maybe<Scalars['Boolean']>;
    is_settle_bundle_possible?: Maybe<Scalars['Boolean']>;
    is_settle_stuff_possible?: Maybe<Scalars['Boolean']>;
    is_settle_tablet_possible?: Maybe<Scalars['Boolean']>;
    max_print_size?: Maybe<Scalars['String']>;
};
/** aggregated selection of "operation_setting_type" */
export type Operation_Setting_Type_Aggregate = {
    __typename?: 'operation_setting_type_aggregate';
    aggregate?: Maybe<Operation_Setting_Type_Aggregate_Fields>;
    nodes: Array<Operation_Setting_Type>;
};
/** aggregate fields of "operation_setting_type" */
export type Operation_Setting_Type_Aggregate_Fields = {
    __typename?: 'operation_setting_type_aggregate_fields';
    avg?: Maybe<Operation_Setting_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_Setting_Type_Max_Fields>;
    min?: Maybe<Operation_Setting_Type_Min_Fields>;
    stddev?: Maybe<Operation_Setting_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_Setting_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_Setting_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_Setting_Type_Sum_Fields>;
    var_pop?: Maybe<Operation_Setting_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_Setting_Type_Var_Samp_Fields>;
    variance?: Maybe<Operation_Setting_Type_Variance_Fields>;
};
/** aggregate fields of "operation_setting_type" */
export type Operation_Setting_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_Setting_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operation_Setting_Type_Avg_Fields = {
    __typename?: 'operation_setting_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operation_setting_type". All fields are combined with a logical 'AND'. */
export type Operation_Setting_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_Setting_Type_Bool_Exp>>;
    _not?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_Setting_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_attatch_to_wall_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_bw_print_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_color_print_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_install_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_person_response_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_person_transmit_stuff_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_play_media_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_settle_bundle_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_settle_stuff_possible?: InputMaybe<Boolean_Comparison_Exp>;
    is_settle_tablet_possible?: InputMaybe<Boolean_Comparison_Exp>;
    max_print_size?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "operation_setting_type" */
export declare enum Operation_Setting_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperationSettingTypePkey = "operation_setting_type_pkey"
}
/** input type for incrementing numeric columns in table "operation_setting_type" */
export type Operation_Setting_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation_setting_type" */
export type Operation_Setting_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_attatch_to_wall_possible?: InputMaybe<Scalars['Boolean']>;
    is_bw_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_color_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_install_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_response_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_transmit_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_play_media_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_bundle_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_tablet_possible?: InputMaybe<Scalars['Boolean']>;
    max_print_size?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Operation_Setting_Type_Max_Fields = {
    __typename?: 'operation_setting_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    max_print_size?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Operation_Setting_Type_Min_Fields = {
    __typename?: 'operation_setting_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    max_print_size?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "operation_setting_type" */
export type Operation_Setting_Type_Mutation_Response = {
    __typename?: 'operation_setting_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation_Setting_Type>;
};
/** input type for inserting object relation for remote table "operation_setting_type" */
export type Operation_Setting_Type_Obj_Rel_Insert_Input = {
    data: Operation_Setting_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_Setting_Type_On_Conflict>;
};
/** on_conflict condition type for table "operation_setting_type" */
export type Operation_Setting_Type_On_Conflict = {
    constraint: Operation_Setting_Type_Constraint;
    update_columns?: Array<Operation_Setting_Type_Update_Column>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "operation_setting_type". */
export type Operation_Setting_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_attatch_to_wall_possible?: InputMaybe<Order_By>;
    is_bw_print_possible?: InputMaybe<Order_By>;
    is_color_print_possible?: InputMaybe<Order_By>;
    is_install_possible?: InputMaybe<Order_By>;
    is_person_response_possible?: InputMaybe<Order_By>;
    is_person_transmit_stuff_possible?: InputMaybe<Order_By>;
    is_play_media_possible?: InputMaybe<Order_By>;
    is_settle_bundle_possible?: InputMaybe<Order_By>;
    is_settle_stuff_possible?: InputMaybe<Order_By>;
    is_settle_tablet_possible?: InputMaybe<Order_By>;
    max_print_size?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operation_setting_type */
export type Operation_Setting_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation_setting_type" */
export declare enum Operation_Setting_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsAttatchToWallPossible = "is_attatch_to_wall_possible",
    /** column name */
    IsBwPrintPossible = "is_bw_print_possible",
    /** column name */
    IsColorPrintPossible = "is_color_print_possible",
    /** column name */
    IsInstallPossible = "is_install_possible",
    /** column name */
    IsPersonResponsePossible = "is_person_response_possible",
    /** column name */
    IsPersonTransmitStuffPossible = "is_person_transmit_stuff_possible",
    /** column name */
    IsPlayMediaPossible = "is_play_media_possible",
    /** column name */
    IsSettleBundlePossible = "is_settle_bundle_possible",
    /** column name */
    IsSettleStuffPossible = "is_settle_stuff_possible",
    /** column name */
    IsSettleTabletPossible = "is_settle_tablet_possible",
    /** column name */
    MaxPrintSize = "max_print_size"
}
/** input type for updating data in table "operation_setting_type" */
export type Operation_Setting_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_attatch_to_wall_possible?: InputMaybe<Scalars['Boolean']>;
    is_bw_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_color_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_install_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_response_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_transmit_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_play_media_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_bundle_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_tablet_possible?: InputMaybe<Scalars['Boolean']>;
    max_print_size?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Operation_Setting_Type_Stddev_Fields = {
    __typename?: 'operation_setting_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operation_Setting_Type_Stddev_Pop_Fields = {
    __typename?: 'operation_setting_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operation_Setting_Type_Stddev_Samp_Fields = {
    __typename?: 'operation_setting_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operation_setting_type" */
export type Operation_Setting_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_Setting_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_Setting_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_attatch_to_wall_possible?: InputMaybe<Scalars['Boolean']>;
    is_bw_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_color_print_possible?: InputMaybe<Scalars['Boolean']>;
    is_install_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_response_possible?: InputMaybe<Scalars['Boolean']>;
    is_person_transmit_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_play_media_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_bundle_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_stuff_possible?: InputMaybe<Scalars['Boolean']>;
    is_settle_tablet_possible?: InputMaybe<Scalars['Boolean']>;
    max_print_size?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Operation_Setting_Type_Sum_Fields = {
    __typename?: 'operation_setting_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "operation_setting_type" */
export declare enum Operation_Setting_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsAttatchToWallPossible = "is_attatch_to_wall_possible",
    /** column name */
    IsBwPrintPossible = "is_bw_print_possible",
    /** column name */
    IsColorPrintPossible = "is_color_print_possible",
    /** column name */
    IsInstallPossible = "is_install_possible",
    /** column name */
    IsPersonResponsePossible = "is_person_response_possible",
    /** column name */
    IsPersonTransmitStuffPossible = "is_person_transmit_stuff_possible",
    /** column name */
    IsPlayMediaPossible = "is_play_media_possible",
    /** column name */
    IsSettleBundlePossible = "is_settle_bundle_possible",
    /** column name */
    IsSettleStuffPossible = "is_settle_stuff_possible",
    /** column name */
    IsSettleTabletPossible = "is_settle_tablet_possible",
    /** column name */
    MaxPrintSize = "max_print_size"
}
export type Operation_Setting_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_Setting_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_Setting_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_Setting_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_Setting_Type_Var_Pop_Fields = {
    __typename?: 'operation_setting_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operation_Setting_Type_Var_Samp_Fields = {
    __typename?: 'operation_setting_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operation_Setting_Type_Variance_Fields = {
    __typename?: 'operation_setting_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "operation_state" */
export type Operation_State = {
    __typename?: 'operation_state';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "operation_state" */
export type Operation_State_Aggregate = {
    __typename?: 'operation_state_aggregate';
    aggregate?: Maybe<Operation_State_Aggregate_Fields>;
    nodes: Array<Operation_State>;
};
/** aggregate fields of "operation_state" */
export type Operation_State_Aggregate_Fields = {
    __typename?: 'operation_state_aggregate_fields';
    avg?: Maybe<Operation_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_State_Max_Fields>;
    min?: Maybe<Operation_State_Min_Fields>;
    stddev?: Maybe<Operation_State_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_State_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_State_Sum_Fields>;
    var_pop?: Maybe<Operation_State_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_State_Var_Samp_Fields>;
    variance?: Maybe<Operation_State_Variance_Fields>;
};
/** aggregate fields of "operation_state" */
export type Operation_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operation_State_Avg_Fields = {
    __typename?: 'operation_state_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operation_state". All fields are combined with a logical 'AND'. */
export type Operation_State_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_State_Bool_Exp>>;
    _not?: InputMaybe<Operation_State_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_State_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "operation_state" */
export declare enum Operation_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperationStatePkey = "operation_state_pkey"
}
/** input type for incrementing numeric columns in table "operation_state" */
export type Operation_State_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation_state" */
export type Operation_State_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Operation_State_Max_Fields = {
    __typename?: 'operation_state_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Operation_State_Min_Fields = {
    __typename?: 'operation_state_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "operation_state" */
export type Operation_State_Mutation_Response = {
    __typename?: 'operation_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation_State>;
};
/** input type for inserting object relation for remote table "operation_state" */
export type Operation_State_Obj_Rel_Insert_Input = {
    data: Operation_State_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_State_On_Conflict>;
};
/** on_conflict condition type for table "operation_state" */
export type Operation_State_On_Conflict = {
    constraint: Operation_State_Constraint;
    update_columns?: Array<Operation_State_Update_Column>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
/** Ordering options when selecting data from "operation_state". */
export type Operation_State_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operation_state */
export type Operation_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation_state" */
export declare enum Operation_State_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "operation_state" */
export type Operation_State_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Operation_State_Stddev_Fields = {
    __typename?: 'operation_state_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operation_State_Stddev_Pop_Fields = {
    __typename?: 'operation_state_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operation_State_Stddev_Samp_Fields = {
    __typename?: 'operation_state_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operation_state" */
export type Operation_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_State_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Operation_State_Sum_Fields = {
    __typename?: 'operation_state_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "operation_state" */
export declare enum Operation_State_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    Title = "title"
}
export type Operation_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_State_Var_Pop_Fields = {
    __typename?: 'operation_state_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operation_State_Var_Samp_Fields = {
    __typename?: 'operation_state_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operation_State_Variance_Fields = {
    __typename?: 'operation_state_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev on columns */
export type Operation_Stddev_Fields = {
    __typename?: 'operation_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operation_Stddev_Pop_Fields = {
    __typename?: 'operation_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operation_Stddev_Samp_Fields = {
    __typename?: 'operation_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operation" */
export type Operation_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_Stream_Cursor_Value_Input = {
    answer?: InputMaybe<Scalars['String']>;
    condition?: InputMaybe<Scalars['String']>;
    explanation?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_instant?: InputMaybe<Scalars['Boolean']>;
    operation_state_id?: InputMaybe<Scalars['Int']>;
    operation_type_id?: InputMaybe<Scalars['Int']>;
    related_piece_hash?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Operation_Sum_Fields = {
    __typename?: 'operation_sum_fields';
    id?: Maybe<Scalars['Int']>;
    operation_state_id?: Maybe<Scalars['Int']>;
    operation_type_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "operation_type" */
export type Operation_Type = {
    __typename?: 'operation_type';
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    creator?: Maybe<Treasure_User>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_using?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    maintainType: Operation_Maintain_Type;
    maintain_type_id: Scalars['Int'];
    /** An object relationship */
    pieceType: Piece_Type;
    /** An object relationship */
    settingType: Operation_Setting_Type;
    setting_type_id: Scalars['Int'];
    target_piece_type_id: Scalars['Int'];
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "operation_type" */
export type Operation_Type_Aggregate = {
    __typename?: 'operation_type_aggregate';
    aggregate?: Maybe<Operation_Type_Aggregate_Fields>;
    nodes: Array<Operation_Type>;
};
/** aggregate fields of "operation_type" */
export type Operation_Type_Aggregate_Fields = {
    __typename?: 'operation_type_aggregate_fields';
    avg?: Maybe<Operation_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operation_Type_Max_Fields>;
    min?: Maybe<Operation_Type_Min_Fields>;
    stddev?: Maybe<Operation_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Operation_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operation_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Operation_Type_Sum_Fields>;
    var_pop?: Maybe<Operation_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Operation_Type_Var_Samp_Fields>;
    variance?: Maybe<Operation_Type_Variance_Fields>;
};
/** aggregate fields of "operation_type" */
export type Operation_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operation_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operation_Type_Avg_Fields = {
    __typename?: 'operation_type_avg_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operation_type". All fields are combined with a logical 'AND'. */
export type Operation_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Operation_Type_Bool_Exp>>;
    _not?: InputMaybe<Operation_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Operation_Type_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    creator?: InputMaybe<Treasure_User_Bool_Exp>;
    creator_id?: InputMaybe<Int_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_using?: InputMaybe<Boolean_Comparison_Exp>;
    maintainType?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
    maintain_type_id?: InputMaybe<Int_Comparison_Exp>;
    pieceType?: InputMaybe<Piece_Type_Bool_Exp>;
    settingType?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
    setting_type_id?: InputMaybe<Int_Comparison_Exp>;
    target_piece_type_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "operation_type" */
export declare enum Operation_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperationTypePkey = "operation_type_pkey"
}
/** input type for incrementing numeric columns in table "operation_type" */
export type Operation_Type_Inc_Input = {
    creator_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    maintain_type_id?: InputMaybe<Scalars['Int']>;
    setting_type_id?: InputMaybe<Scalars['Int']>;
    target_piece_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operation_type" */
export type Operation_Type_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_using?: InputMaybe<Scalars['Boolean']>;
    maintainType?: InputMaybe<Operation_Maintain_Type_Obj_Rel_Insert_Input>;
    maintain_type_id?: InputMaybe<Scalars['Int']>;
    pieceType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    settingType?: InputMaybe<Operation_Setting_Type_Obj_Rel_Insert_Input>;
    setting_type_id?: InputMaybe<Scalars['Int']>;
    target_piece_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Operation_Type_Max_Fields = {
    __typename?: 'operation_type_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    maintain_type_id?: Maybe<Scalars['Int']>;
    setting_type_id?: Maybe<Scalars['Int']>;
    target_piece_type_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Operation_Type_Min_Fields = {
    __typename?: 'operation_type_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    maintain_type_id?: Maybe<Scalars['Int']>;
    setting_type_id?: Maybe<Scalars['Int']>;
    target_piece_type_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "operation_type" */
export type Operation_Type_Mutation_Response = {
    __typename?: 'operation_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operation_Type>;
};
/** input type for inserting object relation for remote table "operation_type" */
export type Operation_Type_Obj_Rel_Insert_Input = {
    data: Operation_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Operation_Type_On_Conflict>;
};
/** on_conflict condition type for table "operation_type" */
export type Operation_Type_On_Conflict = {
    constraint: Operation_Type_Constraint;
    update_columns?: Array<Operation_Type_Update_Column>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "operation_type". */
export type Operation_Type_Order_By = {
    created_at?: InputMaybe<Order_By>;
    creator?: InputMaybe<Treasure_User_Order_By>;
    creator_id?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_using?: InputMaybe<Order_By>;
    maintainType?: InputMaybe<Operation_Maintain_Type_Order_By>;
    maintain_type_id?: InputMaybe<Order_By>;
    pieceType?: InputMaybe<Piece_Type_Order_By>;
    settingType?: InputMaybe<Operation_Setting_Type_Order_By>;
    setting_type_id?: InputMaybe<Order_By>;
    target_piece_type_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operation_type */
export type Operation_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operation_type" */
export declare enum Operation_Type_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsUsing = "is_using",
    /** column name */
    MaintainTypeId = "maintain_type_id",
    /** column name */
    SettingTypeId = "setting_type_id",
    /** column name */
    TargetPieceTypeId = "target_piece_type_id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "operation_type" */
export type Operation_Type_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_using?: InputMaybe<Scalars['Boolean']>;
    maintain_type_id?: InputMaybe<Scalars['Int']>;
    setting_type_id?: InputMaybe<Scalars['Int']>;
    target_piece_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Operation_Type_Stddev_Fields = {
    __typename?: 'operation_type_stddev_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operation_Type_Stddev_Pop_Fields = {
    __typename?: 'operation_type_stddev_pop_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operation_Type_Stddev_Samp_Fields = {
    __typename?: 'operation_type_stddev_samp_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operation_type" */
export type Operation_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operation_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operation_Type_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_using?: InputMaybe<Scalars['Boolean']>;
    maintain_type_id?: InputMaybe<Scalars['Int']>;
    setting_type_id?: InputMaybe<Scalars['Int']>;
    target_piece_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Operation_Type_Sum_Fields = {
    __typename?: 'operation_type_sum_fields';
    creator_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    maintain_type_id?: Maybe<Scalars['Int']>;
    setting_type_id?: Maybe<Scalars['Int']>;
    target_piece_type_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "operation_type" */
export declare enum Operation_Type_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsUsing = "is_using",
    /** column name */
    MaintainTypeId = "maintain_type_id",
    /** column name */
    SettingTypeId = "setting_type_id",
    /** column name */
    TargetPieceTypeId = "target_piece_type_id",
    /** column name */
    Title = "title"
}
export type Operation_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_Type_Var_Pop_Fields = {
    __typename?: 'operation_type_var_pop_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operation_Type_Var_Samp_Fields = {
    __typename?: 'operation_type_var_samp_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operation_Type_Variance_Fields = {
    __typename?: 'operation_type_variance_fields';
    creator_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    maintain_type_id?: Maybe<Scalars['Float']>;
    setting_type_id?: Maybe<Scalars['Float']>;
    target_piece_type_id?: Maybe<Scalars['Float']>;
};
/** update columns of table "operation" */
export declare enum Operation_Update_Column {
    /** column name */
    Answer = "answer",
    /** column name */
    Condition = "condition",
    /** column name */
    Explanation = "explanation",
    /** column name */
    Id = "id",
    /** column name */
    IsInstant = "is_instant",
    /** column name */
    OperationStateId = "operation_state_id",
    /** column name */
    OperationTypeId = "operation_type_id",
    /** column name */
    RelatedPieceHash = "related_piece_hash"
}
export type Operation_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operation_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operation_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operation_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operation_Var_Pop_Fields = {
    __typename?: 'operation_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operation_Var_Samp_Fields = {
    __typename?: 'operation_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operation_Variance_Fields = {
    __typename?: 'operation_variance_fields';
    id?: Maybe<Scalars['Float']>;
    operation_state_id?: Maybe<Scalars['Float']>;
    operation_type_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "operator_state_type" */
export type Operator_State_Type = {
    __typename?: 'operator_state_type';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "operator_state_type" */
export type Operator_State_Type_Aggregate = {
    __typename?: 'operator_state_type_aggregate';
    aggregate?: Maybe<Operator_State_Type_Aggregate_Fields>;
    nodes: Array<Operator_State_Type>;
};
/** aggregate fields of "operator_state_type" */
export type Operator_State_Type_Aggregate_Fields = {
    __typename?: 'operator_state_type_aggregate_fields';
    avg?: Maybe<Operator_State_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Operator_State_Type_Max_Fields>;
    min?: Maybe<Operator_State_Type_Min_Fields>;
    stddev?: Maybe<Operator_State_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Operator_State_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Operator_State_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Operator_State_Type_Sum_Fields>;
    var_pop?: Maybe<Operator_State_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Operator_State_Type_Var_Samp_Fields>;
    variance?: Maybe<Operator_State_Type_Variance_Fields>;
};
/** aggregate fields of "operator_state_type" */
export type Operator_State_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Operator_State_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Operator_State_Type_Avg_Fields = {
    __typename?: 'operator_state_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "operator_state_type". All fields are combined with a logical 'AND'. */
export type Operator_State_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Operator_State_Type_Bool_Exp>>;
    _not?: InputMaybe<Operator_State_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Operator_State_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "operator_state_type" */
export declare enum Operator_State_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    OperatorStateTypePkey = "operator_state_type_pkey"
}
/** input type for incrementing numeric columns in table "operator_state_type" */
export type Operator_State_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "operator_state_type" */
export type Operator_State_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Operator_State_Type_Max_Fields = {
    __typename?: 'operator_state_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Operator_State_Type_Min_Fields = {
    __typename?: 'operator_state_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "operator_state_type" */
export type Operator_State_Type_Mutation_Response = {
    __typename?: 'operator_state_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Operator_State_Type>;
};
/** on_conflict condition type for table "operator_state_type" */
export type Operator_State_Type_On_Conflict = {
    constraint: Operator_State_Type_Constraint;
    update_columns?: Array<Operator_State_Type_Update_Column>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "operator_state_type". */
export type Operator_State_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: operator_state_type */
export type Operator_State_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "operator_state_type" */
export declare enum Operator_State_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "operator_state_type" */
export type Operator_State_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Operator_State_Type_Stddev_Fields = {
    __typename?: 'operator_state_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Operator_State_Type_Stddev_Pop_Fields = {
    __typename?: 'operator_state_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Operator_State_Type_Stddev_Samp_Fields = {
    __typename?: 'operator_state_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "operator_state_type" */
export type Operator_State_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Operator_State_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Operator_State_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Operator_State_Type_Sum_Fields = {
    __typename?: 'operator_state_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "operator_state_type" */
export declare enum Operator_State_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title"
}
export type Operator_State_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Operator_State_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Operator_State_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Operator_State_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Operator_State_Type_Var_Pop_Fields = {
    __typename?: 'operator_state_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Operator_State_Type_Var_Samp_Fields = {
    __typename?: 'operator_state_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Operator_State_Type_Variance_Fields = {
    __typename?: 'operator_state_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** column ordering options */
export declare enum Order_By {
    /** in ascending order, nulls last */
    Asc = "asc",
    /** in ascending order, nulls first */
    AscNullsFirst = "asc_nulls_first",
    /** in ascending order, nulls last */
    AscNullsLast = "asc_nulls_last",
    /** in descending order, nulls first */
    Desc = "desc",
    /** in descending order, nulls first */
    DescNullsFirst = "desc_nulls_first",
    /** in descending order, nulls last */
    DescNullsLast = "desc_nulls_last"
}
/** columns and relationships of "piece" */
export type Piece = {
    __typename?: 'piece';
    created_at?: Maybe<Scalars['timestamp']>;
    hash?: Maybe<Scalars['String']>;
    header?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_hint?: Maybe<Scalars['Boolean']>;
    is_inmap_part?: Maybe<Scalars['Boolean']>;
    is_judge_input?: Maybe<Scalars['Boolean']>;
    is_open?: Maybe<Scalars['Boolean']>;
    is_outmap_part?: Maybe<Scalars['Boolean']>;
    is_qc?: Maybe<Scalars['Boolean']>;
    is_resource?: Maybe<Scalars['Boolean']>;
    judge?: Maybe<Scalars['Int']>;
    /** An object relationship */
    judgeById?: Maybe<Judge>;
    /** An object relationship */
    keyQuest?: Maybe<Quest>;
    key_quest?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    pieceAndLocus?: Maybe<Piece_Locus>;
    /** An object relationship */
    pieceType: Piece_Type;
    piece_type: Scalars['Int'];
    qr_hash?: Maybe<Scalars['String']>;
    /** An object relationship */
    quest?: Maybe<Quest>;
    questHash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment?: Maybe<Scalars['Int']>;
    /** An object relationship */
    segmentById?: Maybe<Segment>;
    segment_index?: Maybe<Scalars['Int']>;
    text_data?: Maybe<Scalars['String']>;
    uri?: Maybe<Scalars['String']>;
};
/** aggregated selection of "piece" */
export type Piece_Aggregate = {
    __typename?: 'piece_aggregate';
    aggregate?: Maybe<Piece_Aggregate_Fields>;
    nodes: Array<Piece>;
};
export type Piece_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Piece_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Piece_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Piece_Aggregate_Bool_Exp_Count>;
};
export type Piece_Aggregate_Bool_Exp_Bool_And = {
    arguments: Piece_Select_Column_Piece_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Piece_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Piece_Select_Column_Piece_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Piece_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Piece_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "piece" */
export type Piece_Aggregate_Fields = {
    __typename?: 'piece_aggregate_fields';
    avg?: Maybe<Piece_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Piece_Max_Fields>;
    min?: Maybe<Piece_Min_Fields>;
    stddev?: Maybe<Piece_Stddev_Fields>;
    stddev_pop?: Maybe<Piece_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Piece_Stddev_Samp_Fields>;
    sum?: Maybe<Piece_Sum_Fields>;
    var_pop?: Maybe<Piece_Var_Pop_Fields>;
    var_samp?: Maybe<Piece_Var_Samp_Fields>;
    variance?: Maybe<Piece_Variance_Fields>;
};
/** aggregate fields of "piece" */
export type Piece_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Piece_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "piece" */
export type Piece_Aggregate_Order_By = {
    avg?: InputMaybe<Piece_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Piece_Max_Order_By>;
    min?: InputMaybe<Piece_Min_Order_By>;
    stddev?: InputMaybe<Piece_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Piece_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Piece_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Piece_Sum_Order_By>;
    var_pop?: InputMaybe<Piece_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Piece_Var_Samp_Order_By>;
    variance?: InputMaybe<Piece_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "piece" */
export type Piece_Arr_Rel_Insert_Input = {
    data: Array<Piece_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Piece_On_Conflict>;
};
/** aggregate avg on columns */
export type Piece_Avg_Fields = {
    __typename?: 'piece_avg_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "piece" */
export type Piece_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "piece". All fields are combined with a logical 'AND'. */
export type Piece_Bool_Exp = {
    _and?: InputMaybe<Array<Piece_Bool_Exp>>;
    _not?: InputMaybe<Piece_Bool_Exp>;
    _or?: InputMaybe<Array<Piece_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    hash?: InputMaybe<String_Comparison_Exp>;
    header?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_hint?: InputMaybe<Boolean_Comparison_Exp>;
    is_inmap_part?: InputMaybe<Boolean_Comparison_Exp>;
    is_judge_input?: InputMaybe<Boolean_Comparison_Exp>;
    is_open?: InputMaybe<Boolean_Comparison_Exp>;
    is_outmap_part?: InputMaybe<Boolean_Comparison_Exp>;
    is_qc?: InputMaybe<Boolean_Comparison_Exp>;
    is_resource?: InputMaybe<Boolean_Comparison_Exp>;
    judge?: InputMaybe<Int_Comparison_Exp>;
    judgeById?: InputMaybe<Judge_Bool_Exp>;
    keyQuest?: InputMaybe<Quest_Bool_Exp>;
    key_quest?: InputMaybe<Int_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    pieceAndLocus?: InputMaybe<Piece_Locus_Bool_Exp>;
    pieceType?: InputMaybe<Piece_Type_Bool_Exp>;
    piece_type?: InputMaybe<Int_Comparison_Exp>;
    qr_hash?: InputMaybe<String_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    questHash?: InputMaybe<String_Comparison_Exp>;
    quest_id?: InputMaybe<Int_Comparison_Exp>;
    segment?: InputMaybe<Int_Comparison_Exp>;
    segmentById?: InputMaybe<Segment_Bool_Exp>;
    segment_index?: InputMaybe<Int_Comparison_Exp>;
    text_data?: InputMaybe<String_Comparison_Exp>;
    uri?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "piece" */
export declare enum Piece_Constraint {
    /** unique or primary key constraint on columns "hash" */
    PieceHashKey = "piece_hash_key",
    /** unique or primary key constraint on columns "id" */
    PiecePkey = "piece_pkey"
}
/** input type for incrementing numeric columns in table "piece" */
export type Piece_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    judge?: InputMaybe<Scalars['Int']>;
    key_quest?: InputMaybe<Scalars['Int']>;
    piece_type?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment?: InputMaybe<Scalars['Int']>;
    segment_index?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "piece" */
export type Piece_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    hash?: InputMaybe<Scalars['String']>;
    header?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_hint?: InputMaybe<Scalars['Boolean']>;
    is_inmap_part?: InputMaybe<Scalars['Boolean']>;
    is_judge_input?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_outmap_part?: InputMaybe<Scalars['Boolean']>;
    is_qc?: InputMaybe<Scalars['Boolean']>;
    is_resource?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    judgeById?: InputMaybe<Judge_Obj_Rel_Insert_Input>;
    keyQuest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    key_quest?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    pieceAndLocus?: InputMaybe<Piece_Locus_Obj_Rel_Insert_Input>;
    pieceType?: InputMaybe<Piece_Type_Obj_Rel_Insert_Input>;
    piece_type?: InputMaybe<Scalars['Int']>;
    qr_hash?: InputMaybe<Scalars['String']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    questHash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment?: InputMaybe<Scalars['Int']>;
    segmentById?: InputMaybe<Segment_Obj_Rel_Insert_Input>;
    segment_index?: InputMaybe<Scalars['Int']>;
    text_data?: InputMaybe<Scalars['String']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "piece_locus" */
export type Piece_Locus = {
    __typename?: 'piece_locus';
    id: Scalars['Int'];
    is_by_locus_registrator: Scalars['Boolean'];
    is_required?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    locus: Locus;
    locus_id: Scalars['Int'];
    /** An object relationship */
    piece: Piece;
    piece_id: Scalars['Int'];
};
/** aggregated selection of "piece_locus" */
export type Piece_Locus_Aggregate = {
    __typename?: 'piece_locus_aggregate';
    aggregate?: Maybe<Piece_Locus_Aggregate_Fields>;
    nodes: Array<Piece_Locus>;
};
export type Piece_Locus_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Piece_Locus_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Piece_Locus_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Piece_Locus_Aggregate_Bool_Exp_Count>;
};
export type Piece_Locus_Aggregate_Bool_Exp_Bool_And = {
    arguments: Piece_Locus_Select_Column_Piece_Locus_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Locus_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Piece_Locus_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Piece_Locus_Select_Column_Piece_Locus_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Locus_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Piece_Locus_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Piece_Locus_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "piece_locus" */
export type Piece_Locus_Aggregate_Fields = {
    __typename?: 'piece_locus_aggregate_fields';
    avg?: Maybe<Piece_Locus_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Piece_Locus_Max_Fields>;
    min?: Maybe<Piece_Locus_Min_Fields>;
    stddev?: Maybe<Piece_Locus_Stddev_Fields>;
    stddev_pop?: Maybe<Piece_Locus_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Piece_Locus_Stddev_Samp_Fields>;
    sum?: Maybe<Piece_Locus_Sum_Fields>;
    var_pop?: Maybe<Piece_Locus_Var_Pop_Fields>;
    var_samp?: Maybe<Piece_Locus_Var_Samp_Fields>;
    variance?: Maybe<Piece_Locus_Variance_Fields>;
};
/** aggregate fields of "piece_locus" */
export type Piece_Locus_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "piece_locus" */
export type Piece_Locus_Aggregate_Order_By = {
    avg?: InputMaybe<Piece_Locus_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Piece_Locus_Max_Order_By>;
    min?: InputMaybe<Piece_Locus_Min_Order_By>;
    stddev?: InputMaybe<Piece_Locus_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Piece_Locus_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Piece_Locus_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Piece_Locus_Sum_Order_By>;
    var_pop?: InputMaybe<Piece_Locus_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Piece_Locus_Var_Samp_Order_By>;
    variance?: InputMaybe<Piece_Locus_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "piece_locus" */
export type Piece_Locus_Arr_Rel_Insert_Input = {
    data: Array<Piece_Locus_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Piece_Locus_On_Conflict>;
};
/** aggregate avg on columns */
export type Piece_Locus_Avg_Fields = {
    __typename?: 'piece_locus_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "piece_locus" */
export type Piece_Locus_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "piece_locus". All fields are combined with a logical 'AND'. */
export type Piece_Locus_Bool_Exp = {
    _and?: InputMaybe<Array<Piece_Locus_Bool_Exp>>;
    _not?: InputMaybe<Piece_Locus_Bool_Exp>;
    _or?: InputMaybe<Array<Piece_Locus_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_by_locus_registrator?: InputMaybe<Boolean_Comparison_Exp>;
    is_required?: InputMaybe<Boolean_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    piece?: InputMaybe<Piece_Bool_Exp>;
    piece_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "piece_locus" */
export declare enum Piece_Locus_Constraint {
    /** unique or primary key constraint on columns "piece_id" */
    PieceLocusPieceIdKey = "piece_locus_piece_id_key",
    /** unique or primary key constraint on columns "id" */
    PieceLocusPkey = "piece_locus_pkey"
}
/** input type for incrementing numeric columns in table "piece_locus" */
export type Piece_Locus_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "piece_locus" */
export type Piece_Locus_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_by_locus_registrator?: InputMaybe<Scalars['Boolean']>;
    is_required?: InputMaybe<Scalars['Boolean']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    piece?: InputMaybe<Piece_Obj_Rel_Insert_Input>;
    piece_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Piece_Locus_Max_Fields = {
    __typename?: 'piece_locus_max_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "piece_locus" */
export type Piece_Locus_Max_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Piece_Locus_Min_Fields = {
    __typename?: 'piece_locus_min_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "piece_locus" */
export type Piece_Locus_Min_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "piece_locus" */
export type Piece_Locus_Mutation_Response = {
    __typename?: 'piece_locus_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Piece_Locus>;
};
/** input type for inserting object relation for remote table "piece_locus" */
export type Piece_Locus_Obj_Rel_Insert_Input = {
    data: Piece_Locus_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Piece_Locus_On_Conflict>;
};
/** on_conflict condition type for table "piece_locus" */
export type Piece_Locus_On_Conflict = {
    constraint: Piece_Locus_Constraint;
    update_columns?: Array<Piece_Locus_Update_Column>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
/** Ordering options when selecting data from "piece_locus". */
export type Piece_Locus_Order_By = {
    id?: InputMaybe<Order_By>;
    is_by_locus_registrator?: InputMaybe<Order_By>;
    is_required?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece?: InputMaybe<Piece_Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: piece_locus */
export type Piece_Locus_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "piece_locus" */
export declare enum Piece_Locus_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsByLocusRegistrator = "is_by_locus_registrator",
    /** column name */
    IsRequired = "is_required",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    PieceId = "piece_id"
}
/** select "piece_locus_aggregate_bool_exp_bool_and_arguments_columns" columns of table "piece_locus" */
export declare enum Piece_Locus_Select_Column_Piece_Locus_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsByLocusRegistrator = "is_by_locus_registrator",
    /** column name */
    IsRequired = "is_required"
}
/** select "piece_locus_aggregate_bool_exp_bool_or_arguments_columns" columns of table "piece_locus" */
export declare enum Piece_Locus_Select_Column_Piece_Locus_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsByLocusRegistrator = "is_by_locus_registrator",
    /** column name */
    IsRequired = "is_required"
}
/** input type for updating data in table "piece_locus" */
export type Piece_Locus_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_by_locus_registrator?: InputMaybe<Scalars['Boolean']>;
    is_required?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Piece_Locus_Stddev_Fields = {
    __typename?: 'piece_locus_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "piece_locus" */
export type Piece_Locus_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Piece_Locus_Stddev_Pop_Fields = {
    __typename?: 'piece_locus_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "piece_locus" */
export type Piece_Locus_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Piece_Locus_Stddev_Samp_Fields = {
    __typename?: 'piece_locus_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "piece_locus" */
export type Piece_Locus_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "piece_locus" */
export type Piece_Locus_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Piece_Locus_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Piece_Locus_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_by_locus_registrator?: InputMaybe<Scalars['Boolean']>;
    is_required?: InputMaybe<Scalars['Boolean']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    piece_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Piece_Locus_Sum_Fields = {
    __typename?: 'piece_locus_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    piece_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "piece_locus" */
export type Piece_Locus_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** update columns of table "piece_locus" */
export declare enum Piece_Locus_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsByLocusRegistrator = "is_by_locus_registrator",
    /** column name */
    IsRequired = "is_required",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    PieceId = "piece_id"
}
export type Piece_Locus_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Piece_Locus_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Piece_Locus_Set_Input>;
    /** filter the rows which have to be updated */
    where: Piece_Locus_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Piece_Locus_Var_Pop_Fields = {
    __typename?: 'piece_locus_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "piece_locus" */
export type Piece_Locus_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Piece_Locus_Var_Samp_Fields = {
    __typename?: 'piece_locus_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "piece_locus" */
export type Piece_Locus_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Piece_Locus_Variance_Fields = {
    __typename?: 'piece_locus_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    piece_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "piece_locus" */
export type Piece_Locus_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    piece_id?: InputMaybe<Order_By>;
};
/** aggregate max on columns */
export type Piece_Max_Fields = {
    __typename?: 'piece_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    hash?: Maybe<Scalars['String']>;
    header?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    key_quest?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    piece_type?: Maybe<Scalars['Int']>;
    qr_hash?: Maybe<Scalars['String']>;
    questHash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment?: Maybe<Scalars['Int']>;
    segment_index?: Maybe<Scalars['Int']>;
    text_data?: Maybe<Scalars['String']>;
    uri?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "piece" */
export type Piece_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    header?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    qr_hash?: InputMaybe<Order_By>;
    questHash?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
    text_data?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Piece_Min_Fields = {
    __typename?: 'piece_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    hash?: Maybe<Scalars['String']>;
    header?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    key_quest?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    piece_type?: Maybe<Scalars['Int']>;
    qr_hash?: Maybe<Scalars['String']>;
    questHash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment?: Maybe<Scalars['Int']>;
    segment_index?: Maybe<Scalars['Int']>;
    text_data?: Maybe<Scalars['String']>;
    uri?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "piece" */
export type Piece_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    header?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    qr_hash?: InputMaybe<Order_By>;
    questHash?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
    text_data?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "piece" */
export type Piece_Mutation_Response = {
    __typename?: 'piece_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Piece>;
};
/** input type for inserting object relation for remote table "piece" */
export type Piece_Obj_Rel_Insert_Input = {
    data: Piece_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Piece_On_Conflict>;
};
/** on_conflict condition type for table "piece" */
export type Piece_On_Conflict = {
    constraint: Piece_Constraint;
    update_columns?: Array<Piece_Update_Column>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
/** Ordering options when selecting data from "piece". */
export type Piece_Order_By = {
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    header?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_hint?: InputMaybe<Order_By>;
    is_inmap_part?: InputMaybe<Order_By>;
    is_judge_input?: InputMaybe<Order_By>;
    is_open?: InputMaybe<Order_By>;
    is_outmap_part?: InputMaybe<Order_By>;
    is_qc?: InputMaybe<Order_By>;
    is_resource?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    judgeById?: InputMaybe<Judge_Order_By>;
    keyQuest?: InputMaybe<Quest_Order_By>;
    key_quest?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    pieceAndLocus?: InputMaybe<Piece_Locus_Order_By>;
    pieceType?: InputMaybe<Piece_Type_Order_By>;
    piece_type?: InputMaybe<Order_By>;
    qr_hash?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    questHash?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segmentById?: InputMaybe<Segment_Order_By>;
    segment_index?: InputMaybe<Order_By>;
    text_data?: InputMaybe<Order_By>;
    uri?: InputMaybe<Order_By>;
};
/** primary key columns input for table: piece */
export type Piece_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "piece" */
export declare enum Piece_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Hash = "hash",
    /** column name */
    Header = "header",
    /** column name */
    Id = "id",
    /** column name */
    IsHint = "is_hint",
    /** column name */
    IsInmapPart = "is_inmap_part",
    /** column name */
    IsJudgeInput = "is_judge_input",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsOutmapPart = "is_outmap_part",
    /** column name */
    IsQc = "is_qc",
    /** column name */
    IsResource = "is_resource",
    /** column name */
    Judge = "judge",
    /** column name */
    KeyQuest = "key_quest",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    PieceType = "piece_type",
    /** column name */
    QrHash = "qr_hash",
    /** column name */
    QuestHash = "questHash",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    Segment = "segment",
    /** column name */
    SegmentIndex = "segment_index",
    /** column name */
    TextData = "text_data",
    /** column name */
    Uri = "uri"
}
/** select "piece_aggregate_bool_exp_bool_and_arguments_columns" columns of table "piece" */
export declare enum Piece_Select_Column_Piece_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsHint = "is_hint",
    /** column name */
    IsInmapPart = "is_inmap_part",
    /** column name */
    IsJudgeInput = "is_judge_input",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsOutmapPart = "is_outmap_part",
    /** column name */
    IsQc = "is_qc",
    /** column name */
    IsResource = "is_resource"
}
/** select "piece_aggregate_bool_exp_bool_or_arguments_columns" columns of table "piece" */
export declare enum Piece_Select_Column_Piece_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsHint = "is_hint",
    /** column name */
    IsInmapPart = "is_inmap_part",
    /** column name */
    IsJudgeInput = "is_judge_input",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsOutmapPart = "is_outmap_part",
    /** column name */
    IsQc = "is_qc",
    /** column name */
    IsResource = "is_resource"
}
/** input type for updating data in table "piece" */
export type Piece_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    hash?: InputMaybe<Scalars['String']>;
    header?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_hint?: InputMaybe<Scalars['Boolean']>;
    is_inmap_part?: InputMaybe<Scalars['Boolean']>;
    is_judge_input?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_outmap_part?: InputMaybe<Scalars['Boolean']>;
    is_qc?: InputMaybe<Scalars['Boolean']>;
    is_resource?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    key_quest?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    piece_type?: InputMaybe<Scalars['Int']>;
    qr_hash?: InputMaybe<Scalars['String']>;
    questHash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment?: InputMaybe<Scalars['Int']>;
    segment_index?: InputMaybe<Scalars['Int']>;
    text_data?: InputMaybe<Scalars['String']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Piece_Stddev_Fields = {
    __typename?: 'piece_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "piece" */
export type Piece_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Piece_Stddev_Pop_Fields = {
    __typename?: 'piece_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "piece" */
export type Piece_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Piece_Stddev_Samp_Fields = {
    __typename?: 'piece_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "piece" */
export type Piece_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "piece" */
export type Piece_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Piece_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Piece_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    hash?: InputMaybe<Scalars['String']>;
    header?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_hint?: InputMaybe<Scalars['Boolean']>;
    is_inmap_part?: InputMaybe<Scalars['Boolean']>;
    is_judge_input?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_outmap_part?: InputMaybe<Scalars['Boolean']>;
    is_qc?: InputMaybe<Scalars['Boolean']>;
    is_resource?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    key_quest?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    piece_type?: InputMaybe<Scalars['Int']>;
    qr_hash?: InputMaybe<Scalars['String']>;
    questHash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment?: InputMaybe<Scalars['Int']>;
    segment_index?: InputMaybe<Scalars['Int']>;
    text_data?: InputMaybe<Scalars['String']>;
    uri?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Piece_Sum_Fields = {
    __typename?: 'piece_sum_fields';
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    key_quest?: Maybe<Scalars['Int']>;
    piece_type?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment?: Maybe<Scalars['Int']>;
    segment_index?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "piece" */
export type Piece_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** columns and relationships of "piece_type" */
export type Piece_Type = {
    __typename?: 'piece_type';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_atomic?: Maybe<Scalars['Boolean']>;
    is_inmap?: Maybe<Scalars['Boolean']>;
    is_judge_piece?: Maybe<Scalars['Boolean']>;
    is_outmap?: Maybe<Scalars['Boolean']>;
    is_set_on_locus_design?: Maybe<Scalars['Boolean']>;
    piece_type_title: Scalars['String'];
    /** An object relationship */
    targetView?: Maybe<Target_View_Type>;
    target_view_type_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "piece_type" */
export type Piece_Type_Aggregate = {
    __typename?: 'piece_type_aggregate';
    aggregate?: Maybe<Piece_Type_Aggregate_Fields>;
    nodes: Array<Piece_Type>;
};
/** aggregate fields of "piece_type" */
export type Piece_Type_Aggregate_Fields = {
    __typename?: 'piece_type_aggregate_fields';
    avg?: Maybe<Piece_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Piece_Type_Max_Fields>;
    min?: Maybe<Piece_Type_Min_Fields>;
    stddev?: Maybe<Piece_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Piece_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Piece_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Piece_Type_Sum_Fields>;
    var_pop?: Maybe<Piece_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Piece_Type_Var_Samp_Fields>;
    variance?: Maybe<Piece_Type_Variance_Fields>;
};
/** aggregate fields of "piece_type" */
export type Piece_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Piece_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Piece_Type_Avg_Fields = {
    __typename?: 'piece_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "piece_type". All fields are combined with a logical 'AND'. */
export type Piece_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Piece_Type_Bool_Exp>>;
    _not?: InputMaybe<Piece_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Piece_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_atomic?: InputMaybe<Boolean_Comparison_Exp>;
    is_inmap?: InputMaybe<Boolean_Comparison_Exp>;
    is_judge_piece?: InputMaybe<Boolean_Comparison_Exp>;
    is_outmap?: InputMaybe<Boolean_Comparison_Exp>;
    is_set_on_locus_design?: InputMaybe<Boolean_Comparison_Exp>;
    piece_type_title?: InputMaybe<String_Comparison_Exp>;
    targetView?: InputMaybe<Target_View_Type_Bool_Exp>;
    target_view_type_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "piece_type" */
export declare enum Piece_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    PieceTypePkey = "piece_type_pkey"
}
/** input type for incrementing numeric columns in table "piece_type" */
export type Piece_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    target_view_type_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "piece_type" */
export type Piece_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_atomic?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_judge_piece?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    is_set_on_locus_design?: InputMaybe<Scalars['Boolean']>;
    piece_type_title?: InputMaybe<Scalars['String']>;
    targetView?: InputMaybe<Target_View_Type_Obj_Rel_Insert_Input>;
    target_view_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Piece_Type_Max_Fields = {
    __typename?: 'piece_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    piece_type_title?: Maybe<Scalars['String']>;
    target_view_type_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Piece_Type_Min_Fields = {
    __typename?: 'piece_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    piece_type_title?: Maybe<Scalars['String']>;
    target_view_type_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "piece_type" */
export type Piece_Type_Mutation_Response = {
    __typename?: 'piece_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Piece_Type>;
};
/** input type for inserting object relation for remote table "piece_type" */
export type Piece_Type_Obj_Rel_Insert_Input = {
    data: Piece_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Piece_Type_On_Conflict>;
};
/** on_conflict condition type for table "piece_type" */
export type Piece_Type_On_Conflict = {
    constraint: Piece_Type_Constraint;
    update_columns?: Array<Piece_Type_Update_Column>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "piece_type". */
export type Piece_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_atomic?: InputMaybe<Order_By>;
    is_inmap?: InputMaybe<Order_By>;
    is_judge_piece?: InputMaybe<Order_By>;
    is_outmap?: InputMaybe<Order_By>;
    is_set_on_locus_design?: InputMaybe<Order_By>;
    piece_type_title?: InputMaybe<Order_By>;
    targetView?: InputMaybe<Target_View_Type_Order_By>;
    target_view_type_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: piece_type */
export type Piece_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "piece_type" */
export declare enum Piece_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsAtomic = "is_atomic",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsJudgePiece = "is_judge_piece",
    /** column name */
    IsOutmap = "is_outmap",
    /** column name */
    IsSetOnLocusDesign = "is_set_on_locus_design",
    /** column name */
    PieceTypeTitle = "piece_type_title",
    /** column name */
    TargetViewTypeId = "target_view_type_id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "piece_type" */
export type Piece_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_atomic?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_judge_piece?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    is_set_on_locus_design?: InputMaybe<Scalars['Boolean']>;
    piece_type_title?: InputMaybe<Scalars['String']>;
    target_view_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Piece_Type_Stddev_Fields = {
    __typename?: 'piece_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Piece_Type_Stddev_Pop_Fields = {
    __typename?: 'piece_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Piece_Type_Stddev_Samp_Fields = {
    __typename?: 'piece_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "piece_type" */
export type Piece_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Piece_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Piece_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_atomic?: InputMaybe<Scalars['Boolean']>;
    is_inmap?: InputMaybe<Scalars['Boolean']>;
    is_judge_piece?: InputMaybe<Scalars['Boolean']>;
    is_outmap?: InputMaybe<Scalars['Boolean']>;
    is_set_on_locus_design?: InputMaybe<Scalars['Boolean']>;
    piece_type_title?: InputMaybe<Scalars['String']>;
    target_view_type_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Piece_Type_Sum_Fields = {
    __typename?: 'piece_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
    target_view_type_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "piece_type" */
export declare enum Piece_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsAtomic = "is_atomic",
    /** column name */
    IsInmap = "is_inmap",
    /** column name */
    IsJudgePiece = "is_judge_piece",
    /** column name */
    IsOutmap = "is_outmap",
    /** column name */
    IsSetOnLocusDesign = "is_set_on_locus_design",
    /** column name */
    PieceTypeTitle = "piece_type_title",
    /** column name */
    TargetViewTypeId = "target_view_type_id",
    /** column name */
    Title = "title"
}
export type Piece_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Piece_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Piece_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Piece_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Piece_Type_Var_Pop_Fields = {
    __typename?: 'piece_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Piece_Type_Var_Samp_Fields = {
    __typename?: 'piece_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Piece_Type_Variance_Fields = {
    __typename?: 'piece_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
    target_view_type_id?: Maybe<Scalars['Float']>;
};
/** update columns of table "piece" */
export declare enum Piece_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Hash = "hash",
    /** column name */
    Header = "header",
    /** column name */
    Id = "id",
    /** column name */
    IsHint = "is_hint",
    /** column name */
    IsInmapPart = "is_inmap_part",
    /** column name */
    IsJudgeInput = "is_judge_input",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsOutmapPart = "is_outmap_part",
    /** column name */
    IsQc = "is_qc",
    /** column name */
    IsResource = "is_resource",
    /** column name */
    Judge = "judge",
    /** column name */
    KeyQuest = "key_quest",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    PieceType = "piece_type",
    /** column name */
    QrHash = "qr_hash",
    /** column name */
    QuestHash = "questHash",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    Segment = "segment",
    /** column name */
    SegmentIndex = "segment_index",
    /** column name */
    TextData = "text_data",
    /** column name */
    Uri = "uri"
}
export type Piece_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Piece_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Piece_Set_Input>;
    /** filter the rows which have to be updated */
    where: Piece_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Piece_Var_Pop_Fields = {
    __typename?: 'piece_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "piece" */
export type Piece_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Piece_Var_Samp_Fields = {
    __typename?: 'piece_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "piece" */
export type Piece_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Piece_Variance_Fields = {
    __typename?: 'piece_variance_fields';
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    key_quest?: Maybe<Scalars['Float']>;
    piece_type?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment?: Maybe<Scalars['Float']>;
    segment_index?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "piece" */
export type Piece_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    key_quest?: InputMaybe<Order_By>;
    piece_type?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment?: InputMaybe<Order_By>;
    segment_index?: InputMaybe<Order_By>;
};
/** columns and relationships of "post" */
export type Post = {
    __typename?: 'post';
    content?: Maybe<Scalars['String']>;
    created_at: Scalars['timestamptz'];
    editorVersion?: Maybe<Scalars['numeric']>;
    firstTextLine?: Maybe<Scalars['String']>;
    /** An object relationship */
    game?: Maybe<Game>;
    gameId?: Maybe<Scalars['Int']>;
    haveOnlineContent?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    isAnonymous?: Maybe<Scalars['Boolean']>;
    isAnouncement?: Maybe<Scalars['Boolean']>;
    isGlobal?: Maybe<Scalars['Boolean']>;
    isLexical?: Maybe<Scalars['Boolean']>;
    isRawText?: Maybe<Scalars['Boolean']>;
    lexicalVersion?: Maybe<Scalars['numeric']>;
    /** An object relationship */
    locus?: Maybe<Locus>;
    locusId?: Maybe<Scalars['Int']>;
    summary?: Maybe<Scalars['String']>;
    updated_at: Scalars['timestamptz'];
    /** An object relationship */
    writer?: Maybe<Treasure_User>;
    writerId?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "post" */
export type Post_Aggregate = {
    __typename?: 'post_aggregate';
    aggregate?: Maybe<Post_Aggregate_Fields>;
    nodes: Array<Post>;
};
/** aggregate fields of "post" */
export type Post_Aggregate_Fields = {
    __typename?: 'post_aggregate_fields';
    avg?: Maybe<Post_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Post_Max_Fields>;
    min?: Maybe<Post_Min_Fields>;
    stddev?: Maybe<Post_Stddev_Fields>;
    stddev_pop?: Maybe<Post_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Post_Stddev_Samp_Fields>;
    sum?: Maybe<Post_Sum_Fields>;
    var_pop?: Maybe<Post_Var_Pop_Fields>;
    var_samp?: Maybe<Post_Var_Samp_Fields>;
    variance?: Maybe<Post_Variance_Fields>;
};
/** aggregate fields of "post" */
export type Post_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Post_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Post_Avg_Fields = {
    __typename?: 'post_avg_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "post". All fields are combined with a logical 'AND'. */
export type Post_Bool_Exp = {
    _and?: InputMaybe<Array<Post_Bool_Exp>>;
    _not?: InputMaybe<Post_Bool_Exp>;
    _or?: InputMaybe<Array<Post_Bool_Exp>>;
    content?: InputMaybe<String_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    editorVersion?: InputMaybe<Numeric_Comparison_Exp>;
    firstTextLine?: InputMaybe<String_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    gameId?: InputMaybe<Int_Comparison_Exp>;
    haveOnlineContent?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    isAnonymous?: InputMaybe<Boolean_Comparison_Exp>;
    isAnouncement?: InputMaybe<Boolean_Comparison_Exp>;
    isGlobal?: InputMaybe<Boolean_Comparison_Exp>;
    isLexical?: InputMaybe<Boolean_Comparison_Exp>;
    isRawText?: InputMaybe<Boolean_Comparison_Exp>;
    lexicalVersion?: InputMaybe<Numeric_Comparison_Exp>;
    locus?: InputMaybe<Locus_Bool_Exp>;
    locusId?: InputMaybe<Int_Comparison_Exp>;
    summary?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    writer?: InputMaybe<Treasure_User_Bool_Exp>;
    writerId?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "post" */
export declare enum Post_Constraint {
    /** unique or primary key constraint on columns "id" */
    PostPkey = "post_pkey"
}
/** columns and relationships of "post_evaluation" */
export type Post_Evaluation = {
    __typename?: 'post_evaluation';
    bad?: Maybe<Scalars['Boolean']>;
    good?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    /** An object relationship */
    post?: Maybe<Post>;
    postId?: Maybe<Scalars['Int']>;
    /** An object relationship */
    user?: Maybe<Treasure_User>;
    userId?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "post_evaluation" */
export type Post_Evaluation_Aggregate = {
    __typename?: 'post_evaluation_aggregate';
    aggregate?: Maybe<Post_Evaluation_Aggregate_Fields>;
    nodes: Array<Post_Evaluation>;
};
/** aggregate fields of "post_evaluation" */
export type Post_Evaluation_Aggregate_Fields = {
    __typename?: 'post_evaluation_aggregate_fields';
    avg?: Maybe<Post_Evaluation_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Post_Evaluation_Max_Fields>;
    min?: Maybe<Post_Evaluation_Min_Fields>;
    stddev?: Maybe<Post_Evaluation_Stddev_Fields>;
    stddev_pop?: Maybe<Post_Evaluation_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Post_Evaluation_Stddev_Samp_Fields>;
    sum?: Maybe<Post_Evaluation_Sum_Fields>;
    var_pop?: Maybe<Post_Evaluation_Var_Pop_Fields>;
    var_samp?: Maybe<Post_Evaluation_Var_Samp_Fields>;
    variance?: Maybe<Post_Evaluation_Variance_Fields>;
};
/** aggregate fields of "post_evaluation" */
export type Post_Evaluation_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Post_Evaluation_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Post_Evaluation_Avg_Fields = {
    __typename?: 'post_evaluation_avg_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "post_evaluation". All fields are combined with a logical 'AND'. */
export type Post_Evaluation_Bool_Exp = {
    _and?: InputMaybe<Array<Post_Evaluation_Bool_Exp>>;
    _not?: InputMaybe<Post_Evaluation_Bool_Exp>;
    _or?: InputMaybe<Array<Post_Evaluation_Bool_Exp>>;
    bad?: InputMaybe<Boolean_Comparison_Exp>;
    good?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    post?: InputMaybe<Post_Bool_Exp>;
    postId?: InputMaybe<Int_Comparison_Exp>;
    user?: InputMaybe<Treasure_User_Bool_Exp>;
    userId?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "post_evaluation" */
export declare enum Post_Evaluation_Constraint {
    /** unique or primary key constraint on columns "id" */
    PostEvaluationPkey = "post_evaluation_pkey"
}
/** input type for incrementing numeric columns in table "post_evaluation" */
export type Post_Evaluation_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    postId?: InputMaybe<Scalars['Int']>;
    userId?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "post_evaluation" */
export type Post_Evaluation_Insert_Input = {
    bad?: InputMaybe<Scalars['Boolean']>;
    good?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    post?: InputMaybe<Post_Obj_Rel_Insert_Input>;
    postId?: InputMaybe<Scalars['Int']>;
    user?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    userId?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Post_Evaluation_Max_Fields = {
    __typename?: 'post_evaluation_max_fields';
    id?: Maybe<Scalars['Int']>;
    postId?: Maybe<Scalars['Int']>;
    userId?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Post_Evaluation_Min_Fields = {
    __typename?: 'post_evaluation_min_fields';
    id?: Maybe<Scalars['Int']>;
    postId?: Maybe<Scalars['Int']>;
    userId?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "post_evaluation" */
export type Post_Evaluation_Mutation_Response = {
    __typename?: 'post_evaluation_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Post_Evaluation>;
};
/** on_conflict condition type for table "post_evaluation" */
export type Post_Evaluation_On_Conflict = {
    constraint: Post_Evaluation_Constraint;
    update_columns?: Array<Post_Evaluation_Update_Column>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
/** Ordering options when selecting data from "post_evaluation". */
export type Post_Evaluation_Order_By = {
    bad?: InputMaybe<Order_By>;
    good?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    post?: InputMaybe<Post_Order_By>;
    postId?: InputMaybe<Order_By>;
    user?: InputMaybe<Treasure_User_Order_By>;
    userId?: InputMaybe<Order_By>;
};
/** primary key columns input for table: post_evaluation */
export type Post_Evaluation_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "post_evaluation" */
export declare enum Post_Evaluation_Select_Column {
    /** column name */
    Bad = "bad",
    /** column name */
    Good = "good",
    /** column name */
    Id = "id",
    /** column name */
    PostId = "postId",
    /** column name */
    UserId = "userId"
}
/** input type for updating data in table "post_evaluation" */
export type Post_Evaluation_Set_Input = {
    bad?: InputMaybe<Scalars['Boolean']>;
    good?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    postId?: InputMaybe<Scalars['Int']>;
    userId?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Post_Evaluation_Stddev_Fields = {
    __typename?: 'post_evaluation_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Post_Evaluation_Stddev_Pop_Fields = {
    __typename?: 'post_evaluation_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Post_Evaluation_Stddev_Samp_Fields = {
    __typename?: 'post_evaluation_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "post_evaluation" */
export type Post_Evaluation_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Post_Evaluation_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Post_Evaluation_Stream_Cursor_Value_Input = {
    bad?: InputMaybe<Scalars['Boolean']>;
    good?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    postId?: InputMaybe<Scalars['Int']>;
    userId?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Post_Evaluation_Sum_Fields = {
    __typename?: 'post_evaluation_sum_fields';
    id?: Maybe<Scalars['Int']>;
    postId?: Maybe<Scalars['Int']>;
    userId?: Maybe<Scalars['Int']>;
};
/** update columns of table "post_evaluation" */
export declare enum Post_Evaluation_Update_Column {
    /** column name */
    Bad = "bad",
    /** column name */
    Good = "good",
    /** column name */
    Id = "id",
    /** column name */
    PostId = "postId",
    /** column name */
    UserId = "userId"
}
export type Post_Evaluation_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Post_Evaluation_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Post_Evaluation_Set_Input>;
    /** filter the rows which have to be updated */
    where: Post_Evaluation_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Post_Evaluation_Var_Pop_Fields = {
    __typename?: 'post_evaluation_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Post_Evaluation_Var_Samp_Fields = {
    __typename?: 'post_evaluation_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Post_Evaluation_Variance_Fields = {
    __typename?: 'post_evaluation_variance_fields';
    id?: Maybe<Scalars['Float']>;
    postId?: Maybe<Scalars['Float']>;
    userId?: Maybe<Scalars['Float']>;
};
/** input type for incrementing numeric columns in table "post" */
export type Post_Inc_Input = {
    editorVersion?: InputMaybe<Scalars['numeric']>;
    gameId?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    lexicalVersion?: InputMaybe<Scalars['numeric']>;
    locusId?: InputMaybe<Scalars['Int']>;
    writerId?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "post" */
export type Post_Insert_Input = {
    content?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    editorVersion?: InputMaybe<Scalars['numeric']>;
    firstTextLine?: InputMaybe<Scalars['String']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    gameId?: InputMaybe<Scalars['Int']>;
    haveOnlineContent?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    isAnonymous?: InputMaybe<Scalars['Boolean']>;
    isAnouncement?: InputMaybe<Scalars['Boolean']>;
    isGlobal?: InputMaybe<Scalars['Boolean']>;
    isLexical?: InputMaybe<Scalars['Boolean']>;
    isRawText?: InputMaybe<Scalars['Boolean']>;
    lexicalVersion?: InputMaybe<Scalars['numeric']>;
    locus?: InputMaybe<Locus_Obj_Rel_Insert_Input>;
    locusId?: InputMaybe<Scalars['Int']>;
    summary?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writer?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    writerId?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Post_Max_Fields = {
    __typename?: 'post_max_fields';
    content?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    editorVersion?: Maybe<Scalars['numeric']>;
    firstTextLine?: Maybe<Scalars['String']>;
    gameId?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    lexicalVersion?: Maybe<Scalars['numeric']>;
    locusId?: Maybe<Scalars['Int']>;
    summary?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    writerId?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Post_Min_Fields = {
    __typename?: 'post_min_fields';
    content?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    editorVersion?: Maybe<Scalars['numeric']>;
    firstTextLine?: Maybe<Scalars['String']>;
    gameId?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    lexicalVersion?: Maybe<Scalars['numeric']>;
    locusId?: Maybe<Scalars['Int']>;
    summary?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
    writerId?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "post" */
export type Post_Mutation_Response = {
    __typename?: 'post_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Post>;
};
/** input type for inserting object relation for remote table "post" */
export type Post_Obj_Rel_Insert_Input = {
    data: Post_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Post_On_Conflict>;
};
/** on_conflict condition type for table "post" */
export type Post_On_Conflict = {
    constraint: Post_Constraint;
    update_columns?: Array<Post_Update_Column>;
    where?: InputMaybe<Post_Bool_Exp>;
};
/** Ordering options when selecting data from "post". */
export type Post_Order_By = {
    content?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    editorVersion?: InputMaybe<Order_By>;
    firstTextLine?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    gameId?: InputMaybe<Order_By>;
    haveOnlineContent?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    isAnonymous?: InputMaybe<Order_By>;
    isAnouncement?: InputMaybe<Order_By>;
    isGlobal?: InputMaybe<Order_By>;
    isLexical?: InputMaybe<Order_By>;
    isRawText?: InputMaybe<Order_By>;
    lexicalVersion?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Order_By>;
    locusId?: InputMaybe<Order_By>;
    summary?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
    writer?: InputMaybe<Treasure_User_Order_By>;
    writerId?: InputMaybe<Order_By>;
};
/** primary key columns input for table: post */
export type Post_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "post" */
export declare enum Post_Select_Column {
    /** column name */
    Content = "content",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EditorVersion = "editorVersion",
    /** column name */
    FirstTextLine = "firstTextLine",
    /** column name */
    GameId = "gameId",
    /** column name */
    HaveOnlineContent = "haveOnlineContent",
    /** column name */
    Id = "id",
    /** column name */
    IsAnonymous = "isAnonymous",
    /** column name */
    IsAnouncement = "isAnouncement",
    /** column name */
    IsGlobal = "isGlobal",
    /** column name */
    IsLexical = "isLexical",
    /** column name */
    IsRawText = "isRawText",
    /** column name */
    LexicalVersion = "lexicalVersion",
    /** column name */
    LocusId = "locusId",
    /** column name */
    Summary = "summary",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    WriterId = "writerId"
}
/** input type for updating data in table "post" */
export type Post_Set_Input = {
    content?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    editorVersion?: InputMaybe<Scalars['numeric']>;
    firstTextLine?: InputMaybe<Scalars['String']>;
    gameId?: InputMaybe<Scalars['Int']>;
    haveOnlineContent?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    isAnonymous?: InputMaybe<Scalars['Boolean']>;
    isAnouncement?: InputMaybe<Scalars['Boolean']>;
    isGlobal?: InputMaybe<Scalars['Boolean']>;
    isLexical?: InputMaybe<Scalars['Boolean']>;
    isRawText?: InputMaybe<Scalars['Boolean']>;
    lexicalVersion?: InputMaybe<Scalars['numeric']>;
    locusId?: InputMaybe<Scalars['Int']>;
    summary?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writerId?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Post_Stddev_Fields = {
    __typename?: 'post_stddev_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Post_Stddev_Pop_Fields = {
    __typename?: 'post_stddev_pop_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Post_Stddev_Samp_Fields = {
    __typename?: 'post_stddev_samp_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "post" */
export type Post_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Post_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Post_Stream_Cursor_Value_Input = {
    content?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    editorVersion?: InputMaybe<Scalars['numeric']>;
    firstTextLine?: InputMaybe<Scalars['String']>;
    gameId?: InputMaybe<Scalars['Int']>;
    haveOnlineContent?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    isAnonymous?: InputMaybe<Scalars['Boolean']>;
    isAnouncement?: InputMaybe<Scalars['Boolean']>;
    isGlobal?: InputMaybe<Scalars['Boolean']>;
    isLexical?: InputMaybe<Scalars['Boolean']>;
    isRawText?: InputMaybe<Scalars['Boolean']>;
    lexicalVersion?: InputMaybe<Scalars['numeric']>;
    locusId?: InputMaybe<Scalars['Int']>;
    summary?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
    writerId?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Post_Sum_Fields = {
    __typename?: 'post_sum_fields';
    editorVersion?: Maybe<Scalars['numeric']>;
    gameId?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    lexicalVersion?: Maybe<Scalars['numeric']>;
    locusId?: Maybe<Scalars['Int']>;
    writerId?: Maybe<Scalars['Int']>;
};
/** update columns of table "post" */
export declare enum Post_Update_Column {
    /** column name */
    Content = "content",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EditorVersion = "editorVersion",
    /** column name */
    FirstTextLine = "firstTextLine",
    /** column name */
    GameId = "gameId",
    /** column name */
    HaveOnlineContent = "haveOnlineContent",
    /** column name */
    Id = "id",
    /** column name */
    IsAnonymous = "isAnonymous",
    /** column name */
    IsAnouncement = "isAnouncement",
    /** column name */
    IsGlobal = "isGlobal",
    /** column name */
    IsLexical = "isLexical",
    /** column name */
    IsRawText = "isRawText",
    /** column name */
    LexicalVersion = "lexicalVersion",
    /** column name */
    LocusId = "locusId",
    /** column name */
    Summary = "summary",
    /** column name */
    UpdatedAt = "updated_at",
    /** column name */
    WriterId = "writerId"
}
export type Post_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Post_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Post_Set_Input>;
    /** filter the rows which have to be updated */
    where: Post_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Post_Var_Pop_Fields = {
    __typename?: 'post_var_pop_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Post_Var_Samp_Fields = {
    __typename?: 'post_var_samp_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Post_Variance_Fields = {
    __typename?: 'post_variance_fields';
    editorVersion?: Maybe<Scalars['Float']>;
    gameId?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    lexicalVersion?: Maybe<Scalars['Float']>;
    locusId?: Maybe<Scalars['Float']>;
    writerId?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "preference" */
export type Preference = {
    __typename?: 'preference';
    preference?: Maybe<Scalars['String']>;
    subject?: Maybe<Scalars['Int']>;
    /** An object relationship */
    treasureUser?: Maybe<Treasure_User>;
};
/** aggregated selection of "preference" */
export type Preference_Aggregate = {
    __typename?: 'preference_aggregate';
    aggregate?: Maybe<Preference_Aggregate_Fields>;
    nodes: Array<Preference>;
};
/** aggregate fields of "preference" */
export type Preference_Aggregate_Fields = {
    __typename?: 'preference_aggregate_fields';
    avg?: Maybe<Preference_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Preference_Max_Fields>;
    min?: Maybe<Preference_Min_Fields>;
    stddev?: Maybe<Preference_Stddev_Fields>;
    stddev_pop?: Maybe<Preference_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Preference_Stddev_Samp_Fields>;
    sum?: Maybe<Preference_Sum_Fields>;
    var_pop?: Maybe<Preference_Var_Pop_Fields>;
    var_samp?: Maybe<Preference_Var_Samp_Fields>;
    variance?: Maybe<Preference_Variance_Fields>;
};
/** aggregate fields of "preference" */
export type Preference_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Preference_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Preference_Avg_Fields = {
    __typename?: 'preference_avg_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "preference". All fields are combined with a logical 'AND'. */
export type Preference_Bool_Exp = {
    _and?: InputMaybe<Array<Preference_Bool_Exp>>;
    _not?: InputMaybe<Preference_Bool_Exp>;
    _or?: InputMaybe<Array<Preference_Bool_Exp>>;
    preference?: InputMaybe<String_Comparison_Exp>;
    subject?: InputMaybe<Int_Comparison_Exp>;
    treasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
};
/** input type for incrementing numeric columns in table "preference" */
export type Preference_Inc_Input = {
    subject?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "preference" */
export type Preference_Insert_Input = {
    preference?: InputMaybe<Scalars['String']>;
    subject?: InputMaybe<Scalars['Int']>;
    treasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Preference_Max_Fields = {
    __typename?: 'preference_max_fields';
    preference?: Maybe<Scalars['String']>;
    subject?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Preference_Min_Fields = {
    __typename?: 'preference_min_fields';
    preference?: Maybe<Scalars['String']>;
    subject?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "preference" */
export type Preference_Mutation_Response = {
    __typename?: 'preference_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Preference>;
};
/** Ordering options when selecting data from "preference". */
export type Preference_Order_By = {
    preference?: InputMaybe<Order_By>;
    subject?: InputMaybe<Order_By>;
    treasureUser?: InputMaybe<Treasure_User_Order_By>;
};
/** select columns of table "preference" */
export declare enum Preference_Select_Column {
    /** column name */
    Preference = "preference",
    /** column name */
    Subject = "subject"
}
/** input type for updating data in table "preference" */
export type Preference_Set_Input = {
    preference?: InputMaybe<Scalars['String']>;
    subject?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Preference_Stddev_Fields = {
    __typename?: 'preference_stddev_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Preference_Stddev_Pop_Fields = {
    __typename?: 'preference_stddev_pop_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Preference_Stddev_Samp_Fields = {
    __typename?: 'preference_stddev_samp_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "preference" */
export type Preference_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Preference_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Preference_Stream_Cursor_Value_Input = {
    preference?: InputMaybe<Scalars['String']>;
    subject?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Preference_Sum_Fields = {
    __typename?: 'preference_sum_fields';
    subject?: Maybe<Scalars['Int']>;
};
export type Preference_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Preference_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Preference_Set_Input>;
    /** filter the rows which have to be updated */
    where: Preference_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Preference_Var_Pop_Fields = {
    __typename?: 'preference_var_pop_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Preference_Var_Samp_Fields = {
    __typename?: 'preference_var_samp_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Preference_Variance_Fields = {
    __typename?: 'preference_variance_fields';
    subject?: Maybe<Scalars['Float']>;
};
/** add product id to each goods or services for selling and make relationship */
export type Product = {
    __typename?: 'product';
    created_at: Scalars['timestamptz'];
    discountable_by_money?: Maybe<Scalars['Boolean']>;
    discountable_by_rp?: Maybe<Scalars['Boolean']>;
    hash: Scalars['uuid'];
    id: Scalars['Int'];
    is_game?: Maybe<Scalars['Boolean']>;
    is_good?: Maybe<Scalars['Boolean']>;
    is_service?: Maybe<Scalars['Boolean']>;
    purchasable_by_money?: Maybe<Scalars['Boolean']>;
    purchasable_by_rp?: Maybe<Scalars['Boolean']>;
    refundable_by_money?: Maybe<Scalars['Boolean']>;
    refundable_by_rp?: Maybe<Scalars['Boolean']>;
    /** An array relationship */
    sells: Array<Sell>;
    /** An aggregate relationship */
    sells_aggregate: Sell_Aggregate;
};
/** add product id to each goods or services for selling and make relationship */
export type ProductSellsArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
/** add product id to each goods or services for selling and make relationship */
export type ProductSells_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
/** aggregated selection of "product" */
export type Product_Aggregate = {
    __typename?: 'product_aggregate';
    aggregate?: Maybe<Product_Aggregate_Fields>;
    nodes: Array<Product>;
};
/** aggregate fields of "product" */
export type Product_Aggregate_Fields = {
    __typename?: 'product_aggregate_fields';
    avg?: Maybe<Product_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Product_Max_Fields>;
    min?: Maybe<Product_Min_Fields>;
    stddev?: Maybe<Product_Stddev_Fields>;
    stddev_pop?: Maybe<Product_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Product_Stddev_Samp_Fields>;
    sum?: Maybe<Product_Sum_Fields>;
    var_pop?: Maybe<Product_Var_Pop_Fields>;
    var_samp?: Maybe<Product_Var_Samp_Fields>;
    variance?: Maybe<Product_Variance_Fields>;
};
/** aggregate fields of "product" */
export type Product_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Product_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Product_Avg_Fields = {
    __typename?: 'product_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "product". All fields are combined with a logical 'AND'. */
export type Product_Bool_Exp = {
    _and?: InputMaybe<Array<Product_Bool_Exp>>;
    _not?: InputMaybe<Product_Bool_Exp>;
    _or?: InputMaybe<Array<Product_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    discountable_by_money?: InputMaybe<Boolean_Comparison_Exp>;
    discountable_by_rp?: InputMaybe<Boolean_Comparison_Exp>;
    hash?: InputMaybe<Uuid_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_game?: InputMaybe<Boolean_Comparison_Exp>;
    is_good?: InputMaybe<Boolean_Comparison_Exp>;
    is_service?: InputMaybe<Boolean_Comparison_Exp>;
    purchasable_by_money?: InputMaybe<Boolean_Comparison_Exp>;
    purchasable_by_rp?: InputMaybe<Boolean_Comparison_Exp>;
    refundable_by_money?: InputMaybe<Boolean_Comparison_Exp>;
    refundable_by_rp?: InputMaybe<Boolean_Comparison_Exp>;
    sells?: InputMaybe<Sell_Bool_Exp>;
    sells_aggregate?: InputMaybe<Sell_Aggregate_Bool_Exp>;
};
/** unique or primary key constraints on table "product" */
export declare enum Product_Constraint {
    /** unique or primary key constraint on columns "id" */
    ProductPkey = "product_pkey"
}
/** input type for incrementing numeric columns in table "product" */
export type Product_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "product" */
export type Product_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    discountable_by_money?: InputMaybe<Scalars['Boolean']>;
    discountable_by_rp?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    is_game?: InputMaybe<Scalars['Boolean']>;
    is_good?: InputMaybe<Scalars['Boolean']>;
    is_service?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
    sells?: InputMaybe<Sell_Arr_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Product_Max_Fields = {
    __typename?: 'product_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Product_Min_Fields = {
    __typename?: 'product_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "product" */
export type Product_Mutation_Response = {
    __typename?: 'product_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Product>;
};
/** input type for inserting object relation for remote table "product" */
export type Product_Obj_Rel_Insert_Input = {
    data: Product_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Product_On_Conflict>;
};
/** on_conflict condition type for table "product" */
export type Product_On_Conflict = {
    constraint: Product_Constraint;
    update_columns?: Array<Product_Update_Column>;
    where?: InputMaybe<Product_Bool_Exp>;
};
/** Ordering options when selecting data from "product". */
export type Product_Order_By = {
    created_at?: InputMaybe<Order_By>;
    discountable_by_money?: InputMaybe<Order_By>;
    discountable_by_rp?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_game?: InputMaybe<Order_By>;
    is_good?: InputMaybe<Order_By>;
    is_service?: InputMaybe<Order_By>;
    purchasable_by_money?: InputMaybe<Order_By>;
    purchasable_by_rp?: InputMaybe<Order_By>;
    refundable_by_money?: InputMaybe<Order_By>;
    refundable_by_rp?: InputMaybe<Order_By>;
    sells_aggregate?: InputMaybe<Sell_Aggregate_Order_By>;
};
/** primary key columns input for table: product */
export type Product_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "product" */
export declare enum Product_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DiscountableByMoney = "discountable_by_money",
    /** column name */
    DiscountableByRp = "discountable_by_rp",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsGame = "is_game",
    /** column name */
    IsGood = "is_good",
    /** column name */
    IsService = "is_service",
    /** column name */
    PurchasableByMoney = "purchasable_by_money",
    /** column name */
    PurchasableByRp = "purchasable_by_rp",
    /** column name */
    RefundableByMoney = "refundable_by_money",
    /** column name */
    RefundableByRp = "refundable_by_rp"
}
/** input type for updating data in table "product" */
export type Product_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    discountable_by_money?: InputMaybe<Scalars['Boolean']>;
    discountable_by_rp?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    is_game?: InputMaybe<Scalars['Boolean']>;
    is_good?: InputMaybe<Scalars['Boolean']>;
    is_service?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Product_Stddev_Fields = {
    __typename?: 'product_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Product_Stddev_Pop_Fields = {
    __typename?: 'product_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Product_Stddev_Samp_Fields = {
    __typename?: 'product_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "product" */
export type Product_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Product_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Product_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    discountable_by_money?: InputMaybe<Scalars['Boolean']>;
    discountable_by_rp?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    is_game?: InputMaybe<Scalars['Boolean']>;
    is_good?: InputMaybe<Scalars['Boolean']>;
    is_service?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Product_Sum_Fields = {
    __typename?: 'product_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "product" */
export declare enum Product_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DiscountableByMoney = "discountable_by_money",
    /** column name */
    DiscountableByRp = "discountable_by_rp",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsGame = "is_game",
    /** column name */
    IsGood = "is_good",
    /** column name */
    IsService = "is_service",
    /** column name */
    PurchasableByMoney = "purchasable_by_money",
    /** column name */
    PurchasableByRp = "purchasable_by_rp",
    /** column name */
    RefundableByMoney = "refundable_by_money",
    /** column name */
    RefundableByRp = "refundable_by_rp"
}
export type Product_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Product_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Product_Set_Input>;
    /** filter the rows which have to be updated */
    where: Product_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Product_Var_Pop_Fields = {
    __typename?: 'product_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Product_Var_Samp_Fields = {
    __typename?: 'product_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Product_Variance_Fields = {
    __typename?: 'product_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "profile" */
export type Profile = {
    __typename?: 'profile';
    design_count?: Maybe<Scalars['Int']>;
    finish_count?: Maybe<Scalars['Int']>;
    incomplete_count?: Maybe<Scalars['Int']>;
    invitation_count?: Maybe<Scalars['Int']>;
    mean_play_time?: Maybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    mean_players_on_games_designed?: Maybe<Scalars['Int']>;
    participation_count?: Maybe<Scalars['Int']>;
    subject?: Maybe<Scalars['Int']>;
    total_play_time?: Maybe<Scalars['Int']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    total_players_on_games_designed?: Maybe<Scalars['Int']>;
    total_stars?: Maybe<Scalars['Int']>;
    /** An object relationship */
    treasureUser?: Maybe<Treasure_User>;
};
/** aggregated selection of "profile" */
export type Profile_Aggregate = {
    __typename?: 'profile_aggregate';
    aggregate?: Maybe<Profile_Aggregate_Fields>;
    nodes: Array<Profile>;
};
/** aggregate fields of "profile" */
export type Profile_Aggregate_Fields = {
    __typename?: 'profile_aggregate_fields';
    avg?: Maybe<Profile_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Profile_Max_Fields>;
    min?: Maybe<Profile_Min_Fields>;
    stddev?: Maybe<Profile_Stddev_Fields>;
    stddev_pop?: Maybe<Profile_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Profile_Stddev_Samp_Fields>;
    sum?: Maybe<Profile_Sum_Fields>;
    var_pop?: Maybe<Profile_Var_Pop_Fields>;
    var_samp?: Maybe<Profile_Var_Samp_Fields>;
    variance?: Maybe<Profile_Variance_Fields>;
};
/** aggregate fields of "profile" */
export type Profile_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Profile_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Profile_Avg_Fields = {
    __typename?: 'profile_avg_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "profile". All fields are combined with a logical 'AND'. */
export type Profile_Bool_Exp = {
    _and?: InputMaybe<Array<Profile_Bool_Exp>>;
    _not?: InputMaybe<Profile_Bool_Exp>;
    _or?: InputMaybe<Array<Profile_Bool_Exp>>;
    design_count?: InputMaybe<Int_Comparison_Exp>;
    finish_count?: InputMaybe<Int_Comparison_Exp>;
    incomplete_count?: InputMaybe<Int_Comparison_Exp>;
    invitation_count?: InputMaybe<Int_Comparison_Exp>;
    mean_play_time?: InputMaybe<Int_Comparison_Exp>;
    mean_play_time_on_games_designed?: InputMaybe<Int_Comparison_Exp>;
    mean_players_on_games_designed?: InputMaybe<Int_Comparison_Exp>;
    participation_count?: InputMaybe<Int_Comparison_Exp>;
    subject?: InputMaybe<Int_Comparison_Exp>;
    total_play_time?: InputMaybe<Int_Comparison_Exp>;
    total_play_time_on_games_designed?: InputMaybe<Int_Comparison_Exp>;
    total_players_on_games_designed?: InputMaybe<Int_Comparison_Exp>;
    total_stars?: InputMaybe<Int_Comparison_Exp>;
    treasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
};
/** input type for incrementing numeric columns in table "profile" */
export type Profile_Inc_Input = {
    design_count?: InputMaybe<Scalars['Int']>;
    finish_count?: InputMaybe<Scalars['Int']>;
    incomplete_count?: InputMaybe<Scalars['Int']>;
    invitation_count?: InputMaybe<Scalars['Int']>;
    mean_play_time?: InputMaybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    mean_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    participation_count?: InputMaybe<Scalars['Int']>;
    subject?: InputMaybe<Scalars['Int']>;
    total_play_time?: InputMaybe<Scalars['Int']>;
    total_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_stars?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "profile" */
export type Profile_Insert_Input = {
    design_count?: InputMaybe<Scalars['Int']>;
    finish_count?: InputMaybe<Scalars['Int']>;
    incomplete_count?: InputMaybe<Scalars['Int']>;
    invitation_count?: InputMaybe<Scalars['Int']>;
    mean_play_time?: InputMaybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    mean_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    participation_count?: InputMaybe<Scalars['Int']>;
    subject?: InputMaybe<Scalars['Int']>;
    total_play_time?: InputMaybe<Scalars['Int']>;
    total_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_stars?: InputMaybe<Scalars['Int']>;
    treasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Profile_Max_Fields = {
    __typename?: 'profile_max_fields';
    design_count?: Maybe<Scalars['Int']>;
    finish_count?: Maybe<Scalars['Int']>;
    incomplete_count?: Maybe<Scalars['Int']>;
    invitation_count?: Maybe<Scalars['Int']>;
    mean_play_time?: Maybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    mean_players_on_games_designed?: Maybe<Scalars['Int']>;
    participation_count?: Maybe<Scalars['Int']>;
    subject?: Maybe<Scalars['Int']>;
    total_play_time?: Maybe<Scalars['Int']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    total_players_on_games_designed?: Maybe<Scalars['Int']>;
    total_stars?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Profile_Min_Fields = {
    __typename?: 'profile_min_fields';
    design_count?: Maybe<Scalars['Int']>;
    finish_count?: Maybe<Scalars['Int']>;
    incomplete_count?: Maybe<Scalars['Int']>;
    invitation_count?: Maybe<Scalars['Int']>;
    mean_play_time?: Maybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    mean_players_on_games_designed?: Maybe<Scalars['Int']>;
    participation_count?: Maybe<Scalars['Int']>;
    subject?: Maybe<Scalars['Int']>;
    total_play_time?: Maybe<Scalars['Int']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    total_players_on_games_designed?: Maybe<Scalars['Int']>;
    total_stars?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "profile" */
export type Profile_Mutation_Response = {
    __typename?: 'profile_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Profile>;
};
/** Ordering options when selecting data from "profile". */
export type Profile_Order_By = {
    design_count?: InputMaybe<Order_By>;
    finish_count?: InputMaybe<Order_By>;
    incomplete_count?: InputMaybe<Order_By>;
    invitation_count?: InputMaybe<Order_By>;
    mean_play_time?: InputMaybe<Order_By>;
    mean_play_time_on_games_designed?: InputMaybe<Order_By>;
    mean_players_on_games_designed?: InputMaybe<Order_By>;
    participation_count?: InputMaybe<Order_By>;
    subject?: InputMaybe<Order_By>;
    total_play_time?: InputMaybe<Order_By>;
    total_play_time_on_games_designed?: InputMaybe<Order_By>;
    total_players_on_games_designed?: InputMaybe<Order_By>;
    total_stars?: InputMaybe<Order_By>;
    treasureUser?: InputMaybe<Treasure_User_Order_By>;
};
/** select columns of table "profile" */
export declare enum Profile_Select_Column {
    /** column name */
    DesignCount = "design_count",
    /** column name */
    FinishCount = "finish_count",
    /** column name */
    IncompleteCount = "incomplete_count",
    /** column name */
    InvitationCount = "invitation_count",
    /** column name */
    MeanPlayTime = "mean_play_time",
    /** column name */
    MeanPlayTimeOnGamesDesigned = "mean_play_time_on_games_designed",
    /** column name */
    MeanPlayersOnGamesDesigned = "mean_players_on_games_designed",
    /** column name */
    ParticipationCount = "participation_count",
    /** column name */
    Subject = "subject",
    /** column name */
    TotalPlayTime = "total_play_time",
    /** column name */
    TotalPlayTimeOnGamesDesigned = "total_play_time_on_games_designed",
    /** column name */
    TotalPlayersOnGamesDesigned = "total_players_on_games_designed",
    /** column name */
    TotalStars = "total_stars"
}
/** input type for updating data in table "profile" */
export type Profile_Set_Input = {
    design_count?: InputMaybe<Scalars['Int']>;
    finish_count?: InputMaybe<Scalars['Int']>;
    incomplete_count?: InputMaybe<Scalars['Int']>;
    invitation_count?: InputMaybe<Scalars['Int']>;
    mean_play_time?: InputMaybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    mean_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    participation_count?: InputMaybe<Scalars['Int']>;
    subject?: InputMaybe<Scalars['Int']>;
    total_play_time?: InputMaybe<Scalars['Int']>;
    total_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_stars?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Profile_Stddev_Fields = {
    __typename?: 'profile_stddev_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Profile_Stddev_Pop_Fields = {
    __typename?: 'profile_stddev_pop_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Profile_Stddev_Samp_Fields = {
    __typename?: 'profile_stddev_samp_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "profile" */
export type Profile_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Profile_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Profile_Stream_Cursor_Value_Input = {
    design_count?: InputMaybe<Scalars['Int']>;
    finish_count?: InputMaybe<Scalars['Int']>;
    incomplete_count?: InputMaybe<Scalars['Int']>;
    invitation_count?: InputMaybe<Scalars['Int']>;
    mean_play_time?: InputMaybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    mean_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    participation_count?: InputMaybe<Scalars['Int']>;
    subject?: InputMaybe<Scalars['Int']>;
    total_play_time?: InputMaybe<Scalars['Int']>;
    total_play_time_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_players_on_games_designed?: InputMaybe<Scalars['Int']>;
    total_stars?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Profile_Sum_Fields = {
    __typename?: 'profile_sum_fields';
    design_count?: Maybe<Scalars['Int']>;
    finish_count?: Maybe<Scalars['Int']>;
    incomplete_count?: Maybe<Scalars['Int']>;
    invitation_count?: Maybe<Scalars['Int']>;
    mean_play_time?: Maybe<Scalars['Int']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    mean_players_on_games_designed?: Maybe<Scalars['Int']>;
    participation_count?: Maybe<Scalars['Int']>;
    subject?: Maybe<Scalars['Int']>;
    total_play_time?: Maybe<Scalars['Int']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Int']>;
    total_players_on_games_designed?: Maybe<Scalars['Int']>;
    total_stars?: Maybe<Scalars['Int']>;
};
export type Profile_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Profile_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Profile_Set_Input>;
    /** filter the rows which have to be updated */
    where: Profile_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Profile_Var_Pop_Fields = {
    __typename?: 'profile_var_pop_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Profile_Var_Samp_Fields = {
    __typename?: 'profile_var_samp_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Profile_Variance_Fields = {
    __typename?: 'profile_variance_fields';
    design_count?: Maybe<Scalars['Float']>;
    finish_count?: Maybe<Scalars['Float']>;
    incomplete_count?: Maybe<Scalars['Float']>;
    invitation_count?: Maybe<Scalars['Float']>;
    mean_play_time?: Maybe<Scalars['Float']>;
    mean_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    mean_players_on_games_designed?: Maybe<Scalars['Float']>;
    participation_count?: Maybe<Scalars['Float']>;
    subject?: Maybe<Scalars['Float']>;
    total_play_time?: Maybe<Scalars['Float']>;
    total_play_time_on_games_designed?: Maybe<Scalars['Float']>;
    total_players_on_games_designed?: Maybe<Scalars['Float']>;
    total_stars?: Maybe<Scalars['Float']>;
};
/** purchased service or product by rp or money */
export type Purchase = {
    __typename?: 'purchase';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    is_full?: Maybe<Scalars['Boolean']>;
    is_refunded?: Maybe<Scalars['Boolean']>;
    money?: Maybe<Scalars['Int']>;
    /** An object relationship */
    product?: Maybe<Product>;
    product_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    purchaser: Treasure_User;
    purchaser_id: Scalars['Int'];
    refunded_at?: Maybe<Scalars['timestamptz']>;
    refunded_money?: Maybe<Scalars['Int']>;
    refunded_rp?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    /** An object relationship */
    sell?: Maybe<Sell>;
    sell_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "purchase" */
export type Purchase_Aggregate = {
    __typename?: 'purchase_aggregate';
    aggregate?: Maybe<Purchase_Aggregate_Fields>;
    nodes: Array<Purchase>;
};
export type Purchase_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Purchase_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Purchase_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Purchase_Aggregate_Bool_Exp_Count>;
};
export type Purchase_Aggregate_Bool_Exp_Bool_And = {
    arguments: Purchase_Select_Column_Purchase_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Purchase_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Purchase_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Purchase_Select_Column_Purchase_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Purchase_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Purchase_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Purchase_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Purchase_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "purchase" */
export type Purchase_Aggregate_Fields = {
    __typename?: 'purchase_aggregate_fields';
    avg?: Maybe<Purchase_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Purchase_Max_Fields>;
    min?: Maybe<Purchase_Min_Fields>;
    stddev?: Maybe<Purchase_Stddev_Fields>;
    stddev_pop?: Maybe<Purchase_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Purchase_Stddev_Samp_Fields>;
    sum?: Maybe<Purchase_Sum_Fields>;
    var_pop?: Maybe<Purchase_Var_Pop_Fields>;
    var_samp?: Maybe<Purchase_Var_Samp_Fields>;
    variance?: Maybe<Purchase_Variance_Fields>;
};
/** aggregate fields of "purchase" */
export type Purchase_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Purchase_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "purchase" */
export type Purchase_Aggregate_Order_By = {
    avg?: InputMaybe<Purchase_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Purchase_Max_Order_By>;
    min?: InputMaybe<Purchase_Min_Order_By>;
    stddev?: InputMaybe<Purchase_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Purchase_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Purchase_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Purchase_Sum_Order_By>;
    var_pop?: InputMaybe<Purchase_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Purchase_Var_Samp_Order_By>;
    variance?: InputMaybe<Purchase_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "purchase" */
export type Purchase_Arr_Rel_Insert_Input = {
    data: Array<Purchase_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Purchase_On_Conflict>;
};
/** aggregate avg on columns */
export type Purchase_Avg_Fields = {
    __typename?: 'purchase_avg_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "purchase" */
export type Purchase_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "purchase". All fields are combined with a logical 'AND'. */
export type Purchase_Bool_Exp = {
    _and?: InputMaybe<Array<Purchase_Bool_Exp>>;
    _not?: InputMaybe<Purchase_Bool_Exp>;
    _or?: InputMaybe<Array<Purchase_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_full?: InputMaybe<Boolean_Comparison_Exp>;
    is_refunded?: InputMaybe<Boolean_Comparison_Exp>;
    money?: InputMaybe<Int_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
    purchaser?: InputMaybe<Treasure_User_Bool_Exp>;
    purchaser_id?: InputMaybe<Int_Comparison_Exp>;
    refunded_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    refunded_money?: InputMaybe<Int_Comparison_Exp>;
    refunded_rp?: InputMaybe<Int_Comparison_Exp>;
    rp?: InputMaybe<Int_Comparison_Exp>;
    sell?: InputMaybe<Sell_Bool_Exp>;
    sell_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "purchase" */
export declare enum Purchase_Constraint {
    /** unique or primary key constraint on columns "id" */
    PurchasePkey = "purchase_pkey"
}
/** input type for incrementing numeric columns in table "purchase" */
export type Purchase_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    money?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    purchaser_id?: InputMaybe<Scalars['Int']>;
    refunded_money?: InputMaybe<Scalars['Int']>;
    refunded_rp?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    sell_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "purchase" */
export type Purchase_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    is_full?: InputMaybe<Scalars['Boolean']>;
    is_refunded?: InputMaybe<Scalars['Boolean']>;
    money?: InputMaybe<Scalars['Int']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
    purchaser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    purchaser_id?: InputMaybe<Scalars['Int']>;
    refunded_at?: InputMaybe<Scalars['timestamptz']>;
    refunded_money?: InputMaybe<Scalars['Int']>;
    refunded_rp?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    sell?: InputMaybe<Sell_Obj_Rel_Insert_Input>;
    sell_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Purchase_Max_Fields = {
    __typename?: 'purchase_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    purchaser_id?: Maybe<Scalars['Int']>;
    refunded_at?: Maybe<Scalars['timestamptz']>;
    refunded_money?: Maybe<Scalars['Int']>;
    refunded_rp?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    sell_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "purchase" */
export type Purchase_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_at?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Purchase_Min_Fields = {
    __typename?: 'purchase_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    purchaser_id?: Maybe<Scalars['Int']>;
    refunded_at?: Maybe<Scalars['timestamptz']>;
    refunded_money?: Maybe<Scalars['Int']>;
    refunded_rp?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    sell_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "purchase" */
export type Purchase_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_at?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "purchase" */
export type Purchase_Mutation_Response = {
    __typename?: 'purchase_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Purchase>;
};
/** on_conflict condition type for table "purchase" */
export type Purchase_On_Conflict = {
    constraint: Purchase_Constraint;
    update_columns?: Array<Purchase_Update_Column>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
/** Ordering options when selecting data from "purchase". */
export type Purchase_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_full?: InputMaybe<Order_By>;
    is_refunded?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser?: InputMaybe<Treasure_User_Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_at?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell?: InputMaybe<Sell_Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: purchase */
export type Purchase_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "purchase" */
export declare enum Purchase_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    IsFull = "is_full",
    /** column name */
    IsRefunded = "is_refunded",
    /** column name */
    Money = "money",
    /** column name */
    ProductId = "product_id",
    /** column name */
    PurchaserId = "purchaser_id",
    /** column name */
    RefundedAt = "refunded_at",
    /** column name */
    RefundedMoney = "refunded_money",
    /** column name */
    RefundedRp = "refunded_rp",
    /** column name */
    Rp = "rp",
    /** column name */
    SellId = "sell_id"
}
/** select "purchase_aggregate_bool_exp_bool_and_arguments_columns" columns of table "purchase" */
export declare enum Purchase_Select_Column_Purchase_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsFull = "is_full",
    /** column name */
    IsRefunded = "is_refunded"
}
/** select "purchase_aggregate_bool_exp_bool_or_arguments_columns" columns of table "purchase" */
export declare enum Purchase_Select_Column_Purchase_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsFull = "is_full",
    /** column name */
    IsRefunded = "is_refunded"
}
/** input type for updating data in table "purchase" */
export type Purchase_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    is_full?: InputMaybe<Scalars['Boolean']>;
    is_refunded?: InputMaybe<Scalars['Boolean']>;
    money?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    purchaser_id?: InputMaybe<Scalars['Int']>;
    refunded_at?: InputMaybe<Scalars['timestamptz']>;
    refunded_money?: InputMaybe<Scalars['Int']>;
    refunded_rp?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    sell_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Purchase_Stddev_Fields = {
    __typename?: 'purchase_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "purchase" */
export type Purchase_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Purchase_Stddev_Pop_Fields = {
    __typename?: 'purchase_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "purchase" */
export type Purchase_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Purchase_Stddev_Samp_Fields = {
    __typename?: 'purchase_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "purchase" */
export type Purchase_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "purchase" */
export type Purchase_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Purchase_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Purchase_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    is_full?: InputMaybe<Scalars['Boolean']>;
    is_refunded?: InputMaybe<Scalars['Boolean']>;
    money?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    purchaser_id?: InputMaybe<Scalars['Int']>;
    refunded_at?: InputMaybe<Scalars['timestamptz']>;
    refunded_money?: InputMaybe<Scalars['Int']>;
    refunded_rp?: InputMaybe<Scalars['Int']>;
    rp?: InputMaybe<Scalars['Int']>;
    sell_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Purchase_Sum_Fields = {
    __typename?: 'purchase_sum_fields';
    id?: Maybe<Scalars['Int']>;
    money?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    purchaser_id?: Maybe<Scalars['Int']>;
    refunded_money?: Maybe<Scalars['Int']>;
    refunded_rp?: Maybe<Scalars['Int']>;
    rp?: Maybe<Scalars['Int']>;
    sell_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "purchase" */
export type Purchase_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** update columns of table "purchase" */
export declare enum Purchase_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    IsFull = "is_full",
    /** column name */
    IsRefunded = "is_refunded",
    /** column name */
    Money = "money",
    /** column name */
    ProductId = "product_id",
    /** column name */
    PurchaserId = "purchaser_id",
    /** column name */
    RefundedAt = "refunded_at",
    /** column name */
    RefundedMoney = "refunded_money",
    /** column name */
    RefundedRp = "refunded_rp",
    /** column name */
    Rp = "rp",
    /** column name */
    SellId = "sell_id"
}
export type Purchase_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Purchase_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Purchase_Set_Input>;
    /** filter the rows which have to be updated */
    where: Purchase_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Purchase_Var_Pop_Fields = {
    __typename?: 'purchase_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "purchase" */
export type Purchase_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Purchase_Var_Samp_Fields = {
    __typename?: 'purchase_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "purchase" */
export type Purchase_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Purchase_Variance_Fields = {
    __typename?: 'purchase_variance_fields';
    id?: Maybe<Scalars['Float']>;
    money?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    purchaser_id?: Maybe<Scalars['Float']>;
    refunded_money?: Maybe<Scalars['Float']>;
    refunded_rp?: Maybe<Scalars['Float']>;
    rp?: Maybe<Scalars['Float']>;
    sell_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "purchase" */
export type Purchase_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    money?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchaser_id?: InputMaybe<Order_By>;
    refunded_money?: InputMaybe<Order_By>;
    refunded_rp?: InputMaybe<Order_By>;
    rp?: InputMaybe<Order_By>;
    sell_id?: InputMaybe<Order_By>;
};
export type Query_Root = {
    __typename?: 'query_root';
    /** fetch data from the table: "alarm" */
    alarm: Array<Alarm>;
    /** fetch aggregated fields from the table: "alarm" */
    alarm_aggregate: Alarm_Aggregate;
    /** fetch data from the table: "alarm" using primary key columns */
    alarm_by_pk?: Maybe<Alarm>;
    /** fetch data from the table: "animation_stage" */
    animation_stage: Array<Animation_Stage>;
    /** fetch aggregated fields from the table: "animation_stage" */
    animation_stage_aggregate: Animation_Stage_Aggregate;
    /** fetch data from the table: "animation_stage" using primary key columns */
    animation_stage_by_pk?: Maybe<Animation_Stage>;
    /** fetch data from the table: "answer" */
    answer: Array<Answer>;
    /** fetch aggregated fields from the table: "answer" */
    answer_aggregate: Answer_Aggregate;
    /** fetch data from the table: "answer" using primary key columns */
    answer_by_pk?: Maybe<Answer>;
    /** fetch data from the table: "answer_type" */
    answer_type: Array<Answer_Type>;
    /** fetch aggregated fields from the table: "answer_type" */
    answer_type_aggregate: Answer_Type_Aggregate;
    /** fetch data from the table: "answer_type" using primary key columns */
    answer_type_by_pk?: Maybe<Answer_Type>;
    /** fetch data from the table: "area" */
    area: Array<Area>;
    /** fetch aggregated fields from the table: "area" */
    area_aggregate: Area_Aggregate;
    /** fetch data from the table: "area" using primary key columns */
    area_by_pk?: Maybe<Area>;
    /** fetch data from the table: "auth.account_providers" */
    auth_account_providers: Array<Auth_Account_Providers>;
    /** fetch aggregated fields from the table: "auth.account_providers" */
    auth_account_providers_aggregate: Auth_Account_Providers_Aggregate;
    /** fetch data from the table: "auth.account_providers" using primary key columns */
    auth_account_providers_by_pk?: Maybe<Auth_Account_Providers>;
    /** fetch data from the table: "auth.account_roles" */
    auth_account_roles: Array<Auth_Account_Roles>;
    /** fetch aggregated fields from the table: "auth.account_roles" */
    auth_account_roles_aggregate: Auth_Account_Roles_Aggregate;
    /** fetch data from the table: "auth.account_roles" using primary key columns */
    auth_account_roles_by_pk?: Maybe<Auth_Account_Roles>;
    /** fetch data from the table: "auth.accounts" */
    auth_accounts: Array<Auth_Accounts>;
    /** fetch aggregated fields from the table: "auth.accounts" */
    auth_accounts_aggregate: Auth_Accounts_Aggregate;
    /** fetch data from the table: "auth.accounts" using primary key columns */
    auth_accounts_by_pk?: Maybe<Auth_Accounts>;
    /** fetch data from the table: "auth.providers" */
    auth_providers: Array<Auth_Providers>;
    /** fetch aggregated fields from the table: "auth.providers" */
    auth_providers_aggregate: Auth_Providers_Aggregate;
    /** fetch data from the table: "auth.providers" using primary key columns */
    auth_providers_by_pk?: Maybe<Auth_Providers>;
    /** fetch data from the table: "auth.refresh_tokens" */
    auth_refresh_tokens: Array<Auth_Refresh_Tokens>;
    /** fetch aggregated fields from the table: "auth.refresh_tokens" */
    auth_refresh_tokens_aggregate: Auth_Refresh_Tokens_Aggregate;
    /** fetch data from the table: "auth.refresh_tokens" using primary key columns */
    auth_refresh_tokens_by_pk?: Maybe<Auth_Refresh_Tokens>;
    /** fetch data from the table: "auth.roles" */
    auth_roles: Array<Auth_Roles>;
    /** fetch aggregated fields from the table: "auth.roles" */
    auth_roles_aggregate: Auth_Roles_Aggregate;
    /** fetch data from the table: "auth.roles" using primary key columns */
    auth_roles_by_pk?: Maybe<Auth_Roles>;
    /** fetch data from the table: "badge" */
    badge: Array<Badge>;
    /** fetch aggregated fields from the table: "badge" */
    badge_aggregate: Badge_Aggregate;
    /** fetch data from the table: "badge" using primary key columns */
    badge_by_pk?: Maybe<Badge>;
    /** fetch data from the table: "badge_category" */
    badge_category: Array<Badge_Category>;
    /** fetch aggregated fields from the table: "badge_category" */
    badge_category_aggregate: Badge_Category_Aggregate;
    /** fetch data from the table: "badge_category" using primary key columns */
    badge_category_by_pk?: Maybe<Badge_Category>;
    /** fetch data from the table: "badge_type" */
    badge_type: Array<Badge_Type>;
    /** fetch aggregated fields from the table: "badge_type" */
    badge_type_aggregate: Badge_Type_Aggregate;
    /** fetch data from the table: "badge_type" using primary key columns */
    badge_type_by_pk?: Maybe<Badge_Type>;
    /** fetch data from the table: "batch" */
    batch: Array<Batch>;
    /** fetch aggregated fields from the table: "batch" */
    batch_aggregate: Batch_Aggregate;
    /** fetch data from the table: "batch" using primary key columns */
    batch_by_pk?: Maybe<Batch>;
    /** fetch data from the table: "blueprint" */
    blueprint: Array<Blueprint>;
    /** fetch aggregated fields from the table: "blueprint" */
    blueprint_aggregate: Blueprint_Aggregate;
    /** fetch data from the table: "blueprint" using primary key columns */
    blueprint_by_pk?: Maybe<Blueprint>;
    /** fetch data from the table: "business_model_type" */
    business_model_type: Array<Business_Model_Type>;
    /** fetch aggregated fields from the table: "business_model_type" */
    business_model_type_aggregate: Business_Model_Type_Aggregate;
    /** fetch data from the table: "business_model_type" using primary key columns */
    business_model_type_by_pk?: Maybe<Business_Model_Type>;
    /** fetch data from the table: "charge" */
    charge: Array<Charge>;
    /** fetch aggregated fields from the table: "charge" */
    charge_aggregate: Charge_Aggregate;
    /** fetch data from the table: "charge" using primary key columns */
    charge_by_pk?: Maybe<Charge>;
    /** fetch data from the table: "charger" */
    charger: Array<Charger>;
    /** fetch aggregated fields from the table: "charger" */
    charger_aggregate: Charger_Aggregate;
    /** fetch data from the table: "charger" using primary key columns */
    charger_by_pk?: Maybe<Charger>;
    check_confirming_and_settlement_about_game?: Maybe<CheckConfirmingAndSettlementAboutGameOutput>;
    check_judge_hasura_entrypoint?: Maybe<CheckJudgeHasuraEntrypointOutput>;
    check_judge_working?: Maybe<CheckJudgeHasuraWorkingOutput>;
    /** fetch data from the table: "condition" */
    condition: Array<Condition>;
    /** fetch aggregated fields from the table: "condition" */
    condition_aggregate: Condition_Aggregate;
    /** fetch data from the table: "condition" using primary key columns */
    condition_by_pk?: Maybe<Condition>;
    /** fetch data from the table: "condition_type" */
    condition_type: Array<Condition_Type>;
    /** fetch aggregated fields from the table: "condition_type" */
    condition_type_aggregate: Condition_Type_Aggregate;
    /** fetch data from the table: "condition_type" using primary key columns */
    condition_type_by_pk?: Maybe<Condition_Type>;
    /** fetch data from the table: "content" */
    content: Array<Content>;
    /** fetch aggregated fields from the table: "content" */
    content_aggregate: Content_Aggregate;
    /** fetch data from the table: "content" using primary key columns */
    content_by_pk?: Maybe<Content>;
    /** fetch data from the table: "contract" */
    contract: Array<Contract>;
    /** fetch aggregated fields from the table: "contract" */
    contract_aggregate: Contract_Aggregate;
    /** fetch data from the table: "contract" using primary key columns */
    contract_by_pk?: Maybe<Contract>;
    /** fetch data from the table: "contract_type" */
    contract_type: Array<Contract_Type>;
    /** fetch aggregated fields from the table: "contract_type" */
    contract_type_aggregate: Contract_Type_Aggregate;
    /** fetch data from the table: "contract_type" using primary key columns */
    contract_type_by_pk?: Maybe<Contract_Type>;
    /** fetch data from the table: "currency" */
    currency: Array<Currency>;
    /** fetch aggregated fields from the table: "currency" */
    currency_aggregate: Currency_Aggregate;
    /** fetch data from the table: "currency" using primary key columns */
    currency_by_pk?: Maybe<Currency>;
    /** fetch data from the table: "currency_exchange" */
    currency_exchange: Array<Currency_Exchange>;
    /** fetch aggregated fields from the table: "currency_exchange" */
    currency_exchange_aggregate: Currency_Exchange_Aggregate;
    /** fetch data from the table: "currency_exchange" using primary key columns */
    currency_exchange_by_pk?: Maybe<Currency_Exchange>;
    /** fetch data from the table: "currency_type" */
    currency_type: Array<Currency_Type>;
    /** fetch aggregated fields from the table: "currency_type" */
    currency_type_aggregate: Currency_Type_Aggregate;
    /** fetch data from the table: "currency_type" using primary key columns */
    currency_type_by_pk?: Maybe<Currency_Type>;
    /** fetch data from the table: "desktop_type" */
    desktop_type: Array<Desktop_Type>;
    /** fetch aggregated fields from the table: "desktop_type" */
    desktop_type_aggregate: Desktop_Type_Aggregate;
    /** fetch data from the table: "desktop_type" using primary key columns */
    desktop_type_by_pk?: Maybe<Desktop_Type>;
    /** fetch data from the table: "entrypoint" */
    entrypoint: Array<Entrypoint>;
    /** fetch aggregated fields from the table: "entrypoint" */
    entrypoint_aggregate: Entrypoint_Aggregate;
    /** fetch data from the table: "entrypoint" using primary key columns */
    entrypoint_by_pk?: Maybe<Entrypoint>;
    /** fetch data from the table: "evaluator" */
    evaluator: Array<Evaluator>;
    /** fetch aggregated fields from the table: "evaluator" */
    evaluator_aggregate: Evaluator_Aggregate;
    /** fetch data from the table: "evaluator" using primary key columns */
    evaluator_by_pk?: Maybe<Evaluator>;
    /** fetch data from the table: "example" */
    example: Array<Example>;
    /** fetch aggregated fields from the table: "example" */
    example_aggregate: Example_Aggregate;
    /** fetch data from the table: "example" using primary key columns */
    example_by_pk?: Maybe<Example>;
    /** fetch data from the table: "example_type" */
    example_type: Array<Example_Type>;
    /** fetch aggregated fields from the table: "example_type" */
    example_type_aggregate: Example_Type_Aggregate;
    /** fetch data from the table: "example_type" using primary key columns */
    example_type_by_pk?: Maybe<Example_Type>;
    /** fetch data from the table: "exhibition_determinant" */
    exhibition_determinant: Array<Exhibition_Determinant>;
    /** fetch aggregated fields from the table: "exhibition_determinant" */
    exhibition_determinant_aggregate: Exhibition_Determinant_Aggregate;
    /** fetch data from the table: "exhibition_determinant" using primary key columns */
    exhibition_determinant_by_pk?: Maybe<Exhibition_Determinant>;
    /** fetch data from the table: "flag" */
    flag: Array<Flag>;
    /** fetch aggregated fields from the table: "flag" */
    flag_aggregate: Flag_Aggregate;
    /** fetch data from the table: "flag" using primary key columns */
    flag_by_pk?: Maybe<Flag>;
    /** fetch data from the table: "flag_type" */
    flag_type: Array<Flag_Type>;
    /** fetch aggregated fields from the table: "flag_type" */
    flag_type_aggregate: Flag_Type_Aggregate;
    /** fetch data from the table: "flag_type" using primary key columns */
    flag_type_by_pk?: Maybe<Flag_Type>;
    /** fetch data from the table: "game" */
    game: Array<Game>;
    /** fetch data from the table: "game_action" */
    game_action: Array<Game_Action>;
    /** fetch aggregated fields from the table: "game_action" */
    game_action_aggregate: Game_Action_Aggregate;
    /** fetch data from the table: "game_action" using primary key columns */
    game_action_by_pk?: Maybe<Game_Action>;
    /** fetch aggregated fields from the table: "game" */
    game_aggregate: Game_Aggregate;
    /** fetch data from the table: "game" using primary key columns */
    game_by_pk?: Maybe<Game>;
    /** fetch data from the table: "game_design" */
    game_design: Array<Game_Design>;
    /** fetch aggregated fields from the table: "game_design" */
    game_design_aggregate: Game_Design_Aggregate;
    /** fetch data from the table: "game_design" using primary key columns */
    game_design_by_pk?: Maybe<Game_Design>;
    /** fetch data from the table: "game_group" */
    game_group: Array<Game_Group>;
    /** fetch aggregated fields from the table: "game_group" */
    game_group_aggregate: Game_Group_Aggregate;
    /** fetch data from the table: "game_group" using primary key columns */
    game_group_by_pk?: Maybe<Game_Group>;
    /** fetch data from the table: "game_hunter" */
    game_hunter: Array<Game_Hunter>;
    /** fetch aggregated fields from the table: "game_hunter" */
    game_hunter_aggregate: Game_Hunter_Aggregate;
    /** fetch data from the table: "game_hunter" using primary key columns */
    game_hunter_by_pk?: Maybe<Game_Hunter>;
    /** fetch data from the table: "game_management" */
    game_management: Array<Game_Management>;
    /** fetch aggregated fields from the table: "game_management" */
    game_management_aggregate: Game_Management_Aggregate;
    /** fetch data from the table: "game_management" using primary key columns */
    game_management_by_pk?: Maybe<Game_Management>;
    /** fetch data from the table: "game_operators" */
    game_operators: Array<Game_Operators>;
    /** fetch aggregated fields from the table: "game_operators" */
    game_operators_aggregate: Game_Operators_Aggregate;
    /** fetch data from the table: "game_operators" using primary key columns */
    game_operators_by_pk?: Maybe<Game_Operators>;
    /** fetch data from the table: "game_record" */
    game_record: Array<Game_Record>;
    /** fetch aggregated fields from the table: "game_record" */
    game_record_aggregate: Game_Record_Aggregate;
    /** fetch data from the table: "game_record" using primary key columns */
    game_record_by_pk?: Maybe<Game_Record>;
    /** fetch data from the table: "game_requirement" */
    game_requirement: Array<Game_Requirement>;
    /** fetch aggregated fields from the table: "game_requirement" */
    game_requirement_aggregate: Game_Requirement_Aggregate;
    /** fetch data from the table: "game_requirement" using primary key columns */
    game_requirement_by_pk?: Maybe<Game_Requirement>;
    /** fetch data from the table: "game_state_type" */
    game_state_type: Array<Game_State_Type>;
    /** fetch aggregated fields from the table: "game_state_type" */
    game_state_type_aggregate: Game_State_Type_Aggregate;
    /** fetch data from the table: "game_state_type" using primary key columns */
    game_state_type_by_pk?: Maybe<Game_State_Type>;
    /** fetch data from the table: "game_winner" */
    game_winner: Array<Game_Winner>;
    /** fetch aggregated fields from the table: "game_winner" */
    game_winner_aggregate: Game_Winner_Aggregate;
    /** fetch data from the table: "game_winner" using primary key columns */
    game_winner_by_pk?: Maybe<Game_Winner>;
    /** fetch data from the table: "games_locus" */
    games_locus: Array<Games_Locus>;
    /** fetch aggregated fields from the table: "games_locus" */
    games_locus_aggregate: Games_Locus_Aggregate;
    /** fetch data from the table: "games_locus" using primary key columns */
    games_locus_by_pk?: Maybe<Games_Locus>;
    /** fetch data from the table: "gift" */
    gift: Array<Gift>;
    /** fetch aggregated fields from the table: "gift" */
    gift_aggregate: Gift_Aggregate;
    /** fetch data from the table: "gift" using primary key columns */
    gift_by_pk?: Maybe<Gift>;
    /** fetch data from the table: "goods" */
    goods: Array<Goods>;
    /** fetch aggregated fields from the table: "goods" */
    goods_aggregate: Goods_Aggregate;
    /** fetch data from the table: "goods" using primary key columns */
    goods_by_pk?: Maybe<Goods>;
    /** fetch data from the table: "hier_type" */
    hier_type: Array<Hier_Type>;
    /** fetch aggregated fields from the table: "hier_type" */
    hier_type_aggregate: Hier_Type_Aggregate;
    /** fetch data from the table: "hier_type" using primary key columns */
    hier_type_by_pk?: Maybe<Hier_Type>;
    /** fetch data from the table: "incognito" */
    incognito: Array<Incognito>;
    /** fetch aggregated fields from the table: "incognito" */
    incognito_aggregate: Incognito_Aggregate;
    /** fetch data from the table: "incognito" using primary key columns */
    incognito_by_pk?: Maybe<Incognito>;
    /** fetch data from the table: "inscription" */
    inscription: Array<Inscription>;
    /** fetch aggregated fields from the table: "inscription" */
    inscription_aggregate: Inscription_Aggregate;
    /** fetch data from the table: "inscription" using primary key columns */
    inscription_by_pk?: Maybe<Inscription>;
    /** fetch data from the table: "interface_type" */
    interface_type: Array<Interface_Type>;
    /** fetch aggregated fields from the table: "interface_type" */
    interface_type_aggregate: Interface_Type_Aggregate;
    /** fetch data from the table: "interface_type" using primary key columns */
    interface_type_by_pk?: Maybe<Interface_Type>;
    /** fetch data from the table: "judge" */
    judge: Array<Judge>;
    /** fetch aggregated fields from the table: "judge" */
    judge_aggregate: Judge_Aggregate;
    /** fetch data from the table: "judge" using primary key columns */
    judge_by_pk?: Maybe<Judge>;
    /** fetch data from the table: "judge_display_type" */
    judge_display_type: Array<Judge_Display_Type>;
    /** fetch aggregated fields from the table: "judge_display_type" */
    judge_display_type_aggregate: Judge_Display_Type_Aggregate;
    /** fetch data from the table: "judge_display_type" using primary key columns */
    judge_display_type_by_pk?: Maybe<Judge_Display_Type>;
    /** fetch data from the table: "judge_entry" */
    judge_entry: Array<Judge_Entry>;
    /** fetch aggregated fields from the table: "judge_entry" */
    judge_entry_aggregate: Judge_Entry_Aggregate;
    /** fetch data from the table: "judge_entry" using primary key columns */
    judge_entry_by_pk?: Maybe<Judge_Entry>;
    /** fetch data from the table: "judge_role_type" */
    judge_role_type: Array<Judge_Role_Type>;
    /** fetch aggregated fields from the table: "judge_role_type" */
    judge_role_type_aggregate: Judge_Role_Type_Aggregate;
    /** fetch data from the table: "judge_role_type" using primary key columns */
    judge_role_type_by_pk?: Maybe<Judge_Role_Type>;
    /** fetch data from the table: "kairos" */
    kairos: Array<Kairos>;
    /** fetch aggregated fields from the table: "kairos" */
    kairos_aggregate: Kairos_Aggregate;
    /** fetch data from the table: "kairos" using primary key columns */
    kairos_by_pk?: Maybe<Kairos>;
    /** fetch data from the table: "keyword_description" */
    keyword_description: Array<Keyword_Description>;
    /** fetch aggregated fields from the table: "keyword_description" */
    keyword_description_aggregate: Keyword_Description_Aggregate;
    /** fetch data from the table: "keyword_description" using primary key columns */
    keyword_description_by_pk?: Maybe<Keyword_Description>;
    /** fetch data from the table: "language" */
    language: Array<Language>;
    /** fetch aggregated fields from the table: "language" */
    language_aggregate: Language_Aggregate;
    /** fetch data from the table: "language" using primary key columns */
    language_by_pk?: Maybe<Language>;
    /** fetch data from the table: "location" */
    location: Array<Location>;
    /** fetch aggregated fields from the table: "location" */
    location_aggregate: Location_Aggregate;
    /** fetch data from the table: "location" using primary key columns */
    location_by_pk?: Maybe<Location>;
    /** fetch data from the table: "locus" */
    locus: Array<Locus>;
    /** fetch aggregated fields from the table: "locus" */
    locus_aggregate: Locus_Aggregate;
    /** fetch data from the table: "locus" using primary key columns */
    locus_by_pk?: Maybe<Locus>;
    /** fetch data from the table: "locus_imitate" */
    locus_imitate: Array<Locus_Imitate>;
    /** fetch aggregated fields from the table: "locus_imitate" */
    locus_imitate_aggregate: Locus_Imitate_Aggregate;
    /** fetch data from the table: "locus_imitate" using primary key columns */
    locus_imitate_by_pk?: Maybe<Locus_Imitate>;
    /** fetch data from the table: "locus_member" */
    locus_member: Array<Locus_Member>;
    /** fetch aggregated fields from the table: "locus_member" */
    locus_member_aggregate: Locus_Member_Aggregate;
    /** fetch data from the table: "locus_member" using primary key columns */
    locus_member_by_pk?: Maybe<Locus_Member>;
    /** fetch data from the table: "locus_operation_type" */
    locus_operation_type: Array<Locus_Operation_Type>;
    /** fetch aggregated fields from the table: "locus_operation_type" */
    locus_operation_type_aggregate: Locus_Operation_Type_Aggregate;
    /** fetch data from the table: "locus_operation_type" using primary key columns */
    locus_operation_type_by_pk?: Maybe<Locus_Operation_Type>;
    /** fetch data from the table: "locus_policy" */
    locus_policy: Array<Locus_Policy>;
    /** fetch aggregated fields from the table: "locus_policy" */
    locus_policy_aggregate: Locus_Policy_Aggregate;
    /** fetch data from the table: "locus_policy" using primary key columns */
    locus_policy_by_pk?: Maybe<Locus_Policy>;
    /** fetch data from the table: "locus_state" */
    locus_state: Array<Locus_State>;
    /** fetch aggregated fields from the table: "locus_state" */
    locus_state_aggregate: Locus_State_Aggregate;
    /** fetch data from the table: "locus_state" using primary key columns */
    locus_state_by_pk?: Maybe<Locus_State>;
    /** fetch data from the table: "locus_theme" */
    locus_theme: Array<Locus_Theme>;
    /** fetch aggregated fields from the table: "locus_theme" */
    locus_theme_aggregate: Locus_Theme_Aggregate;
    /** fetch data from the table: "locus_theme" using primary key columns */
    locus_theme_by_pk?: Maybe<Locus_Theme>;
    /** fetch data from the table: "locus_type" */
    locus_type: Array<Locus_Type>;
    /** fetch aggregated fields from the table: "locus_type" */
    locus_type_aggregate: Locus_Type_Aggregate;
    /** fetch data from the table: "locus_type" using primary key columns */
    locus_type_by_pk?: Maybe<Locus_Type>;
    /** fetch data from the table: "map" */
    map: Array<Map>;
    /** fetch aggregated fields from the table: "map" */
    map_aggregate: Map_Aggregate;
    /** fetch data from the table: "map" using primary key columns */
    map_by_pk?: Maybe<Map>;
    /** fetch data from the table: "map_condition_type" */
    map_condition_type: Array<Map_Condition_Type>;
    /** fetch aggregated fields from the table: "map_condition_type" */
    map_condition_type_aggregate: Map_Condition_Type_Aggregate;
    /** fetch data from the table: "map_condition_type" using primary key columns */
    map_condition_type_by_pk?: Maybe<Map_Condition_Type>;
    /** fetch data from the table: "map_effect" */
    map_effect: Array<Map_Effect>;
    /** fetch aggregated fields from the table: "map_effect" */
    map_effect_aggregate: Map_Effect_Aggregate;
    /** fetch data from the table: "map_effect" using primary key columns */
    map_effect_by_pk?: Maybe<Map_Effect>;
    /** fetch data from the table: "map_effect_type" */
    map_effect_type: Array<Map_Effect_Type>;
    /** fetch aggregated fields from the table: "map_effect_type" */
    map_effect_type_aggregate: Map_Effect_Type_Aggregate;
    /** fetch data from the table: "map_effect_type" using primary key columns */
    map_effect_type_by_pk?: Maybe<Map_Effect_Type>;
    /** fetch data from the table: "map_item" */
    map_item: Array<Map_Item>;
    /** fetch aggregated fields from the table: "map_item" */
    map_item_aggregate: Map_Item_Aggregate;
    /** fetch data from the table: "map_item_animation" */
    map_item_animation: Array<Map_Item_Animation>;
    /** fetch aggregated fields from the table: "map_item_animation" */
    map_item_animation_aggregate: Map_Item_Animation_Aggregate;
    /** fetch data from the table: "map_item_animation" using primary key columns */
    map_item_animation_by_pk?: Maybe<Map_Item_Animation>;
    /** fetch data from the table: "map_item" using primary key columns */
    map_item_by_pk?: Maybe<Map_Item>;
    /** fetch data from the table: "map_item_state" */
    map_item_state: Array<Map_Item_State>;
    /** fetch aggregated fields from the table: "map_item_state" */
    map_item_state_aggregate: Map_Item_State_Aggregate;
    /** fetch data from the table: "map_item_state" using primary key columns */
    map_item_state_by_pk?: Maybe<Map_Item_State>;
    /** fetch data from the table: "medium_type" */
    medium_type: Array<Medium_Type>;
    /** fetch aggregated fields from the table: "medium_type" */
    medium_type_aggregate: Medium_Type_Aggregate;
    /** fetch data from the table: "medium_type" using primary key columns */
    medium_type_by_pk?: Maybe<Medium_Type>;
    /** fetch data from the table: "megaphone" */
    megaphone: Array<Megaphone>;
    /** fetch aggregated fields from the table: "megaphone" */
    megaphone_aggregate: Megaphone_Aggregate;
    /** fetch data from the table: "megaphone" using primary key columns */
    megaphone_by_pk?: Maybe<Megaphone>;
    /** fetch data from the table: "message" */
    message: Array<Message>;
    /** fetch aggregated fields from the table: "message" */
    message_aggregate: Message_Aggregate;
    /** fetch data from the table: "message" using primary key columns */
    message_by_pk?: Maybe<Message>;
    /** fetch data from the table: "mold" */
    mold: Array<Mold>;
    /** fetch aggregated fields from the table: "mold" */
    mold_aggregate: Mold_Aggregate;
    /** fetch data from the table: "mold_blueprint" */
    mold_blueprint: Array<Mold_Blueprint>;
    /** fetch aggregated fields from the table: "mold_blueprint" */
    mold_blueprint_aggregate: Mold_Blueprint_Aggregate;
    /** fetch data from the table: "mold_blueprint" using primary key columns */
    mold_blueprint_by_pk?: Maybe<Mold_Blueprint>;
    /** fetch data from the table: "mold" using primary key columns */
    mold_by_pk?: Maybe<Mold>;
    /** fetch data from the table: "morsel_type" */
    morsel_type: Array<Morsel_Type>;
    /** fetch aggregated fields from the table: "morsel_type" */
    morsel_type_aggregate: Morsel_Type_Aggregate;
    /** fetch data from the table: "morsel_type" using primary key columns */
    morsel_type_by_pk?: Maybe<Morsel_Type>;
    /** fetch data from the table: "operation" */
    operation: Array<Operation>;
    /** fetch aggregated fields from the table: "operation" */
    operation_aggregate: Operation_Aggregate;
    /** fetch data from the table: "operation" using primary key columns */
    operation_by_pk?: Maybe<Operation>;
    /** fetch data from the table: "operation_maintain_type" */
    operation_maintain_type: Array<Operation_Maintain_Type>;
    /** fetch aggregated fields from the table: "operation_maintain_type" */
    operation_maintain_type_aggregate: Operation_Maintain_Type_Aggregate;
    /** fetch data from the table: "operation_maintain_type" using primary key columns */
    operation_maintain_type_by_pk?: Maybe<Operation_Maintain_Type>;
    /** fetch data from the table: "operation_operator" */
    operation_operator: Array<Operation_Operator>;
    /** fetch aggregated fields from the table: "operation_operator" */
    operation_operator_aggregate: Operation_Operator_Aggregate;
    /** fetch data from the table: "operation_operator" using primary key columns */
    operation_operator_by_pk?: Maybe<Operation_Operator>;
    /** fetch data from the table: "operation_setting_type" */
    operation_setting_type: Array<Operation_Setting_Type>;
    /** fetch aggregated fields from the table: "operation_setting_type" */
    operation_setting_type_aggregate: Operation_Setting_Type_Aggregate;
    /** fetch data from the table: "operation_setting_type" using primary key columns */
    operation_setting_type_by_pk?: Maybe<Operation_Setting_Type>;
    /** fetch data from the table: "operation_state" */
    operation_state: Array<Operation_State>;
    /** fetch aggregated fields from the table: "operation_state" */
    operation_state_aggregate: Operation_State_Aggregate;
    /** fetch data from the table: "operation_state" using primary key columns */
    operation_state_by_pk?: Maybe<Operation_State>;
    /** fetch data from the table: "operation_type" */
    operation_type: Array<Operation_Type>;
    /** fetch aggregated fields from the table: "operation_type" */
    operation_type_aggregate: Operation_Type_Aggregate;
    /** fetch data from the table: "operation_type" using primary key columns */
    operation_type_by_pk?: Maybe<Operation_Type>;
    /** fetch data from the table: "operator_state_type" */
    operator_state_type: Array<Operator_State_Type>;
    /** fetch aggregated fields from the table: "operator_state_type" */
    operator_state_type_aggregate: Operator_State_Type_Aggregate;
    /** fetch data from the table: "operator_state_type" using primary key columns */
    operator_state_type_by_pk?: Maybe<Operator_State_Type>;
    /** fetch data from the table: "piece" */
    piece: Array<Piece>;
    /** fetch aggregated fields from the table: "piece" */
    piece_aggregate: Piece_Aggregate;
    /** fetch data from the table: "piece" using primary key columns */
    piece_by_pk?: Maybe<Piece>;
    /** fetch data from the table: "piece_locus" */
    piece_locus: Array<Piece_Locus>;
    /** fetch aggregated fields from the table: "piece_locus" */
    piece_locus_aggregate: Piece_Locus_Aggregate;
    /** fetch data from the table: "piece_locus" using primary key columns */
    piece_locus_by_pk?: Maybe<Piece_Locus>;
    /** fetch data from the table: "piece_type" */
    piece_type: Array<Piece_Type>;
    /** fetch aggregated fields from the table: "piece_type" */
    piece_type_aggregate: Piece_Type_Aggregate;
    /** fetch data from the table: "piece_type" using primary key columns */
    piece_type_by_pk?: Maybe<Piece_Type>;
    /** fetch data from the table: "post" */
    post: Array<Post>;
    /** fetch aggregated fields from the table: "post" */
    post_aggregate: Post_Aggregate;
    /** fetch data from the table: "post" using primary key columns */
    post_by_pk?: Maybe<Post>;
    /** fetch data from the table: "post_evaluation" */
    post_evaluation: Array<Post_Evaluation>;
    /** fetch aggregated fields from the table: "post_evaluation" */
    post_evaluation_aggregate: Post_Evaluation_Aggregate;
    /** fetch data from the table: "post_evaluation" using primary key columns */
    post_evaluation_by_pk?: Maybe<Post_Evaluation>;
    /** fetch data from the table: "preference" */
    preference: Array<Preference>;
    /** fetch aggregated fields from the table: "preference" */
    preference_aggregate: Preference_Aggregate;
    /** fetch data from the table: "product" */
    product: Array<Product>;
    /** fetch aggregated fields from the table: "product" */
    product_aggregate: Product_Aggregate;
    /** fetch data from the table: "product" using primary key columns */
    product_by_pk?: Maybe<Product>;
    /** fetch data from the table: "profile" */
    profile: Array<Profile>;
    /** fetch aggregated fields from the table: "profile" */
    profile_aggregate: Profile_Aggregate;
    /** fetch data from the table: "purchase" */
    purchase: Array<Purchase>;
    /** fetch aggregated fields from the table: "purchase" */
    purchase_aggregate: Purchase_Aggregate;
    /** fetch data from the table: "purchase" using primary key columns */
    purchase_by_pk?: Maybe<Purchase>;
    /** fetch data from the table: "quest" */
    quest: Array<Quest>;
    /** fetch aggregated fields from the table: "quest" */
    quest_aggregate: Quest_Aggregate;
    /** fetch data from the table: "quest_ancestry" */
    quest_ancestry: Array<Quest_Ancestry>;
    /** fetch aggregated fields from the table: "quest_ancestry" */
    quest_ancestry_aggregate: Quest_Ancestry_Aggregate;
    /** fetch data from the table: "quest_ancestry" using primary key columns */
    quest_ancestry_by_pk?: Maybe<Quest_Ancestry>;
    /** fetch data from the table: "quest" using primary key columns */
    quest_by_pk?: Maybe<Quest>;
    /** fetch data from the table: "quest_state" */
    quest_state: Array<Quest_State>;
    /** fetch aggregated fields from the table: "quest_state" */
    quest_state_aggregate: Quest_State_Aggregate;
    /** fetch data from the table: "quest_state" using primary key columns */
    quest_state_by_pk?: Maybe<Quest_State>;
    /** fetch data from the table: "quest_type" */
    quest_type: Array<Quest_Type>;
    /** fetch aggregated fields from the table: "quest_type" */
    quest_type_aggregate: Quest_Type_Aggregate;
    /** fetch data from the table: "quest_type" using primary key columns */
    quest_type_by_pk?: Maybe<Quest_Type>;
    /** fetch data from the table: "resource_policy" */
    resource_policy: Array<Resource_Policy>;
    /** fetch aggregated fields from the table: "resource_policy" */
    resource_policy_aggregate: Resource_Policy_Aggregate;
    /** fetch data from the table: "resource_policy" using primary key columns */
    resource_policy_by_pk?: Maybe<Resource_Policy>;
    /** fetch data from the table: "resource_privacy" */
    resource_privacy: Array<Resource_Privacy>;
    /** fetch aggregated fields from the table: "resource_privacy" */
    resource_privacy_aggregate: Resource_Privacy_Aggregate;
    /** fetch data from the table: "resource_privacy" using primary key columns */
    resource_privacy_by_pk?: Maybe<Resource_Privacy>;
    /** fetch data from the table: "rooadmap_gis.cord_2d" */
    rooadmap_gis_cord_2d: Array<Rooadmap_Gis_Cord_2d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.cord_2d" */
    rooadmap_gis_cord_2d_aggregate: Rooadmap_Gis_Cord_2d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.cord_2d" using primary key columns */
    rooadmap_gis_cord_2d_by_pk?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** fetch data from the table: "rooadmap_gis.cord_3d" */
    rooadmap_gis_cord_3d: Array<Rooadmap_Gis_Cord_3d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.cord_3d" */
    rooadmap_gis_cord_3d_aggregate: Rooadmap_Gis_Cord_3d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.cord_3d" using primary key columns */
    rooadmap_gis_cord_3d_by_pk?: Maybe<Rooadmap_Gis_Cord_3d>;
    /** fetch data from the table: "rooadmap_gis.location_2d" */
    rooadmap_gis_location_2d: Array<Rooadmap_Gis_Location_2d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.location_2d" */
    rooadmap_gis_location_2d_aggregate: Rooadmap_Gis_Location_2d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.location_2d" using primary key columns */
    rooadmap_gis_location_2d_by_pk?: Maybe<Rooadmap_Gis_Location_2d>;
    /** fetch data from the table: "rooadmap_gis.location_3d" */
    rooadmap_gis_location_3d: Array<Rooadmap_Gis_Location_3d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.location_3d" */
    rooadmap_gis_location_3d_aggregate: Rooadmap_Gis_Location_3d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.location_3d" using primary key columns */
    rooadmap_gis_location_3d_by_pk?: Maybe<Rooadmap_Gis_Location_3d>;
    /** fetch data from the table: "rooadmap_gis.map_item" */
    rooadmap_gis_map_item: Array<Rooadmap_Gis_Map_Item>;
    /** fetch aggregated fields from the table: "rooadmap_gis.map_item" */
    rooadmap_gis_map_item_aggregate: Rooadmap_Gis_Map_Item_Aggregate;
    /** fetch data from the table: "rooadmap_gis.map_item" using primary key columns */
    rooadmap_gis_map_item_by_pk?: Maybe<Rooadmap_Gis_Map_Item>;
    searchJusoByKeyword?: Maybe<SearchJusoByKeywordOutput>;
    /** execute function "search_area" which returns "area" */
    search_area: Array<Area>;
    /** execute function "search_area" and query aggregates on result of table type "area" */
    search_area_aggregate: Area_Aggregate;
    search_juso_coord_by_keyword?: Maybe<SearchJusoAndCoordByKeywordOutput>;
    /** execute function "search_locus" which returns "locus" */
    search_locus: Array<Locus>;
    /** execute function "search_locus" and query aggregates on result of table type "locus" */
    search_locus_aggregate: Locus_Aggregate;
    /** execute function "search_sponsorship" which returns "sponsorship" */
    search_sponsorship: Array<Sponsorship>;
    /** execute function "search_sponsorship" and query aggregates on result of table type "sponsorship" */
    search_sponsorship_aggregate: Sponsorship_Aggregate;
    /** fetch data from the table: "segment" */
    segment: Array<Segment>;
    /** fetch aggregated fields from the table: "segment" */
    segment_aggregate: Segment_Aggregate;
    /** fetch data from the table: "segment" using primary key columns */
    segment_by_pk?: Maybe<Segment>;
    /** fetch data from the table: "segment_exhibition" */
    segment_exhibition: Array<Segment_Exhibition>;
    /** fetch aggregated fields from the table: "segment_exhibition" */
    segment_exhibition_aggregate: Segment_Exhibition_Aggregate;
    /** fetch data from the table: "segment_exhibition" using primary key columns */
    segment_exhibition_by_pk?: Maybe<Segment_Exhibition>;
    /** fetch data from the table: "sell" */
    sell: Array<Sell>;
    /** fetch aggregated fields from the table: "sell" */
    sell_aggregate: Sell_Aggregate;
    /** fetch data from the table: "sell" using primary key columns */
    sell_by_pk?: Maybe<Sell>;
    /** fetch data from the table: "sell_management" */
    sell_management: Array<Sell_Management>;
    /** fetch aggregated fields from the table: "sell_management" */
    sell_management_aggregate: Sell_Management_Aggregate;
    /** fetch data from the table: "sell_management" using primary key columns */
    sell_management_by_pk?: Maybe<Sell_Management>;
    /** fetch data from the table: "sponsorship" */
    sponsorship: Array<Sponsorship>;
    /** fetch aggregated fields from the table: "sponsorship" */
    sponsorship_aggregate: Sponsorship_Aggregate;
    /** fetch data from the table: "sponsorship" using primary key columns */
    sponsorship_by_pk?: Maybe<Sponsorship>;
    /** fetch data from the table: "sponsorship_condition" */
    sponsorship_condition: Array<Sponsorship_Condition>;
    /** fetch aggregated fields from the table: "sponsorship_condition" */
    sponsorship_condition_aggregate: Sponsorship_Condition_Aggregate;
    /** fetch data from the table: "sponsorship_condition" using primary key columns */
    sponsorship_condition_by_pk?: Maybe<Sponsorship_Condition>;
    /** fetch data from the table: "sponsorship_game_state" */
    sponsorship_game_state: Array<Sponsorship_Game_State>;
    /** fetch aggregated fields from the table: "sponsorship_game_state" */
    sponsorship_game_state_aggregate: Sponsorship_Game_State_Aggregate;
    /** fetch data from the table: "sponsorship_game_state" using primary key columns */
    sponsorship_game_state_by_pk?: Maybe<Sponsorship_Game_State>;
    /** fetch data from the table: "sponsorship_game_state_type" */
    sponsorship_game_state_type: Array<Sponsorship_Game_State_Type>;
    /** fetch aggregated fields from the table: "sponsorship_game_state_type" */
    sponsorship_game_state_type_aggregate: Sponsorship_Game_State_Type_Aggregate;
    /** fetch data from the table: "sponsorship_game_state_type" using primary key columns */
    sponsorship_game_state_type_by_pk?: Maybe<Sponsorship_Game_State_Type>;
    /** fetch data from the table: "sponsorship_images" */
    sponsorship_images: Array<Sponsorship_Images>;
    /** fetch aggregated fields from the table: "sponsorship_images" */
    sponsorship_images_aggregate: Sponsorship_Images_Aggregate;
    /** fetch data from the table: "sponsorship_images" using primary key columns */
    sponsorship_images_by_pk?: Maybe<Sponsorship_Images>;
    /** fetch data from the table: "sponsorship_imitate" */
    sponsorship_imitate: Array<Sponsorship_Imitate>;
    /** fetch aggregated fields from the table: "sponsorship_imitate" */
    sponsorship_imitate_aggregate: Sponsorship_Imitate_Aggregate;
    /** fetch data from the table: "sponsorship_imitate" using primary key columns */
    sponsorship_imitate_by_pk?: Maybe<Sponsorship_Imitate>;
    /** fetch data from the table: "sponsorship_locus" */
    sponsorship_locus: Array<Sponsorship_Locus>;
    /** fetch aggregated fields from the table: "sponsorship_locus" */
    sponsorship_locus_aggregate: Sponsorship_Locus_Aggregate;
    /** fetch data from the table: "sponsorship_locus" using primary key columns */
    sponsorship_locus_by_pk?: Maybe<Sponsorship_Locus>;
    /** fetch data from the table: "sponsorship_requirement" */
    sponsorship_requirement: Array<Sponsorship_Requirement>;
    /** fetch aggregated fields from the table: "sponsorship_requirement" */
    sponsorship_requirement_aggregate: Sponsorship_Requirement_Aggregate;
    /** fetch data from the table: "sponsorship_requirement" using primary key columns */
    sponsorship_requirement_by_pk?: Maybe<Sponsorship_Requirement>;
    /** fetch data from the table: "sponsorship_requirement_type" */
    sponsorship_requirement_type: Array<Sponsorship_Requirement_Type>;
    /** fetch aggregated fields from the table: "sponsorship_requirement_type" */
    sponsorship_requirement_type_aggregate: Sponsorship_Requirement_Type_Aggregate;
    /** fetch data from the table: "sponsorship_requirement_type" using primary key columns */
    sponsorship_requirement_type_by_pk?: Maybe<Sponsorship_Requirement_Type>;
    /** fetch data from the table: "sponsorship_settlement_state_type" */
    sponsorship_settlement_state_type: Array<Sponsorship_Settlement_State_Type>;
    /** fetch aggregated fields from the table: "sponsorship_settlement_state_type" */
    sponsorship_settlement_state_type_aggregate: Sponsorship_Settlement_State_Type_Aggregate;
    /** fetch data from the table: "sponsorship_settlement_state_type" using primary key columns */
    sponsorship_settlement_state_type_by_pk?: Maybe<Sponsorship_Settlement_State_Type>;
    /** fetch data from the table: "sponsorship_state" */
    sponsorship_state: Array<Sponsorship_State>;
    /** fetch aggregated fields from the table: "sponsorship_state" */
    sponsorship_state_aggregate: Sponsorship_State_Aggregate;
    /** fetch data from the table: "sponsorship_state" using primary key columns */
    sponsorship_state_by_pk?: Maybe<Sponsorship_State>;
    /** fetch data from the table: "sponsorship_type" */
    sponsorship_type: Array<Sponsorship_Type>;
    /** fetch aggregated fields from the table: "sponsorship_type" */
    sponsorship_type_aggregate: Sponsorship_Type_Aggregate;
    /** fetch data from the table: "sponsorship_type" using primary key columns */
    sponsorship_type_by_pk?: Maybe<Sponsorship_Type>;
    /** fetch data from the table: "spot" */
    spot: Array<Spot>;
    /** fetch aggregated fields from the table: "spot" */
    spot_aggregate: Spot_Aggregate;
    /** fetch data from the table: "spot" using primary key columns */
    spot_by_pk?: Maybe<Spot>;
    /** fetch data from the table: "spot_inscription" */
    spot_inscription: Array<Spot_Inscription>;
    /** fetch aggregated fields from the table: "spot_inscription" */
    spot_inscription_aggregate: Spot_Inscription_Aggregate;
    /** fetch data from the table: "spot_inscription" using primary key columns */
    spot_inscription_by_pk?: Maybe<Spot_Inscription>;
    /** fetch data from the table: "spot_policy" */
    spot_policy: Array<Spot_Policy>;
    /** fetch aggregated fields from the table: "spot_policy" */
    spot_policy_aggregate: Spot_Policy_Aggregate;
    /** fetch data from the table: "spot_policy" using primary key columns */
    spot_policy_by_pk?: Maybe<Spot_Policy>;
    /** fetch data from the table: "spot_type" */
    spot_type: Array<Spot_Type>;
    /** fetch aggregated fields from the table: "spot_type" */
    spot_type_aggregate: Spot_Type_Aggregate;
    /** fetch data from the table: "spot_type" using primary key columns */
    spot_type_by_pk?: Maybe<Spot_Type>;
    /** fetch data from the table: "spot_user" */
    spot_user: Array<Spot_User>;
    /** fetch aggregated fields from the table: "spot_user" */
    spot_user_aggregate: Spot_User_Aggregate;
    /** fetch data from the table: "spot_user" using primary key columns */
    spot_user_by_pk?: Maybe<Spot_User>;
    /** fetch data from the table: "target_view_type" */
    target_view_type: Array<Target_View_Type>;
    /** fetch aggregated fields from the table: "target_view_type" */
    target_view_type_aggregate: Target_View_Type_Aggregate;
    /** fetch data from the table: "target_view_type" using primary key columns */
    target_view_type_by_pk?: Maybe<Target_View_Type>;
    /** fetch data from the table: "task" */
    task: Array<Task>;
    /** fetch aggregated fields from the table: "task" */
    task_aggregate: Task_Aggregate;
    /** fetch data from the table: "task" using primary key columns */
    task_by_pk?: Maybe<Task>;
    /** fetch data from the table: "theme" */
    theme: Array<Theme>;
    /** fetch aggregated fields from the table: "theme" */
    theme_aggregate: Theme_Aggregate;
    /** fetch data from the table: "theme" using primary key columns */
    theme_by_pk?: Maybe<Theme>;
    /** fetch data from the table: "treasure_user" */
    treasure_user: Array<Treasure_User>;
    /** fetch aggregated fields from the table: "treasure_user" */
    treasure_user_aggregate: Treasure_User_Aggregate;
    /** fetch data from the table: "treasure_user" using primary key columns */
    treasure_user_by_pk?: Maybe<Treasure_User>;
    /** fetch data from the table: "universe" */
    universe: Array<Universe>;
    /** fetch aggregated fields from the table: "universe" */
    universe_aggregate: Universe_Aggregate;
    /** fetch data from the table: "universe" using primary key columns */
    universe_by_pk?: Maybe<Universe>;
    /** fetch data from the table: "universe_member" */
    universe_member: Array<Universe_Member>;
    /** fetch aggregated fields from the table: "universe_member" */
    universe_member_aggregate: Universe_Member_Aggregate;
    /** fetch data from the table: "universe_member" using primary key columns */
    universe_member_by_pk?: Maybe<Universe_Member>;
    /** fetch data from the table: "universe_policy" */
    universe_policy: Array<Universe_Policy>;
    /** fetch aggregated fields from the table: "universe_policy" */
    universe_policy_aggregate: Universe_Policy_Aggregate;
    /** fetch data from the table: "universe_policy" using primary key columns */
    universe_policy_by_pk?: Maybe<Universe_Policy>;
    /** fetch data from the table: "universe_resource" */
    universe_resource: Array<Universe_Resource>;
    /** fetch aggregated fields from the table: "universe_resource" */
    universe_resource_aggregate: Universe_Resource_Aggregate;
    /** fetch data from the table: "universe_resource" using primary key columns */
    universe_resource_by_pk?: Maybe<Universe_Resource>;
    /** fetch data from the table: "universe_state" */
    universe_state: Array<Universe_State>;
    /** fetch aggregated fields from the table: "universe_state" */
    universe_state_aggregate: Universe_State_Aggregate;
    /** fetch data from the table: "universe_state" using primary key columns */
    universe_state_by_pk?: Maybe<Universe_State>;
    /** fetch data from the table: "users" */
    users: Array<Users>;
    /** fetch aggregated fields from the table: "users" */
    users_aggregate: Users_Aggregate;
    /** fetch data from the table: "users" using primary key columns */
    users_by_pk?: Maybe<Users>;
};
export type Query_RootAlarmArgs = {
    distinct_on?: InputMaybe<Array<Alarm_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Alarm_Order_By>>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
export type Query_RootAlarm_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Alarm_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Alarm_Order_By>>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
export type Query_RootAlarm_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootAnimation_StageArgs = {
    distinct_on?: InputMaybe<Array<Animation_Stage_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Animation_Stage_Order_By>>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
export type Query_RootAnimation_Stage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Animation_Stage_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Animation_Stage_Order_By>>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
export type Query_RootAnimation_Stage_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootAnswerArgs = {
    distinct_on?: InputMaybe<Array<Answer_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Order_By>>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
export type Query_RootAnswer_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Answer_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Order_By>>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
export type Query_RootAnswer_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootAnswer_TypeArgs = {
    distinct_on?: InputMaybe<Array<Answer_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Type_Order_By>>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
export type Query_RootAnswer_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Answer_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Type_Order_By>>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
export type Query_RootAnswer_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootAreaArgs = {
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Query_RootArea_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Query_RootArea_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootAuth_Account_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
export type Query_RootAuth_Account_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
export type Query_RootAuth_Account_Providers_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Query_RootAuth_Account_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
export type Query_RootAuth_Account_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
export type Query_RootAuth_Account_Roles_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Query_RootAuth_AccountsArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
export type Query_RootAuth_Accounts_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
export type Query_RootAuth_Accounts_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Query_RootAuth_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Providers_Order_By>>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
export type Query_RootAuth_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Providers_Order_By>>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
export type Query_RootAuth_Providers_By_PkArgs = {
    provider: Scalars['String'];
};
export type Query_RootAuth_Refresh_TokensArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
export type Query_RootAuth_Refresh_Tokens_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
export type Query_RootAuth_Refresh_Tokens_By_PkArgs = {
    refresh_token: Scalars['uuid'];
};
export type Query_RootAuth_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Roles_Order_By>>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
export type Query_RootAuth_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Roles_Order_By>>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
export type Query_RootAuth_Roles_By_PkArgs = {
    role: Scalars['String'];
};
export type Query_RootBadgeArgs = {
    distinct_on?: InputMaybe<Array<Badge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Order_By>>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
export type Query_RootBadge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Order_By>>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
export type Query_RootBadge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootBadge_CategoryArgs = {
    distinct_on?: InputMaybe<Array<Badge_Category_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Category_Order_By>>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
export type Query_RootBadge_Category_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Category_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Category_Order_By>>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
export type Query_RootBadge_Category_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootBadge_TypeArgs = {
    distinct_on?: InputMaybe<Array<Badge_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Type_Order_By>>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
export type Query_RootBadge_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Type_Order_By>>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
export type Query_RootBadge_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootBatchArgs = {
    distinct_on?: InputMaybe<Array<Batch_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Batch_Order_By>>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
export type Query_RootBatch_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Batch_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Batch_Order_By>>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
export type Query_RootBatch_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootBlueprintArgs = {
    distinct_on?: InputMaybe<Array<Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Blueprint_Order_By>>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
export type Query_RootBlueprint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Blueprint_Order_By>>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
export type Query_RootBlueprint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootBusiness_Model_TypeArgs = {
    distinct_on?: InputMaybe<Array<Business_Model_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Business_Model_Type_Order_By>>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
export type Query_RootBusiness_Model_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Business_Model_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Business_Model_Type_Order_By>>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
export type Query_RootBusiness_Model_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootChargeArgs = {
    distinct_on?: InputMaybe<Array<Charge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charge_Order_By>>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
export type Query_RootCharge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Charge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charge_Order_By>>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
export type Query_RootCharge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootChargerArgs = {
    distinct_on?: InputMaybe<Array<Charger_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charger_Order_By>>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
export type Query_RootCharger_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Charger_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charger_Order_By>>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
export type Query_RootCharger_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootCheck_Confirming_And_Settlement_About_GameArgs = {
    arg1: CheckConfirmingAndSettlementAboutGameInput;
};
export type Query_RootConditionArgs = {
    distinct_on?: InputMaybe<Array<Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Order_By>>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
export type Query_RootCondition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Order_By>>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
export type Query_RootCondition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootCondition_TypeArgs = {
    distinct_on?: InputMaybe<Array<Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Type_Order_By>>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
export type Query_RootCondition_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Type_Order_By>>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
export type Query_RootCondition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootContentArgs = {
    distinct_on?: InputMaybe<Array<Content_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Content_Order_By>>;
    where?: InputMaybe<Content_Bool_Exp>;
};
export type Query_RootContent_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Content_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Content_Order_By>>;
    where?: InputMaybe<Content_Bool_Exp>;
};
export type Query_RootContent_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootContractArgs = {
    distinct_on?: InputMaybe<Array<Contract_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Order_By>>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
export type Query_RootContract_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Contract_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Order_By>>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
export type Query_RootContract_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootContract_TypeArgs = {
    distinct_on?: InputMaybe<Array<Contract_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Type_Order_By>>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
export type Query_RootContract_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Contract_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Type_Order_By>>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
export type Query_RootContract_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootCurrencyArgs = {
    distinct_on?: InputMaybe<Array<Currency_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Order_By>>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
export type Query_RootCurrency_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Order_By>>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
export type Query_RootCurrency_By_PkArgs = {
    owner_id: Scalars['Int'];
};
export type Query_RootCurrency_ExchangeArgs = {
    distinct_on?: InputMaybe<Array<Currency_Exchange_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Exchange_Order_By>>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
export type Query_RootCurrency_Exchange_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Exchange_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Exchange_Order_By>>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
export type Query_RootCurrency_Exchange_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootCurrency_TypeArgs = {
    distinct_on?: InputMaybe<Array<Currency_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Type_Order_By>>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
export type Query_RootCurrency_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Type_Order_By>>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
export type Query_RootCurrency_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootDesktop_TypeArgs = {
    distinct_on?: InputMaybe<Array<Desktop_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Desktop_Type_Order_By>>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
export type Query_RootDesktop_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Desktop_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Desktop_Type_Order_By>>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
export type Query_RootDesktop_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootEntrypointArgs = {
    distinct_on?: InputMaybe<Array<Entrypoint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Entrypoint_Order_By>>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
export type Query_RootEntrypoint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Entrypoint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Entrypoint_Order_By>>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
export type Query_RootEntrypoint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootEvaluatorArgs = {
    distinct_on?: InputMaybe<Array<Evaluator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Evaluator_Order_By>>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
export type Query_RootEvaluator_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Evaluator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Evaluator_Order_By>>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
export type Query_RootEvaluator_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootExampleArgs = {
    distinct_on?: InputMaybe<Array<Example_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Order_By>>;
    where?: InputMaybe<Example_Bool_Exp>;
};
export type Query_RootExample_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Example_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Order_By>>;
    where?: InputMaybe<Example_Bool_Exp>;
};
export type Query_RootExample_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootExample_TypeArgs = {
    distinct_on?: InputMaybe<Array<Example_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Type_Order_By>>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
export type Query_RootExample_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Example_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Type_Order_By>>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
export type Query_RootExample_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootExhibition_DeterminantArgs = {
    distinct_on?: InputMaybe<Array<Exhibition_Determinant_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Exhibition_Determinant_Order_By>>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
export type Query_RootExhibition_Determinant_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Exhibition_Determinant_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Exhibition_Determinant_Order_By>>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
export type Query_RootExhibition_Determinant_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootFlagArgs = {
    distinct_on?: InputMaybe<Array<Flag_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Order_By>>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
export type Query_RootFlag_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Flag_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Order_By>>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
export type Query_RootFlag_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootFlag_TypeArgs = {
    distinct_on?: InputMaybe<Array<Flag_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Type_Order_By>>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
export type Query_RootFlag_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Flag_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Type_Order_By>>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
export type Query_RootFlag_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGameArgs = {
    distinct_on?: InputMaybe<Array<Game_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Order_By>>;
    where?: InputMaybe<Game_Bool_Exp>;
};
export type Query_RootGame_ActionArgs = {
    distinct_on?: InputMaybe<Array<Game_Action_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Action_Order_By>>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
export type Query_RootGame_Action_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Action_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Action_Order_By>>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
export type Query_RootGame_Action_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Order_By>>;
    where?: InputMaybe<Game_Bool_Exp>;
};
export type Query_RootGame_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_DesignArgs = {
    distinct_on?: InputMaybe<Array<Game_Design_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Design_Order_By>>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
export type Query_RootGame_Design_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Design_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Design_Order_By>>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
export type Query_RootGame_Design_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_GroupArgs = {
    distinct_on?: InputMaybe<Array<Game_Group_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Group_Order_By>>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
export type Query_RootGame_Group_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Group_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Group_Order_By>>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
export type Query_RootGame_Group_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_HunterArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
export type Query_RootGame_Hunter_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
export type Query_RootGame_Hunter_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_ManagementArgs = {
    distinct_on?: InputMaybe<Array<Game_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Management_Order_By>>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
export type Query_RootGame_Management_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Management_Order_By>>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
export type Query_RootGame_Management_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_OperatorsArgs = {
    distinct_on?: InputMaybe<Array<Game_Operators_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Operators_Order_By>>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
export type Query_RootGame_Operators_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Operators_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Operators_Order_By>>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
export type Query_RootGame_Operators_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_RecordArgs = {
    distinct_on?: InputMaybe<Array<Game_Record_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Record_Order_By>>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
export type Query_RootGame_Record_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Record_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Record_Order_By>>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
export type Query_RootGame_Record_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_RequirementArgs = {
    distinct_on?: InputMaybe<Array<Game_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Requirement_Order_By>>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
export type Query_RootGame_Requirement_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Requirement_Order_By>>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
export type Query_RootGame_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_State_Type_Order_By>>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
export type Query_RootGame_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_State_Type_Order_By>>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
export type Query_RootGame_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGame_WinnerArgs = {
    distinct_on?: InputMaybe<Array<Game_Winner_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Winner_Order_By>>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
export type Query_RootGame_Winner_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Winner_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Winner_Order_By>>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
export type Query_RootGame_Winner_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGames_LocusArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
export type Query_RootGames_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
export type Query_RootGames_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGiftArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
export type Query_RootGift_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
export type Query_RootGift_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootGoodsArgs = {
    distinct_on?: InputMaybe<Array<Goods_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Goods_Order_By>>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
export type Query_RootGoods_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Goods_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Goods_Order_By>>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
export type Query_RootGoods_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootHier_TypeArgs = {
    distinct_on?: InputMaybe<Array<Hier_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Hier_Type_Order_By>>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
export type Query_RootHier_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Hier_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Hier_Type_Order_By>>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
export type Query_RootHier_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootIncognitoArgs = {
    distinct_on?: InputMaybe<Array<Incognito_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Incognito_Order_By>>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
export type Query_RootIncognito_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Incognito_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Incognito_Order_By>>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
export type Query_RootIncognito_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootInscriptionArgs = {
    distinct_on?: InputMaybe<Array<Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Inscription_Order_By>>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
export type Query_RootInscription_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Inscription_Order_By>>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
export type Query_RootInscription_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootInterface_TypeArgs = {
    distinct_on?: InputMaybe<Array<Interface_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Interface_Type_Order_By>>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
export type Query_RootInterface_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Interface_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Interface_Type_Order_By>>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
export type Query_RootInterface_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootJudgeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
export type Query_RootJudge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
export type Query_RootJudge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootJudge_Display_TypeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Display_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Display_Type_Order_By>>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
export type Query_RootJudge_Display_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Display_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Display_Type_Order_By>>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
export type Query_RootJudge_Display_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootJudge_EntryArgs = {
    distinct_on?: InputMaybe<Array<Judge_Entry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Entry_Order_By>>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
export type Query_RootJudge_Entry_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Entry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Entry_Order_By>>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
export type Query_RootJudge_Entry_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootJudge_Role_TypeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Role_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Role_Type_Order_By>>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
export type Query_RootJudge_Role_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Role_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Role_Type_Order_By>>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
export type Query_RootJudge_Role_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootKairosArgs = {
    distinct_on?: InputMaybe<Array<Kairos_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Kairos_Order_By>>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
export type Query_RootKairos_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Kairos_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Kairos_Order_By>>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
export type Query_RootKairos_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootKeyword_DescriptionArgs = {
    distinct_on?: InputMaybe<Array<Keyword_Description_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Keyword_Description_Order_By>>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
export type Query_RootKeyword_Description_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Keyword_Description_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Keyword_Description_Order_By>>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
export type Query_RootKeyword_Description_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLanguageArgs = {
    distinct_on?: InputMaybe<Array<Language_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Language_Order_By>>;
    where?: InputMaybe<Language_Bool_Exp>;
};
export type Query_RootLanguage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Language_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Language_Order_By>>;
    where?: InputMaybe<Language_Bool_Exp>;
};
export type Query_RootLanguage_By_PkArgs = {
    language_code: Scalars['String'];
};
export type Query_RootLocationArgs = {
    distinct_on?: InputMaybe<Array<Location_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Location_Order_By>>;
    where?: InputMaybe<Location_Bool_Exp>;
};
export type Query_RootLocation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Location_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Location_Order_By>>;
    where?: InputMaybe<Location_Bool_Exp>;
};
export type Query_RootLocation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocusArgs = {
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Query_RootLocus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Query_RootLocus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_ImitateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
export type Query_RootLocus_Imitate_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
export type Query_RootLocus_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_MemberArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
export type Query_RootLocus_Member_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
export type Query_RootLocus_Member_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_Operation_TypeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
export type Query_RootLocus_Operation_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
export type Query_RootLocus_Operation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Locus_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Policy_Order_By>>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
export type Query_RootLocus_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Policy_Order_By>>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
export type Query_RootLocus_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_StateArgs = {
    distinct_on?: InputMaybe<Array<Locus_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_State_Order_By>>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
export type Query_RootLocus_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_State_Order_By>>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
export type Query_RootLocus_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_ThemeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Theme_Order_By>>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
export type Query_RootLocus_Theme_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Theme_Order_By>>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
export type Query_RootLocus_Theme_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootLocus_TypeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Type_Order_By>>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
export type Query_RootLocus_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Type_Order_By>>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
export type Query_RootLocus_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMapArgs = {
    distinct_on?: InputMaybe<Array<Map_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Order_By>>;
    where?: InputMaybe<Map_Bool_Exp>;
};
export type Query_RootMap_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Order_By>>;
    where?: InputMaybe<Map_Bool_Exp>;
};
export type Query_RootMap_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_Condition_TypeArgs = {
    distinct_on?: InputMaybe<Array<Map_Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Condition_Type_Order_By>>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
export type Query_RootMap_Condition_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Condition_Type_Order_By>>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
export type Query_RootMap_Condition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_EffectArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Order_By>>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
export type Query_RootMap_Effect_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Order_By>>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
export type Query_RootMap_Effect_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_Effect_TypeArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Type_Order_By>>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
export type Query_RootMap_Effect_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Type_Order_By>>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
export type Query_RootMap_Effect_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_ItemArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
export type Query_RootMap_Item_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
export type Query_RootMap_Item_AnimationArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
export type Query_RootMap_Item_Animation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
export type Query_RootMap_Item_Animation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_Item_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMap_Item_StateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
export type Query_RootMap_Item_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
export type Query_RootMap_Item_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMedium_TypeArgs = {
    distinct_on?: InputMaybe<Array<Medium_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Medium_Type_Order_By>>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
export type Query_RootMedium_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Medium_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Medium_Type_Order_By>>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
export type Query_RootMedium_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMegaphoneArgs = {
    distinct_on?: InputMaybe<Array<Megaphone_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Megaphone_Order_By>>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
export type Query_RootMegaphone_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Megaphone_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Megaphone_Order_By>>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
export type Query_RootMegaphone_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMessageArgs = {
    distinct_on?: InputMaybe<Array<Message_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Message_Order_By>>;
    where?: InputMaybe<Message_Bool_Exp>;
};
export type Query_RootMessage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Message_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Message_Order_By>>;
    where?: InputMaybe<Message_Bool_Exp>;
};
export type Query_RootMessage_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMoldArgs = {
    distinct_on?: InputMaybe<Array<Mold_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Order_By>>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
export type Query_RootMold_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Mold_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Order_By>>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
export type Query_RootMold_BlueprintArgs = {
    distinct_on?: InputMaybe<Array<Mold_Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Blueprint_Order_By>>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
export type Query_RootMold_Blueprint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Mold_Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Blueprint_Order_By>>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
export type Query_RootMold_Blueprint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMold_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootMorsel_TypeArgs = {
    distinct_on?: InputMaybe<Array<Morsel_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Morsel_Type_Order_By>>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
export type Query_RootMorsel_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Morsel_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Morsel_Type_Order_By>>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
export type Query_RootMorsel_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperationArgs = {
    distinct_on?: InputMaybe<Array<Operation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Order_By>>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
export type Query_RootOperation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Order_By>>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
export type Query_RootOperation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperation_Maintain_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Maintain_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Maintain_Type_Order_By>>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
export type Query_RootOperation_Maintain_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Maintain_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Maintain_Type_Order_By>>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
export type Query_RootOperation_Maintain_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperation_OperatorArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
export type Query_RootOperation_Operator_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
export type Query_RootOperation_Operator_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperation_Setting_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Setting_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Setting_Type_Order_By>>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
export type Query_RootOperation_Setting_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Setting_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Setting_Type_Order_By>>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
export type Query_RootOperation_Setting_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperation_StateArgs = {
    distinct_on?: InputMaybe<Array<Operation_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_State_Order_By>>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
export type Query_RootOperation_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_State_Order_By>>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
export type Query_RootOperation_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperation_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Type_Order_By>>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
export type Query_RootOperation_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Type_Order_By>>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
export type Query_RootOperation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootOperator_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operator_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operator_State_Type_Order_By>>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
export type Query_RootOperator_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operator_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operator_State_Type_Order_By>>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
export type Query_RootOperator_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPieceArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
export type Query_RootPiece_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
export type Query_RootPiece_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPiece_LocusArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
export type Query_RootPiece_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
export type Query_RootPiece_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPiece_TypeArgs = {
    distinct_on?: InputMaybe<Array<Piece_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Type_Order_By>>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
export type Query_RootPiece_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Type_Order_By>>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
export type Query_RootPiece_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPostArgs = {
    distinct_on?: InputMaybe<Array<Post_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Order_By>>;
    where?: InputMaybe<Post_Bool_Exp>;
};
export type Query_RootPost_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Post_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Order_By>>;
    where?: InputMaybe<Post_Bool_Exp>;
};
export type Query_RootPost_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPost_EvaluationArgs = {
    distinct_on?: InputMaybe<Array<Post_Evaluation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Evaluation_Order_By>>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
export type Query_RootPost_Evaluation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Post_Evaluation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Evaluation_Order_By>>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
export type Query_RootPost_Evaluation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootPreferenceArgs = {
    distinct_on?: InputMaybe<Array<Preference_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Preference_Order_By>>;
    where?: InputMaybe<Preference_Bool_Exp>;
};
export type Query_RootPreference_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Preference_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Preference_Order_By>>;
    where?: InputMaybe<Preference_Bool_Exp>;
};
export type Query_RootProductArgs = {
    distinct_on?: InputMaybe<Array<Product_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Product_Order_By>>;
    where?: InputMaybe<Product_Bool_Exp>;
};
export type Query_RootProduct_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Product_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Product_Order_By>>;
    where?: InputMaybe<Product_Bool_Exp>;
};
export type Query_RootProduct_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootProfileArgs = {
    distinct_on?: InputMaybe<Array<Profile_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Profile_Order_By>>;
    where?: InputMaybe<Profile_Bool_Exp>;
};
export type Query_RootProfile_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Profile_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Profile_Order_By>>;
    where?: InputMaybe<Profile_Bool_Exp>;
};
export type Query_RootPurchaseArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
export type Query_RootPurchase_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
export type Query_RootPurchase_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootQuestArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
export type Query_RootQuest_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
export type Query_RootQuest_AncestryArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
export type Query_RootQuest_Ancestry_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
export type Query_RootQuest_Ancestry_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootQuest_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootQuest_StateArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
export type Query_RootQuest_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
export type Query_RootQuest_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootQuest_TypeArgs = {
    distinct_on?: InputMaybe<Array<Quest_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Type_Order_By>>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
export type Query_RootQuest_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Type_Order_By>>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
export type Query_RootQuest_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootResource_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Resource_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Policy_Order_By>>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
export type Query_RootResource_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Resource_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Policy_Order_By>>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
export type Query_RootResource_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootResource_PrivacyArgs = {
    distinct_on?: InputMaybe<Array<Resource_Privacy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Privacy_Order_By>>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
export type Query_RootResource_Privacy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Resource_Privacy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Privacy_Order_By>>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
export type Query_RootResource_Privacy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootRooadmap_Gis_Cord_2dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Cord_2d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Cord_2d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootRooadmap_Gis_Cord_3dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Cord_3d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Cord_3d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootRooadmap_Gis_Location_2dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Location_2d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Location_2d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootRooadmap_Gis_Location_3dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Location_3d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Location_3d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootRooadmap_Gis_Map_ItemArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Map_Item_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
export type Query_RootRooadmap_Gis_Map_Item_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSearchJusoByKeywordArgs = {
    arg1: SearchJusoByKeywordInput;
};
export type Query_RootSearch_AreaArgs = {
    args: Search_Area_Args;
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Query_RootSearch_Area_AggregateArgs = {
    args: Search_Area_Args;
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Query_RootSearch_Juso_Coord_By_KeywordArgs = {
    arg1: SearchJusoAndCoordByKeywordInput;
};
export type Query_RootSearch_LocusArgs = {
    args: Search_Locus_Args;
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Query_RootSearch_Locus_AggregateArgs = {
    args: Search_Locus_Args;
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Query_RootSearch_SponsorshipArgs = {
    args: Search_Sponsorship_Args;
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Query_RootSearch_Sponsorship_AggregateArgs = {
    args: Search_Sponsorship_Args;
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Query_RootSegmentArgs = {
    distinct_on?: InputMaybe<Array<Segment_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Order_By>>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
export type Query_RootSegment_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Segment_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Order_By>>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
export type Query_RootSegment_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSegment_ExhibitionArgs = {
    distinct_on?: InputMaybe<Array<Segment_Exhibition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Exhibition_Order_By>>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
export type Query_RootSegment_Exhibition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Segment_Exhibition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Exhibition_Order_By>>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
export type Query_RootSegment_Exhibition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSellArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
export type Query_RootSell_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
export type Query_RootSell_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSell_ManagementArgs = {
    distinct_on?: InputMaybe<Array<Sell_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Management_Order_By>>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
export type Query_RootSell_Management_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sell_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Management_Order_By>>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
export type Query_RootSell_Management_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorshipArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Query_RootSponsorship_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Query_RootSponsorship_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_ConditionArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Condition_Order_By>>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
export type Query_RootSponsorship_Condition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Condition_Order_By>>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
export type Query_RootSponsorship_Condition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_Game_StateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
export type Query_RootSponsorship_Game_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
export type Query_RootSponsorship_Game_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_Game_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Game_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Game_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_ImagesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
export type Query_RootSponsorship_Images_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
export type Query_RootSponsorship_Images_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_ImitateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Query_RootSponsorship_Imitate_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Query_RootSponsorship_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_LocusArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
export type Query_RootSponsorship_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
export type Query_RootSponsorship_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_RequirementArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
export type Query_RootSponsorship_Requirement_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
export type Query_RootSponsorship_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_Requirement_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Requirement_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Requirement_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_Settlement_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Settlement_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Settlement_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_StateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_State_Order_By>>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
export type Query_RootSponsorship_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_State_Order_By>>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
export type Query_RootSponsorship_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSponsorship_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
export type Query_RootSponsorship_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSpotArgs = {
    distinct_on?: InputMaybe<Array<Spot_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Order_By>>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
export type Query_RootSpot_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Order_By>>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
export type Query_RootSpot_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSpot_InscriptionArgs = {
    distinct_on?: InputMaybe<Array<Spot_Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Inscription_Order_By>>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
export type Query_RootSpot_Inscription_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Inscription_Order_By>>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
export type Query_RootSpot_Inscription_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSpot_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Spot_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Policy_Order_By>>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
export type Query_RootSpot_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Policy_Order_By>>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
export type Query_RootSpot_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSpot_TypeArgs = {
    distinct_on?: InputMaybe<Array<Spot_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Type_Order_By>>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
export type Query_RootSpot_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Type_Order_By>>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
export type Query_RootSpot_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootSpot_UserArgs = {
    distinct_on?: InputMaybe<Array<Spot_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_User_Order_By>>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
export type Query_RootSpot_User_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_User_Order_By>>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
export type Query_RootSpot_User_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootTarget_View_TypeArgs = {
    distinct_on?: InputMaybe<Array<Target_View_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Target_View_Type_Order_By>>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
export type Query_RootTarget_View_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Target_View_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Target_View_Type_Order_By>>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
export type Query_RootTarget_View_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootTaskArgs = {
    distinct_on?: InputMaybe<Array<Task_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Task_Order_By>>;
    where?: InputMaybe<Task_Bool_Exp>;
};
export type Query_RootTask_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Task_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Task_Order_By>>;
    where?: InputMaybe<Task_Bool_Exp>;
};
export type Query_RootTask_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootThemeArgs = {
    distinct_on?: InputMaybe<Array<Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Theme_Order_By>>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
export type Query_RootTheme_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Theme_Order_By>>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
export type Query_RootTheme_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootTreasure_UserArgs = {
    distinct_on?: InputMaybe<Array<Treasure_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Treasure_User_Order_By>>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
export type Query_RootTreasure_User_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Treasure_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Treasure_User_Order_By>>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
export type Query_RootTreasure_User_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUniverseArgs = {
    distinct_on?: InputMaybe<Array<Universe_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Order_By>>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
export type Query_RootUniverse_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Order_By>>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
export type Query_RootUniverse_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUniverse_MemberArgs = {
    distinct_on?: InputMaybe<Array<Universe_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Member_Order_By>>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
export type Query_RootUniverse_Member_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Member_Order_By>>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
export type Query_RootUniverse_Member_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUniverse_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Universe_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Policy_Order_By>>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
export type Query_RootUniverse_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Policy_Order_By>>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
export type Query_RootUniverse_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUniverse_ResourceArgs = {
    distinct_on?: InputMaybe<Array<Universe_Resource_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Resource_Order_By>>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
export type Query_RootUniverse_Resource_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Resource_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Resource_Order_By>>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
export type Query_RootUniverse_Resource_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUniverse_StateArgs = {
    distinct_on?: InputMaybe<Array<Universe_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_State_Order_By>>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
export type Query_RootUniverse_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_State_Order_By>>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
export type Query_RootUniverse_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Query_RootUsersArgs = {
    distinct_on?: InputMaybe<Array<Users_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Users_Order_By>>;
    where?: InputMaybe<Users_Bool_Exp>;
};
export type Query_RootUsers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Users_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Users_Order_By>>;
    where?: InputMaybe<Users_Bool_Exp>;
};
export type Query_RootUsers_By_PkArgs = {
    id: Scalars['uuid'];
};
/** columns and relationships of "quest" */
export type Quest = {
    __typename?: 'quest';
    /** An object relationship */
    conditionType?: Maybe<Condition_Type>;
    condition_type_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    creatorTreasureUser?: Maybe<Treasure_User>;
    creator_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_explicit_output?: Maybe<Scalars['Boolean']>;
    is_explicit_reckoning?: Maybe<Scalars['Boolean']>;
    is_final?: Maybe<Scalars['Boolean']>;
    is_in_blueprint?: Maybe<Scalars['Boolean']>;
    is_open?: Maybe<Scalars['Boolean']>;
    judge?: Maybe<Scalars['Int']>;
    /** An object relationship */
    judgeById?: Maybe<Judge>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    locus?: Maybe<Locus_Imitate>;
    locus_id?: Maybe<Scalars['Int']>;
    number_in_game?: Maybe<Scalars['Int']>;
    /** An array relationship */
    pieces: Array<Piece>;
    /** An aggregate relationship */
    pieces_aggregate: Piece_Aggregate;
    /** An array relationship */
    questStates: Array<Quest_State>;
    /** An aggregate relationship */
    questStates_aggregate: Quest_State_Aggregate;
    title?: Maybe<Scalars['String']>;
};
/** columns and relationships of "quest" */
export type QuestPiecesArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
/** columns and relationships of "quest" */
export type QuestPieces_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
/** columns and relationships of "quest" */
export type QuestQuestStatesArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
/** columns and relationships of "quest" */
export type QuestQuestStates_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
/** aggregated selection of "quest" */
export type Quest_Aggregate = {
    __typename?: 'quest_aggregate';
    aggregate?: Maybe<Quest_Aggregate_Fields>;
    nodes: Array<Quest>;
};
export type Quest_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Quest_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Quest_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Quest_Aggregate_Bool_Exp_Count>;
};
export type Quest_Aggregate_Bool_Exp_Bool_And = {
    arguments: Quest_Select_Column_Quest_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Quest_Select_Column_Quest_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Quest_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "quest" */
export type Quest_Aggregate_Fields = {
    __typename?: 'quest_aggregate_fields';
    avg?: Maybe<Quest_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Quest_Max_Fields>;
    min?: Maybe<Quest_Min_Fields>;
    stddev?: Maybe<Quest_Stddev_Fields>;
    stddev_pop?: Maybe<Quest_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Quest_Stddev_Samp_Fields>;
    sum?: Maybe<Quest_Sum_Fields>;
    var_pop?: Maybe<Quest_Var_Pop_Fields>;
    var_samp?: Maybe<Quest_Var_Samp_Fields>;
    variance?: Maybe<Quest_Variance_Fields>;
};
/** aggregate fields of "quest" */
export type Quest_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Quest_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "quest" */
export type Quest_Aggregate_Order_By = {
    avg?: InputMaybe<Quest_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Quest_Max_Order_By>;
    min?: InputMaybe<Quest_Min_Order_By>;
    stddev?: InputMaybe<Quest_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Quest_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Quest_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Quest_Sum_Order_By>;
    var_pop?: InputMaybe<Quest_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Quest_Var_Samp_Order_By>;
    variance?: InputMaybe<Quest_Variance_Order_By>;
};
/** columns and relationships of "quest_ancestry" */
export type Quest_Ancestry = {
    __typename?: 'quest_ancestry';
    /** An object relationship */
    ancestryQuest?: Maybe<Quest>;
    ancestry_q_hash?: Maybe<Scalars['String']>;
    ancestry_q_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    hierType?: Maybe<Hier_Type>;
    hier_type?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_mold_ancestry?: Maybe<Scalars['Boolean']>;
    is_type_hint?: Maybe<Scalars['Boolean']>;
    is_type_qc?: Maybe<Scalars['Boolean']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    mold?: Maybe<Mold>;
    mold_id?: Maybe<Scalars['Int']>;
    q_hash?: Maybe<Scalars['String']>;
    q_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    quest?: Maybe<Quest>;
};
/** aggregated selection of "quest_ancestry" */
export type Quest_Ancestry_Aggregate = {
    __typename?: 'quest_ancestry_aggregate';
    aggregate?: Maybe<Quest_Ancestry_Aggregate_Fields>;
    nodes: Array<Quest_Ancestry>;
};
export type Quest_Ancestry_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Quest_Ancestry_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Quest_Ancestry_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Quest_Ancestry_Aggregate_Bool_Exp_Count>;
};
export type Quest_Ancestry_Aggregate_Bool_Exp_Bool_And = {
    arguments: Quest_Ancestry_Select_Column_Quest_Ancestry_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Ancestry_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_Ancestry_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Quest_Ancestry_Select_Column_Quest_Ancestry_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Ancestry_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_Ancestry_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_Ancestry_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "quest_ancestry" */
export type Quest_Ancestry_Aggregate_Fields = {
    __typename?: 'quest_ancestry_aggregate_fields';
    avg?: Maybe<Quest_Ancestry_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Quest_Ancestry_Max_Fields>;
    min?: Maybe<Quest_Ancestry_Min_Fields>;
    stddev?: Maybe<Quest_Ancestry_Stddev_Fields>;
    stddev_pop?: Maybe<Quest_Ancestry_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Quest_Ancestry_Stddev_Samp_Fields>;
    sum?: Maybe<Quest_Ancestry_Sum_Fields>;
    var_pop?: Maybe<Quest_Ancestry_Var_Pop_Fields>;
    var_samp?: Maybe<Quest_Ancestry_Var_Samp_Fields>;
    variance?: Maybe<Quest_Ancestry_Variance_Fields>;
};
/** aggregate fields of "quest_ancestry" */
export type Quest_Ancestry_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "quest_ancestry" */
export type Quest_Ancestry_Aggregate_Order_By = {
    avg?: InputMaybe<Quest_Ancestry_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Quest_Ancestry_Max_Order_By>;
    min?: InputMaybe<Quest_Ancestry_Min_Order_By>;
    stddev?: InputMaybe<Quest_Ancestry_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Quest_Ancestry_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Quest_Ancestry_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Quest_Ancestry_Sum_Order_By>;
    var_pop?: InputMaybe<Quest_Ancestry_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Quest_Ancestry_Var_Samp_Order_By>;
    variance?: InputMaybe<Quest_Ancestry_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "quest_ancestry" */
export type Quest_Ancestry_Arr_Rel_Insert_Input = {
    data: Array<Quest_Ancestry_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Quest_Ancestry_On_Conflict>;
};
/** aggregate avg on columns */
export type Quest_Ancestry_Avg_Fields = {
    __typename?: 'quest_ancestry_avg_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Avg_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "quest_ancestry". All fields are combined with a logical 'AND'. */
export type Quest_Ancestry_Bool_Exp = {
    _and?: InputMaybe<Array<Quest_Ancestry_Bool_Exp>>;
    _not?: InputMaybe<Quest_Ancestry_Bool_Exp>;
    _or?: InputMaybe<Array<Quest_Ancestry_Bool_Exp>>;
    ancestryQuest?: InputMaybe<Quest_Bool_Exp>;
    ancestry_q_hash?: InputMaybe<String_Comparison_Exp>;
    ancestry_q_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    hierType?: InputMaybe<Hier_Type_Bool_Exp>;
    hier_type?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_mold_ancestry?: InputMaybe<Boolean_Comparison_Exp>;
    is_type_hint?: InputMaybe<Boolean_Comparison_Exp>;
    is_type_qc?: InputMaybe<Boolean_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    mold?: InputMaybe<Mold_Bool_Exp>;
    mold_id?: InputMaybe<Int_Comparison_Exp>;
    q_hash?: InputMaybe<String_Comparison_Exp>;
    q_id?: InputMaybe<Int_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
};
/** unique or primary key constraints on table "quest_ancestry" */
export declare enum Quest_Ancestry_Constraint {
    /** unique or primary key constraint on columns "id" */
    QuestAncestryPkey = "quest_ancestry_pkey"
}
/** input type for incrementing numeric columns in table "quest_ancestry" */
export type Quest_Ancestry_Inc_Input = {
    ancestry_q_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hier_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    mold_id?: InputMaybe<Scalars['Int']>;
    q_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "quest_ancestry" */
export type Quest_Ancestry_Insert_Input = {
    ancestryQuest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    ancestry_q_hash?: InputMaybe<Scalars['String']>;
    ancestry_q_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    hierType?: InputMaybe<Hier_Type_Obj_Rel_Insert_Input>;
    hier_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_mold_ancestry?: InputMaybe<Scalars['Boolean']>;
    is_type_hint?: InputMaybe<Scalars['Boolean']>;
    is_type_qc?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    mold?: InputMaybe<Mold_Obj_Rel_Insert_Input>;
    mold_id?: InputMaybe<Scalars['Int']>;
    q_hash?: InputMaybe<Scalars['String']>;
    q_id?: InputMaybe<Scalars['Int']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Quest_Ancestry_Max_Fields = {
    __typename?: 'quest_ancestry_max_fields';
    ancestry_q_hash?: Maybe<Scalars['String']>;
    ancestry_q_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    game_id?: Maybe<Scalars['Int']>;
    hier_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    mold_id?: Maybe<Scalars['Int']>;
    q_hash?: Maybe<Scalars['String']>;
    q_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Max_Order_By = {
    ancestry_q_hash?: InputMaybe<Order_By>;
    ancestry_q_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_hash?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Quest_Ancestry_Min_Fields = {
    __typename?: 'quest_ancestry_min_fields';
    ancestry_q_hash?: Maybe<Scalars['String']>;
    ancestry_q_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    game_id?: Maybe<Scalars['Int']>;
    hier_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    mold_id?: Maybe<Scalars['Int']>;
    q_hash?: Maybe<Scalars['String']>;
    q_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Min_Order_By = {
    ancestry_q_hash?: InputMaybe<Order_By>;
    ancestry_q_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_hash?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "quest_ancestry" */
export type Quest_Ancestry_Mutation_Response = {
    __typename?: 'quest_ancestry_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Quest_Ancestry>;
};
/** on_conflict condition type for table "quest_ancestry" */
export type Quest_Ancestry_On_Conflict = {
    constraint: Quest_Ancestry_Constraint;
    update_columns?: Array<Quest_Ancestry_Update_Column>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
/** Ordering options when selecting data from "quest_ancestry". */
export type Quest_Ancestry_Order_By = {
    ancestryQuest?: InputMaybe<Quest_Order_By>;
    ancestry_q_hash?: InputMaybe<Order_By>;
    ancestry_q_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    hierType?: InputMaybe<Hier_Type_Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_mold_ancestry?: InputMaybe<Order_By>;
    is_type_hint?: InputMaybe<Order_By>;
    is_type_qc?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    mold?: InputMaybe<Mold_Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_hash?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
};
/** primary key columns input for table: quest_ancestry */
export type Quest_Ancestry_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "quest_ancestry" */
export declare enum Quest_Ancestry_Select_Column {
    /** column name */
    AncestryQHash = "ancestry_q_hash",
    /** column name */
    AncestryQId = "ancestry_q_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    HierType = "hier_type",
    /** column name */
    Id = "id",
    /** column name */
    IsMoldAncestry = "is_mold_ancestry",
    /** column name */
    IsTypeHint = "is_type_hint",
    /** column name */
    IsTypeQc = "is_type_qc",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    MoldId = "mold_id",
    /** column name */
    QHash = "q_hash",
    /** column name */
    QId = "q_id"
}
/** select "quest_ancestry_aggregate_bool_exp_bool_and_arguments_columns" columns of table "quest_ancestry" */
export declare enum Quest_Ancestry_Select_Column_Quest_Ancestry_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsMoldAncestry = "is_mold_ancestry",
    /** column name */
    IsTypeHint = "is_type_hint",
    /** column name */
    IsTypeQc = "is_type_qc"
}
/** select "quest_ancestry_aggregate_bool_exp_bool_or_arguments_columns" columns of table "quest_ancestry" */
export declare enum Quest_Ancestry_Select_Column_Quest_Ancestry_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsMoldAncestry = "is_mold_ancestry",
    /** column name */
    IsTypeHint = "is_type_hint",
    /** column name */
    IsTypeQc = "is_type_qc"
}
/** input type for updating data in table "quest_ancestry" */
export type Quest_Ancestry_Set_Input = {
    ancestry_q_hash?: InputMaybe<Scalars['String']>;
    ancestry_q_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hier_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_mold_ancestry?: InputMaybe<Scalars['Boolean']>;
    is_type_hint?: InputMaybe<Scalars['Boolean']>;
    is_type_qc?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    mold_id?: InputMaybe<Scalars['Int']>;
    q_hash?: InputMaybe<Scalars['String']>;
    q_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Quest_Ancestry_Stddev_Fields = {
    __typename?: 'quest_ancestry_stddev_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Stddev_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Quest_Ancestry_Stddev_Pop_Fields = {
    __typename?: 'quest_ancestry_stddev_pop_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Stddev_Pop_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Quest_Ancestry_Stddev_Samp_Fields = {
    __typename?: 'quest_ancestry_stddev_samp_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Stddev_Samp_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "quest_ancestry" */
export type Quest_Ancestry_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Quest_Ancestry_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Quest_Ancestry_Stream_Cursor_Value_Input = {
    ancestry_q_hash?: InputMaybe<Scalars['String']>;
    ancestry_q_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hier_type?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_mold_ancestry?: InputMaybe<Scalars['Boolean']>;
    is_type_hint?: InputMaybe<Scalars['Boolean']>;
    is_type_qc?: InputMaybe<Scalars['Boolean']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    mold_id?: InputMaybe<Scalars['Int']>;
    q_hash?: InputMaybe<Scalars['String']>;
    q_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Quest_Ancestry_Sum_Fields = {
    __typename?: 'quest_ancestry_sum_fields';
    ancestry_q_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    hier_type?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    mold_id?: Maybe<Scalars['Int']>;
    q_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Sum_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** update columns of table "quest_ancestry" */
export declare enum Quest_Ancestry_Update_Column {
    /** column name */
    AncestryQHash = "ancestry_q_hash",
    /** column name */
    AncestryQId = "ancestry_q_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    HierType = "hier_type",
    /** column name */
    Id = "id",
    /** column name */
    IsMoldAncestry = "is_mold_ancestry",
    /** column name */
    IsTypeHint = "is_type_hint",
    /** column name */
    IsTypeQc = "is_type_qc",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    MoldId = "mold_id",
    /** column name */
    QHash = "q_hash",
    /** column name */
    QId = "q_id"
}
export type Quest_Ancestry_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Quest_Ancestry_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Quest_Ancestry_Set_Input>;
    /** filter the rows which have to be updated */
    where: Quest_Ancestry_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Quest_Ancestry_Var_Pop_Fields = {
    __typename?: 'quest_ancestry_var_pop_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Var_Pop_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Quest_Ancestry_Var_Samp_Fields = {
    __typename?: 'quest_ancestry_var_samp_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Var_Samp_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Quest_Ancestry_Variance_Fields = {
    __typename?: 'quest_ancestry_variance_fields';
    ancestry_q_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    hier_type?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    mold_id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "quest_ancestry" */
export type Quest_Ancestry_Variance_Order_By = {
    ancestry_q_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hier_type?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    mold_id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
};
/** input type for inserting array relation for remote table "quest" */
export type Quest_Arr_Rel_Insert_Input = {
    data: Array<Quest_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Quest_On_Conflict>;
};
/** aggregate avg on columns */
export type Quest_Avg_Fields = {
    __typename?: 'quest_avg_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "quest" */
export type Quest_Avg_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "quest". All fields are combined with a logical 'AND'. */
export type Quest_Bool_Exp = {
    _and?: InputMaybe<Array<Quest_Bool_Exp>>;
    _not?: InputMaybe<Quest_Bool_Exp>;
    _or?: InputMaybe<Array<Quest_Bool_Exp>>;
    conditionType?: InputMaybe<Condition_Type_Bool_Exp>;
    condition_type_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    creator_id?: InputMaybe<Int_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    hash?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_explicit_output?: InputMaybe<Boolean_Comparison_Exp>;
    is_explicit_reckoning?: InputMaybe<Boolean_Comparison_Exp>;
    is_final?: InputMaybe<Boolean_Comparison_Exp>;
    is_in_blueprint?: InputMaybe<Boolean_Comparison_Exp>;
    is_open?: InputMaybe<Boolean_Comparison_Exp>;
    judge?: InputMaybe<Int_Comparison_Exp>;
    judgeById?: InputMaybe<Judge_Bool_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    locus?: InputMaybe<Locus_Imitate_Bool_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    number_in_game?: InputMaybe<Int_Comparison_Exp>;
    pieces?: InputMaybe<Piece_Bool_Exp>;
    pieces_aggregate?: InputMaybe<Piece_Aggregate_Bool_Exp>;
    questStates?: InputMaybe<Quest_State_Bool_Exp>;
    questStates_aggregate?: InputMaybe<Quest_State_Aggregate_Bool_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "quest" */
export declare enum Quest_Constraint {
    /** unique or primary key constraint on columns "game_id", "title", "creator_id", "judge" */
    QuestCreatorIdGameIdTitleJudgeKey = "quest_creator_id_game_id_title_judge_key",
    /** unique or primary key constraint on columns "id" */
    QuestPkey = "quest_pkey"
}
/** input type for incrementing numeric columns in table "quest" */
export type Quest_Inc_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    judge?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    number_in_game?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "quest" */
export type Quest_Insert_Input = {
    conditionType?: InputMaybe<Condition_Type_Obj_Rel_Insert_Input>;
    condition_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    creator_id?: InputMaybe<Scalars['Int']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_explicit_output?: InputMaybe<Scalars['Boolean']>;
    is_explicit_reckoning?: InputMaybe<Scalars['Boolean']>;
    is_final?: InputMaybe<Scalars['Boolean']>;
    is_in_blueprint?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    judgeById?: InputMaybe<Judge_Obj_Rel_Insert_Input>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    locus?: InputMaybe<Locus_Imitate_Obj_Rel_Insert_Input>;
    locus_id?: InputMaybe<Scalars['Int']>;
    number_in_game?: InputMaybe<Scalars['Int']>;
    pieces?: InputMaybe<Piece_Arr_Rel_Insert_Input>;
    questStates?: InputMaybe<Quest_State_Arr_Rel_Insert_Input>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Quest_Max_Fields = {
    __typename?: 'quest_max_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    locus_id?: Maybe<Scalars['Int']>;
    number_in_game?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "quest" */
export type Quest_Max_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Quest_Min_Fields = {
    __typename?: 'quest_min_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    creator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    hash?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    locus_id?: Maybe<Scalars['Int']>;
    number_in_game?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "quest" */
export type Quest_Min_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "quest" */
export type Quest_Mutation_Response = {
    __typename?: 'quest_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Quest>;
};
/** input type for inserting object relation for remote table "quest" */
export type Quest_Obj_Rel_Insert_Input = {
    data: Quest_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Quest_On_Conflict>;
};
/** on_conflict condition type for table "quest" */
export type Quest_On_Conflict = {
    constraint: Quest_Constraint;
    update_columns?: Array<Quest_Update_Column>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
/** Ordering options when selecting data from "quest". */
export type Quest_Order_By = {
    conditionType?: InputMaybe<Condition_Type_Order_By>;
    condition_type_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    creatorTreasureUser?: InputMaybe<Treasure_User_Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_explicit_output?: InputMaybe<Order_By>;
    is_explicit_reckoning?: InputMaybe<Order_By>;
    is_final?: InputMaybe<Order_By>;
    is_in_blueprint?: InputMaybe<Order_By>;
    is_open?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    judgeById?: InputMaybe<Judge_Order_By>;
    last_seen?: InputMaybe<Order_By>;
    locus?: InputMaybe<Locus_Imitate_Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
    pieces_aggregate?: InputMaybe<Piece_Aggregate_Order_By>;
    questStates_aggregate?: InputMaybe<Quest_State_Aggregate_Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: quest */
export type Quest_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "quest" */
export declare enum Quest_Select_Column {
    /** column name */
    ConditionTypeId = "condition_type_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    GameId = "game_id",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsExplicitOutput = "is_explicit_output",
    /** column name */
    IsExplicitReckoning = "is_explicit_reckoning",
    /** column name */
    IsFinal = "is_final",
    /** column name */
    IsInBlueprint = "is_in_blueprint",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    Judge = "judge",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    NumberInGame = "number_in_game",
    /** column name */
    Title = "title"
}
/** select "quest_aggregate_bool_exp_bool_and_arguments_columns" columns of table "quest" */
export declare enum Quest_Select_Column_Quest_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsExplicitOutput = "is_explicit_output",
    /** column name */
    IsExplicitReckoning = "is_explicit_reckoning",
    /** column name */
    IsFinal = "is_final",
    /** column name */
    IsInBlueprint = "is_in_blueprint",
    /** column name */
    IsOpen = "is_open"
}
/** select "quest_aggregate_bool_exp_bool_or_arguments_columns" columns of table "quest" */
export declare enum Quest_Select_Column_Quest_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsExplicitOutput = "is_explicit_output",
    /** column name */
    IsExplicitReckoning = "is_explicit_reckoning",
    /** column name */
    IsFinal = "is_final",
    /** column name */
    IsInBlueprint = "is_in_blueprint",
    /** column name */
    IsOpen = "is_open"
}
/** input type for updating data in table "quest" */
export type Quest_Set_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_explicit_output?: InputMaybe<Scalars['Boolean']>;
    is_explicit_reckoning?: InputMaybe<Scalars['Boolean']>;
    is_final?: InputMaybe<Scalars['Boolean']>;
    is_in_blueprint?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    number_in_game?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "quest_state" */
export type Quest_State = {
    __typename?: 'quest_state';
    /** An object relationship */
    condition?: Maybe<Condition>;
    condition_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    is_front?: Maybe<Scalars['Boolean']>;
    is_hidden?: Maybe<Scalars['Boolean']>;
    is_open?: Maybe<Scalars['Boolean']>;
    is_pending?: Maybe<Scalars['Boolean']>;
    is_solved?: Maybe<Scalars['Boolean']>;
    last_modified?: Maybe<Scalars['timestamp']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    q_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    quest?: Maybe<Quest>;
    /** An object relationship */
    treasureUser?: Maybe<Treasure_User>;
    user_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "quest_state" */
export type Quest_State_Aggregate = {
    __typename?: 'quest_state_aggregate';
    aggregate?: Maybe<Quest_State_Aggregate_Fields>;
    nodes: Array<Quest_State>;
};
export type Quest_State_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Quest_State_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Quest_State_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Quest_State_Aggregate_Bool_Exp_Count>;
};
export type Quest_State_Aggregate_Bool_Exp_Bool_And = {
    arguments: Quest_State_Select_Column_Quest_State_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_State_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_State_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Quest_State_Select_Column_Quest_State_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_State_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Quest_State_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Quest_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Quest_State_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "quest_state" */
export type Quest_State_Aggregate_Fields = {
    __typename?: 'quest_state_aggregate_fields';
    avg?: Maybe<Quest_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Quest_State_Max_Fields>;
    min?: Maybe<Quest_State_Min_Fields>;
    stddev?: Maybe<Quest_State_Stddev_Fields>;
    stddev_pop?: Maybe<Quest_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Quest_State_Stddev_Samp_Fields>;
    sum?: Maybe<Quest_State_Sum_Fields>;
    var_pop?: Maybe<Quest_State_Var_Pop_Fields>;
    var_samp?: Maybe<Quest_State_Var_Samp_Fields>;
    variance?: Maybe<Quest_State_Variance_Fields>;
};
/** aggregate fields of "quest_state" */
export type Quest_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Quest_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "quest_state" */
export type Quest_State_Aggregate_Order_By = {
    avg?: InputMaybe<Quest_State_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Quest_State_Max_Order_By>;
    min?: InputMaybe<Quest_State_Min_Order_By>;
    stddev?: InputMaybe<Quest_State_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Quest_State_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Quest_State_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Quest_State_Sum_Order_By>;
    var_pop?: InputMaybe<Quest_State_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Quest_State_Var_Samp_Order_By>;
    variance?: InputMaybe<Quest_State_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "quest_state" */
export type Quest_State_Arr_Rel_Insert_Input = {
    data: Array<Quest_State_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Quest_State_On_Conflict>;
};
/** aggregate avg on columns */
export type Quest_State_Avg_Fields = {
    __typename?: 'quest_state_avg_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "quest_state" */
export type Quest_State_Avg_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "quest_state". All fields are combined with a logical 'AND'. */
export type Quest_State_Bool_Exp = {
    _and?: InputMaybe<Array<Quest_State_Bool_Exp>>;
    _not?: InputMaybe<Quest_State_Bool_Exp>;
    _or?: InputMaybe<Array<Quest_State_Bool_Exp>>;
    condition?: InputMaybe<Condition_Bool_Exp>;
    condition_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_front?: InputMaybe<Boolean_Comparison_Exp>;
    is_hidden?: InputMaybe<Boolean_Comparison_Exp>;
    is_open?: InputMaybe<Boolean_Comparison_Exp>;
    is_pending?: InputMaybe<Boolean_Comparison_Exp>;
    is_solved?: InputMaybe<Boolean_Comparison_Exp>;
    last_modified?: InputMaybe<Timestamp_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    q_id?: InputMaybe<Int_Comparison_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    treasureUser?: InputMaybe<Treasure_User_Bool_Exp>;
    user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "quest_state" */
export declare enum Quest_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    QuestStatePkey = "quest_state_pkey",
    /** unique or primary key constraint on columns "game_id", "q_id", "user_id" */
    QuestStateUserIdGameIdQIdKey = "quest_state_user_id_game_id_q_id_key"
}
/** input type for incrementing numeric columns in table "quest_state" */
export type Quest_State_Inc_Input = {
    condition_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    q_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "quest_state" */
export type Quest_State_Insert_Input = {
    condition?: InputMaybe<Condition_Obj_Rel_Insert_Input>;
    condition_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_front?: InputMaybe<Scalars['Boolean']>;
    is_hidden?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_pending?: InputMaybe<Scalars['Boolean']>;
    is_solved?: InputMaybe<Scalars['Boolean']>;
    last_modified?: InputMaybe<Scalars['timestamp']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    q_id?: InputMaybe<Scalars['Int']>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    treasureUser?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Quest_State_Max_Fields = {
    __typename?: 'quest_state_max_fields';
    condition_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    last_modified?: Maybe<Scalars['timestamp']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    q_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "quest_state" */
export type Quest_State_Max_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_modified?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Quest_State_Min_Fields = {
    __typename?: 'quest_state_min_fields';
    condition_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamp']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    last_modified?: Maybe<Scalars['timestamp']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    q_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "quest_state" */
export type Quest_State_Min_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_modified?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "quest_state" */
export type Quest_State_Mutation_Response = {
    __typename?: 'quest_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Quest_State>;
};
/** on_conflict condition type for table "quest_state" */
export type Quest_State_On_Conflict = {
    constraint: Quest_State_Constraint;
    update_columns?: Array<Quest_State_Update_Column>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
/** Ordering options when selecting data from "quest_state". */
export type Quest_State_Order_By = {
    condition?: InputMaybe<Condition_Order_By>;
    condition_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_front?: InputMaybe<Order_By>;
    is_hidden?: InputMaybe<Order_By>;
    is_open?: InputMaybe<Order_By>;
    is_pending?: InputMaybe<Order_By>;
    is_solved?: InputMaybe<Order_By>;
    last_modified?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    treasureUser?: InputMaybe<Treasure_User_Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: quest_state */
export type Quest_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "quest_state" */
export declare enum Quest_State_Select_Column {
    /** column name */
    ConditionId = "condition_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsFront = "is_front",
    /** column name */
    IsHidden = "is_hidden",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsPending = "is_pending",
    /** column name */
    IsSolved = "is_solved",
    /** column name */
    LastModified = "last_modified",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    QId = "q_id",
    /** column name */
    UserId = "user_id"
}
/** select "quest_state_aggregate_bool_exp_bool_and_arguments_columns" columns of table "quest_state" */
export declare enum Quest_State_Select_Column_Quest_State_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    IsFront = "is_front",
    /** column name */
    IsHidden = "is_hidden",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsPending = "is_pending",
    /** column name */
    IsSolved = "is_solved"
}
/** select "quest_state_aggregate_bool_exp_bool_or_arguments_columns" columns of table "quest_state" */
export declare enum Quest_State_Select_Column_Quest_State_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    IsFront = "is_front",
    /** column name */
    IsHidden = "is_hidden",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsPending = "is_pending",
    /** column name */
    IsSolved = "is_solved"
}
/** input type for updating data in table "quest_state" */
export type Quest_State_Set_Input = {
    condition_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_front?: InputMaybe<Scalars['Boolean']>;
    is_hidden?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_pending?: InputMaybe<Scalars['Boolean']>;
    is_solved?: InputMaybe<Scalars['Boolean']>;
    last_modified?: InputMaybe<Scalars['timestamp']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    q_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Quest_State_Stddev_Fields = {
    __typename?: 'quest_state_stddev_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "quest_state" */
export type Quest_State_Stddev_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Quest_State_Stddev_Pop_Fields = {
    __typename?: 'quest_state_stddev_pop_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "quest_state" */
export type Quest_State_Stddev_Pop_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Quest_State_Stddev_Samp_Fields = {
    __typename?: 'quest_state_stddev_samp_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "quest_state" */
export type Quest_State_Stddev_Samp_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "quest_state" */
export type Quest_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Quest_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Quest_State_Stream_Cursor_Value_Input = {
    condition_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_front?: InputMaybe<Scalars['Boolean']>;
    is_hidden?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    is_pending?: InputMaybe<Scalars['Boolean']>;
    is_solved?: InputMaybe<Scalars['Boolean']>;
    last_modified?: InputMaybe<Scalars['timestamp']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    q_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Quest_State_Sum_Fields = {
    __typename?: 'quest_state_sum_fields';
    condition_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    q_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "quest_state" */
export type Quest_State_Sum_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** update columns of table "quest_state" */
export declare enum Quest_State_Update_Column {
    /** column name */
    ConditionId = "condition_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    IsFront = "is_front",
    /** column name */
    IsHidden = "is_hidden",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    IsPending = "is_pending",
    /** column name */
    IsSolved = "is_solved",
    /** column name */
    LastModified = "last_modified",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    QId = "q_id",
    /** column name */
    UserId = "user_id"
}
export type Quest_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Quest_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Quest_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Quest_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Quest_State_Var_Pop_Fields = {
    __typename?: 'quest_state_var_pop_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "quest_state" */
export type Quest_State_Var_Pop_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Quest_State_Var_Samp_Fields = {
    __typename?: 'quest_state_var_samp_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "quest_state" */
export type Quest_State_Var_Samp_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Quest_State_Variance_Fields = {
    __typename?: 'quest_state_variance_fields';
    condition_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    q_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "quest_state" */
export type Quest_State_Variance_Order_By = {
    condition_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    q_id?: InputMaybe<Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** aggregate stddev on columns */
export type Quest_Stddev_Fields = {
    __typename?: 'quest_stddev_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "quest" */
export type Quest_Stddev_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Quest_Stddev_Pop_Fields = {
    __typename?: 'quest_stddev_pop_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "quest" */
export type Quest_Stddev_Pop_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Quest_Stddev_Samp_Fields = {
    __typename?: 'quest_stddev_samp_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "quest" */
export type Quest_Stddev_Samp_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "quest" */
export type Quest_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Quest_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Quest_Stream_Cursor_Value_Input = {
    condition_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamp']>;
    creator_id?: InputMaybe<Scalars['Int']>;
    game_id?: InputMaybe<Scalars['Int']>;
    hash?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_explicit_output?: InputMaybe<Scalars['Boolean']>;
    is_explicit_reckoning?: InputMaybe<Scalars['Boolean']>;
    is_final?: InputMaybe<Scalars['Boolean']>;
    is_in_blueprint?: InputMaybe<Scalars['Boolean']>;
    is_open?: InputMaybe<Scalars['Boolean']>;
    judge?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    number_in_game?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Quest_Sum_Fields = {
    __typename?: 'quest_sum_fields';
    condition_type_id?: Maybe<Scalars['Int']>;
    creator_id?: Maybe<Scalars['Int']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    judge?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    number_in_game?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "quest" */
export type Quest_Sum_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** columns and relationships of "quest_type" */
export type Quest_Type = {
    __typename?: 'quest_type';
    id: Scalars['Int'];
    name: Scalars['String'];
};
/** aggregated selection of "quest_type" */
export type Quest_Type_Aggregate = {
    __typename?: 'quest_type_aggregate';
    aggregate?: Maybe<Quest_Type_Aggregate_Fields>;
    nodes: Array<Quest_Type>;
};
/** aggregate fields of "quest_type" */
export type Quest_Type_Aggregate_Fields = {
    __typename?: 'quest_type_aggregate_fields';
    avg?: Maybe<Quest_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Quest_Type_Max_Fields>;
    min?: Maybe<Quest_Type_Min_Fields>;
    stddev?: Maybe<Quest_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Quest_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Quest_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Quest_Type_Sum_Fields>;
    var_pop?: Maybe<Quest_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Quest_Type_Var_Samp_Fields>;
    variance?: Maybe<Quest_Type_Variance_Fields>;
};
/** aggregate fields of "quest_type" */
export type Quest_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Quest_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Quest_Type_Avg_Fields = {
    __typename?: 'quest_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "quest_type". All fields are combined with a logical 'AND'. */
export type Quest_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Quest_Type_Bool_Exp>>;
    _not?: InputMaybe<Quest_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Quest_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "quest_type" */
export declare enum Quest_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    QuestTypePkey = "quest_type_pkey"
}
/** input type for incrementing numeric columns in table "quest_type" */
export type Quest_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "quest_type" */
export type Quest_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Quest_Type_Max_Fields = {
    __typename?: 'quest_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Quest_Type_Min_Fields = {
    __typename?: 'quest_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "quest_type" */
export type Quest_Type_Mutation_Response = {
    __typename?: 'quest_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Quest_Type>;
};
/** on_conflict condition type for table "quest_type" */
export type Quest_Type_On_Conflict = {
    constraint: Quest_Type_Constraint;
    update_columns?: Array<Quest_Type_Update_Column>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "quest_type". */
export type Quest_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: quest_type */
export type Quest_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "quest_type" */
export declare enum Quest_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "quest_type" */
export type Quest_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Quest_Type_Stddev_Fields = {
    __typename?: 'quest_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Quest_Type_Stddev_Pop_Fields = {
    __typename?: 'quest_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Quest_Type_Stddev_Samp_Fields = {
    __typename?: 'quest_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "quest_type" */
export type Quest_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Quest_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Quest_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Quest_Type_Sum_Fields = {
    __typename?: 'quest_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "quest_type" */
export declare enum Quest_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Name = "name"
}
export type Quest_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Quest_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Quest_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Quest_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Quest_Type_Var_Pop_Fields = {
    __typename?: 'quest_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Quest_Type_Var_Samp_Fields = {
    __typename?: 'quest_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Quest_Type_Variance_Fields = {
    __typename?: 'quest_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "quest" */
export declare enum Quest_Update_Column {
    /** column name */
    ConditionTypeId = "condition_type_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    CreatorId = "creator_id",
    /** column name */
    GameId = "game_id",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    IsExplicitOutput = "is_explicit_output",
    /** column name */
    IsExplicitReckoning = "is_explicit_reckoning",
    /** column name */
    IsFinal = "is_final",
    /** column name */
    IsInBlueprint = "is_in_blueprint",
    /** column name */
    IsOpen = "is_open",
    /** column name */
    Judge = "judge",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    NumberInGame = "number_in_game",
    /** column name */
    Title = "title"
}
export type Quest_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Quest_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Quest_Set_Input>;
    /** filter the rows which have to be updated */
    where: Quest_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Quest_Var_Pop_Fields = {
    __typename?: 'quest_var_pop_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "quest" */
export type Quest_Var_Pop_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Quest_Var_Samp_Fields = {
    __typename?: 'quest_var_samp_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "quest" */
export type Quest_Var_Samp_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Quest_Variance_Fields = {
    __typename?: 'quest_variance_fields';
    condition_type_id?: Maybe<Scalars['Float']>;
    creator_id?: Maybe<Scalars['Float']>;
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    number_in_game?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "quest" */
export type Quest_Variance_Order_By = {
    condition_type_id?: InputMaybe<Order_By>;
    creator_id?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    number_in_game?: InputMaybe<Order_By>;
};
/** columns and relationships of "resource_policy" */
export type Resource_Policy = {
    __typename?: 'resource_policy';
    id: Scalars['Int'];
};
/** aggregated selection of "resource_policy" */
export type Resource_Policy_Aggregate = {
    __typename?: 'resource_policy_aggregate';
    aggregate?: Maybe<Resource_Policy_Aggregate_Fields>;
    nodes: Array<Resource_Policy>;
};
/** aggregate fields of "resource_policy" */
export type Resource_Policy_Aggregate_Fields = {
    __typename?: 'resource_policy_aggregate_fields';
    avg?: Maybe<Resource_Policy_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Resource_Policy_Max_Fields>;
    min?: Maybe<Resource_Policy_Min_Fields>;
    stddev?: Maybe<Resource_Policy_Stddev_Fields>;
    stddev_pop?: Maybe<Resource_Policy_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Resource_Policy_Stddev_Samp_Fields>;
    sum?: Maybe<Resource_Policy_Sum_Fields>;
    var_pop?: Maybe<Resource_Policy_Var_Pop_Fields>;
    var_samp?: Maybe<Resource_Policy_Var_Samp_Fields>;
    variance?: Maybe<Resource_Policy_Variance_Fields>;
};
/** aggregate fields of "resource_policy" */
export type Resource_Policy_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Resource_Policy_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Resource_Policy_Avg_Fields = {
    __typename?: 'resource_policy_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "resource_policy". All fields are combined with a logical 'AND'. */
export type Resource_Policy_Bool_Exp = {
    _and?: InputMaybe<Array<Resource_Policy_Bool_Exp>>;
    _not?: InputMaybe<Resource_Policy_Bool_Exp>;
    _or?: InputMaybe<Array<Resource_Policy_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "resource_policy" */
export declare enum Resource_Policy_Constraint {
    /** unique or primary key constraint on columns "id" */
    ResourcePolicyPkey = "resource_policy_pkey"
}
/** input type for incrementing numeric columns in table "resource_policy" */
export type Resource_Policy_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "resource_policy" */
export type Resource_Policy_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Resource_Policy_Max_Fields = {
    __typename?: 'resource_policy_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Resource_Policy_Min_Fields = {
    __typename?: 'resource_policy_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "resource_policy" */
export type Resource_Policy_Mutation_Response = {
    __typename?: 'resource_policy_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Resource_Policy>;
};
/** input type for inserting object relation for remote table "resource_policy" */
export type Resource_Policy_Obj_Rel_Insert_Input = {
    data: Resource_Policy_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Resource_Policy_On_Conflict>;
};
/** on_conflict condition type for table "resource_policy" */
export type Resource_Policy_On_Conflict = {
    constraint: Resource_Policy_Constraint;
    update_columns?: Array<Resource_Policy_Update_Column>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
/** Ordering options when selecting data from "resource_policy". */
export type Resource_Policy_Order_By = {
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: resource_policy */
export type Resource_Policy_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "resource_policy" */
export declare enum Resource_Policy_Select_Column {
    /** column name */
    Id = "id"
}
/** input type for updating data in table "resource_policy" */
export type Resource_Policy_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Resource_Policy_Stddev_Fields = {
    __typename?: 'resource_policy_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Resource_Policy_Stddev_Pop_Fields = {
    __typename?: 'resource_policy_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Resource_Policy_Stddev_Samp_Fields = {
    __typename?: 'resource_policy_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "resource_policy" */
export type Resource_Policy_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Resource_Policy_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Resource_Policy_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Resource_Policy_Sum_Fields = {
    __typename?: 'resource_policy_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "resource_policy" */
export declare enum Resource_Policy_Update_Column {
    /** column name */
    Id = "id"
}
export type Resource_Policy_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Resource_Policy_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Resource_Policy_Set_Input>;
    /** filter the rows which have to be updated */
    where: Resource_Policy_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Resource_Policy_Var_Pop_Fields = {
    __typename?: 'resource_policy_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Resource_Policy_Var_Samp_Fields = {
    __typename?: 'resource_policy_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Resource_Policy_Variance_Fields = {
    __typename?: 'resource_policy_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "resource_privacy" */
export type Resource_Privacy = {
    __typename?: 'resource_privacy';
    id: Scalars['Int'];
    in_universe: Scalars['Boolean'];
    is_global_public: Scalars['Boolean'];
    is_private: Scalars['Boolean'];
    name: Scalars['String'];
    /** An object relationship */
    universe?: Maybe<Universe>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "resource_privacy" */
export type Resource_Privacy_Aggregate = {
    __typename?: 'resource_privacy_aggregate';
    aggregate?: Maybe<Resource_Privacy_Aggregate_Fields>;
    nodes: Array<Resource_Privacy>;
};
/** aggregate fields of "resource_privacy" */
export type Resource_Privacy_Aggregate_Fields = {
    __typename?: 'resource_privacy_aggregate_fields';
    avg?: Maybe<Resource_Privacy_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Resource_Privacy_Max_Fields>;
    min?: Maybe<Resource_Privacy_Min_Fields>;
    stddev?: Maybe<Resource_Privacy_Stddev_Fields>;
    stddev_pop?: Maybe<Resource_Privacy_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Resource_Privacy_Stddev_Samp_Fields>;
    sum?: Maybe<Resource_Privacy_Sum_Fields>;
    var_pop?: Maybe<Resource_Privacy_Var_Pop_Fields>;
    var_samp?: Maybe<Resource_Privacy_Var_Samp_Fields>;
    variance?: Maybe<Resource_Privacy_Variance_Fields>;
};
/** aggregate fields of "resource_privacy" */
export type Resource_Privacy_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Resource_Privacy_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Resource_Privacy_Avg_Fields = {
    __typename?: 'resource_privacy_avg_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "resource_privacy". All fields are combined with a logical 'AND'. */
export type Resource_Privacy_Bool_Exp = {
    _and?: InputMaybe<Array<Resource_Privacy_Bool_Exp>>;
    _not?: InputMaybe<Resource_Privacy_Bool_Exp>;
    _or?: InputMaybe<Array<Resource_Privacy_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    in_universe?: InputMaybe<Boolean_Comparison_Exp>;
    is_global_public?: InputMaybe<Boolean_Comparison_Exp>;
    is_private?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "resource_privacy" */
export declare enum Resource_Privacy_Constraint {
    /** unique or primary key constraint on columns "id" */
    ResourcePrivacyPkey = "resource_privacy_pkey"
}
/** input type for incrementing numeric columns in table "resource_privacy" */
export type Resource_Privacy_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "resource_privacy" */
export type Resource_Privacy_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    in_universe?: InputMaybe<Scalars['Boolean']>;
    is_global_public?: InputMaybe<Scalars['Boolean']>;
    is_private?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Resource_Privacy_Max_Fields = {
    __typename?: 'resource_privacy_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Resource_Privacy_Min_Fields = {
    __typename?: 'resource_privacy_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "resource_privacy" */
export type Resource_Privacy_Mutation_Response = {
    __typename?: 'resource_privacy_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Resource_Privacy>;
};
/** input type for inserting object relation for remote table "resource_privacy" */
export type Resource_Privacy_Obj_Rel_Insert_Input = {
    data: Resource_Privacy_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Resource_Privacy_On_Conflict>;
};
/** on_conflict condition type for table "resource_privacy" */
export type Resource_Privacy_On_Conflict = {
    constraint: Resource_Privacy_Constraint;
    update_columns?: Array<Resource_Privacy_Update_Column>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
/** Ordering options when selecting data from "resource_privacy". */
export type Resource_Privacy_Order_By = {
    id?: InputMaybe<Order_By>;
    in_universe?: InputMaybe<Order_By>;
    is_global_public?: InputMaybe<Order_By>;
    is_private?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: resource_privacy */
export type Resource_Privacy_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "resource_privacy" */
export declare enum Resource_Privacy_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    InUniverse = "in_universe",
    /** column name */
    IsGlobalPublic = "is_global_public",
    /** column name */
    IsPrivate = "is_private",
    /** column name */
    Name = "name",
    /** column name */
    UniverseId = "universe_id"
}
/** input type for updating data in table "resource_privacy" */
export type Resource_Privacy_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    in_universe?: InputMaybe<Scalars['Boolean']>;
    is_global_public?: InputMaybe<Scalars['Boolean']>;
    is_private?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Resource_Privacy_Stddev_Fields = {
    __typename?: 'resource_privacy_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Resource_Privacy_Stddev_Pop_Fields = {
    __typename?: 'resource_privacy_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Resource_Privacy_Stddev_Samp_Fields = {
    __typename?: 'resource_privacy_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "resource_privacy" */
export type Resource_Privacy_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Resource_Privacy_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Resource_Privacy_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    in_universe?: InputMaybe<Scalars['Boolean']>;
    is_global_public?: InputMaybe<Scalars['Boolean']>;
    is_private?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Resource_Privacy_Sum_Fields = {
    __typename?: 'resource_privacy_sum_fields';
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "resource_privacy" */
export declare enum Resource_Privacy_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    InUniverse = "in_universe",
    /** column name */
    IsGlobalPublic = "is_global_public",
    /** column name */
    IsPrivate = "is_private",
    /** column name */
    Name = "name",
    /** column name */
    UniverseId = "universe_id"
}
export type Resource_Privacy_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Resource_Privacy_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Resource_Privacy_Set_Input>;
    /** filter the rows which have to be updated */
    where: Resource_Privacy_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Resource_Privacy_Var_Pop_Fields = {
    __typename?: 'resource_privacy_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Resource_Privacy_Var_Samp_Fields = {
    __typename?: 'resource_privacy_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Resource_Privacy_Variance_Fields = {
    __typename?: 'resource_privacy_variance_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d = {
    __typename?: 'rooadmap_gis_cord_2d';
    id: Scalars['Int'];
    line: Scalars['geography'];
};
/** aggregated selection of "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Aggregate = {
    __typename?: 'rooadmap_gis_cord_2d_aggregate';
    aggregate?: Maybe<Rooadmap_Gis_Cord_2d_Aggregate_Fields>;
    nodes: Array<Rooadmap_Gis_Cord_2d>;
};
/** aggregate fields of "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Aggregate_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_aggregate_fields';
    avg?: Maybe<Rooadmap_Gis_Cord_2d_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Rooadmap_Gis_Cord_2d_Max_Fields>;
    min?: Maybe<Rooadmap_Gis_Cord_2d_Min_Fields>;
    stddev?: Maybe<Rooadmap_Gis_Cord_2d_Stddev_Fields>;
    stddev_pop?: Maybe<Rooadmap_Gis_Cord_2d_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Rooadmap_Gis_Cord_2d_Stddev_Samp_Fields>;
    sum?: Maybe<Rooadmap_Gis_Cord_2d_Sum_Fields>;
    var_pop?: Maybe<Rooadmap_Gis_Cord_2d_Var_Pop_Fields>;
    var_samp?: Maybe<Rooadmap_Gis_Cord_2d_Var_Samp_Fields>;
    variance?: Maybe<Rooadmap_Gis_Cord_2d_Variance_Fields>;
};
/** aggregate fields of "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Rooadmap_Gis_Cord_2d_Avg_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "rooadmap_gis.cord_2d". All fields are combined with a logical 'AND'. */
export type Rooadmap_Gis_Cord_2d_Bool_Exp = {
    _and?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Bool_Exp>>;
    _not?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
    _or?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    line?: InputMaybe<Geography_Comparison_Exp>;
};
/** unique or primary key constraints on table "rooadmap_gis.cord_2d" */
export declare enum Rooadmap_Gis_Cord_2d_Constraint {
    /** unique or primary key constraint on columns "id" */
    Cord_2dPkey = "cord_2d_pkey"
}
/** input type for incrementing numeric columns in table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate max on columns */
export type Rooadmap_Gis_Cord_2d_Max_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Rooadmap_Gis_Cord_2d_Min_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Mutation_Response = {
    __typename?: 'rooadmap_gis_cord_2d_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Rooadmap_Gis_Cord_2d>;
};
/** input type for inserting object relation for remote table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Obj_Rel_Insert_Input = {
    data: Rooadmap_Gis_Cord_2d_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_2d_On_Conflict>;
};
/** on_conflict condition type for table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_On_Conflict = {
    constraint: Rooadmap_Gis_Cord_2d_Constraint;
    update_columns?: Array<Rooadmap_Gis_Cord_2d_Update_Column>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
/** Ordering options when selecting data from "rooadmap_gis.cord_2d". */
export type Rooadmap_Gis_Cord_2d_Order_By = {
    id?: InputMaybe<Order_By>;
    line?: InputMaybe<Order_By>;
};
/** primary key columns input for table: rooadmap_gis.cord_2d */
export type Rooadmap_Gis_Cord_2d_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "rooadmap_gis.cord_2d" */
export declare enum Rooadmap_Gis_Cord_2d_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Line = "line"
}
/** input type for updating data in table "rooadmap_gis.cord_2d" */
export type Rooadmap_Gis_Cord_2d_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate stddev on columns */
export type Rooadmap_Gis_Cord_2d_Stddev_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Rooadmap_Gis_Cord_2d_Stddev_Pop_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Rooadmap_Gis_Cord_2d_Stddev_Samp_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "rooadmap_gis_cord_2d" */
export type Rooadmap_Gis_Cord_2d_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Rooadmap_Gis_Cord_2d_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Rooadmap_Gis_Cord_2d_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate sum on columns */
export type Rooadmap_Gis_Cord_2d_Sum_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "rooadmap_gis.cord_2d" */
export declare enum Rooadmap_Gis_Cord_2d_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Line = "line"
}
export type Rooadmap_Gis_Cord_2d_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Rooadmap_Gis_Cord_2d_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Rooadmap_Gis_Cord_2d_Set_Input>;
    /** filter the rows which have to be updated */
    where: Rooadmap_Gis_Cord_2d_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Rooadmap_Gis_Cord_2d_Var_Pop_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Rooadmap_Gis_Cord_2d_Var_Samp_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Rooadmap_Gis_Cord_2d_Variance_Fields = {
    __typename?: 'rooadmap_gis_cord_2d_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d = {
    __typename?: 'rooadmap_gis_cord_3d';
    id: Scalars['Int'];
    line?: Maybe<Scalars['geography']>;
};
/** aggregated selection of "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Aggregate = {
    __typename?: 'rooadmap_gis_cord_3d_aggregate';
    aggregate?: Maybe<Rooadmap_Gis_Cord_3d_Aggregate_Fields>;
    nodes: Array<Rooadmap_Gis_Cord_3d>;
};
/** aggregate fields of "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Aggregate_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_aggregate_fields';
    avg?: Maybe<Rooadmap_Gis_Cord_3d_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Rooadmap_Gis_Cord_3d_Max_Fields>;
    min?: Maybe<Rooadmap_Gis_Cord_3d_Min_Fields>;
    stddev?: Maybe<Rooadmap_Gis_Cord_3d_Stddev_Fields>;
    stddev_pop?: Maybe<Rooadmap_Gis_Cord_3d_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Rooadmap_Gis_Cord_3d_Stddev_Samp_Fields>;
    sum?: Maybe<Rooadmap_Gis_Cord_3d_Sum_Fields>;
    var_pop?: Maybe<Rooadmap_Gis_Cord_3d_Var_Pop_Fields>;
    var_samp?: Maybe<Rooadmap_Gis_Cord_3d_Var_Samp_Fields>;
    variance?: Maybe<Rooadmap_Gis_Cord_3d_Variance_Fields>;
};
/** aggregate fields of "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Rooadmap_Gis_Cord_3d_Avg_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "rooadmap_gis.cord_3d". All fields are combined with a logical 'AND'. */
export type Rooadmap_Gis_Cord_3d_Bool_Exp = {
    _and?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Bool_Exp>>;
    _not?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
    _or?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    line?: InputMaybe<Geography_Comparison_Exp>;
};
/** unique or primary key constraints on table "rooadmap_gis.cord_3d" */
export declare enum Rooadmap_Gis_Cord_3d_Constraint {
    /** unique or primary key constraint on columns "id" */
    Cord_3dPkey = "cord_3d_pkey"
}
/** input type for incrementing numeric columns in table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate max on columns */
export type Rooadmap_Gis_Cord_3d_Max_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Rooadmap_Gis_Cord_3d_Min_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Mutation_Response = {
    __typename?: 'rooadmap_gis_cord_3d_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Rooadmap_Gis_Cord_3d>;
};
/** input type for inserting object relation for remote table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Obj_Rel_Insert_Input = {
    data: Rooadmap_Gis_Cord_3d_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Rooadmap_Gis_Cord_3d_On_Conflict>;
};
/** on_conflict condition type for table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_On_Conflict = {
    constraint: Rooadmap_Gis_Cord_3d_Constraint;
    update_columns?: Array<Rooadmap_Gis_Cord_3d_Update_Column>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
/** Ordering options when selecting data from "rooadmap_gis.cord_3d". */
export type Rooadmap_Gis_Cord_3d_Order_By = {
    id?: InputMaybe<Order_By>;
    line?: InputMaybe<Order_By>;
};
/** primary key columns input for table: rooadmap_gis.cord_3d */
export type Rooadmap_Gis_Cord_3d_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "rooadmap_gis.cord_3d" */
export declare enum Rooadmap_Gis_Cord_3d_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    Line = "line"
}
/** input type for updating data in table "rooadmap_gis.cord_3d" */
export type Rooadmap_Gis_Cord_3d_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate stddev on columns */
export type Rooadmap_Gis_Cord_3d_Stddev_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Rooadmap_Gis_Cord_3d_Stddev_Pop_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Rooadmap_Gis_Cord_3d_Stddev_Samp_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "rooadmap_gis_cord_3d" */
export type Rooadmap_Gis_Cord_3d_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Rooadmap_Gis_Cord_3d_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Rooadmap_Gis_Cord_3d_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    line?: InputMaybe<Scalars['geography']>;
};
/** aggregate sum on columns */
export type Rooadmap_Gis_Cord_3d_Sum_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "rooadmap_gis.cord_3d" */
export declare enum Rooadmap_Gis_Cord_3d_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    Line = "line"
}
export type Rooadmap_Gis_Cord_3d_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Rooadmap_Gis_Cord_3d_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Rooadmap_Gis_Cord_3d_Set_Input>;
    /** filter the rows which have to be updated */
    where: Rooadmap_Gis_Cord_3d_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Rooadmap_Gis_Cord_3d_Var_Pop_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Rooadmap_Gis_Cord_3d_Var_Samp_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Rooadmap_Gis_Cord_3d_Variance_Fields = {
    __typename?: 'rooadmap_gis_cord_3d_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d = {
    __typename?: 'rooadmap_gis_location_2d';
    coordinate: Scalars['geography'];
    id: Scalars['Int'];
};
/** aggregated selection of "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Aggregate = {
    __typename?: 'rooadmap_gis_location_2d_aggregate';
    aggregate?: Maybe<Rooadmap_Gis_Location_2d_Aggregate_Fields>;
    nodes: Array<Rooadmap_Gis_Location_2d>;
};
/** aggregate fields of "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Aggregate_Fields = {
    __typename?: 'rooadmap_gis_location_2d_aggregate_fields';
    avg?: Maybe<Rooadmap_Gis_Location_2d_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Rooadmap_Gis_Location_2d_Max_Fields>;
    min?: Maybe<Rooadmap_Gis_Location_2d_Min_Fields>;
    stddev?: Maybe<Rooadmap_Gis_Location_2d_Stddev_Fields>;
    stddev_pop?: Maybe<Rooadmap_Gis_Location_2d_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Rooadmap_Gis_Location_2d_Stddev_Samp_Fields>;
    sum?: Maybe<Rooadmap_Gis_Location_2d_Sum_Fields>;
    var_pop?: Maybe<Rooadmap_Gis_Location_2d_Var_Pop_Fields>;
    var_samp?: Maybe<Rooadmap_Gis_Location_2d_Var_Samp_Fields>;
    variance?: Maybe<Rooadmap_Gis_Location_2d_Variance_Fields>;
};
/** aggregate fields of "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Rooadmap_Gis_Location_2d_Avg_Fields = {
    __typename?: 'rooadmap_gis_location_2d_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "rooadmap_gis.location_2d". All fields are combined with a logical 'AND'. */
export type Rooadmap_Gis_Location_2d_Bool_Exp = {
    _and?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Bool_Exp>>;
    _not?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
    _or?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Bool_Exp>>;
    coordinate?: InputMaybe<Geography_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "rooadmap_gis.location_2d" */
export declare enum Rooadmap_Gis_Location_2d_Constraint {
    /** unique or primary key constraint on columns "id" */
    Location_2dPkey = "location_2d_pkey"
}
/** input type for incrementing numeric columns in table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Insert_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Rooadmap_Gis_Location_2d_Max_Fields = {
    __typename?: 'rooadmap_gis_location_2d_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Rooadmap_Gis_Location_2d_Min_Fields = {
    __typename?: 'rooadmap_gis_location_2d_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Mutation_Response = {
    __typename?: 'rooadmap_gis_location_2d_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Rooadmap_Gis_Location_2d>;
};
/** input type for inserting object relation for remote table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Obj_Rel_Insert_Input = {
    data: Rooadmap_Gis_Location_2d_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_2d_On_Conflict>;
};
/** on_conflict condition type for table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_On_Conflict = {
    constraint: Rooadmap_Gis_Location_2d_Constraint;
    update_columns?: Array<Rooadmap_Gis_Location_2d_Update_Column>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
/** Ordering options when selecting data from "rooadmap_gis.location_2d". */
export type Rooadmap_Gis_Location_2d_Order_By = {
    coordinate?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: rooadmap_gis.location_2d */
export type Rooadmap_Gis_Location_2d_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "rooadmap_gis.location_2d" */
export declare enum Rooadmap_Gis_Location_2d_Select_Column {
    /** column name */
    Coordinate = "coordinate",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "rooadmap_gis.location_2d" */
export type Rooadmap_Gis_Location_2d_Set_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Rooadmap_Gis_Location_2d_Stddev_Fields = {
    __typename?: 'rooadmap_gis_location_2d_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Rooadmap_Gis_Location_2d_Stddev_Pop_Fields = {
    __typename?: 'rooadmap_gis_location_2d_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Rooadmap_Gis_Location_2d_Stddev_Samp_Fields = {
    __typename?: 'rooadmap_gis_location_2d_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "rooadmap_gis_location_2d" */
export type Rooadmap_Gis_Location_2d_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Rooadmap_Gis_Location_2d_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Rooadmap_Gis_Location_2d_Stream_Cursor_Value_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Rooadmap_Gis_Location_2d_Sum_Fields = {
    __typename?: 'rooadmap_gis_location_2d_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "rooadmap_gis.location_2d" */
export declare enum Rooadmap_Gis_Location_2d_Update_Column {
    /** column name */
    Coordinate = "coordinate",
    /** column name */
    Id = "id"
}
export type Rooadmap_Gis_Location_2d_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Rooadmap_Gis_Location_2d_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Rooadmap_Gis_Location_2d_Set_Input>;
    /** filter the rows which have to be updated */
    where: Rooadmap_Gis_Location_2d_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Rooadmap_Gis_Location_2d_Var_Pop_Fields = {
    __typename?: 'rooadmap_gis_location_2d_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Rooadmap_Gis_Location_2d_Var_Samp_Fields = {
    __typename?: 'rooadmap_gis_location_2d_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Rooadmap_Gis_Location_2d_Variance_Fields = {
    __typename?: 'rooadmap_gis_location_2d_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d = {
    __typename?: 'rooadmap_gis_location_3d';
    coordinate?: Maybe<Scalars['geography']>;
    id: Scalars['Int'];
};
/** aggregated selection of "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Aggregate = {
    __typename?: 'rooadmap_gis_location_3d_aggregate';
    aggregate?: Maybe<Rooadmap_Gis_Location_3d_Aggregate_Fields>;
    nodes: Array<Rooadmap_Gis_Location_3d>;
};
/** aggregate fields of "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Aggregate_Fields = {
    __typename?: 'rooadmap_gis_location_3d_aggregate_fields';
    avg?: Maybe<Rooadmap_Gis_Location_3d_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Rooadmap_Gis_Location_3d_Max_Fields>;
    min?: Maybe<Rooadmap_Gis_Location_3d_Min_Fields>;
    stddev?: Maybe<Rooadmap_Gis_Location_3d_Stddev_Fields>;
    stddev_pop?: Maybe<Rooadmap_Gis_Location_3d_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Rooadmap_Gis_Location_3d_Stddev_Samp_Fields>;
    sum?: Maybe<Rooadmap_Gis_Location_3d_Sum_Fields>;
    var_pop?: Maybe<Rooadmap_Gis_Location_3d_Var_Pop_Fields>;
    var_samp?: Maybe<Rooadmap_Gis_Location_3d_Var_Samp_Fields>;
    variance?: Maybe<Rooadmap_Gis_Location_3d_Variance_Fields>;
};
/** aggregate fields of "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Rooadmap_Gis_Location_3d_Avg_Fields = {
    __typename?: 'rooadmap_gis_location_3d_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "rooadmap_gis.location_3d". All fields are combined with a logical 'AND'. */
export type Rooadmap_Gis_Location_3d_Bool_Exp = {
    _and?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Bool_Exp>>;
    _not?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
    _or?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Bool_Exp>>;
    coordinate?: InputMaybe<Geography_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "rooadmap_gis.location_3d" */
export declare enum Rooadmap_Gis_Location_3d_Constraint {
    /** unique or primary key constraint on columns "id" */
    Location_3dPkey = "location_3d_pkey"
}
/** input type for incrementing numeric columns in table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Insert_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Rooadmap_Gis_Location_3d_Max_Fields = {
    __typename?: 'rooadmap_gis_location_3d_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Rooadmap_Gis_Location_3d_Min_Fields = {
    __typename?: 'rooadmap_gis_location_3d_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Mutation_Response = {
    __typename?: 'rooadmap_gis_location_3d_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Rooadmap_Gis_Location_3d>;
};
/** input type for inserting object relation for remote table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Obj_Rel_Insert_Input = {
    data: Rooadmap_Gis_Location_3d_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Rooadmap_Gis_Location_3d_On_Conflict>;
};
/** on_conflict condition type for table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_On_Conflict = {
    constraint: Rooadmap_Gis_Location_3d_Constraint;
    update_columns?: Array<Rooadmap_Gis_Location_3d_Update_Column>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
/** Ordering options when selecting data from "rooadmap_gis.location_3d". */
export type Rooadmap_Gis_Location_3d_Order_By = {
    coordinate?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: rooadmap_gis.location_3d */
export type Rooadmap_Gis_Location_3d_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "rooadmap_gis.location_3d" */
export declare enum Rooadmap_Gis_Location_3d_Select_Column {
    /** column name */
    Coordinate = "coordinate",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "rooadmap_gis.location_3d" */
export type Rooadmap_Gis_Location_3d_Set_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Rooadmap_Gis_Location_3d_Stddev_Fields = {
    __typename?: 'rooadmap_gis_location_3d_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Rooadmap_Gis_Location_3d_Stddev_Pop_Fields = {
    __typename?: 'rooadmap_gis_location_3d_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Rooadmap_Gis_Location_3d_Stddev_Samp_Fields = {
    __typename?: 'rooadmap_gis_location_3d_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "rooadmap_gis_location_3d" */
export type Rooadmap_Gis_Location_3d_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Rooadmap_Gis_Location_3d_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Rooadmap_Gis_Location_3d_Stream_Cursor_Value_Input = {
    coordinate?: InputMaybe<Scalars['geography']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Rooadmap_Gis_Location_3d_Sum_Fields = {
    __typename?: 'rooadmap_gis_location_3d_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "rooadmap_gis.location_3d" */
export declare enum Rooadmap_Gis_Location_3d_Update_Column {
    /** column name */
    Coordinate = "coordinate",
    /** column name */
    Id = "id"
}
export type Rooadmap_Gis_Location_3d_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Rooadmap_Gis_Location_3d_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Rooadmap_Gis_Location_3d_Set_Input>;
    /** filter the rows which have to be updated */
    where: Rooadmap_Gis_Location_3d_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Rooadmap_Gis_Location_3d_Var_Pop_Fields = {
    __typename?: 'rooadmap_gis_location_3d_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Rooadmap_Gis_Location_3d_Var_Samp_Fields = {
    __typename?: 'rooadmap_gis_location_3d_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Rooadmap_Gis_Location_3d_Variance_Fields = {
    __typename?: 'rooadmap_gis_location_3d_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item = {
    __typename?: 'rooadmap_gis_map_item';
    /** An object relationship */
    cord2D?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** An object relationship */
    cord3D?: Maybe<Rooadmap_Gis_Cord_3d>;
    cord_2d_id?: Maybe<Scalars['Int']>;
    cord_3d_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    info?: Maybe<Map_Item>;
    /** An object relationship */
    location2D?: Maybe<Rooadmap_Gis_Location_2d>;
    /** An object relationship */
    location3D?: Maybe<Rooadmap_Gis_Location_3d>;
    location_2d_id?: Maybe<Scalars['Int']>;
    location_3d_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Aggregate = {
    __typename?: 'rooadmap_gis_map_item_aggregate';
    aggregate?: Maybe<Rooadmap_Gis_Map_Item_Aggregate_Fields>;
    nodes: Array<Rooadmap_Gis_Map_Item>;
};
/** aggregate fields of "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Aggregate_Fields = {
    __typename?: 'rooadmap_gis_map_item_aggregate_fields';
    avg?: Maybe<Rooadmap_Gis_Map_Item_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Rooadmap_Gis_Map_Item_Max_Fields>;
    min?: Maybe<Rooadmap_Gis_Map_Item_Min_Fields>;
    stddev?: Maybe<Rooadmap_Gis_Map_Item_Stddev_Fields>;
    stddev_pop?: Maybe<Rooadmap_Gis_Map_Item_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Rooadmap_Gis_Map_Item_Stddev_Samp_Fields>;
    sum?: Maybe<Rooadmap_Gis_Map_Item_Sum_Fields>;
    var_pop?: Maybe<Rooadmap_Gis_Map_Item_Var_Pop_Fields>;
    var_samp?: Maybe<Rooadmap_Gis_Map_Item_Var_Samp_Fields>;
    variance?: Maybe<Rooadmap_Gis_Map_Item_Variance_Fields>;
};
/** aggregate fields of "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Rooadmap_Gis_Map_Item_Avg_Fields = {
    __typename?: 'rooadmap_gis_map_item_avg_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "rooadmap_gis.map_item". All fields are combined with a logical 'AND'. */
export type Rooadmap_Gis_Map_Item_Bool_Exp = {
    _and?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Bool_Exp>>;
    _not?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
    _or?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Bool_Exp>>;
    cord2D?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
    cord3D?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
    cord_2d_id?: InputMaybe<Int_Comparison_Exp>;
    cord_3d_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    info?: InputMaybe<Map_Item_Bool_Exp>;
    location2D?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
    location3D?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
    location_2d_id?: InputMaybe<Int_Comparison_Exp>;
    location_3d_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "rooadmap_gis.map_item" */
export declare enum Rooadmap_Gis_Map_Item_Constraint {
    /** unique or primary key constraint on columns "id" */
    MapItemPkey = "map_item_pkey"
}
/** input type for incrementing numeric columns in table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Inc_Input = {
    cord_2d_id?: InputMaybe<Scalars['Int']>;
    cord_3d_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_2d_id?: InputMaybe<Scalars['Int']>;
    location_3d_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Insert_Input = {
    cord2D?: InputMaybe<Rooadmap_Gis_Cord_2d_Obj_Rel_Insert_Input>;
    cord3D?: InputMaybe<Rooadmap_Gis_Cord_3d_Obj_Rel_Insert_Input>;
    cord_2d_id?: InputMaybe<Scalars['Int']>;
    cord_3d_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    info?: InputMaybe<Map_Item_Obj_Rel_Insert_Input>;
    location2D?: InputMaybe<Rooadmap_Gis_Location_2d_Obj_Rel_Insert_Input>;
    location3D?: InputMaybe<Rooadmap_Gis_Location_3d_Obj_Rel_Insert_Input>;
    location_2d_id?: InputMaybe<Scalars['Int']>;
    location_3d_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Rooadmap_Gis_Map_Item_Max_Fields = {
    __typename?: 'rooadmap_gis_map_item_max_fields';
    cord_2d_id?: Maybe<Scalars['Int']>;
    cord_3d_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_2d_id?: Maybe<Scalars['Int']>;
    location_3d_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Rooadmap_Gis_Map_Item_Min_Fields = {
    __typename?: 'rooadmap_gis_map_item_min_fields';
    cord_2d_id?: Maybe<Scalars['Int']>;
    cord_3d_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_2d_id?: Maybe<Scalars['Int']>;
    location_3d_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Mutation_Response = {
    __typename?: 'rooadmap_gis_map_item_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Rooadmap_Gis_Map_Item>;
};
/** input type for inserting object relation for remote table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Obj_Rel_Insert_Input = {
    data: Rooadmap_Gis_Map_Item_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Rooadmap_Gis_Map_Item_On_Conflict>;
};
/** on_conflict condition type for table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_On_Conflict = {
    constraint: Rooadmap_Gis_Map_Item_Constraint;
    update_columns?: Array<Rooadmap_Gis_Map_Item_Update_Column>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
/** Ordering options when selecting data from "rooadmap_gis.map_item". */
export type Rooadmap_Gis_Map_Item_Order_By = {
    cord2D?: InputMaybe<Rooadmap_Gis_Cord_2d_Order_By>;
    cord3D?: InputMaybe<Rooadmap_Gis_Cord_3d_Order_By>;
    cord_2d_id?: InputMaybe<Order_By>;
    cord_3d_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    info?: InputMaybe<Map_Item_Order_By>;
    location2D?: InputMaybe<Rooadmap_Gis_Location_2d_Order_By>;
    location3D?: InputMaybe<Rooadmap_Gis_Location_3d_Order_By>;
    location_2d_id?: InputMaybe<Order_By>;
    location_3d_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: rooadmap_gis.map_item */
export type Rooadmap_Gis_Map_Item_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "rooadmap_gis.map_item" */
export declare enum Rooadmap_Gis_Map_Item_Select_Column {
    /** column name */
    Cord_2dId = "cord_2d_id",
    /** column name */
    Cord_3dId = "cord_3d_id",
    /** column name */
    Id = "id",
    /** column name */
    Location_2dId = "location_2d_id",
    /** column name */
    Location_3dId = "location_3d_id"
}
/** input type for updating data in table "rooadmap_gis.map_item" */
export type Rooadmap_Gis_Map_Item_Set_Input = {
    cord_2d_id?: InputMaybe<Scalars['Int']>;
    cord_3d_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_2d_id?: InputMaybe<Scalars['Int']>;
    location_3d_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Rooadmap_Gis_Map_Item_Stddev_Fields = {
    __typename?: 'rooadmap_gis_map_item_stddev_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Rooadmap_Gis_Map_Item_Stddev_Pop_Fields = {
    __typename?: 'rooadmap_gis_map_item_stddev_pop_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Rooadmap_Gis_Map_Item_Stddev_Samp_Fields = {
    __typename?: 'rooadmap_gis_map_item_stddev_samp_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "rooadmap_gis_map_item" */
export type Rooadmap_Gis_Map_Item_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Rooadmap_Gis_Map_Item_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Rooadmap_Gis_Map_Item_Stream_Cursor_Value_Input = {
    cord_2d_id?: InputMaybe<Scalars['Int']>;
    cord_3d_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_2d_id?: InputMaybe<Scalars['Int']>;
    location_3d_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Rooadmap_Gis_Map_Item_Sum_Fields = {
    __typename?: 'rooadmap_gis_map_item_sum_fields';
    cord_2d_id?: Maybe<Scalars['Int']>;
    cord_3d_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_2d_id?: Maybe<Scalars['Int']>;
    location_3d_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "rooadmap_gis.map_item" */
export declare enum Rooadmap_Gis_Map_Item_Update_Column {
    /** column name */
    Cord_2dId = "cord_2d_id",
    /** column name */
    Cord_3dId = "cord_3d_id",
    /** column name */
    Id = "id",
    /** column name */
    Location_2dId = "location_2d_id",
    /** column name */
    Location_3dId = "location_3d_id"
}
export type Rooadmap_Gis_Map_Item_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Rooadmap_Gis_Map_Item_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Rooadmap_Gis_Map_Item_Set_Input>;
    /** filter the rows which have to be updated */
    where: Rooadmap_Gis_Map_Item_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Rooadmap_Gis_Map_Item_Var_Pop_Fields = {
    __typename?: 'rooadmap_gis_map_item_var_pop_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Rooadmap_Gis_Map_Item_Var_Samp_Fields = {
    __typename?: 'rooadmap_gis_map_item_var_samp_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Rooadmap_Gis_Map_Item_Variance_Fields = {
    __typename?: 'rooadmap_gis_map_item_variance_fields';
    cord_2d_id?: Maybe<Scalars['Float']>;
    cord_3d_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_2d_id?: Maybe<Scalars['Float']>;
    location_3d_id?: Maybe<Scalars['Float']>;
};
export type Search_Area_Args = {
    search?: InputMaybe<Scalars['String']>;
};
export type Search_Locus_Args = {
    search?: InputMaybe<Scalars['String']>;
};
export type Search_Sponsorship_Args = {
    search?: InputMaybe<Scalars['String']>;
};
/** columns and relationships of "segment" */
export type Segment = {
    __typename?: 'segment';
    created_at?: Maybe<Scalars['timestamp']>;
    /** An object relationship */
    flag?: Maybe<Flag>;
    flag_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    index?: Maybe<Scalars['Int']>;
    /** An object relationship */
    interfaceType: Interface_Type;
    interface_type: Scalars['Int'];
    is_blueprint_segment?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    keyQuest?: Maybe<Quest>;
    key_quest_id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    /** An array relationship */
    mapItems: Array<Map_Item>;
    /** An aggregate relationship */
    mapItems_aggregate: Map_Item_Aggregate;
    /** An object relationship */
    morselType?: Maybe<Morsel_Type>;
    morsel_type_id?: Maybe<Scalars['Int']>;
    /** An array relationship */
    pieces: Array<Piece>;
    /** An aggregate relationship */
    pieces_aggregate: Piece_Aggregate;
    /** An object relationship */
    quest?: Maybe<Quest>;
    quest_hash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_on_interface_index?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "segment" */
export type SegmentMapItemsArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
/** columns and relationships of "segment" */
export type SegmentMapItems_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
/** columns and relationships of "segment" */
export type SegmentPiecesArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
/** columns and relationships of "segment" */
export type SegmentPieces_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
/** aggregated selection of "segment" */
export type Segment_Aggregate = {
    __typename?: 'segment_aggregate';
    aggregate?: Maybe<Segment_Aggregate_Fields>;
    nodes: Array<Segment>;
};
/** aggregate fields of "segment" */
export type Segment_Aggregate_Fields = {
    __typename?: 'segment_aggregate_fields';
    avg?: Maybe<Segment_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Segment_Max_Fields>;
    min?: Maybe<Segment_Min_Fields>;
    stddev?: Maybe<Segment_Stddev_Fields>;
    stddev_pop?: Maybe<Segment_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Segment_Stddev_Samp_Fields>;
    sum?: Maybe<Segment_Sum_Fields>;
    var_pop?: Maybe<Segment_Var_Pop_Fields>;
    var_samp?: Maybe<Segment_Var_Samp_Fields>;
    variance?: Maybe<Segment_Variance_Fields>;
};
/** aggregate fields of "segment" */
export type Segment_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Segment_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Segment_Avg_Fields = {
    __typename?: 'segment_avg_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "segment". All fields are combined with a logical 'AND'. */
export type Segment_Bool_Exp = {
    _and?: InputMaybe<Array<Segment_Bool_Exp>>;
    _not?: InputMaybe<Segment_Bool_Exp>;
    _or?: InputMaybe<Array<Segment_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    flag?: InputMaybe<Flag_Bool_Exp>;
    flag_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    index?: InputMaybe<Int_Comparison_Exp>;
    interfaceType?: InputMaybe<Interface_Type_Bool_Exp>;
    interface_type?: InputMaybe<Int_Comparison_Exp>;
    is_blueprint_segment?: InputMaybe<Boolean_Comparison_Exp>;
    keyQuest?: InputMaybe<Quest_Bool_Exp>;
    key_quest_id?: InputMaybe<Int_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    mapItems?: InputMaybe<Map_Item_Bool_Exp>;
    mapItems_aggregate?: InputMaybe<Map_Item_Aggregate_Bool_Exp>;
    morselType?: InputMaybe<Morsel_Type_Bool_Exp>;
    morsel_type_id?: InputMaybe<Int_Comparison_Exp>;
    pieces?: InputMaybe<Piece_Bool_Exp>;
    pieces_aggregate?: InputMaybe<Piece_Aggregate_Bool_Exp>;
    quest?: InputMaybe<Quest_Bool_Exp>;
    quest_hash?: InputMaybe<String_Comparison_Exp>;
    quest_id?: InputMaybe<Int_Comparison_Exp>;
    segment_on_interface_index?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "segment" */
export declare enum Segment_Constraint {
    /** unique or primary key constraint on columns "segment_on_interface_index", "key_quest_id" */
    SegmentOriginQuestSegmentOnInterfaceIndexKey = "segment_origin_quest_segment_on_interface_index_key",
    /** unique or primary key constraint on columns "id" */
    SegmentPkey = "segment_pkey"
}
/** entry for segment exhibition */
export type Segment_Exhibition = {
    __typename?: 'segment_exhibition';
    /** An object relationship */
    content: Content;
    content_id: Scalars['Int'];
    created_at: Scalars['timestamptz'];
    /** An object relationship */
    determinant: Exhibition_Determinant;
    determinant_id: Scalars['Int'];
    id: Scalars['Int'];
    is_valid: Scalars['Boolean'];
    /** An object relationship */
    segment: Segment;
    segment_id: Scalars['Int'];
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "segment_exhibition" */
export type Segment_Exhibition_Aggregate = {
    __typename?: 'segment_exhibition_aggregate';
    aggregate?: Maybe<Segment_Exhibition_Aggregate_Fields>;
    nodes: Array<Segment_Exhibition>;
};
/** aggregate fields of "segment_exhibition" */
export type Segment_Exhibition_Aggregate_Fields = {
    __typename?: 'segment_exhibition_aggregate_fields';
    avg?: Maybe<Segment_Exhibition_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Segment_Exhibition_Max_Fields>;
    min?: Maybe<Segment_Exhibition_Min_Fields>;
    stddev?: Maybe<Segment_Exhibition_Stddev_Fields>;
    stddev_pop?: Maybe<Segment_Exhibition_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Segment_Exhibition_Stddev_Samp_Fields>;
    sum?: Maybe<Segment_Exhibition_Sum_Fields>;
    var_pop?: Maybe<Segment_Exhibition_Var_Pop_Fields>;
    var_samp?: Maybe<Segment_Exhibition_Var_Samp_Fields>;
    variance?: Maybe<Segment_Exhibition_Variance_Fields>;
};
/** aggregate fields of "segment_exhibition" */
export type Segment_Exhibition_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Segment_Exhibition_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Segment_Exhibition_Avg_Fields = {
    __typename?: 'segment_exhibition_avg_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "segment_exhibition". All fields are combined with a logical 'AND'. */
export type Segment_Exhibition_Bool_Exp = {
    _and?: InputMaybe<Array<Segment_Exhibition_Bool_Exp>>;
    _not?: InputMaybe<Segment_Exhibition_Bool_Exp>;
    _or?: InputMaybe<Array<Segment_Exhibition_Bool_Exp>>;
    content?: InputMaybe<Content_Bool_Exp>;
    content_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    determinant?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
    determinant_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_valid?: InputMaybe<Boolean_Comparison_Exp>;
    segment?: InputMaybe<Segment_Bool_Exp>;
    segment_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "segment_exhibition" */
export declare enum Segment_Exhibition_Constraint {
    /** unique or primary key constraint on columns "id" */
    SegmentExhibitionPkey = "segment_exhibition_pkey"
}
/** input type for incrementing numeric columns in table "segment_exhibition" */
export type Segment_Exhibition_Inc_Input = {
    content_id?: InputMaybe<Scalars['Int']>;
    determinant_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    segment_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "segment_exhibition" */
export type Segment_Exhibition_Insert_Input = {
    content?: InputMaybe<Content_Obj_Rel_Insert_Input>;
    content_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    determinant?: InputMaybe<Exhibition_Determinant_Obj_Rel_Insert_Input>;
    determinant_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_valid?: InputMaybe<Scalars['Boolean']>;
    segment?: InputMaybe<Segment_Obj_Rel_Insert_Input>;
    segment_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Segment_Exhibition_Max_Fields = {
    __typename?: 'segment_exhibition_max_fields';
    content_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    determinant_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Segment_Exhibition_Min_Fields = {
    __typename?: 'segment_exhibition_min_fields';
    content_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    determinant_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "segment_exhibition" */
export type Segment_Exhibition_Mutation_Response = {
    __typename?: 'segment_exhibition_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Segment_Exhibition>;
};
/** on_conflict condition type for table "segment_exhibition" */
export type Segment_Exhibition_On_Conflict = {
    constraint: Segment_Exhibition_Constraint;
    update_columns?: Array<Segment_Exhibition_Update_Column>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
/** Ordering options when selecting data from "segment_exhibition". */
export type Segment_Exhibition_Order_By = {
    content?: InputMaybe<Content_Order_By>;
    content_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    determinant?: InputMaybe<Exhibition_Determinant_Order_By>;
    determinant_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_valid?: InputMaybe<Order_By>;
    segment?: InputMaybe<Segment_Order_By>;
    segment_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: segment_exhibition */
export type Segment_Exhibition_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "segment_exhibition" */
export declare enum Segment_Exhibition_Select_Column {
    /** column name */
    ContentId = "content_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DeterminantId = "determinant_id",
    /** column name */
    Id = "id",
    /** column name */
    IsValid = "is_valid",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "segment_exhibition" */
export type Segment_Exhibition_Set_Input = {
    content_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    determinant_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_valid?: InputMaybe<Scalars['Boolean']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Segment_Exhibition_Stddev_Fields = {
    __typename?: 'segment_exhibition_stddev_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Segment_Exhibition_Stddev_Pop_Fields = {
    __typename?: 'segment_exhibition_stddev_pop_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Segment_Exhibition_Stddev_Samp_Fields = {
    __typename?: 'segment_exhibition_stddev_samp_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "segment_exhibition" */
export type Segment_Exhibition_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Segment_Exhibition_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Segment_Exhibition_Stream_Cursor_Value_Input = {
    content_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    determinant_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    is_valid?: InputMaybe<Scalars['Boolean']>;
    segment_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Segment_Exhibition_Sum_Fields = {
    __typename?: 'segment_exhibition_sum_fields';
    content_id?: Maybe<Scalars['Int']>;
    determinant_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    segment_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "segment_exhibition" */
export declare enum Segment_Exhibition_Update_Column {
    /** column name */
    ContentId = "content_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DeterminantId = "determinant_id",
    /** column name */
    Id = "id",
    /** column name */
    IsValid = "is_valid",
    /** column name */
    SegmentId = "segment_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Segment_Exhibition_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Segment_Exhibition_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Segment_Exhibition_Set_Input>;
    /** filter the rows which have to be updated */
    where: Segment_Exhibition_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Segment_Exhibition_Var_Pop_Fields = {
    __typename?: 'segment_exhibition_var_pop_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Segment_Exhibition_Var_Samp_Fields = {
    __typename?: 'segment_exhibition_var_samp_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Segment_Exhibition_Variance_Fields = {
    __typename?: 'segment_exhibition_variance_fields';
    content_id?: Maybe<Scalars['Float']>;
    determinant_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    segment_id?: Maybe<Scalars['Float']>;
};
/** input type for incrementing numeric columns in table "segment" */
export type Segment_Inc_Input = {
    flag_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    index?: InputMaybe<Scalars['Int']>;
    interface_type?: InputMaybe<Scalars['Int']>;
    key_quest_id?: InputMaybe<Scalars['Int']>;
    morsel_type_id?: InputMaybe<Scalars['Int']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_on_interface_index?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "segment" */
export type Segment_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    flag?: InputMaybe<Flag_Obj_Rel_Insert_Input>;
    flag_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    index?: InputMaybe<Scalars['Int']>;
    interfaceType?: InputMaybe<Interface_Type_Obj_Rel_Insert_Input>;
    interface_type?: InputMaybe<Scalars['Int']>;
    is_blueprint_segment?: InputMaybe<Scalars['Boolean']>;
    keyQuest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    key_quest_id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    mapItems?: InputMaybe<Map_Item_Arr_Rel_Insert_Input>;
    morselType?: InputMaybe<Morsel_Type_Obj_Rel_Insert_Input>;
    morsel_type_id?: InputMaybe<Scalars['Int']>;
    pieces?: InputMaybe<Piece_Arr_Rel_Insert_Input>;
    quest?: InputMaybe<Quest_Obj_Rel_Insert_Input>;
    quest_hash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_on_interface_index?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Segment_Max_Fields = {
    __typename?: 'segment_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    flag_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    index?: Maybe<Scalars['Int']>;
    interface_type?: Maybe<Scalars['Int']>;
    key_quest_id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    morsel_type_id?: Maybe<Scalars['Int']>;
    quest_hash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_on_interface_index?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Segment_Min_Fields = {
    __typename?: 'segment_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    flag_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    index?: Maybe<Scalars['Int']>;
    interface_type?: Maybe<Scalars['Int']>;
    key_quest_id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    morsel_type_id?: Maybe<Scalars['Int']>;
    quest_hash?: Maybe<Scalars['String']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_on_interface_index?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "segment" */
export type Segment_Mutation_Response = {
    __typename?: 'segment_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Segment>;
};
/** input type for inserting object relation for remote table "segment" */
export type Segment_Obj_Rel_Insert_Input = {
    data: Segment_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Segment_On_Conflict>;
};
/** on_conflict condition type for table "segment" */
export type Segment_On_Conflict = {
    constraint: Segment_Constraint;
    update_columns?: Array<Segment_Update_Column>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
/** Ordering options when selecting data from "segment". */
export type Segment_Order_By = {
    created_at?: InputMaybe<Order_By>;
    flag?: InputMaybe<Flag_Order_By>;
    flag_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    index?: InputMaybe<Order_By>;
    interfaceType?: InputMaybe<Interface_Type_Order_By>;
    interface_type?: InputMaybe<Order_By>;
    is_blueprint_segment?: InputMaybe<Order_By>;
    keyQuest?: InputMaybe<Quest_Order_By>;
    key_quest_id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    mapItems_aggregate?: InputMaybe<Map_Item_Aggregate_Order_By>;
    morselType?: InputMaybe<Morsel_Type_Order_By>;
    morsel_type_id?: InputMaybe<Order_By>;
    pieces_aggregate?: InputMaybe<Piece_Aggregate_Order_By>;
    quest?: InputMaybe<Quest_Order_By>;
    quest_hash?: InputMaybe<Order_By>;
    quest_id?: InputMaybe<Order_By>;
    segment_on_interface_index?: InputMaybe<Order_By>;
};
/** primary key columns input for table: segment */
export type Segment_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "segment" */
export declare enum Segment_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    FlagId = "flag_id",
    /** column name */
    Id = "id",
    /** column name */
    Index = "index",
    /** column name */
    InterfaceType = "interface_type",
    /** column name */
    IsBlueprintSegment = "is_blueprint_segment",
    /** column name */
    KeyQuestId = "key_quest_id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    MorselTypeId = "morsel_type_id",
    /** column name */
    QuestHash = "quest_hash",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    SegmentOnInterfaceIndex = "segment_on_interface_index"
}
/** input type for updating data in table "segment" */
export type Segment_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    flag_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    index?: InputMaybe<Scalars['Int']>;
    interface_type?: InputMaybe<Scalars['Int']>;
    is_blueprint_segment?: InputMaybe<Scalars['Boolean']>;
    key_quest_id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    morsel_type_id?: InputMaybe<Scalars['Int']>;
    quest_hash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_on_interface_index?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Segment_Stddev_Fields = {
    __typename?: 'segment_stddev_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Segment_Stddev_Pop_Fields = {
    __typename?: 'segment_stddev_pop_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Segment_Stddev_Samp_Fields = {
    __typename?: 'segment_stddev_samp_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "segment" */
export type Segment_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Segment_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Segment_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    flag_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    index?: InputMaybe<Scalars['Int']>;
    interface_type?: InputMaybe<Scalars['Int']>;
    is_blueprint_segment?: InputMaybe<Scalars['Boolean']>;
    key_quest_id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    morsel_type_id?: InputMaybe<Scalars['Int']>;
    quest_hash?: InputMaybe<Scalars['String']>;
    quest_id?: InputMaybe<Scalars['Int']>;
    segment_on_interface_index?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Segment_Sum_Fields = {
    __typename?: 'segment_sum_fields';
    flag_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    index?: Maybe<Scalars['Int']>;
    interface_type?: Maybe<Scalars['Int']>;
    key_quest_id?: Maybe<Scalars['Int']>;
    morsel_type_id?: Maybe<Scalars['Int']>;
    quest_id?: Maybe<Scalars['Int']>;
    segment_on_interface_index?: Maybe<Scalars['Int']>;
};
/** update columns of table "segment" */
export declare enum Segment_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    FlagId = "flag_id",
    /** column name */
    Id = "id",
    /** column name */
    Index = "index",
    /** column name */
    InterfaceType = "interface_type",
    /** column name */
    IsBlueprintSegment = "is_blueprint_segment",
    /** column name */
    KeyQuestId = "key_quest_id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    MorselTypeId = "morsel_type_id",
    /** column name */
    QuestHash = "quest_hash",
    /** column name */
    QuestId = "quest_id",
    /** column name */
    SegmentOnInterfaceIndex = "segment_on_interface_index"
}
export type Segment_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Segment_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Segment_Set_Input>;
    /** filter the rows which have to be updated */
    where: Segment_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Segment_Var_Pop_Fields = {
    __typename?: 'segment_var_pop_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Segment_Var_Samp_Fields = {
    __typename?: 'segment_var_samp_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Segment_Variance_Fields = {
    __typename?: 'segment_variance_fields';
    flag_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    index?: Maybe<Scalars['Float']>;
    interface_type?: Maybe<Scalars['Float']>;
    key_quest_id?: Maybe<Scalars['Float']>;
    morsel_type_id?: Maybe<Scalars['Float']>;
    quest_id?: Maybe<Scalars['Float']>;
    segment_on_interface_index?: Maybe<Scalars['Float']>;
};
/** information about selling and it used only latest */
export type Sell = {
    __typename?: 'sell';
    active: Scalars['Boolean'];
    created_at?: Maybe<Scalars['timestamptz']>;
    fulfilment: Scalars['Boolean'];
    hash: Scalars['uuid'];
    id: Scalars['Int'];
    /** An object relationship */
    management: Sell_Management;
    management_id: Scalars['Int'];
    /** An object relationship */
    product: Product;
    product_id: Scalars['Int'];
    /** An array relationship */
    purchases: Array<Purchase>;
    /** An aggregate relationship */
    purchases_aggregate: Purchase_Aggregate;
    /** An object relationship */
    seller: Treasure_User;
    seller_id: Scalars['Int'];
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** information about selling and it used only latest */
export type SellPurchasesArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
/** information about selling and it used only latest */
export type SellPurchases_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
/** aggregated selection of "sell" */
export type Sell_Aggregate = {
    __typename?: 'sell_aggregate';
    aggregate?: Maybe<Sell_Aggregate_Fields>;
    nodes: Array<Sell>;
};
export type Sell_Aggregate_Bool_Exp = {
    bool_and?: InputMaybe<Sell_Aggregate_Bool_Exp_Bool_And>;
    bool_or?: InputMaybe<Sell_Aggregate_Bool_Exp_Bool_Or>;
    count?: InputMaybe<Sell_Aggregate_Bool_Exp_Count>;
};
export type Sell_Aggregate_Bool_Exp_Bool_And = {
    arguments: Sell_Select_Column_Sell_Aggregate_Bool_Exp_Bool_And_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sell_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Sell_Aggregate_Bool_Exp_Bool_Or = {
    arguments: Sell_Select_Column_Sell_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sell_Bool_Exp>;
    predicate: Boolean_Comparison_Exp;
};
export type Sell_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Sell_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sell_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "sell" */
export type Sell_Aggregate_Fields = {
    __typename?: 'sell_aggregate_fields';
    avg?: Maybe<Sell_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sell_Max_Fields>;
    min?: Maybe<Sell_Min_Fields>;
    stddev?: Maybe<Sell_Stddev_Fields>;
    stddev_pop?: Maybe<Sell_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sell_Stddev_Samp_Fields>;
    sum?: Maybe<Sell_Sum_Fields>;
    var_pop?: Maybe<Sell_Var_Pop_Fields>;
    var_samp?: Maybe<Sell_Var_Samp_Fields>;
    variance?: Maybe<Sell_Variance_Fields>;
};
/** aggregate fields of "sell" */
export type Sell_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sell_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sell" */
export type Sell_Aggregate_Order_By = {
    avg?: InputMaybe<Sell_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Sell_Max_Order_By>;
    min?: InputMaybe<Sell_Min_Order_By>;
    stddev?: InputMaybe<Sell_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Sell_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Sell_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Sell_Sum_Order_By>;
    var_pop?: InputMaybe<Sell_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Sell_Var_Samp_Order_By>;
    variance?: InputMaybe<Sell_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "sell" */
export type Sell_Arr_Rel_Insert_Input = {
    data: Array<Sell_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Sell_On_Conflict>;
};
/** aggregate avg on columns */
export type Sell_Avg_Fields = {
    __typename?: 'sell_avg_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "sell" */
export type Sell_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "sell". All fields are combined with a logical 'AND'. */
export type Sell_Bool_Exp = {
    _and?: InputMaybe<Array<Sell_Bool_Exp>>;
    _not?: InputMaybe<Sell_Bool_Exp>;
    _or?: InputMaybe<Array<Sell_Bool_Exp>>;
    active?: InputMaybe<Boolean_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    fulfilment?: InputMaybe<Boolean_Comparison_Exp>;
    hash?: InputMaybe<Uuid_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    management?: InputMaybe<Sell_Management_Bool_Exp>;
    management_id?: InputMaybe<Int_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
    purchases?: InputMaybe<Purchase_Bool_Exp>;
    purchases_aggregate?: InputMaybe<Purchase_Aggregate_Bool_Exp>;
    seller?: InputMaybe<Treasure_User_Bool_Exp>;
    seller_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "sell" */
export declare enum Sell_Constraint {
    /** unique or primary key constraint on columns "id" */
    SellPkey = "sell_pkey"
}
/** input type for incrementing numeric columns in table "sell" */
export type Sell_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    management_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    seller_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sell" */
export type Sell_Insert_Input = {
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    fulfilment?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    management?: InputMaybe<Sell_Management_Obj_Rel_Insert_Input>;
    management_id?: InputMaybe<Scalars['Int']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
    purchases?: InputMaybe<Purchase_Arr_Rel_Insert_Input>;
    seller?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    seller_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** columns and relationships of "sell_management" */
export type Sell_Management = {
    __typename?: 'sell_management';
    always?: Maybe<Scalars['Boolean']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    end_date?: Maybe<Scalars['date']>;
    end_time?: Maybe<Scalars['time']>;
    hash: Scalars['uuid'];
    id: Scalars['Int'];
    money_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    price_money?: Maybe<Scalars['Int']>;
    price_rp?: Maybe<Scalars['Int']>;
    purchasable_by_money?: Maybe<Scalars['Boolean']>;
    purchasable_by_rp?: Maybe<Scalars['Boolean']>;
    refundable_by_money?: Maybe<Scalars['Boolean']>;
    refundable_by_rp?: Maybe<Scalars['Boolean']>;
    refundable_end_date?: Maybe<Scalars['date']>;
    refundable_end_time?: Maybe<Scalars['time']>;
    refundable_start_date?: Maybe<Scalars['date']>;
    refundable_start_time?: Maybe<Scalars['time']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    start_date?: Maybe<Scalars['date']>;
    start_time?: Maybe<Scalars['time']>;
};
/** aggregated selection of "sell_management" */
export type Sell_Management_Aggregate = {
    __typename?: 'sell_management_aggregate';
    aggregate?: Maybe<Sell_Management_Aggregate_Fields>;
    nodes: Array<Sell_Management>;
};
/** aggregate fields of "sell_management" */
export type Sell_Management_Aggregate_Fields = {
    __typename?: 'sell_management_aggregate_fields';
    avg?: Maybe<Sell_Management_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sell_Management_Max_Fields>;
    min?: Maybe<Sell_Management_Min_Fields>;
    stddev?: Maybe<Sell_Management_Stddev_Fields>;
    stddev_pop?: Maybe<Sell_Management_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sell_Management_Stddev_Samp_Fields>;
    sum?: Maybe<Sell_Management_Sum_Fields>;
    var_pop?: Maybe<Sell_Management_Var_Pop_Fields>;
    var_samp?: Maybe<Sell_Management_Var_Samp_Fields>;
    variance?: Maybe<Sell_Management_Variance_Fields>;
};
/** aggregate fields of "sell_management" */
export type Sell_Management_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sell_Management_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sell_Management_Avg_Fields = {
    __typename?: 'sell_management_avg_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sell_management". All fields are combined with a logical 'AND'. */
export type Sell_Management_Bool_Exp = {
    _and?: InputMaybe<Array<Sell_Management_Bool_Exp>>;
    _not?: InputMaybe<Sell_Management_Bool_Exp>;
    _or?: InputMaybe<Array<Sell_Management_Bool_Exp>>;
    always?: InputMaybe<Boolean_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    end_date?: InputMaybe<Date_Comparison_Exp>;
    end_time?: InputMaybe<Time_Comparison_Exp>;
    hash?: InputMaybe<Uuid_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    money_refundable_days_after_purchase?: InputMaybe<Int_Comparison_Exp>;
    price_money?: InputMaybe<Int_Comparison_Exp>;
    price_rp?: InputMaybe<Int_Comparison_Exp>;
    purchasable_by_money?: InputMaybe<Boolean_Comparison_Exp>;
    purchasable_by_rp?: InputMaybe<Boolean_Comparison_Exp>;
    refundable_by_money?: InputMaybe<Boolean_Comparison_Exp>;
    refundable_by_rp?: InputMaybe<Boolean_Comparison_Exp>;
    refundable_end_date?: InputMaybe<Date_Comparison_Exp>;
    refundable_end_time?: InputMaybe<Time_Comparison_Exp>;
    refundable_start_date?: InputMaybe<Date_Comparison_Exp>;
    refundable_start_time?: InputMaybe<Time_Comparison_Exp>;
    rp_refundable_days_after_purchase?: InputMaybe<Int_Comparison_Exp>;
    start_date?: InputMaybe<Date_Comparison_Exp>;
    start_time?: InputMaybe<Time_Comparison_Exp>;
};
/** unique or primary key constraints on table "sell_management" */
export declare enum Sell_Management_Constraint {
    /** unique or primary key constraint on columns "id" */
    SellManagementPkey = "sell_management_pkey"
}
/** input type for incrementing numeric columns in table "sell_management" */
export type Sell_Management_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    price_money?: InputMaybe<Scalars['Int']>;
    price_rp?: InputMaybe<Scalars['Int']>;
    rp_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sell_management" */
export type Sell_Management_Insert_Input = {
    always?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    end_time?: InputMaybe<Scalars['time']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    price_money?: InputMaybe<Scalars['Int']>;
    price_rp?: InputMaybe<Scalars['Int']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_end_date?: InputMaybe<Scalars['date']>;
    refundable_end_time?: InputMaybe<Scalars['time']>;
    refundable_start_date?: InputMaybe<Scalars['date']>;
    refundable_start_time?: InputMaybe<Scalars['time']>;
    rp_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    start_time?: InputMaybe<Scalars['time']>;
};
/** aggregate max on columns */
export type Sell_Management_Max_Fields = {
    __typename?: 'sell_management_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    end_date?: Maybe<Scalars['date']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    price_money?: Maybe<Scalars['Int']>;
    price_rp?: Maybe<Scalars['Int']>;
    refundable_end_date?: Maybe<Scalars['date']>;
    refundable_start_date?: Maybe<Scalars['date']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    start_date?: Maybe<Scalars['date']>;
};
/** aggregate min on columns */
export type Sell_Management_Min_Fields = {
    __typename?: 'sell_management_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    end_date?: Maybe<Scalars['date']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    price_money?: Maybe<Scalars['Int']>;
    price_rp?: Maybe<Scalars['Int']>;
    refundable_end_date?: Maybe<Scalars['date']>;
    refundable_start_date?: Maybe<Scalars['date']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    start_date?: Maybe<Scalars['date']>;
};
/** response of any mutation on the table "sell_management" */
export type Sell_Management_Mutation_Response = {
    __typename?: 'sell_management_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sell_Management>;
};
/** input type for inserting object relation for remote table "sell_management" */
export type Sell_Management_Obj_Rel_Insert_Input = {
    data: Sell_Management_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sell_Management_On_Conflict>;
};
/** on_conflict condition type for table "sell_management" */
export type Sell_Management_On_Conflict = {
    constraint: Sell_Management_Constraint;
    update_columns?: Array<Sell_Management_Update_Column>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
/** Ordering options when selecting data from "sell_management". */
export type Sell_Management_Order_By = {
    always?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    end_date?: InputMaybe<Order_By>;
    end_time?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    money_refundable_days_after_purchase?: InputMaybe<Order_By>;
    price_money?: InputMaybe<Order_By>;
    price_rp?: InputMaybe<Order_By>;
    purchasable_by_money?: InputMaybe<Order_By>;
    purchasable_by_rp?: InputMaybe<Order_By>;
    refundable_by_money?: InputMaybe<Order_By>;
    refundable_by_rp?: InputMaybe<Order_By>;
    refundable_end_date?: InputMaybe<Order_By>;
    refundable_end_time?: InputMaybe<Order_By>;
    refundable_start_date?: InputMaybe<Order_By>;
    refundable_start_time?: InputMaybe<Order_By>;
    rp_refundable_days_after_purchase?: InputMaybe<Order_By>;
    start_date?: InputMaybe<Order_By>;
    start_time?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sell_management */
export type Sell_Management_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sell_management" */
export declare enum Sell_Management_Select_Column {
    /** column name */
    Always = "always",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EndDate = "end_date",
    /** column name */
    EndTime = "end_time",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    MoneyRefundableDaysAfterPurchase = "money_refundable_days_after_purchase",
    /** column name */
    PriceMoney = "price_money",
    /** column name */
    PriceRp = "price_rp",
    /** column name */
    PurchasableByMoney = "purchasable_by_money",
    /** column name */
    PurchasableByRp = "purchasable_by_rp",
    /** column name */
    RefundableByMoney = "refundable_by_money",
    /** column name */
    RefundableByRp = "refundable_by_rp",
    /** column name */
    RefundableEndDate = "refundable_end_date",
    /** column name */
    RefundableEndTime = "refundable_end_time",
    /** column name */
    RefundableStartDate = "refundable_start_date",
    /** column name */
    RefundableStartTime = "refundable_start_time",
    /** column name */
    RpRefundableDaysAfterPurchase = "rp_refundable_days_after_purchase",
    /** column name */
    StartDate = "start_date",
    /** column name */
    StartTime = "start_time"
}
/** input type for updating data in table "sell_management" */
export type Sell_Management_Set_Input = {
    always?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    end_time?: InputMaybe<Scalars['time']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    price_money?: InputMaybe<Scalars['Int']>;
    price_rp?: InputMaybe<Scalars['Int']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_end_date?: InputMaybe<Scalars['date']>;
    refundable_end_time?: InputMaybe<Scalars['time']>;
    refundable_start_date?: InputMaybe<Scalars['date']>;
    refundable_start_time?: InputMaybe<Scalars['time']>;
    rp_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    start_time?: InputMaybe<Scalars['time']>;
};
/** aggregate stddev on columns */
export type Sell_Management_Stddev_Fields = {
    __typename?: 'sell_management_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sell_Management_Stddev_Pop_Fields = {
    __typename?: 'sell_management_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sell_Management_Stddev_Samp_Fields = {
    __typename?: 'sell_management_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sell_management" */
export type Sell_Management_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sell_Management_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sell_Management_Stream_Cursor_Value_Input = {
    always?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    end_date?: InputMaybe<Scalars['date']>;
    end_time?: InputMaybe<Scalars['time']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    price_money?: InputMaybe<Scalars['Int']>;
    price_rp?: InputMaybe<Scalars['Int']>;
    purchasable_by_money?: InputMaybe<Scalars['Boolean']>;
    purchasable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_by_money?: InputMaybe<Scalars['Boolean']>;
    refundable_by_rp?: InputMaybe<Scalars['Boolean']>;
    refundable_end_date?: InputMaybe<Scalars['date']>;
    refundable_end_time?: InputMaybe<Scalars['time']>;
    refundable_start_date?: InputMaybe<Scalars['date']>;
    refundable_start_time?: InputMaybe<Scalars['time']>;
    rp_refundable_days_after_purchase?: InputMaybe<Scalars['Int']>;
    start_date?: InputMaybe<Scalars['date']>;
    start_time?: InputMaybe<Scalars['time']>;
};
/** aggregate sum on columns */
export type Sell_Management_Sum_Fields = {
    __typename?: 'sell_management_sum_fields';
    id?: Maybe<Scalars['Int']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
    price_money?: Maybe<Scalars['Int']>;
    price_rp?: Maybe<Scalars['Int']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Int']>;
};
/** update columns of table "sell_management" */
export declare enum Sell_Management_Update_Column {
    /** column name */
    Always = "always",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    EndDate = "end_date",
    /** column name */
    EndTime = "end_time",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    MoneyRefundableDaysAfterPurchase = "money_refundable_days_after_purchase",
    /** column name */
    PriceMoney = "price_money",
    /** column name */
    PriceRp = "price_rp",
    /** column name */
    PurchasableByMoney = "purchasable_by_money",
    /** column name */
    PurchasableByRp = "purchasable_by_rp",
    /** column name */
    RefundableByMoney = "refundable_by_money",
    /** column name */
    RefundableByRp = "refundable_by_rp",
    /** column name */
    RefundableEndDate = "refundable_end_date",
    /** column name */
    RefundableEndTime = "refundable_end_time",
    /** column name */
    RefundableStartDate = "refundable_start_date",
    /** column name */
    RefundableStartTime = "refundable_start_time",
    /** column name */
    RpRefundableDaysAfterPurchase = "rp_refundable_days_after_purchase",
    /** column name */
    StartDate = "start_date",
    /** column name */
    StartTime = "start_time"
}
export type Sell_Management_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sell_Management_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sell_Management_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sell_Management_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sell_Management_Var_Pop_Fields = {
    __typename?: 'sell_management_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sell_Management_Var_Samp_Fields = {
    __typename?: 'sell_management_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sell_Management_Variance_Fields = {
    __typename?: 'sell_management_variance_fields';
    id?: Maybe<Scalars['Float']>;
    money_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
    price_money?: Maybe<Scalars['Float']>;
    price_rp?: Maybe<Scalars['Float']>;
    rp_refundable_days_after_purchase?: Maybe<Scalars['Float']>;
};
/** aggregate max on columns */
export type Sell_Max_Fields = {
    __typename?: 'sell_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    management_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    seller_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by max() on columns of table "sell" */
export type Sell_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Sell_Min_Fields = {
    __typename?: 'sell_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    hash?: Maybe<Scalars['uuid']>;
    id?: Maybe<Scalars['Int']>;
    management_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    seller_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by min() on columns of table "sell" */
export type Sell_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "sell" */
export type Sell_Mutation_Response = {
    __typename?: 'sell_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sell>;
};
/** input type for inserting object relation for remote table "sell" */
export type Sell_Obj_Rel_Insert_Input = {
    data: Sell_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sell_On_Conflict>;
};
/** on_conflict condition type for table "sell" */
export type Sell_On_Conflict = {
    constraint: Sell_Constraint;
    update_columns?: Array<Sell_Update_Column>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
/** Ordering options when selecting data from "sell". */
export type Sell_Order_By = {
    active?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    fulfilment?: InputMaybe<Order_By>;
    hash?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    management?: InputMaybe<Sell_Management_Order_By>;
    management_id?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
    purchases_aggregate?: InputMaybe<Purchase_Aggregate_Order_By>;
    seller?: InputMaybe<Treasure_User_Order_By>;
    seller_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sell */
export type Sell_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sell" */
export declare enum Sell_Select_Column {
    /** column name */
    Active = "active",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Fulfilment = "fulfilment",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    ManagementId = "management_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    SellerId = "seller_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** select "sell_aggregate_bool_exp_bool_and_arguments_columns" columns of table "sell" */
export declare enum Sell_Select_Column_Sell_Aggregate_Bool_Exp_Bool_And_Arguments_Columns {
    /** column name */
    Active = "active",
    /** column name */
    Fulfilment = "fulfilment"
}
/** select "sell_aggregate_bool_exp_bool_or_arguments_columns" columns of table "sell" */
export declare enum Sell_Select_Column_Sell_Aggregate_Bool_Exp_Bool_Or_Arguments_Columns {
    /** column name */
    Active = "active",
    /** column name */
    Fulfilment = "fulfilment"
}
/** input type for updating data in table "sell" */
export type Sell_Set_Input = {
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    fulfilment?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    management_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    seller_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Sell_Stddev_Fields = {
    __typename?: 'sell_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "sell" */
export type Sell_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Sell_Stddev_Pop_Fields = {
    __typename?: 'sell_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "sell" */
export type Sell_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Sell_Stddev_Samp_Fields = {
    __typename?: 'sell_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "sell" */
export type Sell_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "sell" */
export type Sell_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sell_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sell_Stream_Cursor_Value_Input = {
    active?: InputMaybe<Scalars['Boolean']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    fulfilment?: InputMaybe<Scalars['Boolean']>;
    hash?: InputMaybe<Scalars['uuid']>;
    id?: InputMaybe<Scalars['Int']>;
    management_id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    seller_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Sell_Sum_Fields = {
    __typename?: 'sell_sum_fields';
    id?: Maybe<Scalars['Int']>;
    management_id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    seller_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "sell" */
export type Sell_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** update columns of table "sell" */
export declare enum Sell_Update_Column {
    /** column name */
    Active = "active",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Fulfilment = "fulfilment",
    /** column name */
    Hash = "hash",
    /** column name */
    Id = "id",
    /** column name */
    ManagementId = "management_id",
    /** column name */
    ProductId = "product_id",
    /** column name */
    SellerId = "seller_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Sell_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sell_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sell_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sell_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sell_Var_Pop_Fields = {
    __typename?: 'sell_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "sell" */
export type Sell_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Sell_Var_Samp_Fields = {
    __typename?: 'sell_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "sell" */
export type Sell_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Sell_Variance_Fields = {
    __typename?: 'sell_variance_fields';
    id?: Maybe<Scalars['Float']>;
    management_id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    seller_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "sell" */
export type Sell_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    management_id?: InputMaybe<Order_By>;
    product_id?: InputMaybe<Order_By>;
    seller_id?: InputMaybe<Order_By>;
};
/** columns and relationships of "sponsorship" */
export type Sponsorship = {
    __typename?: 'sponsorship';
    /** An object relationship */
    condition?: Maybe<Sponsorship_Condition>;
    created_at?: Maybe<Scalars['timestamptz']>;
    description: Scalars['String'];
    id: Scalars['Int'];
    /** An array relationship */
    images: Array<Sponsorship_Images>;
    /** An aggregate relationship */
    images_aggregate: Sponsorship_Images_Aggregate;
    /** An array relationship */
    imitates: Array<Sponsorship_Imitate>;
    /** An aggregate relationship */
    imitates_aggregate: Sponsorship_Imitate_Aggregate;
    is_base?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    product?: Maybe<Product>;
    product_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    settlementState?: Maybe<Sponsorship_Settlement_State_Type>;
    /** An object relationship */
    sponsor: Treasure_User;
    sponsor_id: Scalars['Int'];
    /** An object relationship */
    sponsorshipType?: Maybe<Sponsorship_Type>;
    sponsorship_condition_id?: Maybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_type_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    state?: Maybe<Sponsorship_State>;
    state_id?: Maybe<Scalars['Int']>;
    title: Scalars['String'];
    tsvec_description?: Maybe<Scalars['tsvector']>;
    tsvec_title?: Maybe<Scalars['tsvector']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** columns and relationships of "sponsorship" */
export type SponsorshipImagesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
/** columns and relationships of "sponsorship" */
export type SponsorshipImages_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
/** columns and relationships of "sponsorship" */
export type SponsorshipImitatesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
/** columns and relationships of "sponsorship" */
export type SponsorshipImitates_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Sponsorship_Aggregate = {
    __typename?: 'sponsorship_aggregate';
    aggregate?: Maybe<Sponsorship_Aggregate_Fields>;
    nodes: Array<Sponsorship>;
};
/** aggregate fields of "sponsorship" */
export type Sponsorship_Aggregate_Fields = {
    __typename?: 'sponsorship_aggregate_fields';
    avg?: Maybe<Sponsorship_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Max_Fields>;
    min?: Maybe<Sponsorship_Min_Fields>;
    stddev?: Maybe<Sponsorship_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Variance_Fields>;
};
/** aggregate fields of "sponsorship" */
export type Sponsorship_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Avg_Fields = {
    __typename?: 'sponsorship_avg_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship". All fields are combined with a logical 'AND'. */
export type Sponsorship_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Bool_Exp>>;
    condition?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    images?: InputMaybe<Sponsorship_Images_Bool_Exp>;
    images_aggregate?: InputMaybe<Sponsorship_Images_Aggregate_Bool_Exp>;
    imitates?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
    imitates_aggregate?: InputMaybe<Sponsorship_Imitate_Aggregate_Bool_Exp>;
    is_base?: InputMaybe<Boolean_Comparison_Exp>;
    product?: InputMaybe<Product_Bool_Exp>;
    product_id?: InputMaybe<Int_Comparison_Exp>;
    settlementState?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
    sponsor?: InputMaybe<Treasure_User_Bool_Exp>;
    sponsor_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorshipType?: InputMaybe<Sponsorship_Type_Bool_Exp>;
    sponsorship_condition_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship_settlement_state_type_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship_type_id?: InputMaybe<Int_Comparison_Exp>;
    state?: InputMaybe<Sponsorship_State_Bool_Exp>;
    state_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    tsvec_description?: InputMaybe<Tsvector_Comparison_Exp>;
    tsvec_title?: InputMaybe<Tsvector_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** columns and relationships of "sponsorship_condition" */
export type Sponsorship_Condition = {
    __typename?: 'sponsorship_condition';
    amount?: Maybe<Scalars['String']>;
    expiration_date?: Maybe<Scalars['date']>;
    expiration_time?: Maybe<Scalars['time']>;
    first_date_of_usage?: Maybe<Scalars['date']>;
    first_time_of_usage?: Maybe<Scalars['time']>;
    id: Scalars['Int'];
    is_free?: Maybe<Scalars['Boolean']>;
    last_date_of_usage?: Maybe<Scalars['date']>;
    last_time_of_usage?: Maybe<Scalars['time']>;
    need_to_be_accepted?: Maybe<Scalars['Boolean']>;
    need_to_be_certified?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "sponsorship_condition" */
export type Sponsorship_Condition_Aggregate = {
    __typename?: 'sponsorship_condition_aggregate';
    aggregate?: Maybe<Sponsorship_Condition_Aggregate_Fields>;
    nodes: Array<Sponsorship_Condition>;
};
/** aggregate fields of "sponsorship_condition" */
export type Sponsorship_Condition_Aggregate_Fields = {
    __typename?: 'sponsorship_condition_aggregate_fields';
    avg?: Maybe<Sponsorship_Condition_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Condition_Max_Fields>;
    min?: Maybe<Sponsorship_Condition_Min_Fields>;
    stddev?: Maybe<Sponsorship_Condition_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Condition_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Condition_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Condition_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Condition_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Condition_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Condition_Variance_Fields>;
};
/** aggregate fields of "sponsorship_condition" */
export type Sponsorship_Condition_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Condition_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Condition_Avg_Fields = {
    __typename?: 'sponsorship_condition_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_condition". All fields are combined with a logical 'AND'. */
export type Sponsorship_Condition_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Condition_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Condition_Bool_Exp>>;
    amount?: InputMaybe<String_Comparison_Exp>;
    expiration_date?: InputMaybe<Date_Comparison_Exp>;
    expiration_time?: InputMaybe<Time_Comparison_Exp>;
    first_date_of_usage?: InputMaybe<Date_Comparison_Exp>;
    first_time_of_usage?: InputMaybe<Time_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_free?: InputMaybe<Boolean_Comparison_Exp>;
    last_date_of_usage?: InputMaybe<Date_Comparison_Exp>;
    last_time_of_usage?: InputMaybe<Time_Comparison_Exp>;
    need_to_be_accepted?: InputMaybe<Boolean_Comparison_Exp>;
    need_to_be_certified?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_condition" */
export declare enum Sponsorship_Condition_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipConditionPkey = "sponsorship_condition_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_condition" */
export type Sponsorship_Condition_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_condition" */
export type Sponsorship_Condition_Insert_Input = {
    amount?: InputMaybe<Scalars['String']>;
    expiration_date?: InputMaybe<Scalars['date']>;
    expiration_time?: InputMaybe<Scalars['time']>;
    first_date_of_usage?: InputMaybe<Scalars['date']>;
    first_time_of_usage?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    last_date_of_usage?: InputMaybe<Scalars['date']>;
    last_time_of_usage?: InputMaybe<Scalars['time']>;
    need_to_be_accepted?: InputMaybe<Scalars['Boolean']>;
    need_to_be_certified?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Sponsorship_Condition_Max_Fields = {
    __typename?: 'sponsorship_condition_max_fields';
    amount?: Maybe<Scalars['String']>;
    expiration_date?: Maybe<Scalars['date']>;
    first_date_of_usage?: Maybe<Scalars['date']>;
    id?: Maybe<Scalars['Int']>;
    last_date_of_usage?: Maybe<Scalars['date']>;
};
/** aggregate min on columns */
export type Sponsorship_Condition_Min_Fields = {
    __typename?: 'sponsorship_condition_min_fields';
    amount?: Maybe<Scalars['String']>;
    expiration_date?: Maybe<Scalars['date']>;
    first_date_of_usage?: Maybe<Scalars['date']>;
    id?: Maybe<Scalars['Int']>;
    last_date_of_usage?: Maybe<Scalars['date']>;
};
/** response of any mutation on the table "sponsorship_condition" */
export type Sponsorship_Condition_Mutation_Response = {
    __typename?: 'sponsorship_condition_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Condition>;
};
/** input type for inserting object relation for remote table "sponsorship_condition" */
export type Sponsorship_Condition_Obj_Rel_Insert_Input = {
    data: Sponsorship_Condition_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Condition_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_condition" */
export type Sponsorship_Condition_On_Conflict = {
    constraint: Sponsorship_Condition_Constraint;
    update_columns?: Array<Sponsorship_Condition_Update_Column>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_condition". */
export type Sponsorship_Condition_Order_By = {
    amount?: InputMaybe<Order_By>;
    expiration_date?: InputMaybe<Order_By>;
    expiration_time?: InputMaybe<Order_By>;
    first_date_of_usage?: InputMaybe<Order_By>;
    first_time_of_usage?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_free?: InputMaybe<Order_By>;
    last_date_of_usage?: InputMaybe<Order_By>;
    last_time_of_usage?: InputMaybe<Order_By>;
    need_to_be_accepted?: InputMaybe<Order_By>;
    need_to_be_certified?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_condition */
export type Sponsorship_Condition_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_condition" */
export declare enum Sponsorship_Condition_Select_Column {
    /** column name */
    Amount = "amount",
    /** column name */
    ExpirationDate = "expiration_date",
    /** column name */
    ExpirationTime = "expiration_time",
    /** column name */
    FirstDateOfUsage = "first_date_of_usage",
    /** column name */
    FirstTimeOfUsage = "first_time_of_usage",
    /** column name */
    Id = "id",
    /** column name */
    IsFree = "is_free",
    /** column name */
    LastDateOfUsage = "last_date_of_usage",
    /** column name */
    LastTimeOfUsage = "last_time_of_usage",
    /** column name */
    NeedToBeAccepted = "need_to_be_accepted",
    /** column name */
    NeedToBeCertified = "need_to_be_certified"
}
/** input type for updating data in table "sponsorship_condition" */
export type Sponsorship_Condition_Set_Input = {
    amount?: InputMaybe<Scalars['String']>;
    expiration_date?: InputMaybe<Scalars['date']>;
    expiration_time?: InputMaybe<Scalars['time']>;
    first_date_of_usage?: InputMaybe<Scalars['date']>;
    first_time_of_usage?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    last_date_of_usage?: InputMaybe<Scalars['date']>;
    last_time_of_usage?: InputMaybe<Scalars['time']>;
    need_to_be_accepted?: InputMaybe<Scalars['Boolean']>;
    need_to_be_certified?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Condition_Stddev_Fields = {
    __typename?: 'sponsorship_condition_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Condition_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_condition_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Condition_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_condition_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_condition" */
export type Sponsorship_Condition_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Condition_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Condition_Stream_Cursor_Value_Input = {
    amount?: InputMaybe<Scalars['String']>;
    expiration_date?: InputMaybe<Scalars['date']>;
    expiration_time?: InputMaybe<Scalars['time']>;
    first_date_of_usage?: InputMaybe<Scalars['date']>;
    first_time_of_usage?: InputMaybe<Scalars['time']>;
    id?: InputMaybe<Scalars['Int']>;
    is_free?: InputMaybe<Scalars['Boolean']>;
    last_date_of_usage?: InputMaybe<Scalars['date']>;
    last_time_of_usage?: InputMaybe<Scalars['time']>;
    need_to_be_accepted?: InputMaybe<Scalars['Boolean']>;
    need_to_be_certified?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Sponsorship_Condition_Sum_Fields = {
    __typename?: 'sponsorship_condition_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_condition" */
export declare enum Sponsorship_Condition_Update_Column {
    /** column name */
    Amount = "amount",
    /** column name */
    ExpirationDate = "expiration_date",
    /** column name */
    ExpirationTime = "expiration_time",
    /** column name */
    FirstDateOfUsage = "first_date_of_usage",
    /** column name */
    FirstTimeOfUsage = "first_time_of_usage",
    /** column name */
    Id = "id",
    /** column name */
    IsFree = "is_free",
    /** column name */
    LastDateOfUsage = "last_date_of_usage",
    /** column name */
    LastTimeOfUsage = "last_time_of_usage",
    /** column name */
    NeedToBeAccepted = "need_to_be_accepted",
    /** column name */
    NeedToBeCertified = "need_to_be_certified"
}
export type Sponsorship_Condition_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Condition_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Condition_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Condition_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Condition_Var_Pop_Fields = {
    __typename?: 'sponsorship_condition_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Condition_Var_Samp_Fields = {
    __typename?: 'sponsorship_condition_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Condition_Variance_Fields = {
    __typename?: 'sponsorship_condition_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** unique or primary key constraints on table "sponsorship" */
export declare enum Sponsorship_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipPkey = "sponsorship_pkey"
}
/** columns and relationships of "sponsorship_game_state" */
export type Sponsorship_Game_State = {
    __typename?: 'sponsorship_game_state';
    created_at?: Maybe<Scalars['timestamptz']>;
    /** An object relationship */
    game?: Maybe<Game>;
    game_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    sponsorship?: Maybe<Sponsorship_Imitate>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    state?: Maybe<Sponsorship_Game_State_Type>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregated selection of "sponsorship_game_state" */
export type Sponsorship_Game_State_Aggregate = {
    __typename?: 'sponsorship_game_state_aggregate';
    aggregate?: Maybe<Sponsorship_Game_State_Aggregate_Fields>;
    nodes: Array<Sponsorship_Game_State>;
};
export type Sponsorship_Game_State_Aggregate_Bool_Exp = {
    count?: InputMaybe<Sponsorship_Game_State_Aggregate_Bool_Exp_Count>;
};
export type Sponsorship_Game_State_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "sponsorship_game_state" */
export type Sponsorship_Game_State_Aggregate_Fields = {
    __typename?: 'sponsorship_game_state_aggregate_fields';
    avg?: Maybe<Sponsorship_Game_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Game_State_Max_Fields>;
    min?: Maybe<Sponsorship_Game_State_Min_Fields>;
    stddev?: Maybe<Sponsorship_Game_State_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Game_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Game_State_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Game_State_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Game_State_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Game_State_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Game_State_Variance_Fields>;
};
/** aggregate fields of "sponsorship_game_state" */
export type Sponsorship_Game_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Aggregate_Order_By = {
    avg?: InputMaybe<Sponsorship_Game_State_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Sponsorship_Game_State_Max_Order_By>;
    min?: InputMaybe<Sponsorship_Game_State_Min_Order_By>;
    stddev?: InputMaybe<Sponsorship_Game_State_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Sponsorship_Game_State_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Sponsorship_Game_State_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Sponsorship_Game_State_Sum_Order_By>;
    var_pop?: InputMaybe<Sponsorship_Game_State_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Sponsorship_Game_State_Var_Samp_Order_By>;
    variance?: InputMaybe<Sponsorship_Game_State_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "sponsorship_game_state" */
export type Sponsorship_Game_State_Arr_Rel_Insert_Input = {
    data: Array<Sponsorship_Game_State_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Game_State_On_Conflict>;
};
/** aggregate avg on columns */
export type Sponsorship_Game_State_Avg_Fields = {
    __typename?: 'sponsorship_game_state_avg_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Avg_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "sponsorship_game_state". All fields are combined with a logical 'AND'. */
export type Sponsorship_Game_State_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Game_State_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Game_State_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    game?: InputMaybe<Game_Bool_Exp>;
    game_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
    sponsorship_game_state_type_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship_id?: InputMaybe<Int_Comparison_Exp>;
    state?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_game_state" */
export declare enum Sponsorship_Game_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipGamePkey = "sponsorship_game_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_game_state" */
export type Sponsorship_Game_State_Inc_Input = {
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_game_state" */
export type Sponsorship_Game_State_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game?: InputMaybe<Game_Obj_Rel_Insert_Input>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorship?: InputMaybe<Sponsorship_Imitate_Obj_Rel_Insert_Input>;
    sponsorship_game_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
    state?: InputMaybe<Sponsorship_Game_State_Type_Obj_Rel_Insert_Input>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Sponsorship_Game_State_Max_Fields = {
    __typename?: 'sponsorship_game_state_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by max() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Sponsorship_Game_State_Min_Fields = {
    __typename?: 'sponsorship_game_state_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** order by min() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "sponsorship_game_state" */
export type Sponsorship_Game_State_Mutation_Response = {
    __typename?: 'sponsorship_game_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Game_State>;
};
/** on_conflict condition type for table "sponsorship_game_state" */
export type Sponsorship_Game_State_On_Conflict = {
    constraint: Sponsorship_Game_State_Constraint;
    update_columns?: Array<Sponsorship_Game_State_Update_Column>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_game_state". */
export type Sponsorship_Game_State_Order_By = {
    created_at?: InputMaybe<Order_By>;
    game?: InputMaybe<Game_Order_By>;
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship?: InputMaybe<Sponsorship_Imitate_Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
    state?: InputMaybe<Sponsorship_Game_State_Type_Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_game_state */
export type Sponsorship_Game_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_game_state" */
export declare enum Sponsorship_Game_State_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    SponsorshipGameStateTypeId = "sponsorship_game_state_type_id",
    /** column name */
    SponsorshipId = "sponsorship_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "sponsorship_game_state" */
export type Sponsorship_Game_State_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Game_State_Stddev_Fields = {
    __typename?: 'sponsorship_game_state_stddev_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Stddev_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Game_State_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_game_state_stddev_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Stddev_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Game_State_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_game_state_stddev_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Stddev_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "sponsorship_game_state" */
export type Sponsorship_Game_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Game_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Game_State_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    game_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Sponsorship_Game_State_Sum_Fields = {
    __typename?: 'sponsorship_game_state_sum_fields';
    game_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Sum_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** columns and relationships of "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type = {
    __typename?: 'sponsorship_game_state_type';
    description: Scalars['String'];
    id: Scalars['Int'];
    is_confirmed: Scalars['Boolean'];
    is_finish?: Maybe<Scalars['Boolean']>;
    is_hold: Scalars['Boolean'];
    is_idle: Scalars['Boolean'];
    is_recovering: Scalars['Boolean'];
    title: Scalars['String'];
};
/** aggregated selection of "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Aggregate = {
    __typename?: 'sponsorship_game_state_type_aggregate';
    aggregate?: Maybe<Sponsorship_Game_State_Type_Aggregate_Fields>;
    nodes: Array<Sponsorship_Game_State_Type>;
};
/** aggregate fields of "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Aggregate_Fields = {
    __typename?: 'sponsorship_game_state_type_aggregate_fields';
    avg?: Maybe<Sponsorship_Game_State_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Game_State_Type_Max_Fields>;
    min?: Maybe<Sponsorship_Game_State_Type_Min_Fields>;
    stddev?: Maybe<Sponsorship_Game_State_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Game_State_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Game_State_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Game_State_Type_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Game_State_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Game_State_Type_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Game_State_Type_Variance_Fields>;
};
/** aggregate fields of "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Game_State_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Game_State_Type_Avg_Fields = {
    __typename?: 'sponsorship_game_state_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_game_state_type". All fields are combined with a logical 'AND'. */
export type Sponsorship_Game_State_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Game_State_Type_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Game_State_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_confirmed?: InputMaybe<Boolean_Comparison_Exp>;
    is_finish?: InputMaybe<Boolean_Comparison_Exp>;
    is_hold?: InputMaybe<Boolean_Comparison_Exp>;
    is_idle?: InputMaybe<Boolean_Comparison_Exp>;
    is_recovering?: InputMaybe<Boolean_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_game_state_type" */
export declare enum Sponsorship_Game_State_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipStatePkey = "sponsorship_state_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_finish?: InputMaybe<Scalars['Boolean']>;
    is_hold?: InputMaybe<Scalars['Boolean']>;
    is_idle?: InputMaybe<Scalars['Boolean']>;
    is_recovering?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_Game_State_Type_Max_Fields = {
    __typename?: 'sponsorship_game_state_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Sponsorship_Game_State_Type_Min_Fields = {
    __typename?: 'sponsorship_game_state_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Mutation_Response = {
    __typename?: 'sponsorship_game_state_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Game_State_Type>;
};
/** input type for inserting object relation for remote table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Obj_Rel_Insert_Input = {
    data: Sponsorship_Game_State_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Game_State_Type_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_On_Conflict = {
    constraint: Sponsorship_Game_State_Type_Constraint;
    update_columns?: Array<Sponsorship_Game_State_Type_Update_Column>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_game_state_type". */
export type Sponsorship_Game_State_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_confirmed?: InputMaybe<Order_By>;
    is_finish?: InputMaybe<Order_By>;
    is_hold?: InputMaybe<Order_By>;
    is_idle?: InputMaybe<Order_By>;
    is_recovering?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_game_state_type */
export type Sponsorship_Game_State_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_game_state_type" */
export declare enum Sponsorship_Game_State_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsFinish = "is_finish",
    /** column name */
    IsHold = "is_hold",
    /** column name */
    IsIdle = "is_idle",
    /** column name */
    IsRecovering = "is_recovering",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_finish?: InputMaybe<Scalars['Boolean']>;
    is_hold?: InputMaybe<Scalars['Boolean']>;
    is_idle?: InputMaybe<Scalars['Boolean']>;
    is_recovering?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Game_State_Type_Stddev_Fields = {
    __typename?: 'sponsorship_game_state_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Game_State_Type_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_game_state_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Game_State_Type_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_game_state_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_game_state_type" */
export type Sponsorship_Game_State_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Game_State_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Game_State_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_confirmed?: InputMaybe<Scalars['Boolean']>;
    is_finish?: InputMaybe<Scalars['Boolean']>;
    is_hold?: InputMaybe<Scalars['Boolean']>;
    is_idle?: InputMaybe<Scalars['Boolean']>;
    is_recovering?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_Game_State_Type_Sum_Fields = {
    __typename?: 'sponsorship_game_state_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_game_state_type" */
export declare enum Sponsorship_Game_State_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsConfirmed = "is_confirmed",
    /** column name */
    IsFinish = "is_finish",
    /** column name */
    IsHold = "is_hold",
    /** column name */
    IsIdle = "is_idle",
    /** column name */
    IsRecovering = "is_recovering",
    /** column name */
    Title = "title"
}
export type Sponsorship_Game_State_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Game_State_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Game_State_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Game_State_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Game_State_Type_Var_Pop_Fields = {
    __typename?: 'sponsorship_game_state_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Game_State_Type_Var_Samp_Fields = {
    __typename?: 'sponsorship_game_state_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Game_State_Type_Variance_Fields = {
    __typename?: 'sponsorship_game_state_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "sponsorship_game_state" */
export declare enum Sponsorship_Game_State_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    GameId = "game_id",
    /** column name */
    Id = "id",
    /** column name */
    SponsorshipGameStateTypeId = "sponsorship_game_state_type_id",
    /** column name */
    SponsorshipId = "sponsorship_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Sponsorship_Game_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Game_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Game_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Game_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Game_State_Var_Pop_Fields = {
    __typename?: 'sponsorship_game_state_var_pop_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Var_Pop_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Game_State_Var_Samp_Fields = {
    __typename?: 'sponsorship_game_state_var_samp_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Var_Samp_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Sponsorship_Game_State_Variance_Fields = {
    __typename?: 'sponsorship_game_state_variance_fields';
    game_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    sponsorship_game_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "sponsorship_game_state" */
export type Sponsorship_Game_State_Variance_Order_By = {
    game_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship_game_state_type_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** columns and relationships of "sponsorship_images" */
export type Sponsorship_Images = {
    __typename?: 'sponsorship_images';
    alt: Scalars['String'];
    id: Scalars['Int'];
    /** An object relationship */
    sponsorship?: Maybe<Sponsorship>;
    sponsorshipId?: Maybe<Scalars['Int']>;
    src?: Maybe<Scalars['String']>;
};
/** aggregated selection of "sponsorship_images" */
export type Sponsorship_Images_Aggregate = {
    __typename?: 'sponsorship_images_aggregate';
    aggregate?: Maybe<Sponsorship_Images_Aggregate_Fields>;
    nodes: Array<Sponsorship_Images>;
};
export type Sponsorship_Images_Aggregate_Bool_Exp = {
    count?: InputMaybe<Sponsorship_Images_Aggregate_Bool_Exp_Count>;
};
export type Sponsorship_Images_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sponsorship_Images_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "sponsorship_images" */
export type Sponsorship_Images_Aggregate_Fields = {
    __typename?: 'sponsorship_images_aggregate_fields';
    avg?: Maybe<Sponsorship_Images_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Images_Max_Fields>;
    min?: Maybe<Sponsorship_Images_Min_Fields>;
    stddev?: Maybe<Sponsorship_Images_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Images_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Images_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Images_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Images_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Images_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Images_Variance_Fields>;
};
/** aggregate fields of "sponsorship_images" */
export type Sponsorship_Images_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sponsorship_images" */
export type Sponsorship_Images_Aggregate_Order_By = {
    avg?: InputMaybe<Sponsorship_Images_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Sponsorship_Images_Max_Order_By>;
    min?: InputMaybe<Sponsorship_Images_Min_Order_By>;
    stddev?: InputMaybe<Sponsorship_Images_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Sponsorship_Images_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Sponsorship_Images_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Sponsorship_Images_Sum_Order_By>;
    var_pop?: InputMaybe<Sponsorship_Images_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Sponsorship_Images_Var_Samp_Order_By>;
    variance?: InputMaybe<Sponsorship_Images_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "sponsorship_images" */
export type Sponsorship_Images_Arr_Rel_Insert_Input = {
    data: Array<Sponsorship_Images_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Images_On_Conflict>;
};
/** aggregate avg on columns */
export type Sponsorship_Images_Avg_Fields = {
    __typename?: 'sponsorship_images_avg_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "sponsorship_images". All fields are combined with a logical 'AND'. */
export type Sponsorship_Images_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Images_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Images_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Images_Bool_Exp>>;
    alt?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship?: InputMaybe<Sponsorship_Bool_Exp>;
    sponsorshipId?: InputMaybe<Int_Comparison_Exp>;
    src?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_images" */
export declare enum Sponsorship_Images_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipImagesPkey = "sponsorship_images_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_images" */
export type Sponsorship_Images_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    sponsorshipId?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_images" */
export type Sponsorship_Images_Insert_Input = {
    alt?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorship?: InputMaybe<Sponsorship_Obj_Rel_Insert_Input>;
    sponsorshipId?: InputMaybe<Scalars['Int']>;
    src?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_Images_Max_Fields = {
    __typename?: 'sponsorship_images_max_fields';
    alt?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    sponsorshipId?: Maybe<Scalars['Int']>;
    src?: Maybe<Scalars['String']>;
};
/** order by max() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Max_Order_By = {
    alt?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
    src?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Sponsorship_Images_Min_Fields = {
    __typename?: 'sponsorship_images_min_fields';
    alt?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    sponsorshipId?: Maybe<Scalars['Int']>;
    src?: Maybe<Scalars['String']>;
};
/** order by min() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Min_Order_By = {
    alt?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
    src?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "sponsorship_images" */
export type Sponsorship_Images_Mutation_Response = {
    __typename?: 'sponsorship_images_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Images>;
};
/** on_conflict condition type for table "sponsorship_images" */
export type Sponsorship_Images_On_Conflict = {
    constraint: Sponsorship_Images_Constraint;
    update_columns?: Array<Sponsorship_Images_Update_Column>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_images". */
export type Sponsorship_Images_Order_By = {
    alt?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorship?: InputMaybe<Sponsorship_Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
    src?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_images */
export type Sponsorship_Images_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_images" */
export declare enum Sponsorship_Images_Select_Column {
    /** column name */
    Alt = "alt",
    /** column name */
    Id = "id",
    /** column name */
    SponsorshipId = "sponsorshipId",
    /** column name */
    Src = "src"
}
/** input type for updating data in table "sponsorship_images" */
export type Sponsorship_Images_Set_Input = {
    alt?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorshipId?: InputMaybe<Scalars['Int']>;
    src?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Images_Stddev_Fields = {
    __typename?: 'sponsorship_images_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Images_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_images_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Images_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_images_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "sponsorship_images" */
export type Sponsorship_Images_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Images_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Images_Stream_Cursor_Value_Input = {
    alt?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorshipId?: InputMaybe<Scalars['Int']>;
    src?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_Images_Sum_Fields = {
    __typename?: 'sponsorship_images_sum_fields';
    id?: Maybe<Scalars['Int']>;
    sponsorshipId?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** update columns of table "sponsorship_images" */
export declare enum Sponsorship_Images_Update_Column {
    /** column name */
    Alt = "alt",
    /** column name */
    Id = "id",
    /** column name */
    SponsorshipId = "sponsorshipId",
    /** column name */
    Src = "src"
}
export type Sponsorship_Images_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Images_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Images_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Images_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Images_Var_Pop_Fields = {
    __typename?: 'sponsorship_images_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Images_Var_Samp_Fields = {
    __typename?: 'sponsorship_images_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Sponsorship_Images_Variance_Fields = {
    __typename?: 'sponsorship_images_variance_fields';
    id?: Maybe<Scalars['Float']>;
    sponsorshipId?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "sponsorship_images" */
export type Sponsorship_Images_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    sponsorshipId?: InputMaybe<Order_By>;
};
/** columns and relationships of "sponsorship_imitate" */
export type Sponsorship_Imitate = {
    __typename?: 'sponsorship_imitate';
    /** An object relationship */
    baseSponsorship: Sponsorship;
    base_sponsorship_id: Scalars['Int'];
    id: Scalars['Int'];
    /** An array relationship */
    sponsorshipGameStates: Array<Sponsorship_Game_State>;
    /** An aggregate relationship */
    sponsorshipGameStates_aggregate: Sponsorship_Game_State_Aggregate;
};
/** columns and relationships of "sponsorship_imitate" */
export type Sponsorship_ImitateSponsorshipGameStatesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
/** columns and relationships of "sponsorship_imitate" */
export type Sponsorship_ImitateSponsorshipGameStates_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
/** aggregated selection of "sponsorship_imitate" */
export type Sponsorship_Imitate_Aggregate = {
    __typename?: 'sponsorship_imitate_aggregate';
    aggregate?: Maybe<Sponsorship_Imitate_Aggregate_Fields>;
    nodes: Array<Sponsorship_Imitate>;
};
export type Sponsorship_Imitate_Aggregate_Bool_Exp = {
    count?: InputMaybe<Sponsorship_Imitate_Aggregate_Bool_Exp_Count>;
};
export type Sponsorship_Imitate_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "sponsorship_imitate" */
export type Sponsorship_Imitate_Aggregate_Fields = {
    __typename?: 'sponsorship_imitate_aggregate_fields';
    avg?: Maybe<Sponsorship_Imitate_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Imitate_Max_Fields>;
    min?: Maybe<Sponsorship_Imitate_Min_Fields>;
    stddev?: Maybe<Sponsorship_Imitate_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Imitate_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Imitate_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Imitate_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Imitate_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Imitate_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Imitate_Variance_Fields>;
};
/** aggregate fields of "sponsorship_imitate" */
export type Sponsorship_Imitate_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Aggregate_Order_By = {
    avg?: InputMaybe<Sponsorship_Imitate_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Sponsorship_Imitate_Max_Order_By>;
    min?: InputMaybe<Sponsorship_Imitate_Min_Order_By>;
    stddev?: InputMaybe<Sponsorship_Imitate_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Sponsorship_Imitate_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Sponsorship_Imitate_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Sponsorship_Imitate_Sum_Order_By>;
    var_pop?: InputMaybe<Sponsorship_Imitate_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Sponsorship_Imitate_Var_Samp_Order_By>;
    variance?: InputMaybe<Sponsorship_Imitate_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "sponsorship_imitate" */
export type Sponsorship_Imitate_Arr_Rel_Insert_Input = {
    data: Array<Sponsorship_Imitate_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Imitate_On_Conflict>;
};
/** aggregate avg on columns */
export type Sponsorship_Imitate_Avg_Fields = {
    __typename?: 'sponsorship_imitate_avg_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Avg_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "sponsorship_imitate". All fields are combined with a logical 'AND'. */
export type Sponsorship_Imitate_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Imitate_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Imitate_Bool_Exp>>;
    baseSponsorship?: InputMaybe<Sponsorship_Bool_Exp>;
    base_sponsorship_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    sponsorshipGameStates?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
    sponsorshipGameStates_aggregate?: InputMaybe<Sponsorship_Game_State_Aggregate_Bool_Exp>;
};
/** unique or primary key constraints on table "sponsorship_imitate" */
export declare enum Sponsorship_Imitate_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipImitatePkey = "sponsorship_imitate_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_imitate" */
export type Sponsorship_Imitate_Inc_Input = {
    base_sponsorship_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_imitate" */
export type Sponsorship_Imitate_Insert_Input = {
    baseSponsorship?: InputMaybe<Sponsorship_Obj_Rel_Insert_Input>;
    base_sponsorship_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    sponsorshipGameStates?: InputMaybe<Sponsorship_Game_State_Arr_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Sponsorship_Imitate_Max_Fields = {
    __typename?: 'sponsorship_imitate_max_fields';
    base_sponsorship_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Max_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Sponsorship_Imitate_Min_Fields = {
    __typename?: 'sponsorship_imitate_min_fields';
    base_sponsorship_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Min_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "sponsorship_imitate" */
export type Sponsorship_Imitate_Mutation_Response = {
    __typename?: 'sponsorship_imitate_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Imitate>;
};
/** input type for inserting object relation for remote table "sponsorship_imitate" */
export type Sponsorship_Imitate_Obj_Rel_Insert_Input = {
    data: Sponsorship_Imitate_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Imitate_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_imitate" */
export type Sponsorship_Imitate_On_Conflict = {
    constraint: Sponsorship_Imitate_Constraint;
    update_columns?: Array<Sponsorship_Imitate_Update_Column>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_imitate". */
export type Sponsorship_Imitate_Order_By = {
    baseSponsorship?: InputMaybe<Sponsorship_Order_By>;
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    sponsorshipGameStates_aggregate?: InputMaybe<Sponsorship_Game_State_Aggregate_Order_By>;
};
/** primary key columns input for table: sponsorship_imitate */
export type Sponsorship_Imitate_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_imitate" */
export declare enum Sponsorship_Imitate_Select_Column {
    /** column name */
    BaseSponsorshipId = "base_sponsorship_id",
    /** column name */
    Id = "id"
}
/** input type for updating data in table "sponsorship_imitate" */
export type Sponsorship_Imitate_Set_Input = {
    base_sponsorship_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Imitate_Stddev_Fields = {
    __typename?: 'sponsorship_imitate_stddev_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Stddev_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Imitate_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_imitate_stddev_pop_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Stddev_Pop_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Imitate_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_imitate_stddev_samp_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Stddev_Samp_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "sponsorship_imitate" */
export type Sponsorship_Imitate_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Imitate_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Imitate_Stream_Cursor_Value_Input = {
    base_sponsorship_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Sponsorship_Imitate_Sum_Fields = {
    __typename?: 'sponsorship_imitate_sum_fields';
    base_sponsorship_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Sum_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** update columns of table "sponsorship_imitate" */
export declare enum Sponsorship_Imitate_Update_Column {
    /** column name */
    BaseSponsorshipId = "base_sponsorship_id",
    /** column name */
    Id = "id"
}
export type Sponsorship_Imitate_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Imitate_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Imitate_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Imitate_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Imitate_Var_Pop_Fields = {
    __typename?: 'sponsorship_imitate_var_pop_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Var_Pop_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Imitate_Var_Samp_Fields = {
    __typename?: 'sponsorship_imitate_var_samp_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Var_Samp_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Sponsorship_Imitate_Variance_Fields = {
    __typename?: 'sponsorship_imitate_variance_fields';
    base_sponsorship_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "sponsorship_imitate" */
export type Sponsorship_Imitate_Variance_Order_By = {
    base_sponsorship_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
};
/** input type for incrementing numeric columns in table "sponsorship" */
export type Sponsorship_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    product_id?: InputMaybe<Scalars['Int']>;
    sponsor_id?: InputMaybe<Scalars['Int']>;
    sponsorship_condition_id?: InputMaybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_type_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship" */
export type Sponsorship_Insert_Input = {
    condition?: InputMaybe<Sponsorship_Condition_Obj_Rel_Insert_Input>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    images?: InputMaybe<Sponsorship_Images_Arr_Rel_Insert_Input>;
    imitates?: InputMaybe<Sponsorship_Imitate_Arr_Rel_Insert_Input>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    product?: InputMaybe<Product_Obj_Rel_Insert_Input>;
    product_id?: InputMaybe<Scalars['Int']>;
    settlementState?: InputMaybe<Sponsorship_Settlement_State_Type_Obj_Rel_Insert_Input>;
    sponsor?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    sponsor_id?: InputMaybe<Scalars['Int']>;
    sponsorshipType?: InputMaybe<Sponsorship_Type_Obj_Rel_Insert_Input>;
    sponsorship_condition_id?: InputMaybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_type_id?: InputMaybe<Scalars['Int']>;
    state?: InputMaybe<Sponsorship_State_Obj_Rel_Insert_Input>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** columns and relationships of "sponsorship_locus" */
export type Sponsorship_Locus = {
    __typename?: 'sponsorship_locus';
    created_at: Scalars['timestamptz'];
    id: Scalars['Int'];
    locus_id: Scalars['Int'];
    sponsorship_id: Scalars['Int'];
};
/** aggregated selection of "sponsorship_locus" */
export type Sponsorship_Locus_Aggregate = {
    __typename?: 'sponsorship_locus_aggregate';
    aggregate?: Maybe<Sponsorship_Locus_Aggregate_Fields>;
    nodes: Array<Sponsorship_Locus>;
};
export type Sponsorship_Locus_Aggregate_Bool_Exp = {
    count?: InputMaybe<Sponsorship_Locus_Aggregate_Bool_Exp_Count>;
};
export type Sponsorship_Locus_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
    predicate: Int_Comparison_Exp;
};
/** aggregate fields of "sponsorship_locus" */
export type Sponsorship_Locus_Aggregate_Fields = {
    __typename?: 'sponsorship_locus_aggregate_fields';
    avg?: Maybe<Sponsorship_Locus_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Locus_Max_Fields>;
    min?: Maybe<Sponsorship_Locus_Min_Fields>;
    stddev?: Maybe<Sponsorship_Locus_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Locus_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Locus_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Locus_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Locus_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Locus_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Locus_Variance_Fields>;
};
/** aggregate fields of "sponsorship_locus" */
export type Sponsorship_Locus_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sponsorship_locus" */
export type Sponsorship_Locus_Aggregate_Order_By = {
    avg?: InputMaybe<Sponsorship_Locus_Avg_Order_By>;
    count?: InputMaybe<Order_By>;
    max?: InputMaybe<Sponsorship_Locus_Max_Order_By>;
    min?: InputMaybe<Sponsorship_Locus_Min_Order_By>;
    stddev?: InputMaybe<Sponsorship_Locus_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Sponsorship_Locus_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Sponsorship_Locus_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Sponsorship_Locus_Sum_Order_By>;
    var_pop?: InputMaybe<Sponsorship_Locus_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Sponsorship_Locus_Var_Samp_Order_By>;
    variance?: InputMaybe<Sponsorship_Locus_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "sponsorship_locus" */
export type Sponsorship_Locus_Arr_Rel_Insert_Input = {
    data: Array<Sponsorship_Locus_Insert_Input>;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Locus_On_Conflict>;
};
/** aggregate avg on columns */
export type Sponsorship_Locus_Avg_Fields = {
    __typename?: 'sponsorship_locus_avg_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by avg() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Avg_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** Boolean expression to filter rows from the table "sponsorship_locus". All fields are combined with a logical 'AND'. */
export type Sponsorship_Locus_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Locus_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Locus_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    locus_id?: InputMaybe<Int_Comparison_Exp>;
    sponsorship_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_locus" */
export declare enum Sponsorship_Locus_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipLocusPkey = "sponsorship_locus_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_locus" */
export type Sponsorship_Locus_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_locus" */
export type Sponsorship_Locus_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Sponsorship_Locus_Max_Fields = {
    __typename?: 'sponsorship_locus_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
};
/** order by max() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Max_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate min on columns */
export type Sponsorship_Locus_Min_Fields = {
    __typename?: 'sponsorship_locus_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
};
/** order by min() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Min_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** response of any mutation on the table "sponsorship_locus" */
export type Sponsorship_Locus_Mutation_Response = {
    __typename?: 'sponsorship_locus_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Locus>;
};
/** on_conflict condition type for table "sponsorship_locus" */
export type Sponsorship_Locus_On_Conflict = {
    constraint: Sponsorship_Locus_Constraint;
    update_columns?: Array<Sponsorship_Locus_Update_Column>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_locus". */
export type Sponsorship_Locus_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_locus */
export type Sponsorship_Locus_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_locus" */
export declare enum Sponsorship_Locus_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    SponsorshipId = "sponsorship_id"
}
/** input type for updating data in table "sponsorship_locus" */
export type Sponsorship_Locus_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Locus_Stddev_Fields = {
    __typename?: 'sponsorship_locus_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Stddev_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Locus_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_locus_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_pop() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Stddev_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Locus_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_locus_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by stddev_samp() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Stddev_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** Streaming cursor of the table "sponsorship_locus" */
export type Sponsorship_Locus_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Locus_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Locus_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    locus_id?: InputMaybe<Scalars['Int']>;
    sponsorship_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Sponsorship_Locus_Sum_Fields = {
    __typename?: 'sponsorship_locus_sum_fields';
    id?: Maybe<Scalars['Int']>;
    locus_id?: Maybe<Scalars['Int']>;
    sponsorship_id?: Maybe<Scalars['Int']>;
};
/** order by sum() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Sum_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** update columns of table "sponsorship_locus" */
export declare enum Sponsorship_Locus_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    LocusId = "locus_id",
    /** column name */
    SponsorshipId = "sponsorship_id"
}
export type Sponsorship_Locus_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Locus_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Locus_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Locus_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Locus_Var_Pop_Fields = {
    __typename?: 'sponsorship_locus_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by var_pop() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Var_Pop_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Locus_Var_Samp_Fields = {
    __typename?: 'sponsorship_locus_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by var_samp() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Var_Samp_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate variance on columns */
export type Sponsorship_Locus_Variance_Fields = {
    __typename?: 'sponsorship_locus_variance_fields';
    id?: Maybe<Scalars['Float']>;
    locus_id?: Maybe<Scalars['Float']>;
    sponsorship_id?: Maybe<Scalars['Float']>;
};
/** order by variance() on columns of table "sponsorship_locus" */
export type Sponsorship_Locus_Variance_Order_By = {
    id?: InputMaybe<Order_By>;
    locus_id?: InputMaybe<Order_By>;
    sponsorship_id?: InputMaybe<Order_By>;
};
/** aggregate max on columns */
export type Sponsorship_Max_Fields = {
    __typename?: 'sponsorship_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    sponsor_id?: Maybe<Scalars['Int']>;
    sponsorship_condition_id?: Maybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_type_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Sponsorship_Min_Fields = {
    __typename?: 'sponsorship_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    sponsor_id?: Maybe<Scalars['Int']>;
    sponsorship_condition_id?: Maybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_type_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "sponsorship" */
export type Sponsorship_Mutation_Response = {
    __typename?: 'sponsorship_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship>;
};
/** input type for inserting object relation for remote table "sponsorship" */
export type Sponsorship_Obj_Rel_Insert_Input = {
    data: Sponsorship_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship" */
export type Sponsorship_On_Conflict = {
    constraint: Sponsorship_Constraint;
    update_columns?: Array<Sponsorship_Update_Column>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship". */
export type Sponsorship_Order_By = {
    condition?: InputMaybe<Sponsorship_Condition_Order_By>;
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    images_aggregate?: InputMaybe<Sponsorship_Images_Aggregate_Order_By>;
    imitates_aggregate?: InputMaybe<Sponsorship_Imitate_Aggregate_Order_By>;
    is_base?: InputMaybe<Order_By>;
    product?: InputMaybe<Product_Order_By>;
    product_id?: InputMaybe<Order_By>;
    settlementState?: InputMaybe<Sponsorship_Settlement_State_Type_Order_By>;
    sponsor?: InputMaybe<Treasure_User_Order_By>;
    sponsor_id?: InputMaybe<Order_By>;
    sponsorshipType?: InputMaybe<Sponsorship_Type_Order_By>;
    sponsorship_condition_id?: InputMaybe<Order_By>;
    sponsorship_settlement_state_type_id?: InputMaybe<Order_By>;
    sponsorship_type_id?: InputMaybe<Order_By>;
    state?: InputMaybe<Sponsorship_State_Order_By>;
    state_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    tsvec_description?: InputMaybe<Order_By>;
    tsvec_title?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship */
export type Sponsorship_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "sponsorship_requirement" */
export type Sponsorship_Requirement = {
    __typename?: 'sponsorship_requirement';
    id: Scalars['Int'];
    is_require_amount?: Maybe<Scalars['Boolean']>;
    is_require_direct_delivery_by_sponsor?: Maybe<Scalars['Boolean']>;
    is_require_expiration_date?: Maybe<Scalars['Boolean']>;
    is_require_expiration_time?: Maybe<Scalars['Boolean']>;
    is_require_first_date_of_usage?: Maybe<Scalars['Boolean']>;
    is_require_first_time_of_usage?: Maybe<Scalars['Boolean']>;
    is_require_last_date_of_usage?: Maybe<Scalars['Boolean']>;
    is_require_last_time_of_usage?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "sponsorship_requirement" */
export type Sponsorship_Requirement_Aggregate = {
    __typename?: 'sponsorship_requirement_aggregate';
    aggregate?: Maybe<Sponsorship_Requirement_Aggregate_Fields>;
    nodes: Array<Sponsorship_Requirement>;
};
/** aggregate fields of "sponsorship_requirement" */
export type Sponsorship_Requirement_Aggregate_Fields = {
    __typename?: 'sponsorship_requirement_aggregate_fields';
    avg?: Maybe<Sponsorship_Requirement_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Requirement_Max_Fields>;
    min?: Maybe<Sponsorship_Requirement_Min_Fields>;
    stddev?: Maybe<Sponsorship_Requirement_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Requirement_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Requirement_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Requirement_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Requirement_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Requirement_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Requirement_Variance_Fields>;
};
/** aggregate fields of "sponsorship_requirement" */
export type Sponsorship_Requirement_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Requirement_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Requirement_Avg_Fields = {
    __typename?: 'sponsorship_requirement_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_requirement". All fields are combined with a logical 'AND'. */
export type Sponsorship_Requirement_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Requirement_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Requirement_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_require_amount?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_direct_delivery_by_sponsor?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_expiration_date?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_expiration_time?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_first_date_of_usage?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_first_time_of_usage?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_last_date_of_usage?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_last_time_of_usage?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_requirement" */
export declare enum Sponsorship_Requirement_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipRequirementsPkey = "sponsorship_requirements_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_requirement" */
export type Sponsorship_Requirement_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_requirement" */
export type Sponsorship_Requirement_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_require_amount?: InputMaybe<Scalars['Boolean']>;
    is_require_direct_delivery_by_sponsor?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_date?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_time?: InputMaybe<Scalars['Boolean']>;
    is_require_first_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_first_time_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_time_of_usage?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Sponsorship_Requirement_Max_Fields = {
    __typename?: 'sponsorship_requirement_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Sponsorship_Requirement_Min_Fields = {
    __typename?: 'sponsorship_requirement_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "sponsorship_requirement" */
export type Sponsorship_Requirement_Mutation_Response = {
    __typename?: 'sponsorship_requirement_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Requirement>;
};
/** input type for inserting object relation for remote table "sponsorship_requirement" */
export type Sponsorship_Requirement_Obj_Rel_Insert_Input = {
    data: Sponsorship_Requirement_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Requirement_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_requirement" */
export type Sponsorship_Requirement_On_Conflict = {
    constraint: Sponsorship_Requirement_Constraint;
    update_columns?: Array<Sponsorship_Requirement_Update_Column>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_requirement". */
export type Sponsorship_Requirement_Order_By = {
    id?: InputMaybe<Order_By>;
    is_require_amount?: InputMaybe<Order_By>;
    is_require_direct_delivery_by_sponsor?: InputMaybe<Order_By>;
    is_require_expiration_date?: InputMaybe<Order_By>;
    is_require_expiration_time?: InputMaybe<Order_By>;
    is_require_first_date_of_usage?: InputMaybe<Order_By>;
    is_require_first_time_of_usage?: InputMaybe<Order_By>;
    is_require_last_date_of_usage?: InputMaybe<Order_By>;
    is_require_last_time_of_usage?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_requirement */
export type Sponsorship_Requirement_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_requirement" */
export declare enum Sponsorship_Requirement_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsRequireAmount = "is_require_amount",
    /** column name */
    IsRequireDirectDeliveryBySponsor = "is_require_direct_delivery_by_sponsor",
    /** column name */
    IsRequireExpirationDate = "is_require_expiration_date",
    /** column name */
    IsRequireExpirationTime = "is_require_expiration_time",
    /** column name */
    IsRequireFirstDateOfUsage = "is_require_first_date_of_usage",
    /** column name */
    IsRequireFirstTimeOfUsage = "is_require_first_time_of_usage",
    /** column name */
    IsRequireLastDateOfUsage = "is_require_last_date_of_usage",
    /** column name */
    IsRequireLastTimeOfUsage = "is_require_last_time_of_usage"
}
/** input type for updating data in table "sponsorship_requirement" */
export type Sponsorship_Requirement_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_require_amount?: InputMaybe<Scalars['Boolean']>;
    is_require_direct_delivery_by_sponsor?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_date?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_time?: InputMaybe<Scalars['Boolean']>;
    is_require_first_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_first_time_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_time_of_usage?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Requirement_Stddev_Fields = {
    __typename?: 'sponsorship_requirement_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Requirement_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_requirement_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Requirement_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_requirement_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_requirement" */
export type Sponsorship_Requirement_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Requirement_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Requirement_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_require_amount?: InputMaybe<Scalars['Boolean']>;
    is_require_direct_delivery_by_sponsor?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_date?: InputMaybe<Scalars['Boolean']>;
    is_require_expiration_time?: InputMaybe<Scalars['Boolean']>;
    is_require_first_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_first_time_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_date_of_usage?: InputMaybe<Scalars['Boolean']>;
    is_require_last_time_of_usage?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Sponsorship_Requirement_Sum_Fields = {
    __typename?: 'sponsorship_requirement_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type = {
    __typename?: 'sponsorship_requirement_type';
    condition_name?: Maybe<Scalars['String']>;
    data_type_name?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_required_apply?: Maybe<Scalars['Boolean']>;
    requirement_name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Aggregate = {
    __typename?: 'sponsorship_requirement_type_aggregate';
    aggregate?: Maybe<Sponsorship_Requirement_Type_Aggregate_Fields>;
    nodes: Array<Sponsorship_Requirement_Type>;
};
/** aggregate fields of "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Aggregate_Fields = {
    __typename?: 'sponsorship_requirement_type_aggregate_fields';
    avg?: Maybe<Sponsorship_Requirement_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Requirement_Type_Max_Fields>;
    min?: Maybe<Sponsorship_Requirement_Type_Min_Fields>;
    stddev?: Maybe<Sponsorship_Requirement_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Requirement_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Requirement_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Requirement_Type_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Requirement_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Requirement_Type_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Requirement_Type_Variance_Fields>;
};
/** aggregate fields of "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Requirement_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Requirement_Type_Avg_Fields = {
    __typename?: 'sponsorship_requirement_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_requirement_type". All fields are combined with a logical 'AND'. */
export type Sponsorship_Requirement_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Requirement_Type_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Requirement_Type_Bool_Exp>>;
    condition_name?: InputMaybe<String_Comparison_Exp>;
    data_type_name?: InputMaybe<String_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_required_apply?: InputMaybe<Boolean_Comparison_Exp>;
    requirement_name?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_requirement_type" */
export declare enum Sponsorship_Requirement_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipConditionTypePkey = "sponsorship_condition_type_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Insert_Input = {
    condition_name?: InputMaybe<Scalars['String']>;
    data_type_name?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_required_apply?: InputMaybe<Scalars['Boolean']>;
    requirement_name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_Requirement_Type_Max_Fields = {
    __typename?: 'sponsorship_requirement_type_max_fields';
    condition_name?: Maybe<Scalars['String']>;
    data_type_name?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    requirement_name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Sponsorship_Requirement_Type_Min_Fields = {
    __typename?: 'sponsorship_requirement_type_min_fields';
    condition_name?: Maybe<Scalars['String']>;
    data_type_name?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    requirement_name?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Mutation_Response = {
    __typename?: 'sponsorship_requirement_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Requirement_Type>;
};
/** on_conflict condition type for table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_On_Conflict = {
    constraint: Sponsorship_Requirement_Type_Constraint;
    update_columns?: Array<Sponsorship_Requirement_Type_Update_Column>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_requirement_type". */
export type Sponsorship_Requirement_Type_Order_By = {
    condition_name?: InputMaybe<Order_By>;
    data_type_name?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_required_apply?: InputMaybe<Order_By>;
    requirement_name?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_requirement_type */
export type Sponsorship_Requirement_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_requirement_type" */
export declare enum Sponsorship_Requirement_Type_Select_Column {
    /** column name */
    ConditionName = "condition_name",
    /** column name */
    DataTypeName = "data_type_name",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsRequiredApply = "is_required_apply",
    /** column name */
    RequirementName = "requirement_name",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Set_Input = {
    condition_name?: InputMaybe<Scalars['String']>;
    data_type_name?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_required_apply?: InputMaybe<Scalars['Boolean']>;
    requirement_name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Requirement_Type_Stddev_Fields = {
    __typename?: 'sponsorship_requirement_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Requirement_Type_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_requirement_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Requirement_Type_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_requirement_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_requirement_type" */
export type Sponsorship_Requirement_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Requirement_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Requirement_Type_Stream_Cursor_Value_Input = {
    condition_name?: InputMaybe<Scalars['String']>;
    data_type_name?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_required_apply?: InputMaybe<Scalars['Boolean']>;
    requirement_name?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_Requirement_Type_Sum_Fields = {
    __typename?: 'sponsorship_requirement_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_requirement_type" */
export declare enum Sponsorship_Requirement_Type_Update_Column {
    /** column name */
    ConditionName = "condition_name",
    /** column name */
    DataTypeName = "data_type_name",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsRequiredApply = "is_required_apply",
    /** column name */
    RequirementName = "requirement_name",
    /** column name */
    Title = "title"
}
export type Sponsorship_Requirement_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Requirement_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Requirement_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Requirement_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Requirement_Type_Var_Pop_Fields = {
    __typename?: 'sponsorship_requirement_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Requirement_Type_Var_Samp_Fields = {
    __typename?: 'sponsorship_requirement_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Requirement_Type_Variance_Fields = {
    __typename?: 'sponsorship_requirement_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "sponsorship_requirement" */
export declare enum Sponsorship_Requirement_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsRequireAmount = "is_require_amount",
    /** column name */
    IsRequireDirectDeliveryBySponsor = "is_require_direct_delivery_by_sponsor",
    /** column name */
    IsRequireExpirationDate = "is_require_expiration_date",
    /** column name */
    IsRequireExpirationTime = "is_require_expiration_time",
    /** column name */
    IsRequireFirstDateOfUsage = "is_require_first_date_of_usage",
    /** column name */
    IsRequireFirstTimeOfUsage = "is_require_first_time_of_usage",
    /** column name */
    IsRequireLastDateOfUsage = "is_require_last_date_of_usage",
    /** column name */
    IsRequireLastTimeOfUsage = "is_require_last_time_of_usage"
}
export type Sponsorship_Requirement_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Requirement_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Requirement_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Requirement_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Requirement_Var_Pop_Fields = {
    __typename?: 'sponsorship_requirement_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Requirement_Var_Samp_Fields = {
    __typename?: 'sponsorship_requirement_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Requirement_Variance_Fields = {
    __typename?: 'sponsorship_requirement_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** select columns of table "sponsorship" */
export declare enum Sponsorship_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsBase = "is_base",
    /** column name */
    ProductId = "product_id",
    /** column name */
    SponsorId = "sponsor_id",
    /** column name */
    SponsorshipConditionId = "sponsorship_condition_id",
    /** column name */
    SponsorshipSettlementStateTypeId = "sponsorship_settlement_state_type_id",
    /** column name */
    SponsorshipTypeId = "sponsorship_type_id",
    /** column name */
    StateId = "state_id",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "sponsorship" */
export type Sponsorship_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    product_id?: InputMaybe<Scalars['Int']>;
    sponsor_id?: InputMaybe<Scalars['Int']>;
    sponsorship_condition_id?: InputMaybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_type_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** columns and relationships of "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type = {
    __typename?: 'sponsorship_settlement_state_type';
    description?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_posted?: Maybe<Scalars['Boolean']>;
    is_ready: Scalars['Boolean'];
    is_settled: Scalars['Boolean'];
    is_writing?: Maybe<Scalars['Boolean']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Aggregate = {
    __typename?: 'sponsorship_settlement_state_type_aggregate';
    aggregate?: Maybe<Sponsorship_Settlement_State_Type_Aggregate_Fields>;
    nodes: Array<Sponsorship_Settlement_State_Type>;
};
/** aggregate fields of "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Aggregate_Fields = {
    __typename?: 'sponsorship_settlement_state_type_aggregate_fields';
    avg?: Maybe<Sponsorship_Settlement_State_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Settlement_State_Type_Max_Fields>;
    min?: Maybe<Sponsorship_Settlement_State_Type_Min_Fields>;
    stddev?: Maybe<Sponsorship_Settlement_State_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Settlement_State_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Settlement_State_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Settlement_State_Type_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Settlement_State_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Settlement_State_Type_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Settlement_State_Type_Variance_Fields>;
};
/** aggregate fields of "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Settlement_State_Type_Avg_Fields = {
    __typename?: 'sponsorship_settlement_state_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_settlement_state_type". All fields are combined with a logical 'AND'. */
export type Sponsorship_Settlement_State_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_posted?: InputMaybe<Boolean_Comparison_Exp>;
    is_ready?: InputMaybe<Boolean_Comparison_Exp>;
    is_settled?: InputMaybe<Boolean_Comparison_Exp>;
    is_writing?: InputMaybe<Boolean_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_settlement_state_type" */
export declare enum Sponsorship_Settlement_State_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipSettlementStateTypePkey = "sponsorship_settlement_state_type_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_posted?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    is_settled?: InputMaybe<Scalars['Boolean']>;
    is_writing?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_Settlement_State_Type_Max_Fields = {
    __typename?: 'sponsorship_settlement_state_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Sponsorship_Settlement_State_Type_Min_Fields = {
    __typename?: 'sponsorship_settlement_state_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Mutation_Response = {
    __typename?: 'sponsorship_settlement_state_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Settlement_State_Type>;
};
/** input type for inserting object relation for remote table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Obj_Rel_Insert_Input = {
    data: Sponsorship_Settlement_State_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Settlement_State_Type_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_On_Conflict = {
    constraint: Sponsorship_Settlement_State_Type_Constraint;
    update_columns?: Array<Sponsorship_Settlement_State_Type_Update_Column>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_settlement_state_type". */
export type Sponsorship_Settlement_State_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_posted?: InputMaybe<Order_By>;
    is_ready?: InputMaybe<Order_By>;
    is_settled?: InputMaybe<Order_By>;
    is_writing?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_settlement_state_type */
export type Sponsorship_Settlement_State_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_settlement_state_type" */
export declare enum Sponsorship_Settlement_State_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsPosted = "is_posted",
    /** column name */
    IsReady = "is_ready",
    /** column name */
    IsSettled = "is_settled",
    /** column name */
    IsWriting = "is_writing",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_posted?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    is_settled?: InputMaybe<Scalars['Boolean']>;
    is_writing?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Settlement_State_Type_Stddev_Fields = {
    __typename?: 'sponsorship_settlement_state_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Settlement_State_Type_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_settlement_state_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Settlement_State_Type_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_settlement_state_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_settlement_state_type" */
export type Sponsorship_Settlement_State_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Settlement_State_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Settlement_State_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_posted?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    is_settled?: InputMaybe<Scalars['Boolean']>;
    is_writing?: InputMaybe<Scalars['Boolean']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_Settlement_State_Type_Sum_Fields = {
    __typename?: 'sponsorship_settlement_state_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_settlement_state_type" */
export declare enum Sponsorship_Settlement_State_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsPosted = "is_posted",
    /** column name */
    IsReady = "is_ready",
    /** column name */
    IsSettled = "is_settled",
    /** column name */
    IsWriting = "is_writing",
    /** column name */
    Title = "title"
}
export type Sponsorship_Settlement_State_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Settlement_State_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Settlement_State_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Settlement_State_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Settlement_State_Type_Var_Pop_Fields = {
    __typename?: 'sponsorship_settlement_state_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Settlement_State_Type_Var_Samp_Fields = {
    __typename?: 'sponsorship_settlement_state_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Settlement_State_Type_Variance_Fields = {
    __typename?: 'sponsorship_settlement_state_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "sponsorship_state" */
export type Sponsorship_State = {
    __typename?: 'sponsorship_state';
    completion_message?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    error_message?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    is_arrived?: Maybe<Scalars['Boolean']>;
    is_departured?: Maybe<Scalars['Boolean']>;
    is_need_to_be_managed?: Maybe<Scalars['Boolean']>;
    is_ready?: Maybe<Scalars['Boolean']>;
    managing_days_limit?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    state_message?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
    waiting_message?: Maybe<Scalars['String']>;
};
/** aggregated selection of "sponsorship_state" */
export type Sponsorship_State_Aggregate = {
    __typename?: 'sponsorship_state_aggregate';
    aggregate?: Maybe<Sponsorship_State_Aggregate_Fields>;
    nodes: Array<Sponsorship_State>;
};
/** aggregate fields of "sponsorship_state" */
export type Sponsorship_State_Aggregate_Fields = {
    __typename?: 'sponsorship_state_aggregate_fields';
    avg?: Maybe<Sponsorship_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_State_Max_Fields>;
    min?: Maybe<Sponsorship_State_Min_Fields>;
    stddev?: Maybe<Sponsorship_State_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_State_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_State_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_State_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_State_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_State_Variance_Fields>;
};
/** aggregate fields of "sponsorship_state" */
export type Sponsorship_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_State_Avg_Fields = {
    __typename?: 'sponsorship_state_avg_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_state". All fields are combined with a logical 'AND'. */
export type Sponsorship_State_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_State_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_State_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_State_Bool_Exp>>;
    completion_message?: InputMaybe<String_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    error_message?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_arrived?: InputMaybe<Boolean_Comparison_Exp>;
    is_departured?: InputMaybe<Boolean_Comparison_Exp>;
    is_need_to_be_managed?: InputMaybe<Boolean_Comparison_Exp>;
    is_ready?: InputMaybe<Boolean_Comparison_Exp>;
    managing_days_limit?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    state_message?: InputMaybe<String_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
    waiting_message?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_state" */
export declare enum Sponsorship_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipStatePkey1 = "sponsorship_state_pkey1"
}
/** input type for incrementing numeric columns in table "sponsorship_state" */
export type Sponsorship_State_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    managing_days_limit?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_state" */
export type Sponsorship_State_Insert_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arrived?: InputMaybe<Scalars['Boolean']>;
    is_departured?: InputMaybe<Scalars['Boolean']>;
    is_need_to_be_managed?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    managing_days_limit?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_State_Max_Fields = {
    __typename?: 'sponsorship_state_max_fields';
    completion_message?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    error_message?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    managing_days_limit?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    state_message?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
    waiting_message?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Sponsorship_State_Min_Fields = {
    __typename?: 'sponsorship_state_min_fields';
    completion_message?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    error_message?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    managing_days_limit?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    state_message?: Maybe<Scalars['String']>;
    title?: Maybe<Scalars['String']>;
    waiting_message?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "sponsorship_state" */
export type Sponsorship_State_Mutation_Response = {
    __typename?: 'sponsorship_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_State>;
};
/** input type for inserting object relation for remote table "sponsorship_state" */
export type Sponsorship_State_Obj_Rel_Insert_Input = {
    data: Sponsorship_State_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_State_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_state" */
export type Sponsorship_State_On_Conflict = {
    constraint: Sponsorship_State_Constraint;
    update_columns?: Array<Sponsorship_State_Update_Column>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_state". */
export type Sponsorship_State_Order_By = {
    completion_message?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    error_message?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_arrived?: InputMaybe<Order_By>;
    is_departured?: InputMaybe<Order_By>;
    is_need_to_be_managed?: InputMaybe<Order_By>;
    is_ready?: InputMaybe<Order_By>;
    managing_days_limit?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    state_message?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
    waiting_message?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_state */
export type Sponsorship_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_state" */
export declare enum Sponsorship_State_Select_Column {
    /** column name */
    CompletionMessage = "completion_message",
    /** column name */
    Description = "description",
    /** column name */
    ErrorMessage = "error_message",
    /** column name */
    Id = "id",
    /** column name */
    IsArrived = "is_arrived",
    /** column name */
    IsDepartured = "is_departured",
    /** column name */
    IsNeedToBeManaged = "is_need_to_be_managed",
    /** column name */
    IsReady = "is_ready",
    /** column name */
    ManagingDaysLimit = "managing_days_limit",
    /** column name */
    Name = "name",
    /** column name */
    StateMessage = "state_message",
    /** column name */
    Title = "title",
    /** column name */
    WaitingMessage = "waiting_message"
}
/** input type for updating data in table "sponsorship_state" */
export type Sponsorship_State_Set_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arrived?: InputMaybe<Scalars['Boolean']>;
    is_departured?: InputMaybe<Scalars['Boolean']>;
    is_need_to_be_managed?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    managing_days_limit?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_State_Stddev_Fields = {
    __typename?: 'sponsorship_state_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_State_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_state_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_State_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_state_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_state" */
export type Sponsorship_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_State_Stream_Cursor_Value_Input = {
    completion_message?: InputMaybe<Scalars['String']>;
    description?: InputMaybe<Scalars['String']>;
    error_message?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_arrived?: InputMaybe<Scalars['Boolean']>;
    is_departured?: InputMaybe<Scalars['Boolean']>;
    is_need_to_be_managed?: InputMaybe<Scalars['Boolean']>;
    is_ready?: InputMaybe<Scalars['Boolean']>;
    managing_days_limit?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    state_message?: InputMaybe<Scalars['String']>;
    title?: InputMaybe<Scalars['String']>;
    waiting_message?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_State_Sum_Fields = {
    __typename?: 'sponsorship_state_sum_fields';
    id?: Maybe<Scalars['Int']>;
    managing_days_limit?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_state" */
export declare enum Sponsorship_State_Update_Column {
    /** column name */
    CompletionMessage = "completion_message",
    /** column name */
    Description = "description",
    /** column name */
    ErrorMessage = "error_message",
    /** column name */
    Id = "id",
    /** column name */
    IsArrived = "is_arrived",
    /** column name */
    IsDepartured = "is_departured",
    /** column name */
    IsNeedToBeManaged = "is_need_to_be_managed",
    /** column name */
    IsReady = "is_ready",
    /** column name */
    ManagingDaysLimit = "managing_days_limit",
    /** column name */
    Name = "name",
    /** column name */
    StateMessage = "state_message",
    /** column name */
    Title = "title",
    /** column name */
    WaitingMessage = "waiting_message"
}
export type Sponsorship_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_State_Var_Pop_Fields = {
    __typename?: 'sponsorship_state_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_State_Var_Samp_Fields = {
    __typename?: 'sponsorship_state_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_State_Variance_Fields = {
    __typename?: 'sponsorship_state_variance_fields';
    id?: Maybe<Scalars['Float']>;
    managing_days_limit?: Maybe<Scalars['Float']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Stddev_Fields = {
    __typename?: 'sponsorship_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship" */
export type Sponsorship_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    is_base?: InputMaybe<Scalars['Boolean']>;
    product_id?: InputMaybe<Scalars['Int']>;
    sponsor_id?: InputMaybe<Scalars['Int']>;
    sponsorship_condition_id?: InputMaybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: InputMaybe<Scalars['Int']>;
    sponsorship_type_id?: InputMaybe<Scalars['Int']>;
    state_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
    tsvec_description?: InputMaybe<Scalars['tsvector']>;
    tsvec_title?: InputMaybe<Scalars['tsvector']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Sponsorship_Sum_Fields = {
    __typename?: 'sponsorship_sum_fields';
    id?: Maybe<Scalars['Int']>;
    product_id?: Maybe<Scalars['Int']>;
    sponsor_id?: Maybe<Scalars['Int']>;
    sponsorship_condition_id?: Maybe<Scalars['Int']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Int']>;
    sponsorship_type_id?: Maybe<Scalars['Int']>;
    state_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "sponsorship_type" */
export type Sponsorship_Type = {
    __typename?: 'sponsorship_type';
    description?: Maybe<Scalars['String']>;
    has_expiration_date?: Maybe<Scalars['Boolean']>;
    has_period_of_use?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    is_about_qualification?: Maybe<Scalars['Boolean']>;
    is_contract?: Maybe<Scalars['Boolean']>;
    is_coupon?: Maybe<Scalars['Boolean']>;
    is_deliverable?: Maybe<Scalars['Boolean']>;
    is_goods?: Maybe<Scalars['Boolean']>;
    is_intangible?: Maybe<Scalars['Boolean']>;
    is_money?: Maybe<Scalars['Boolean']>;
    is_product?: Maybe<Scalars['Boolean']>;
    is_require_as?: Maybe<Scalars['Boolean']>;
    is_sendable_by_email?: Maybe<Scalars['Boolean']>;
    is_sendable_by_mail?: Maybe<Scalars['Boolean']>;
    is_ticket?: Maybe<Scalars['Boolean']>;
    is_unique?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    requirements?: Maybe<Sponsorship_Requirement>;
    requirements_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregated selection of "sponsorship_type" */
export type Sponsorship_Type_Aggregate = {
    __typename?: 'sponsorship_type_aggregate';
    aggregate?: Maybe<Sponsorship_Type_Aggregate_Fields>;
    nodes: Array<Sponsorship_Type>;
};
/** aggregate fields of "sponsorship_type" */
export type Sponsorship_Type_Aggregate_Fields = {
    __typename?: 'sponsorship_type_aggregate_fields';
    avg?: Maybe<Sponsorship_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Sponsorship_Type_Max_Fields>;
    min?: Maybe<Sponsorship_Type_Min_Fields>;
    stddev?: Maybe<Sponsorship_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Sponsorship_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Sponsorship_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Sponsorship_Type_Sum_Fields>;
    var_pop?: Maybe<Sponsorship_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Sponsorship_Type_Var_Samp_Fields>;
    variance?: Maybe<Sponsorship_Type_Variance_Fields>;
};
/** aggregate fields of "sponsorship_type" */
export type Sponsorship_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Sponsorship_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Sponsorship_Type_Avg_Fields = {
    __typename?: 'sponsorship_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "sponsorship_type". All fields are combined with a logical 'AND'. */
export type Sponsorship_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Sponsorship_Type_Bool_Exp>>;
    _not?: InputMaybe<Sponsorship_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Sponsorship_Type_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    has_expiration_date?: InputMaybe<Boolean_Comparison_Exp>;
    has_period_of_use?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_about_qualification?: InputMaybe<Boolean_Comparison_Exp>;
    is_contract?: InputMaybe<Boolean_Comparison_Exp>;
    is_coupon?: InputMaybe<Boolean_Comparison_Exp>;
    is_deliverable?: InputMaybe<Boolean_Comparison_Exp>;
    is_goods?: InputMaybe<Boolean_Comparison_Exp>;
    is_intangible?: InputMaybe<Boolean_Comparison_Exp>;
    is_money?: InputMaybe<Boolean_Comparison_Exp>;
    is_product?: InputMaybe<Boolean_Comparison_Exp>;
    is_require_as?: InputMaybe<Boolean_Comparison_Exp>;
    is_sendable_by_email?: InputMaybe<Boolean_Comparison_Exp>;
    is_sendable_by_mail?: InputMaybe<Boolean_Comparison_Exp>;
    is_ticket?: InputMaybe<Boolean_Comparison_Exp>;
    is_unique?: InputMaybe<Boolean_Comparison_Exp>;
    requirements?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
    requirements_id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "sponsorship_type" */
export declare enum Sponsorship_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    SponsorshipTypePkey = "sponsorship_type_pkey"
}
/** input type for incrementing numeric columns in table "sponsorship_type" */
export type Sponsorship_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    requirements_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "sponsorship_type" */
export type Sponsorship_Type_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    has_expiration_date?: InputMaybe<Scalars['Boolean']>;
    has_period_of_use?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_qualification?: InputMaybe<Scalars['Boolean']>;
    is_contract?: InputMaybe<Scalars['Boolean']>;
    is_coupon?: InputMaybe<Scalars['Boolean']>;
    is_deliverable?: InputMaybe<Scalars['Boolean']>;
    is_goods?: InputMaybe<Scalars['Boolean']>;
    is_intangible?: InputMaybe<Scalars['Boolean']>;
    is_money?: InputMaybe<Scalars['Boolean']>;
    is_product?: InputMaybe<Scalars['Boolean']>;
    is_require_as?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_email?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_mail?: InputMaybe<Scalars['Boolean']>;
    is_ticket?: InputMaybe<Scalars['Boolean']>;
    is_unique?: InputMaybe<Scalars['Boolean']>;
    requirements?: InputMaybe<Sponsorship_Requirement_Obj_Rel_Insert_Input>;
    requirements_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Sponsorship_Type_Max_Fields = {
    __typename?: 'sponsorship_type_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    requirements_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Sponsorship_Type_Min_Fields = {
    __typename?: 'sponsorship_type_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    requirements_id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "sponsorship_type" */
export type Sponsorship_Type_Mutation_Response = {
    __typename?: 'sponsorship_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sponsorship_Type>;
};
/** input type for inserting object relation for remote table "sponsorship_type" */
export type Sponsorship_Type_Obj_Rel_Insert_Input = {
    data: Sponsorship_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Sponsorship_Type_On_Conflict>;
};
/** on_conflict condition type for table "sponsorship_type" */
export type Sponsorship_Type_On_Conflict = {
    constraint: Sponsorship_Type_Constraint;
    update_columns?: Array<Sponsorship_Type_Update_Column>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "sponsorship_type". */
export type Sponsorship_Type_Order_By = {
    description?: InputMaybe<Order_By>;
    has_expiration_date?: InputMaybe<Order_By>;
    has_period_of_use?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    is_about_qualification?: InputMaybe<Order_By>;
    is_contract?: InputMaybe<Order_By>;
    is_coupon?: InputMaybe<Order_By>;
    is_deliverable?: InputMaybe<Order_By>;
    is_goods?: InputMaybe<Order_By>;
    is_intangible?: InputMaybe<Order_By>;
    is_money?: InputMaybe<Order_By>;
    is_product?: InputMaybe<Order_By>;
    is_require_as?: InputMaybe<Order_By>;
    is_sendable_by_email?: InputMaybe<Order_By>;
    is_sendable_by_mail?: InputMaybe<Order_By>;
    is_ticket?: InputMaybe<Order_By>;
    is_unique?: InputMaybe<Order_By>;
    requirements?: InputMaybe<Sponsorship_Requirement_Order_By>;
    requirements_id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: sponsorship_type */
export type Sponsorship_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "sponsorship_type" */
export declare enum Sponsorship_Type_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    HasExpirationDate = "has_expiration_date",
    /** column name */
    HasPeriodOfUse = "has_period_of_use",
    /** column name */
    Id = "id",
    /** column name */
    IsAboutQualification = "is_about_qualification",
    /** column name */
    IsContract = "is_contract",
    /** column name */
    IsCoupon = "is_coupon",
    /** column name */
    IsDeliverable = "is_deliverable",
    /** column name */
    IsGoods = "is_goods",
    /** column name */
    IsIntangible = "is_intangible",
    /** column name */
    IsMoney = "is_money",
    /** column name */
    IsProduct = "is_product",
    /** column name */
    IsRequireAs = "is_require_as",
    /** column name */
    IsSendableByEmail = "is_sendable_by_email",
    /** column name */
    IsSendableByMail = "is_sendable_by_mail",
    /** column name */
    IsTicket = "is_ticket",
    /** column name */
    IsUnique = "is_unique",
    /** column name */
    RequirementsId = "requirements_id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "sponsorship_type" */
export type Sponsorship_Type_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    has_expiration_date?: InputMaybe<Scalars['Boolean']>;
    has_period_of_use?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_qualification?: InputMaybe<Scalars['Boolean']>;
    is_contract?: InputMaybe<Scalars['Boolean']>;
    is_coupon?: InputMaybe<Scalars['Boolean']>;
    is_deliverable?: InputMaybe<Scalars['Boolean']>;
    is_goods?: InputMaybe<Scalars['Boolean']>;
    is_intangible?: InputMaybe<Scalars['Boolean']>;
    is_money?: InputMaybe<Scalars['Boolean']>;
    is_product?: InputMaybe<Scalars['Boolean']>;
    is_require_as?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_email?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_mail?: InputMaybe<Scalars['Boolean']>;
    is_ticket?: InputMaybe<Scalars['Boolean']>;
    is_unique?: InputMaybe<Scalars['Boolean']>;
    requirements_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Sponsorship_Type_Stddev_Fields = {
    __typename?: 'sponsorship_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Sponsorship_Type_Stddev_Pop_Fields = {
    __typename?: 'sponsorship_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Sponsorship_Type_Stddev_Samp_Fields = {
    __typename?: 'sponsorship_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "sponsorship_type" */
export type Sponsorship_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Sponsorship_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Sponsorship_Type_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    has_expiration_date?: InputMaybe<Scalars['Boolean']>;
    has_period_of_use?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    is_about_qualification?: InputMaybe<Scalars['Boolean']>;
    is_contract?: InputMaybe<Scalars['Boolean']>;
    is_coupon?: InputMaybe<Scalars['Boolean']>;
    is_deliverable?: InputMaybe<Scalars['Boolean']>;
    is_goods?: InputMaybe<Scalars['Boolean']>;
    is_intangible?: InputMaybe<Scalars['Boolean']>;
    is_money?: InputMaybe<Scalars['Boolean']>;
    is_product?: InputMaybe<Scalars['Boolean']>;
    is_require_as?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_email?: InputMaybe<Scalars['Boolean']>;
    is_sendable_by_mail?: InputMaybe<Scalars['Boolean']>;
    is_ticket?: InputMaybe<Scalars['Boolean']>;
    is_unique?: InputMaybe<Scalars['Boolean']>;
    requirements_id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Sponsorship_Type_Sum_Fields = {
    __typename?: 'sponsorship_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
    requirements_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "sponsorship_type" */
export declare enum Sponsorship_Type_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    HasExpirationDate = "has_expiration_date",
    /** column name */
    HasPeriodOfUse = "has_period_of_use",
    /** column name */
    Id = "id",
    /** column name */
    IsAboutQualification = "is_about_qualification",
    /** column name */
    IsContract = "is_contract",
    /** column name */
    IsCoupon = "is_coupon",
    /** column name */
    IsDeliverable = "is_deliverable",
    /** column name */
    IsGoods = "is_goods",
    /** column name */
    IsIntangible = "is_intangible",
    /** column name */
    IsMoney = "is_money",
    /** column name */
    IsProduct = "is_product",
    /** column name */
    IsRequireAs = "is_require_as",
    /** column name */
    IsSendableByEmail = "is_sendable_by_email",
    /** column name */
    IsSendableByMail = "is_sendable_by_mail",
    /** column name */
    IsTicket = "is_ticket",
    /** column name */
    IsUnique = "is_unique",
    /** column name */
    RequirementsId = "requirements_id",
    /** column name */
    Title = "title"
}
export type Sponsorship_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Type_Var_Pop_Fields = {
    __typename?: 'sponsorship_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Type_Var_Samp_Fields = {
    __typename?: 'sponsorship_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Type_Variance_Fields = {
    __typename?: 'sponsorship_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
    requirements_id?: Maybe<Scalars['Float']>;
};
/** update columns of table "sponsorship" */
export declare enum Sponsorship_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    IsBase = "is_base",
    /** column name */
    ProductId = "product_id",
    /** column name */
    SponsorId = "sponsor_id",
    /** column name */
    SponsorshipConditionId = "sponsorship_condition_id",
    /** column name */
    SponsorshipSettlementStateTypeId = "sponsorship_settlement_state_type_id",
    /** column name */
    SponsorshipTypeId = "sponsorship_type_id",
    /** column name */
    StateId = "state_id",
    /** column name */
    Title = "title",
    /** column name */
    TsvecDescription = "tsvec_description",
    /** column name */
    TsvecTitle = "tsvec_title",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Sponsorship_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Sponsorship_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Sponsorship_Set_Input>;
    /** filter the rows which have to be updated */
    where: Sponsorship_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Sponsorship_Var_Pop_Fields = {
    __typename?: 'sponsorship_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Sponsorship_Var_Samp_Fields = {
    __typename?: 'sponsorship_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Sponsorship_Variance_Fields = {
    __typename?: 'sponsorship_variance_fields';
    id?: Maybe<Scalars['Float']>;
    product_id?: Maybe<Scalars['Float']>;
    sponsor_id?: Maybe<Scalars['Float']>;
    sponsorship_condition_id?: Maybe<Scalars['Float']>;
    sponsorship_settlement_state_type_id?: Maybe<Scalars['Float']>;
    sponsorship_type_id?: Maybe<Scalars['Float']>;
    state_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "spot" */
export type Spot = {
    __typename?: 'spot';
    /** An object relationship */
    entrypoint?: Maybe<Entrypoint>;
    entrypoint_id?: Maybe<Scalars['Int']>;
    id: Scalars['Int'];
    /** An object relationship */
    location?: Maybe<Location>;
    location_id?: Maybe<Scalars['Int']>;
    /** An object relationship */
    maintainer: Treasure_User;
    maintainer_id: Scalars['Int'];
    name?: Maybe<Scalars['String']>;
    /** An object relationship */
    policy?: Maybe<Spot_Policy>;
    /** An object relationship */
    privacy: Resource_Privacy;
    privacy_id: Scalars['Int'];
    spot_type_id: Scalars['Int'];
    /** An object relationship */
    type: Spot_Type;
    /** An object relationship */
    universe: Universe;
    universe_id: Scalars['Int'];
    usage_policy_id?: Maybe<Scalars['Int']>;
};
/** aggregated selection of "spot" */
export type Spot_Aggregate = {
    __typename?: 'spot_aggregate';
    aggregate?: Maybe<Spot_Aggregate_Fields>;
    nodes: Array<Spot>;
};
/** aggregate fields of "spot" */
export type Spot_Aggregate_Fields = {
    __typename?: 'spot_aggregate_fields';
    avg?: Maybe<Spot_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Spot_Max_Fields>;
    min?: Maybe<Spot_Min_Fields>;
    stddev?: Maybe<Spot_Stddev_Fields>;
    stddev_pop?: Maybe<Spot_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Spot_Stddev_Samp_Fields>;
    sum?: Maybe<Spot_Sum_Fields>;
    var_pop?: Maybe<Spot_Var_Pop_Fields>;
    var_samp?: Maybe<Spot_Var_Samp_Fields>;
    variance?: Maybe<Spot_Variance_Fields>;
};
/** aggregate fields of "spot" */
export type Spot_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Spot_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Spot_Avg_Fields = {
    __typename?: 'spot_avg_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "spot". All fields are combined with a logical 'AND'. */
export type Spot_Bool_Exp = {
    _and?: InputMaybe<Array<Spot_Bool_Exp>>;
    _not?: InputMaybe<Spot_Bool_Exp>;
    _or?: InputMaybe<Array<Spot_Bool_Exp>>;
    entrypoint?: InputMaybe<Entrypoint_Bool_Exp>;
    entrypoint_id?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    location?: InputMaybe<Location_Bool_Exp>;
    location_id?: InputMaybe<Int_Comparison_Exp>;
    maintainer?: InputMaybe<Treasure_User_Bool_Exp>;
    maintainer_id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    policy?: InputMaybe<Spot_Policy_Bool_Exp>;
    privacy?: InputMaybe<Resource_Privacy_Bool_Exp>;
    privacy_id?: InputMaybe<Int_Comparison_Exp>;
    spot_type_id?: InputMaybe<Int_Comparison_Exp>;
    type?: InputMaybe<Spot_Type_Bool_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
    usage_policy_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "spot" */
export declare enum Spot_Constraint {
    /** unique or primary key constraint on columns "id" */
    SpotPkey = "spot_pkey"
}
/** input type for incrementing numeric columns in table "spot" */
export type Spot_Inc_Input = {
    entrypoint_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_id?: InputMaybe<Scalars['Int']>;
    maintainer_id?: InputMaybe<Scalars['Int']>;
    privacy_id?: InputMaybe<Scalars['Int']>;
    spot_type_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
    usage_policy_id?: InputMaybe<Scalars['Int']>;
};
/** columns and relationships of "spot_inscription" */
export type Spot_Inscription = {
    __typename?: 'spot_inscription';
    id: Scalars['Int'];
    inscription_id: Scalars['Int'];
    spot_id: Scalars['Int'];
};
/** aggregated selection of "spot_inscription" */
export type Spot_Inscription_Aggregate = {
    __typename?: 'spot_inscription_aggregate';
    aggregate?: Maybe<Spot_Inscription_Aggregate_Fields>;
    nodes: Array<Spot_Inscription>;
};
/** aggregate fields of "spot_inscription" */
export type Spot_Inscription_Aggregate_Fields = {
    __typename?: 'spot_inscription_aggregate_fields';
    avg?: Maybe<Spot_Inscription_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Spot_Inscription_Max_Fields>;
    min?: Maybe<Spot_Inscription_Min_Fields>;
    stddev?: Maybe<Spot_Inscription_Stddev_Fields>;
    stddev_pop?: Maybe<Spot_Inscription_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Spot_Inscription_Stddev_Samp_Fields>;
    sum?: Maybe<Spot_Inscription_Sum_Fields>;
    var_pop?: Maybe<Spot_Inscription_Var_Pop_Fields>;
    var_samp?: Maybe<Spot_Inscription_Var_Samp_Fields>;
    variance?: Maybe<Spot_Inscription_Variance_Fields>;
};
/** aggregate fields of "spot_inscription" */
export type Spot_Inscription_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Spot_Inscription_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Spot_Inscription_Avg_Fields = {
    __typename?: 'spot_inscription_avg_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "spot_inscription". All fields are combined with a logical 'AND'. */
export type Spot_Inscription_Bool_Exp = {
    _and?: InputMaybe<Array<Spot_Inscription_Bool_Exp>>;
    _not?: InputMaybe<Spot_Inscription_Bool_Exp>;
    _or?: InputMaybe<Array<Spot_Inscription_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    inscription_id?: InputMaybe<Int_Comparison_Exp>;
    spot_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "spot_inscription" */
export declare enum Spot_Inscription_Constraint {
    /** unique or primary key constraint on columns "id" */
    SpotInscriptionPkey = "spot_inscription_pkey"
}
/** input type for incrementing numeric columns in table "spot_inscription" */
export type Spot_Inscription_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    inscription_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "spot_inscription" */
export type Spot_Inscription_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    inscription_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Spot_Inscription_Max_Fields = {
    __typename?: 'spot_inscription_max_fields';
    id?: Maybe<Scalars['Int']>;
    inscription_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Spot_Inscription_Min_Fields = {
    __typename?: 'spot_inscription_min_fields';
    id?: Maybe<Scalars['Int']>;
    inscription_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "spot_inscription" */
export type Spot_Inscription_Mutation_Response = {
    __typename?: 'spot_inscription_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Spot_Inscription>;
};
/** on_conflict condition type for table "spot_inscription" */
export type Spot_Inscription_On_Conflict = {
    constraint: Spot_Inscription_Constraint;
    update_columns?: Array<Spot_Inscription_Update_Column>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
/** Ordering options when selecting data from "spot_inscription". */
export type Spot_Inscription_Order_By = {
    id?: InputMaybe<Order_By>;
    inscription_id?: InputMaybe<Order_By>;
    spot_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: spot_inscription */
export type Spot_Inscription_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "spot_inscription" */
export declare enum Spot_Inscription_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    InscriptionId = "inscription_id",
    /** column name */
    SpotId = "spot_id"
}
/** input type for updating data in table "spot_inscription" */
export type Spot_Inscription_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    inscription_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Spot_Inscription_Stddev_Fields = {
    __typename?: 'spot_inscription_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Spot_Inscription_Stddev_Pop_Fields = {
    __typename?: 'spot_inscription_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Spot_Inscription_Stddev_Samp_Fields = {
    __typename?: 'spot_inscription_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "spot_inscription" */
export type Spot_Inscription_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Spot_Inscription_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Spot_Inscription_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    inscription_id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Spot_Inscription_Sum_Fields = {
    __typename?: 'spot_inscription_sum_fields';
    id?: Maybe<Scalars['Int']>;
    inscription_id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "spot_inscription" */
export declare enum Spot_Inscription_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    InscriptionId = "inscription_id",
    /** column name */
    SpotId = "spot_id"
}
export type Spot_Inscription_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Spot_Inscription_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Spot_Inscription_Set_Input>;
    /** filter the rows which have to be updated */
    where: Spot_Inscription_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Spot_Inscription_Var_Pop_Fields = {
    __typename?: 'spot_inscription_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Spot_Inscription_Var_Samp_Fields = {
    __typename?: 'spot_inscription_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Spot_Inscription_Variance_Fields = {
    __typename?: 'spot_inscription_variance_fields';
    id?: Maybe<Scalars['Float']>;
    inscription_id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
};
/** input type for inserting data into table "spot" */
export type Spot_Insert_Input = {
    entrypoint?: InputMaybe<Entrypoint_Obj_Rel_Insert_Input>;
    entrypoint_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location?: InputMaybe<Location_Obj_Rel_Insert_Input>;
    location_id?: InputMaybe<Scalars['Int']>;
    maintainer?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    maintainer_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    policy?: InputMaybe<Spot_Policy_Obj_Rel_Insert_Input>;
    privacy?: InputMaybe<Resource_Privacy_Obj_Rel_Insert_Input>;
    privacy_id?: InputMaybe<Scalars['Int']>;
    spot_type_id?: InputMaybe<Scalars['Int']>;
    type?: InputMaybe<Spot_Type_Obj_Rel_Insert_Input>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
    usage_policy_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Spot_Max_Fields = {
    __typename?: 'spot_max_fields';
    entrypoint_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_id?: Maybe<Scalars['Int']>;
    maintainer_id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    privacy_id?: Maybe<Scalars['Int']>;
    spot_type_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
    usage_policy_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Spot_Min_Fields = {
    __typename?: 'spot_min_fields';
    entrypoint_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_id?: Maybe<Scalars['Int']>;
    maintainer_id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    privacy_id?: Maybe<Scalars['Int']>;
    spot_type_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
    usage_policy_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "spot" */
export type Spot_Mutation_Response = {
    __typename?: 'spot_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Spot>;
};
/** input type for inserting object relation for remote table "spot" */
export type Spot_Obj_Rel_Insert_Input = {
    data: Spot_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Spot_On_Conflict>;
};
/** on_conflict condition type for table "spot" */
export type Spot_On_Conflict = {
    constraint: Spot_Constraint;
    update_columns?: Array<Spot_Update_Column>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
/** Ordering options when selecting data from "spot". */
export type Spot_Order_By = {
    entrypoint?: InputMaybe<Entrypoint_Order_By>;
    entrypoint_id?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    location?: InputMaybe<Location_Order_By>;
    location_id?: InputMaybe<Order_By>;
    maintainer?: InputMaybe<Treasure_User_Order_By>;
    maintainer_id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    policy?: InputMaybe<Spot_Policy_Order_By>;
    privacy?: InputMaybe<Resource_Privacy_Order_By>;
    privacy_id?: InputMaybe<Order_By>;
    spot_type_id?: InputMaybe<Order_By>;
    type?: InputMaybe<Spot_Type_Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
    usage_policy_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: spot */
export type Spot_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "spot_policy" */
export type Spot_Policy = {
    __typename?: 'spot_policy';
    id: Scalars['Int'];
    is_shown_search: Scalars['Boolean'];
    /** An object relationship */
    resourcePolicy: Resource_Policy;
    resource_policy_id: Scalars['Int'];
    task_list_id?: Maybe<Scalars['Boolean']>;
};
/** aggregated selection of "spot_policy" */
export type Spot_Policy_Aggregate = {
    __typename?: 'spot_policy_aggregate';
    aggregate?: Maybe<Spot_Policy_Aggregate_Fields>;
    nodes: Array<Spot_Policy>;
};
/** aggregate fields of "spot_policy" */
export type Spot_Policy_Aggregate_Fields = {
    __typename?: 'spot_policy_aggregate_fields';
    avg?: Maybe<Spot_Policy_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Spot_Policy_Max_Fields>;
    min?: Maybe<Spot_Policy_Min_Fields>;
    stddev?: Maybe<Spot_Policy_Stddev_Fields>;
    stddev_pop?: Maybe<Spot_Policy_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Spot_Policy_Stddev_Samp_Fields>;
    sum?: Maybe<Spot_Policy_Sum_Fields>;
    var_pop?: Maybe<Spot_Policy_Var_Pop_Fields>;
    var_samp?: Maybe<Spot_Policy_Var_Samp_Fields>;
    variance?: Maybe<Spot_Policy_Variance_Fields>;
};
/** aggregate fields of "spot_policy" */
export type Spot_Policy_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Spot_Policy_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Spot_Policy_Avg_Fields = {
    __typename?: 'spot_policy_avg_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "spot_policy". All fields are combined with a logical 'AND'. */
export type Spot_Policy_Bool_Exp = {
    _and?: InputMaybe<Array<Spot_Policy_Bool_Exp>>;
    _not?: InputMaybe<Spot_Policy_Bool_Exp>;
    _or?: InputMaybe<Array<Spot_Policy_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_shown_search?: InputMaybe<Boolean_Comparison_Exp>;
    resourcePolicy?: InputMaybe<Resource_Policy_Bool_Exp>;
    resource_policy_id?: InputMaybe<Int_Comparison_Exp>;
    task_list_id?: InputMaybe<Boolean_Comparison_Exp>;
};
/** unique or primary key constraints on table "spot_policy" */
export declare enum Spot_Policy_Constraint {
    /** unique or primary key constraint on columns "id" */
    SpotPolicyPkey = "spot_policy_pkey"
}
/** input type for incrementing numeric columns in table "spot_policy" */
export type Spot_Policy_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    resource_policy_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "spot_policy" */
export type Spot_Policy_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_shown_search?: InputMaybe<Scalars['Boolean']>;
    resourcePolicy?: InputMaybe<Resource_Policy_Obj_Rel_Insert_Input>;
    resource_policy_id?: InputMaybe<Scalars['Int']>;
    task_list_id?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate max on columns */
export type Spot_Policy_Max_Fields = {
    __typename?: 'spot_policy_max_fields';
    id?: Maybe<Scalars['Int']>;
    resource_policy_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Spot_Policy_Min_Fields = {
    __typename?: 'spot_policy_min_fields';
    id?: Maybe<Scalars['Int']>;
    resource_policy_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "spot_policy" */
export type Spot_Policy_Mutation_Response = {
    __typename?: 'spot_policy_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Spot_Policy>;
};
/** input type for inserting object relation for remote table "spot_policy" */
export type Spot_Policy_Obj_Rel_Insert_Input = {
    data: Spot_Policy_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Spot_Policy_On_Conflict>;
};
/** on_conflict condition type for table "spot_policy" */
export type Spot_Policy_On_Conflict = {
    constraint: Spot_Policy_Constraint;
    update_columns?: Array<Spot_Policy_Update_Column>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
/** Ordering options when selecting data from "spot_policy". */
export type Spot_Policy_Order_By = {
    id?: InputMaybe<Order_By>;
    is_shown_search?: InputMaybe<Order_By>;
    resourcePolicy?: InputMaybe<Resource_Policy_Order_By>;
    resource_policy_id?: InputMaybe<Order_By>;
    task_list_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: spot_policy */
export type Spot_Policy_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "spot_policy" */
export declare enum Spot_Policy_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsShownSearch = "is_shown_search",
    /** column name */
    ResourcePolicyId = "resource_policy_id",
    /** column name */
    TaskListId = "task_list_id"
}
/** input type for updating data in table "spot_policy" */
export type Spot_Policy_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_shown_search?: InputMaybe<Scalars['Boolean']>;
    resource_policy_id?: InputMaybe<Scalars['Int']>;
    task_list_id?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate stddev on columns */
export type Spot_Policy_Stddev_Fields = {
    __typename?: 'spot_policy_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Spot_Policy_Stddev_Pop_Fields = {
    __typename?: 'spot_policy_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Spot_Policy_Stddev_Samp_Fields = {
    __typename?: 'spot_policy_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "spot_policy" */
export type Spot_Policy_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Spot_Policy_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Spot_Policy_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_shown_search?: InputMaybe<Scalars['Boolean']>;
    resource_policy_id?: InputMaybe<Scalars['Int']>;
    task_list_id?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate sum on columns */
export type Spot_Policy_Sum_Fields = {
    __typename?: 'spot_policy_sum_fields';
    id?: Maybe<Scalars['Int']>;
    resource_policy_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "spot_policy" */
export declare enum Spot_Policy_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsShownSearch = "is_shown_search",
    /** column name */
    ResourcePolicyId = "resource_policy_id",
    /** column name */
    TaskListId = "task_list_id"
}
export type Spot_Policy_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Spot_Policy_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Spot_Policy_Set_Input>;
    /** filter the rows which have to be updated */
    where: Spot_Policy_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Spot_Policy_Var_Pop_Fields = {
    __typename?: 'spot_policy_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Spot_Policy_Var_Samp_Fields = {
    __typename?: 'spot_policy_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Spot_Policy_Variance_Fields = {
    __typename?: 'spot_policy_variance_fields';
    id?: Maybe<Scalars['Float']>;
    resource_policy_id?: Maybe<Scalars['Float']>;
};
/** select columns of table "spot" */
export declare enum Spot_Select_Column {
    /** column name */
    EntrypointId = "entrypoint_id",
    /** column name */
    Id = "id",
    /** column name */
    LocationId = "location_id",
    /** column name */
    MaintainerId = "maintainer_id",
    /** column name */
    Name = "name",
    /** column name */
    PrivacyId = "privacy_id",
    /** column name */
    SpotTypeId = "spot_type_id",
    /** column name */
    UniverseId = "universe_id",
    /** column name */
    UsagePolicyId = "usage_policy_id"
}
/** input type for updating data in table "spot" */
export type Spot_Set_Input = {
    entrypoint_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_id?: InputMaybe<Scalars['Int']>;
    maintainer_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    privacy_id?: InputMaybe<Scalars['Int']>;
    spot_type_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
    usage_policy_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Spot_Stddev_Fields = {
    __typename?: 'spot_stddev_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Spot_Stddev_Pop_Fields = {
    __typename?: 'spot_stddev_pop_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Spot_Stddev_Samp_Fields = {
    __typename?: 'spot_stddev_samp_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "spot" */
export type Spot_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Spot_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Spot_Stream_Cursor_Value_Input = {
    entrypoint_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    location_id?: InputMaybe<Scalars['Int']>;
    maintainer_id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    privacy_id?: InputMaybe<Scalars['Int']>;
    spot_type_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
    usage_policy_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Spot_Sum_Fields = {
    __typename?: 'spot_sum_fields';
    entrypoint_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    location_id?: Maybe<Scalars['Int']>;
    maintainer_id?: Maybe<Scalars['Int']>;
    privacy_id?: Maybe<Scalars['Int']>;
    spot_type_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
    usage_policy_id?: Maybe<Scalars['Int']>;
};
/** columns and relationships of "spot_type" */
export type Spot_Type = {
    __typename?: 'spot_type';
    id: Scalars['Int'];
    is_remote: Scalars['Boolean'];
    is_virtual: Scalars['Boolean'];
    name: Scalars['String'];
};
/** aggregated selection of "spot_type" */
export type Spot_Type_Aggregate = {
    __typename?: 'spot_type_aggregate';
    aggregate?: Maybe<Spot_Type_Aggregate_Fields>;
    nodes: Array<Spot_Type>;
};
/** aggregate fields of "spot_type" */
export type Spot_Type_Aggregate_Fields = {
    __typename?: 'spot_type_aggregate_fields';
    avg?: Maybe<Spot_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Spot_Type_Max_Fields>;
    min?: Maybe<Spot_Type_Min_Fields>;
    stddev?: Maybe<Spot_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Spot_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Spot_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Spot_Type_Sum_Fields>;
    var_pop?: Maybe<Spot_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Spot_Type_Var_Samp_Fields>;
    variance?: Maybe<Spot_Type_Variance_Fields>;
};
/** aggregate fields of "spot_type" */
export type Spot_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Spot_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Spot_Type_Avg_Fields = {
    __typename?: 'spot_type_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "spot_type". All fields are combined with a logical 'AND'. */
export type Spot_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Spot_Type_Bool_Exp>>;
    _not?: InputMaybe<Spot_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Spot_Type_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_remote?: InputMaybe<Boolean_Comparison_Exp>;
    is_virtual?: InputMaybe<Boolean_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "spot_type" */
export declare enum Spot_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    SpotTypePkey = "spot_type_pkey"
}
/** input type for incrementing numeric columns in table "spot_type" */
export type Spot_Type_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "spot_type" */
export type Spot_Type_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_remote?: InputMaybe<Scalars['Boolean']>;
    is_virtual?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Spot_Type_Max_Fields = {
    __typename?: 'spot_type_max_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Spot_Type_Min_Fields = {
    __typename?: 'spot_type_min_fields';
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "spot_type" */
export type Spot_Type_Mutation_Response = {
    __typename?: 'spot_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Spot_Type>;
};
/** input type for inserting object relation for remote table "spot_type" */
export type Spot_Type_Obj_Rel_Insert_Input = {
    data: Spot_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Spot_Type_On_Conflict>;
};
/** on_conflict condition type for table "spot_type" */
export type Spot_Type_On_Conflict = {
    constraint: Spot_Type_Constraint;
    update_columns?: Array<Spot_Type_Update_Column>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "spot_type". */
export type Spot_Type_Order_By = {
    id?: InputMaybe<Order_By>;
    is_remote?: InputMaybe<Order_By>;
    is_virtual?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
};
/** primary key columns input for table: spot_type */
export type Spot_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "spot_type" */
export declare enum Spot_Type_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsRemote = "is_remote",
    /** column name */
    IsVirtual = "is_virtual",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "spot_type" */
export type Spot_Type_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_remote?: InputMaybe<Scalars['Boolean']>;
    is_virtual?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Spot_Type_Stddev_Fields = {
    __typename?: 'spot_type_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Spot_Type_Stddev_Pop_Fields = {
    __typename?: 'spot_type_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Spot_Type_Stddev_Samp_Fields = {
    __typename?: 'spot_type_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "spot_type" */
export type Spot_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Spot_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Spot_Type_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_remote?: InputMaybe<Scalars['Boolean']>;
    is_virtual?: InputMaybe<Scalars['Boolean']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Spot_Type_Sum_Fields = {
    __typename?: 'spot_type_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "spot_type" */
export declare enum Spot_Type_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsRemote = "is_remote",
    /** column name */
    IsVirtual = "is_virtual",
    /** column name */
    Name = "name"
}
export type Spot_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Spot_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Spot_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Spot_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Spot_Type_Var_Pop_Fields = {
    __typename?: 'spot_type_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Spot_Type_Var_Samp_Fields = {
    __typename?: 'spot_type_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Spot_Type_Variance_Fields = {
    __typename?: 'spot_type_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** update columns of table "spot" */
export declare enum Spot_Update_Column {
    /** column name */
    EntrypointId = "entrypoint_id",
    /** column name */
    Id = "id",
    /** column name */
    LocationId = "location_id",
    /** column name */
    MaintainerId = "maintainer_id",
    /** column name */
    Name = "name",
    /** column name */
    PrivacyId = "privacy_id",
    /** column name */
    SpotTypeId = "spot_type_id",
    /** column name */
    UniverseId = "universe_id",
    /** column name */
    UsagePolicyId = "usage_policy_id"
}
export type Spot_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Spot_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Spot_Set_Input>;
    /** filter the rows which have to be updated */
    where: Spot_Bool_Exp;
};
/** columns and relationships of "spot_user" */
export type Spot_User = {
    __typename?: 'spot_user';
    id: Scalars['Int'];
    is_discovered: Scalars['Boolean'];
    is_visited: Scalars['Boolean'];
    /** An object relationship */
    spot: Spot;
    spot_id: Scalars['Int'];
    /** An object relationship */
    user: Treasure_User;
    user_id: Scalars['Int'];
};
/** aggregated selection of "spot_user" */
export type Spot_User_Aggregate = {
    __typename?: 'spot_user_aggregate';
    aggregate?: Maybe<Spot_User_Aggregate_Fields>;
    nodes: Array<Spot_User>;
};
/** aggregate fields of "spot_user" */
export type Spot_User_Aggregate_Fields = {
    __typename?: 'spot_user_aggregate_fields';
    avg?: Maybe<Spot_User_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Spot_User_Max_Fields>;
    min?: Maybe<Spot_User_Min_Fields>;
    stddev?: Maybe<Spot_User_Stddev_Fields>;
    stddev_pop?: Maybe<Spot_User_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Spot_User_Stddev_Samp_Fields>;
    sum?: Maybe<Spot_User_Sum_Fields>;
    var_pop?: Maybe<Spot_User_Var_Pop_Fields>;
    var_samp?: Maybe<Spot_User_Var_Samp_Fields>;
    variance?: Maybe<Spot_User_Variance_Fields>;
};
/** aggregate fields of "spot_user" */
export type Spot_User_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Spot_User_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Spot_User_Avg_Fields = {
    __typename?: 'spot_user_avg_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "spot_user". All fields are combined with a logical 'AND'. */
export type Spot_User_Bool_Exp = {
    _and?: InputMaybe<Array<Spot_User_Bool_Exp>>;
    _not?: InputMaybe<Spot_User_Bool_Exp>;
    _or?: InputMaybe<Array<Spot_User_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    is_discovered?: InputMaybe<Boolean_Comparison_Exp>;
    is_visited?: InputMaybe<Boolean_Comparison_Exp>;
    spot?: InputMaybe<Spot_Bool_Exp>;
    spot_id?: InputMaybe<Int_Comparison_Exp>;
    user?: InputMaybe<Treasure_User_Bool_Exp>;
    user_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "spot_user" */
export declare enum Spot_User_Constraint {
    /** unique or primary key constraint on columns "id" */
    SpotUserPkey = "spot_user_pkey"
}
/** input type for incrementing numeric columns in table "spot_user" */
export type Spot_User_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "spot_user" */
export type Spot_User_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_discovered?: InputMaybe<Scalars['Boolean']>;
    is_visited?: InputMaybe<Scalars['Boolean']>;
    spot?: InputMaybe<Spot_Obj_Rel_Insert_Input>;
    spot_id?: InputMaybe<Scalars['Int']>;
    user?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Spot_User_Max_Fields = {
    __typename?: 'spot_user_max_fields';
    id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Spot_User_Min_Fields = {
    __typename?: 'spot_user_min_fields';
    id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "spot_user" */
export type Spot_User_Mutation_Response = {
    __typename?: 'spot_user_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Spot_User>;
};
/** on_conflict condition type for table "spot_user" */
export type Spot_User_On_Conflict = {
    constraint: Spot_User_Constraint;
    update_columns?: Array<Spot_User_Update_Column>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
/** Ordering options when selecting data from "spot_user". */
export type Spot_User_Order_By = {
    id?: InputMaybe<Order_By>;
    is_discovered?: InputMaybe<Order_By>;
    is_visited?: InputMaybe<Order_By>;
    spot?: InputMaybe<Spot_Order_By>;
    spot_id?: InputMaybe<Order_By>;
    user?: InputMaybe<Treasure_User_Order_By>;
    user_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: spot_user */
export type Spot_User_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "spot_user" */
export declare enum Spot_User_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsDiscovered = "is_discovered",
    /** column name */
    IsVisited = "is_visited",
    /** column name */
    SpotId = "spot_id",
    /** column name */
    UserId = "user_id"
}
/** input type for updating data in table "spot_user" */
export type Spot_User_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_discovered?: InputMaybe<Scalars['Boolean']>;
    is_visited?: InputMaybe<Scalars['Boolean']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Spot_User_Stddev_Fields = {
    __typename?: 'spot_user_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Spot_User_Stddev_Pop_Fields = {
    __typename?: 'spot_user_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Spot_User_Stddev_Samp_Fields = {
    __typename?: 'spot_user_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "spot_user" */
export type Spot_User_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Spot_User_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Spot_User_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    is_discovered?: InputMaybe<Scalars['Boolean']>;
    is_visited?: InputMaybe<Scalars['Boolean']>;
    spot_id?: InputMaybe<Scalars['Int']>;
    user_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Spot_User_Sum_Fields = {
    __typename?: 'spot_user_sum_fields';
    id?: Maybe<Scalars['Int']>;
    spot_id?: Maybe<Scalars['Int']>;
    user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "spot_user" */
export declare enum Spot_User_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    IsDiscovered = "is_discovered",
    /** column name */
    IsVisited = "is_visited",
    /** column name */
    SpotId = "spot_id",
    /** column name */
    UserId = "user_id"
}
export type Spot_User_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Spot_User_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Spot_User_Set_Input>;
    /** filter the rows which have to be updated */
    where: Spot_User_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Spot_User_Var_Pop_Fields = {
    __typename?: 'spot_user_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Spot_User_Var_Samp_Fields = {
    __typename?: 'spot_user_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Spot_User_Variance_Fields = {
    __typename?: 'spot_user_variance_fields';
    id?: Maybe<Scalars['Float']>;
    spot_id?: Maybe<Scalars['Float']>;
    user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_pop on columns */
export type Spot_Var_Pop_Fields = {
    __typename?: 'spot_var_pop_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Spot_Var_Samp_Fields = {
    __typename?: 'spot_var_samp_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Spot_Variance_Fields = {
    __typename?: 'spot_variance_fields';
    entrypoint_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    location_id?: Maybe<Scalars['Float']>;
    maintainer_id?: Maybe<Scalars['Float']>;
    privacy_id?: Maybe<Scalars['Float']>;
    spot_type_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
    usage_policy_id?: Maybe<Scalars['Float']>;
};
export type St_D_Within_Geography_Input = {
    distance: Scalars['Float'];
    from: Scalars['geography'];
    use_spheroid?: InputMaybe<Scalars['Boolean']>;
};
export type St_D_Within_Input = {
    distance: Scalars['Float'];
    from: Scalars['geometry'];
};
export type Subscription_Root = {
    __typename?: 'subscription_root';
    /** fetch data from the table: "alarm" */
    alarm: Array<Alarm>;
    /** fetch aggregated fields from the table: "alarm" */
    alarm_aggregate: Alarm_Aggregate;
    /** fetch data from the table: "alarm" using primary key columns */
    alarm_by_pk?: Maybe<Alarm>;
    /** fetch data from the table in a streaming manner: "alarm" */
    alarm_stream: Array<Alarm>;
    /** fetch data from the table: "animation_stage" */
    animation_stage: Array<Animation_Stage>;
    /** fetch aggregated fields from the table: "animation_stage" */
    animation_stage_aggregate: Animation_Stage_Aggregate;
    /** fetch data from the table: "animation_stage" using primary key columns */
    animation_stage_by_pk?: Maybe<Animation_Stage>;
    /** fetch data from the table in a streaming manner: "animation_stage" */
    animation_stage_stream: Array<Animation_Stage>;
    /** fetch data from the table: "answer" */
    answer: Array<Answer>;
    /** fetch aggregated fields from the table: "answer" */
    answer_aggregate: Answer_Aggregate;
    /** fetch data from the table: "answer" using primary key columns */
    answer_by_pk?: Maybe<Answer>;
    /** fetch data from the table in a streaming manner: "answer" */
    answer_stream: Array<Answer>;
    /** fetch data from the table: "answer_type" */
    answer_type: Array<Answer_Type>;
    /** fetch aggregated fields from the table: "answer_type" */
    answer_type_aggregate: Answer_Type_Aggregate;
    /** fetch data from the table: "answer_type" using primary key columns */
    answer_type_by_pk?: Maybe<Answer_Type>;
    /** fetch data from the table in a streaming manner: "answer_type" */
    answer_type_stream: Array<Answer_Type>;
    /** fetch data from the table: "area" */
    area: Array<Area>;
    /** fetch aggregated fields from the table: "area" */
    area_aggregate: Area_Aggregate;
    /** fetch data from the table: "area" using primary key columns */
    area_by_pk?: Maybe<Area>;
    /** fetch data from the table in a streaming manner: "area" */
    area_stream: Array<Area>;
    /** fetch data from the table: "auth.account_providers" */
    auth_account_providers: Array<Auth_Account_Providers>;
    /** fetch aggregated fields from the table: "auth.account_providers" */
    auth_account_providers_aggregate: Auth_Account_Providers_Aggregate;
    /** fetch data from the table: "auth.account_providers" using primary key columns */
    auth_account_providers_by_pk?: Maybe<Auth_Account_Providers>;
    /** fetch data from the table in a streaming manner: "auth.account_providers" */
    auth_account_providers_stream: Array<Auth_Account_Providers>;
    /** fetch data from the table: "auth.account_roles" */
    auth_account_roles: Array<Auth_Account_Roles>;
    /** fetch aggregated fields from the table: "auth.account_roles" */
    auth_account_roles_aggregate: Auth_Account_Roles_Aggregate;
    /** fetch data from the table: "auth.account_roles" using primary key columns */
    auth_account_roles_by_pk?: Maybe<Auth_Account_Roles>;
    /** fetch data from the table in a streaming manner: "auth.account_roles" */
    auth_account_roles_stream: Array<Auth_Account_Roles>;
    /** fetch data from the table: "auth.accounts" */
    auth_accounts: Array<Auth_Accounts>;
    /** fetch aggregated fields from the table: "auth.accounts" */
    auth_accounts_aggregate: Auth_Accounts_Aggregate;
    /** fetch data from the table: "auth.accounts" using primary key columns */
    auth_accounts_by_pk?: Maybe<Auth_Accounts>;
    /** fetch data from the table in a streaming manner: "auth.accounts" */
    auth_accounts_stream: Array<Auth_Accounts>;
    /** fetch data from the table: "auth.providers" */
    auth_providers: Array<Auth_Providers>;
    /** fetch aggregated fields from the table: "auth.providers" */
    auth_providers_aggregate: Auth_Providers_Aggregate;
    /** fetch data from the table: "auth.providers" using primary key columns */
    auth_providers_by_pk?: Maybe<Auth_Providers>;
    /** fetch data from the table in a streaming manner: "auth.providers" */
    auth_providers_stream: Array<Auth_Providers>;
    /** fetch data from the table: "auth.refresh_tokens" */
    auth_refresh_tokens: Array<Auth_Refresh_Tokens>;
    /** fetch aggregated fields from the table: "auth.refresh_tokens" */
    auth_refresh_tokens_aggregate: Auth_Refresh_Tokens_Aggregate;
    /** fetch data from the table: "auth.refresh_tokens" using primary key columns */
    auth_refresh_tokens_by_pk?: Maybe<Auth_Refresh_Tokens>;
    /** fetch data from the table in a streaming manner: "auth.refresh_tokens" */
    auth_refresh_tokens_stream: Array<Auth_Refresh_Tokens>;
    /** fetch data from the table: "auth.roles" */
    auth_roles: Array<Auth_Roles>;
    /** fetch aggregated fields from the table: "auth.roles" */
    auth_roles_aggregate: Auth_Roles_Aggregate;
    /** fetch data from the table: "auth.roles" using primary key columns */
    auth_roles_by_pk?: Maybe<Auth_Roles>;
    /** fetch data from the table in a streaming manner: "auth.roles" */
    auth_roles_stream: Array<Auth_Roles>;
    /** fetch data from the table: "badge" */
    badge: Array<Badge>;
    /** fetch aggregated fields from the table: "badge" */
    badge_aggregate: Badge_Aggregate;
    /** fetch data from the table: "badge" using primary key columns */
    badge_by_pk?: Maybe<Badge>;
    /** fetch data from the table: "badge_category" */
    badge_category: Array<Badge_Category>;
    /** fetch aggregated fields from the table: "badge_category" */
    badge_category_aggregate: Badge_Category_Aggregate;
    /** fetch data from the table: "badge_category" using primary key columns */
    badge_category_by_pk?: Maybe<Badge_Category>;
    /** fetch data from the table in a streaming manner: "badge_category" */
    badge_category_stream: Array<Badge_Category>;
    /** fetch data from the table in a streaming manner: "badge" */
    badge_stream: Array<Badge>;
    /** fetch data from the table: "badge_type" */
    badge_type: Array<Badge_Type>;
    /** fetch aggregated fields from the table: "badge_type" */
    badge_type_aggregate: Badge_Type_Aggregate;
    /** fetch data from the table: "badge_type" using primary key columns */
    badge_type_by_pk?: Maybe<Badge_Type>;
    /** fetch data from the table in a streaming manner: "badge_type" */
    badge_type_stream: Array<Badge_Type>;
    /** fetch data from the table: "batch" */
    batch: Array<Batch>;
    /** fetch aggregated fields from the table: "batch" */
    batch_aggregate: Batch_Aggregate;
    /** fetch data from the table: "batch" using primary key columns */
    batch_by_pk?: Maybe<Batch>;
    /** fetch data from the table in a streaming manner: "batch" */
    batch_stream: Array<Batch>;
    /** fetch data from the table: "blueprint" */
    blueprint: Array<Blueprint>;
    /** fetch aggregated fields from the table: "blueprint" */
    blueprint_aggregate: Blueprint_Aggregate;
    /** fetch data from the table: "blueprint" using primary key columns */
    blueprint_by_pk?: Maybe<Blueprint>;
    /** fetch data from the table in a streaming manner: "blueprint" */
    blueprint_stream: Array<Blueprint>;
    /** fetch data from the table: "business_model_type" */
    business_model_type: Array<Business_Model_Type>;
    /** fetch aggregated fields from the table: "business_model_type" */
    business_model_type_aggregate: Business_Model_Type_Aggregate;
    /** fetch data from the table: "business_model_type" using primary key columns */
    business_model_type_by_pk?: Maybe<Business_Model_Type>;
    /** fetch data from the table in a streaming manner: "business_model_type" */
    business_model_type_stream: Array<Business_Model_Type>;
    /** fetch data from the table: "charge" */
    charge: Array<Charge>;
    /** fetch aggregated fields from the table: "charge" */
    charge_aggregate: Charge_Aggregate;
    /** fetch data from the table: "charge" using primary key columns */
    charge_by_pk?: Maybe<Charge>;
    /** fetch data from the table in a streaming manner: "charge" */
    charge_stream: Array<Charge>;
    /** fetch data from the table: "charger" */
    charger: Array<Charger>;
    /** fetch aggregated fields from the table: "charger" */
    charger_aggregate: Charger_Aggregate;
    /** fetch data from the table: "charger" using primary key columns */
    charger_by_pk?: Maybe<Charger>;
    /** fetch data from the table in a streaming manner: "charger" */
    charger_stream: Array<Charger>;
    /** fetch data from the table: "condition" */
    condition: Array<Condition>;
    /** fetch aggregated fields from the table: "condition" */
    condition_aggregate: Condition_Aggregate;
    /** fetch data from the table: "condition" using primary key columns */
    condition_by_pk?: Maybe<Condition>;
    /** fetch data from the table in a streaming manner: "condition" */
    condition_stream: Array<Condition>;
    /** fetch data from the table: "condition_type" */
    condition_type: Array<Condition_Type>;
    /** fetch aggregated fields from the table: "condition_type" */
    condition_type_aggregate: Condition_Type_Aggregate;
    /** fetch data from the table: "condition_type" using primary key columns */
    condition_type_by_pk?: Maybe<Condition_Type>;
    /** fetch data from the table in a streaming manner: "condition_type" */
    condition_type_stream: Array<Condition_Type>;
    /** fetch data from the table: "content" */
    content: Array<Content>;
    /** fetch aggregated fields from the table: "content" */
    content_aggregate: Content_Aggregate;
    /** fetch data from the table: "content" using primary key columns */
    content_by_pk?: Maybe<Content>;
    /** fetch data from the table in a streaming manner: "content" */
    content_stream: Array<Content>;
    /** fetch data from the table: "contract" */
    contract: Array<Contract>;
    /** fetch aggregated fields from the table: "contract" */
    contract_aggregate: Contract_Aggregate;
    /** fetch data from the table: "contract" using primary key columns */
    contract_by_pk?: Maybe<Contract>;
    /** fetch data from the table in a streaming manner: "contract" */
    contract_stream: Array<Contract>;
    /** fetch data from the table: "contract_type" */
    contract_type: Array<Contract_Type>;
    /** fetch aggregated fields from the table: "contract_type" */
    contract_type_aggregate: Contract_Type_Aggregate;
    /** fetch data from the table: "contract_type" using primary key columns */
    contract_type_by_pk?: Maybe<Contract_Type>;
    /** fetch data from the table in a streaming manner: "contract_type" */
    contract_type_stream: Array<Contract_Type>;
    /** fetch data from the table: "currency" */
    currency: Array<Currency>;
    /** fetch aggregated fields from the table: "currency" */
    currency_aggregate: Currency_Aggregate;
    /** fetch data from the table: "currency" using primary key columns */
    currency_by_pk?: Maybe<Currency>;
    /** fetch data from the table: "currency_exchange" */
    currency_exchange: Array<Currency_Exchange>;
    /** fetch aggregated fields from the table: "currency_exchange" */
    currency_exchange_aggregate: Currency_Exchange_Aggregate;
    /** fetch data from the table: "currency_exchange" using primary key columns */
    currency_exchange_by_pk?: Maybe<Currency_Exchange>;
    /** fetch data from the table in a streaming manner: "currency_exchange" */
    currency_exchange_stream: Array<Currency_Exchange>;
    /** fetch data from the table in a streaming manner: "currency" */
    currency_stream: Array<Currency>;
    /** fetch data from the table: "currency_type" */
    currency_type: Array<Currency_Type>;
    /** fetch aggregated fields from the table: "currency_type" */
    currency_type_aggregate: Currency_Type_Aggregate;
    /** fetch data from the table: "currency_type" using primary key columns */
    currency_type_by_pk?: Maybe<Currency_Type>;
    /** fetch data from the table in a streaming manner: "currency_type" */
    currency_type_stream: Array<Currency_Type>;
    /** fetch data from the table: "desktop_type" */
    desktop_type: Array<Desktop_Type>;
    /** fetch aggregated fields from the table: "desktop_type" */
    desktop_type_aggregate: Desktop_Type_Aggregate;
    /** fetch data from the table: "desktop_type" using primary key columns */
    desktop_type_by_pk?: Maybe<Desktop_Type>;
    /** fetch data from the table in a streaming manner: "desktop_type" */
    desktop_type_stream: Array<Desktop_Type>;
    /** fetch data from the table: "entrypoint" */
    entrypoint: Array<Entrypoint>;
    /** fetch aggregated fields from the table: "entrypoint" */
    entrypoint_aggregate: Entrypoint_Aggregate;
    /** fetch data from the table: "entrypoint" using primary key columns */
    entrypoint_by_pk?: Maybe<Entrypoint>;
    /** fetch data from the table in a streaming manner: "entrypoint" */
    entrypoint_stream: Array<Entrypoint>;
    /** fetch data from the table: "evaluator" */
    evaluator: Array<Evaluator>;
    /** fetch aggregated fields from the table: "evaluator" */
    evaluator_aggregate: Evaluator_Aggregate;
    /** fetch data from the table: "evaluator" using primary key columns */
    evaluator_by_pk?: Maybe<Evaluator>;
    /** fetch data from the table in a streaming manner: "evaluator" */
    evaluator_stream: Array<Evaluator>;
    /** fetch data from the table: "example" */
    example: Array<Example>;
    /** fetch aggregated fields from the table: "example" */
    example_aggregate: Example_Aggregate;
    /** fetch data from the table: "example" using primary key columns */
    example_by_pk?: Maybe<Example>;
    /** fetch data from the table in a streaming manner: "example" */
    example_stream: Array<Example>;
    /** fetch data from the table: "example_type" */
    example_type: Array<Example_Type>;
    /** fetch aggregated fields from the table: "example_type" */
    example_type_aggregate: Example_Type_Aggregate;
    /** fetch data from the table: "example_type" using primary key columns */
    example_type_by_pk?: Maybe<Example_Type>;
    /** fetch data from the table in a streaming manner: "example_type" */
    example_type_stream: Array<Example_Type>;
    /** fetch data from the table: "exhibition_determinant" */
    exhibition_determinant: Array<Exhibition_Determinant>;
    /** fetch aggregated fields from the table: "exhibition_determinant" */
    exhibition_determinant_aggregate: Exhibition_Determinant_Aggregate;
    /** fetch data from the table: "exhibition_determinant" using primary key columns */
    exhibition_determinant_by_pk?: Maybe<Exhibition_Determinant>;
    /** fetch data from the table in a streaming manner: "exhibition_determinant" */
    exhibition_determinant_stream: Array<Exhibition_Determinant>;
    /** fetch data from the table: "flag" */
    flag: Array<Flag>;
    /** fetch aggregated fields from the table: "flag" */
    flag_aggregate: Flag_Aggregate;
    /** fetch data from the table: "flag" using primary key columns */
    flag_by_pk?: Maybe<Flag>;
    /** fetch data from the table in a streaming manner: "flag" */
    flag_stream: Array<Flag>;
    /** fetch data from the table: "flag_type" */
    flag_type: Array<Flag_Type>;
    /** fetch aggregated fields from the table: "flag_type" */
    flag_type_aggregate: Flag_Type_Aggregate;
    /** fetch data from the table: "flag_type" using primary key columns */
    flag_type_by_pk?: Maybe<Flag_Type>;
    /** fetch data from the table in a streaming manner: "flag_type" */
    flag_type_stream: Array<Flag_Type>;
    /** fetch data from the table: "game" */
    game: Array<Game>;
    /** fetch data from the table: "game_action" */
    game_action: Array<Game_Action>;
    /** fetch aggregated fields from the table: "game_action" */
    game_action_aggregate: Game_Action_Aggregate;
    /** fetch data from the table: "game_action" using primary key columns */
    game_action_by_pk?: Maybe<Game_Action>;
    /** fetch data from the table in a streaming manner: "game_action" */
    game_action_stream: Array<Game_Action>;
    /** fetch aggregated fields from the table: "game" */
    game_aggregate: Game_Aggregate;
    /** fetch data from the table: "game" using primary key columns */
    game_by_pk?: Maybe<Game>;
    /** fetch data from the table: "game_design" */
    game_design: Array<Game_Design>;
    /** fetch aggregated fields from the table: "game_design" */
    game_design_aggregate: Game_Design_Aggregate;
    /** fetch data from the table: "game_design" using primary key columns */
    game_design_by_pk?: Maybe<Game_Design>;
    /** fetch data from the table in a streaming manner: "game_design" */
    game_design_stream: Array<Game_Design>;
    /** fetch data from the table: "game_group" */
    game_group: Array<Game_Group>;
    /** fetch aggregated fields from the table: "game_group" */
    game_group_aggregate: Game_Group_Aggregate;
    /** fetch data from the table: "game_group" using primary key columns */
    game_group_by_pk?: Maybe<Game_Group>;
    /** fetch data from the table in a streaming manner: "game_group" */
    game_group_stream: Array<Game_Group>;
    /** fetch data from the table: "game_hunter" */
    game_hunter: Array<Game_Hunter>;
    /** fetch aggregated fields from the table: "game_hunter" */
    game_hunter_aggregate: Game_Hunter_Aggregate;
    /** fetch data from the table: "game_hunter" using primary key columns */
    game_hunter_by_pk?: Maybe<Game_Hunter>;
    /** fetch data from the table in a streaming manner: "game_hunter" */
    game_hunter_stream: Array<Game_Hunter>;
    /** fetch data from the table: "game_management" */
    game_management: Array<Game_Management>;
    /** fetch aggregated fields from the table: "game_management" */
    game_management_aggregate: Game_Management_Aggregate;
    /** fetch data from the table: "game_management" using primary key columns */
    game_management_by_pk?: Maybe<Game_Management>;
    /** fetch data from the table in a streaming manner: "game_management" */
    game_management_stream: Array<Game_Management>;
    /** fetch data from the table: "game_operators" */
    game_operators: Array<Game_Operators>;
    /** fetch aggregated fields from the table: "game_operators" */
    game_operators_aggregate: Game_Operators_Aggregate;
    /** fetch data from the table: "game_operators" using primary key columns */
    game_operators_by_pk?: Maybe<Game_Operators>;
    /** fetch data from the table in a streaming manner: "game_operators" */
    game_operators_stream: Array<Game_Operators>;
    /** fetch data from the table: "game_record" */
    game_record: Array<Game_Record>;
    /** fetch aggregated fields from the table: "game_record" */
    game_record_aggregate: Game_Record_Aggregate;
    /** fetch data from the table: "game_record" using primary key columns */
    game_record_by_pk?: Maybe<Game_Record>;
    /** fetch data from the table in a streaming manner: "game_record" */
    game_record_stream: Array<Game_Record>;
    /** fetch data from the table: "game_requirement" */
    game_requirement: Array<Game_Requirement>;
    /** fetch aggregated fields from the table: "game_requirement" */
    game_requirement_aggregate: Game_Requirement_Aggregate;
    /** fetch data from the table: "game_requirement" using primary key columns */
    game_requirement_by_pk?: Maybe<Game_Requirement>;
    /** fetch data from the table in a streaming manner: "game_requirement" */
    game_requirement_stream: Array<Game_Requirement>;
    /** fetch data from the table: "game_state_type" */
    game_state_type: Array<Game_State_Type>;
    /** fetch aggregated fields from the table: "game_state_type" */
    game_state_type_aggregate: Game_State_Type_Aggregate;
    /** fetch data from the table: "game_state_type" using primary key columns */
    game_state_type_by_pk?: Maybe<Game_State_Type>;
    /** fetch data from the table in a streaming manner: "game_state_type" */
    game_state_type_stream: Array<Game_State_Type>;
    /** fetch data from the table in a streaming manner: "game" */
    game_stream: Array<Game>;
    /** fetch data from the table: "game_winner" */
    game_winner: Array<Game_Winner>;
    /** fetch aggregated fields from the table: "game_winner" */
    game_winner_aggregate: Game_Winner_Aggregate;
    /** fetch data from the table: "game_winner" using primary key columns */
    game_winner_by_pk?: Maybe<Game_Winner>;
    /** fetch data from the table in a streaming manner: "game_winner" */
    game_winner_stream: Array<Game_Winner>;
    /** fetch data from the table: "games_locus" */
    games_locus: Array<Games_Locus>;
    /** fetch aggregated fields from the table: "games_locus" */
    games_locus_aggregate: Games_Locus_Aggregate;
    /** fetch data from the table: "games_locus" using primary key columns */
    games_locus_by_pk?: Maybe<Games_Locus>;
    /** fetch data from the table in a streaming manner: "games_locus" */
    games_locus_stream: Array<Games_Locus>;
    /** fetch data from the table: "gift" */
    gift: Array<Gift>;
    /** fetch aggregated fields from the table: "gift" */
    gift_aggregate: Gift_Aggregate;
    /** fetch data from the table: "gift" using primary key columns */
    gift_by_pk?: Maybe<Gift>;
    /** fetch data from the table in a streaming manner: "gift" */
    gift_stream: Array<Gift>;
    /** fetch data from the table: "goods" */
    goods: Array<Goods>;
    /** fetch aggregated fields from the table: "goods" */
    goods_aggregate: Goods_Aggregate;
    /** fetch data from the table: "goods" using primary key columns */
    goods_by_pk?: Maybe<Goods>;
    /** fetch data from the table in a streaming manner: "goods" */
    goods_stream: Array<Goods>;
    /** fetch data from the table: "hier_type" */
    hier_type: Array<Hier_Type>;
    /** fetch aggregated fields from the table: "hier_type" */
    hier_type_aggregate: Hier_Type_Aggregate;
    /** fetch data from the table: "hier_type" using primary key columns */
    hier_type_by_pk?: Maybe<Hier_Type>;
    /** fetch data from the table in a streaming manner: "hier_type" */
    hier_type_stream: Array<Hier_Type>;
    /** fetch data from the table: "incognito" */
    incognito: Array<Incognito>;
    /** fetch aggregated fields from the table: "incognito" */
    incognito_aggregate: Incognito_Aggregate;
    /** fetch data from the table: "incognito" using primary key columns */
    incognito_by_pk?: Maybe<Incognito>;
    /** fetch data from the table in a streaming manner: "incognito" */
    incognito_stream: Array<Incognito>;
    /** fetch data from the table: "inscription" */
    inscription: Array<Inscription>;
    /** fetch aggregated fields from the table: "inscription" */
    inscription_aggregate: Inscription_Aggregate;
    /** fetch data from the table: "inscription" using primary key columns */
    inscription_by_pk?: Maybe<Inscription>;
    /** fetch data from the table in a streaming manner: "inscription" */
    inscription_stream: Array<Inscription>;
    /** fetch data from the table: "interface_type" */
    interface_type: Array<Interface_Type>;
    /** fetch aggregated fields from the table: "interface_type" */
    interface_type_aggregate: Interface_Type_Aggregate;
    /** fetch data from the table: "interface_type" using primary key columns */
    interface_type_by_pk?: Maybe<Interface_Type>;
    /** fetch data from the table in a streaming manner: "interface_type" */
    interface_type_stream: Array<Interface_Type>;
    /** fetch data from the table: "judge" */
    judge: Array<Judge>;
    /** fetch aggregated fields from the table: "judge" */
    judge_aggregate: Judge_Aggregate;
    /** fetch data from the table: "judge" using primary key columns */
    judge_by_pk?: Maybe<Judge>;
    /** fetch data from the table: "judge_display_type" */
    judge_display_type: Array<Judge_Display_Type>;
    /** fetch aggregated fields from the table: "judge_display_type" */
    judge_display_type_aggregate: Judge_Display_Type_Aggregate;
    /** fetch data from the table: "judge_display_type" using primary key columns */
    judge_display_type_by_pk?: Maybe<Judge_Display_Type>;
    /** fetch data from the table in a streaming manner: "judge_display_type" */
    judge_display_type_stream: Array<Judge_Display_Type>;
    /** fetch data from the table: "judge_entry" */
    judge_entry: Array<Judge_Entry>;
    /** fetch aggregated fields from the table: "judge_entry" */
    judge_entry_aggregate: Judge_Entry_Aggregate;
    /** fetch data from the table: "judge_entry" using primary key columns */
    judge_entry_by_pk?: Maybe<Judge_Entry>;
    /** fetch data from the table in a streaming manner: "judge_entry" */
    judge_entry_stream: Array<Judge_Entry>;
    /** fetch data from the table: "judge_role_type" */
    judge_role_type: Array<Judge_Role_Type>;
    /** fetch aggregated fields from the table: "judge_role_type" */
    judge_role_type_aggregate: Judge_Role_Type_Aggregate;
    /** fetch data from the table: "judge_role_type" using primary key columns */
    judge_role_type_by_pk?: Maybe<Judge_Role_Type>;
    /** fetch data from the table in a streaming manner: "judge_role_type" */
    judge_role_type_stream: Array<Judge_Role_Type>;
    /** fetch data from the table in a streaming manner: "judge" */
    judge_stream: Array<Judge>;
    /** fetch data from the table: "kairos" */
    kairos: Array<Kairos>;
    /** fetch aggregated fields from the table: "kairos" */
    kairos_aggregate: Kairos_Aggregate;
    /** fetch data from the table: "kairos" using primary key columns */
    kairos_by_pk?: Maybe<Kairos>;
    /** fetch data from the table in a streaming manner: "kairos" */
    kairos_stream: Array<Kairos>;
    /** fetch data from the table: "keyword_description" */
    keyword_description: Array<Keyword_Description>;
    /** fetch aggregated fields from the table: "keyword_description" */
    keyword_description_aggregate: Keyword_Description_Aggregate;
    /** fetch data from the table: "keyword_description" using primary key columns */
    keyword_description_by_pk?: Maybe<Keyword_Description>;
    /** fetch data from the table in a streaming manner: "keyword_description" */
    keyword_description_stream: Array<Keyword_Description>;
    /** fetch data from the table: "language" */
    language: Array<Language>;
    /** fetch aggregated fields from the table: "language" */
    language_aggregate: Language_Aggregate;
    /** fetch data from the table: "language" using primary key columns */
    language_by_pk?: Maybe<Language>;
    /** fetch data from the table in a streaming manner: "language" */
    language_stream: Array<Language>;
    /** fetch data from the table: "location" */
    location: Array<Location>;
    /** fetch aggregated fields from the table: "location" */
    location_aggregate: Location_Aggregate;
    /** fetch data from the table: "location" using primary key columns */
    location_by_pk?: Maybe<Location>;
    /** fetch data from the table in a streaming manner: "location" */
    location_stream: Array<Location>;
    /** fetch data from the table: "locus" */
    locus: Array<Locus>;
    /** fetch aggregated fields from the table: "locus" */
    locus_aggregate: Locus_Aggregate;
    /** fetch data from the table: "locus" using primary key columns */
    locus_by_pk?: Maybe<Locus>;
    /** fetch data from the table: "locus_imitate" */
    locus_imitate: Array<Locus_Imitate>;
    /** fetch aggregated fields from the table: "locus_imitate" */
    locus_imitate_aggregate: Locus_Imitate_Aggregate;
    /** fetch data from the table: "locus_imitate" using primary key columns */
    locus_imitate_by_pk?: Maybe<Locus_Imitate>;
    /** fetch data from the table in a streaming manner: "locus_imitate" */
    locus_imitate_stream: Array<Locus_Imitate>;
    /** fetch data from the table: "locus_member" */
    locus_member: Array<Locus_Member>;
    /** fetch aggregated fields from the table: "locus_member" */
    locus_member_aggregate: Locus_Member_Aggregate;
    /** fetch data from the table: "locus_member" using primary key columns */
    locus_member_by_pk?: Maybe<Locus_Member>;
    /** fetch data from the table in a streaming manner: "locus_member" */
    locus_member_stream: Array<Locus_Member>;
    /** fetch data from the table: "locus_operation_type" */
    locus_operation_type: Array<Locus_Operation_Type>;
    /** fetch aggregated fields from the table: "locus_operation_type" */
    locus_operation_type_aggregate: Locus_Operation_Type_Aggregate;
    /** fetch data from the table: "locus_operation_type" using primary key columns */
    locus_operation_type_by_pk?: Maybe<Locus_Operation_Type>;
    /** fetch data from the table in a streaming manner: "locus_operation_type" */
    locus_operation_type_stream: Array<Locus_Operation_Type>;
    /** fetch data from the table: "locus_policy" */
    locus_policy: Array<Locus_Policy>;
    /** fetch aggregated fields from the table: "locus_policy" */
    locus_policy_aggregate: Locus_Policy_Aggregate;
    /** fetch data from the table: "locus_policy" using primary key columns */
    locus_policy_by_pk?: Maybe<Locus_Policy>;
    /** fetch data from the table in a streaming manner: "locus_policy" */
    locus_policy_stream: Array<Locus_Policy>;
    /** fetch data from the table: "locus_state" */
    locus_state: Array<Locus_State>;
    /** fetch aggregated fields from the table: "locus_state" */
    locus_state_aggregate: Locus_State_Aggregate;
    /** fetch data from the table: "locus_state" using primary key columns */
    locus_state_by_pk?: Maybe<Locus_State>;
    /** fetch data from the table in a streaming manner: "locus_state" */
    locus_state_stream: Array<Locus_State>;
    /** fetch data from the table in a streaming manner: "locus" */
    locus_stream: Array<Locus>;
    /** fetch data from the table: "locus_theme" */
    locus_theme: Array<Locus_Theme>;
    /** fetch aggregated fields from the table: "locus_theme" */
    locus_theme_aggregate: Locus_Theme_Aggregate;
    /** fetch data from the table: "locus_theme" using primary key columns */
    locus_theme_by_pk?: Maybe<Locus_Theme>;
    /** fetch data from the table in a streaming manner: "locus_theme" */
    locus_theme_stream: Array<Locus_Theme>;
    /** fetch data from the table: "locus_type" */
    locus_type: Array<Locus_Type>;
    /** fetch aggregated fields from the table: "locus_type" */
    locus_type_aggregate: Locus_Type_Aggregate;
    /** fetch data from the table: "locus_type" using primary key columns */
    locus_type_by_pk?: Maybe<Locus_Type>;
    /** fetch data from the table in a streaming manner: "locus_type" */
    locus_type_stream: Array<Locus_Type>;
    /** fetch data from the table: "map" */
    map: Array<Map>;
    /** fetch aggregated fields from the table: "map" */
    map_aggregate: Map_Aggregate;
    /** fetch data from the table: "map" using primary key columns */
    map_by_pk?: Maybe<Map>;
    /** fetch data from the table: "map_condition_type" */
    map_condition_type: Array<Map_Condition_Type>;
    /** fetch aggregated fields from the table: "map_condition_type" */
    map_condition_type_aggregate: Map_Condition_Type_Aggregate;
    /** fetch data from the table: "map_condition_type" using primary key columns */
    map_condition_type_by_pk?: Maybe<Map_Condition_Type>;
    /** fetch data from the table in a streaming manner: "map_condition_type" */
    map_condition_type_stream: Array<Map_Condition_Type>;
    /** fetch data from the table: "map_effect" */
    map_effect: Array<Map_Effect>;
    /** fetch aggregated fields from the table: "map_effect" */
    map_effect_aggregate: Map_Effect_Aggregate;
    /** fetch data from the table: "map_effect" using primary key columns */
    map_effect_by_pk?: Maybe<Map_Effect>;
    /** fetch data from the table in a streaming manner: "map_effect" */
    map_effect_stream: Array<Map_Effect>;
    /** fetch data from the table: "map_effect_type" */
    map_effect_type: Array<Map_Effect_Type>;
    /** fetch aggregated fields from the table: "map_effect_type" */
    map_effect_type_aggregate: Map_Effect_Type_Aggregate;
    /** fetch data from the table: "map_effect_type" using primary key columns */
    map_effect_type_by_pk?: Maybe<Map_Effect_Type>;
    /** fetch data from the table in a streaming manner: "map_effect_type" */
    map_effect_type_stream: Array<Map_Effect_Type>;
    /** fetch data from the table: "map_item" */
    map_item: Array<Map_Item>;
    /** fetch aggregated fields from the table: "map_item" */
    map_item_aggregate: Map_Item_Aggregate;
    /** fetch data from the table: "map_item_animation" */
    map_item_animation: Array<Map_Item_Animation>;
    /** fetch aggregated fields from the table: "map_item_animation" */
    map_item_animation_aggregate: Map_Item_Animation_Aggregate;
    /** fetch data from the table: "map_item_animation" using primary key columns */
    map_item_animation_by_pk?: Maybe<Map_Item_Animation>;
    /** fetch data from the table in a streaming manner: "map_item_animation" */
    map_item_animation_stream: Array<Map_Item_Animation>;
    /** fetch data from the table: "map_item" using primary key columns */
    map_item_by_pk?: Maybe<Map_Item>;
    /** fetch data from the table: "map_item_state" */
    map_item_state: Array<Map_Item_State>;
    /** fetch aggregated fields from the table: "map_item_state" */
    map_item_state_aggregate: Map_Item_State_Aggregate;
    /** fetch data from the table: "map_item_state" using primary key columns */
    map_item_state_by_pk?: Maybe<Map_Item_State>;
    /** fetch data from the table in a streaming manner: "map_item_state" */
    map_item_state_stream: Array<Map_Item_State>;
    /** fetch data from the table in a streaming manner: "map_item" */
    map_item_stream: Array<Map_Item>;
    /** fetch data from the table in a streaming manner: "map" */
    map_stream: Array<Map>;
    /** fetch data from the table: "medium_type" */
    medium_type: Array<Medium_Type>;
    /** fetch aggregated fields from the table: "medium_type" */
    medium_type_aggregate: Medium_Type_Aggregate;
    /** fetch data from the table: "medium_type" using primary key columns */
    medium_type_by_pk?: Maybe<Medium_Type>;
    /** fetch data from the table in a streaming manner: "medium_type" */
    medium_type_stream: Array<Medium_Type>;
    /** fetch data from the table: "megaphone" */
    megaphone: Array<Megaphone>;
    /** fetch aggregated fields from the table: "megaphone" */
    megaphone_aggregate: Megaphone_Aggregate;
    /** fetch data from the table: "megaphone" using primary key columns */
    megaphone_by_pk?: Maybe<Megaphone>;
    /** fetch data from the table in a streaming manner: "megaphone" */
    megaphone_stream: Array<Megaphone>;
    /** fetch data from the table: "message" */
    message: Array<Message>;
    /** fetch aggregated fields from the table: "message" */
    message_aggregate: Message_Aggregate;
    /** fetch data from the table: "message" using primary key columns */
    message_by_pk?: Maybe<Message>;
    /** fetch data from the table in a streaming manner: "message" */
    message_stream: Array<Message>;
    /** fetch data from the table: "mold" */
    mold: Array<Mold>;
    /** fetch aggregated fields from the table: "mold" */
    mold_aggregate: Mold_Aggregate;
    /** fetch data from the table: "mold_blueprint" */
    mold_blueprint: Array<Mold_Blueprint>;
    /** fetch aggregated fields from the table: "mold_blueprint" */
    mold_blueprint_aggregate: Mold_Blueprint_Aggregate;
    /** fetch data from the table: "mold_blueprint" using primary key columns */
    mold_blueprint_by_pk?: Maybe<Mold_Blueprint>;
    /** fetch data from the table in a streaming manner: "mold_blueprint" */
    mold_blueprint_stream: Array<Mold_Blueprint>;
    /** fetch data from the table: "mold" using primary key columns */
    mold_by_pk?: Maybe<Mold>;
    /** fetch data from the table in a streaming manner: "mold" */
    mold_stream: Array<Mold>;
    /** fetch data from the table: "morsel_type" */
    morsel_type: Array<Morsel_Type>;
    /** fetch aggregated fields from the table: "morsel_type" */
    morsel_type_aggregate: Morsel_Type_Aggregate;
    /** fetch data from the table: "morsel_type" using primary key columns */
    morsel_type_by_pk?: Maybe<Morsel_Type>;
    /** fetch data from the table in a streaming manner: "morsel_type" */
    morsel_type_stream: Array<Morsel_Type>;
    /** fetch data from the table: "operation" */
    operation: Array<Operation>;
    /** fetch aggregated fields from the table: "operation" */
    operation_aggregate: Operation_Aggregate;
    /** fetch data from the table: "operation" using primary key columns */
    operation_by_pk?: Maybe<Operation>;
    /** fetch data from the table: "operation_maintain_type" */
    operation_maintain_type: Array<Operation_Maintain_Type>;
    /** fetch aggregated fields from the table: "operation_maintain_type" */
    operation_maintain_type_aggregate: Operation_Maintain_Type_Aggregate;
    /** fetch data from the table: "operation_maintain_type" using primary key columns */
    operation_maintain_type_by_pk?: Maybe<Operation_Maintain_Type>;
    /** fetch data from the table in a streaming manner: "operation_maintain_type" */
    operation_maintain_type_stream: Array<Operation_Maintain_Type>;
    /** fetch data from the table: "operation_operator" */
    operation_operator: Array<Operation_Operator>;
    /** fetch aggregated fields from the table: "operation_operator" */
    operation_operator_aggregate: Operation_Operator_Aggregate;
    /** fetch data from the table: "operation_operator" using primary key columns */
    operation_operator_by_pk?: Maybe<Operation_Operator>;
    /** fetch data from the table in a streaming manner: "operation_operator" */
    operation_operator_stream: Array<Operation_Operator>;
    /** fetch data from the table: "operation_setting_type" */
    operation_setting_type: Array<Operation_Setting_Type>;
    /** fetch aggregated fields from the table: "operation_setting_type" */
    operation_setting_type_aggregate: Operation_Setting_Type_Aggregate;
    /** fetch data from the table: "operation_setting_type" using primary key columns */
    operation_setting_type_by_pk?: Maybe<Operation_Setting_Type>;
    /** fetch data from the table in a streaming manner: "operation_setting_type" */
    operation_setting_type_stream: Array<Operation_Setting_Type>;
    /** fetch data from the table: "operation_state" */
    operation_state: Array<Operation_State>;
    /** fetch aggregated fields from the table: "operation_state" */
    operation_state_aggregate: Operation_State_Aggregate;
    /** fetch data from the table: "operation_state" using primary key columns */
    operation_state_by_pk?: Maybe<Operation_State>;
    /** fetch data from the table in a streaming manner: "operation_state" */
    operation_state_stream: Array<Operation_State>;
    /** fetch data from the table in a streaming manner: "operation" */
    operation_stream: Array<Operation>;
    /** fetch data from the table: "operation_type" */
    operation_type: Array<Operation_Type>;
    /** fetch aggregated fields from the table: "operation_type" */
    operation_type_aggregate: Operation_Type_Aggregate;
    /** fetch data from the table: "operation_type" using primary key columns */
    operation_type_by_pk?: Maybe<Operation_Type>;
    /** fetch data from the table in a streaming manner: "operation_type" */
    operation_type_stream: Array<Operation_Type>;
    /** fetch data from the table: "operator_state_type" */
    operator_state_type: Array<Operator_State_Type>;
    /** fetch aggregated fields from the table: "operator_state_type" */
    operator_state_type_aggregate: Operator_State_Type_Aggregate;
    /** fetch data from the table: "operator_state_type" using primary key columns */
    operator_state_type_by_pk?: Maybe<Operator_State_Type>;
    /** fetch data from the table in a streaming manner: "operator_state_type" */
    operator_state_type_stream: Array<Operator_State_Type>;
    /** fetch data from the table: "piece" */
    piece: Array<Piece>;
    /** fetch aggregated fields from the table: "piece" */
    piece_aggregate: Piece_Aggregate;
    /** fetch data from the table: "piece" using primary key columns */
    piece_by_pk?: Maybe<Piece>;
    /** fetch data from the table: "piece_locus" */
    piece_locus: Array<Piece_Locus>;
    /** fetch aggregated fields from the table: "piece_locus" */
    piece_locus_aggregate: Piece_Locus_Aggregate;
    /** fetch data from the table: "piece_locus" using primary key columns */
    piece_locus_by_pk?: Maybe<Piece_Locus>;
    /** fetch data from the table in a streaming manner: "piece_locus" */
    piece_locus_stream: Array<Piece_Locus>;
    /** fetch data from the table in a streaming manner: "piece" */
    piece_stream: Array<Piece>;
    /** fetch data from the table: "piece_type" */
    piece_type: Array<Piece_Type>;
    /** fetch aggregated fields from the table: "piece_type" */
    piece_type_aggregate: Piece_Type_Aggregate;
    /** fetch data from the table: "piece_type" using primary key columns */
    piece_type_by_pk?: Maybe<Piece_Type>;
    /** fetch data from the table in a streaming manner: "piece_type" */
    piece_type_stream: Array<Piece_Type>;
    /** fetch data from the table: "post" */
    post: Array<Post>;
    /** fetch aggregated fields from the table: "post" */
    post_aggregate: Post_Aggregate;
    /** fetch data from the table: "post" using primary key columns */
    post_by_pk?: Maybe<Post>;
    /** fetch data from the table: "post_evaluation" */
    post_evaluation: Array<Post_Evaluation>;
    /** fetch aggregated fields from the table: "post_evaluation" */
    post_evaluation_aggregate: Post_Evaluation_Aggregate;
    /** fetch data from the table: "post_evaluation" using primary key columns */
    post_evaluation_by_pk?: Maybe<Post_Evaluation>;
    /** fetch data from the table in a streaming manner: "post_evaluation" */
    post_evaluation_stream: Array<Post_Evaluation>;
    /** fetch data from the table in a streaming manner: "post" */
    post_stream: Array<Post>;
    /** fetch data from the table: "preference" */
    preference: Array<Preference>;
    /** fetch aggregated fields from the table: "preference" */
    preference_aggregate: Preference_Aggregate;
    /** fetch data from the table in a streaming manner: "preference" */
    preference_stream: Array<Preference>;
    /** fetch data from the table: "product" */
    product: Array<Product>;
    /** fetch aggregated fields from the table: "product" */
    product_aggregate: Product_Aggregate;
    /** fetch data from the table: "product" using primary key columns */
    product_by_pk?: Maybe<Product>;
    /** fetch data from the table in a streaming manner: "product" */
    product_stream: Array<Product>;
    /** fetch data from the table: "profile" */
    profile: Array<Profile>;
    /** fetch aggregated fields from the table: "profile" */
    profile_aggregate: Profile_Aggregate;
    /** fetch data from the table in a streaming manner: "profile" */
    profile_stream: Array<Profile>;
    /** fetch data from the table: "purchase" */
    purchase: Array<Purchase>;
    /** fetch aggregated fields from the table: "purchase" */
    purchase_aggregate: Purchase_Aggregate;
    /** fetch data from the table: "purchase" using primary key columns */
    purchase_by_pk?: Maybe<Purchase>;
    /** fetch data from the table in a streaming manner: "purchase" */
    purchase_stream: Array<Purchase>;
    /** fetch data from the table: "quest" */
    quest: Array<Quest>;
    /** fetch aggregated fields from the table: "quest" */
    quest_aggregate: Quest_Aggregate;
    /** fetch data from the table: "quest_ancestry" */
    quest_ancestry: Array<Quest_Ancestry>;
    /** fetch aggregated fields from the table: "quest_ancestry" */
    quest_ancestry_aggregate: Quest_Ancestry_Aggregate;
    /** fetch data from the table: "quest_ancestry" using primary key columns */
    quest_ancestry_by_pk?: Maybe<Quest_Ancestry>;
    /** fetch data from the table in a streaming manner: "quest_ancestry" */
    quest_ancestry_stream: Array<Quest_Ancestry>;
    /** fetch data from the table: "quest" using primary key columns */
    quest_by_pk?: Maybe<Quest>;
    /** fetch data from the table: "quest_state" */
    quest_state: Array<Quest_State>;
    /** fetch aggregated fields from the table: "quest_state" */
    quest_state_aggregate: Quest_State_Aggregate;
    /** fetch data from the table: "quest_state" using primary key columns */
    quest_state_by_pk?: Maybe<Quest_State>;
    /** fetch data from the table in a streaming manner: "quest_state" */
    quest_state_stream: Array<Quest_State>;
    /** fetch data from the table in a streaming manner: "quest" */
    quest_stream: Array<Quest>;
    /** fetch data from the table: "quest_type" */
    quest_type: Array<Quest_Type>;
    /** fetch aggregated fields from the table: "quest_type" */
    quest_type_aggregate: Quest_Type_Aggregate;
    /** fetch data from the table: "quest_type" using primary key columns */
    quest_type_by_pk?: Maybe<Quest_Type>;
    /** fetch data from the table in a streaming manner: "quest_type" */
    quest_type_stream: Array<Quest_Type>;
    /** fetch data from the table: "resource_policy" */
    resource_policy: Array<Resource_Policy>;
    /** fetch aggregated fields from the table: "resource_policy" */
    resource_policy_aggregate: Resource_Policy_Aggregate;
    /** fetch data from the table: "resource_policy" using primary key columns */
    resource_policy_by_pk?: Maybe<Resource_Policy>;
    /** fetch data from the table in a streaming manner: "resource_policy" */
    resource_policy_stream: Array<Resource_Policy>;
    /** fetch data from the table: "resource_privacy" */
    resource_privacy: Array<Resource_Privacy>;
    /** fetch aggregated fields from the table: "resource_privacy" */
    resource_privacy_aggregate: Resource_Privacy_Aggregate;
    /** fetch data from the table: "resource_privacy" using primary key columns */
    resource_privacy_by_pk?: Maybe<Resource_Privacy>;
    /** fetch data from the table in a streaming manner: "resource_privacy" */
    resource_privacy_stream: Array<Resource_Privacy>;
    /** fetch data from the table: "rooadmap_gis.cord_2d" */
    rooadmap_gis_cord_2d: Array<Rooadmap_Gis_Cord_2d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.cord_2d" */
    rooadmap_gis_cord_2d_aggregate: Rooadmap_Gis_Cord_2d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.cord_2d" using primary key columns */
    rooadmap_gis_cord_2d_by_pk?: Maybe<Rooadmap_Gis_Cord_2d>;
    /** fetch data from the table in a streaming manner: "rooadmap_gis.cord_2d" */
    rooadmap_gis_cord_2d_stream: Array<Rooadmap_Gis_Cord_2d>;
    /** fetch data from the table: "rooadmap_gis.cord_3d" */
    rooadmap_gis_cord_3d: Array<Rooadmap_Gis_Cord_3d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.cord_3d" */
    rooadmap_gis_cord_3d_aggregate: Rooadmap_Gis_Cord_3d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.cord_3d" using primary key columns */
    rooadmap_gis_cord_3d_by_pk?: Maybe<Rooadmap_Gis_Cord_3d>;
    /** fetch data from the table in a streaming manner: "rooadmap_gis.cord_3d" */
    rooadmap_gis_cord_3d_stream: Array<Rooadmap_Gis_Cord_3d>;
    /** fetch data from the table: "rooadmap_gis.location_2d" */
    rooadmap_gis_location_2d: Array<Rooadmap_Gis_Location_2d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.location_2d" */
    rooadmap_gis_location_2d_aggregate: Rooadmap_Gis_Location_2d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.location_2d" using primary key columns */
    rooadmap_gis_location_2d_by_pk?: Maybe<Rooadmap_Gis_Location_2d>;
    /** fetch data from the table in a streaming manner: "rooadmap_gis.location_2d" */
    rooadmap_gis_location_2d_stream: Array<Rooadmap_Gis_Location_2d>;
    /** fetch data from the table: "rooadmap_gis.location_3d" */
    rooadmap_gis_location_3d: Array<Rooadmap_Gis_Location_3d>;
    /** fetch aggregated fields from the table: "rooadmap_gis.location_3d" */
    rooadmap_gis_location_3d_aggregate: Rooadmap_Gis_Location_3d_Aggregate;
    /** fetch data from the table: "rooadmap_gis.location_3d" using primary key columns */
    rooadmap_gis_location_3d_by_pk?: Maybe<Rooadmap_Gis_Location_3d>;
    /** fetch data from the table in a streaming manner: "rooadmap_gis.location_3d" */
    rooadmap_gis_location_3d_stream: Array<Rooadmap_Gis_Location_3d>;
    /** fetch data from the table: "rooadmap_gis.map_item" */
    rooadmap_gis_map_item: Array<Rooadmap_Gis_Map_Item>;
    /** fetch aggregated fields from the table: "rooadmap_gis.map_item" */
    rooadmap_gis_map_item_aggregate: Rooadmap_Gis_Map_Item_Aggregate;
    /** fetch data from the table: "rooadmap_gis.map_item" using primary key columns */
    rooadmap_gis_map_item_by_pk?: Maybe<Rooadmap_Gis_Map_Item>;
    /** fetch data from the table in a streaming manner: "rooadmap_gis.map_item" */
    rooadmap_gis_map_item_stream: Array<Rooadmap_Gis_Map_Item>;
    /** execute function "search_area" which returns "area" */
    search_area: Array<Area>;
    /** execute function "search_area" and query aggregates on result of table type "area" */
    search_area_aggregate: Area_Aggregate;
    /** execute function "search_locus" which returns "locus" */
    search_locus: Array<Locus>;
    /** execute function "search_locus" and query aggregates on result of table type "locus" */
    search_locus_aggregate: Locus_Aggregate;
    /** execute function "search_sponsorship" which returns "sponsorship" */
    search_sponsorship: Array<Sponsorship>;
    /** execute function "search_sponsorship" and query aggregates on result of table type "sponsorship" */
    search_sponsorship_aggregate: Sponsorship_Aggregate;
    /** fetch data from the table: "segment" */
    segment: Array<Segment>;
    /** fetch aggregated fields from the table: "segment" */
    segment_aggregate: Segment_Aggregate;
    /** fetch data from the table: "segment" using primary key columns */
    segment_by_pk?: Maybe<Segment>;
    /** fetch data from the table: "segment_exhibition" */
    segment_exhibition: Array<Segment_Exhibition>;
    /** fetch aggregated fields from the table: "segment_exhibition" */
    segment_exhibition_aggregate: Segment_Exhibition_Aggregate;
    /** fetch data from the table: "segment_exhibition" using primary key columns */
    segment_exhibition_by_pk?: Maybe<Segment_Exhibition>;
    /** fetch data from the table in a streaming manner: "segment_exhibition" */
    segment_exhibition_stream: Array<Segment_Exhibition>;
    /** fetch data from the table in a streaming manner: "segment" */
    segment_stream: Array<Segment>;
    /** fetch data from the table: "sell" */
    sell: Array<Sell>;
    /** fetch aggregated fields from the table: "sell" */
    sell_aggregate: Sell_Aggregate;
    /** fetch data from the table: "sell" using primary key columns */
    sell_by_pk?: Maybe<Sell>;
    /** fetch data from the table: "sell_management" */
    sell_management: Array<Sell_Management>;
    /** fetch aggregated fields from the table: "sell_management" */
    sell_management_aggregate: Sell_Management_Aggregate;
    /** fetch data from the table: "sell_management" using primary key columns */
    sell_management_by_pk?: Maybe<Sell_Management>;
    /** fetch data from the table in a streaming manner: "sell_management" */
    sell_management_stream: Array<Sell_Management>;
    /** fetch data from the table in a streaming manner: "sell" */
    sell_stream: Array<Sell>;
    /** fetch data from the table: "sponsorship" */
    sponsorship: Array<Sponsorship>;
    /** fetch aggregated fields from the table: "sponsorship" */
    sponsorship_aggregate: Sponsorship_Aggregate;
    /** fetch data from the table: "sponsorship" using primary key columns */
    sponsorship_by_pk?: Maybe<Sponsorship>;
    /** fetch data from the table: "sponsorship_condition" */
    sponsorship_condition: Array<Sponsorship_Condition>;
    /** fetch aggregated fields from the table: "sponsorship_condition" */
    sponsorship_condition_aggregate: Sponsorship_Condition_Aggregate;
    /** fetch data from the table: "sponsorship_condition" using primary key columns */
    sponsorship_condition_by_pk?: Maybe<Sponsorship_Condition>;
    /** fetch data from the table in a streaming manner: "sponsorship_condition" */
    sponsorship_condition_stream: Array<Sponsorship_Condition>;
    /** fetch data from the table: "sponsorship_game_state" */
    sponsorship_game_state: Array<Sponsorship_Game_State>;
    /** fetch aggregated fields from the table: "sponsorship_game_state" */
    sponsorship_game_state_aggregate: Sponsorship_Game_State_Aggregate;
    /** fetch data from the table: "sponsorship_game_state" using primary key columns */
    sponsorship_game_state_by_pk?: Maybe<Sponsorship_Game_State>;
    /** fetch data from the table in a streaming manner: "sponsorship_game_state" */
    sponsorship_game_state_stream: Array<Sponsorship_Game_State>;
    /** fetch data from the table: "sponsorship_game_state_type" */
    sponsorship_game_state_type: Array<Sponsorship_Game_State_Type>;
    /** fetch aggregated fields from the table: "sponsorship_game_state_type" */
    sponsorship_game_state_type_aggregate: Sponsorship_Game_State_Type_Aggregate;
    /** fetch data from the table: "sponsorship_game_state_type" using primary key columns */
    sponsorship_game_state_type_by_pk?: Maybe<Sponsorship_Game_State_Type>;
    /** fetch data from the table in a streaming manner: "sponsorship_game_state_type" */
    sponsorship_game_state_type_stream: Array<Sponsorship_Game_State_Type>;
    /** fetch data from the table: "sponsorship_images" */
    sponsorship_images: Array<Sponsorship_Images>;
    /** fetch aggregated fields from the table: "sponsorship_images" */
    sponsorship_images_aggregate: Sponsorship_Images_Aggregate;
    /** fetch data from the table: "sponsorship_images" using primary key columns */
    sponsorship_images_by_pk?: Maybe<Sponsorship_Images>;
    /** fetch data from the table in a streaming manner: "sponsorship_images" */
    sponsorship_images_stream: Array<Sponsorship_Images>;
    /** fetch data from the table: "sponsorship_imitate" */
    sponsorship_imitate: Array<Sponsorship_Imitate>;
    /** fetch aggregated fields from the table: "sponsorship_imitate" */
    sponsorship_imitate_aggregate: Sponsorship_Imitate_Aggregate;
    /** fetch data from the table: "sponsorship_imitate" using primary key columns */
    sponsorship_imitate_by_pk?: Maybe<Sponsorship_Imitate>;
    /** fetch data from the table in a streaming manner: "sponsorship_imitate" */
    sponsorship_imitate_stream: Array<Sponsorship_Imitate>;
    /** fetch data from the table: "sponsorship_locus" */
    sponsorship_locus: Array<Sponsorship_Locus>;
    /** fetch aggregated fields from the table: "sponsorship_locus" */
    sponsorship_locus_aggregate: Sponsorship_Locus_Aggregate;
    /** fetch data from the table: "sponsorship_locus" using primary key columns */
    sponsorship_locus_by_pk?: Maybe<Sponsorship_Locus>;
    /** fetch data from the table in a streaming manner: "sponsorship_locus" */
    sponsorship_locus_stream: Array<Sponsorship_Locus>;
    /** fetch data from the table: "sponsorship_requirement" */
    sponsorship_requirement: Array<Sponsorship_Requirement>;
    /** fetch aggregated fields from the table: "sponsorship_requirement" */
    sponsorship_requirement_aggregate: Sponsorship_Requirement_Aggregate;
    /** fetch data from the table: "sponsorship_requirement" using primary key columns */
    sponsorship_requirement_by_pk?: Maybe<Sponsorship_Requirement>;
    /** fetch data from the table in a streaming manner: "sponsorship_requirement" */
    sponsorship_requirement_stream: Array<Sponsorship_Requirement>;
    /** fetch data from the table: "sponsorship_requirement_type" */
    sponsorship_requirement_type: Array<Sponsorship_Requirement_Type>;
    /** fetch aggregated fields from the table: "sponsorship_requirement_type" */
    sponsorship_requirement_type_aggregate: Sponsorship_Requirement_Type_Aggregate;
    /** fetch data from the table: "sponsorship_requirement_type" using primary key columns */
    sponsorship_requirement_type_by_pk?: Maybe<Sponsorship_Requirement_Type>;
    /** fetch data from the table in a streaming manner: "sponsorship_requirement_type" */
    sponsorship_requirement_type_stream: Array<Sponsorship_Requirement_Type>;
    /** fetch data from the table: "sponsorship_settlement_state_type" */
    sponsorship_settlement_state_type: Array<Sponsorship_Settlement_State_Type>;
    /** fetch aggregated fields from the table: "sponsorship_settlement_state_type" */
    sponsorship_settlement_state_type_aggregate: Sponsorship_Settlement_State_Type_Aggregate;
    /** fetch data from the table: "sponsorship_settlement_state_type" using primary key columns */
    sponsorship_settlement_state_type_by_pk?: Maybe<Sponsorship_Settlement_State_Type>;
    /** fetch data from the table in a streaming manner: "sponsorship_settlement_state_type" */
    sponsorship_settlement_state_type_stream: Array<Sponsorship_Settlement_State_Type>;
    /** fetch data from the table: "sponsorship_state" */
    sponsorship_state: Array<Sponsorship_State>;
    /** fetch aggregated fields from the table: "sponsorship_state" */
    sponsorship_state_aggregate: Sponsorship_State_Aggregate;
    /** fetch data from the table: "sponsorship_state" using primary key columns */
    sponsorship_state_by_pk?: Maybe<Sponsorship_State>;
    /** fetch data from the table in a streaming manner: "sponsorship_state" */
    sponsorship_state_stream: Array<Sponsorship_State>;
    /** fetch data from the table in a streaming manner: "sponsorship" */
    sponsorship_stream: Array<Sponsorship>;
    /** fetch data from the table: "sponsorship_type" */
    sponsorship_type: Array<Sponsorship_Type>;
    /** fetch aggregated fields from the table: "sponsorship_type" */
    sponsorship_type_aggregate: Sponsorship_Type_Aggregate;
    /** fetch data from the table: "sponsorship_type" using primary key columns */
    sponsorship_type_by_pk?: Maybe<Sponsorship_Type>;
    /** fetch data from the table in a streaming manner: "sponsorship_type" */
    sponsorship_type_stream: Array<Sponsorship_Type>;
    /** fetch data from the table: "spot" */
    spot: Array<Spot>;
    /** fetch aggregated fields from the table: "spot" */
    spot_aggregate: Spot_Aggregate;
    /** fetch data from the table: "spot" using primary key columns */
    spot_by_pk?: Maybe<Spot>;
    /** fetch data from the table: "spot_inscription" */
    spot_inscription: Array<Spot_Inscription>;
    /** fetch aggregated fields from the table: "spot_inscription" */
    spot_inscription_aggregate: Spot_Inscription_Aggregate;
    /** fetch data from the table: "spot_inscription" using primary key columns */
    spot_inscription_by_pk?: Maybe<Spot_Inscription>;
    /** fetch data from the table in a streaming manner: "spot_inscription" */
    spot_inscription_stream: Array<Spot_Inscription>;
    /** fetch data from the table: "spot_policy" */
    spot_policy: Array<Spot_Policy>;
    /** fetch aggregated fields from the table: "spot_policy" */
    spot_policy_aggregate: Spot_Policy_Aggregate;
    /** fetch data from the table: "spot_policy" using primary key columns */
    spot_policy_by_pk?: Maybe<Spot_Policy>;
    /** fetch data from the table in a streaming manner: "spot_policy" */
    spot_policy_stream: Array<Spot_Policy>;
    /** fetch data from the table in a streaming manner: "spot" */
    spot_stream: Array<Spot>;
    /** fetch data from the table: "spot_type" */
    spot_type: Array<Spot_Type>;
    /** fetch aggregated fields from the table: "spot_type" */
    spot_type_aggregate: Spot_Type_Aggregate;
    /** fetch data from the table: "spot_type" using primary key columns */
    spot_type_by_pk?: Maybe<Spot_Type>;
    /** fetch data from the table in a streaming manner: "spot_type" */
    spot_type_stream: Array<Spot_Type>;
    /** fetch data from the table: "spot_user" */
    spot_user: Array<Spot_User>;
    /** fetch aggregated fields from the table: "spot_user" */
    spot_user_aggregate: Spot_User_Aggregate;
    /** fetch data from the table: "spot_user" using primary key columns */
    spot_user_by_pk?: Maybe<Spot_User>;
    /** fetch data from the table in a streaming manner: "spot_user" */
    spot_user_stream: Array<Spot_User>;
    /** fetch data from the table: "target_view_type" */
    target_view_type: Array<Target_View_Type>;
    /** fetch aggregated fields from the table: "target_view_type" */
    target_view_type_aggregate: Target_View_Type_Aggregate;
    /** fetch data from the table: "target_view_type" using primary key columns */
    target_view_type_by_pk?: Maybe<Target_View_Type>;
    /** fetch data from the table in a streaming manner: "target_view_type" */
    target_view_type_stream: Array<Target_View_Type>;
    /** fetch data from the table: "task" */
    task: Array<Task>;
    /** fetch aggregated fields from the table: "task" */
    task_aggregate: Task_Aggregate;
    /** fetch data from the table: "task" using primary key columns */
    task_by_pk?: Maybe<Task>;
    /** fetch data from the table in a streaming manner: "task" */
    task_stream: Array<Task>;
    /** fetch data from the table: "theme" */
    theme: Array<Theme>;
    /** fetch aggregated fields from the table: "theme" */
    theme_aggregate: Theme_Aggregate;
    /** fetch data from the table: "theme" using primary key columns */
    theme_by_pk?: Maybe<Theme>;
    /** fetch data from the table in a streaming manner: "theme" */
    theme_stream: Array<Theme>;
    /** fetch data from the table: "treasure_user" */
    treasure_user: Array<Treasure_User>;
    /** fetch aggregated fields from the table: "treasure_user" */
    treasure_user_aggregate: Treasure_User_Aggregate;
    /** fetch data from the table: "treasure_user" using primary key columns */
    treasure_user_by_pk?: Maybe<Treasure_User>;
    /** fetch data from the table in a streaming manner: "treasure_user" */
    treasure_user_stream: Array<Treasure_User>;
    /** fetch data from the table: "universe" */
    universe: Array<Universe>;
    /** fetch aggregated fields from the table: "universe" */
    universe_aggregate: Universe_Aggregate;
    /** fetch data from the table: "universe" using primary key columns */
    universe_by_pk?: Maybe<Universe>;
    /** fetch data from the table: "universe_member" */
    universe_member: Array<Universe_Member>;
    /** fetch aggregated fields from the table: "universe_member" */
    universe_member_aggregate: Universe_Member_Aggregate;
    /** fetch data from the table: "universe_member" using primary key columns */
    universe_member_by_pk?: Maybe<Universe_Member>;
    /** fetch data from the table in a streaming manner: "universe_member" */
    universe_member_stream: Array<Universe_Member>;
    /** fetch data from the table: "universe_policy" */
    universe_policy: Array<Universe_Policy>;
    /** fetch aggregated fields from the table: "universe_policy" */
    universe_policy_aggregate: Universe_Policy_Aggregate;
    /** fetch data from the table: "universe_policy" using primary key columns */
    universe_policy_by_pk?: Maybe<Universe_Policy>;
    /** fetch data from the table in a streaming manner: "universe_policy" */
    universe_policy_stream: Array<Universe_Policy>;
    /** fetch data from the table: "universe_resource" */
    universe_resource: Array<Universe_Resource>;
    /** fetch aggregated fields from the table: "universe_resource" */
    universe_resource_aggregate: Universe_Resource_Aggregate;
    /** fetch data from the table: "universe_resource" using primary key columns */
    universe_resource_by_pk?: Maybe<Universe_Resource>;
    /** fetch data from the table in a streaming manner: "universe_resource" */
    universe_resource_stream: Array<Universe_Resource>;
    /** fetch data from the table: "universe_state" */
    universe_state: Array<Universe_State>;
    /** fetch aggregated fields from the table: "universe_state" */
    universe_state_aggregate: Universe_State_Aggregate;
    /** fetch data from the table: "universe_state" using primary key columns */
    universe_state_by_pk?: Maybe<Universe_State>;
    /** fetch data from the table in a streaming manner: "universe_state" */
    universe_state_stream: Array<Universe_State>;
    /** fetch data from the table in a streaming manner: "universe" */
    universe_stream: Array<Universe>;
    /** fetch data from the table: "users" */
    users: Array<Users>;
    /** fetch aggregated fields from the table: "users" */
    users_aggregate: Users_Aggregate;
    /** fetch data from the table: "users" using primary key columns */
    users_by_pk?: Maybe<Users>;
    /** fetch data from the table in a streaming manner: "users" */
    users_stream: Array<Users>;
};
export type Subscription_RootAlarmArgs = {
    distinct_on?: InputMaybe<Array<Alarm_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Alarm_Order_By>>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
export type Subscription_RootAlarm_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Alarm_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Alarm_Order_By>>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
export type Subscription_RootAlarm_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootAlarm_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Alarm_Stream_Cursor_Input>>;
    where?: InputMaybe<Alarm_Bool_Exp>;
};
export type Subscription_RootAnimation_StageArgs = {
    distinct_on?: InputMaybe<Array<Animation_Stage_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Animation_Stage_Order_By>>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
export type Subscription_RootAnimation_Stage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Animation_Stage_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Animation_Stage_Order_By>>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
export type Subscription_RootAnimation_Stage_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootAnimation_Stage_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Animation_Stage_Stream_Cursor_Input>>;
    where?: InputMaybe<Animation_Stage_Bool_Exp>;
};
export type Subscription_RootAnswerArgs = {
    distinct_on?: InputMaybe<Array<Answer_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Order_By>>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
export type Subscription_RootAnswer_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Answer_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Order_By>>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
export type Subscription_RootAnswer_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootAnswer_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Answer_Stream_Cursor_Input>>;
    where?: InputMaybe<Answer_Bool_Exp>;
};
export type Subscription_RootAnswer_TypeArgs = {
    distinct_on?: InputMaybe<Array<Answer_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Type_Order_By>>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
export type Subscription_RootAnswer_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Answer_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Answer_Type_Order_By>>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
export type Subscription_RootAnswer_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootAnswer_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Answer_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Answer_Type_Bool_Exp>;
};
export type Subscription_RootAreaArgs = {
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Subscription_RootArea_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Subscription_RootArea_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootArea_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Area_Stream_Cursor_Input>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Subscription_RootAuth_Account_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Account_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Providers_Order_By>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Account_Providers_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Subscription_RootAuth_Account_Providers_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Account_Providers_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Account_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Account_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
export type Subscription_RootAuth_Account_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Account_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Account_Roles_Order_By>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
export type Subscription_RootAuth_Account_Roles_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Subscription_RootAuth_Account_Roles_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Account_Roles_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Account_Roles_Bool_Exp>;
};
export type Subscription_RootAuth_AccountsArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
export type Subscription_RootAuth_Accounts_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Accounts_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Accounts_Order_By>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
export type Subscription_RootAuth_Accounts_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Subscription_RootAuth_Accounts_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Accounts_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Accounts_Bool_Exp>;
};
export type Subscription_RootAuth_ProvidersArgs = {
    distinct_on?: InputMaybe<Array<Auth_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Providers_Order_By>>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Providers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Providers_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Providers_Order_By>>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Providers_By_PkArgs = {
    provider: Scalars['String'];
};
export type Subscription_RootAuth_Providers_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Providers_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Providers_Bool_Exp>;
};
export type Subscription_RootAuth_Refresh_TokensArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
export type Subscription_RootAuth_Refresh_Tokens_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Refresh_Tokens_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Refresh_Tokens_Order_By>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
export type Subscription_RootAuth_Refresh_Tokens_By_PkArgs = {
    refresh_token: Scalars['uuid'];
};
export type Subscription_RootAuth_Refresh_Tokens_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Refresh_Tokens_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Refresh_Tokens_Bool_Exp>;
};
export type Subscription_RootAuth_RolesArgs = {
    distinct_on?: InputMaybe<Array<Auth_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Roles_Order_By>>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
export type Subscription_RootAuth_Roles_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Auth_Roles_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Auth_Roles_Order_By>>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
export type Subscription_RootAuth_Roles_By_PkArgs = {
    role: Scalars['String'];
};
export type Subscription_RootAuth_Roles_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Auth_Roles_Stream_Cursor_Input>>;
    where?: InputMaybe<Auth_Roles_Bool_Exp>;
};
export type Subscription_RootBadgeArgs = {
    distinct_on?: InputMaybe<Array<Badge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Order_By>>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
export type Subscription_RootBadge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Order_By>>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
export type Subscription_RootBadge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBadge_CategoryArgs = {
    distinct_on?: InputMaybe<Array<Badge_Category_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Category_Order_By>>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
export type Subscription_RootBadge_Category_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Category_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Category_Order_By>>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
export type Subscription_RootBadge_Category_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBadge_Category_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Badge_Category_Stream_Cursor_Input>>;
    where?: InputMaybe<Badge_Category_Bool_Exp>;
};
export type Subscription_RootBadge_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Badge_Stream_Cursor_Input>>;
    where?: InputMaybe<Badge_Bool_Exp>;
};
export type Subscription_RootBadge_TypeArgs = {
    distinct_on?: InputMaybe<Array<Badge_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Type_Order_By>>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
export type Subscription_RootBadge_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Badge_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Badge_Type_Order_By>>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
export type Subscription_RootBadge_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBadge_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Badge_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Badge_Type_Bool_Exp>;
};
export type Subscription_RootBatchArgs = {
    distinct_on?: InputMaybe<Array<Batch_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Batch_Order_By>>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
export type Subscription_RootBatch_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Batch_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Batch_Order_By>>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
export type Subscription_RootBatch_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBatch_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Batch_Stream_Cursor_Input>>;
    where?: InputMaybe<Batch_Bool_Exp>;
};
export type Subscription_RootBlueprintArgs = {
    distinct_on?: InputMaybe<Array<Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Blueprint_Order_By>>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
export type Subscription_RootBlueprint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Blueprint_Order_By>>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
export type Subscription_RootBlueprint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBlueprint_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Blueprint_Stream_Cursor_Input>>;
    where?: InputMaybe<Blueprint_Bool_Exp>;
};
export type Subscription_RootBusiness_Model_TypeArgs = {
    distinct_on?: InputMaybe<Array<Business_Model_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Business_Model_Type_Order_By>>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
export type Subscription_RootBusiness_Model_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Business_Model_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Business_Model_Type_Order_By>>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
export type Subscription_RootBusiness_Model_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootBusiness_Model_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Business_Model_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Business_Model_Type_Bool_Exp>;
};
export type Subscription_RootChargeArgs = {
    distinct_on?: InputMaybe<Array<Charge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charge_Order_By>>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
export type Subscription_RootCharge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Charge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charge_Order_By>>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
export type Subscription_RootCharge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCharge_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Charge_Stream_Cursor_Input>>;
    where?: InputMaybe<Charge_Bool_Exp>;
};
export type Subscription_RootChargerArgs = {
    distinct_on?: InputMaybe<Array<Charger_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charger_Order_By>>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
export type Subscription_RootCharger_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Charger_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Charger_Order_By>>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
export type Subscription_RootCharger_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCharger_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Charger_Stream_Cursor_Input>>;
    where?: InputMaybe<Charger_Bool_Exp>;
};
export type Subscription_RootConditionArgs = {
    distinct_on?: InputMaybe<Array<Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Order_By>>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
export type Subscription_RootCondition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Order_By>>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
export type Subscription_RootCondition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCondition_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Condition_Stream_Cursor_Input>>;
    where?: InputMaybe<Condition_Bool_Exp>;
};
export type Subscription_RootCondition_TypeArgs = {
    distinct_on?: InputMaybe<Array<Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Type_Order_By>>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
export type Subscription_RootCondition_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Condition_Type_Order_By>>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
export type Subscription_RootCondition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCondition_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Condition_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Condition_Type_Bool_Exp>;
};
export type Subscription_RootContentArgs = {
    distinct_on?: InputMaybe<Array<Content_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Content_Order_By>>;
    where?: InputMaybe<Content_Bool_Exp>;
};
export type Subscription_RootContent_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Content_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Content_Order_By>>;
    where?: InputMaybe<Content_Bool_Exp>;
};
export type Subscription_RootContent_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootContent_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Content_Stream_Cursor_Input>>;
    where?: InputMaybe<Content_Bool_Exp>;
};
export type Subscription_RootContractArgs = {
    distinct_on?: InputMaybe<Array<Contract_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Order_By>>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
export type Subscription_RootContract_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Contract_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Order_By>>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
export type Subscription_RootContract_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootContract_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Contract_Stream_Cursor_Input>>;
    where?: InputMaybe<Contract_Bool_Exp>;
};
export type Subscription_RootContract_TypeArgs = {
    distinct_on?: InputMaybe<Array<Contract_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Type_Order_By>>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
export type Subscription_RootContract_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Contract_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Contract_Type_Order_By>>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
export type Subscription_RootContract_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootContract_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Contract_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Contract_Type_Bool_Exp>;
};
export type Subscription_RootCurrencyArgs = {
    distinct_on?: InputMaybe<Array<Currency_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Order_By>>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
export type Subscription_RootCurrency_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Order_By>>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
export type Subscription_RootCurrency_By_PkArgs = {
    owner_id: Scalars['Int'];
};
export type Subscription_RootCurrency_ExchangeArgs = {
    distinct_on?: InputMaybe<Array<Currency_Exchange_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Exchange_Order_By>>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
export type Subscription_RootCurrency_Exchange_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Exchange_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Exchange_Order_By>>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
export type Subscription_RootCurrency_Exchange_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCurrency_Exchange_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Currency_Exchange_Stream_Cursor_Input>>;
    where?: InputMaybe<Currency_Exchange_Bool_Exp>;
};
export type Subscription_RootCurrency_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Currency_Stream_Cursor_Input>>;
    where?: InputMaybe<Currency_Bool_Exp>;
};
export type Subscription_RootCurrency_TypeArgs = {
    distinct_on?: InputMaybe<Array<Currency_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Type_Order_By>>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
export type Subscription_RootCurrency_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Currency_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Currency_Type_Order_By>>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
export type Subscription_RootCurrency_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootCurrency_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Currency_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Currency_Type_Bool_Exp>;
};
export type Subscription_RootDesktop_TypeArgs = {
    distinct_on?: InputMaybe<Array<Desktop_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Desktop_Type_Order_By>>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
export type Subscription_RootDesktop_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Desktop_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Desktop_Type_Order_By>>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
export type Subscription_RootDesktop_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootDesktop_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Desktop_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Desktop_Type_Bool_Exp>;
};
export type Subscription_RootEntrypointArgs = {
    distinct_on?: InputMaybe<Array<Entrypoint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Entrypoint_Order_By>>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
export type Subscription_RootEntrypoint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Entrypoint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Entrypoint_Order_By>>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
export type Subscription_RootEntrypoint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootEntrypoint_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Entrypoint_Stream_Cursor_Input>>;
    where?: InputMaybe<Entrypoint_Bool_Exp>;
};
export type Subscription_RootEvaluatorArgs = {
    distinct_on?: InputMaybe<Array<Evaluator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Evaluator_Order_By>>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
export type Subscription_RootEvaluator_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Evaluator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Evaluator_Order_By>>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
export type Subscription_RootEvaluator_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootEvaluator_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Evaluator_Stream_Cursor_Input>>;
    where?: InputMaybe<Evaluator_Bool_Exp>;
};
export type Subscription_RootExampleArgs = {
    distinct_on?: InputMaybe<Array<Example_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Order_By>>;
    where?: InputMaybe<Example_Bool_Exp>;
};
export type Subscription_RootExample_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Example_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Order_By>>;
    where?: InputMaybe<Example_Bool_Exp>;
};
export type Subscription_RootExample_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootExample_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Example_Stream_Cursor_Input>>;
    where?: InputMaybe<Example_Bool_Exp>;
};
export type Subscription_RootExample_TypeArgs = {
    distinct_on?: InputMaybe<Array<Example_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Type_Order_By>>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
export type Subscription_RootExample_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Example_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Example_Type_Order_By>>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
export type Subscription_RootExample_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootExample_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Example_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Example_Type_Bool_Exp>;
};
export type Subscription_RootExhibition_DeterminantArgs = {
    distinct_on?: InputMaybe<Array<Exhibition_Determinant_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Exhibition_Determinant_Order_By>>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
export type Subscription_RootExhibition_Determinant_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Exhibition_Determinant_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Exhibition_Determinant_Order_By>>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
export type Subscription_RootExhibition_Determinant_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootExhibition_Determinant_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Exhibition_Determinant_Stream_Cursor_Input>>;
    where?: InputMaybe<Exhibition_Determinant_Bool_Exp>;
};
export type Subscription_RootFlagArgs = {
    distinct_on?: InputMaybe<Array<Flag_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Order_By>>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
export type Subscription_RootFlag_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Flag_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Order_By>>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
export type Subscription_RootFlag_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootFlag_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Flag_Stream_Cursor_Input>>;
    where?: InputMaybe<Flag_Bool_Exp>;
};
export type Subscription_RootFlag_TypeArgs = {
    distinct_on?: InputMaybe<Array<Flag_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Type_Order_By>>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
export type Subscription_RootFlag_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Flag_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Flag_Type_Order_By>>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
export type Subscription_RootFlag_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootFlag_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Flag_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Flag_Type_Bool_Exp>;
};
export type Subscription_RootGameArgs = {
    distinct_on?: InputMaybe<Array<Game_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Order_By>>;
    where?: InputMaybe<Game_Bool_Exp>;
};
export type Subscription_RootGame_ActionArgs = {
    distinct_on?: InputMaybe<Array<Game_Action_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Action_Order_By>>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
export type Subscription_RootGame_Action_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Action_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Action_Order_By>>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
export type Subscription_RootGame_Action_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Action_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Action_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Action_Bool_Exp>;
};
export type Subscription_RootGame_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Order_By>>;
    where?: InputMaybe<Game_Bool_Exp>;
};
export type Subscription_RootGame_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_DesignArgs = {
    distinct_on?: InputMaybe<Array<Game_Design_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Design_Order_By>>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
export type Subscription_RootGame_Design_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Design_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Design_Order_By>>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
export type Subscription_RootGame_Design_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Design_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Design_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Design_Bool_Exp>;
};
export type Subscription_RootGame_GroupArgs = {
    distinct_on?: InputMaybe<Array<Game_Group_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Group_Order_By>>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
export type Subscription_RootGame_Group_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Group_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Group_Order_By>>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
export type Subscription_RootGame_Group_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Group_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Group_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Group_Bool_Exp>;
};
export type Subscription_RootGame_HunterArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
export type Subscription_RootGame_Hunter_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Hunter_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Hunter_Order_By>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
export type Subscription_RootGame_Hunter_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Hunter_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Hunter_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Hunter_Bool_Exp>;
};
export type Subscription_RootGame_ManagementArgs = {
    distinct_on?: InputMaybe<Array<Game_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Management_Order_By>>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
export type Subscription_RootGame_Management_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Management_Order_By>>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
export type Subscription_RootGame_Management_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Management_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Management_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Management_Bool_Exp>;
};
export type Subscription_RootGame_OperatorsArgs = {
    distinct_on?: InputMaybe<Array<Game_Operators_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Operators_Order_By>>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
export type Subscription_RootGame_Operators_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Operators_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Operators_Order_By>>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
export type Subscription_RootGame_Operators_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Operators_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Operators_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Operators_Bool_Exp>;
};
export type Subscription_RootGame_RecordArgs = {
    distinct_on?: InputMaybe<Array<Game_Record_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Record_Order_By>>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
export type Subscription_RootGame_Record_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Record_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Record_Order_By>>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
export type Subscription_RootGame_Record_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Record_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Record_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Record_Bool_Exp>;
};
export type Subscription_RootGame_RequirementArgs = {
    distinct_on?: InputMaybe<Array<Game_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Requirement_Order_By>>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
export type Subscription_RootGame_Requirement_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Requirement_Order_By>>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
export type Subscription_RootGame_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Requirement_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Requirement_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Requirement_Bool_Exp>;
};
export type Subscription_RootGame_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_State_Type_Order_By>>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
export type Subscription_RootGame_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_State_Type_Order_By>>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
export type Subscription_RootGame_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_State_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_State_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_State_Type_Bool_Exp>;
};
export type Subscription_RootGame_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Bool_Exp>;
};
export type Subscription_RootGame_WinnerArgs = {
    distinct_on?: InputMaybe<Array<Game_Winner_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Winner_Order_By>>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
export type Subscription_RootGame_Winner_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Game_Winner_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Game_Winner_Order_By>>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
export type Subscription_RootGame_Winner_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGame_Winner_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Game_Winner_Stream_Cursor_Input>>;
    where?: InputMaybe<Game_Winner_Bool_Exp>;
};
export type Subscription_RootGames_LocusArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
export type Subscription_RootGames_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Games_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Games_Locus_Order_By>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
export type Subscription_RootGames_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGames_Locus_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Games_Locus_Stream_Cursor_Input>>;
    where?: InputMaybe<Games_Locus_Bool_Exp>;
};
export type Subscription_RootGiftArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
export type Subscription_RootGift_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Gift_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Gift_Order_By>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
export type Subscription_RootGift_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGift_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Gift_Stream_Cursor_Input>>;
    where?: InputMaybe<Gift_Bool_Exp>;
};
export type Subscription_RootGoodsArgs = {
    distinct_on?: InputMaybe<Array<Goods_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Goods_Order_By>>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
export type Subscription_RootGoods_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Goods_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Goods_Order_By>>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
export type Subscription_RootGoods_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootGoods_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Goods_Stream_Cursor_Input>>;
    where?: InputMaybe<Goods_Bool_Exp>;
};
export type Subscription_RootHier_TypeArgs = {
    distinct_on?: InputMaybe<Array<Hier_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Hier_Type_Order_By>>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
export type Subscription_RootHier_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Hier_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Hier_Type_Order_By>>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
export type Subscription_RootHier_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootHier_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Hier_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Hier_Type_Bool_Exp>;
};
export type Subscription_RootIncognitoArgs = {
    distinct_on?: InputMaybe<Array<Incognito_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Incognito_Order_By>>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
export type Subscription_RootIncognito_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Incognito_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Incognito_Order_By>>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
export type Subscription_RootIncognito_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootIncognito_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Incognito_Stream_Cursor_Input>>;
    where?: InputMaybe<Incognito_Bool_Exp>;
};
export type Subscription_RootInscriptionArgs = {
    distinct_on?: InputMaybe<Array<Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Inscription_Order_By>>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
export type Subscription_RootInscription_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Inscription_Order_By>>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
export type Subscription_RootInscription_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootInscription_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Inscription_Stream_Cursor_Input>>;
    where?: InputMaybe<Inscription_Bool_Exp>;
};
export type Subscription_RootInterface_TypeArgs = {
    distinct_on?: InputMaybe<Array<Interface_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Interface_Type_Order_By>>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
export type Subscription_RootInterface_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Interface_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Interface_Type_Order_By>>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
export type Subscription_RootInterface_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootInterface_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Interface_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Interface_Type_Bool_Exp>;
};
export type Subscription_RootJudgeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
export type Subscription_RootJudge_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Order_By>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
export type Subscription_RootJudge_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootJudge_Display_TypeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Display_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Display_Type_Order_By>>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
export type Subscription_RootJudge_Display_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Display_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Display_Type_Order_By>>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
export type Subscription_RootJudge_Display_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootJudge_Display_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Judge_Display_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Judge_Display_Type_Bool_Exp>;
};
export type Subscription_RootJudge_EntryArgs = {
    distinct_on?: InputMaybe<Array<Judge_Entry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Entry_Order_By>>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
export type Subscription_RootJudge_Entry_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Entry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Entry_Order_By>>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
export type Subscription_RootJudge_Entry_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootJudge_Entry_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Judge_Entry_Stream_Cursor_Input>>;
    where?: InputMaybe<Judge_Entry_Bool_Exp>;
};
export type Subscription_RootJudge_Role_TypeArgs = {
    distinct_on?: InputMaybe<Array<Judge_Role_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Role_Type_Order_By>>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
export type Subscription_RootJudge_Role_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Judge_Role_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Judge_Role_Type_Order_By>>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
export type Subscription_RootJudge_Role_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootJudge_Role_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Judge_Role_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Judge_Role_Type_Bool_Exp>;
};
export type Subscription_RootJudge_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Judge_Stream_Cursor_Input>>;
    where?: InputMaybe<Judge_Bool_Exp>;
};
export type Subscription_RootKairosArgs = {
    distinct_on?: InputMaybe<Array<Kairos_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Kairos_Order_By>>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
export type Subscription_RootKairos_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Kairos_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Kairos_Order_By>>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
export type Subscription_RootKairos_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootKairos_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Kairos_Stream_Cursor_Input>>;
    where?: InputMaybe<Kairos_Bool_Exp>;
};
export type Subscription_RootKeyword_DescriptionArgs = {
    distinct_on?: InputMaybe<Array<Keyword_Description_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Keyword_Description_Order_By>>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
export type Subscription_RootKeyword_Description_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Keyword_Description_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Keyword_Description_Order_By>>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
export type Subscription_RootKeyword_Description_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootKeyword_Description_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Keyword_Description_Stream_Cursor_Input>>;
    where?: InputMaybe<Keyword_Description_Bool_Exp>;
};
export type Subscription_RootLanguageArgs = {
    distinct_on?: InputMaybe<Array<Language_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Language_Order_By>>;
    where?: InputMaybe<Language_Bool_Exp>;
};
export type Subscription_RootLanguage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Language_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Language_Order_By>>;
    where?: InputMaybe<Language_Bool_Exp>;
};
export type Subscription_RootLanguage_By_PkArgs = {
    language_code: Scalars['String'];
};
export type Subscription_RootLanguage_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Language_Stream_Cursor_Input>>;
    where?: InputMaybe<Language_Bool_Exp>;
};
export type Subscription_RootLocationArgs = {
    distinct_on?: InputMaybe<Array<Location_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Location_Order_By>>;
    where?: InputMaybe<Location_Bool_Exp>;
};
export type Subscription_RootLocation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Location_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Location_Order_By>>;
    where?: InputMaybe<Location_Bool_Exp>;
};
export type Subscription_RootLocation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocation_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Location_Stream_Cursor_Input>>;
    where?: InputMaybe<Location_Bool_Exp>;
};
export type Subscription_RootLocusArgs = {
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Subscription_RootLocus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Subscription_RootLocus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_ImitateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
export type Subscription_RootLocus_Imitate_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Imitate_Order_By>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
export type Subscription_RootLocus_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Imitate_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Imitate_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Imitate_Bool_Exp>;
};
export type Subscription_RootLocus_MemberArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
export type Subscription_RootLocus_Member_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Member_Order_By>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
export type Subscription_RootLocus_Member_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Member_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Member_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Member_Bool_Exp>;
};
export type Subscription_RootLocus_Operation_TypeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
export type Subscription_RootLocus_Operation_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Operation_Type_Order_By>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
export type Subscription_RootLocus_Operation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Operation_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Operation_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Operation_Type_Bool_Exp>;
};
export type Subscription_RootLocus_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Locus_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Policy_Order_By>>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
export type Subscription_RootLocus_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Policy_Order_By>>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
export type Subscription_RootLocus_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Policy_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Policy_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Policy_Bool_Exp>;
};
export type Subscription_RootLocus_StateArgs = {
    distinct_on?: InputMaybe<Array<Locus_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_State_Order_By>>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
export type Subscription_RootLocus_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_State_Order_By>>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
export type Subscription_RootLocus_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_State_Bool_Exp>;
};
export type Subscription_RootLocus_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Subscription_RootLocus_ThemeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Theme_Order_By>>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
export type Subscription_RootLocus_Theme_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Theme_Order_By>>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
export type Subscription_RootLocus_Theme_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Theme_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Theme_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Theme_Bool_Exp>;
};
export type Subscription_RootLocus_TypeArgs = {
    distinct_on?: InputMaybe<Array<Locus_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Type_Order_By>>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
export type Subscription_RootLocus_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Locus_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Type_Order_By>>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
export type Subscription_RootLocus_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootLocus_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Locus_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Locus_Type_Bool_Exp>;
};
export type Subscription_RootMapArgs = {
    distinct_on?: InputMaybe<Array<Map_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Order_By>>;
    where?: InputMaybe<Map_Bool_Exp>;
};
export type Subscription_RootMap_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Order_By>>;
    where?: InputMaybe<Map_Bool_Exp>;
};
export type Subscription_RootMap_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Condition_TypeArgs = {
    distinct_on?: InputMaybe<Array<Map_Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Condition_Type_Order_By>>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
export type Subscription_RootMap_Condition_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Condition_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Condition_Type_Order_By>>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
export type Subscription_RootMap_Condition_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Condition_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Condition_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Condition_Type_Bool_Exp>;
};
export type Subscription_RootMap_EffectArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Order_By>>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
export type Subscription_RootMap_Effect_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Order_By>>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
export type Subscription_RootMap_Effect_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Effect_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Effect_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Effect_Bool_Exp>;
};
export type Subscription_RootMap_Effect_TypeArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Type_Order_By>>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
export type Subscription_RootMap_Effect_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Effect_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Effect_Type_Order_By>>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
export type Subscription_RootMap_Effect_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Effect_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Effect_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Effect_Type_Bool_Exp>;
};
export type Subscription_RootMap_ItemArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
export type Subscription_RootMap_Item_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Order_By>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
export type Subscription_RootMap_Item_AnimationArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
export type Subscription_RootMap_Item_Animation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_Animation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_Animation_Order_By>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
export type Subscription_RootMap_Item_Animation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Item_Animation_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Item_Animation_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Item_Animation_Bool_Exp>;
};
export type Subscription_RootMap_Item_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Item_StateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
export type Subscription_RootMap_Item_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Map_Item_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Map_Item_State_Order_By>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
export type Subscription_RootMap_Item_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMap_Item_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Item_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Item_State_Bool_Exp>;
};
export type Subscription_RootMap_Item_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Item_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Item_Bool_Exp>;
};
export type Subscription_RootMap_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Map_Stream_Cursor_Input>>;
    where?: InputMaybe<Map_Bool_Exp>;
};
export type Subscription_RootMedium_TypeArgs = {
    distinct_on?: InputMaybe<Array<Medium_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Medium_Type_Order_By>>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
export type Subscription_RootMedium_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Medium_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Medium_Type_Order_By>>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
export type Subscription_RootMedium_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMedium_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Medium_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Medium_Type_Bool_Exp>;
};
export type Subscription_RootMegaphoneArgs = {
    distinct_on?: InputMaybe<Array<Megaphone_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Megaphone_Order_By>>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
export type Subscription_RootMegaphone_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Megaphone_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Megaphone_Order_By>>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
export type Subscription_RootMegaphone_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMegaphone_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Megaphone_Stream_Cursor_Input>>;
    where?: InputMaybe<Megaphone_Bool_Exp>;
};
export type Subscription_RootMessageArgs = {
    distinct_on?: InputMaybe<Array<Message_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Message_Order_By>>;
    where?: InputMaybe<Message_Bool_Exp>;
};
export type Subscription_RootMessage_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Message_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Message_Order_By>>;
    where?: InputMaybe<Message_Bool_Exp>;
};
export type Subscription_RootMessage_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMessage_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Message_Stream_Cursor_Input>>;
    where?: InputMaybe<Message_Bool_Exp>;
};
export type Subscription_RootMoldArgs = {
    distinct_on?: InputMaybe<Array<Mold_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Order_By>>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
export type Subscription_RootMold_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Mold_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Order_By>>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
export type Subscription_RootMold_BlueprintArgs = {
    distinct_on?: InputMaybe<Array<Mold_Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Blueprint_Order_By>>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
export type Subscription_RootMold_Blueprint_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Mold_Blueprint_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Mold_Blueprint_Order_By>>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
export type Subscription_RootMold_Blueprint_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMold_Blueprint_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Mold_Blueprint_Stream_Cursor_Input>>;
    where?: InputMaybe<Mold_Blueprint_Bool_Exp>;
};
export type Subscription_RootMold_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMold_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Mold_Stream_Cursor_Input>>;
    where?: InputMaybe<Mold_Bool_Exp>;
};
export type Subscription_RootMorsel_TypeArgs = {
    distinct_on?: InputMaybe<Array<Morsel_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Morsel_Type_Order_By>>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
export type Subscription_RootMorsel_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Morsel_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Morsel_Type_Order_By>>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
export type Subscription_RootMorsel_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootMorsel_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Morsel_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Morsel_Type_Bool_Exp>;
};
export type Subscription_RootOperationArgs = {
    distinct_on?: InputMaybe<Array<Operation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Order_By>>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
export type Subscription_RootOperation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Order_By>>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
export type Subscription_RootOperation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_Maintain_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Maintain_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Maintain_Type_Order_By>>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Maintain_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Maintain_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Maintain_Type_Order_By>>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Maintain_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_Maintain_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_Maintain_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_Maintain_Type_Bool_Exp>;
};
export type Subscription_RootOperation_OperatorArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
export type Subscription_RootOperation_Operator_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Operator_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Operator_Order_By>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
export type Subscription_RootOperation_Operator_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_Operator_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_Operator_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_Operator_Bool_Exp>;
};
export type Subscription_RootOperation_Setting_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Setting_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Setting_Type_Order_By>>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Setting_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Setting_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Setting_Type_Order_By>>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Setting_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_Setting_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_Setting_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_Setting_Type_Bool_Exp>;
};
export type Subscription_RootOperation_StateArgs = {
    distinct_on?: InputMaybe<Array<Operation_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_State_Order_By>>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
export type Subscription_RootOperation_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_State_Order_By>>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
export type Subscription_RootOperation_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_State_Bool_Exp>;
};
export type Subscription_RootOperation_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_Bool_Exp>;
};
export type Subscription_RootOperation_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Type_Order_By>>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operation_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operation_Type_Order_By>>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
export type Subscription_RootOperation_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperation_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operation_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Operation_Type_Bool_Exp>;
};
export type Subscription_RootOperator_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Operator_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operator_State_Type_Order_By>>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
export type Subscription_RootOperator_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Operator_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Operator_State_Type_Order_By>>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
export type Subscription_RootOperator_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootOperator_State_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Operator_State_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Operator_State_Type_Bool_Exp>;
};
export type Subscription_RootPieceArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
export type Subscription_RootPiece_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Order_By>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
export type Subscription_RootPiece_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPiece_LocusArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
export type Subscription_RootPiece_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Locus_Order_By>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
export type Subscription_RootPiece_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPiece_Locus_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Piece_Locus_Stream_Cursor_Input>>;
    where?: InputMaybe<Piece_Locus_Bool_Exp>;
};
export type Subscription_RootPiece_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Piece_Stream_Cursor_Input>>;
    where?: InputMaybe<Piece_Bool_Exp>;
};
export type Subscription_RootPiece_TypeArgs = {
    distinct_on?: InputMaybe<Array<Piece_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Type_Order_By>>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
export type Subscription_RootPiece_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Piece_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Piece_Type_Order_By>>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
export type Subscription_RootPiece_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPiece_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Piece_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Piece_Type_Bool_Exp>;
};
export type Subscription_RootPostArgs = {
    distinct_on?: InputMaybe<Array<Post_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Order_By>>;
    where?: InputMaybe<Post_Bool_Exp>;
};
export type Subscription_RootPost_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Post_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Order_By>>;
    where?: InputMaybe<Post_Bool_Exp>;
};
export type Subscription_RootPost_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPost_EvaluationArgs = {
    distinct_on?: InputMaybe<Array<Post_Evaluation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Evaluation_Order_By>>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
export type Subscription_RootPost_Evaluation_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Post_Evaluation_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Post_Evaluation_Order_By>>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
export type Subscription_RootPost_Evaluation_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPost_Evaluation_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Post_Evaluation_Stream_Cursor_Input>>;
    where?: InputMaybe<Post_Evaluation_Bool_Exp>;
};
export type Subscription_RootPost_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Post_Stream_Cursor_Input>>;
    where?: InputMaybe<Post_Bool_Exp>;
};
export type Subscription_RootPreferenceArgs = {
    distinct_on?: InputMaybe<Array<Preference_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Preference_Order_By>>;
    where?: InputMaybe<Preference_Bool_Exp>;
};
export type Subscription_RootPreference_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Preference_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Preference_Order_By>>;
    where?: InputMaybe<Preference_Bool_Exp>;
};
export type Subscription_RootPreference_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Preference_Stream_Cursor_Input>>;
    where?: InputMaybe<Preference_Bool_Exp>;
};
export type Subscription_RootProductArgs = {
    distinct_on?: InputMaybe<Array<Product_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Product_Order_By>>;
    where?: InputMaybe<Product_Bool_Exp>;
};
export type Subscription_RootProduct_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Product_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Product_Order_By>>;
    where?: InputMaybe<Product_Bool_Exp>;
};
export type Subscription_RootProduct_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootProduct_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Product_Stream_Cursor_Input>>;
    where?: InputMaybe<Product_Bool_Exp>;
};
export type Subscription_RootProfileArgs = {
    distinct_on?: InputMaybe<Array<Profile_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Profile_Order_By>>;
    where?: InputMaybe<Profile_Bool_Exp>;
};
export type Subscription_RootProfile_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Profile_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Profile_Order_By>>;
    where?: InputMaybe<Profile_Bool_Exp>;
};
export type Subscription_RootProfile_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Profile_Stream_Cursor_Input>>;
    where?: InputMaybe<Profile_Bool_Exp>;
};
export type Subscription_RootPurchaseArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
export type Subscription_RootPurchase_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Purchase_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Purchase_Order_By>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
export type Subscription_RootPurchase_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootPurchase_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Purchase_Stream_Cursor_Input>>;
    where?: InputMaybe<Purchase_Bool_Exp>;
};
export type Subscription_RootQuestArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
export type Subscription_RootQuest_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Order_By>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
export type Subscription_RootQuest_AncestryArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
export type Subscription_RootQuest_Ancestry_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Ancestry_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Ancestry_Order_By>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
export type Subscription_RootQuest_Ancestry_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootQuest_Ancestry_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Quest_Ancestry_Stream_Cursor_Input>>;
    where?: InputMaybe<Quest_Ancestry_Bool_Exp>;
};
export type Subscription_RootQuest_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootQuest_StateArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
export type Subscription_RootQuest_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_State_Order_By>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
export type Subscription_RootQuest_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootQuest_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Quest_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Quest_State_Bool_Exp>;
};
export type Subscription_RootQuest_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Quest_Stream_Cursor_Input>>;
    where?: InputMaybe<Quest_Bool_Exp>;
};
export type Subscription_RootQuest_TypeArgs = {
    distinct_on?: InputMaybe<Array<Quest_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Type_Order_By>>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
export type Subscription_RootQuest_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Quest_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Quest_Type_Order_By>>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
export type Subscription_RootQuest_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootQuest_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Quest_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Quest_Type_Bool_Exp>;
};
export type Subscription_RootResource_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Resource_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Policy_Order_By>>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
export type Subscription_RootResource_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Resource_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Policy_Order_By>>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
export type Subscription_RootResource_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootResource_Policy_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Resource_Policy_Stream_Cursor_Input>>;
    where?: InputMaybe<Resource_Policy_Bool_Exp>;
};
export type Subscription_RootResource_PrivacyArgs = {
    distinct_on?: InputMaybe<Array<Resource_Privacy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Privacy_Order_By>>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
export type Subscription_RootResource_Privacy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Resource_Privacy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Resource_Privacy_Order_By>>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
export type Subscription_RootResource_Privacy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootResource_Privacy_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Resource_Privacy_Stream_Cursor_Input>>;
    where?: InputMaybe<Resource_Privacy_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_2dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_2d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_2d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootRooadmap_Gis_Cord_2d_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Rooadmap_Gis_Cord_2d_Stream_Cursor_Input>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_3dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_3d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Cord_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Cord_3d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootRooadmap_Gis_Cord_3d_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Rooadmap_Gis_Cord_3d_Stream_Cursor_Input>>;
    where?: InputMaybe<Rooadmap_Gis_Cord_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_2dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_2d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_2d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_2d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootRooadmap_Gis_Location_2d_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Rooadmap_Gis_Location_2d_Stream_Cursor_Input>>;
    where?: InputMaybe<Rooadmap_Gis_Location_2d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_3dArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_3d_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Location_3d_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Location_3d_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootRooadmap_Gis_Location_3d_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Rooadmap_Gis_Location_3d_Stream_Cursor_Input>>;
    where?: InputMaybe<Rooadmap_Gis_Location_3d_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Map_ItemArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Map_Item_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Rooadmap_Gis_Map_Item_Order_By>>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
export type Subscription_RootRooadmap_Gis_Map_Item_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootRooadmap_Gis_Map_Item_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Rooadmap_Gis_Map_Item_Stream_Cursor_Input>>;
    where?: InputMaybe<Rooadmap_Gis_Map_Item_Bool_Exp>;
};
export type Subscription_RootSearch_AreaArgs = {
    args: Search_Area_Args;
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Subscription_RootSearch_Area_AggregateArgs = {
    args: Search_Area_Args;
    distinct_on?: InputMaybe<Array<Area_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Area_Order_By>>;
    where?: InputMaybe<Area_Bool_Exp>;
};
export type Subscription_RootSearch_LocusArgs = {
    args: Search_Locus_Args;
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Subscription_RootSearch_Locus_AggregateArgs = {
    args: Search_Locus_Args;
    distinct_on?: InputMaybe<Array<Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Locus_Order_By>>;
    where?: InputMaybe<Locus_Bool_Exp>;
};
export type Subscription_RootSearch_SponsorshipArgs = {
    args: Search_Sponsorship_Args;
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Subscription_RootSearch_Sponsorship_AggregateArgs = {
    args: Search_Sponsorship_Args;
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Subscription_RootSegmentArgs = {
    distinct_on?: InputMaybe<Array<Segment_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Order_By>>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
export type Subscription_RootSegment_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Segment_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Order_By>>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
export type Subscription_RootSegment_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSegment_ExhibitionArgs = {
    distinct_on?: InputMaybe<Array<Segment_Exhibition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Exhibition_Order_By>>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
export type Subscription_RootSegment_Exhibition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Segment_Exhibition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Segment_Exhibition_Order_By>>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
export type Subscription_RootSegment_Exhibition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSegment_Exhibition_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Segment_Exhibition_Stream_Cursor_Input>>;
    where?: InputMaybe<Segment_Exhibition_Bool_Exp>;
};
export type Subscription_RootSegment_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Segment_Stream_Cursor_Input>>;
    where?: InputMaybe<Segment_Bool_Exp>;
};
export type Subscription_RootSellArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
export type Subscription_RootSell_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sell_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Order_By>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
export type Subscription_RootSell_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSell_ManagementArgs = {
    distinct_on?: InputMaybe<Array<Sell_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Management_Order_By>>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
export type Subscription_RootSell_Management_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sell_Management_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sell_Management_Order_By>>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
export type Subscription_RootSell_Management_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSell_Management_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sell_Management_Stream_Cursor_Input>>;
    where?: InputMaybe<Sell_Management_Bool_Exp>;
};
export type Subscription_RootSell_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sell_Stream_Cursor_Input>>;
    where?: InputMaybe<Sell_Bool_Exp>;
};
export type Subscription_RootSponsorshipArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Subscription_RootSponsorship_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Order_By>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Subscription_RootSponsorship_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_ConditionArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Condition_Order_By>>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
export type Subscription_RootSponsorship_Condition_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Condition_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Condition_Order_By>>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
export type Subscription_RootSponsorship_Condition_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Condition_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Condition_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Condition_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_StateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Game_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Game_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Game_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Game_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Game_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Game_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Game_State_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Game_State_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Game_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_ImagesArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
export type Subscription_RootSponsorship_Images_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Images_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Images_Order_By>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
export type Subscription_RootSponsorship_Images_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Images_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Images_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Images_Bool_Exp>;
};
export type Subscription_RootSponsorship_ImitateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Subscription_RootSponsorship_Imitate_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Imitate_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Imitate_Order_By>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Subscription_RootSponsorship_Imitate_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Imitate_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Imitate_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Imitate_Bool_Exp>;
};
export type Subscription_RootSponsorship_LocusArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
export type Subscription_RootSponsorship_Locus_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Locus_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Locus_Order_By>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
export type Subscription_RootSponsorship_Locus_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Locus_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Locus_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Locus_Bool_Exp>;
};
export type Subscription_RootSponsorship_RequirementArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
export type Subscription_RootSponsorship_Requirement_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
export type Subscription_RootSponsorship_Requirement_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Requirement_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Requirement_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Requirement_Bool_Exp>;
};
export type Subscription_RootSponsorship_Requirement_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Requirement_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Requirement_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Requirement_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Requirement_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Requirement_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Requirement_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Requirement_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Settlement_State_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Settlement_State_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Settlement_State_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Settlement_State_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Settlement_State_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Settlement_State_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Settlement_State_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_StateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_State_Order_By>>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_State_Order_By>>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_State_Bool_Exp>;
};
export type Subscription_RootSponsorship_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Bool_Exp>;
};
export type Subscription_RootSponsorship_TypeArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Sponsorship_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Sponsorship_Type_Order_By>>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
export type Subscription_RootSponsorship_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSponsorship_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Sponsorship_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Sponsorship_Type_Bool_Exp>;
};
export type Subscription_RootSpotArgs = {
    distinct_on?: InputMaybe<Array<Spot_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Order_By>>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
export type Subscription_RootSpot_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Order_By>>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
export type Subscription_RootSpot_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSpot_InscriptionArgs = {
    distinct_on?: InputMaybe<Array<Spot_Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Inscription_Order_By>>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
export type Subscription_RootSpot_Inscription_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Inscription_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Inscription_Order_By>>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
export type Subscription_RootSpot_Inscription_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSpot_Inscription_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Spot_Inscription_Stream_Cursor_Input>>;
    where?: InputMaybe<Spot_Inscription_Bool_Exp>;
};
export type Subscription_RootSpot_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Spot_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Policy_Order_By>>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
export type Subscription_RootSpot_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Policy_Order_By>>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
export type Subscription_RootSpot_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSpot_Policy_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Spot_Policy_Stream_Cursor_Input>>;
    where?: InputMaybe<Spot_Policy_Bool_Exp>;
};
export type Subscription_RootSpot_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Spot_Stream_Cursor_Input>>;
    where?: InputMaybe<Spot_Bool_Exp>;
};
export type Subscription_RootSpot_TypeArgs = {
    distinct_on?: InputMaybe<Array<Spot_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Type_Order_By>>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
export type Subscription_RootSpot_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_Type_Order_By>>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
export type Subscription_RootSpot_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSpot_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Spot_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Spot_Type_Bool_Exp>;
};
export type Subscription_RootSpot_UserArgs = {
    distinct_on?: InputMaybe<Array<Spot_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_User_Order_By>>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
export type Subscription_RootSpot_User_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Spot_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Spot_User_Order_By>>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
export type Subscription_RootSpot_User_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootSpot_User_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Spot_User_Stream_Cursor_Input>>;
    where?: InputMaybe<Spot_User_Bool_Exp>;
};
export type Subscription_RootTarget_View_TypeArgs = {
    distinct_on?: InputMaybe<Array<Target_View_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Target_View_Type_Order_By>>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
export type Subscription_RootTarget_View_Type_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Target_View_Type_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Target_View_Type_Order_By>>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
export type Subscription_RootTarget_View_Type_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootTarget_View_Type_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Target_View_Type_Stream_Cursor_Input>>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
export type Subscription_RootTaskArgs = {
    distinct_on?: InputMaybe<Array<Task_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Task_Order_By>>;
    where?: InputMaybe<Task_Bool_Exp>;
};
export type Subscription_RootTask_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Task_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Task_Order_By>>;
    where?: InputMaybe<Task_Bool_Exp>;
};
export type Subscription_RootTask_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootTask_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Task_Stream_Cursor_Input>>;
    where?: InputMaybe<Task_Bool_Exp>;
};
export type Subscription_RootThemeArgs = {
    distinct_on?: InputMaybe<Array<Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Theme_Order_By>>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
export type Subscription_RootTheme_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Theme_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Theme_Order_By>>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
export type Subscription_RootTheme_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootTheme_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Theme_Stream_Cursor_Input>>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
export type Subscription_RootTreasure_UserArgs = {
    distinct_on?: InputMaybe<Array<Treasure_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Treasure_User_Order_By>>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
export type Subscription_RootTreasure_User_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Treasure_User_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Treasure_User_Order_By>>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
export type Subscription_RootTreasure_User_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootTreasure_User_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Treasure_User_Stream_Cursor_Input>>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
export type Subscription_RootUniverseArgs = {
    distinct_on?: InputMaybe<Array<Universe_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Order_By>>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
export type Subscription_RootUniverse_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Order_By>>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
export type Subscription_RootUniverse_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootUniverse_MemberArgs = {
    distinct_on?: InputMaybe<Array<Universe_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Member_Order_By>>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
export type Subscription_RootUniverse_Member_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Member_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Member_Order_By>>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
export type Subscription_RootUniverse_Member_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootUniverse_Member_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Universe_Member_Stream_Cursor_Input>>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
export type Subscription_RootUniverse_PolicyArgs = {
    distinct_on?: InputMaybe<Array<Universe_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Policy_Order_By>>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
export type Subscription_RootUniverse_Policy_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Policy_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Policy_Order_By>>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
export type Subscription_RootUniverse_Policy_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootUniverse_Policy_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Universe_Policy_Stream_Cursor_Input>>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
export type Subscription_RootUniverse_ResourceArgs = {
    distinct_on?: InputMaybe<Array<Universe_Resource_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Resource_Order_By>>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
export type Subscription_RootUniverse_Resource_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_Resource_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_Resource_Order_By>>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
export type Subscription_RootUniverse_Resource_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootUniverse_Resource_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Universe_Resource_Stream_Cursor_Input>>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
export type Subscription_RootUniverse_StateArgs = {
    distinct_on?: InputMaybe<Array<Universe_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_State_Order_By>>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
export type Subscription_RootUniverse_State_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Universe_State_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Universe_State_Order_By>>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
export type Subscription_RootUniverse_State_By_PkArgs = {
    id: Scalars['Int'];
};
export type Subscription_RootUniverse_State_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Universe_State_Stream_Cursor_Input>>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
export type Subscription_RootUniverse_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Universe_Stream_Cursor_Input>>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
export type Subscription_RootUsersArgs = {
    distinct_on?: InputMaybe<Array<Users_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Users_Order_By>>;
    where?: InputMaybe<Users_Bool_Exp>;
};
export type Subscription_RootUsers_AggregateArgs = {
    distinct_on?: InputMaybe<Array<Users_Select_Column>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    order_by?: InputMaybe<Array<Users_Order_By>>;
    where?: InputMaybe<Users_Bool_Exp>;
};
export type Subscription_RootUsers_By_PkArgs = {
    id: Scalars['uuid'];
};
export type Subscription_RootUsers_StreamArgs = {
    batch_size: Scalars['Int'];
    cursor: Array<InputMaybe<Users_Stream_Cursor_Input>>;
    where?: InputMaybe<Users_Bool_Exp>;
};
/** define piece's native builder and renderer */
export type Target_View_Type = {
    __typename?: 'target_view_type';
    builder_name: Scalars['String'];
    builder_version: Scalars['Int'];
    id: Scalars['Int'];
    name: Scalars['String'];
    renderer_name: Scalars['String'];
    renderer_version: Scalars['Int'];
};
/** aggregated selection of "target_view_type" */
export type Target_View_Type_Aggregate = {
    __typename?: 'target_view_type_aggregate';
    aggregate?: Maybe<Target_View_Type_Aggregate_Fields>;
    nodes: Array<Target_View_Type>;
};
/** aggregate fields of "target_view_type" */
export type Target_View_Type_Aggregate_Fields = {
    __typename?: 'target_view_type_aggregate_fields';
    avg?: Maybe<Target_View_Type_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Target_View_Type_Max_Fields>;
    min?: Maybe<Target_View_Type_Min_Fields>;
    stddev?: Maybe<Target_View_Type_Stddev_Fields>;
    stddev_pop?: Maybe<Target_View_Type_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Target_View_Type_Stddev_Samp_Fields>;
    sum?: Maybe<Target_View_Type_Sum_Fields>;
    var_pop?: Maybe<Target_View_Type_Var_Pop_Fields>;
    var_samp?: Maybe<Target_View_Type_Var_Samp_Fields>;
    variance?: Maybe<Target_View_Type_Variance_Fields>;
};
/** aggregate fields of "target_view_type" */
export type Target_View_Type_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Target_View_Type_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Target_View_Type_Avg_Fields = {
    __typename?: 'target_view_type_avg_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "target_view_type". All fields are combined with a logical 'AND'. */
export type Target_View_Type_Bool_Exp = {
    _and?: InputMaybe<Array<Target_View_Type_Bool_Exp>>;
    _not?: InputMaybe<Target_View_Type_Bool_Exp>;
    _or?: InputMaybe<Array<Target_View_Type_Bool_Exp>>;
    builder_name?: InputMaybe<String_Comparison_Exp>;
    builder_version?: InputMaybe<Int_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    renderer_name?: InputMaybe<String_Comparison_Exp>;
    renderer_version?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "target_view_type" */
export declare enum Target_View_Type_Constraint {
    /** unique or primary key constraint on columns "id" */
    TargetViewTypePkey = "target_view_type_pkey"
}
/** input type for incrementing numeric columns in table "target_view_type" */
export type Target_View_Type_Inc_Input = {
    builder_version?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    renderer_version?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "target_view_type" */
export type Target_View_Type_Insert_Input = {
    builder_name?: InputMaybe<Scalars['String']>;
    builder_version?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    renderer_name?: InputMaybe<Scalars['String']>;
    renderer_version?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Target_View_Type_Max_Fields = {
    __typename?: 'target_view_type_max_fields';
    builder_name?: Maybe<Scalars['String']>;
    builder_version?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    renderer_name?: Maybe<Scalars['String']>;
    renderer_version?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Target_View_Type_Min_Fields = {
    __typename?: 'target_view_type_min_fields';
    builder_name?: Maybe<Scalars['String']>;
    builder_version?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    renderer_name?: Maybe<Scalars['String']>;
    renderer_version?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "target_view_type" */
export type Target_View_Type_Mutation_Response = {
    __typename?: 'target_view_type_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Target_View_Type>;
};
/** input type for inserting object relation for remote table "target_view_type" */
export type Target_View_Type_Obj_Rel_Insert_Input = {
    data: Target_View_Type_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Target_View_Type_On_Conflict>;
};
/** on_conflict condition type for table "target_view_type" */
export type Target_View_Type_On_Conflict = {
    constraint: Target_View_Type_Constraint;
    update_columns?: Array<Target_View_Type_Update_Column>;
    where?: InputMaybe<Target_View_Type_Bool_Exp>;
};
/** Ordering options when selecting data from "target_view_type". */
export type Target_View_Type_Order_By = {
    builder_name?: InputMaybe<Order_By>;
    builder_version?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    renderer_name?: InputMaybe<Order_By>;
    renderer_version?: InputMaybe<Order_By>;
};
/** primary key columns input for table: target_view_type */
export type Target_View_Type_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "target_view_type" */
export declare enum Target_View_Type_Select_Column {
    /** column name */
    BuilderName = "builder_name",
    /** column name */
    BuilderVersion = "builder_version",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    RendererName = "renderer_name",
    /** column name */
    RendererVersion = "renderer_version"
}
/** input type for updating data in table "target_view_type" */
export type Target_View_Type_Set_Input = {
    builder_name?: InputMaybe<Scalars['String']>;
    builder_version?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    renderer_name?: InputMaybe<Scalars['String']>;
    renderer_version?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Target_View_Type_Stddev_Fields = {
    __typename?: 'target_view_type_stddev_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Target_View_Type_Stddev_Pop_Fields = {
    __typename?: 'target_view_type_stddev_pop_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Target_View_Type_Stddev_Samp_Fields = {
    __typename?: 'target_view_type_stddev_samp_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "target_view_type" */
export type Target_View_Type_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Target_View_Type_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Target_View_Type_Stream_Cursor_Value_Input = {
    builder_name?: InputMaybe<Scalars['String']>;
    builder_version?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    renderer_name?: InputMaybe<Scalars['String']>;
    renderer_version?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Target_View_Type_Sum_Fields = {
    __typename?: 'target_view_type_sum_fields';
    builder_version?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    renderer_version?: Maybe<Scalars['Int']>;
};
/** update columns of table "target_view_type" */
export declare enum Target_View_Type_Update_Column {
    /** column name */
    BuilderName = "builder_name",
    /** column name */
    BuilderVersion = "builder_version",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    RendererName = "renderer_name",
    /** column name */
    RendererVersion = "renderer_version"
}
export type Target_View_Type_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Target_View_Type_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Target_View_Type_Set_Input>;
    /** filter the rows which have to be updated */
    where: Target_View_Type_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Target_View_Type_Var_Pop_Fields = {
    __typename?: 'target_view_type_var_pop_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Target_View_Type_Var_Samp_Fields = {
    __typename?: 'target_view_type_var_samp_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Target_View_Type_Variance_Fields = {
    __typename?: 'target_view_type_variance_fields';
    builder_version?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    renderer_version?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "task" */
export type Task = {
    __typename?: 'task';
    /** An object relationship */
    answerType?: Maybe<Answer_Type>;
    answer_code?: Maybe<Scalars['String']>;
    answer_type_id?: Maybe<Scalars['Int']>;
    created_at: Scalars['timestamptz'];
    done?: Maybe<Scalars['Boolean']>;
    id: Scalars['Int'];
    /** An object relationship */
    judge?: Maybe<Judge>;
    judge_id?: Maybe<Scalars['Int']>;
    next_quest_id?: Maybe<Scalars['Int']>;
    reject?: Maybe<Scalars['Boolean']>;
    /** An object relationship */
    subject?: Maybe<Treasure_User>;
    subject_user_id?: Maybe<Scalars['Int']>;
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "task" */
export type Task_Aggregate = {
    __typename?: 'task_aggregate';
    aggregate?: Maybe<Task_Aggregate_Fields>;
    nodes: Array<Task>;
};
/** aggregate fields of "task" */
export type Task_Aggregate_Fields = {
    __typename?: 'task_aggregate_fields';
    avg?: Maybe<Task_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Task_Max_Fields>;
    min?: Maybe<Task_Min_Fields>;
    stddev?: Maybe<Task_Stddev_Fields>;
    stddev_pop?: Maybe<Task_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Task_Stddev_Samp_Fields>;
    sum?: Maybe<Task_Sum_Fields>;
    var_pop?: Maybe<Task_Var_Pop_Fields>;
    var_samp?: Maybe<Task_Var_Samp_Fields>;
    variance?: Maybe<Task_Variance_Fields>;
};
/** aggregate fields of "task" */
export type Task_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Task_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Task_Avg_Fields = {
    __typename?: 'task_avg_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "task". All fields are combined with a logical 'AND'. */
export type Task_Bool_Exp = {
    _and?: InputMaybe<Array<Task_Bool_Exp>>;
    _not?: InputMaybe<Task_Bool_Exp>;
    _or?: InputMaybe<Array<Task_Bool_Exp>>;
    answerType?: InputMaybe<Answer_Type_Bool_Exp>;
    answer_code?: InputMaybe<String_Comparison_Exp>;
    answer_type_id?: InputMaybe<Int_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    done?: InputMaybe<Boolean_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    judge?: InputMaybe<Judge_Bool_Exp>;
    judge_id?: InputMaybe<Int_Comparison_Exp>;
    next_quest_id?: InputMaybe<Int_Comparison_Exp>;
    reject?: InputMaybe<Boolean_Comparison_Exp>;
    subject?: InputMaybe<Treasure_User_Bool_Exp>;
    subject_user_id?: InputMaybe<Int_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "task" */
export declare enum Task_Constraint {
    /** unique or primary key constraint on columns "id" */
    TaskPkey = "task_pkey"
}
/** input type for incrementing numeric columns in table "task" */
export type Task_Inc_Input = {
    answer_type_id?: InputMaybe<Scalars['Int']>;
    id?: InputMaybe<Scalars['Int']>;
    judge_id?: InputMaybe<Scalars['Int']>;
    next_quest_id?: InputMaybe<Scalars['Int']>;
    subject_user_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "task" */
export type Task_Insert_Input = {
    answerType?: InputMaybe<Answer_Type_Obj_Rel_Insert_Input>;
    answer_code?: InputMaybe<Scalars['String']>;
    answer_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    done?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    judge?: InputMaybe<Judge_Obj_Rel_Insert_Input>;
    judge_id?: InputMaybe<Scalars['Int']>;
    next_quest_id?: InputMaybe<Scalars['Int']>;
    reject?: InputMaybe<Scalars['Boolean']>;
    subject?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    subject_user_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Task_Max_Fields = {
    __typename?: 'task_max_fields';
    answer_code?: Maybe<Scalars['String']>;
    answer_type_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    judge_id?: Maybe<Scalars['Int']>;
    next_quest_id?: Maybe<Scalars['Int']>;
    subject_user_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Task_Min_Fields = {
    __typename?: 'task_min_fields';
    answer_code?: Maybe<Scalars['String']>;
    answer_type_id?: Maybe<Scalars['Int']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    judge_id?: Maybe<Scalars['Int']>;
    next_quest_id?: Maybe<Scalars['Int']>;
    subject_user_id?: Maybe<Scalars['Int']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "task" */
export type Task_Mutation_Response = {
    __typename?: 'task_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Task>;
};
/** on_conflict condition type for table "task" */
export type Task_On_Conflict = {
    constraint: Task_Constraint;
    update_columns?: Array<Task_Update_Column>;
    where?: InputMaybe<Task_Bool_Exp>;
};
/** Ordering options when selecting data from "task". */
export type Task_Order_By = {
    answerType?: InputMaybe<Answer_Type_Order_By>;
    answer_code?: InputMaybe<Order_By>;
    answer_type_id?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    done?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    judge?: InputMaybe<Judge_Order_By>;
    judge_id?: InputMaybe<Order_By>;
    next_quest_id?: InputMaybe<Order_By>;
    reject?: InputMaybe<Order_By>;
    subject?: InputMaybe<Treasure_User_Order_By>;
    subject_user_id?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: task */
export type Task_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "task" */
export declare enum Task_Select_Column {
    /** column name */
    AnswerCode = "answer_code",
    /** column name */
    AnswerTypeId = "answer_type_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Done = "done",
    /** column name */
    Id = "id",
    /** column name */
    JudgeId = "judge_id",
    /** column name */
    NextQuestId = "next_quest_id",
    /** column name */
    Reject = "reject",
    /** column name */
    SubjectUserId = "subject_user_id",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "task" */
export type Task_Set_Input = {
    answer_code?: InputMaybe<Scalars['String']>;
    answer_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    done?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    judge_id?: InputMaybe<Scalars['Int']>;
    next_quest_id?: InputMaybe<Scalars['Int']>;
    reject?: InputMaybe<Scalars['Boolean']>;
    subject_user_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate stddev on columns */
export type Task_Stddev_Fields = {
    __typename?: 'task_stddev_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Task_Stddev_Pop_Fields = {
    __typename?: 'task_stddev_pop_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Task_Stddev_Samp_Fields = {
    __typename?: 'task_stddev_samp_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "task" */
export type Task_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Task_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Task_Stream_Cursor_Value_Input = {
    answer_code?: InputMaybe<Scalars['String']>;
    answer_type_id?: InputMaybe<Scalars['Int']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    done?: InputMaybe<Scalars['Boolean']>;
    id?: InputMaybe<Scalars['Int']>;
    judge_id?: InputMaybe<Scalars['Int']>;
    next_quest_id?: InputMaybe<Scalars['Int']>;
    reject?: InputMaybe<Scalars['Boolean']>;
    subject_user_id?: InputMaybe<Scalars['Int']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Task_Sum_Fields = {
    __typename?: 'task_sum_fields';
    answer_type_id?: Maybe<Scalars['Int']>;
    id?: Maybe<Scalars['Int']>;
    judge_id?: Maybe<Scalars['Int']>;
    next_quest_id?: Maybe<Scalars['Int']>;
    subject_user_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "task" */
export declare enum Task_Update_Column {
    /** column name */
    AnswerCode = "answer_code",
    /** column name */
    AnswerTypeId = "answer_type_id",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Done = "done",
    /** column name */
    Id = "id",
    /** column name */
    JudgeId = "judge_id",
    /** column name */
    NextQuestId = "next_quest_id",
    /** column name */
    Reject = "reject",
    /** column name */
    SubjectUserId = "subject_user_id",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Task_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Task_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Task_Set_Input>;
    /** filter the rows which have to be updated */
    where: Task_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Task_Var_Pop_Fields = {
    __typename?: 'task_var_pop_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Task_Var_Samp_Fields = {
    __typename?: 'task_var_samp_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Task_Variance_Fields = {
    __typename?: 'task_variance_fields';
    answer_type_id?: Maybe<Scalars['Float']>;
    id?: Maybe<Scalars['Float']>;
    judge_id?: Maybe<Scalars['Float']>;
    next_quest_id?: Maybe<Scalars['Float']>;
    subject_user_id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "theme" */
export type Theme = {
    __typename?: 'theme';
    description: Scalars['String'];
    id: Scalars['Int'];
    title: Scalars['String'];
};
/** aggregated selection of "theme" */
export type Theme_Aggregate = {
    __typename?: 'theme_aggregate';
    aggregate?: Maybe<Theme_Aggregate_Fields>;
    nodes: Array<Theme>;
};
/** aggregate fields of "theme" */
export type Theme_Aggregate_Fields = {
    __typename?: 'theme_aggregate_fields';
    avg?: Maybe<Theme_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Theme_Max_Fields>;
    min?: Maybe<Theme_Min_Fields>;
    stddev?: Maybe<Theme_Stddev_Fields>;
    stddev_pop?: Maybe<Theme_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Theme_Stddev_Samp_Fields>;
    sum?: Maybe<Theme_Sum_Fields>;
    var_pop?: Maybe<Theme_Var_Pop_Fields>;
    var_samp?: Maybe<Theme_Var_Samp_Fields>;
    variance?: Maybe<Theme_Variance_Fields>;
};
/** aggregate fields of "theme" */
export type Theme_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Theme_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Theme_Avg_Fields = {
    __typename?: 'theme_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "theme". All fields are combined with a logical 'AND'. */
export type Theme_Bool_Exp = {
    _and?: InputMaybe<Array<Theme_Bool_Exp>>;
    _not?: InputMaybe<Theme_Bool_Exp>;
    _or?: InputMaybe<Array<Theme_Bool_Exp>>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    title?: InputMaybe<String_Comparison_Exp>;
};
/** unique or primary key constraints on table "theme" */
export declare enum Theme_Constraint {
    /** unique or primary key constraint on columns "id" */
    ThemePkey = "theme_pkey"
}
/** input type for incrementing numeric columns in table "theme" */
export type Theme_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "theme" */
export type Theme_Insert_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export type Theme_Max_Fields = {
    __typename?: 'theme_max_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Theme_Min_Fields = {
    __typename?: 'theme_min_fields';
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    title?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "theme" */
export type Theme_Mutation_Response = {
    __typename?: 'theme_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Theme>;
};
/** input type for inserting object relation for remote table "theme" */
export type Theme_Obj_Rel_Insert_Input = {
    data: Theme_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Theme_On_Conflict>;
};
/** on_conflict condition type for table "theme" */
export type Theme_On_Conflict = {
    constraint: Theme_Constraint;
    update_columns?: Array<Theme_Update_Column>;
    where?: InputMaybe<Theme_Bool_Exp>;
};
/** Ordering options when selecting data from "theme". */
export type Theme_Order_By = {
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    title?: InputMaybe<Order_By>;
};
/** primary key columns input for table: theme */
export type Theme_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "theme" */
export declare enum Theme_Select_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title"
}
/** input type for updating data in table "theme" */
export type Theme_Set_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Theme_Stddev_Fields = {
    __typename?: 'theme_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Theme_Stddev_Pop_Fields = {
    __typename?: 'theme_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Theme_Stddev_Samp_Fields = {
    __typename?: 'theme_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "theme" */
export type Theme_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Theme_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Theme_Stream_Cursor_Value_Input = {
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    title?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Theme_Sum_Fields = {
    __typename?: 'theme_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "theme" */
export declare enum Theme_Update_Column {
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Title = "title"
}
export type Theme_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Theme_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Theme_Set_Input>;
    /** filter the rows which have to be updated */
    where: Theme_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Theme_Var_Pop_Fields = {
    __typename?: 'theme_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Theme_Var_Samp_Fields = {
    __typename?: 'theme_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Theme_Variance_Fields = {
    __typename?: 'theme_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to compare columns of type "time". All fields are combined with logical 'AND'. */
export type Time_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['time']>;
    _gt?: InputMaybe<Scalars['time']>;
    _gte?: InputMaybe<Scalars['time']>;
    _in?: InputMaybe<Array<Scalars['time']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['time']>;
    _lte?: InputMaybe<Scalars['time']>;
    _neq?: InputMaybe<Scalars['time']>;
    _nin?: InputMaybe<Array<Scalars['time']>>;
};
/** Boolean expression to compare columns of type "timestamp". All fields are combined with logical 'AND'. */
export type Timestamp_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['timestamp']>;
    _gt?: InputMaybe<Scalars['timestamp']>;
    _gte?: InputMaybe<Scalars['timestamp']>;
    _in?: InputMaybe<Array<Scalars['timestamp']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['timestamp']>;
    _lte?: InputMaybe<Scalars['timestamp']>;
    _neq?: InputMaybe<Scalars['timestamp']>;
    _nin?: InputMaybe<Array<Scalars['timestamp']>>;
};
/** Boolean expression to compare columns of type "timestamptz". All fields are combined with logical 'AND'. */
export type Timestamptz_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['timestamptz']>;
    _gt?: InputMaybe<Scalars['timestamptz']>;
    _gte?: InputMaybe<Scalars['timestamptz']>;
    _in?: InputMaybe<Array<Scalars['timestamptz']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['timestamptz']>;
    _lte?: InputMaybe<Scalars['timestamptz']>;
    _neq?: InputMaybe<Scalars['timestamptz']>;
    _nin?: InputMaybe<Array<Scalars['timestamptz']>>;
};
/** Boolean expression to compare columns of type "timetz". All fields are combined with logical 'AND'. */
export type Timetz_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['timetz']>;
    _gt?: InputMaybe<Scalars['timetz']>;
    _gte?: InputMaybe<Scalars['timetz']>;
    _in?: InputMaybe<Array<Scalars['timetz']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['timetz']>;
    _lte?: InputMaybe<Scalars['timetz']>;
    _neq?: InputMaybe<Scalars['timetz']>;
    _nin?: InputMaybe<Array<Scalars['timetz']>>;
};
/** columns and relationships of "treasure_user" */
export type Treasure_User = {
    __typename?: 'treasure_user';
    created_at?: Maybe<Scalars['timestamp']>;
    email?: Maybe<Scalars['String']>;
    id: Scalars['Int'];
    last_seen?: Maybe<Scalars['timestamp']>;
    name?: Maybe<Scalars['String']>;
    /** An object relationship */
    user?: Maybe<Users>;
};
/** aggregated selection of "treasure_user" */
export type Treasure_User_Aggregate = {
    __typename?: 'treasure_user_aggregate';
    aggregate?: Maybe<Treasure_User_Aggregate_Fields>;
    nodes: Array<Treasure_User>;
};
/** aggregate fields of "treasure_user" */
export type Treasure_User_Aggregate_Fields = {
    __typename?: 'treasure_user_aggregate_fields';
    avg?: Maybe<Treasure_User_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Treasure_User_Max_Fields>;
    min?: Maybe<Treasure_User_Min_Fields>;
    stddev?: Maybe<Treasure_User_Stddev_Fields>;
    stddev_pop?: Maybe<Treasure_User_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Treasure_User_Stddev_Samp_Fields>;
    sum?: Maybe<Treasure_User_Sum_Fields>;
    var_pop?: Maybe<Treasure_User_Var_Pop_Fields>;
    var_samp?: Maybe<Treasure_User_Var_Samp_Fields>;
    variance?: Maybe<Treasure_User_Variance_Fields>;
};
/** aggregate fields of "treasure_user" */
export type Treasure_User_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Treasure_User_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Treasure_User_Avg_Fields = {
    __typename?: 'treasure_user_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "treasure_user". All fields are combined with a logical 'AND'. */
export type Treasure_User_Bool_Exp = {
    _and?: InputMaybe<Array<Treasure_User_Bool_Exp>>;
    _not?: InputMaybe<Treasure_User_Bool_Exp>;
    _or?: InputMaybe<Array<Treasure_User_Bool_Exp>>;
    created_at?: InputMaybe<Timestamp_Comparison_Exp>;
    email?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    last_seen?: InputMaybe<Timestamp_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    user?: InputMaybe<Users_Bool_Exp>;
};
/** unique or primary key constraints on table "treasure_user" */
export declare enum Treasure_User_Constraint {
    /** unique or primary key constraint on columns "name" */
    TreasureUserNameKey = "treasure_user_name_key",
    /** unique or primary key constraint on columns "id" */
    TreasureUserPkey = "treasure_user_pkey"
}
/** input type for incrementing numeric columns in table "treasure_user" */
export type Treasure_User_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "treasure_user" */
export type Treasure_User_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    name?: InputMaybe<Scalars['String']>;
    user?: InputMaybe<Users_Obj_Rel_Insert_Input>;
};
/** aggregate max on columns */
export type Treasure_User_Max_Fields = {
    __typename?: 'treasure_user_max_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export type Treasure_User_Min_Fields = {
    __typename?: 'treasure_user_min_fields';
    created_at?: Maybe<Scalars['timestamp']>;
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    last_seen?: Maybe<Scalars['timestamp']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "treasure_user" */
export type Treasure_User_Mutation_Response = {
    __typename?: 'treasure_user_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Treasure_User>;
};
/** input type for inserting object relation for remote table "treasure_user" */
export type Treasure_User_Obj_Rel_Insert_Input = {
    data: Treasure_User_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Treasure_User_On_Conflict>;
};
/** on_conflict condition type for table "treasure_user" */
export type Treasure_User_On_Conflict = {
    constraint: Treasure_User_Constraint;
    update_columns?: Array<Treasure_User_Update_Column>;
    where?: InputMaybe<Treasure_User_Bool_Exp>;
};
/** Ordering options when selecting data from "treasure_user". */
export type Treasure_User_Order_By = {
    created_at?: InputMaybe<Order_By>;
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    last_seen?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    user?: InputMaybe<Users_Order_By>;
};
/** primary key columns input for table: treasure_user */
export type Treasure_User_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "treasure_user" */
export declare enum Treasure_User_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Name = "name"
}
/** input type for updating data in table "treasure_user" */
export type Treasure_User_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate stddev on columns */
export type Treasure_User_Stddev_Fields = {
    __typename?: 'treasure_user_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Treasure_User_Stddev_Pop_Fields = {
    __typename?: 'treasure_user_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Treasure_User_Stddev_Samp_Fields = {
    __typename?: 'treasure_user_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "treasure_user" */
export type Treasure_User_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Treasure_User_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Treasure_User_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamp']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    last_seen?: InputMaybe<Scalars['timestamp']>;
    name?: InputMaybe<Scalars['String']>;
};
/** aggregate sum on columns */
export type Treasure_User_Sum_Fields = {
    __typename?: 'treasure_user_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "treasure_user" */
export declare enum Treasure_User_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    LastSeen = "last_seen",
    /** column name */
    Name = "name"
}
export type Treasure_User_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Treasure_User_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Treasure_User_Set_Input>;
    /** filter the rows which have to be updated */
    where: Treasure_User_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Treasure_User_Var_Pop_Fields = {
    __typename?: 'treasure_user_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Treasure_User_Var_Samp_Fields = {
    __typename?: 'treasure_user_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Treasure_User_Variance_Fields = {
    __typename?: 'treasure_user_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to compare columns of type "tsvector". All fields are combined with logical 'AND'. */
export type Tsvector_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['tsvector']>;
    _gt?: InputMaybe<Scalars['tsvector']>;
    _gte?: InputMaybe<Scalars['tsvector']>;
    _in?: InputMaybe<Array<Scalars['tsvector']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['tsvector']>;
    _lte?: InputMaybe<Scalars['tsvector']>;
    _neq?: InputMaybe<Scalars['tsvector']>;
    _nin?: InputMaybe<Array<Scalars['tsvector']>>;
};
/** columns and relationships of "universe" */
export type Universe = {
    __typename?: 'universe';
    created_at?: Maybe<Scalars['timestamptz']>;
    description: Scalars['String'];
    id: Scalars['Int'];
    name: Scalars['String'];
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregated selection of "universe" */
export type Universe_Aggregate = {
    __typename?: 'universe_aggregate';
    aggregate?: Maybe<Universe_Aggregate_Fields>;
    nodes: Array<Universe>;
};
/** aggregate fields of "universe" */
export type Universe_Aggregate_Fields = {
    __typename?: 'universe_aggregate_fields';
    avg?: Maybe<Universe_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Universe_Max_Fields>;
    min?: Maybe<Universe_Min_Fields>;
    stddev?: Maybe<Universe_Stddev_Fields>;
    stddev_pop?: Maybe<Universe_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Universe_Stddev_Samp_Fields>;
    sum?: Maybe<Universe_Sum_Fields>;
    var_pop?: Maybe<Universe_Var_Pop_Fields>;
    var_samp?: Maybe<Universe_Var_Samp_Fields>;
    variance?: Maybe<Universe_Variance_Fields>;
};
/** aggregate fields of "universe" */
export type Universe_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Universe_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Universe_Avg_Fields = {
    __typename?: 'universe_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "universe". All fields are combined with a logical 'AND'. */
export type Universe_Bool_Exp = {
    _and?: InputMaybe<Array<Universe_Bool_Exp>>;
    _not?: InputMaybe<Universe_Bool_Exp>;
    _or?: InputMaybe<Array<Universe_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    description?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "universe" */
export declare enum Universe_Constraint {
    /** unique or primary key constraint on columns "id" */
    UniversePkey = "universe_pkey"
}
/** input type for incrementing numeric columns in table "universe" */
export type Universe_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "universe" */
export type Universe_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Universe_Max_Fields = {
    __typename?: 'universe_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** columns and relationships of "universe_member" */
export type Universe_Member = {
    __typename?: 'universe_member';
    created_at?: Maybe<Scalars['timestamptz']>;
    id: Scalars['Int'];
    /** An object relationship */
    member: Treasure_User;
    member_id: Scalars['Int'];
    /** An object relationship */
    universe: Universe;
    universe_id: Scalars['Int'];
};
/** aggregated selection of "universe_member" */
export type Universe_Member_Aggregate = {
    __typename?: 'universe_member_aggregate';
    aggregate?: Maybe<Universe_Member_Aggregate_Fields>;
    nodes: Array<Universe_Member>;
};
/** aggregate fields of "universe_member" */
export type Universe_Member_Aggregate_Fields = {
    __typename?: 'universe_member_aggregate_fields';
    avg?: Maybe<Universe_Member_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Universe_Member_Max_Fields>;
    min?: Maybe<Universe_Member_Min_Fields>;
    stddev?: Maybe<Universe_Member_Stddev_Fields>;
    stddev_pop?: Maybe<Universe_Member_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Universe_Member_Stddev_Samp_Fields>;
    sum?: Maybe<Universe_Member_Sum_Fields>;
    var_pop?: Maybe<Universe_Member_Var_Pop_Fields>;
    var_samp?: Maybe<Universe_Member_Var_Samp_Fields>;
    variance?: Maybe<Universe_Member_Variance_Fields>;
};
/** aggregate fields of "universe_member" */
export type Universe_Member_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Universe_Member_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Universe_Member_Avg_Fields = {
    __typename?: 'universe_member_avg_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "universe_member". All fields are combined with a logical 'AND'. */
export type Universe_Member_Bool_Exp = {
    _and?: InputMaybe<Array<Universe_Member_Bool_Exp>>;
    _not?: InputMaybe<Universe_Member_Bool_Exp>;
    _or?: InputMaybe<Array<Universe_Member_Bool_Exp>>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    id?: InputMaybe<Int_Comparison_Exp>;
    member?: InputMaybe<Treasure_User_Bool_Exp>;
    member_id?: InputMaybe<Int_Comparison_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "universe_member" */
export declare enum Universe_Member_Constraint {
    /** unique or primary key constraint on columns "id" */
    UniverseMemberPkey = "universe_member_pkey"
}
/** input type for incrementing numeric columns in table "universe_member" */
export type Universe_Member_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "universe_member" */
export type Universe_Member_Insert_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    member?: InputMaybe<Treasure_User_Obj_Rel_Insert_Input>;
    member_id?: InputMaybe<Scalars['Int']>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Universe_Member_Max_Fields = {
    __typename?: 'universe_member_max_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Universe_Member_Min_Fields = {
    __typename?: 'universe_member_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "universe_member" */
export type Universe_Member_Mutation_Response = {
    __typename?: 'universe_member_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Universe_Member>;
};
/** on_conflict condition type for table "universe_member" */
export type Universe_Member_On_Conflict = {
    constraint: Universe_Member_Constraint;
    update_columns?: Array<Universe_Member_Update_Column>;
    where?: InputMaybe<Universe_Member_Bool_Exp>;
};
/** Ordering options when selecting data from "universe_member". */
export type Universe_Member_Order_By = {
    created_at?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    member?: InputMaybe<Treasure_User_Order_By>;
    member_id?: InputMaybe<Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: universe_member */
export type Universe_Member_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "universe_member" */
export declare enum Universe_Member_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    MemberId = "member_id",
    /** column name */
    UniverseId = "universe_id"
}
/** input type for updating data in table "universe_member" */
export type Universe_Member_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Universe_Member_Stddev_Fields = {
    __typename?: 'universe_member_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Universe_Member_Stddev_Pop_Fields = {
    __typename?: 'universe_member_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Universe_Member_Stddev_Samp_Fields = {
    __typename?: 'universe_member_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "universe_member" */
export type Universe_Member_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Universe_Member_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Universe_Member_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['Int']>;
    member_id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Universe_Member_Sum_Fields = {
    __typename?: 'universe_member_sum_fields';
    id?: Maybe<Scalars['Int']>;
    member_id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "universe_member" */
export declare enum Universe_Member_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Id = "id",
    /** column name */
    MemberId = "member_id",
    /** column name */
    UniverseId = "universe_id"
}
export type Universe_Member_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Universe_Member_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Universe_Member_Set_Input>;
    /** filter the rows which have to be updated */
    where: Universe_Member_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Universe_Member_Var_Pop_Fields = {
    __typename?: 'universe_member_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Universe_Member_Var_Samp_Fields = {
    __typename?: 'universe_member_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Universe_Member_Variance_Fields = {
    __typename?: 'universe_member_variance_fields';
    id?: Maybe<Scalars['Float']>;
    member_id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate min on columns */
export type Universe_Min_Fields = {
    __typename?: 'universe_min_fields';
    created_at?: Maybe<Scalars['timestamptz']>;
    description?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['Int']>;
    name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "universe" */
export type Universe_Mutation_Response = {
    __typename?: 'universe_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Universe>;
};
/** input type for inserting object relation for remote table "universe" */
export type Universe_Obj_Rel_Insert_Input = {
    data: Universe_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Universe_On_Conflict>;
};
/** on_conflict condition type for table "universe" */
export type Universe_On_Conflict = {
    constraint: Universe_Constraint;
    update_columns?: Array<Universe_Update_Column>;
    where?: InputMaybe<Universe_Bool_Exp>;
};
/** Ordering options when selecting data from "universe". */
export type Universe_Order_By = {
    created_at?: InputMaybe<Order_By>;
    description?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: universe */
export type Universe_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** columns and relationships of "universe_policy" */
export type Universe_Policy = {
    __typename?: 'universe_policy';
    id: Scalars['Int'];
};
/** aggregated selection of "universe_policy" */
export type Universe_Policy_Aggregate = {
    __typename?: 'universe_policy_aggregate';
    aggregate?: Maybe<Universe_Policy_Aggregate_Fields>;
    nodes: Array<Universe_Policy>;
};
/** aggregate fields of "universe_policy" */
export type Universe_Policy_Aggregate_Fields = {
    __typename?: 'universe_policy_aggregate_fields';
    avg?: Maybe<Universe_Policy_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Universe_Policy_Max_Fields>;
    min?: Maybe<Universe_Policy_Min_Fields>;
    stddev?: Maybe<Universe_Policy_Stddev_Fields>;
    stddev_pop?: Maybe<Universe_Policy_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Universe_Policy_Stddev_Samp_Fields>;
    sum?: Maybe<Universe_Policy_Sum_Fields>;
    var_pop?: Maybe<Universe_Policy_Var_Pop_Fields>;
    var_samp?: Maybe<Universe_Policy_Var_Samp_Fields>;
    variance?: Maybe<Universe_Policy_Variance_Fields>;
};
/** aggregate fields of "universe_policy" */
export type Universe_Policy_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Universe_Policy_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Universe_Policy_Avg_Fields = {
    __typename?: 'universe_policy_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "universe_policy". All fields are combined with a logical 'AND'. */
export type Universe_Policy_Bool_Exp = {
    _and?: InputMaybe<Array<Universe_Policy_Bool_Exp>>;
    _not?: InputMaybe<Universe_Policy_Bool_Exp>;
    _or?: InputMaybe<Array<Universe_Policy_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "universe_policy" */
export declare enum Universe_Policy_Constraint {
    /** unique or primary key constraint on columns "id" */
    UniversePolicyPkey = "universe_policy_pkey"
}
/** input type for incrementing numeric columns in table "universe_policy" */
export type Universe_Policy_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "universe_policy" */
export type Universe_Policy_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Universe_Policy_Max_Fields = {
    __typename?: 'universe_policy_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Universe_Policy_Min_Fields = {
    __typename?: 'universe_policy_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "universe_policy" */
export type Universe_Policy_Mutation_Response = {
    __typename?: 'universe_policy_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Universe_Policy>;
};
/** on_conflict condition type for table "universe_policy" */
export type Universe_Policy_On_Conflict = {
    constraint: Universe_Policy_Constraint;
    update_columns?: Array<Universe_Policy_Update_Column>;
    where?: InputMaybe<Universe_Policy_Bool_Exp>;
};
/** Ordering options when selecting data from "universe_policy". */
export type Universe_Policy_Order_By = {
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: universe_policy */
export type Universe_Policy_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "universe_policy" */
export declare enum Universe_Policy_Select_Column {
    /** column name */
    Id = "id"
}
/** input type for updating data in table "universe_policy" */
export type Universe_Policy_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Universe_Policy_Stddev_Fields = {
    __typename?: 'universe_policy_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Universe_Policy_Stddev_Pop_Fields = {
    __typename?: 'universe_policy_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Universe_Policy_Stddev_Samp_Fields = {
    __typename?: 'universe_policy_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "universe_policy" */
export type Universe_Policy_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Universe_Policy_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Universe_Policy_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Universe_Policy_Sum_Fields = {
    __typename?: 'universe_policy_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "universe_policy" */
export declare enum Universe_Policy_Update_Column {
    /** column name */
    Id = "id"
}
export type Universe_Policy_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Universe_Policy_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Universe_Policy_Set_Input>;
    /** filter the rows which have to be updated */
    where: Universe_Policy_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Universe_Policy_Var_Pop_Fields = {
    __typename?: 'universe_policy_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Universe_Policy_Var_Samp_Fields = {
    __typename?: 'universe_policy_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Universe_Policy_Variance_Fields = {
    __typename?: 'universe_policy_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "universe_resource" */
export type Universe_Resource = {
    __typename?: 'universe_resource';
    id: Scalars['Int'];
};
/** aggregated selection of "universe_resource" */
export type Universe_Resource_Aggregate = {
    __typename?: 'universe_resource_aggregate';
    aggregate?: Maybe<Universe_Resource_Aggregate_Fields>;
    nodes: Array<Universe_Resource>;
};
/** aggregate fields of "universe_resource" */
export type Universe_Resource_Aggregate_Fields = {
    __typename?: 'universe_resource_aggregate_fields';
    avg?: Maybe<Universe_Resource_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Universe_Resource_Max_Fields>;
    min?: Maybe<Universe_Resource_Min_Fields>;
    stddev?: Maybe<Universe_Resource_Stddev_Fields>;
    stddev_pop?: Maybe<Universe_Resource_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Universe_Resource_Stddev_Samp_Fields>;
    sum?: Maybe<Universe_Resource_Sum_Fields>;
    var_pop?: Maybe<Universe_Resource_Var_Pop_Fields>;
    var_samp?: Maybe<Universe_Resource_Var_Samp_Fields>;
    variance?: Maybe<Universe_Resource_Variance_Fields>;
};
/** aggregate fields of "universe_resource" */
export type Universe_Resource_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Universe_Resource_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Universe_Resource_Avg_Fields = {
    __typename?: 'universe_resource_avg_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "universe_resource". All fields are combined with a logical 'AND'. */
export type Universe_Resource_Bool_Exp = {
    _and?: InputMaybe<Array<Universe_Resource_Bool_Exp>>;
    _not?: InputMaybe<Universe_Resource_Bool_Exp>;
    _or?: InputMaybe<Array<Universe_Resource_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "universe_resource" */
export declare enum Universe_Resource_Constraint {
    /** unique or primary key constraint on columns "id" */
    UniverseResourcePkey = "universe_resource_pkey"
}
/** input type for incrementing numeric columns in table "universe_resource" */
export type Universe_Resource_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "universe_resource" */
export type Universe_Resource_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Universe_Resource_Max_Fields = {
    __typename?: 'universe_resource_max_fields';
    id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Universe_Resource_Min_Fields = {
    __typename?: 'universe_resource_min_fields';
    id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "universe_resource" */
export type Universe_Resource_Mutation_Response = {
    __typename?: 'universe_resource_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Universe_Resource>;
};
/** on_conflict condition type for table "universe_resource" */
export type Universe_Resource_On_Conflict = {
    constraint: Universe_Resource_Constraint;
    update_columns?: Array<Universe_Resource_Update_Column>;
    where?: InputMaybe<Universe_Resource_Bool_Exp>;
};
/** Ordering options when selecting data from "universe_resource". */
export type Universe_Resource_Order_By = {
    id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: universe_resource */
export type Universe_Resource_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "universe_resource" */
export declare enum Universe_Resource_Select_Column {
    /** column name */
    Id = "id"
}
/** input type for updating data in table "universe_resource" */
export type Universe_Resource_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Universe_Resource_Stddev_Fields = {
    __typename?: 'universe_resource_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Universe_Resource_Stddev_Pop_Fields = {
    __typename?: 'universe_resource_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Universe_Resource_Stddev_Samp_Fields = {
    __typename?: 'universe_resource_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "universe_resource" */
export type Universe_Resource_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Universe_Resource_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Universe_Resource_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Universe_Resource_Sum_Fields = {
    __typename?: 'universe_resource_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "universe_resource" */
export declare enum Universe_Resource_Update_Column {
    /** column name */
    Id = "id"
}
export type Universe_Resource_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Universe_Resource_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Universe_Resource_Set_Input>;
    /** filter the rows which have to be updated */
    where: Universe_Resource_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Universe_Resource_Var_Pop_Fields = {
    __typename?: 'universe_resource_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Universe_Resource_Var_Samp_Fields = {
    __typename?: 'universe_resource_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Universe_Resource_Variance_Fields = {
    __typename?: 'universe_resource_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** select columns of table "universe" */
export declare enum Universe_Select_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "universe" */
export type Universe_Set_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** columns and relationships of "universe_state" */
export type Universe_State = {
    __typename?: 'universe_state';
    id: Scalars['Int'];
    /** An object relationship */
    universe: Universe;
    universe_id: Scalars['Int'];
};
/** aggregated selection of "universe_state" */
export type Universe_State_Aggregate = {
    __typename?: 'universe_state_aggregate';
    aggregate?: Maybe<Universe_State_Aggregate_Fields>;
    nodes: Array<Universe_State>;
};
/** aggregate fields of "universe_state" */
export type Universe_State_Aggregate_Fields = {
    __typename?: 'universe_state_aggregate_fields';
    avg?: Maybe<Universe_State_Avg_Fields>;
    count: Scalars['Int'];
    max?: Maybe<Universe_State_Max_Fields>;
    min?: Maybe<Universe_State_Min_Fields>;
    stddev?: Maybe<Universe_State_Stddev_Fields>;
    stddev_pop?: Maybe<Universe_State_Stddev_Pop_Fields>;
    stddev_samp?: Maybe<Universe_State_Stddev_Samp_Fields>;
    sum?: Maybe<Universe_State_Sum_Fields>;
    var_pop?: Maybe<Universe_State_Var_Pop_Fields>;
    var_samp?: Maybe<Universe_State_Var_Samp_Fields>;
    variance?: Maybe<Universe_State_Variance_Fields>;
};
/** aggregate fields of "universe_state" */
export type Universe_State_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Universe_State_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** aggregate avg on columns */
export type Universe_State_Avg_Fields = {
    __typename?: 'universe_state_avg_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "universe_state". All fields are combined with a logical 'AND'. */
export type Universe_State_Bool_Exp = {
    _and?: InputMaybe<Array<Universe_State_Bool_Exp>>;
    _not?: InputMaybe<Universe_State_Bool_Exp>;
    _or?: InputMaybe<Array<Universe_State_Bool_Exp>>;
    id?: InputMaybe<Int_Comparison_Exp>;
    universe?: InputMaybe<Universe_Bool_Exp>;
    universe_id?: InputMaybe<Int_Comparison_Exp>;
};
/** unique or primary key constraints on table "universe_state" */
export declare enum Universe_State_Constraint {
    /** unique or primary key constraint on columns "id" */
    UniverseStatePkey = "universe_state_pkey"
}
/** input type for incrementing numeric columns in table "universe_state" */
export type Universe_State_Inc_Input = {
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** input type for inserting data into table "universe_state" */
export type Universe_State_Insert_Input = {
    id?: InputMaybe<Scalars['Int']>;
    universe?: InputMaybe<Universe_Obj_Rel_Insert_Input>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate max on columns */
export type Universe_State_Max_Fields = {
    __typename?: 'universe_state_max_fields';
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** aggregate min on columns */
export type Universe_State_Min_Fields = {
    __typename?: 'universe_state_min_fields';
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** response of any mutation on the table "universe_state" */
export type Universe_State_Mutation_Response = {
    __typename?: 'universe_state_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Universe_State>;
};
/** on_conflict condition type for table "universe_state" */
export type Universe_State_On_Conflict = {
    constraint: Universe_State_Constraint;
    update_columns?: Array<Universe_State_Update_Column>;
    where?: InputMaybe<Universe_State_Bool_Exp>;
};
/** Ordering options when selecting data from "universe_state". */
export type Universe_State_Order_By = {
    id?: InputMaybe<Order_By>;
    universe?: InputMaybe<Universe_Order_By>;
    universe_id?: InputMaybe<Order_By>;
};
/** primary key columns input for table: universe_state */
export type Universe_State_Pk_Columns_Input = {
    id: Scalars['Int'];
};
/** select columns of table "universe_state" */
export declare enum Universe_State_Select_Column {
    /** column name */
    Id = "id",
    /** column name */
    UniverseId = "universe_id"
}
/** input type for updating data in table "universe_state" */
export type Universe_State_Set_Input = {
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate stddev on columns */
export type Universe_State_Stddev_Fields = {
    __typename?: 'universe_state_stddev_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Universe_State_Stddev_Pop_Fields = {
    __typename?: 'universe_state_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Universe_State_Stddev_Samp_Fields = {
    __typename?: 'universe_state_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "universe_state" */
export type Universe_State_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Universe_State_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Universe_State_Stream_Cursor_Value_Input = {
    id?: InputMaybe<Scalars['Int']>;
    universe_id?: InputMaybe<Scalars['Int']>;
};
/** aggregate sum on columns */
export type Universe_State_Sum_Fields = {
    __typename?: 'universe_state_sum_fields';
    id?: Maybe<Scalars['Int']>;
    universe_id?: Maybe<Scalars['Int']>;
};
/** update columns of table "universe_state" */
export declare enum Universe_State_Update_Column {
    /** column name */
    Id = "id",
    /** column name */
    UniverseId = "universe_id"
}
export type Universe_State_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Universe_State_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Universe_State_Set_Input>;
    /** filter the rows which have to be updated */
    where: Universe_State_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Universe_State_Var_Pop_Fields = {
    __typename?: 'universe_state_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Universe_State_Var_Samp_Fields = {
    __typename?: 'universe_state_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Universe_State_Variance_Fields = {
    __typename?: 'universe_state_variance_fields';
    id?: Maybe<Scalars['Float']>;
    universe_id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev on columns */
export type Universe_Stddev_Fields = {
    __typename?: 'universe_stddev_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export type Universe_Stddev_Pop_Fields = {
    __typename?: 'universe_stddev_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export type Universe_Stddev_Samp_Fields = {
    __typename?: 'universe_stddev_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "universe" */
export type Universe_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Universe_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Universe_Stream_Cursor_Value_Input = {
    created_at?: InputMaybe<Scalars['timestamptz']>;
    description?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['Int']>;
    name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate sum on columns */
export type Universe_Sum_Fields = {
    __typename?: 'universe_sum_fields';
    id?: Maybe<Scalars['Int']>;
};
/** update columns of table "universe" */
export declare enum Universe_Update_Column {
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    Description = "description",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Universe_Updates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<Universe_Inc_Input>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Universe_Set_Input>;
    /** filter the rows which have to be updated */
    where: Universe_Bool_Exp;
};
/** aggregate var_pop on columns */
export type Universe_Var_Pop_Fields = {
    __typename?: 'universe_var_pop_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export type Universe_Var_Samp_Fields = {
    __typename?: 'universe_var_samp_fields';
    id?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export type Universe_Variance_Fields = {
    __typename?: 'universe_variance_fields';
    id?: Maybe<Scalars['Float']>;
};
/** columns and relationships of "users" */
export type Users = {
    __typename?: 'users';
    /** An object relationship */
    account?: Maybe<Auth_Accounts>;
    address?: Maybe<Scalars['String']>;
    avatar_url?: Maybe<Scalars['String']>;
    created_at: Scalars['timestamptz'];
    display_name?: Maybe<Scalars['String']>;
    email?: Maybe<Scalars['String']>;
    id: Scalars['uuid'];
    name?: Maybe<Scalars['String']>;
    phone_number?: Maybe<Scalars['String']>;
    receiver_name?: Maybe<Scalars['String']>;
    updated_at: Scalars['timestamptz'];
};
/** aggregated selection of "users" */
export type Users_Aggregate = {
    __typename?: 'users_aggregate';
    aggregate?: Maybe<Users_Aggregate_Fields>;
    nodes: Array<Users>;
};
/** aggregate fields of "users" */
export type Users_Aggregate_Fields = {
    __typename?: 'users_aggregate_fields';
    count: Scalars['Int'];
    max?: Maybe<Users_Max_Fields>;
    min?: Maybe<Users_Min_Fields>;
};
/** aggregate fields of "users" */
export type Users_Aggregate_FieldsCountArgs = {
    columns?: InputMaybe<Array<Users_Select_Column>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** Boolean expression to filter rows from the table "users". All fields are combined with a logical 'AND'. */
export type Users_Bool_Exp = {
    _and?: InputMaybe<Array<Users_Bool_Exp>>;
    _not?: InputMaybe<Users_Bool_Exp>;
    _or?: InputMaybe<Array<Users_Bool_Exp>>;
    account?: InputMaybe<Auth_Accounts_Bool_Exp>;
    address?: InputMaybe<String_Comparison_Exp>;
    avatar_url?: InputMaybe<String_Comparison_Exp>;
    created_at?: InputMaybe<Timestamptz_Comparison_Exp>;
    display_name?: InputMaybe<String_Comparison_Exp>;
    email?: InputMaybe<String_Comparison_Exp>;
    id?: InputMaybe<Uuid_Comparison_Exp>;
    name?: InputMaybe<String_Comparison_Exp>;
    phone_number?: InputMaybe<String_Comparison_Exp>;
    receiver_name?: InputMaybe<String_Comparison_Exp>;
    updated_at?: InputMaybe<Timestamptz_Comparison_Exp>;
};
/** unique or primary key constraints on table "users" */
export declare enum Users_Constraint {
    /** unique or primary key constraint on columns "name" */
    UsersNameKey = "users_name_key",
    /** unique or primary key constraint on columns "id" */
    UsersPkey = "users_pkey"
}
/** input type for inserting data into table "users" */
export type Users_Insert_Input = {
    account?: InputMaybe<Auth_Accounts_Obj_Rel_Insert_Input>;
    address?: InputMaybe<Scalars['String']>;
    avatar_url?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    display_name?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['uuid']>;
    name?: InputMaybe<Scalars['String']>;
    phone_number?: InputMaybe<Scalars['String']>;
    receiver_name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** aggregate max on columns */
export type Users_Max_Fields = {
    __typename?: 'users_max_fields';
    address?: Maybe<Scalars['String']>;
    avatar_url?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    display_name?: Maybe<Scalars['String']>;
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['uuid']>;
    name?: Maybe<Scalars['String']>;
    phone_number?: Maybe<Scalars['String']>;
    receiver_name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** aggregate min on columns */
export type Users_Min_Fields = {
    __typename?: 'users_min_fields';
    address?: Maybe<Scalars['String']>;
    avatar_url?: Maybe<Scalars['String']>;
    created_at?: Maybe<Scalars['timestamptz']>;
    display_name?: Maybe<Scalars['String']>;
    email?: Maybe<Scalars['String']>;
    id?: Maybe<Scalars['uuid']>;
    name?: Maybe<Scalars['String']>;
    phone_number?: Maybe<Scalars['String']>;
    receiver_name?: Maybe<Scalars['String']>;
    updated_at?: Maybe<Scalars['timestamptz']>;
};
/** response of any mutation on the table "users" */
export type Users_Mutation_Response = {
    __typename?: 'users_mutation_response';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Users>;
};
/** input type for inserting object relation for remote table "users" */
export type Users_Obj_Rel_Insert_Input = {
    data: Users_Insert_Input;
    /** upsert condition */
    on_conflict?: InputMaybe<Users_On_Conflict>;
};
/** on_conflict condition type for table "users" */
export type Users_On_Conflict = {
    constraint: Users_Constraint;
    update_columns?: Array<Users_Update_Column>;
    where?: InputMaybe<Users_Bool_Exp>;
};
/** Ordering options when selecting data from "users". */
export type Users_Order_By = {
    account?: InputMaybe<Auth_Accounts_Order_By>;
    address?: InputMaybe<Order_By>;
    avatar_url?: InputMaybe<Order_By>;
    created_at?: InputMaybe<Order_By>;
    display_name?: InputMaybe<Order_By>;
    email?: InputMaybe<Order_By>;
    id?: InputMaybe<Order_By>;
    name?: InputMaybe<Order_By>;
    phone_number?: InputMaybe<Order_By>;
    receiver_name?: InputMaybe<Order_By>;
    updated_at?: InputMaybe<Order_By>;
};
/** primary key columns input for table: users */
export type Users_Pk_Columns_Input = {
    id: Scalars['uuid'];
};
/** select columns of table "users" */
export declare enum Users_Select_Column {
    /** column name */
    Address = "address",
    /** column name */
    AvatarUrl = "avatar_url",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DisplayName = "display_name",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    PhoneNumber = "phone_number",
    /** column name */
    ReceiverName = "receiver_name",
    /** column name */
    UpdatedAt = "updated_at"
}
/** input type for updating data in table "users" */
export type Users_Set_Input = {
    address?: InputMaybe<Scalars['String']>;
    avatar_url?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    display_name?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['uuid']>;
    name?: InputMaybe<Scalars['String']>;
    phone_number?: InputMaybe<Scalars['String']>;
    receiver_name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** Streaming cursor of the table "users" */
export type Users_Stream_Cursor_Input = {
    /** Stream column input with initial value */
    initial_value: Users_Stream_Cursor_Value_Input;
    /** cursor ordering */
    ordering?: InputMaybe<Cursor_Ordering>;
};
/** Initial value of the column from where the streaming should start */
export type Users_Stream_Cursor_Value_Input = {
    address?: InputMaybe<Scalars['String']>;
    avatar_url?: InputMaybe<Scalars['String']>;
    created_at?: InputMaybe<Scalars['timestamptz']>;
    display_name?: InputMaybe<Scalars['String']>;
    email?: InputMaybe<Scalars['String']>;
    id?: InputMaybe<Scalars['uuid']>;
    name?: InputMaybe<Scalars['String']>;
    phone_number?: InputMaybe<Scalars['String']>;
    receiver_name?: InputMaybe<Scalars['String']>;
    updated_at?: InputMaybe<Scalars['timestamptz']>;
};
/** update columns of table "users" */
export declare enum Users_Update_Column {
    /** column name */
    Address = "address",
    /** column name */
    AvatarUrl = "avatar_url",
    /** column name */
    CreatedAt = "created_at",
    /** column name */
    DisplayName = "display_name",
    /** column name */
    Email = "email",
    /** column name */
    Id = "id",
    /** column name */
    Name = "name",
    /** column name */
    PhoneNumber = "phone_number",
    /** column name */
    ReceiverName = "receiver_name",
    /** column name */
    UpdatedAt = "updated_at"
}
export type Users_Updates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<Users_Set_Input>;
    /** filter the rows which have to be updated */
    where: Users_Bool_Exp;
};
/** Boolean expression to compare columns of type "uuid". All fields are combined with logical 'AND'. */
export type Uuid_Comparison_Exp = {
    _eq?: InputMaybe<Scalars['uuid']>;
    _gt?: InputMaybe<Scalars['uuid']>;
    _gte?: InputMaybe<Scalars['uuid']>;
    _in?: InputMaybe<Array<Scalars['uuid']>>;
    _is_null?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['uuid']>;
    _lte?: InputMaybe<Scalars['uuid']>;
    _neq?: InputMaybe<Scalars['uuid']>;
    _nin?: InputMaybe<Array<Scalars['uuid']>>;
};
export type FetchMapItemQueryVariables = Exact<{
    universeId: Scalars['Int'];
    userId: Scalars['Int'];
}>;
export type FetchMapItemQuery = {
    __typename?: 'query_root';
    rooadmap_gis_map_item: Array<{
        __typename?: 'rooadmap_gis_map_item';
        id: number;
        info?: {
            __typename?: 'map_item';
            id: number;
        } | null;
    }>;
};
export type GetAllPieceTypesQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetAllPieceTypesQuery = {
    __typename?: 'query_root';
    piece_type: Array<{
        __typename?: 'piece_type';
        id: number;
        piece_type_title: string;
        is_inmap?: boolean | null;
        is_outmap?: boolean | null;
        is_set_on_locus_design?: boolean | null;
        title?: string | null;
        description?: string | null;
        is_judge_piece?: boolean | null;
        target_view_type_id?: number | null;
        is_atomic?: boolean | null;
    }>;
};
export type GetAtomicPieceTypesQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetAtomicPieceTypesQuery = {
    __typename?: 'query_root';
    piece_type: Array<{
        __typename?: 'piece_type';
        id: number;
        piece_type_title: string;
        is_inmap?: boolean | null;
        is_outmap?: boolean | null;
        is_set_on_locus_design?: boolean | null;
        title?: string | null;
        description?: string | null;
        is_judge_piece?: boolean | null;
        target_view_type_id?: number | null;
        is_atomic?: boolean | null;
    }>;
};
export type GetTargetViewTypesQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetTargetViewTypesQuery = {
    __typename?: 'query_root';
    target_view_type: Array<{
        __typename?: 'target_view_type';
        builder_version: number;
        id: number;
        renderer_version: number;
        builder_name: string;
        name: string;
        renderer_name: string;
    }>;
};
export declare const FetchMapItemDocument: DocumentNode<FetchMapItemQuery, Exact<{
    universeId: Scalars['Int'];
    userId: Scalars['Int'];
}>>;
export declare const GetAllPieceTypesDocument: DocumentNode<GetAllPieceTypesQuery, Exact<{
    [key: string]: never;
}>>;
export declare const GetAtomicPieceTypesDocument: DocumentNode<GetAtomicPieceTypesQuery, Exact<{
    [key: string]: never;
}>>;
export declare const GetTargetViewTypesDocument: DocumentNode<GetTargetViewTypesQuery, Exact<{
    [key: string]: never;
}>>;
